#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x0f13f2d9, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x5d83838f, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x7155a794, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x698c2550, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0x8d16c786, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x63308db9, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x2c2880c4, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0xdcdd8a81, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0xa0ec8663, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x09d41ebb, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x50562515, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x5f2e700a, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x67b81325, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdcb764ad, "memset" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdcfc7796, "crypto_alloc_skcipher" },
	{ 0x59ed3006, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbee18683, "crypto_alloc_ahash" },
	{ 0xefd4249e, "crypto_alloc_aead" },
	{ 0x922bb035, "crypto_skcipher_setkey" },
	{ 0x0ac57aa7, "crypto_spawn_tfm2" },
	{ 0x6afd505d, "crypto_drop_spawn" },
	{ 0x037a0cba, "kfree" },
	{ 0x526baa68, "crypto_shash_setkey" },
	{ 0x2c98327f, "crypto_shash_import" },
	{ 0x3b13cfcb, "crypto_shash_export" },
	{ 0x2ebd589e, "crypto_clone_shash" },
	{ 0xe9b9bce6, "crypto_aead_setauthsize" },
	{ 0x0705625c, "crypto_aead_setkey" },
	{ 0x94b879cf, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b1e3406, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x78b4855c, "crypto_register_template" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0xd39ff585, "crypto_grab_shash" },
	{ 0x69ac0f9f, "shash_no_setkey" },
	{ 0xc9846b82, "ahash_register_instance" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x48a9f0fb, "crypto_enqueue_request" },
	{ 0x69af947d, "crypto_grab_aead" },
	{ 0x57af8306, "aead_register_instance" },
	{ 0x4a16935f, "crypto_grab_skcipher" },
	{ 0xd6a549b9, "skcipher_register_instance" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x08300a48, "crypto_skcipher_decrypt" },
	{ 0x8d8ddca9, "crypto_skcipher_encrypt" },
	{ 0x60d917cf, "shash_ahash_digest" },
	{ 0xd73cc72e, "shash_ahash_finup" },
	{ 0xd9b86286, "crypto_shash_final" },
	{ 0x280bf38e, "shash_ahash_update" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CB06AC5AB5F54D42A04012B");
