#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(acpi_video_get_levels, "", "");
KSYMTAB_FUNC(acpi_video_get_edid, "", "");
KSYMTAB_FUNC(acpi_video_register, "", "");
KSYMTAB_FUNC(acpi_video_unregister, "", "");
KSYMTAB_FUNC(acpi_video_register_backlight, "", "");
KSYMTAB_FUNC(acpi_video_handles_brightness_key_presses, "", "");
KSYMTAB_FUNC(__acpi_video_get_backlight_type, "", "");

SYMBOL_CRC(acpi_video_get_levels, 0x59c0c778, "");
SYMBOL_CRC(acpi_video_get_edid, 0x1744089c, "");
SYMBOL_CRC(acpi_video_register, 0x8826c13b, "");
SYMBOL_CRC(acpi_video_unregister, 0x7a45377b, "");
SYMBOL_CRC(acpi_video_register_backlight, 0x45b61916, "");
SYMBOL_CRC(acpi_video_handles_brightness_key_presses, 0x7cc484a5, "");
SYMBOL_CRC(__acpi_video_get_backlight_type, 0x3b7235aa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c23217a, "input_allocate_device" },
	{ 0x631495e6, "acpi_device_hid" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x22a18ffd, "backlight_device_unregister" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x874da7b3, "backlight_force_update" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x88c3ff56, "pci_dev_put" },
	{ 0x0f9b65ac, "pci_get_device" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xb544ad50, "input_unregister_device" },
	{ 0x037a0cba, "kfree" },
	{ 0xc195dbe4, "acpi_device_fix_up_power_children" },
	{ 0x414e1107, "acpi_dev_remove_notify_handler" },
	{ 0x2447ec0d, "thermal_cooling_device_register" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xfe9ebbbb, "acpi_osi_is_win8" },
	{ 0xff56923c, "__acpi_bus_register_driver" },
	{ 0x928f4743, "pci_read_config_dword" },
	{ 0xdb9ebd67, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x6d3e1396, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x2c589d2d, "sysfs_create_link" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x3377b26c, "acpi_dev_install_notify_handler" },
	{ 0x32e6f1a0, "acpi_video_backlight_string" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x5968b034, "sysfs_remove_link" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xaf6ba95d, "acpi_get_pci_dev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x2f384db3, "acpi_is_video_device" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xadff0877, "input_event" },
	{ 0xa8c13394, "acpi_match_device_ids" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x68ef12d3, "acpi_notifier_call_chain" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x062f8740, "acpi_fetch_acpi_dev" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x85f26359, "acpi_bus_unregister_driver" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x46f77f96, "backlight_device_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x51d341a2, "acpi_dev_for_each_child" },
	{ 0x0bcdfd4e, "thermal_cooling_device_unregister" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xb4577003, "acpi_dev_present" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "backlight");

MODULE_ALIAS("acpi*:LNXVIDEO:*");

MODULE_INFO(srcversion, "2FACE1AD56AD859A9AB55D6");
