#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0x35c27f57, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x5a4be269, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x101a9d47, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0x67b7b347, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x3486655c, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0x7ed71a72, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0x0f29ce5d, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0x72c22ead, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x2225c567, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x6abdb6ee, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x55764f62, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x7f338dc5, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x37907a0d, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x8288b1ca, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x0ff3c9fd, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x51d0f64a, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0xbd01f9f4, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x45f486e9, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x34f84db3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2d5255a, "strcmp" },
	{ 0xfa1413a8, "regulator_disable" },
	{ 0x8253e6c2, "regulator_put" },
	{ 0x037a0cba, "kfree" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0x6507e9c9, "__pm_runtime_disable" },
	{ 0x112f1ce1, "devm_of_phy_get" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x76968f83, "of_find_property" },
	{ 0xc2aae440, "regulator_enable" },
	{ 0x9e8a20a9, "platform_get_irq" },
	{ 0x64f8ce6c, "ahci_save_initial_config" },
	{ 0xc53df929, "ahci_set_em_messages" },
	{ 0x9f3ecc22, "ata_host_alloc_pinfo" },
	{ 0x848b63d6, "ata_dummy_port_ops" },
	{ 0xfbb44286, "platform_get_resource" },
	{ 0x48ff686c, "ata_port_desc" },
	{ 0x3c6c2e20, "ahci_reset_controller" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x7201452f, "ahci_init_controller" },
	{ 0x145290cb, "ahci_print_info" },
	{ 0xa301b461, "ahci_host_activate" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0xe0abd9db, "ahci_reset_em" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x232ecfdd, "phy_power_off" },
	{ 0x2b75a0e9, "phy_exit" },
	{ 0x577e8ce9, "phy_init" },
	{ 0xf1254830, "phy_set_mode_ext" },
	{ 0x1bb1ee13, "phy_power_on" },
	{ 0x5165b864, "ata_host_resume" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x8d15159a, "devres_open_group" },
	{ 0x145645ac, "__devres_alloc_node" },
	{ 0xfb812c22, "devres_add" },
	{ 0x52b3e56e, "platform_get_resource_byname" },
	{ 0x616d55b8, "devm_platform_ioremap_resource_byname" },
	{ 0x796b4bef, "devm_clk_bulk_get_all" },
	{ 0x3904ff2f, "devm_regulator_get" },
	{ 0xbf76af38, "devm_reset_control_array_get" },
	{ 0xedc5507f, "of_get_next_child" },
	{ 0x12c4d035, "devres_release_group" },
	{ 0xd6fe4216, "devm_platform_ioremap_resource" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0x3df11d41, "devm_clk_get_optional" },
	{ 0xba8e2979, "of_property_read_variable_u32_array" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xc707ae21, "of_device_is_available" },
	{ 0x096b285b, "of_platform_device_create" },
	{ 0x06e134ca, "of_find_device_by_node" },
	{ 0x0fa99ef3, "regulator_get" },
	{ 0xfd19ff82, "of_node_put" },
	{ 0x5c28d70e, "pm_runtime_enable" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0x1e898ebb, "devres_remove_group" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xbdefce3a, "ata_host_suspend" },
	{ 0xa615dce4, "__pm_runtime_set_status" },
	{ 0x5ae9d491, "ahci_ops" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B03E6882AD44B7DDD5C22D");
