#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x6b916d92, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x22172020, "");
SYMBOL_CRC(__bcma_driver_register, 0xaedf9590, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0xcb324867, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x68e2854f, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x5e55a66c, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x961273c4, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x74ca5299, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x9600048e, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x8490968f, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xf6291ad7, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x9ab40409, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0xce792e3a, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x2a03468b, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x01fa8c23, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0xfb076a89, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xcb8790e2, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x4f98b0f9, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x91d4e4be, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x046b8549, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x493cea5b, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0xfb6577dc, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0xa0663f8b, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0xde39e576, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0xe720d4c6, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0xae9d8549, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x0ee09f4a, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x054a1e89, "of_address_to_resource" },
	{ 0x21b6bf80, "device_unregister" },
	{ 0x35041bea, "of_platform_default_populate" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xf730879d, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x6d46183e, "pci_request_regions" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfb254be7, "get_device" },
	{ 0x4c8c8a05, "of_irq_parse_one" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0x928f4743, "pci_read_config_dword" },
	{ 0x92997ed8, "_printk" },
	{ 0x9eb6dbfa, "of_irq_parse_raw" },
	{ 0xedc5507f, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xaf7adc45, "put_device" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0xc7cfc207, "gpiochip_get_data" },
	{ 0xc714fb11, "bus_unregister" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x56795ba8, "device_add" },
	{ 0x8c0eddc1, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x31e6b7e7, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe156906f, "pci_iounmap" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x60e063ce, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3b0e2ab3, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4451fa23, "platform_device_register_full" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4b356bb7, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1cd320f3, "pcie_set_readrq" },
	{ 0x7bd55a8b, "irq_create_of_mapping" },
	{ 0x35215603, "ioremap_prot" },
	{ 0xc9e3f5ec, "of_dma_configure_id" },
	{ 0x303bdda4, "driver_register" },
	{ 0xe337f3ab, "__dev_fwnode" },
	{ 0x7ece803a, "pci_write_config_dword" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x43d13e73, "bus_register" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B854C66441333162F8416CC");
