#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drbd_conn_str, "", "");
KSYMTAB_FUNC(drbd_role_str, "", "");
KSYMTAB_FUNC(drbd_disk_str, "", "");
KSYMTAB_FUNC(drbd_set_st_err_str, "", "");

SYMBOL_CRC(drbd_conn_str, 0x7730f22d, "");
SYMBOL_CRC(drbd_role_str, 0x35131b36, "");
SYMBOL_CRC(drbd_disk_str, 0xaf27bebf, "");
SYMBOL_CRC(drbd_set_st_err_str, 0x127a5901, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1331cb69, "set_capacity_and_notify" },
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xefec8130, "lc_seq_printf_stats" },
	{ 0xbcf0b30b, "set_disk_ro" },
	{ 0x85b6a267, "__blk_alloc_disk" },
	{ 0x87a1f2f6, "bdev_alignment_offset" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x0108a1e9, "bdev_file_open_by_path" },
	{ 0x42996f74, "try_module_get" },
	{ 0x092918dc, "tcp_sock_set_cork" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb18254d7, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa8e3ec2d, "blk_start_plug" },
	{ 0x20978fb9, "idr_find" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0x29a34d81, "lc_get_cumulative" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xab9a8cd5, "bio_split_to_limits" },
	{ 0xa68fbc20, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x972138e2, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xf830df56, "genlmsg_put" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0x515824d8, "alloc_cpumask_var_node" },
	{ 0x360694df, "seq_lseek" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x2afe9d3f, "kernel_accept" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x49628879, "sched_set_fifo_low" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x8c2b12cf, "tcp_sock_set_quickack" },
	{ 0xb94cd7c5, "netlink_broadcast_filtered" },
	{ 0x927e8dad, "bio_end_io_acct_remapped" },
	{ 0xee213135, "wake_up_process" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0x59ed3006, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x8d7268ac, "lc_del" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xaf27912f, "put_disk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x2d140a58, "genl_unlock" },
	{ 0xa916b694, "strnlen" },
	{ 0x001487e6, "lc_committed" },
	{ 0xfbb30ebd, "lc_get" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xf9968f9c, "__free_pages" },
	{ 0x837a56b8, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd94cdbc8, "submit_bio" },
	{ 0x9f18cbf4, "module_put" },
	{ 0xb21fa894, "bio_start_io_acct" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc591fc15, "bdev_discard_alignment" },
	{ 0x660b120c, "lc_try_get" },
	{ 0x8efcc051, "bioset_exit" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xc7b5eed8, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0x5bd9bae7, "bio_put" },
	{ 0x6691a6f6, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7a5e75fb, "copy_highpage" },
	{ 0x718d561a, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2da8b798, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x526baa68, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x24d273d1, "add_timer" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x7169f731, "lc_element_by_index" },
	{ 0x733db852, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0x93730f39, "submit_bio_noacct" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3fb90e92, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x940a34de, "set_cpus_allowed_ptr" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x6e50cfbb, "seq_putc" },
	{ 0x8d304f20, "nla_put" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xc2c0530f, "crypto_shash_digest" },
	{ 0x982e16bd, "iov_iter_kvec" },
	{ 0xff9fcad3, "blkdev_issue_zeroout" },
	{ 0xcd279169, "nla_find" },
	{ 0xced6a6ad, "blk_stack_limits" },
	{ 0x62eec1d5, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa4503aeb, "sock_sendmsg" },
	{ 0xa09f5ff3, "bio_add_page" },
	{ 0x196cefb2, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3fd1b3d7, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xcf0aff85, "lc_create" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x98ce6511, "blk_set_stacking_limits" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x9ffc3cc3, "bd_unlink_disk_holder" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5407c268, "bio_alloc_clone" },
	{ 0x6d2b5f55, "lc_try_lock" },
	{ 0x5f5bc5da, "__vmalloc_noprof" },
	{ 0x80b62d11, "iov_iter_bvec" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x851681e7, "lc_destroy" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0xc4d80ba9, "lc_reset" },
	{ 0xe745f5a9, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd53ba547, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xbdc8c686, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f3537bf, "kthread_create_on_node" },
	{ 0xb60ec1e6, "lc_is_used" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a5bebe9, "lc_seq_dump_details" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd9b86286, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x9ba97fc3, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x9a7452ba, "bioset_init" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0xcad91204, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x03043872, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17759e36, "seq_printf" },
	{ 0x7b6309ac, "sock_recvmsg" },
	{ 0x5016e1aa, "kobject_uevent" },
	{ 0xa8afdd3d, "sock_release" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x583bc931, "bd_link_disk_holder" },
	{ 0x6a5de1bb, "alloc_pages_noprof" },
	{ 0x58823beb, "queue_limits_commit_update" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0xadd1b13d, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x0109b832, "tcp_sock_set_nodelay" },
	{ 0xabbf2ede, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x83697e38, "genl_unregister_family" },
	{ 0xe9348ca4, "__seq_puts" },
	{ 0x9d50805b, "proc_create_single_data" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x753a06ce, "lc_put" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x98cf60b3, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdc890d61, "lc_find" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x7ab7c6e9, "crypto_alloc_shash" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0xf4a6b261, "genl_register_family" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x2b9da7a4, "genl_lock" },
	{ 0x58e4fa73, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xe139ed35, "fs_bio_set" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x1a2861ab, "blkdev_issue_discard" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "lru_cache");


MODULE_INFO(srcversion, "F6ADCF5BF321D2EC6E53A9C");
