#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0xd5593205, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0xa7a52eb5, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x407595db, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x93eacdac, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0xbab198a1, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0x7a40053e, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x1ded1552, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x7ee2001f, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x62d8fc7f, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x6112b785, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xe1391110, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0xad63560a, "_gpl");
SYMBOL_CRC(mhi_notify, 0xc3b859b6, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0xb96520d6, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0xdfad3c40, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x6b664af9, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0xaaaab430, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x0c37ad6c, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x0521d19c, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0x034d9f40, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0xe253d40a, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x383ce5fc, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x52688240, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xdbe4cd21, "_gpl");
SYMBOL_CRC(mhi_power_down, 0x8cb6e646, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x1e493bc9, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x905a8ad1, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0xe3d59a40, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x084e0d9a, "_gpl");
SYMBOL_CRC(mhi_device_put, 0x4e7e649f, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x42344aa4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6b2563f5, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xada9cce1, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4f5356f3, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0x6d4bca86, "request_firmware" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0xf730879d, "device_initialize" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x61a66cee, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xfb254be7, "get_device" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0x66275485, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xaf7adc45, "put_device" },
	{ 0x30f80d9b, "sysfs_remove_file_ns" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0xc714fb11, "bus_unregister" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xf985e146, "device_wakeup_enable" },
	{ 0x56795ba8, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xffb7c514, "ida_free" },
	{ 0x31e6b7e7, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb69b7268, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x98cf60b3, "strlen" },
	{ 0x3fab110b, "vcalloc_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x303bdda4, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x43d13e73, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "02CDBE5B0E8781EE4854C6B");
