#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipmi_addr_src_to_str, "", "");
KSYMTAB_FUNC(ipmi_smi_watcher_register, "", "");
KSYMTAB_FUNC(ipmi_smi_watcher_unregister, "", "");
KSYMTAB_FUNC(ipmi_validate_addr, "", "");
KSYMTAB_FUNC(ipmi_addr_length, "", "");
KSYMTAB_FUNC(ipmi_create_user, "", "");
KSYMTAB_FUNC(ipmi_get_smi_info, "", "");
KSYMTAB_FUNC(ipmi_destroy_user, "", "");
KSYMTAB_FUNC(ipmi_get_version, "", "");
KSYMTAB_FUNC(ipmi_set_my_address, "", "");
KSYMTAB_FUNC(ipmi_get_my_address, "", "");
KSYMTAB_FUNC(ipmi_set_my_LUN, "", "");
KSYMTAB_FUNC(ipmi_get_my_LUN, "", "");
KSYMTAB_FUNC(ipmi_get_maintenance_mode, "", "");
KSYMTAB_FUNC(ipmi_set_maintenance_mode, "", "");
KSYMTAB_FUNC(ipmi_set_gets_events, "", "");
KSYMTAB_FUNC(ipmi_register_for_cmd, "", "");
KSYMTAB_FUNC(ipmi_unregister_for_cmd, "", "");
KSYMTAB_FUNC(ipmb_checksum, "", "");
KSYMTAB_FUNC(ipmi_request_settime, "", "");
KSYMTAB_FUNC(ipmi_request_supply_msgs, "", "");
KSYMTAB_FUNC(ipmi_poll_interface, "", "");
KSYMTAB_FUNC(ipmi_add_smi, "", "");
KSYMTAB_FUNC(ipmi_unregister_smi, "", "");
KSYMTAB_FUNC(ipmi_smi_msg_received, "", "");
KSYMTAB_FUNC(ipmi_smi_watchdog_pretimeout, "", "");
KSYMTAB_FUNC(ipmi_alloc_smi_msg, "", "");
KSYMTAB_FUNC(ipmi_free_recv_msg, "", "");

SYMBOL_CRC(ipmi_addr_src_to_str, 0x67369b42, "");
SYMBOL_CRC(ipmi_smi_watcher_register, 0xdc49c4aa, "");
SYMBOL_CRC(ipmi_smi_watcher_unregister, 0xe97e67a4, "");
SYMBOL_CRC(ipmi_validate_addr, 0xe4f4665b, "");
SYMBOL_CRC(ipmi_addr_length, 0x804f922a, "");
SYMBOL_CRC(ipmi_create_user, 0xae71627d, "");
SYMBOL_CRC(ipmi_get_smi_info, 0xb4a050cb, "");
SYMBOL_CRC(ipmi_destroy_user, 0x5c08065d, "");
SYMBOL_CRC(ipmi_get_version, 0x89a5279a, "");
SYMBOL_CRC(ipmi_set_my_address, 0xfaaa4831, "");
SYMBOL_CRC(ipmi_get_my_address, 0xec1c2a90, "");
SYMBOL_CRC(ipmi_set_my_LUN, 0x03bc993e, "");
SYMBOL_CRC(ipmi_get_my_LUN, 0x74778a80, "");
SYMBOL_CRC(ipmi_get_maintenance_mode, 0xfe0f2369, "");
SYMBOL_CRC(ipmi_set_maintenance_mode, 0x12dd1e77, "");
SYMBOL_CRC(ipmi_set_gets_events, 0x50f65edf, "");
SYMBOL_CRC(ipmi_register_for_cmd, 0x0705dd14, "");
SYMBOL_CRC(ipmi_unregister_for_cmd, 0xd54a5050, "");
SYMBOL_CRC(ipmb_checksum, 0xe98c507d, "");
SYMBOL_CRC(ipmi_request_settime, 0x4c2054d7, "");
SYMBOL_CRC(ipmi_request_supply_msgs, 0xaca90ebd, "");
SYMBOL_CRC(ipmi_poll_interface, 0xf5531bea, "");
SYMBOL_CRC(ipmi_add_smi, 0xca34e55b, "");
SYMBOL_CRC(ipmi_unregister_smi, 0xe4330a39, "");
SYMBOL_CRC(ipmi_smi_msg_received, 0x96a6e5e8, "");
SYMBOL_CRC(ipmi_smi_watchdog_pretimeout, 0x230094ac, "");
SYMBOL_CRC(ipmi_alloc_smi_msg, 0x1f65170f, "");
SYMBOL_CRC(ipmi_free_recv_msg, 0x80aa4656, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x77bc13a0, "strim" },
	{ 0x81188c30, "match_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x037a0cba, "kfree" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfe864e94, "cleanup_srcu_struct" },
	{ 0x999e8297, "vfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8c0eddc1, "platform_device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x07ceeac9, "panic_notifier_list" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x92997ed8, "_printk" },
	{ 0x31e6b7e7, "driver_unregister" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x303bdda4, "driver_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x4a8cf66b, "init_srcu_struct" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5968b034, "sysfs_remove_link" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x37b60271, "__srcu_read_lock" },
	{ 0xf329399e, "__srcu_read_unlock" },
	{ 0x5547e892, "driver_find_device" },
	{ 0xaf7adc45, "put_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7f4f3e04, "platform_device_register" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x2c589d2d, "sysfs_create_link" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x42996f74, "try_module_get" },
	{ 0xb278ea72, "synchronize_srcu" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x01000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x22774dd3, "device_create_file" },
	{ 0x27a399fb, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdcb764ad, "memset" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa4b2c77b, "platform_bus_type" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0xea3d17eb, "param_ops_ulong" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1AC98BDAF7E352839D67669");
