#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ccp_present, "_gpl", "");
KSYMTAB_FUNC(ccp_version, "_gpl", "");
KSYMTAB_FUNC(ccp_enqueue_cmd, "_gpl", "");

SYMBOL_CRC(ccp_present, 0x04773b60, "_gpl");
SYMBOL_CRC(ccp_version, 0x3a1a3979, "_gpl");
SYMBOL_CRC(ccp_enqueue_cmd, 0xe027f735, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd6fe4216, "devm_platform_ioremap_resource" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x54b80808, "dma_pool_create" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xd0fd7085, "hwrng_unregister" },
	{ 0x1239b4f2, "platform_driver_unregister" },
	{ 0x23143e66, "dma_async_device_unregister" },
	{ 0x9e8a20a9, "platform_get_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x698fa4b3, "dmam_alloc_attrs" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xb49dd77c, "pci_disable_msi" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xed4dd054, "dma_release_channel" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xee213135, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xe0c4e14d, "hwrng_register" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x946dd559, "sha224_zero_message_hash" },
	{ 0x5b85c8fb, "platform_irq_count" },
	{ 0x01000e51, "schedule" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x9af5e66d, "pci_enable_msix_range" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x166c4066, "pci_select_bars" },
	{ 0x9e9eb138, "dma_run_dependencies" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x10b97eb1, "device_get_dma_attr" },
	{ 0xea96802c, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x35476da4, "pci_enable_msi" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x44738de8, "kmem_cache_free" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xca293305, "of_match_node" },
	{ 0xd735355a, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xdcb764ad, "memset" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x8dcbda1c, "dmaengine_unmap_put" },
	{ 0xdbe18e1a, "kmem_cache_alloc_noprof" },
	{ 0x4550e9f8, "acpi_match_device" },
	{ 0x49f425aa, "dma_async_device_register" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x8f51ea76, "memcpy_from_sglist" },
	{ 0x69566392, "__platform_driver_register" },
	{ 0x5f3537bf, "kthread_create_on_node" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0x7d8ef513, "devm_kasprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x8c691095, "_dev_notice" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x03fc8512, "memcpy_to_sglist" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xce15b1e0, "dma_async_tx_descriptor_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc8b72e4b, "pci_disable_msix" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0x43248fd1, "dma_unmap_sg_attrs" },
	{ 0xd537e6ff, "pcim_iomap_table" },
	{ 0x62a2ed37, "pcim_enable_device" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0x1c09e8b9, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001022d00001537sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001456sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001468sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001486sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000014CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001649sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001134sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000017E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d0000156Esv*sd*bc*sc*i*");
MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1a");
MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1aC*");
MODULE_ALIAS("acpi*:AMDI0C00:*");

MODULE_INFO(srcversion, "4535219EB88C6277683803E");
