#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(analogix_dp_probe, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_suspend, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_resume, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_bind, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_unbind, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_start_crc, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_stop_crc, "_gpl", "");
KSYMTAB_FUNC(anx_dp_aux_transfer, "_gpl", "");

SYMBOL_CRC(analogix_dp_probe, 0xc1d73b76, "_gpl");
SYMBOL_CRC(analogix_dp_suspend, 0xb55b3378, "_gpl");
SYMBOL_CRC(analogix_dp_resume, 0x8d782781, "_gpl");
SYMBOL_CRC(analogix_dp_bind, 0x6a8d1510, "_gpl");
SYMBOL_CRC(analogix_dp_unbind, 0x90edd01a, "_gpl");
SYMBOL_CRC(analogix_dp_start_crc, 0xcc5cdda8, "_gpl");
SYMBOL_CRC(analogix_dp_stop_crc, 0x052ae1cf, "_gpl");
SYMBOL_CRC(anx_dp_aux_transfer, 0x3ee0dd60, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfbd3cf6e, "drm_dp_start_crc" },
	{ 0x42757a62, "drm_panel_get_modes" },
	{ 0xd6fe4216, "devm_platform_ioremap_resource" },
	{ 0x2f0f2d47, "regmap_write" },
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0x7dcc4176, "drm_dp_aux_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xb2941030, "drm_dp_dpcd_read" },
	{ 0xba8e2979, "of_property_read_variable_u32_array" },
	{ 0x3149b1e5, "drm_panel_enable" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9e8a20a9, "platform_get_irq" },
	{ 0xf605185d, "pm_runtime_set_autosuspend_delay" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x61896436, "gpiod_to_irq" },
	{ 0x1ffb4d26, "drm_helper_hpd_irq_event" },
	{ 0x1564749c, "drm_atomic_get_old_connector_for_encoder" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3ba0a6fc, "gpiod_get_value" },
	{ 0x3a345794, "devm_gpiod_get_optional" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x16776275, "devm_clk_get" },
	{ 0xee072edf, "drm_atomic_helper_bridge_reset" },
	{ 0xf59bd303, "drm_connector_attach_encoder" },
	{ 0x9415368b, "drm_atomic_get_new_connector_for_encoder" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x6a111a45, "drm_edid_connector_update" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c28d70e, "pm_runtime_enable" },
	{ 0xf38f626f, "drm_atomic_helper_connector_destroy_state" },
	{ 0x661dfa8d, "drm_dev_printk" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x228036dd, "drm_dp_stop_crc" },
	{ 0x0d59939b, "drm_panel_disable" },
	{ 0x213df159, "drm_connector_init" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xbaece5bb, "drm_dp_aux_unregister" },
	{ 0xdd9fa060, "of_property_read_bool" },
	{ 0x3a3a0b7b, "drm_edid_connector_add_modes" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1bb1ee13, "phy_power_on" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xdd195497, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x232ecfdd, "phy_power_off" },
	{ 0x4230a92c, "drm_connector_cleanup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x0f08c8ad, "regmap_read" },
	{ 0x735c29a7, "regmap_bulk_write" },
	{ 0xbd1ab865, "drm_atomic_helper_bridge_destroy_state" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb48a672d, "regmap_bulk_read" },
	{ 0x9dfcf60f, "drm_helper_probe_single_connector_modes" },
	{ 0x7bccdd2e, "drm_panel_prepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x8e1e936a, "drm_bridge_attach" },
	{ 0x126d6b35, "regmap_update_bits_base" },
	{ 0xb6f358c2, "drm_atomic_helper_connector_reset" },
	{ 0x90543b57, "__pm_runtime_suspend" },
	{ 0x3baa52b2, "__pm_runtime_use_autosuspend" },
	{ 0x085a6394, "devm_phy_get" },
	{ 0xce980da4, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0x6507e9c9, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7979cef2, "drm_dp_dpcd_write" },
	{ 0x66b84858, "drm_panel_unprepare" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0x1594a5fc, "drm_edid_read_ddc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "drm_display_helper");


MODULE_INFO(srcversion, "79FE8620869AC4954066826");
