#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_driver_fbdev_probe, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0x807bd7ee, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0xefc78f1e, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0xd24034a0, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x9c22747f, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xdbf39234, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x50c49d77, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x01f8ddd5, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x2ff484ef, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x75d463be, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x72fc66d7, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0x2822228d, "");
SYMBOL_CRC(drm_fbdev_dma_driver_fbdev_probe, 0x1b5d1289, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x512d7f38, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x233c62f1, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x274c5664, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0xe2aacc15, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x42996f74, "try_module_get" },
	{ 0x97ff295c, "drm_fb_helper_debug_enter" },
	{ 0xdf231edf, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x2e952977, "drm_client_buffer_vmap" },
	{ 0xb3ad4349, "drm_fb_helper_setcmap" },
	{ 0xc3c191a5, "drm_fb_helper_alloc_info" },
	{ 0x897430f0, "drm_fb_helper_unprepare" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xd741dd60, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x54ee0b23, "drm_fb_helper_fini" },
	{ 0x67df7bde, "dma_mmap_pages" },
	{ 0x2c929751, "drm_client_framebuffer_delete" },
	{ 0xd16fb0a7, "dma_free_pages" },
	{ 0x8d286f8f, "drm_client_framebuffer_create" },
	{ 0xa5b581b1, "drm_fb_helper_deferred_io" },
	{ 0x30623367, "drm_fb_helper_release_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xe050be57, "drm_driver_legacy_fb_format" },
	{ 0x09ec2d99, "drm_fb_helper_fill_info" },
	{ 0x84fa205f, "drm_gem_create_mmap_offset" },
	{ 0x4d5eae06, "fb_deferred_io_init" },
	{ 0xd1e0f768, "fb_deferred_io_cleanup" },
	{ 0x53b48956, "drm_gem_object_init" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0x0bf6735e, "fb_sys_write" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x11d970da, "sys_imageblit" },
	{ 0x935560ff, "drm_atomic_helper_damage_iter_init" },
	{ 0x1884041c, "drm_fb_helper_damage_range" },
	{ 0x0e634906, "drm_fb_helper_blank" },
	{ 0xca7a4bee, "dma_alloc_pages" },
	{ 0xd4db10af, "drm_gem_private_object_init" },
	{ 0xd8daf84c, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x7255640c, "drm_fb_helper_damage_area" },
	{ 0xd5d71879, "sys_fillrect" },
	{ 0x9f18cbf4, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x965cb994, "drm_gem_vm_close" },
	{ 0x33cc4bca, "drm_gem_vm_open" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x59cbcb3c, "drm_gem_object_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x1d8eb6fd, "drm_gem_handle_create" },
	{ 0x3c45e661, "drm_gem_fb_get_obj" },
	{ 0xc2137c9b, "__drm_dev_dbg" },
	{ 0xec1394c4, "fb_deferred_io_mmap" },
	{ 0xcb2ae86b, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xda2e681c, "drm_client_release" },
	{ 0x3aabf8e2, "sys_copyarea" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcbb796e8, "__dma_sync_single_for_device" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x61acdbb6, "drm_client_buffer_vunmap" },
	{ 0x895ccc00, "fb_sys_read" },
	{ 0xb4f58b88, "drm_fb_helper_debug_leave" },
	{ 0x21547a84, "dma_buf_vmap_unlocked" },
	{ 0x5c4f85a3, "dma_mmap_attrs" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb56bfc11, "dma_get_sgtable_attrs" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xedd623a1, "__vma_start_write" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x23cdcaac, "drm_fb_helper_ioctl" },
	{ 0x8a655cb8, "drm_fb_helper_set_par" },
	{ 0x78a412c0, "drm_prime_gem_destroy" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C5AC338A3991B78298F1762");
