#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0xd4cd0ad7, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0x7a830d67, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0xe128f080, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0xdd88d59e, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0x85caebd7, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0xe7aa9c00, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0xe3ee589e, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0x6b75082c, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0x96712076, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0x0916d13c, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0xe7bbe806, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0x4e06a328, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0x48ec8ef3, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0x3ab975d6, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0x5dc0190c, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0x2146fe2c, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0x56a9cb6f, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0x69f1a1eb, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0xeb71e438, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x6cd605a1, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0xe56a4037, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0x0953421b, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0x60e34b60, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x2ec46d75, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0x7f57c975, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x87322ec1, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0xbc2e3bd3, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0x2ff82c16, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x360f783b, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x5caaf924, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0x06ce2c92, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0xaaeaf9f4, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0xbdea0940, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0x6d8598b8, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0x374e953a, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0xd6a8fc00, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0xcb296e52, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x973e4bd6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x59cbcb3c, "drm_gem_object_release" },
	{ 0x037a0cba, "kfree" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xacce4df5, "drm_exec_prepare_array" },
	{ 0x8aa32956, "dma_resv_add_fence" },
	{ 0xdcb764ad, "memset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xd4db10af, "drm_gem_private_object_init" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0x588c56b7, "drm_exec_prepare_obj" },
	{ 0x247a03ec, "drm_exec_lock_obj" },
	{ 0x0aff3865, "drm_exec_init" },
	{ 0xb58df686, "drm_exec_cleanup" },
	{ 0xae06cf6a, "drm_exec_fini" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");
