#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nouveau_i2c_encoder_destroy, "", "");

SYMBOL_CRC(nouveau_i2c_encoder_destroy, 0x6261c992, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x392a838b, "drm_dp_downstream_max_dotclock" },
	{ 0x4909a790, "dma_fence_get_status" },
	{ 0x78b09a4c, "drm_dp_mst_topology_mgr_set_mst" },
	{ 0xe4ccacc0, "drm_atomic_state_init" },
	{ 0x754a719e, "drm_dp_remove_payload_part2" },
	{ 0xedcf81ce, "drm_dp_channel_eq_ok" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x3412f9d5, "drm_atomic_helper_setup_commit" },
	{ 0xb72b2fdc, "drm_modeset_lock_all_ctx" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x78940dc2, "drm_atomic_helper_update_plane" },
	{ 0x042c3f1d, "dma_resv_iter_first" },
	{ 0x999e8297, "vfree" },
	{ 0xca82f317, "drm_atomic_helper_wait_for_dependencies" },
	{ 0x75eb9c31, "dma_resv_init" },
	{ 0xf65d1d6d, "drm_crtc_handle_vblank" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x0edd7e5f, "drm_dp_remove_payload_part1" },
	{ 0xbb5d6589, "dma_resv_reserve_fences" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0x20621bba, "drm_scdc_read" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xd22c717e, "drm_get_edid" },
	{ 0xb86d751f, "drm_mode_duplicate" },
	{ 0xf59bd303, "drm_connector_attach_encoder" },
	{ 0xc4dedb05, "ttm_resource_init" },
	{ 0x17eba0a9, "drm_get_format_info" },
	{ 0xc55e4a3a, "drm_gem_plane_helper_prepare_fb" },
	{ 0x543e0f13, "drm_mode_create_dvi_i_properties" },
	{ 0xa17e57fa, "is_acpi_device_node" },
	{ 0x062cfb76, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0x60bbb124, "dma_fence_signal_locked" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x11089ac7, "_ctype" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4c55853c, "ww_mutex_unlock" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x2da03482, "pci_find_capability" },
	{ 0xfed63a61, "drm_dp_mst_atomic_check" },
	{ 0xf19d9c66, "drm_atomic_helper_update_legacy_modeset_state" },
	{ 0xc3537fed, "drm_dp_mst_topology_mgr_destroy" },
	{ 0x2baae131, "ttm_bo_vm_reserve" },
	{ 0xab6813ae, "__mt_destroy" },
	{ 0x32541a9f, "drm_modeset_unlock_all" },
	{ 0x39158fc5, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0xca9360b5, "rb_next" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x69566392, "__platform_driver_register" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0x4e06a328, "drm_gpuvm_resv_add_fence" },
	{ 0xc3f01171, "drm_atomic_get_crtc_state" },
	{ 0x4bea4dfc, "i2c_bit_add_bus" },
	{ 0xc1fd18a5, "ttm_bo_move_memcpy" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0xfb254be7, "get_device" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x45e1ebc4, "drm_dp_dpcd_set_powered" },
	{ 0xad0c0d5f, "drm_atomic_helper_resume" },
	{ 0xc1559cdc, "ttm_bo_wait_ctx" },
	{ 0x0aa2c299, "drm_dev_alloc" },
	{ 0x12f16cb3, "drm_atomic_helper_wait_for_fences" },
	{ 0x3139c825, "dma_resv_iter_next" },
	{ 0x265069dc, "drm_modeset_lock" },
	{ 0x0be4acc6, "dma_map_sgtable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x7bef612b, "iommu_attach_device" },
	{ 0x78a412c0, "drm_prime_gem_destroy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x364019b6, "ttm_bo_vm_open" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x4bf0de4a, "ttm_range_man_init_nocheck" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd4cd0ad7, "drm_gpuvm_range_valid" },
	{ 0xde8c28e4, "drm_kms_helper_connector_hotplug_event" },
	{ 0xa082f509, "drm_cvt_mode" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb8f0bde2, "drm_dp_mst_atomic_setup_commit" },
	{ 0x4eb3640c, "drm_gem_prime_export" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4d0d4439, "drm_crtc_vblank_on" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2b5ab20b, "drm_sched_entity_push_job" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xaa9bc3df, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0x582f248e, "drm_dp_get_adjust_request_pre_emphasis" },
	{ 0x0f4ae37d, "iommu_paging_domain_alloc_flags" },
	{ 0xc6b00096, "drm_crtc_vblank_count" },
	{ 0x7243c0c7, "drm_dp_mst_topology_state_funcs" },
	{ 0xdcb764ad, "memset" },
	{ 0xece784c2, "rb_first" },
	{ 0x01c4bba9, "drm_dp_lttpr_max_link_rate" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xc02547f9, "drm_plane_helper_destroy" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6cde79b5, "ttm_sg_tt_init" },
	{ 0xae1428da, "debugfs_create_blob" },
	{ 0x90543b57, "__pm_runtime_suspend" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x56256e8a, "orderly_poweroff" },
	{ 0xbc339359, "__drm_atomic_helper_connector_reset" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x6d4bca86, "request_firmware" },
	{ 0xc5c99a79, "drm_dp_get_adjust_request_voltage" },
	{ 0xf92fd03f, "drm_sched_init" },
	{ 0x6377cc42, "drm_plane_create_blend_mode_property" },
	{ 0xc2ca06f7, "ttm_bo_init_reserved" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x8021ec1b, "drm_atomic_commit" },
	{ 0x928f4743, "pci_read_config_dword" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x33471eaf, "led_classdev_unregister" },
	{ 0x55eee38b, "pci_map_rom" },
	{ 0xf35ca56e, "drm_connector_dynamic_init" },
	{ 0x8393f3d7, "drm_sched_job_arm" },
	{ 0xaca0fa22, "drm_mode_crtc_set_gamma_size" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x2a4dc851, "ttm_bo_vm_access" },
	{ 0x94b67854, "drm_sched_job_init" },
	{ 0x8f27506b, "drm_dp_mst_root_conn_atomic_check" },
	{ 0xea307308, "pci_bus_type" },
	{ 0xdd4e4cc8, "drm_crtc_helper_set_mode" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0x61891217, "hwmon_device_unregister" },
	{ 0x9da7ec2f, "drm_gem_mmap" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xf6cf200e, "drm_modeset_lock_single_interruptible" },
	{ 0x18a4382a, "drm_atomic_helper_prepare_planes" },
	{ 0x59cbcb3c, "drm_gem_object_release" },
	{ 0x2d454a30, "drm_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1618a746, "dma_resv_wait_timeout" },
	{ 0x7c0aa71b, "drm_dp_mst_get_port_malloc" },
	{ 0xb83acab3, "drm_debugfs_gpuva_info" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x70c621fd, "hwmon_device_register_with_info" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x36f408a9, "mas_find" },
	{ 0xdd823370, "drm_atomic_helper_disable_plane" },
	{ 0xadcb2e80, "drm_crtc_vblank_off" },
	{ 0xed113564, "drm_dp_add_payload_part2" },
	{ 0x7c583e1c, "drm_dp_add_payload_part1" },
	{ 0x944037be, "pci_unmap_rom" },
	{ 0x139043ff, "drm_syncobj_find_fence" },
	{ 0xa916b694, "strnlen" },
	{ 0x8548a0d9, "ttm_resource_fini" },
	{ 0x7851e431, "drm_dp_mst_hpd_irq_handle_event" },
	{ 0x60e34b60, "drm_gpuva_unlink" },
	{ 0x3fbf075b, "ttm_bo_eviction_valuable" },
	{ 0xd0a7b967, "debugfs_lookup" },
	{ 0xf1c5188c, "drm_dev_put" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x1605d0ed, "drm_dp_lttpr_max_lane_count" },
	{ 0x2ff82c16, "drm_gpuvm_interval_empty" },
	{ 0x627ab55d, "drm_helper_mode_fill_fb_struct" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x0fd60df2, "drm_get_connector_status_name" },
	{ 0x18d1e930, "drm_mode_object_get" },
	{ 0xc2137c9b, "__drm_dev_dbg" },
	{ 0xeba5668e, "drm_sched_entity_init" },
	{ 0x9f13c24d, "drm_connector_list_iter_end" },
	{ 0x8dd3eba4, "__drm_atomic_helper_plane_destroy_state" },
	{ 0x71f30350, "drm_invalid_op" },
	{ 0xc1e1fd76, "drm_mode_object_put" },
	{ 0x18a3f91c, "drm_crtc_vblank_helper_get_vblank_timestamp" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x0b071b5b, "drm_crtc_arm_vblank_event" },
	{ 0xf3c35cbd, "drm_modeset_backoff" },
	{ 0x0188b501, "pm_runtime_forbid" },
	{ 0x1d8eb6fd, "drm_gem_handle_create" },
	{ 0xaa19bd3b, "drm_poll" },
	{ 0xa47826e4, "drm_dp_calc_pbn_mode" },
	{ 0xde03fa81, "ttm_pool_alloc" },
	{ 0x0bc6e115, "regulator_set_voltage" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x16776275, "devm_clk_get" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xc4d42ae6, "dma_resv_fini" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x4728cfc6, "drm_edp_backlight_enable" },
	{ 0x1188c456, "ttm_bo_validate" },
	{ 0xfd8b3163, "drm_dp_read_desc" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x411bdb42, "ttm_tt_fini" },
	{ 0x588c56b7, "drm_exec_prepare_obj" },
	{ 0xb4b38e9c, "aperture_remove_conflicting_pci_devices" },
	{ 0xf129d56a, "ttm_resource_free" },
	{ 0x33c4e328, "regulator_get_voltage" },
	{ 0x57bb1af3, "ttm_range_man_fini_nocheck" },
	{ 0x6e50cfbb, "seq_putc" },
	{ 0x17759e36, "seq_printf" },
	{ 0xdd94f364, "i2c_add_adapter" },
	{ 0xbfb83391, "drm_syncobj_add_point" },
	{ 0x0d9b4753, "drm_mode_equal" },
	{ 0xd16fb0a7, "dma_free_pages" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x0562dc30, "__sg_page_iter_start" },
	{ 0xfd6a2051, "ww_mutex_lock_interruptible" },
	{ 0x39945d41, "led_classdev_resume" },
	{ 0x037a0cba, "kfree" },
	{ 0xaf7adc45, "put_device" },
	{ 0xb12f1733, "drm_dp_mst_atomic_wait_for_dependencies" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x42be34db, "ttm_resource_manager_init" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0xcfbe8426, "drm_vblank_work_schedule" },
	{ 0xca7a4bee, "dma_alloc_pages" },
	{ 0xdc3ee176, "dput" },
	{ 0x7ea0d4ca, "tegra_sku_info" },
	{ 0x349cba85, "strchr" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0xb58df686, "drm_exec_cleanup" },
	{ 0xb05d4b73, "drm_atomic_helper_page_flip" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0x511281b0, "drm_connector_set_path_property" },
	{ 0xd5277b00, "drm_atomic_helper_check_plane_state" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x48ae4920, "drm_sched_stop" },
	{ 0x7dcc4176, "drm_dp_aux_register" },
	{ 0x89be9518, "drm_framebuffer_init" },
	{ 0x667bb43f, "ww_mutex_lock" },
	{ 0x1c7dfc66, "drm_mode_probed_add" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xb9a0402b, "drm_sched_job_cleanup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x42996f74, "try_module_get" },
	{ 0x1adb8a8d, "drm_client_dev_suspend" },
	{ 0x318e61d8, "drm_atomic_helper_cleanup_planes" },
	{ 0x4230a92c, "drm_connector_cleanup" },
	{ 0x54fc62f2, "ttm_bo_move_accel_cleanup" },
	{ 0x9dfcf60f, "drm_helper_probe_single_connector_modes" },
	{ 0xacfdc3a3, "mas_walk" },
	{ 0x2c208607, "power_supply_is_system_supplied" },
	{ 0xd1f68eae, "drm_property_add_enum" },
	{ 0x77e8b6d4, "component_del" },
	{ 0xe128f080, "drm_gpuvm_init" },
	{ 0xaa5c4ff6, "i2c_del_adapter" },
	{ 0xbd3c70fb, "drm_connector_unregister" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0xd1cb9772, "pci_disable_rom" },
	{ 0x6eb14365, "firmware_request_nowarn" },
	{ 0xf1dbad60, "drm_atomic_helper_shutdown" },
	{ 0xe19d2a9c, "ttm_resource_manager_usage" },
	{ 0xaac9bcc8, "drm_plane_create_alpha_property" },
	{ 0x44e1f1fd, "ttm_bo_put" },
	{ 0x8433d4da, "drm_dp_read_sink_count" },
	{ 0x4772611c, "drm_dp_dpcd_read_phy_link_status" },
	{ 0x0e02ff55, "drm_dp_aux_init" },
	{ 0x8a031b16, "drm_atomic_helper_unprepare_planes" },
	{ 0x22a18ffd, "backlight_device_unregister" },
	{ 0x73dfdbc3, "drm_debugfs_create_files" },
	{ 0x233092d7, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0x2c06246c, "drm_gem_fb_destroy" },
	{ 0xe2174752, "ttm_bo_vm_close" },
	{ 0x213df159, "drm_connector_init" },
	{ 0x815588a6, "clk_enable" },
	{ 0xfad29653, "drm_ioctl" },
	{ 0x75c925e1, "i2c_bit_algo" },
	{ 0x3a52f91c, "param_ops_charp" },
	{ 0xdf26ee30, "drm_vblank_init" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x17473710, "drm_atomic_state_default_release" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xaf267620, "drm_dp_lttpr_count" },
	{ 0x974ff111, "drm_dp_mst_topology_mgr_suspend" },
	{ 0x35215603, "ioremap_prot" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x20978fb9, "idr_find" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8b27622d, "drm_vblank_work_init" },
	{ 0xddc3f22f, "drm_crtc_vblank_crtc" },
	{ 0x8f9ac1ec, "vga_client_register" },
	{ 0xa09ef27d, "platform_get_irq_byname" },
	{ 0xace99195, "drm_dp_read_mst_cap" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x8bf9cd49, "drm_dp_mst_hpd_irq_send_new_request" },
	{ 0x4bc6e8e9, "drm_kms_helper_poll_init" },
	{ 0xbc732eb4, "drm_client_setup" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0xfcfe2066, "drm_atomic_helper_check" },
	{ 0x70c1afea, "drm_plane_create_zpos_property" },
	{ 0x3ab975d6, "drm_gpuvm_bo_put" },
	{ 0xdd88d59e, "drm_gpuvm_put" },
	{ 0x6bd80b60, "__dma_sync_single_for_cpu" },
	{ 0x437b465d, "drm_modeset_acquire_fini" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x09c00164, "vmap" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0xd10a29b9, "drm_dp_atomic_find_time_slots" },
	{ 0x46f77f96, "backlight_device_register" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x7a028fb9, "drm_vblank_work_cancel_sync" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x48ed9357, "drm_crtc_send_vblank_event" },
	{ 0x8f1bec12, "unmap_mapping_range" },
	{ 0x327c1379, "__drm_atomic_helper_plane_reset" },
	{ 0x5a4734d1, "drm_kms_helper_is_poll_worker" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x0d7f5bfe, "pci_save_state" },
	{ 0xe2f93174, "vmemdup_user" },
	{ 0x75dbab57, "drm_dev_enter" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xa615dce4, "__pm_runtime_set_status" },
	{ 0x79344841, "noop_llseek" },
	{ 0xb8f571f3, "drm_property_create" },
	{ 0x28b08a1f, "drm_dev_unplug" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0xd3586641, "i2c_new_client_device" },
	{ 0x8da9a025, "drm_crtc_add_crc_entry" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x43248fd1, "dma_unmap_sg_attrs" },
	{ 0x87a978bd, "drm_scdc_write" },
	{ 0xd1adf20f, "drm_mode_config_cleanup" },
	{ 0x9072bd67, "drm_mode_create_scaling_mode_property" },
	{ 0xead03ddb, "drm_plane_helper_update_primary" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6e16b83e, "ttm_bo_kunmap" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x55ad2980, "drm_encoder_cleanup" },
	{ 0xc19a4271, "drm_gem_handle_delete" },
	{ 0x58c48988, "drm_sched_start" },
	{ 0x973e4bd6, "drm_gpuva_ops_free" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe9d5bc15, "__drm_atomic_helper_connector_destroy_state" },
	{ 0xec48a359, "drm_helper_probe_detect" },
	{ 0x7b563d6d, "drm_object_attach_property" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfa1413a8, "regulator_disable" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x7979cef2, "drm_dp_dpcd_write" },
	{ 0x6ab53898, "pci_ignore_hotplug" },
	{ 0x73c351d1, "drm_connector_list_iter_begin" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb578b7e1, "drm_plane_helper_disable_primary" },
	{ 0xb2941030, "drm_dp_dpcd_read" },
	{ 0x76eac02c, "drm_atomic_helper_commit_hw_done" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x77458fdc, "drm_gem_object_lookup" },
	{ 0xbbda18c4, "dma_fence_free" },
	{ 0x3b36f7cf, "drm_atomic_get_mst_payload_state" },
	{ 0x9cd2f8ed, "pci_set_power_state" },
	{ 0x2146fe2c, "drm_gpuvm_bo_obtain" },
	{ 0x1a411479, "drm_syncobj_free" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x360f783b, "drm_gpuva_map" },
	{ 0x48193639, "acpi_lid_open" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8fccb5ec, "drm_crtc_enable_color_mgmt" },
	{ 0x502ce9bf, "drm_universal_plane_init" },
	{ 0xe7fa7b37, "iommu_unmap" },
	{ 0x04e8fc9e, "drm_dp_mst_get_edid" },
	{ 0xbcca05c5, "drm_dp_mst_topology_mgr_init" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x7c4e49c7, "__drm_atomic_helper_connector_duplicate_state" },
	{ 0xf8e125ce, "drm_atomic_state_default_clear" },
	{ 0x54c461c6, "ttm_bo_pin" },
	{ 0xd79eac70, "drm_atomic_add_affected_planes" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x80982297, "drm_dp_mst_topology_mgr_resume" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xa5f90702, "drm_atomic_helper_commit_cleanup_done" },
	{ 0xb6127243, "drm_need_swiotlb" },
	{ 0x7a830d67, "drm_gpuvm_resv_object_alloc" },
	{ 0xecb44497, "drm_connector_update_edid_property" },
	{ 0x300fe873, "drm_edp_backlight_disable" },
	{ 0xbaece5bb, "drm_dp_aux_unregister" },
	{ 0x80cf11c7, "drm_atomic_helper_suspend" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x942e17e3, "drm_crtc_cleanup" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xc29ccd07, "ttm_bo_kmap" },
	{ 0x46e7e8d1, "drm_atomic_get_old_mst_topology_state" },
	{ 0x9d50c684, "iommu_map" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xcc3dc96f, "drm_atomic_state_alloc" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xcbb796e8, "__dma_sync_single_for_device" },
	{ 0x51027e33, "pci_write_config_byte" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x372de467, "drm_dp_mst_put_port_malloc" },
	{ 0xefa09c2d, "drm_kms_helper_poll_enable" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x1a428a4e, "drm_modeset_unlock" },
	{ 0x01000e51, "schedule" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x8d8b6300, "device_link_add" },
	{ 0x9591ec63, "drm_connector_register" },
	{ 0x5bd08afe, "drm_crtc_accurate_vblank_count" },
	{ 0xc243d723, "mas_store_gfp" },
	{ 0xcb19b995, "drm_dp_atomic_release_time_slots" },
	{ 0x6a5de1bb, "alloc_pages_noprof" },
	{ 0x76b1a451, "drm_object_property_set_value" },
	{ 0xfc269381, "drm_modeset_acquire_init" },
	{ 0x9e2c84c0, "drm_atomic_state_clear" },
	{ 0xeb71e438, "drm_gpuvm_bo_evict" },
	{ 0x1b0cdf71, "drm_release" },
	{ 0xf307422a, "pci_restore_state" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x0392fb21, "drm_atomic_helper_swap_state" },
	{ 0x374e953a, "drm_gpuvm_sm_unmap_ops_create" },
	{ 0x0953421b, "drm_gpuva_link" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x53b48956, "drm_gem_object_init" },
	{ 0x329ee986, "iommu_domain_free" },
	{ 0x868011f3, "drm_helper_force_disable_all" },
	{ 0xe81b84b0, "drm_dp_lttpr_init" },
	{ 0xaf2e5720, "drm_gem_ttm_vmap" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb49dd77c, "pci_disable_msi" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x0aff3865, "drm_exec_init" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0xfe2db67c, "drm_plane_create_color_properties" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0x6e4ff67f, "drm_dp_mst_detect_port" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xcdf022da, "drm_gem_ttm_mmap" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0xe56a4037, "drm_gpuva_remove" },
	{ 0x10abd3ac, "drm_plane_force_disable" },
	{ 0x69353664, "__drm_debug" },
	{ 0x8aa32956, "dma_resv_add_fence" },
	{ 0x5d6243ae, "drm_dp_read_dpcd_caps" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0xc5772d45, "drm_encoder_init" },
	{ 0xf22ffe92, "drm_atomic_get_mst_topology_state" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x3baa52b2, "__pm_runtime_use_autosuspend" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5c02a157, "ttm_device_init" },
	{ 0x4c122b87, "vmalloc_to_page" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0x23999398, "ttm_device_fini" },
	{ 0x6b75082c, "drm_gpuvm_exec_lock" },
	{ 0x0ff0745b, "_dev_crit" },
	{ 0x938206f0, "drm_mode_create_tv_properties_legacy" },
	{ 0x76c1c615, "mas_erase" },
	{ 0x5e6f91f9, "tegra_powergate_remove_clamping" },
	{ 0xc06e0189, "drm_dp_check_act_status" },
	{ 0xd274de3e, "__drm_universal_plane_alloc" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x6d8598b8, "drm_gpuvm_sm_map_ops_create" },
	{ 0x3b898698, "pci_get_domain_bus_and_slot" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x6cd605a1, "drm_gpuva_insert" },
	{ 0x8671f70f, "drm_edp_backlight_init" },
	{ 0x72d512a2, "drm_gem_ttm_dumb_map_offset" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6fa7ad89, "drm_plane_create_zpos_immutable_property" },
	{ 0x809a258f, "drm_sched_job_add_dependency" },
	{ 0xbcb97abd, "ttm_bo_unpin" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x0d3d5fad, "ttm_bo_vm_fault_reserved" },
	{ 0xd7c08570, "__devm_reset_control_get" },
	{ 0x81188c30, "match_string" },
	{ 0xb1657b55, "drm_connector_list_iter_next" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb612385b, "drm_client_dev_resume" },
	{ 0xce8bbf15, "drm_dev_register" },
	{ 0x95614d65, "drm_prime_pages_to_sg" },
	{ 0x6b056b8f, "ttm_pool_free" },
	{ 0x0526c62e, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x1a783846, "drm_modeset_drop_locks" },
	{ 0xfbb44286, "platform_get_resource" },
	{ 0xf9968f9c, "__free_pages" },
	{ 0xa59ae7ea, "drm_dp_get_vc_payload_bw" },
	{ 0x9944a719, "drm_gem_ttm_vunmap" },
	{ 0xe6c088e3, "drm_atomic_helper_calc_timestamping_constants" },
	{ 0x1239b4f2, "platform_driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf605185d, "pm_runtime_set_autosuspend_delay" },
	{ 0xc4b7c0e1, "drm_atomic_helper_set_config" },
	{ 0xe822f69e, "drm_dp_read_sink_count_cap" },
	{ 0xd5b482af, "drm_dp_read_downstream_info" },
	{ 0x35d64439, "drm_crtc_helper_set_config" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xaf5ffa2e, "dma_resv_get_singleton" },
	{ 0x1df6b68b, "drm_crtc_vblank_put" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xc2e4688a, "i2c_unregister_device" },
	{ 0x3d695392, "component_add" },
	{ 0x4e2a621e, "drm_prime_sg_to_dma_addr_array" },
	{ 0xfd6b3aab, "__drm_atomic_helper_crtc_reset" },
	{ 0xb40b8ed8, "drm_helper_connector_dpms" },
	{ 0x94961283, "vunmap" },
	{ 0xbdb47022, "iommu_detach_device" },
	{ 0x51eb8737, "drm_edp_backlight_set_level" },
	{ 0x96c09baf, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xc3c8d4e2, "drm_sched_fini" },
	{ 0x91b816b9, "pci_enable_rom" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0x082a76fe, "drmm_mode_config_init" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x83d4224f, "led_classdev_suspend" },
	{ 0xef261fbb, "drm_compat_ioctl" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcebf2087, "drm_mode_destroy" },
	{ 0x53d87e2f, "drm_crtc_init_with_planes" },
	{ 0xa9ed62d2, "tegra_fuse_readl" },
	{ 0x53eae8a9, "drm_sched_entity_fini" },
	{ 0xd733e0d5, "drm_read" },
	{ 0x35476da4, "pci_enable_msi" },
	{ 0x7a35045d, "drm_property_create_range" },
	{ 0x81d5a934, "ttm_bo_move_to_lru_tail" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8c691095, "_dev_notice" },
	{ 0x3f03866b, "drm_kms_helper_poll_disable" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xc2aae440, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7bbe806, "drm_gpuvm_validate" },
	{ 0x69f1a1eb, "drm_gpuvm_bo_extobj_add" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6c0fb6f9, "drm_gem_fb_create_handle" },
	{ 0xec363dbc, "drm_plane_cleanup" },
	{ 0x5be74ba1, "pm_runtime_allow" },
	{ 0x98cf60b3, "strlen" },
	{ 0x83380397, "i2c_transfer" },
	{ 0x8aabbc75, "drm_fbdev_ttm_driver_fbdev_probe" },
	{ 0xa9e946ad, "drm_modeset_lock_all" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x635ce576, "drm_dp_read_lttpr_common_caps" },
	{ 0x7f7778f0, "drm_syncobj_replace_fence" },
	{ 0xae06cf6a, "drm_exec_fini" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x97aa31ca, "of_device_get_match_data" },
	{ 0xffb7c514, "ida_free" },
	{ 0xba1892a1, "drm_syncobj_find" },
	{ 0x61704e7f, "single_release" },
	{ 0x65c6bd9b, "drm_crtc_vblank_get" },
	{ 0x06ce2c92, "drm_gpuva_unmap" },
	{ 0x9147a62a, "ttm_resource_manager_evict_all" },
	{ 0xedc03953, "iounmap" },
	{ 0xd07dbc46, "drm_mode_config_reset" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xdf924ed9, "drm_kms_helper_poll_fini" },
	{ 0x1cc5de75, "drm_helper_resume_force_mode" },
	{ 0xe4394eb5, "drm_kms_helper_hotplug_event" },
	{ 0x85df9b6c, "strsep" },
	{ 0x1258503f, "drm_add_edid_modes" },
	{ 0x3904ff2f, "devm_regulator_get" },
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x87c81d8d, "led_classdev_register_ext" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "drm_display_helper,ttm,drm_gpuvm,i2c-algo-bit,gpu-sched,drm_exec,backlight,button,drm_ttm_helper");

MODULE_ALIAS("of:N*T*Cnvidia,gk20a");
MODULE_ALIAS("of:N*T*Cnvidia,gk20aC*");
MODULE_ALIAS("of:N*T*Cnvidia,gm20b");
MODULE_ALIAS("of:N*T*Cnvidia,gm20bC*");
MODULE_ALIAS("of:N*T*Cnvidia,gp10b");
MODULE_ALIAS("of:N*T*Cnvidia,gp10bC*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v000012D2d*sv*sd*bc03sc*i*");

MODULE_INFO(srcversion, "EECAD7FE1AE4C4884357FAD");
