#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ttm_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_fini, "", "");
KSYMTAB_FUNC(ttm_sg_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_restore, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_pages_limit, "", "");
KSYMTAB_FUNC(ttm_tt_setup_backup, "", "");
KSYMTAB_FUNC(ttm_bo_move_to_lru_tail, "", "");
KSYMTAB_FUNC(ttm_bo_set_bulk_move, "", "");
KSYMTAB_FUNC(ttm_bo_put, "", "");
KSYMTAB_FUNC(ttm_bo_eviction_valuable, "", "");
KSYMTAB_FUNC(ttm_bo_pin, "", "");
KSYMTAB_FUNC(ttm_bo_unpin, "", "");
KSYMTAB_FUNC(ttm_bo_mem_space, "", "");
KSYMTAB_FUNC(ttm_bo_validate, "", "");
KSYMTAB_FUNC(ttm_bo_init_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_init_validate, "", "");
KSYMTAB_FUNC(ttm_bo_unmap_virtual, "", "");
KSYMTAB_FUNC(ttm_bo_wait_ctx, "", "");
KSYMTAB_FUNC(ttm_bo_populate, "", "");
KSYMTAB_FUNC(ttm_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_bo_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_io_prot, "", "");
KSYMTAB_FUNC(ttm_bo_kmap, "", "");
KSYMTAB_FUNC(ttm_bo_kunmap, "", "");
KSYMTAB_FUNC(ttm_bo_vmap, "", "");
KSYMTAB_FUNC(ttm_bo_vunmap, "", "");
KSYMTAB_FUNC(ttm_bo_move_accel_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_move_sync_cleanup, "", "");
KSYMTAB_FUNC(ttm_lru_walk_for_evict, "", "");
KSYMTAB_FUNC(ttm_bo_lru_cursor_fini, "", "");
KSYMTAB_FUNC(ttm_bo_lru_cursor_init, "", "");
KSYMTAB_FUNC(ttm_bo_lru_cursor_next, "", "");
KSYMTAB_FUNC(ttm_bo_lru_cursor_first, "", "");
KSYMTAB_FUNC(ttm_bo_shrink, "", "");
KSYMTAB_FUNC(ttm_bo_shrink_suitable, "", "");
KSYMTAB_FUNC(ttm_bo_shrink_avoid_wait, "", "");
KSYMTAB_FUNC(ttm_bo_vm_reserve, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_vm_dummy_page, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault, "", "");
KSYMTAB_FUNC(ttm_bo_vm_open, "", "");
KSYMTAB_FUNC(ttm_bo_vm_close, "", "");
KSYMTAB_FUNC(ttm_bo_access, "", "");
KSYMTAB_FUNC(ttm_bo_vm_access, "", "");
KSYMTAB_FUNC(ttm_bo_mmap_obj, "", "");
KSYMTAB_FUNC(ttm_eu_backoff_reservation, "", "");
KSYMTAB_FUNC(ttm_eu_reserve_buffers, "", "");
KSYMTAB_FUNC(ttm_eu_fence_buffer_objects, "", "");
KSYMTAB_FUNC(ttm_range_man_init_nocheck, "", "");
KSYMTAB_FUNC(ttm_range_man_fini_nocheck, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_init, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_fini, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_tail, "", "");
KSYMTAB_FUNC(ttm_resource_init, "", "");
KSYMTAB_FUNC(ttm_resource_fini, "", "");
KSYMTAB_FUNC(ttm_resource_free, "", "");
KSYMTAB_FUNC(ttm_resource_manager_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_evict_all, "", "");
KSYMTAB_FUNC(ttm_resource_manager_usage, "", "");
KSYMTAB_FUNC(ttm_resource_manager_debug, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_iomap_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_create_debugfs, "", "");
KSYMTAB_FUNC(ttm_pool_alloc, "", "");
KSYMTAB_FUNC(ttm_pool_free, "", "");
KSYMTAB_FUNC(ttm_pool_init, "", "");
KSYMTAB_FUNC(ttm_pool_fini, "", "");
KSYMTAB_FUNC(ttm_pool_debugfs, "", "");
KSYMTAB_DATA(ttm_glob, "", "");
KSYMTAB_FUNC(ttm_device_swapout, "", "");
KSYMTAB_FUNC(ttm_device_init, "", "");
KSYMTAB_FUNC(ttm_device_fini, "", "");
KSYMTAB_FUNC(ttm_device_clear_dma_mappings, "", "");
KSYMTAB_FUNC(ttm_backup_bytes_avail, "_gpl", "");

SYMBOL_CRC(ttm_tt_init, 0x990fe77d, "");
SYMBOL_CRC(ttm_tt_fini, 0x411bdb42, "");
SYMBOL_CRC(ttm_sg_tt_init, 0x6cde79b5, "");
SYMBOL_CRC(ttm_tt_restore, 0x9f5f3eb8, "");
SYMBOL_CRC(ttm_kmap_iter_tt_init, 0x97709e77, "");
SYMBOL_CRC(ttm_tt_pages_limit, 0x69cc2943, "");
SYMBOL_CRC(ttm_tt_setup_backup, 0xcfca79cc, "");
SYMBOL_CRC(ttm_bo_move_to_lru_tail, 0x81d5a934, "");
SYMBOL_CRC(ttm_bo_set_bulk_move, 0x940d10ac, "");
SYMBOL_CRC(ttm_bo_put, 0x44e1f1fd, "");
SYMBOL_CRC(ttm_bo_eviction_valuable, 0x3fbf075b, "");
SYMBOL_CRC(ttm_bo_pin, 0x54c461c6, "");
SYMBOL_CRC(ttm_bo_unpin, 0xbcb97abd, "");
SYMBOL_CRC(ttm_bo_mem_space, 0x084861a6, "");
SYMBOL_CRC(ttm_bo_validate, 0x1188c456, "");
SYMBOL_CRC(ttm_bo_init_reserved, 0xc2ca06f7, "");
SYMBOL_CRC(ttm_bo_init_validate, 0xd1348c35, "");
SYMBOL_CRC(ttm_bo_unmap_virtual, 0x38d3af7e, "");
SYMBOL_CRC(ttm_bo_wait_ctx, 0xc1559cdc, "");
SYMBOL_CRC(ttm_bo_populate, 0xf1ec9efa, "");
SYMBOL_CRC(ttm_move_memcpy, 0x1a71d30c, "");
SYMBOL_CRC(ttm_bo_move_memcpy, 0xc1fd18a5, "");
SYMBOL_CRC(ttm_io_prot, 0x4d16f7b9, "");
SYMBOL_CRC(ttm_bo_kmap, 0xc29ccd07, "");
SYMBOL_CRC(ttm_bo_kunmap, 0x6e16b83e, "");
SYMBOL_CRC(ttm_bo_vmap, 0x981488bd, "");
SYMBOL_CRC(ttm_bo_vunmap, 0x0c36564e, "");
SYMBOL_CRC(ttm_bo_move_accel_cleanup, 0x54fc62f2, "");
SYMBOL_CRC(ttm_bo_move_sync_cleanup, 0x7b16a9fc, "");
SYMBOL_CRC(ttm_lru_walk_for_evict, 0x50a5de29, "");
SYMBOL_CRC(ttm_bo_lru_cursor_fini, 0x3d1fe12a, "");
SYMBOL_CRC(ttm_bo_lru_cursor_init, 0xb4086eb3, "");
SYMBOL_CRC(ttm_bo_lru_cursor_next, 0x07477406, "");
SYMBOL_CRC(ttm_bo_lru_cursor_first, 0x9b2e2cb7, "");
SYMBOL_CRC(ttm_bo_shrink, 0x2fc8ade7, "");
SYMBOL_CRC(ttm_bo_shrink_suitable, 0xaa79a57a, "");
SYMBOL_CRC(ttm_bo_shrink_avoid_wait, 0x8832bf37, "");
SYMBOL_CRC(ttm_bo_vm_reserve, 0x2baae131, "");
SYMBOL_CRC(ttm_bo_vm_fault_reserved, 0x0d3d5fad, "");
SYMBOL_CRC(ttm_bo_vm_dummy_page, 0xf32605e2, "");
SYMBOL_CRC(ttm_bo_vm_fault, 0x1dd4735b, "");
SYMBOL_CRC(ttm_bo_vm_open, 0x364019b6, "");
SYMBOL_CRC(ttm_bo_vm_close, 0xe2174752, "");
SYMBOL_CRC(ttm_bo_access, 0xb5ab9bc7, "");
SYMBOL_CRC(ttm_bo_vm_access, 0x2a4dc851, "");
SYMBOL_CRC(ttm_bo_mmap_obj, 0xd258229c, "");
SYMBOL_CRC(ttm_eu_backoff_reservation, 0x3d56783c, "");
SYMBOL_CRC(ttm_eu_reserve_buffers, 0x890337dc, "");
SYMBOL_CRC(ttm_eu_fence_buffer_objects, 0x149b1b12, "");
SYMBOL_CRC(ttm_range_man_init_nocheck, 0x4bf0de4a, "");
SYMBOL_CRC(ttm_range_man_fini_nocheck, 0x57bb1af3, "");
SYMBOL_CRC(ttm_lru_bulk_move_init, 0x50332603, "");
SYMBOL_CRC(ttm_lru_bulk_move_fini, 0x028b6a5a, "");
SYMBOL_CRC(ttm_lru_bulk_move_tail, 0x21868ad3, "");
SYMBOL_CRC(ttm_resource_init, 0xc4dedb05, "");
SYMBOL_CRC(ttm_resource_fini, 0x8548a0d9, "");
SYMBOL_CRC(ttm_resource_free, 0xf129d56a, "");
SYMBOL_CRC(ttm_resource_manager_init, 0x42be34db, "");
SYMBOL_CRC(ttm_resource_manager_evict_all, 0x9147a62a, "");
SYMBOL_CRC(ttm_resource_manager_usage, 0xe19d2a9c, "");
SYMBOL_CRC(ttm_resource_manager_debug, 0x4a6198fb, "");
SYMBOL_CRC(ttm_kmap_iter_iomap_init, 0x0c231474, "");
SYMBOL_CRC(ttm_resource_manager_create_debugfs, 0xd7007062, "");
SYMBOL_CRC(ttm_pool_alloc, 0xde03fa81, "");
SYMBOL_CRC(ttm_pool_free, 0x6b056b8f, "");
SYMBOL_CRC(ttm_pool_init, 0xb6dca392, "");
SYMBOL_CRC(ttm_pool_fini, 0xcb282017, "");
SYMBOL_CRC(ttm_pool_debugfs, 0x888bb93a, "");
SYMBOL_CRC(ttm_glob, 0xa4fa6dcf, "");
SYMBOL_CRC(ttm_device_swapout, 0xf1f250e6, "");
SYMBOL_CRC(ttm_device_init, 0x5c02a157, "");
SYMBOL_CRC(ttm_device_fini, 0x23999398, "");
SYMBOL_CRC(ttm_device_clear_dma_mappings, 0xd46510c5, "");
SYMBOL_CRC(ttm_backup_bytes_avail, 0xba5188c9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7832e58b, "shrinker_alloc" },
	{ 0xfd6a2051, "ww_mutex_lock_interruptible" },
	{ 0x75dbab57, "drm_dev_enter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xea3d17eb, "param_ops_ulong" },
	{ 0xbb5d6589, "dma_resv_reserve_fences" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x32948410, "shmem_read_folio_gfp" },
	{ 0x6f17ac3a, "folio_unlock" },
	{ 0x4c122b87, "vmalloc_to_page" },
	{ 0x75eb9c31, "dma_resv_init" },
	{ 0x1618a746, "dma_resv_wait_timeout" },
	{ 0x6063f063, "__drm_printfn_dbg" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xfa666974, "queue_work_node" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x4c55853c, "ww_mutex_unlock" },
	{ 0xedc03953, "iounmap" },
	{ 0x9b132d69, "debugfs_create_atomic_t" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8f1bec12, "unmap_mapping_range" },
	{ 0x8aa32956, "dma_resv_add_fence" },
	{ 0x94961283, "vunmap" },
	{ 0x037a0cba, "kfree" },
	{ 0x360694df, "seq_lseek" },
	{ 0xe8a0e334, "drm_vma_offset_add" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0x4d924f20, "memremap" },
	{ 0x57bf7208, "folio_clear_dirty_for_io" },
	{ 0x8b5709d5, "__tracepoint_mmap_lock_released" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0x5c6d2814, "shrinker_free" },
	{ 0x1528d90c, "drm_mm_print" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0xb4e32191, "dump_stack" },
	{ 0xfe74adf3, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0xc41fc60a, "ww_mutex_trylock" },
	{ 0x8eb86d9d, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x3b1881fe, "shrinker_register" },
	{ 0x618911fc, "numa_node" },
	{ 0xf9968f9c, "__free_pages" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0xfdf529d2, "folio_mark_dirty" },
	{ 0x8238d398, "split_page" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x95868db9, "mark_page_accessed" },
	{ 0xf7b7a6a7, "shmem_file_setup" },
	{ 0x7a5e75fb, "copy_highpage" },
	{ 0x718d561a, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x4cfb79dc, "folio_mark_accessed" },
	{ 0xc4d42ae6, "dma_resv_fini" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x6e50cfbb, "seq_putc" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x667bb43f, "ww_mutex_lock" },
	{ 0xc5788f7b, "shmem_read_mapping_page_gfp" },
	{ 0x09c00164, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x676fa881, "vmf_insert_pfn_prot" },
	{ 0xdcb764ad, "memset" },
	{ 0x0eca48d2, "prot_ns_shared" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0xf6f9d58d, "init_on_free" },
	{ 0x668b19a1, "down_read" },
	{ 0xe0dec289, "dma_resv_copy_fences" },
	{ 0x32a6c2c6, "set_page_dirty" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x4d9aa654, "rsi_present" },
	{ 0xcf298550, "shmem_truncate_range" },
	{ 0xa38c4c94, "drm_memcpy_from_wc" },
	{ 0x7c2d03a6, "dma_fence_enable_sw_signaling" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8ca89c2e, "dma_resv_iter_next_unlocked" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0xcad91204, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17759e36, "seq_printf" },
	{ 0x77f07a96, "__mmap_lock_do_trace_released" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0xa0d3456d, "nr_swap_pages" },
	{ 0x8dbec6c0, "dma_resv_iter_first_unlocked" },
	{ 0x6a5de1bb, "alloc_pages_noprof" },
	{ 0xe513b8ab, "__folio_lock" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x2b084703, "dma_resv_test_signaled" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xedd623a1, "__vma_start_write" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x35215603, "ioremap_prot" },
	{ 0x53a61fba, "cc_platform_has" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0x4831da6e, "drm_vma_offset_remove" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4042370C45A2B9A67C253EA");
