#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_regulator_init_cb, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x2f38461c, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x5bb02791, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x09945897, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0xe97ede38, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0xc303e0eb, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x7a0b15ba, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0xb2162f4c, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0xfa1b5dd8, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0xbe95baff, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x3cb475cd, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0xa820f2c4, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0xcb86ffbf, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0xe62cdb42, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0x352c4ad8, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x261d9348, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x76001e8b, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0xf9f26457, "_gpl");
SYMBOL_CRC(pmbus_regulator_init_cb, 0x3f5ac2e9, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0xeea727d5, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0xdc1c7ca5, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0xcd1bf986, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0xe0003cb0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3213f038, "mutex_unlock" },
	{ 0x27a399fb, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7ccc581b, "devm_krealloc" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2aa3cf98, "simple_attr_open" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x142f236c, "devm_thermal_of_zone_register" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x69d85294, "i2c_smbus_write_byte_data" },
	{ 0xe54bc213, "i2c_smbus_read_byte_data" },
	{ 0x4844874e, "i2c_smbus_write_byte" },
	{ 0x895beb12, "i2c_smbus_write_word_data" },
	{ 0xecf55745, "i2c_smbus_read_word_data" },
	{ 0xd3b1541e, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd633b02d, "rdev_get_dev" },
	{ 0xac8f6432, "rdev_get_id" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1634bdce, "sysfs_notify" },
	{ 0x5016e1aa, "kobject_uevent" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x22e4e164, "regulator_notifier_call_chain" },
	{ 0xf2731c95, "i2c_smbus_xfer" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x22774dd3, "device_create_file" },
	{ 0xab4348aa, "__devm_add_action" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0xdcb764ad, "memset" },
	{ 0x4678c8a1, "thermal_zone_device_priv" },
	{ 0x0782c59e, "dentry_path_raw" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x972138e2, "debugfs_create_symlink" },
	{ 0x037a0cba, "kfree" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x96848186, "scnprintf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa2f73ce4, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x4829a47e, "memcpy" },
	{ 0x90b9bcff, "devm_hwmon_device_register_with_groups" },
	{ 0xaa930f35, "devm_regulator_register" },
	{ 0x2c21f723, "dev_err_probe" },
	{ 0x79344841, "noop_llseek" },
	{ 0x5ca25210, "simple_open" },
	{ 0xce4fed4a, "debugfs_attr_read" },
	{ 0xdcea2c0b, "debugfs_attr_write" },
	{ 0xa8cf9e40, "simple_attr_release" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2051ED8D2F963B65CC14178");
