#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x43eea25e, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0xa26eeba9, "_gpl");
SYMBOL_CRC(stm_data_write, 0x5bb194e5, "_gpl");
SYMBOL_CRC(stm_register_device, 0x6838bf95, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x4d4ed394, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x65ddf752, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0xedadf7bf, "_gpl");
SYMBOL_CRC(stm_source_write, 0x942ca40a, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xd8d7e170, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42996f74, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x5284c494, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x21b6bf80, "device_unregister" },
	{ 0xf605185d, "pm_runtime_set_autosuspend_delay" },
	{ 0x5b2ea848, "vm_iomap_memory" },
	{ 0x5f001aa9, "config_item_get" },
	{ 0xf730879d, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0xb278ea72, "synchronize_srcu" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x7596d0e9, "configfs_unregister_subsystem" },
	{ 0xa615dce4, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xaf7adc45, "put_device" },
	{ 0x5c28d70e, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x9f984513, "strrchr" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x73c1a4d5, "compat_ptr_ioctl" },
	{ 0x4a8cf66b, "init_srcu_struct" },
	{ 0x59cab9fe, "configfs_register_subsystem" },
	{ 0x56795ba8, "device_add" },
	{ 0x37b60271, "__srcu_read_lock" },
	{ 0x2f3ec2a7, "config_group_init_type_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x58daeb2b, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xfe864e94, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x8f514fec, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf8fbfaed, "nonseekable_open" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x0188b501, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbb0610cb, "config_item_put" },
	{ 0x12f65eb5, "__register_chrdev" },
	{ 0xffd1be08, "kobject_set_name" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0xe50054f1, "device_match_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xf329399e, "__srcu_read_unlock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x90543b57, "__pm_runtime_suspend" },
	{ 0x3baa52b2, "__pm_runtime_use_autosuspend" },
	{ 0xedd623a1, "__vma_start_write" },
	{ 0x6507e9c9, "__pm_runtime_disable" },
	{ 0x43c9bb5c, "class_register" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9fb7fc2d, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A80A2091E20FB9827EE187E");
