#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0x0e9d7cdd, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0x937f69e0, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0xdbe0a938, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0xbc0235e8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f0f2d47, "regmap_write" },
	{ 0xa18be225, "regmap_get_device" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfc20eeec, "iio_get_time_ns" },
	{ 0x3a8a9f62, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x126d6b35, "regmap_update_bits_base" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x0f08c8ad, "regmap_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x90543b57, "__pm_runtime_suspend" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x21e9129f, "iio_device_get_current_mode" },
	{ 0xdcb764ad, "memset" },
	{ 0x0f748d40, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1513c17a, "iio_push_to_buffers" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x2c3fb628, "iio_push_event" },
	{ 0xb48a672d, "regmap_bulk_read" },
	{ 0x30c47964, "iio_trigger_notify_done" },
	{ 0x6b7a49e3, "iio_device_unregister" },
	{ 0x6507e9c9, "__pm_runtime_disable" },
	{ 0xa615dce4, "__pm_runtime_set_status" },
	{ 0x8e6b5843, "iio_trigger_unregister" },
	{ 0xa102c397, "iio_triggered_buffer_cleanup" },
	{ 0xfdc922ae, "regulator_bulk_disable" },
	{ 0xf40823be, "devm_iio_device_alloc" },
	{ 0xa17e57fa, "is_acpi_device_node" },
	{ 0x5f01637c, "iio_read_mount_matrix" },
	{ 0x7c7a9c6b, "devm_regulator_bulk_get" },
	{ 0x322d8cd9, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x57f6f7a1, "iio_triggered_buffer_setup_ext" },
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0xfaa53195, "iio_device_id" },
	{ 0x551f3751, "__devm_iio_trigger_alloc" },
	{ 0xe69d603f, "iio_trigger_register" },
	{ 0x5c28d70e, "pm_runtime_enable" },
	{ 0xf605185d, "pm_runtime_set_autosuspend_delay" },
	{ 0x3baa52b2, "__pm_runtime_use_autosuspend" },
	{ 0x209f5417, "__iio_device_register" },
	{ 0x631495e6, "acpi_device_hid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x14268f92, "iio_read_acpi_mount_matrix" },
	{ 0x2c21f723, "dev_err_probe" },
	{ 0xe337f3ab, "__dev_fwnode" },
	{ 0x9a012b6e, "fwnode_irq_get_byname" },
	{ 0x0e52aa20, "iio_buffer_enabled" },
	{ 0x0a3826ab, "iio_read_const_attr" },
	{ 0x35dc6130, "iio_show_mount_matrix" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "5D01F7D683BD022960F2DB7");
