#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cros_ec_sensors_push_data, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_core_init, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_core_register, "_gpl", "");
KSYMTAB_FUNC(cros_ec_motion_send_host_cmd, "_gpl", "");
KSYMTAB_DATA(cros_ec_sensors_ext_info, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_read_lpc, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_read_cmd, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_capture, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_core_read, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_core_read_avail, "_gpl", "");
KSYMTAB_FUNC(cros_ec_sensors_core_write, "_gpl", "");
KSYMTAB_DATA(cros_ec_sensors_pm_ops, "_gpl", "");

SYMBOL_CRC(cros_ec_sensors_push_data, 0xd0a25eb5, "_gpl");
SYMBOL_CRC(cros_ec_sensors_core_init, 0x91670ab8, "_gpl");
SYMBOL_CRC(cros_ec_sensors_core_register, 0x352c8513, "_gpl");
SYMBOL_CRC(cros_ec_motion_send_host_cmd, 0x6def649f, "_gpl");
SYMBOL_CRC(cros_ec_sensors_ext_info, 0xc264d435, "_gpl");
SYMBOL_CRC(cros_ec_sensors_read_lpc, 0x2c2d0acb, "_gpl");
SYMBOL_CRC(cros_ec_sensors_read_cmd, 0xe824b69d, "_gpl");
SYMBOL_CRC(cros_ec_sensors_capture, 0x9971dac4, "_gpl");
SYMBOL_CRC(cros_ec_sensors_core_read, 0x8b980631, "_gpl");
SYMBOL_CRC(cros_ec_sensors_core_read_avail, 0x18cc3e15, "_gpl");
SYMBOL_CRC(cros_ec_sensors_core_write, 0x98b42745, "_gpl");
SYMBOL_CRC(cros_ec_sensors_pm_ops, 0x33f62112, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0x53ab73ee, "devm_iio_triggered_buffer_setup_ext" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x1513c17a, "iio_push_to_buffers" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x2b61e004, "iio_device_claim_buffer_mode" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x585aac0c, "cros_ec_cmd_xfer_status" },
	{ 0x1a298ca4, "devm_iio_kfifo_buffer_setup_ext" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x643a4552, "cros_ec_check_features" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x637cbb42, "__devm_iio_device_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xfc20eeec, "iio_get_time_ns" },
	{ 0xa622d0f8, "iio_device_set_clock" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6085b9bf, "cros_ec_sensorhub_register_push_data" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf6e865f7, "iio_device_get_clock" },
	{ 0x56fea38c, "cros_ec_sensorhub_unregister_push_data" },
	{ 0x25ad20db, "iio_device_release_buffer_mode" },
	{ 0x30c47964, "iio_trigger_notify_done" },
	{ 0xab4348aa, "__devm_add_action" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "industrialio-triggered-buffer,industrialio,kfifo_buf,cros-ec-sensorhub");


MODULE_INFO(srcversion, "6E62C2A46968619868B90FC");
