#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(st_sensors_debugfs_reg_access, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_odr, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_enable, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_axis_enable, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_power_enable, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_dev_name_probe, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_init_sensor, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_dataready_irq, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_fullscale_by_gain, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_read_info_raw, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_get_settings_index, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_verify_id, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_sysfs_sampling_frequency_avail, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_sysfs_scale_avail, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_trigger_handler, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_allocate_trigger, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_validate_device, "", "IIO_ST_SENSORS");

SYMBOL_CRC(st_sensors_debugfs_reg_access, 0xbb0b6b40, "");
SYMBOL_CRC(st_sensors_set_odr, 0xe1efc8bf, "");
SYMBOL_CRC(st_sensors_set_enable, 0xc804d3b6, "");
SYMBOL_CRC(st_sensors_set_axis_enable, 0x41f094d3, "");
SYMBOL_CRC(st_sensors_power_enable, 0xca3862ab, "");
SYMBOL_CRC(st_sensors_dev_name_probe, 0x84cea45e, "");
SYMBOL_CRC(st_sensors_init_sensor, 0x0f650d8b, "");
SYMBOL_CRC(st_sensors_set_dataready_irq, 0xb31af9e0, "");
SYMBOL_CRC(st_sensors_set_fullscale_by_gain, 0x89136387, "");
SYMBOL_CRC(st_sensors_read_info_raw, 0xda7405a5, "");
SYMBOL_CRC(st_sensors_get_settings_index, 0x08680a90, "");
SYMBOL_CRC(st_sensors_verify_id, 0x85b89e52, "");
SYMBOL_CRC(st_sensors_sysfs_sampling_frequency_avail, 0x101aa1f3, "");
SYMBOL_CRC(st_sensors_sysfs_scale_avail, 0x67bb4e48, "");
SYMBOL_CRC(st_sensors_trigger_handler, 0x074d7047, "");
SYMBOL_CRC(st_sensors_allocate_trigger, 0xa818c279, "");
SYMBOL_CRC(st_sensors_validate_device, 0x9917c564, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f0f2d47, "regmap_write" },
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x1513c17a, "iio_push_to_buffers" },
	{ 0x96848186, "scnprintf" },
	{ 0xea56de05, "iio_device_release_direct_mode" },
	{ 0x037a0cba, "kfree" },
	{ 0x77f0fb5f, "__module_get" },
	{ 0xfb254be7, "get_device" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb752f23f, "device_property_read_u32_array" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe49a1eda, "iio_device_claim_direct_mode" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x93fef8b6, "irq_get_irq_data" },
	{ 0x3373449a, "iio_trigger_poll_nested" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3cf83e6e, "iio_trigger_using_own" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x86c41c3b, "devm_regulator_bulk_get_enable" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xa1b02099, "device_get_match_data" },
	{ 0xd0bcf718, "devm_iio_trigger_register" },
	{ 0xfc20eeec, "iio_get_time_ns" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x0f08c8ad, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb48a672d, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa9319bdb, "device_property_read_bool" },
	{ 0x126d6b35, "regmap_update_bits_base" },
	{ 0x2c21f723, "dev_err_probe" },
	{ 0x30c47964, "iio_trigger_notify_done" },
	{ 0x551f3751, "__devm_iio_trigger_alloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe337f3ab, "__dev_fwnode" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "industrialio");


MODULE_INFO(srcversion, "0F7A4F38C9E3CF06364E998");
