#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iwcm_reject_msg, "", "");
KSYMTAB_FUNC(iw_create_cm_id, "", "");
KSYMTAB_FUNC(iw_cm_disconnect, "", "");
KSYMTAB_FUNC(iw_destroy_cm_id, "", "");
KSYMTAB_FUNC(iw_cm_listen, "", "");
KSYMTAB_FUNC(iw_cm_reject, "", "");
KSYMTAB_FUNC(iw_cm_accept, "", "");
KSYMTAB_FUNC(iw_cm_connect, "", "");
KSYMTAB_FUNC(iw_cm_init_qp_attr, "", "");

SYMBOL_CRC(iwcm_reject_msg, 0xf3df871f, "");
SYMBOL_CRC(iw_create_cm_id, 0x032deb0b, "");
SYMBOL_CRC(iw_cm_disconnect, 0x87864cb8, "");
SYMBOL_CRC(iw_destroy_cm_id, 0x54c4d757, "");
SYMBOL_CRC(iw_cm_listen, 0xb20d6744, "");
SYMBOL_CRC(iw_cm_reject, 0xf3f80da2, "");
SYMBOL_CRC(iw_cm_accept, 0x8620d633, "");
SYMBOL_CRC(iw_cm_connect, 0xef537e80, "");
SYMBOL_CRC(iw_cm_init_qp_attr, 0x35ff9a78, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x92e683f5, "down_timeout" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x25abd0fe, "ibnl_put_msg" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcf2a6966, "up" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x97c171d2, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x01000e51, "schedule" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0xdce0d786, "rdma_nl_unicast" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x75a729a0, "rdma_nl_unregister" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9aa75bcc, "rdma_nl_multicast" },
	{ 0x2da8b798, "init_net" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xded19f2f, "ibnl_put_attr" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xabd39162, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4014f368, "ib_modify_qp" },
	{ 0x5ec78f3f, "rdma_nl_unicast_wait" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0x98cf60b3, "strlen" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb2bfad03, "rdma_nl_register" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "9B4D4B3136F5B77EB2A7157");
