#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0x436d837a, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0xabe30808, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0x16fd6aca, "");
SYMBOL_CRC(__rmi_register_function_handler, 0x5abf067e, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0x324bdd6c, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0x42a2f3ec, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0xac30929b, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0x25fe9de9, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0x9414dd6b, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0x6eb7ee4e, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0xb3fdc6dc, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0x1d163f17, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0xa9e02fa8, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0x1a2e21dd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b102c81, "input_mt_assign_slots" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xfd19ff82, "of_node_put" },
	{ 0xba8e2979, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3488aafa, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd3f8904d, "irq_domain_remove" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x6d4bca86, "request_firmware" },
	{ 0x9fad3039, "input_mt_report_slot_state" },
	{ 0xf730879d, "device_initialize" },
	{ 0x3fa65ac8, "devm_input_allocate_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x2c533f5a, "__serio_register_port" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0x586ac3dd, "irq_domain_simple_ops" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x6d3e1396, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x809c33d8, "irq_set_chip_and_handler_name" },
	{ 0xaf7adc45, "put_device" },
	{ 0x4ce3a522, "handle_simple_irq" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0xf346a2eb, "of_get_child_by_name" },
	{ 0xc714fb11, "bus_unregister" },
	{ 0x0bbad260, "devm_kfree" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x56795ba8, "device_add" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xdd9fa060, "of_property_read_bool" },
	{ 0xf6e3aa6d, "input_mt_init_slots" },
	{ 0x93fef8b6, "irq_get_irq_data" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x05156742, "input_set_capability" },
	{ 0x31e6b7e7, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x17c77374, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xb69b7268, "device_del" },
	{ 0x481fca40, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x378cae6c, "serio_unregister_port" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xadff0877, "input_event" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xaae9871f, "input_set_abs_params" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d8ef513, "devm_kasprintf" },
	{ 0x7b001020, "sysfs_remove_group" },
	{ 0x85b77e8f, "serio_interrupt" },
	{ 0x8c834c8b, "irq_domain_instantiate" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x357038ec, "irq_create_mapping_affinity" },
	{ 0xe651d050, "input_alloc_absinfo" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x69c191a1, "_dev_printk" },
	{ 0x303bdda4, "driver_register" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x43d13e73, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "64630A0C1A4D938F95F2630");
