#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dm_register_path_selector, "_gpl", "");
KSYMTAB_FUNC(dm_unregister_path_selector, "_gpl", "");

SYMBOL_CRC(dm_register_path_selector, 0xea1dbba4, "_gpl");
SYMBOL_CRC(dm_unregister_path_selector, 0x8c54840b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ae62673, "bio_associate_blkg" },
	{ 0x42996f74, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa8e3ec2d, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xea3d17eb, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3672862c, "dm_table_run_md_queue_async" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8b25e7fd, "dm_noflush_suspending" },
	{ 0x23418c7d, "dm_devt_from_path" },
	{ 0x96637a26, "dm_per_bio_data" },
	{ 0xdac048f0, "dm_put_device" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x037a0cba, "kfree" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x21f2f8e5, "dm_mq_kick_requeue_list" },
	{ 0x8c8ba2b1, "blk_mq_free_request" },
	{ 0x837a56b8, "blk_finish_plug" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x6691a6f6, "bio_endio" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x1b78b5df, "dm_suspended" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x93730f39, "submit_bio_noacct" },
	{ 0x056bcf7b, "dm_read_arg" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x696a76f8, "blk_mq_alloc_request" },
	{ 0x73280c3a, "scsi_dh_attach" },
	{ 0x07cfc574, "dm_unregister_target" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4bc921fd, "scsi_dh_activate" },
	{ 0x87ddc5eb, "blk_lld_busy" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdcb764ad, "memset" },
	{ 0xfde22979, "dm_table_event" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe6d1bf36, "scsi_dh_attached_handler_name" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xba532979, "dm_table_device_name" },
	{ 0x4ef1ddb3, "dm_register_target" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd3819ff6, "dm_start_time_ns_from_clone" },
	{ 0xe1dc8f7f, "dm_table_get_mode" },
	{ 0xa9319555, "dm_table_get_md" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x012255b2, "dm_path_uevent" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x001323cb, "dm_get_device" },
	{ 0x9e41ab1b, "dm_table_set_type" },
	{ 0x98cf60b3, "strlen" },
	{ 0x53b954a2, "up_read" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x30483e2a, "scsi_dh_set_params" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DEC9284975697567E71A71B");
