#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx8802_start_dma, "", "");
KSYMTAB_FUNC(cx8802_buf_prepare, "", "");
KSYMTAB_FUNC(cx8802_buf_queue, "", "");
KSYMTAB_FUNC(cx8802_cancel_buffers, "", "");
KSYMTAB_FUNC(cx8802_get_driver, "", "");
KSYMTAB_FUNC(cx8802_register_driver, "", "");
KSYMTAB_FUNC(cx8802_unregister_driver, "", "");

SYMBOL_CRC(cx8802_start_dma, 0x9b2d0b86, "");
SYMBOL_CRC(cx8802_buf_prepare, 0x6ec4c051, "");
SYMBOL_CRC(cx8802_buf_queue, 0x9a992623, "");
SYMBOL_CRC(cx8802_cancel_buffers, 0x0079543b, "");
SYMBOL_CRC(cx8802_get_driver, 0xb9a4fa56, "");
SYMBOL_CRC(cx8802_register_driver, 0xc2116002, "");
SYMBOL_CRC(cx8802_unregister_driver, 0xbe8e6b2c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0d7f5bfe, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb25dc28e, "cx88_reset" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x46cf5f08, "cx88_wakeup" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0xcc7d46ec, "pci_choose_state" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xb2ccc52d, "cx88_shutdown" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xfd34aa92, "cx88_core_put" },
	{ 0x9cd2f8ed, "pci_set_power_state" },
	{ 0x9d80a6f2, "cx88_core_irq" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0xc6e4b4cf, "cx88_core_get" },
	{ 0x92997ed8, "_printk" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x41f078b5, "vb2_plane_cookie" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x915f498c, "vb2_buffer_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf307422a, "pci_restore_state" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0xfd72b1c3, "cx88_sram_channel_dump" },
	{ 0x271f9f10, "cx88_sram_channel_setup" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0xfe51357e, "pci_read_config_byte" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xb45c0613, "cx88_risc_databuffer" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008802sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "861561822E9B4A4BD78BC2B");
