#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0xa6f26bfd, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0xbdfe275d, "");
SYMBOL_CRC(cx88_risc_databuffer, 0xb45c0613, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0x271f9f10, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0xfd72b1c3, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0x9d80a6f2, "");
SYMBOL_CRC(cx88_wakeup, 0x46cf5f08, "");
SYMBOL_CRC(cx88_shutdown, 0xb2ccc52d, "");
SYMBOL_CRC(cx88_reset, 0xb25dc28e, "");
SYMBOL_CRC(cx88_set_scale, 0xe033bdda, "");
SYMBOL_CRC(cx88_set_tvnorm, 0xe28e9044, "");
SYMBOL_CRC(cx88_vdev_init, 0xc1ce49c0, "");
SYMBOL_CRC(cx88_core_get, 0xc6e4b4cf, "");
SYMBOL_CRC(cx88_core_put, 0xfd34aa92, "");
SYMBOL_CRC(cx88_set_tvaudio, 0x61f26467, "");
SYMBOL_CRC(cx88_newstation, 0xf6bd0fdf, "");
SYMBOL_CRC(cx88_get_stereo, 0x67a71b6f, "");
SYMBOL_CRC(cx88_set_stereo, 0xb92108a9, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0x584d8725, "");
SYMBOL_CRC(cx88_ir_start, 0xc726721d, "");
SYMBOL_CRC(cx88_ir_stop, 0x48b461a6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2bfd9df0, "ir_raw_event_handle" },
	{ 0xe26f86c1, "hrtimer_setup" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4bea4dfc, "i2c_bit_add_bus" },
	{ 0xbf73953b, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x47a18a4d, "param_array_ops" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xbc9f5dc3, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x04482cdb, "__refrigerator" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0xf2731c95, "i2c_smbus_xfer" },
	{ 0xaa5c4ff6, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x1204741b, "rc_keyup" },
	{ 0xfd4dacd8, "__v4l2_ctrl_grab" },
	{ 0xc2e4688a, "i2c_unregister_device" },
	{ 0xd433de3b, "tveeprom_read" },
	{ 0xfd6a1908, "rc_keydown_notimeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9af503d8, "rc_register_device" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x5f4eae83, "rc_keydown" },
	{ 0x915f498c, "vb2_buffer_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd3586641, "i2c_new_client_device" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x87bcb16e, "freezing_slow_path" },
	{ 0xd26656a9, "rc_free_device" },
	{ 0xdcb764ad, "memset" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0xae3b8cfa, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6e4d496e, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x51027e33, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x14ea498c, "v4l2_ctrl_handler_free" },
	{ 0x83380397, "i2c_transfer" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0x96bb2503, "v4l2_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x0dbf0296, "tveeprom_hauppauge_analog" },
	{ 0xbcecb152, "hrtimer_forward" },
	{ 0x79bb5a53, "v4l2_i2c_new_subdev" },
	{ 0xfe51357e, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0xf72dcdd4, "ir_raw_event_store_with_filter" },
	{ 0xe54bc213, "i2c_smbus_read_byte_data" },
	{ 0x35215603, "ioremap_prot" },
	{ 0xdbc744a2, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbda212a1, "rc_unregister_device" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "videodev,rc-core,i2c-algo-bit,tveeprom,videobuf2-common");


MODULE_INFO(srcversion, "85F0EDBD61831CD153A6F89");
