#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f6e5dd3, "usb_register_driver" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x92997ed8, "_printk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x23e1f9c9, "usb_kill_urb" },
	{ 0xa6257a2f, "complete" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x800a9c83, "usb_free_urb" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb4dd983f, "usb_deregister" },
	{ 0xadff0877, "input_event" },
	{ 0x27248928, "usb_submit_urb" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x037a0cba, "kfree" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x1ec23f6a, "usb_find_interface" },
	{ 0x6e4d496e, "rc_allocate_device" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0x9af503d8, "rc_register_device" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xd26656a9, "rc_free_device" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x4c23217a, "input_allocate_device" },
	{ 0xaae9871f, "input_set_abs_params" },
	{ 0x6d3e1396, "input_register_device" },
	{ 0xdb9ebd67, "input_free_device" },
	{ 0x4156a50d, "usb_alloc_urb" },
	{ 0x4de1c1ba, "usb_get_dev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4aacf95f, "usb_put_dev" },
	{ 0xb544ad50, "input_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1d5b7fe5, "usb_ifnum_to_if" },
	{ 0x17c77374, "sysfs_create_group" },
	{ 0xf380d879, "usb_register_dev" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdcb764ad, "memset" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b001020, "sysfs_remove_group" },
	{ 0xbda212a1, "rc_unregister_device" },
	{ 0x387b7d74, "usb_deregister_dev" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xdeffa2b8, "rc_g_keycode_from_table" },
	{ 0x1204741b, "rc_keyup" },
	{ 0x5f4eae83, "rc_keydown" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x79344841, "noop_llseek" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "rc-core");

MODULE_ALIAS("usb:v15C2pFFDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0035d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0036d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0038d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0044d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0045d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0046d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "4AAE1ECE3641D1D7C0187AB");
