#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(go7007_read_interrupt, "", "");
KSYMTAB_FUNC(go7007_read_addr, "", "");
KSYMTAB_FUNC(go7007_boot_encoder, "", "");
KSYMTAB_FUNC(go7007_register_encoder, "", "");
KSYMTAB_FUNC(go7007_parse_video_stream, "", "");
KSYMTAB_FUNC(go7007_alloc, "", "");
KSYMTAB_FUNC(go7007_update_board, "", "");
KSYMTAB_FUNC(go7007_snd_init, "", "");
KSYMTAB_FUNC(go7007_snd_remove, "", "");

SYMBOL_CRC(go7007_read_interrupt, 0x96549981, "");
SYMBOL_CRC(go7007_read_addr, 0x2866cd84, "");
SYMBOL_CRC(go7007_boot_encoder, 0xaa93b9ca, "");
SYMBOL_CRC(go7007_register_encoder, 0xe576f9b9, "");
SYMBOL_CRC(go7007_parse_video_stream, 0x10dd9a5d, "");
SYMBOL_CRC(go7007_alloc, 0xfdedef7f, "");
SYMBOL_CRC(go7007_update_board, 0xa7200f14, "");
SYMBOL_CRC(go7007_snd_init, 0x2c994b6c, "");
SYMBOL_CRC(go7007_snd_remove, 0xf3a1b8a1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x91c1fd1f, "vb2_queue_init" },
	{ 0x1e133182, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xcac49c42, "v4l2_device_put" },
	{ 0x7c1b4793, "vb2_ioctl_streamoff" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x586acfe4, "snd_pcm_new" },
	{ 0xca79888c, "snd_card_register" },
	{ 0x5be0d811, "v4l2_i2c_new_subdev_board" },
	{ 0x84886de4, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6d4bca86, "request_firmware" },
	{ 0xbf73953b, "v4l2_ctrl_handler_init_class" },
	{ 0x47a18a4d, "param_array_ops" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb23cb7c4, "vb2_ioctl_querybuf" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf763df5e, "v4l2_fh_open" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb46e5dc6, "video_devdata" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x84835c5b, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0xaa5c4ff6, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x7488a1ab, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfd4dacd8, "__v4l2_ctrl_grab" },
	{ 0x4e7fca01, "vb2_ioctl_dqbuf" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x1211bc33, "v4l2_ctrl_new_custom" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf00f0d94, "snd_card_free_when_closed" },
	{ 0x915f498c, "vb2_buffer_done" },
	{ 0x7ece947b, "vb2_plane_vaddr" },
	{ 0xe35bb588, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x487826ff, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc94e7ab2, "v4l2_event_subscribe" },
	{ 0xc860c32f, "vb2_ioctl_qbuf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x6dc0e5c3, "vb2_fop_mmap" },
	{ 0xa5a982c3, "snd_device_new" },
	{ 0x438beeae, "vb2_vmalloc_memops" },
	{ 0x1d7efbcc, "snd_pcm_set_managed_buffer_all" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a52f91c, "param_ops_charp" },
	{ 0x8a47a0d8, "v4l2_ctrl_new_std_menu" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x725dfebc, "vb2_fop_read" },
	{ 0xae3b8cfa, "v4l2_device_register" },
	{ 0xdd94f364, "i2c_add_adapter" },
	{ 0x8f85b0d9, "snd_card_disconnect" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x11d73e38, "__video_register_device" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbda5fdec, "vb2_ioctl_streamon" },
	{ 0xf35ad09f, "vb2_fop_poll" },
	{ 0x5284a012, "v4l2_ctrl_new_std" },
	{ 0x9fcdebb3, "v4l2_ctrl_g_ctrl" },
	{ 0x14ea498c, "v4l2_ctrl_handler_free" },
	{ 0x96bb2503, "v4l2_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6ec41710, "v4l2_subdev_call_wrappers" },
	{ 0xeff05dbe, "snd_pcm_period_elapsed" },
	{ 0x125b1303, "v4l2_ctrl_log_status" },
	{ 0x43ad2352, "v4l2_event_queue" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0xdbc744a2, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6d63c79d, "v4l2_event_unsubscribe" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x359c7777, "vb2_ioctl_reqbufs" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,snd-pcm,snd,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "95F2385FF693831B88047D0");
