#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0x246b07f8, "");
SYMBOL_CRC(gspca_dev_probe2, 0x66916d64, "");
SYMBOL_CRC(gspca_dev_probe, 0xae6d49ef, "");
SYMBOL_CRC(gspca_disconnect, 0x15acc523, "");
SYMBOL_CRC(gspca_suspend, 0x54e843b8, "");
SYMBOL_CRC(gspca_resume, 0x71e75cd0, "");
SYMBOL_CRC(gspca_expo_autogain, 0xb9da9325, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0x4216a9a9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x91c1fd1f, "vb2_queue_init" },
	{ 0x4c23217a, "input_allocate_device" },
	{ 0x4156a50d, "usb_alloc_urb" },
	{ 0x1e133182, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x800a9c83, "usb_free_urb" },
	{ 0xcac49c42, "v4l2_device_put" },
	{ 0x7c1b4793, "vb2_ioctl_streamoff" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xf681cd5e, "usb_alloc_coherent" },
	{ 0xf06b4dc1, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1d5b7fe5, "usb_ifnum_to_if" },
	{ 0xb544ad50, "input_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb23cb7c4, "vb2_ioctl_querybuf" },
	{ 0xf763df5e, "v4l2_fh_open" },
	{ 0xdb9ebd67, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x9e5c9f9f, "usb_clear_halt" },
	{ 0xafd17664, "v4l2_ctrl_handler_setup" },
	{ 0x6d3e1396, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb46e5dc6, "video_devdata" },
	{ 0x62cbedc4, "vb2_queue_error" },
	{ 0x84835c5b, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x27248928, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xab960f64, "__v4l2_ctrl_s_ctrl" },
	{ 0x4e7fca01, "vb2_ioctl_dqbuf" },
	{ 0xcb435fa1, "usb_free_coherent" },
	{ 0xed5d60d3, "vb2_ioctl_create_bufs" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x915f498c, "vb2_buffer_done" },
	{ 0x7ece947b, "vb2_plane_vaddr" },
	{ 0xe35bb588, "v4l2_ctrl_subscribe_event" },
	{ 0xc62615f3, "usb_set_interface" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xbc547c6b, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc860c32f, "vb2_ioctl_qbuf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x6dc0e5c3, "vb2_fop_mmap" },
	{ 0x438beeae, "vb2_vmalloc_memops" },
	{ 0xdcb764ad, "memset" },
	{ 0x940b6ed2, "v4l2_device_disconnect" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x725dfebc, "vb2_fop_read" },
	{ 0xae3b8cfa, "v4l2_device_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x11d73e38, "__video_register_device" },
	{ 0x23e1f9c9, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbda5fdec, "vb2_ioctl_streamon" },
	{ 0xf35ad09f, "vb2_fop_poll" },
	{ 0x9fcdebb3, "v4l2_ctrl_g_ctrl" },
	{ 0x14ea498c, "v4l2_ctrl_handler_free" },
	{ 0x96bb2503, "v4l2_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0xdbc744a2, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6d63c79d, "v4l2_event_unsubscribe" },
	{ 0x359c7777, "vb2_ioctl_reqbufs" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "DEE20B11ED5723876F1CB2B");
