#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0x37068f00, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0xbdf35eee, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0xc480c3eb, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0xb7ac97a4, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0xe6895d5d, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0x173faae3, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0x0f56db6d, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0x8c75155d, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0x08207444, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0x733465c5, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0xffaf7d04, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0x8e1bf55c, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0x1c222581, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0x8c71892b, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0x8a2e5981, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0xa3614686, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0xb18b651e, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0xf31ffe31, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0x150d442c, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0xde286545, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0x7878b48b, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0x191dd7c6, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0x413fceca, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x41af8560, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x73b83dbd, "pcie_capability_read_word" },
	{ 0xd7216703, "pci_find_ext_capability" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb49dd77c, "pci_disable_msi" },
	{ 0x6d46183e, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0x928f4743, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x31b4b76d, "pm_schedule_suspend" },
	{ 0x58b15ad7, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x35476da4, "pci_enable_msi" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x5ed879f3, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x5ff1ccef, "mfd_add_devices" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x0188b501, "pm_runtime_forbid" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x5be74ba1, "pm_runtime_allow" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x4b356bb7, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x51027e33, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0xbd5cbedd, "mfd_remove_devices" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0x43248fd1, "dma_unmap_sg_attrs" },
	{ 0xfe51357e, "pci_read_config_byte" },
	{ 0x35215603, "ioremap_prot" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7ece803a, "pci_write_config_dword" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x1c09e8b9, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "C84F85E7544A89EC63E766C");
