#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bgx_get_map, "", "");
KSYMTAB_FUNC(bgx_get_lmac_count, "", "");
KSYMTAB_FUNC(bgx_get_lmac_link_state, "", "");
KSYMTAB_FUNC(bgx_get_lmac_mac, "", "");
KSYMTAB_FUNC(bgx_set_lmac_mac, "", "");
KSYMTAB_FUNC(bgx_set_dmac_cam_filter, "", "");
KSYMTAB_FUNC(bgx_set_xcast_mode, "", "");
KSYMTAB_FUNC(bgx_reset_xcast_mode, "", "");
KSYMTAB_FUNC(bgx_lmac_rx_tx_enable, "", "");
KSYMTAB_FUNC(bgx_config_timestamping, "", "");
KSYMTAB_FUNC(bgx_lmac_get_pfc, "", "");
KSYMTAB_FUNC(bgx_lmac_set_pfc, "", "");
KSYMTAB_FUNC(bgx_get_rx_stats, "", "");
KSYMTAB_FUNC(bgx_get_tx_stats, "", "");
KSYMTAB_FUNC(bgx_lmac_internal_loopback, "", "");

SYMBOL_CRC(bgx_get_map, 0xc82be691, "");
SYMBOL_CRC(bgx_get_lmac_count, 0x42264715, "");
SYMBOL_CRC(bgx_get_lmac_link_state, 0xf101d1b2, "");
SYMBOL_CRC(bgx_get_lmac_mac, 0x539ca253, "");
SYMBOL_CRC(bgx_set_lmac_mac, 0xd8ed0bcc, "");
SYMBOL_CRC(bgx_set_dmac_cam_filter, 0x34eeb48a, "");
SYMBOL_CRC(bgx_set_xcast_mode, 0xff987a02, "");
SYMBOL_CRC(bgx_reset_xcast_mode, 0x716fd7f0, "");
SYMBOL_CRC(bgx_lmac_rx_tx_enable, 0x0d8be5fd, "");
SYMBOL_CRC(bgx_config_timestamping, 0x46cdf933, "");
SYMBOL_CRC(bgx_lmac_get_pfc, 0x60cd1f2f, "");
SYMBOL_CRC(bgx_lmac_set_pfc, 0x6ca2152d, "");
SYMBOL_CRC(bgx_get_rx_stats, 0x72b238e4, "");
SYMBOL_CRC(bgx_get_tx_stats, 0xbe654297, "");
SYMBOL_CRC(bgx_lmac_internal_loopback, 0xc397f585, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xdcb764ad, "memset" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xaebd12f0, "acpi_get_name" },
	{ 0x5a921311, "strncmp" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x037a0cba, "kfree" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0x062f8740, "acpi_fetch_acpi_dev" },
	{ 0x95732833, "fwnode_get_mac_address" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4f739dc0, "xcv_setup_link" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb30068b0, "phy_disconnect" },
	{ 0x94a73ccb, "free_netdev" },
	{ 0x5e8be3ef, "pci_free_irq" },
	{ 0x4b356bb7, "pci_release_regions" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x71bc0556, "phy_connect_direct" },
	{ 0xe11089dc, "phy_start" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0x62a2ed37, "pcim_enable_device" },
	{ 0x6d46183e, "pci_request_regions" },
	{ 0x4f1e63e0, "pcim_iomap" },
	{ 0x666a878f, "pci_read_config_word" },
	{ 0x0c8ad9be, "alloc_netdev_dummy" },
	{ 0x13912e4b, "xcv_init_hw" },
	{ 0x2c21f723, "dev_err_probe" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x968a8311, "device_get_next_child_node" },
	{ 0xb5608833, "of_fwnode_ops" },
	{ 0x56a45ed8, "pci_alloc_irq_vectors" },
	{ 0x3265821b, "pci_request_irq" },
	{ 0x69fd52be, "of_get_mac_address" },
	{ 0x401d12da, "__of_parse_phandle_with_args" },
	{ 0x27d4fb8c, "of_device_is_compatible" },
	{ 0x51c38d2a, "of_phy_find_device" },
	{ 0xeb7f6046, "acpi_get_devices" },
	{ 0xfd19ff82, "of_node_put" },
	{ 0xaf7adc45, "put_device" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "thunder_xcv");

MODULE_ALIAS("pci:v0000177Dd0000A026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000177Dd0000A054sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6C8D4C582F3BC5597709716");
