#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(t3_l2t_send_slow, "", "");
KSYMTAB_FUNC(t3_l2t_send_event, "", "");
KSYMTAB_FUNC(t3_l2e_free, "", "");
KSYMTAB_FUNC(t3_l2t_get, "", "");
KSYMTAB_FUNC(cxgb3_register_client, "", "");
KSYMTAB_FUNC(cxgb3_unregister_client, "", "");
KSYMTAB_FUNC(cxgb3_free_atid, "", "");
KSYMTAB_FUNC(cxgb3_insert_tid, "", "");
KSYMTAB_FUNC(cxgb3_queue_tid_release, "", "");
KSYMTAB_FUNC(cxgb3_remove_tid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_atid, "", "");
KSYMTAB_FUNC(dev2t3cdev, "", "");
KSYMTAB_FUNC(t3_register_cpl_handler, "", "");
KSYMTAB_FUNC(cxgb3_ofld_send, "", "");

SYMBOL_CRC(t3_l2t_send_slow, 0x51c0aada, "");
SYMBOL_CRC(t3_l2t_send_event, 0xeb41a1ef, "");
SYMBOL_CRC(t3_l2e_free, 0xb85ea3bf, "");
SYMBOL_CRC(t3_l2t_get, 0x98791ea5, "");
SYMBOL_CRC(cxgb3_register_client, 0x422b7410, "");
SYMBOL_CRC(cxgb3_unregister_client, 0x0432bf98, "");
SYMBOL_CRC(cxgb3_free_atid, 0x116fdc17, "");
SYMBOL_CRC(cxgb3_insert_tid, 0xfd86eaff, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0x06bb5680, "");
SYMBOL_CRC(cxgb3_remove_tid, 0xd116d14e, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0x750e10f4, "");
SYMBOL_CRC(dev2t3cdev, 0xbeef2724, "");
SYMBOL_CRC(t3_register_cpl_handler, 0x01012ff5, "");
SYMBOL_CRC(cxgb3_ofld_send, 0xd1c2e42d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x3ffa5b64, "alloc_etherdev_mqs" },
	{ 0x0d7f5bfe, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x73b83dbd, "pcie_capability_read_word" },
	{ 0x525cb9ad, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x079f9b3b, "pcie_capability_write_word" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9f39ff76, "skb_copy_bits" },
	{ 0xda467386, "pci_read_vpd" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xe022e499, "netdev_update_features" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x91b5f45b, "unregister_netdev" },
	{ 0x887dc6d7, "napi_get_frags" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0x6d4bca86, "request_firmware" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb49dd77c, "pci_disable_msi" },
	{ 0x6d46183e, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x3cd8a3b9, "eth_validate_addr" },
	{ 0xf33baa09, "netif_napi_add_weight_locked" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0xb9f54749, "dev_addr_mod" },
	{ 0x0b199c76, "eth_type_trans" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0x5b73f9f0, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x990d4970, "__napi_schedule" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x9af5e66d, "pci_enable_msix_range" },
	{ 0x2c3e7450, "pci_write_vpd_any" },
	{ 0xa916b694, "strnlen" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0xf9968f9c, "__free_pages" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2da03482, "pci_find_capability" },
	{ 0x632119b1, "_dev_alert" },
	{ 0x6bd80b60, "__dma_sync_single_for_cpu" },
	{ 0x35476da4, "pci_enable_msi" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe1b907c5, "netif_set_real_num_tx_queues" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x35e7c1ef, "netif_set_real_num_rx_queues" },
	{ 0x5840eaf3, "arp_send" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x2a5a5c1f, "pci_write_vpd" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x666a878f, "pci_read_config_word" },
	{ 0x9349c4e5, "napi_enable" },
	{ 0x5cd3eb7a, "netif_receive_skb" },
	{ 0x35bb3855, "register_netdev" },
	{ 0x94a73ccb, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x17c77374, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x0a52cb80, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x6ffab7c1, "netif_tx_stop_all_queues" },
	{ 0xf307422a, "pci_restore_state" },
	{ 0x7e0f6ed3, "netif_tx_wake_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x7b033b9b, "netif_rx" },
	{ 0xed91f211, "__neigh_event_send" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0x7b001020, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x0274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x90e4f891, "gro_receive_skb" },
	{ 0x807d4b2f, "neigh_destroy" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4b356bb7, "pci_release_regions" },
	{ 0xcbb796e8, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x649cfa4a, "netdev_master_upper_dev_get_rcu" },
	{ 0xcad91204, "__folio_put" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9d9af30a, "netif_carrier_off" },
	{ 0x12962f69, "__vlan_find_dev_deep_rcu" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe3968cc4, "netif_carrier_on" },
	{ 0xc8b72e4b, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6a5de1bb, "alloc_pages_noprof" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x37d91524, "vlan_dev_vlan_id" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x18e55979, "napi_schedule_prep" },
	{ 0xe3fe224c, "napi_disable" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x35215603, "ioremap_prot" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0xa3b250d1, "__kfree_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x9c4df800, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "437E85292E506A865377F25");
