#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x43260e0f, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x82ebcb42, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ffa5b64, "alloc_etherdev_mqs" },
	{ 0x0d7f5bfe, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x0d2303d2, "__skb_pad" },
	{ 0x525cb9ad, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9f39ff76, "skb_copy_bits" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xe2783b52, "param_ops_ushort" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x0ee09f4a, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xac13658e, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1e16b393, "ndo_dflt_bridge_getlink" },
	{ 0x91b5f45b, "unregister_netdev" },
	{ 0x887dc6d7, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0x6d4bca86, "request_firmware" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xf76ee4e5, "pci_num_vf" },
	{ 0x6d46183e, "pci_request_regions" },
	{ 0x572d44ad, "___pskb_trim" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x515824d8, "alloc_cpumask_var_node" },
	{ 0x247d5d4b, "pci_sriov_get_totalvfs" },
	{ 0x3cd8a3b9, "eth_validate_addr" },
	{ 0xf33baa09, "netif_napi_add_weight_locked" },
	{ 0x997b70c8, "udp_tunnel_nic_ops" },
	{ 0x82642152, "netif_tx_unlock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xee073a96, "pskb_expand_head" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0xb9f54749, "dev_addr_mod" },
	{ 0x0b199c76, "eth_type_trans" },
	{ 0x928f4743, "pci_read_config_dword" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0x5b73f9f0, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x990d4970, "__napi_schedule" },
	{ 0x9af5e66d, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x7a6fb10f, "netif_device_detach" },
	{ 0x6373a02b, "__hw_addr_unsync_dev" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x5c3685a2, "netif_device_attach" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x6bd80b60, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x4f487e85, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe1b907c5, "netif_set_real_num_tx_queues" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x35e7c1ef, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x9349c4e5, "napi_enable" },
	{ 0x5cd3eb7a, "netif_receive_skb" },
	{ 0x35bb3855, "register_netdev" },
	{ 0x94a73ccb, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x0a52cb80, "ethtool_op_get_link" },
	{ 0x774e566f, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe156906f, "pci_iounmap" },
	{ 0xf307422a, "pci_restore_state" },
	{ 0x7e0f6ed3, "netif_tx_wake_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0xeb25bb8f, "netif_tx_lock" },
	{ 0xabd39162, "__netdev_alloc_skb" },
	{ 0x8b71181c, "__netif_napi_del_locked" },
	{ 0xbdc8c686, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x0274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0xdb2583eb, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4b356bb7, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcad91204, "__folio_put" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9d9af30a, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd7ec32fc, "skb_clone" },
	{ 0x36cff827, "__hw_addr_sync_dev" },
	{ 0xd73d7dd2, "pci_disable_sriov" },
	{ 0xe3968cc4, "netif_carrier_on" },
	{ 0xc8b72e4b, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6a5de1bb, "alloc_pages_noprof" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0x271e1a27, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x18e55979, "napi_schedule_prep" },
	{ 0x349145d9, "pci_sriov_set_totalvfs" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe3fe224c, "napi_disable" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0x69c191a1, "_dev_printk" },
	{ 0x5b38f1e3, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7ece803a, "pci_write_config_dword" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x9c4df800, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "205612569D26FEAD3020046");
