#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");
KSYMTAB_FUNC(ice_alloc_rdma_qvector, "_gpl", "");
KSYMTAB_FUNC(ice_free_rdma_qvector, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x53ea93b6, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xf3d4e683, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x47b810d2, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x099e5e8f, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x27ba3ea2, "_gpl");
SYMBOL_CRC(ice_alloc_rdma_qvector, 0x6f3f66cc, "_gpl");
SYMBOL_CRC(ice_free_rdma_qvector, 0xa92bc5a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0x88713aaa, "xsk_tx_completed" },
	{ 0x0c8b3432, "napi_alloc_skb" },
	{ 0x3ffa5b64, "alloc_etherdev_mqs" },
	{ 0x493cd09b, "netdev_lower_get_next" },
	{ 0x4067c358, "flow_block_cb_lookup" },
	{ 0x0d7f5bfe, "pci_save_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8dbe0525, "devl_rate_leaf_create" },
	{ 0x87d61c2b, "device_set_wakeup_enable" },
	{ 0x0d2303d2, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa8a03a9f, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x17909b24, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd7216703, "pci_find_ext_capability" },
	{ 0x28a8c87f, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc70b63a2, "devl_region_create" },
	{ 0xcf7beca8, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x9f39ff76, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0xa80436f6, "kthread_cancel_delayed_work_sync" },
	{ 0x36b632d3, "dpll_device_change_ntf" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0x61733b33, "pci_wake_from_d3" },
	{ 0x3df50cf2, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x137d3222, "call_switchdev_notifiers" },
	{ 0x86871b40, "devlink_info_version_stored_put_ext" },
	{ 0x7454d202, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6eb14365, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x94dd5c40, "ethtool_forced_speed_maps_init" },
	{ 0xf1b8d862, "auxiliary_device_init" },
	{ 0x5a816015, "pci_enable_device_mem" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x0f86f560, "kthread_delayed_work_timer_fn" },
	{ 0x676be103, "flow_rule_match_enc_ip" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x56a45ed8, "pci_alloc_irq_vectors" },
	{ 0xb8a244ba, "flow_rule_match_l2tpv3" },
	{ 0x91ad7002, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44b4d5cc, "xsk_tx_peek_release_desc_batch" },
	{ 0xac13658e, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x698fa4b3, "dmam_alloc_attrs" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x5b2d739a, "devl_lock" },
	{ 0x88c3ff56, "pci_dev_put" },
	{ 0x139d7c4b, "xp_fill_cb" },
	{ 0x94192666, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x1e16b393, "ndo_dflt_bridge_getlink" },
	{ 0x91b5f45b, "unregister_netdev" },
	{ 0xb0bc3580, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x28f118d8, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd47c1467, "xdp_features_set_redirect_target" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x0f9b65ac, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6d4bca86, "request_firmware" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0xe09a692f, "dev_uc_del" },
	{ 0xf7370f56, "system_state" },
	{ 0xa9e34ecd, "flow_rule_match_cvlan" },
	{ 0x1057a279, "bsearch" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x7b07e1aa, "gnss_insert_raw" },
	{ 0xf76ee4e5, "pci_num_vf" },
	{ 0x6f9f3940, "flow_rule_match_eth_addrs" },
	{ 0x839b8198, "get_device_system_crosststamp" },
	{ 0x1ecbc028, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb5cafbeb, "ptp_clock_index" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0xf8aa2560, "devl_port_fn_devlink_set" },
	{ 0x4829a47e, "memcpy" },
	{ 0xbd215e3d, "xp_can_alloc" },
	{ 0x037a0cba, "kfree" },
	{ 0xea925d16, "devlink_alloc_ns" },
	{ 0x94555e3c, "devl_rate_leaf_destroy" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xecf8c2bb, "xdp_do_redirect" },
	{ 0x8d5578e6, "devlink_free" },
	{ 0x3cd8a3b9, "eth_validate_addr" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf33baa09, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x8a1f865f, "devl_rate_node_create" },
	{ 0xf8b931f7, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x997b70c8, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9cd2f8ed, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbd3dde2c, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x594672b5, "pci_irq_vector" },
	{ 0xdc75fff2, "flow_rule_match_ipv4_addrs" },
	{ 0xffde0676, "dpll_pin_on_pin_unregister" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x0e8bacae, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x14ee9ef3, "netdev_err" },
	{ 0xee073a96, "pskb_expand_head" },
	{ 0xc8555757, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xee213135, "wake_up_process" },
	{ 0xa81d7b05, "devlink_flash_update_status_notify" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0x8ed06f39, "pci_restore_msi_state" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0xea59a356, "xdp_return_buff" },
	{ 0xb9f54749, "dev_addr_mod" },
	{ 0xfca043d5, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x0b199c76, "eth_type_trans" },
	{ 0x45ed27ee, "auxiliary_driver_unregister" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0x5b73f9f0, "napi_complete_done" },
	{ 0x313a918e, "switchdev_handle_port_obj_del" },
	{ 0xfe74adf3, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x469b1b5a, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5316e27a, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xbe8c9212, "skb_checksum_help" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xaf7adc45, "put_device" },
	{ 0x40598bc2, "devm_free_irq" },
	{ 0x8ee8543e, "net_dim" },
	{ 0x990d4970, "__napi_schedule" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xc21992b8, "ipv6_skip_exthdr" },
	{ 0xe908abb6, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x2168af3e, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x7a6fb10f, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xf9968f9c, "__free_pages" },
	{ 0x6373a02b, "__hw_addr_unsync_dev" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x5c3685a2, "netif_device_attach" },
	{ 0xbd7f6776, "xdp_features_clear_redirect_target" },
	{ 0xf603d28e, "netdev_pick_tx" },
	{ 0xa7c4900a, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x887e18cf, "xp_raw_get_dma" },
	{ 0x028a8ba2, "eth_get_headlen" },
	{ 0x32d0a256, "pci_iov_virtfn_devfn" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x30c48dc2, "xdp_rxq_info_is_reg" },
	{ 0x7a7c8380, "flow_rule_match_enc_opts" },
	{ 0x00372541, "devl_health_reporter_create" },
	{ 0x9fda2284, "flow_block_cb_setup_simple" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x1a4a0a3c, "pci_msix_can_alloc_dyn" },
	{ 0x858323a0, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8babd4e6, "dev_open" },
	{ 0xea96802c, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x23735c9c, "vlan_dev_real_dev" },
	{ 0x736f2136, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6bd80b60, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x610b6c52, "devm_kmemdup" },
	{ 0x4a1bfb14, "pci_msix_free_irq" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x47def7b5, "devlink_flash_update_timeout_notify" },
	{ 0x0bbad260, "devm_kfree" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x2da8b798, "init_net" },
	{ 0x4f487e85, "softnet_data" },
	{ 0x5ca25210, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8355028a, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x160693a0, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x69e12e0c, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0x70c621fd, "hwmon_device_register_with_info" },
	{ 0x148b4478, "__traceiter_xdp_exception" },
	{ 0xe1b907c5, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x58399234, "__auxiliary_device_add" },
	{ 0xc2e5238e, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x56d3cf09, "netif_set_affinity_auto" },
	{ 0x35e7c1ef, "netif_set_real_num_rx_queues" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0x98c279a5, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x779ee9db, "devl_port_register_with_ops" },
	{ 0xa7fd5171, "devlink_fmsg_dump_skb" },
	{ 0xa8f09689, "pci_wait_for_pending_transaction" },
	{ 0xa4c0e22e, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9a6f8a18, "pci_device_is_present" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x666a878f, "pci_read_config_word" },
	{ 0xa2277789, "pcie_flr" },
	{ 0x9349c4e5, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x291ba4e9, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x67e771d5, "dcbnl_ieee_notify" },
	{ 0x5cd2e5e8, "xsk_uses_need_wakeup" },
	{ 0x35bb3855, "register_netdev" },
	{ 0xaebeffb2, "dev_mc_del" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x94a73ccb, "free_netdev" },
	{ 0x94d9c147, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4f0237ca, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x8c9e54d3, "devlink_info_version_running_put_ext" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x0a52cb80, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x774e566f, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x6ffab7c1, "netif_tx_stop_all_queues" },
	{ 0xf307422a, "pci_restore_state" },
	{ 0x13f403d0, "bpf_trace_run1" },
	{ 0x7e0f6ed3, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xb69b7268, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xb54bc181, "dcb_getapp" },
	{ 0xac21fa38, "dmam_free_coherent" },
	{ 0xbaf509e0, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x07e4d7c1, "flow_rule_match_ports" },
	{ 0x65004466, "gnss_allocate_device" },
	{ 0x26333587, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x77c57b18, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x668ee384, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x0e436bee, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x3e1e9888, "flow_rule_match_ipv6_addrs" },
	{ 0x00741a2c, "netdev_set_tc_queue" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6c701f96, "devl_params_unregister" },
	{ 0xb365b3d5, "ptp_clock_unregister" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0x157d9e69, "xp_dma_unmap" },
	{ 0xf34ecedd, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xe7d09a7d, "kthread_create_worker_on_node" },
	{ 0x1577b2de, "switchdev_handle_port_obj_add" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x015312e0, "devl_unlock" },
	{ 0x8b71181c, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8d589ede, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0x14fa9fba, "flow_rule_match_pppoe" },
	{ 0xa2f8048a, "flow_rule_match_enc_control" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0xa8a20f47, "__page_frag_cache_drain" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x009a376e, "gnss_deregister_device" },
	{ 0xc1ca841a, "rps_may_expire_flow" },
	{ 0x6b331920, "metadata_dst_free" },
	{ 0x04d2b7e5, "xsk_set_tx_need_wakeup" },
	{ 0x7d2ccb21, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x381cc222, "netdev_reset_tc" },
	{ 0x90e4f891, "gro_receive_skb" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0xbe179e15, "page_pool_put_netmem_bulk" },
	{ 0x7e020f5f, "kthread_destroy_worker" },
	{ 0x27aeaf36, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5307c428, "flow_rule_match_enc_ports" },
	{ 0x5acfbef9, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x17b0b3bb, "dpll_netdev_pin_clear" },
	{ 0x8e4b26d5, "netif_queue_set_napi" },
	{ 0xcbb796e8, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x1407ac5f, "call_netdevice_notifiers" },
	{ 0x00aa1603, "xa_find" },
	{ 0x1ea89ac0, "devl_assert_locked" },
	{ 0x7f1bc7e2, "pcie_print_link_status" },
	{ 0x6a75d8b7, "xp_set_rxq_info" },
	{ 0xc93772d8, "flow_rule_match_vlan" },
	{ 0x040dd922, "devl_port_unregister" },
	{ 0xe5338715, "xdp_rxq_info_unreg" },
	{ 0xb660a940, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x5b7350af, "devl_param_driverinit_value_get" },
	{ 0x45f99e15, "napi_build_skb" },
	{ 0x649cfa4a, "netdev_master_upper_dev_get_rcu" },
	{ 0xf8ddc56d, "__xdp_rxq_info_reg" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x89573275, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9d9af30a, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x17759e36, "seq_printf" },
	{ 0x679eeb55, "dpll_pin_register" },
	{ 0x13bfba71, "gnss_register_device" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x457313f5, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0x36cff827, "__hw_addr_sync_dev" },
	{ 0xd73d7dd2, "pci_disable_sriov" },
	{ 0x207ff5d8, "pldmfw_flash_image" },
	{ 0x762b40cb, "kthread_queue_delayed_work" },
	{ 0x7ea5fb52, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc1c14fc0, "dst_release" },
	{ 0xe3968cc4, "netif_carrier_on" },
	{ 0x1433371c, "netdev_set_num_tc" },
	{ 0x889338ca, "dpll_device_register" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0x61891217, "hwmon_device_unregister" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x23f18a70, "ktime_get_snapshot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x50edaed2, "dev_uc_add_excl" },
	{ 0x4dc2dd62, "xp_free" },
	{ 0xb0ee7fbc, "dev_mc_add_excl" },
	{ 0x5b55c758, "gnss_put_device" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0xde055c29, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf3c38f7e, "pack_fields_u8" },
	{ 0x271e1a27, "netif_set_tso_max_size" },
	{ 0x5ac016a9, "__skb_flow_dissect" },
	{ 0x37d91524, "vlan_dev_vlan_id" },
	{ 0x54156052, "pci_msix_alloc_irq_at" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xc3c4d688, "skb_add_rx_frag_netmem" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0xd537e6ff, "pcim_iomap_table" },
	{ 0xd8f9f14e, "xdp_master_redirect" },
	{ 0xab4348aa, "__devm_add_action" },
	{ 0x88903f76, "dpll_pin_on_pin_register" },
	{ 0x18e55979, "napi_schedule_prep" },
	{ 0x1e2d06bf, "napi_consume_skb" },
	{ 0xfe51357e, "pci_read_config_byte" },
	{ 0x19564542, "xp_alloc_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe3fe224c, "napi_disable" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0xcd72b982, "dcb_ieee_delapp" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0xccb9fb27, "netif_enable_cpu_rmap" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x62a2ed37, "pcim_enable_device" },
	{ 0x517d8c63, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x74ec6ad5, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf0fca121, "flow_rule_match_control" },
	{ 0xdf33b7a1, "flow_rule_match_ip" },
	{ 0x5b38f1e3, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe98e5d87, "dpll_device_get" },
	{ 0x321261b3, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x426379ab, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x589851ca, "netif_napi_set_irq_locked" },
	{ 0x5eb7a69f, "ethtool_op_get_ts_info" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x9c4df800, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x7b0035c1, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "gnss,libie");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DEsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:ice.sf");

MODULE_INFO(srcversion, "5DBC8CC2BC7ED4B8750C984");
