#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_choose_vector, "", "");
KSYMTAB_FUNC(mlx4_release_vector, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0xdff24481, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x7cc3257e, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0xc8077fe6, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x328592c4, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x95363645, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x1a5421cf, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x15531939, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x08d39c56, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x935f04fc, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0xea01f3ee, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x5c7b74c0, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0xa54d6546, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xde9cd4d2, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x212dd8b7, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x3b00f469, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x08b25d2d, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x265f0bfa, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x855d6066, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0xdfe60c1f, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0xc6e4f534, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0xe592471d, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0xa835151f, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x948e8357, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0xd485026d, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x4cc20701, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0xe5c60d2c, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x89e04dbe, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x7dbb1d53, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0xe1ef4f87, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x34b3a570, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x5b5803c0, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x2ac07c23, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x4f06dc8a, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x813a7011, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0xbda4f138, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x5a5f17ba, "");
SYMBOL_CRC(mlx4_test_async, 0x7480c868, "");
SYMBOL_CRC(mlx4_test_interrupt, 0xd2249643, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x9fffb585, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x86518571, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x17d736ba, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x1d5cd75d, "");
SYMBOL_CRC(mlx4_assign_eq, 0x1dc50ef6, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x42328e76, "");
SYMBOL_CRC(mlx4_release_eq, 0xdc01ca3d, "");
SYMBOL_CRC(mlx4_choose_vector, 0xa5a8dce3, "");
SYMBOL_CRC(mlx4_release_vector, 0xa71a397b, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x2ff76a06, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x565390f0, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0xbe68c0cb, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xf6acd7aa, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x6388b5a9, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x9882fa94, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x64f3a261, "");
SYMBOL_CRC(mlx4_wol_read, 0x33e9f3b5, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x58bd7d64, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x93428b28, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x08045546, "");
SYMBOL_CRC(set_phv_bit, 0xccd0d5c6, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x99397244, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x603cf21a, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x6b4a864f, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x50e79555, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x9965bd78, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x2491f9cb, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x95f7bc2e, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x8198529e, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x23f91d8f, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0xf9d88423, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x1400a444, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x79fb619c, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x6fe43664, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x1b83dc76, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x9f0b006e, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x89043c45, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x0b8a23ff, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x4ef5ed4a, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0xa7eab5da, "");
SYMBOL_CRC(mlx4_read_clock, 0x13e0802a, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x149ba198, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x19ff0619, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x29f59131, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x9b08efbf, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x53073228, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x672d0060, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x090bfdfd, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x15691094, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x2007edbe, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x2d5bb323, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x7e72da01, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x014ee1e5, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x3be8cc73, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x5220d800, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x9cdd6d73, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x6a5c9450, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x973590b5, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0xca7d674d, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x39a03ab1, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x64505e01, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0xb50d7e59, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x9e8ffd08, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x299a6543, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xd53f6faa, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0xebf539d9, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x876562b1, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x00542fd9, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x6b3f3409, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x0b3e9aae, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x453da685, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x30d0333e, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xb2c32bd0, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x1c69a8fd, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xbcdcce69, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x6aec0756, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x49ed1123, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x34529207, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xf5329f96, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x95b34c92, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x2e62cd81, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x4fb2b6ed, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xe7c07db0, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x270c7560, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x92e7f8d2, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x572dfc23, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xb524782c, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xe02a6146, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x4756ab5f, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x91c3114c, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x96cb5cd1, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x12d5858f, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x10894fa1, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x667f44a8, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0xbebdf288, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xa8cd1ed1, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x109c3bed, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x96881e1d, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x71162b62, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x6dc8b4b3, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0xc87503f9, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0xc0869e09, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x9cbf8d13, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xdcb68e67, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x77747412, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0xde9eb327, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x11601dfa, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x1cc67e7e, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x3d5c9495, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xf805e905, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x562602e2, "");
SYMBOL_CRC(mlx4_get_module_info, 0x908d7aff, "");
SYMBOL_CRC(mlx4_max_tc, 0x65ecb302, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0xe20e5a9a, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0xc38d8c3f, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0xb73807eb, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x1cc6afe7, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0xbb7b2327, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0xcfb56d15, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0xa97df034, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x776cf805, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xd0c7516f, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x6679614b, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0xac4b8435, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0xb306cc62, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x3dad346c, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x79b6cb5e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x0d7f5bfe, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x079f9b3b, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc70b63a2, "devl_region_create" },
	{ 0x388afaac, "devlink_unregister" },
	{ 0x54b80808, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xf1b8d862, "auxiliary_device_init" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x0171f2df, "devlink_region_snapshot_id_get" },
	{ 0x5b2d739a, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0xf76ee4e5, "pci_num_vf" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x47a18a4d, "param_array_ops" },
	{ 0x6d46183e, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xea925d16, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x515824d8, "alloc_cpumask_var_node" },
	{ 0x247d5d4b, "pci_sriov_get_totalvfs" },
	{ 0xbdddba2a, "devlink_register" },
	{ 0x9c699f17, "devlink_port_type_clear" },
	{ 0x8d5578e6, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x49020fd4, "param_ops_byte" },
	{ 0xfb254be7, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0x928f4743, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x45ed27ee, "auxiliary_driver_unregister" },
	{ 0xb4e32191, "dump_stack" },
	{ 0xfe74adf3, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x2cc75c14, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x469b1b5a, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xaf7adc45, "put_device" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0x9af5e66d, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x618911fc, "numa_node" },
	{ 0xf9968f9c, "__free_pages" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x22774dd3, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x6bd80b60, "__dma_sync_single_for_cpu" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x2da8b798, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x58399234, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x779ee9db, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x666a878f, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0x62eec1d5, "panic" },
	{ 0x4f0237ca, "devl_params_register" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xf307422a, "pci_restore_state" },
	{ 0xb69b7268, "device_del" },
	{ 0xbaf509e0, "devl_param_driverinit_value_set" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x9da409e7, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x6c701f96, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x015312e0, "devl_unlock" },
	{ 0xbdc8c686, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x4b356bb7, "pci_release_regions" },
	{ 0xcbb796e8, "__dma_sync_single_for_device" },
	{ 0x1ea89ac0, "devl_assert_locked" },
	{ 0x7f1bc7e2, "pcie_print_link_status" },
	{ 0x040dd922, "devl_port_unregister" },
	{ 0x5b7350af, "devl_param_driverinit_value_get" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x457313f5, "devlink_priv" },
	{ 0xd73d7dd2, "pci_disable_sriov" },
	{ 0xc8b72e4b, "pci_disable_msix" },
	{ 0x6a5de1bb, "alloc_pages_noprof" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0xde055c29, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x43248fd1, "dma_unmap_sg_attrs" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x98cf60b3, "strlen" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x69c191a1, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x35215603, "ioremap_prot" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0x5b38f1e3, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7ece803a, "pci_write_config_dword" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x27a399fb, "device_remove_file" },
	{ 0x1c09e8b9, "dma_map_sg_attrs" },
	{ 0x26fec184, "devl_param_value_changed" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "97DF1AA5C6425C52FC4F69D");
