#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_clk_tx_rate, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");
KSYMTAB_DATA(dwmac1000_dma_ops, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x01f65c59, "_gpl");
SYMBOL_CRC(stmmac_set_clk_tx_rate, 0x3b14ae79, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x261ce4cd, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xdef70653, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0xd4ed2f36, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x20496758, "_gpl");
SYMBOL_CRC(stmmac_resume, 0xefaa3a23, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");
SYMBOL_CRC(dwmac1000_dma_ops, 0xa5b38d55, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xefc08542, "mdiobus_alloc_size" },
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0x88713aaa, "xsk_tx_completed" },
	{ 0x0c8b3432, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xcdb99145, "xp_alloc" },
	{ 0x87d61c2b, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x28a8c87f, "bpf_prog_put" },
	{ 0x6b2563f5, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcf7beca8, "xp_dma_map" },
	{ 0x9f39ff76, "skb_copy_bits" },
	{ 0xe26f86c1, "hrtimer_setup" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0x2ff53add, "eth_mac_addr" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x3df50cf2, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xe022e499, "netdev_update_features" },
	{ 0x05836f5d, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x524c4e2e, "xpcs_config_eee_mult_fact" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd797ec50, "hrtimer_try_to_cancel" },
	{ 0x94192666, "bpf_warn_invalid_xdp_action" },
	{ 0x91b5f45b, "unregister_netdev" },
	{ 0xe0cbd7ee, "xdp_convert_zc_to_xdp_frame" },
	{ 0xd47c1467, "xdp_features_set_redirect_target" },
	{ 0x63695201, "gpiod_set_value_cansleep" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0x839b8198, "get_device_system_crosststamp" },
	{ 0xb5cafbeb, "ptp_clock_index" },
	{ 0x9609c679, "phy_attached_info" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x8282dae6, "phylink_rx_clk_stop_block" },
	{ 0x360694df, "seq_lseek" },
	{ 0x03d5f423, "page_pool_destroy" },
	{ 0xecf8c2bb, "xdp_do_redirect" },
	{ 0xf33baa09, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf8b931f7, "netdev_warn" },
	{ 0x3a345794, "devm_gpiod_get_optional" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdc75fff2, "flow_rule_match_ipv4_addrs" },
	{ 0xec50d2bb, "xdp_rxq_info_unreg_mem_model" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x14ee9ef3, "netdev_err" },
	{ 0xee073a96, "pskb_expand_head" },
	{ 0xd5896fff, "phylink_limit_mac_speed" },
	{ 0xb4728d1f, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0xc65c1e1a, "pinctrl_pm_select_default_state" },
	{ 0xb9f54749, "dev_addr_mod" },
	{ 0xfca043d5, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x0b199c76, "eth_type_trans" },
	{ 0xa615dce4, "__pm_runtime_set_status" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0x5b73f9f0, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xd65f756b, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x66275485, "pm_wakeup_dev_event" },
	{ 0xbe8c9212, "skb_checksum_help" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x990d4970, "__napi_schedule" },
	{ 0x5c28d70e, "pm_runtime_enable" },
	{ 0xe908abb6, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x7a6fb10f, "netif_device_detach" },
	{ 0xb752f23f, "device_property_read_u32_array" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x9146b80e, "xpcs_create_mdiodev" },
	{ 0x5c3685a2, "netif_device_attach" },
	{ 0xbd7f6776, "xdp_features_clear_redirect_target" },
	{ 0x4083cdc5, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xf603d28e, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x887e18cf, "xp_raw_get_dma" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x30c48dc2, "xdp_rxq_info_is_reg" },
	{ 0x63b03a8c, "devm_alloc_etherdev_mqs" },
	{ 0x9fda2284, "flow_block_cb_setup_simple" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x858323a0, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x8babd4e6, "dev_open" },
	{ 0x6bd80b60, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x1cd2bc73, "xpcs_destroy" },
	{ 0x1b8a23ef, "pinctrl_pm_select_sleep_state" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8eea6ed2, "xpcs_to_phylink_pcs" },
	{ 0xacce839d, "cpu_bit_bitmap" },
	{ 0x8355028a, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x160693a0, "ptp_clock_register" },
	{ 0x45fb92f9, "xsk_tx_peek_desc" },
	{ 0xb2366061, "__of_mdiobus_register" },
	{ 0x148b4478, "__traceiter_xdp_exception" },
	{ 0xe1b907c5, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x35e7c1ef, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xa4c0e22e, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x7a94353a, "skb_push" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x9349c4e5, "napi_enable" },
	{ 0x291ba4e9, "xsk_clear_rx_need_wakeup" },
	{ 0x5cd2e5e8, "xsk_uses_need_wakeup" },
	{ 0x35bb3855, "register_netdev" },
	{ 0x94d9c147, "xsk_get_pool_from_qid" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x44249be8, "page_pool_put_unrefed_netmem" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x2e2e5294, "debugfs_change_name" },
	{ 0xf76d4884, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x0a52cb80, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x85fea365, "phylink_ethtool_set_eee" },
	{ 0x08213956, "phylink_ethtool_get_wol" },
	{ 0x7e0f6ed3, "netif_tx_wake_queue" },
	{ 0xef862d62, "fwnode_get_phy_node" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6ca702b3, "page_pool_create" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x07e4d7c1, "flow_rule_match_ports" },
	{ 0x01c26376, "phylink_fwnode_phy_connect" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x77c57b18, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x668ee384, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x52a49e44, "fwnode_get_named_child_node" },
	{ 0x00741a2c, "netdev_set_tc_queue" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb365b3d5, "ptp_clock_unregister" },
	{ 0x157d9e69, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x01853a58, "xpcs_get_an_mode" },
	{ 0x8b71181c, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8d589ede, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa816b246, "xdp_return_frame_rx_napi" },
	{ 0x190514ed, "netdev_alert" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x99878af1, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x0d363f5d, "fwnode_find_reference" },
	{ 0xc1c98d47, "phylink_ethtool_ksettings_set" },
	{ 0x08ae28fe, "fwnode_property_present" },
	{ 0x04d2b7e5, "xsk_set_tx_need_wakeup" },
	{ 0x381cc222, "netdev_reset_tc" },
	{ 0x90e4f891, "gro_receive_skb" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcbb796e8, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6a75d8b7, "xp_set_rxq_info" },
	{ 0xc93772d8, "flow_rule_match_vlan" },
	{ 0xe5338715, "xdp_rxq_info_unreg" },
	{ 0xad9db93b, "page_pool_alloc_pages" },
	{ 0x45f99e15, "napi_build_skb" },
	{ 0xf8ddc56d, "__xdp_rxq_info_reg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9d9af30a, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x17759e36, "seq_printf" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x0877cfc6, "mdiobus_get_phy" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe3968cc4, "netif_carrier_on" },
	{ 0x1433371c, "netdev_set_num_tc" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x75f2e0c4, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0x4dc2dd62, "xp_free" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0x6b32244a, "xpcs_create_fwnode" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd470085b, "phylink_rx_clk_stop_unblock" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x2c21f723, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xc3c4d688, "skb_add_rx_frag_netmem" },
	{ 0xd8f9f14e, "xdp_master_redirect" },
	{ 0x486093ef, "xp_raw_get_data" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x18e55979, "napi_schedule_prep" },
	{ 0xe3fe224c, "napi_disable" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0x13201f82, "eth_header_parse_protocol" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0xbb02148a, "phylink_pcs_pre_init" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x6507e9c9, "__pm_runtime_disable" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0xaa926e4c, "phylink_prepare_resume" },
	{ 0x815588a6, "clk_enable" },
	{ 0x321261b3, "skb_clone_tx_timestamp" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5eb7a69f, "ethtool_op_get_ts_info" },
	{ 0x8160c074, "xsk_tx_release" },
	{ 0xe337f3ab, "__dev_fwnode" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x9c4df800, "netdev_info" },
	{ 0x448ace79, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "pcs_xpcs");


MODULE_INFO(srcversion, "5DB65B9E27508873A7EDDE5");
