#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xab8b5a8d, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x867521cf, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x2434e211, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x52e63b0d, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x942c9223, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x688339b7, "__do_once_done" },
	{ 0xbc4e1ce2, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x014d0b82, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x599f1307, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x9ce1faa1, "netdev_is_rx_handler_busy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe022e499, "netdev_update_features" },
	{ 0x05836f5d, "consume_skb" },
	{ 0xdcfa9f3d, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x798adae5, "dev_uc_sync" },
	{ 0xb15d8b3a, "rtnl_link_register" },
	{ 0xe0c5e0b8, "netif_inherit_tso_max" },
	{ 0xf9e0ca37, "eth_header_cache" },
	{ 0x037a0cba, "kfree" },
	{ 0xa18cbcc3, "ip_route_output_flow" },
	{ 0x2c0c115d, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x01fed2c3, "dev_uc_unsync" },
	{ 0xd7421ce9, "ether_setup" },
	{ 0x14ee9ef3, "netdev_err" },
	{ 0x54618ea1, "netdev_upper_dev_link" },
	{ 0xedfbd895, "register_pernet_subsys" },
	{ 0xb9f54749, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2be8ac1f, "eth_header_parse" },
	{ 0x6cf64e4c, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xe13f8d25, "eth_header_cache_update" },
	{ 0x0d0f4aa2, "nf_register_net_hooks" },
	{ 0xf6e79187, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xdddf06fe, "ip_route_input_noref" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x69c6b596, "__dev_get_by_index" },
	{ 0xc32fc9e8, "rtnl_link_unregister" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0xa1b2b3c6, "netif_stacked_transfer_operstate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdec82afe, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa0632f19, "ns_capable" },
	{ 0xd4bc66be, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x0a52cb80, "ethtool_op_get_link" },
	{ 0xa5bfb493, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x71e34bf1, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0x7b033b9b, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xcd17a527, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x7d2ccb21, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6a00c305, "vlan_vid_add" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x1407ac5f, "call_netdevice_notifiers" },
	{ 0x925d45f2, "vlan_vid_del" },
	{ 0x2e73861b, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd7ec32fc, "skb_clone" },
	{ 0xc1c14fc0, "dst_release" },
	{ 0x3c8c9003, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x054bcbb4, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x13201f82, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x8f0e19ac, "dev_mc_unsync" },
	{ 0xf13d3280, "dev_change_flags" },
	{ 0xfd7cbc3f, "netdev_core_stats_inc" },
	{ 0xc53ab67c, "dev_forward_skb" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x82f143f0, "register_netdevice" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6386F4546FECB8D7DCBAA00");
