#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xpcs_to_phylink_pcs, "_gpl", "");
KSYMTAB_FUNC(xpcs_get_an_mode, "_gpl", "");
KSYMTAB_FUNC(xpcs_config_eee_mult_fact, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_mdiodev, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_pcs_mdiodev, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_fwnode, "_gpl", "");
KSYMTAB_FUNC(xpcs_destroy, "_gpl", "");
KSYMTAB_FUNC(xpcs_destroy_pcs, "_gpl", "");

SYMBOL_CRC(xpcs_to_phylink_pcs, 0x8eea6ed2, "_gpl");
SYMBOL_CRC(xpcs_get_an_mode, 0x01853a58, "_gpl");
SYMBOL_CRC(xpcs_config_eee_mult_fact, 0x524c4e2e, "_gpl");
SYMBOL_CRC(xpcs_create_mdiodev, 0x9146b80e, "_gpl");
SYMBOL_CRC(xpcs_create_pcs_mdiodev, 0x2badf742, "_gpl");
SYMBOL_CRC(xpcs_create_fwnode, 0x6b32244a, "_gpl");
SYMBOL_CRC(xpcs_destroy, 0x1cd2bc73, "_gpl");
SYMBOL_CRC(xpcs_destroy_pcs, 0xc002c3bc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0040e2a0, "mdiobus_c45_modify_changed" },
	{ 0x06e25269, "mdiobus_c45_read" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xdebe517e, "devm_pm_runtime_enable" },
	{ 0x1239b4f2, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0xb86cede7, "phylink_resolve_c73" },
	{ 0x037a0cba, "kfree" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x52b3e56e, "platform_get_resource_byname" },
	{ 0xfb254be7, "get_device" },
	{ 0xc5803d3a, "fwnode_mdio_find_device" },
	{ 0x16776275, "devm_clk_get" },
	{ 0x5001e99a, "mdiobus_c45_write" },
	{ 0xa615dce4, "__pm_runtime_set_status" },
	{ 0x8d47a34d, "device_set_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb752f23f, "device_property_read_u32_array" },
	{ 0xe0a6ef73, "mdio_device_register" },
	{ 0xef29fcdd, "clk_bulk_put" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6439ed7c, "phylink_mii_c45_pcs_get_state" },
	{ 0x2aef2e31, "mdio_device_create" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xa1b02099, "device_get_match_data" },
	{ 0x499d513b, "fwnode_handle_get" },
	{ 0xc0632f95, "phylink_mii_c22_pcs_encode_advertisement" },
	{ 0x95fe9db8, "devm_mdiobus_alloc_size" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x69566392, "__platform_driver_register" },
	{ 0x5cf965b3, "mdiobus_c45_modify" },
	{ 0x187fdf07, "fwnode_device_is_available" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0x890bb903, "devm_ioremap_resource" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x2155df7b, "clk_bulk_get_optional" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x99e61cd0, "phylink_mii_c22_pcs_decode_state" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xbd94fe67, "__devm_mdiobus_register" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0x2c21f723, "dev_err_probe" },
	{ 0xa82ff75a, "mdio_device_free" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0xe337f3ab, "__dev_fwnode" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Csnps,dw-xpcs");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcsC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12gC*");

MODULE_INFO(srcversion, "84BEBAA7DDF04EB87D9B499");
