#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ppp_register_net_channel, "", "");
KSYMTAB_FUNC(ppp_register_channel, "", "");
KSYMTAB_FUNC(ppp_unregister_channel, "", "");
KSYMTAB_FUNC(ppp_channel_index, "", "");
KSYMTAB_FUNC(ppp_unit_number, "", "");
KSYMTAB_FUNC(ppp_dev_name, "", "");
KSYMTAB_FUNC(ppp_input, "", "");
KSYMTAB_FUNC(ppp_input_error, "", "");
KSYMTAB_FUNC(ppp_output_wakeup, "", "");
KSYMTAB_FUNC(ppp_register_compressor, "", "");
KSYMTAB_FUNC(ppp_unregister_compressor, "", "");

SYMBOL_CRC(ppp_register_net_channel, 0x66ebeb1d, "");
SYMBOL_CRC(ppp_register_channel, 0x2642b9d2, "");
SYMBOL_CRC(ppp_unregister_channel, 0x805689f7, "");
SYMBOL_CRC(ppp_channel_index, 0x31cff442, "");
SYMBOL_CRC(ppp_unit_number, 0xe8425149, "");
SYMBOL_CRC(ppp_dev_name, 0x59c9b74f, "");
SYMBOL_CRC(ppp_input, 0xdd599160, "");
SYMBOL_CRC(ppp_input_error, 0xcf6b5131, "");
SYMBOL_CRC(ppp_output_wakeup, 0xbe1d34d6, "");
SYMBOL_CRC(ppp_register_compressor, 0x40b65911, "");
SYMBOL_CRC(ppp_unregister_compressor, 0xb501be80, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa8081493, "__alloc_skb" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x14ee9ef3, "netdev_err" },
	{ 0x2c0c115d, "unregister_netdevice_queue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x88853eb0, "netdev_name_in_use" },
	{ 0x82f143f0, "register_netdevice" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa0632f19, "ns_capable" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xd3156947, "register_pernet_device" },
	{ 0x12f65eb5, "__register_chrdev" },
	{ 0x43c9bb5c, "class_register" },
	{ 0xb15d8b3a, "rtnl_link_register" },
	{ 0x58daeb2b, "class_unregister" },
	{ 0x7e71fead, "device_create" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x4f0dfa23, "unregister_pernet_device" },
	{ 0xc32fc9e8, "rtnl_link_unregister" },
	{ 0xc532fd0b, "device_destroy" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x610d31cf, "bpf_prog_create" },
	{ 0x037a0cba, "kfree" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x67ad8866, "fget" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x718d561a, "fput" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0x42996f74, "try_module_get" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0xabd39162, "__netdev_alloc_skb" },
	{ 0x6e209d4d, "slhc_toss" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0xb4e9860c, "netdev_printk" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0x01000e51, "schedule" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x94e8cbc6, "iov_iter_init" },
	{ 0xc0c38c62, "skb_copy_datagram_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x80f552bf, "slhc_free" },
	{ 0x87680d66, "skb_queue_purge_reason" },
	{ 0xfd7e10d4, "bpf_prog_destroy" },
	{ 0x94a73ccb, "free_netdev" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdcb764ad, "memset" },
	{ 0x2cee14ab, "__put_net" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7a94353a, "skb_push" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc7bc51b7, "slhc_compress" },
	{ 0x7e0f6ed3, "netif_tx_wake_queue" },
	{ 0x42bd1f1b, "skb_queue_head" },
	{ 0xcd17a527, "skb_scrub_packet" },
	{ 0xee073a96, "pskb_expand_head" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x9f39ff76, "skb_copy_bits" },
	{ 0x256807c6, "slhc_uncompress" },
	{ 0x4da03ef5, "slhc_remember" },
	{ 0xd53ba547, "skb_trim" },
	{ 0x8a7563fa, "skb_pull_rcsum" },
	{ 0x7b033b9b, "netif_rx" },
	{ 0x90c506c7, "alloc_netdev_mqs" },
	{ 0x6e65c36e, "slhc_init" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x79344841, "noop_llseek" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "slhc");


MODULE_INFO(srcversion, "87D47EB17B91768B4270F86");
