#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x5be16d0d, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xb73f45e7, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x7785616c, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x63173f98, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xd087278f, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x24b2b999, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0xafa24822, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x56d9a371, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x5d1b5098, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x14ee9ef3, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xc1b99b37, "cdev_init" },
	{ 0xc1fb3283, "cdev_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x008d6246, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3aa45b95, "sk_free" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc0c38c62, "skb_copy_datagram_iter" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x01000e51, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xed897728, "_copy_to_iter" },
	{ 0x16aa7307, "iov_iter_zero" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x5ac016a9, "__skb_flow_dissect" },
	{ 0xb4fdf6f5, "skb_partial_csum_set" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0x26e0299f, "iov_iter_advance" },
	{ 0xd7d5a61f, "iov_iter_npages" },
	{ 0xd2f90383, "sock_alloc_send_pskb" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0xe7a25245, "zerocopy_sg_from_iter" },
	{ 0x7d2ccb21, "__dev_queue_xmit" },
	{ 0x29904dc1, "skb_copy_datagram_from_iter" },
	{ 0x8c3ab70c, "_copy_from_iter" },
	{ 0xb95438c3, "iov_iter_revert" },
	{ 0x9f39ff76, "skb_copy_bits" },
	{ 0x0716973f, "build_skb" },
	{ 0x7a94353a, "skb_push" },
	{ 0x830740e6, "__skb_gso_segment" },
	{ 0xbe8c9212, "skb_checksum_help" },
	{ 0xccc9c3a8, "kfree_skb_list_reason" },
	{ 0xc13ad29a, "__skb_get_hash_net" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x20978fb9, "idr_find" },
	{ 0x47e04a78, "sk_alloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8c4844fd, "sock_init_data_uid" },
	{ 0x812772f9, "dev_get_mac_address" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x78545b00, "dev_set_mac_address_user" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x73c1a4d5, "compat_ptr_ioctl" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AC8E791B70A90FF3AEE00BA");
