#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xc74dc74a, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x0db94727, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x6515731c, "file_f_owner_allocate" },
	{ 0xb1dff430, "fasync_helper" },
	{ 0x5b81b550, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9c4df800, "netdev_info" },
	{ 0xe3968cc4, "netif_carrier_on" },
	{ 0x9d9af30a, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8d304f20, "nla_put" },
	{ 0x7742549c, "from_kgid_munged" },
	{ 0x355a1703, "from_kuid_munged" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xfd7e10d4, "bpf_prog_destroy" },
	{ 0x037a0cba, "kfree" },
	{ 0x6ffab7c1, "netif_tx_stop_all_queues" },
	{ 0xe14c33f8, "dev_get_tstats64" },
	{ 0x92997ed8, "_printk" },
	{ 0xb15d8b3a, "rtnl_link_register" },
	{ 0xe0b27446, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc6c20445, "misc_deregister" },
	{ 0xc32fc9e8, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x8355028a, "xdp_return_frame" },
	{ 0x887dc6d7, "napi_get_frags" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x99de177d, "iov_iter_single_seg_count" },
	{ 0xee073a96, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x81b8cd0e, "kill_fasync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x14ee9ef3, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x28a8c87f, "bpf_prog_put" },
	{ 0x47e04a78, "sk_alloc" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8c4844fd, "sock_init_data_uid" },
	{ 0x3aa45b95, "sk_free" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x87680d66, "skb_queue_purge_reason" },
	{ 0xe3fe224c, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe5338715, "xdp_rxq_info_unreg" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8b71181c, "__netif_napi_del_locked" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdcb764ad, "memset" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0xe30b340d, "bpf_prog_get_type_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xfd7cbc3f, "netdev_core_stats_inc" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xed897728, "_copy_to_iter" },
	{ 0x16aa7307, "iov_iter_zero" },
	{ 0xf8eaa378, "security_tun_dev_attach" },
	{ 0x30c48dc2, "xdp_rxq_info_is_reg" },
	{ 0xe1b907c5, "netif_set_real_num_tx_queues" },
	{ 0x35e7c1ef, "netif_set_real_num_rx_queues" },
	{ 0xb570fb8f, "lock_sock_nested" },
	{ 0xbb048fc9, "sk_attach_filter" },
	{ 0xa1d20c8a, "release_sock" },
	{ 0xf8ddc56d, "__xdp_rxq_info_reg" },
	{ 0xfca043d5, "xdp_rxq_info_reg_mem_model" },
	{ 0xf33baa09, "netif_napi_add_weight_locked" },
	{ 0x9349c4e5, "napi_enable" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa5a2ca16, "__dev_get_by_name" },
	{ 0xa0632f19, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x0e8bacae, "netdev_state_change" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x90c506c7, "alloc_netdev_mqs" },
	{ 0x56b01769, "ip_tunnel_header_ops" },
	{ 0x82f143f0, "register_netdevice" },
	{ 0x7e0f6ed3, "netif_tx_wake_queue" },
	{ 0xd7421ce9, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb9f54749, "dev_addr_mod" },
	{ 0x94a73ccb, "free_netdev" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x5ac016a9, "__skb_flow_dissect" },
	{ 0xb4fdf6f5, "skb_partial_csum_set" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0x5cd3eb7a, "netif_receive_skb" },
	{ 0xc0c38c62, "skb_copy_datagram_iter" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x01000e51, "schedule" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x9f35fa9d, "__skb_get_hash_symmetric_net" },
	{ 0x90e4f891, "gro_receive_skb" },
	{ 0x5b73f9f0, "napi_complete_done" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x17759e36, "seq_printf" },
	{ 0x4f3e5807, "sk_filter_trim_cap" },
	{ 0x321261b3, "skb_clone_tx_timestamp" },
	{ 0xa1df01f0, "skb_tx_error" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x3df50cf2, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb767128f, "skb_copy_ubufs" },
	{ 0x572d44ad, "___pskb_trim" },
	{ 0x3dbf0459, "sock_recv_errqueue" },
	{ 0x9dda0f6c, "net_hotdata" },
	{ 0x2c0c115d, "unregister_netdevice_queue" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xecf8c2bb, "xdp_do_redirect" },
	{ 0x94192666, "bpf_warn_invalid_xdp_action" },
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x148b4478, "__traceiter_xdp_exception" },
	{ 0xa816b246, "xdp_return_frame_rx_napi" },
	{ 0xe0cbd7ee, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x0716973f, "build_skb" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x0b199c76, "eth_type_trans" },
	{ 0xdb8544d2, "do_xdp_generic" },
	{ 0xd8f9f14e, "xdp_master_redirect" },
	{ 0xcad91204, "__folio_put" },
	{ 0xa8a20f47, "__page_frag_cache_drain" },
	{ 0x05a4c589, "skb_page_frag_refill" },
	{ 0x1c7316a4, "copy_page_from_iter" },
	{ 0xecdc5c4e, "skb_set_owner_w" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x8c3ab70c, "_copy_from_iter" },
	{ 0x26e0299f, "iov_iter_advance" },
	{ 0xd7d5a61f, "iov_iter_npages" },
	{ 0x29904dc1, "skb_copy_datagram_from_iter" },
	{ 0xd2f90383, "sock_alloc_send_pskb" },
	{ 0xe7a25245, "zerocopy_sg_from_iter" },
	{ 0xb95438c3, "iov_iter_revert" },
	{ 0x7a94353a, "skb_push" },
	{ 0x028a8ba2, "eth_get_headlen" },
	{ 0x18e55979, "napi_schedule_prep" },
	{ 0x525cb9ad, "napi_gro_frags" },
	{ 0x990d4970, "__napi_schedule" },
	{ 0x78545b00, "dev_set_mac_address_user" },
	{ 0x36003a79, "get_net_ns" },
	{ 0x715b8ed2, "open_related_ns" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x812772f9, "dev_get_mac_address" },
	{ 0xd6be8cb0, "sk_detach_filter" },
	{ 0xe022e499, "netdev_update_features" },
	{ 0xfaf0b980, "make_kuid" },
	{ 0x5d291972, "make_kgid" },
	{ 0x4cbd68a5, "init_user_ns" },
	{ 0x088f3400, "from_kgid" },
	{ 0x1407ac5f, "call_netdevice_notifiers" },
	{ 0x77f0fb5f, "__module_get" },
	{ 0x7e8a80be, "from_kuid" },
	{ 0xf9d51940, "passthru_features_check" },
	{ 0x2ff53add, "eth_mac_addr" },
	{ 0x3cd8a3b9, "eth_validate_addr" },
	{ 0x0a52cb80, "ethtool_op_get_link" },
	{ 0x5eb7a69f, "ethtool_op_get_ts_info" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B7DE5C631B9BF22AE2B213D");
