#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x5c7b8854, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x95ab0bf1, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x2f4ff77b, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xc0474daa, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xf5c791d4, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xb42f8c22, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x6275d226, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x4df3280d, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x2192c3f0, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xe31b876e, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x25986302, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x87159b72, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xe6e5f444, "_gpl");
SYMBOL_CRC(usbnet_open, 0xb7137e36, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x88c76b19, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xde9d0a9b, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x7daf5cb0, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x5c9ba7ad, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xbc3ce64e, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x5e224e2a, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x06ebb443, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x5e441e3a, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x9c6a2abb, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xeeba45b9, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x2074b436, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x3d3b21b4, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xcc610190, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x685faf29, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x47ef9f6f, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xf2d8fa77, "");
SYMBOL_CRC(usbnet_manage_power, 0x95e11bf1, "");
SYMBOL_CRC(usbnet_link_change, 0x323c7fad, "");
SYMBOL_CRC(usbnet_read_cmd, 0xbe33b7f4, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x805bd4ed, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x4a5439d1, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x1982958d, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x934ed7a4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc62615f3, "usb_set_interface" },
	{ 0x74ce9eb5, "usb_string" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xb9f54749, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8d589ede, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x87680d66, "skb_queue_purge_reason" },
	{ 0x27248928, "usb_submit_urb" },
	{ 0x14ee9ef3, "netdev_err" },
	{ 0x68db7f79, "mii_ethtool_get_link_ksettings" },
	{ 0x24b483c7, "mii_ethtool_set_link_ksettings" },
	{ 0xa4fc87b3, "mii_nway_restart" },
	{ 0xdd778eb8, "usb_autopm_put_interface_async" },
	{ 0x037a0cba, "kfree" },
	{ 0x800a9c83, "usb_free_urb" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xc5ed29ee, "usb_control_msg" },
	{ 0x4829a47e, "memcpy" },
	{ 0x75b4f7e7, "usb_autopm_get_interface" },
	{ 0xf8059560, "usb_autopm_put_interface" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x4156a50d, "usb_alloc_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x23e1f9c9, "usb_kill_urb" },
	{ 0xc4bb57b9, "mii_link_ok" },
	{ 0x0a52cb80, "ethtool_op_get_link" },
	{ 0xe3968cc4, "netif_carrier_on" },
	{ 0x9d9af30a, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x761d7d77, "usb_get_urb" },
	{ 0x70e90ce2, "usb_unlink_urb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x91b5f45b, "unregister_netdev" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x8c41dbc3, "usb_get_from_anchor" },
	{ 0x94a73ccb, "free_netdev" },
	{ 0x9c4df800, "netdev_info" },
	{ 0x7a6fb10f, "netif_device_detach" },
	{ 0x5c3685a2, "netif_device_attach" },
	{ 0x059c2a8a, "skb_defer_rx_timestamp" },
	{ 0x7b033b9b, "netif_rx" },
	{ 0x0b199c76, "eth_type_trans" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0x3ffa5b64, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x35bb3855, "register_netdev" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5c28d70e, "pm_runtime_enable" },
	{ 0xe6ffef00, "usb_check_bulk_endpoints" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x321261b3, "skb_clone_tx_timestamp" },
	{ 0x71132fd9, "usb_autopm_get_interface_async" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0x3df50cf2, "skb_tstamp_tx" },
	{ 0xc5cd36b4, "usb_anchor_urb" },
	{ 0xabd39162, "__netdev_alloc_skb" },
	{ 0x7e0f6ed3, "netif_tx_wake_queue" },
	{ 0xe2964344, "__wake_up" },
	{ 0x95b58d8a, "usb_autopm_get_interface_no_resume" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x9e5c9f9f, "usb_clear_halt" },
	{ 0x2ff53add, "eth_mac_addr" },
	{ 0x3cd8a3b9, "eth_validate_addr" },
	{ 0x5eb7a69f, "ethtool_op_get_ts_info" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "9F7DC8FB1CC7A363B75917F");
