#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x38dcbe09, "");
SYMBOL_CRC(ath10k_info, 0xe6f7ad15, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x686f8a30, "");
SYMBOL_CRC(ath10k_err, 0xd7bff9ed, "");
SYMBOL_CRC(ath10k_warn, 0x5440ac36, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0x4f8a935f, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x44a9176e, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x4f2b1763, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0xd0ce8ead, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0x5fb4c267, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x9ecf2494, "");
SYMBOL_CRC(ath10k_core_start, 0xe59183f4, "");
SYMBOL_CRC(ath10k_core_stop, 0xeaee9067, "");
SYMBOL_CRC(ath10k_core_register, 0x43813170, "");
SYMBOL_CRC(ath10k_core_unregister, 0xd40dead3, "");
SYMBOL_CRC(ath10k_core_create, 0xf5473b92, "");
SYMBOL_CRC(ath10k_core_destroy, 0x82e8923b, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0xedc4bdf7, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0xf1f122cd, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0xc6cfa2db, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0xe6e3ba3e, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0xe3733479, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x26b13a3a, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x7bdf0857, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x66db2651, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x13657464, "");
SYMBOL_CRC(ath10k_bmi_start, 0x8ec7f1e6, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0xe523c786, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0x96fbbf45, "");
SYMBOL_CRC(ath10k_coredump_new, 0x1fbd4bd1, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0xe64b284e, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0x6d82a65d, "");
SYMBOL_CRC(ath10k_ce_send, 0x0c8845de, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x879c0d3e, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0x8ef0bbc0, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0x7ce4091c, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0xbc16e40e, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0x8db9cca9, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x0a88a623, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x292eaa86, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x72ea3254, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0x9b730058, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0xef988a97, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0xf6b7f7bd, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0xd3f126f2, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0x112c5a2f, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0xc6447dc3, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x5adf67e0, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x96f0faec, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0x4c4c5016, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x59e489d8, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0x08b689dd, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0x659d3116, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0xea04e711, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0xd88b019b, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x9cf1b9a3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xde2b15fa, "ieee80211_beacon_update_cntdwn" },
	{ 0xd1ce2893, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x87d61c2b, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5e330507, "ieee80211_connection_loss" },
	{ 0x645d1b7c, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa17e57fa, "is_acpi_device_node" },
	{ 0x6b2563f5, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1849ea57, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0xcdb2b571, "ieee80211_txq_get_depth" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0xea3d17eb, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0xba8e2979, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x6eb14365, "firmware_request_nowarn" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x45801b77, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x72fb2720, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x77374344, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0xed1a27e0, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x6d0f1257, "ieee80211_iterate_stations_atomic" },
	{ 0xa280058a, "ieee80211_tx_status_ext" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc776fcd1, "ieee80211_beacon_loss" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0xfa78cefe, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0x2447ec0d, "thermal_cooling_device_register" },
	{ 0x33471eaf, "led_classdev_unregister" },
	{ 0xe41401de, "ieee80211_register_hw" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x5a2eb1b2, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x06293057, "ieee80211_wake_queue" },
	{ 0x0248efd3, "kstrtobool_from_user" },
	{ 0xcad4dd04, "ieee80211_hw_restart_disconnect" },
	{ 0xc32e4905, "of_get_property" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xee073a96, "pskb_expand_head" },
	{ 0x87680d66, "skb_queue_purge_reason" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x963a22aa, "ieee80211_find_sta" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x325b2c04, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x26d79e05, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xee7da5df, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0x3468635c, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x2c589d2d, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x01f03cf2, "wiphy_to_ieee80211_hw" },
	{ 0x72f461a1, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5069bae8, "ieee80211_queue_delayed_work" },
	{ 0x08a966a9, "ieee80211_proberesp_get" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x5ca25210, "simple_open" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x5968b034, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xfd7e27c9, "init_uts_ns" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x50535977, "ieee80211_find_sta_by_ifaddr" },
	{ 0x580d55bf, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcd7ff877, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x9349c4e5, "napi_enable" },
	{ 0x027eafe6, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xf0758bda, "ieee80211_wake_queues" },
	{ 0x94a73ccb, "free_netdev" },
	{ 0xc7b3efe9, "of_property_read_string" },
	{ 0x413590ef, "wiphy_read_of_freq_limits" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x48644656, "ieee80211_report_low_ack" },
	{ 0x1e725805, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4eccb1cf, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x87c81d8d, "led_classdev_register_ext" },
	{ 0x7468b02d, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3c743ea8, "ieee80211_alloc_hw_nm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa440834d, "default_llseek" },
	{ 0xba8ea730, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x90b9bcff, "devm_hwmon_device_register_with_groups" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x4fef7803, "skb_dequeue_tail" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1a3715a5, "of_property_read_variable_u8_array" },
	{ 0xae58536e, "devm_nvmem_cell_get" },
	{ 0x64db3c67, "ieee80211_stop_queue" },
	{ 0xabd39162, "__netdev_alloc_skb" },
	{ 0x99546458, "ieee80211_ready_on_channel" },
	{ 0x6d7456fd, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd53ba547, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31a1d229, "skb_realloc_headroom" },
	{ 0x69965e52, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x0c8ad9be, "alloc_netdev_dummy" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0xb36ddc44, "ieee80211_scan_completed" },
	{ 0xf18f1a5d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0xcbb796e8, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x9d0e1c74, "ieee80211_unregister_hw" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71698544, "ath_regd_init" },
	{ 0xf2585a71, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd5093415, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0xc40b9520, "ieee80211_tdls_oper_request" },
	{ 0xd48e4b35, "ieee80211_radar_detected" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x0bcdfd4e, "thermal_cooling_device_unregister" },
	{ 0xf37d2679, "ieee80211_tx_rate_update" },
	{ 0xce244589, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe3fe224c, "napi_disable" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0x540fa239, "ieee80211_bss_get_elem" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x5496b30d, "__cfg80211_get_bss" },
	{ 0x252bab53, "of_property_read_string_helper" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x806df691, "ieee80211_csa_finish" },
	{ 0x42bd1f1b, "skb_queue_head" },
	{ 0x16b0977c, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,ath");


MODULE_INFO(srcversion, "B210605F7C4CA6F621B6950");
