#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(__ath11k_dbg, "", "");
KSYMTAB_FUNC(ath11k_dbg_dump, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_fw_destroy, "", "");
KSYMTAB_FUNC(ath11k_debugfs_soc_destroy, "", "");
KSYMTAB_DATA(__tracepoint_ath11k_log_dbg, "", "");
KSYMTAB_FUNC(ath11k_coredump_get_dump_type, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0x107c0489, "");
SYMBOL_CRC(ath11k_core_resume, 0xa9ed5d20, "");
SYMBOL_CRC(ath11k_core_pre_init, 0x0af3e514, "");
SYMBOL_CRC(ath11k_core_init, 0x910f2da2, "");
SYMBOL_CRC(ath11k_core_deinit, 0x3da68838, "");
SYMBOL_CRC(ath11k_core_free, 0xdd335905, "");
SYMBOL_CRC(ath11k_core_alloc, 0x2f707bc7, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0xd82078aa, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0xf3d2c72a, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0x67ef967d, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0xdb350b96, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x87f3fdcb, "");
SYMBOL_CRC(ath11k_info, 0x3ce7c50a, "");
SYMBOL_CRC(ath11k_err, 0x1c2eee45, "");
SYMBOL_CRC(ath11k_warn, 0x63dc387a, "");
SYMBOL_CRC(__ath11k_dbg, 0xa3e3dc17, "");
SYMBOL_CRC(ath11k_dbg_dump, 0x38e20b2a, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x8c349f6c, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x75e0b9fe, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0x6ebca961, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0xc2f1c84d, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0x83a96bca, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0x44e32fea, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0x533895a7, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0x3dee6895, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x34ea6613, "");
SYMBOL_CRC(ath11k_pcic_read32, 0xeb2cd047, "");
SYMBOL_CRC(ath11k_pcic_read, 0xe839aaa7, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0x57435637, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0xc2dd602d, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0x5dbe09cb, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0x23ce3606, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0x6f62a377, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0x81d82490, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0xa70aa08b, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x96654b85, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0xb1ffe5cd, "");
SYMBOL_CRC(ath11k_pcic_stop, 0x397b8307, "");
SYMBOL_CRC(ath11k_pcic_start, 0x136dcb80, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0xcbc425d8, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x6c7ca09f, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0x46599454, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0xc54e4403, "");
SYMBOL_CRC(ath11k_fw_destroy, 0xb0eba617, "");
SYMBOL_CRC(ath11k_debugfs_soc_destroy, 0xda02e2b0, "");
SYMBOL_CRC(__tracepoint_ath11k_log_dbg, 0x674a3dee, "");
SYMBOL_CRC(ath11k_coredump_get_dump_type, 0x3f81fc96, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde2b15fa, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe873ddeb, "ieee80211_gtk_rekey_notify" },
	{ 0x87d61c2b, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x4c0b6857, "cfg80211_chandef_dfs_usable" },
	{ 0x5e330507, "ieee80211_connection_loss" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6b2563f5, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xada9cce1, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x20978fb9, "idr_find" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfd19ff82, "of_node_put" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x6eb14365, "firmware_request_nowarn" },
	{ 0xc129efe8, "qmi_handle_init" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x054a1e89, "of_address_to_resource" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x72fb2720, "device_get_mac_address" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x714ac6bc, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x972138e2, "debugfs_create_symlink" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x77374344, "ieee80211_free_hw" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xd16fb0a7, "dma_free_pages" },
	{ 0x6d0f1257, "ieee80211_iterate_stations_atomic" },
	{ 0xb65c6e00, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xa280058a, "ieee80211_tx_status_ext" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc776fcd1, "ieee80211_beacon_loss" },
	{ 0x037a0cba, "kfree" },
	{ 0x4f902e5d, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x2447ec0d, "thermal_cooling_device_register" },
	{ 0xe41401de, "ieee80211_register_hw" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xf33baa09, "netif_napi_add_weight_locked" },
	{ 0x5a2eb1b2, "ieee80211_restart_hw" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb0f03b97, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x00148653, "vsnprintf" },
	{ 0xcad4dd04, "ieee80211_hw_restart_disconnect" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xee073a96, "pskb_expand_head" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x59ed3006, "crypto_destroy_tfm" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x963a22aa, "ieee80211_find_sta" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0x63442cb9, "qmi_send_request" },
	{ 0x5b73f9f0, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x53c69949, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x325b2c04, "ieee80211_tx_status_irqsafe" },
	{ 0xca7a4bee, "dma_alloc_pages" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x26d79e05, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x990d4970, "__napi_schedule" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xa916b694, "strnlen" },
	{ 0xee7da5df, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x489eda10, "memset32" },
	{ 0x1f5d36b5, "qmi_txn_wait" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0x3468635c, "ieee80211_get_channel_khz" },
	{ 0x2c589d2d, "sysfs_create_link" },
	{ 0xfb933ef2, "ieee80211_obss_color_collision_notify" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x01f03cf2, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd0a7b967, "debugfs_lookup" },
	{ 0xc13ad29a, "__skb_get_hash_net" },
	{ 0x6bd80b60, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5069bae8, "ieee80211_queue_delayed_work" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x4fc78810, "debugfs_create_bool" },
	{ 0x526baa68, "crypto_shash_setkey" },
	{ 0x5ca25210, "simple_open" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c11d02a, "qmi_txn_cancel" },
	{ 0x401d12da, "__of_parse_phandle_with_args" },
	{ 0x5968b034, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x50535977, "ieee80211_find_sta_by_ifaddr" },
	{ 0x73a4463f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcd7ff877, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x9349c4e5, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x027eafe6, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xf0758bda, "ieee80211_wake_queues" },
	{ 0x94a73ccb, "free_netdev" },
	{ 0xc7b3efe9, "of_property_read_string" },
	{ 0x413590ef, "wiphy_read_of_freq_limits" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3b77a870, "qmi_txn_init" },
	{ 0x48644656, "ieee80211_report_low_ack" },
	{ 0x1e725805, "ieee80211_beacon_get_template" },
	{ 0x196cefb2, "crypto_shash_update" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4eccb1cf, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7468b02d, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3c743ea8, "ieee80211_alloc_hw_nm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa440834d, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xa511f1fb, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x90b9bcff, "devm_hwmon_device_register_with_groups" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x432b4603, "ieee80211_beacon_free_ema_list" },
	{ 0xabd39162, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x99546458, "ieee80211_ready_on_channel" },
	{ 0x6d7456fd, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd53ba547, "skb_trim" },
	{ 0x5d1d59bd, "qmi_handle_release" },
	{ 0x8b71181c, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x0c8ad9be, "alloc_netdev_dummy" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0xb36ddc44, "ieee80211_scan_completed" },
	{ 0xf18f1a5d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xd9b86286, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0xcbb796e8, "__dma_sync_single_for_device" },
	{ 0x9d0e1c74, "ieee80211_unregister_hw" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdc3ee176, "dput" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfef27dd2, "ieee80211_color_change_finish" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0xd48e4b35, "ieee80211_radar_detected" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x0bcdfd4e, "thermal_cooling_device_unregister" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xce244589, "ieee80211_queue_work" },
	{ 0x18e55979, "napi_schedule_prep" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe3fe224c, "napi_disable" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0x540fa239, "ieee80211_bss_get_elem" },
	{ 0x137e6190, "regulatory_set_wiphy_regd" },
	{ 0x69c191a1, "_dev_printk" },
	{ 0xbde7a20c, "cfg80211_chandef_dfs_cac_time" },
	{ 0x7ab7c6e9, "crypto_alloc_shash" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x35215603, "ioremap_prot" },
	{ 0x0c929b97, "ieee80211_beacon_get_template_ema_list" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd797818d, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x5496b30d, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x806df691, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x16b0977c, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,qmi_helpers");


MODULE_INFO(srcversion, "D4CDDF46D94236B5C884290");
