#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_modal_eeprom, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_base_eeprom, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_stat_rx, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_recv, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_phy_err, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0x1ac6c420, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x505864aa, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0xed5c5c88, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0x179be12e, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0xb33b60e2, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0x9e22d486, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0x4a7eadce, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0x348559e4, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0xea653644, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0x83258b42, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0x7d758296, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0xb2218bda, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0x5908addc, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0xe0930b65, "");
SYMBOL_CRC(ath9k_cmn_debug_modal_eeprom, 0xb4182656, "");
SYMBOL_CRC(ath9k_cmn_debug_base_eeprom, 0x5c5e7b38, "");
SYMBOL_CRC(ath9k_cmn_debug_stat_rx, 0x1a0aa030, "");
SYMBOL_CRC(ath9k_cmn_debug_recv, 0x7a56fda4, "");
SYMBOL_CRC(ath9k_cmn_debug_phy_err, 0x5b0df86d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa2395d11, "ath9k_hw_set_txpowerlimit" },
	{ 0x54996c8b, "ath_hw_keyreset" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x96848186, "scnprintf" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb0f03b97, "ieee80211_get_hdrlen_from_skb" },
	{ 0x5ca25210, "simple_open" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa440834d, "default_llseek" },
	{ 0xdcb764ad, "memset" },
	{ 0x6c311454, "ath9k_hw_gettsf64" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "ath9k_hw,ath,cfg80211");


MODULE_INFO(srcversion, "1CB6688216DCA5CFA86EEFF");
