#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0x1722091a, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0xd1c45ed2, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0xdcc51d48, "_gpl");
SYMBOL_CRC(p54_free_skb, 0xdb5b1d64, "_gpl");
SYMBOL_CRC(p54_rx, 0x536c68d5, "_gpl");
SYMBOL_CRC(p54_init_common, 0xa76dbd33, "_gpl");
SYMBOL_CRC(p54_register_common, 0x3dd1c1f0, "_gpl");
SYMBOL_CRC(p54_free_common, 0x80ec7f06, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0x51238aee, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x77374344, "ieee80211_free_hw" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc776fcd1, "ieee80211_beacon_loss" },
	{ 0xfa78cefe, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0x33471eaf, "led_classdev_unregister" },
	{ 0xe41401de, "ieee80211_register_hw" },
	{ 0xd3dbdb68, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb0f03b97, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe1fbeb2f, "__ieee80211_get_radio_led_name" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x06293057, "ieee80211_wake_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x338f7c34, "__ieee80211_get_tx_led_name" },
	{ 0x87680d66, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x53c69949, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x325b2c04, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x1d885ad8, "__ieee80211_get_rx_led_name" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5069bae8, "ieee80211_queue_delayed_work" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4eccb1cf, "ieee80211_free_txskb" },
	{ 0x87c81d8d, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3c743ea8, "ieee80211_alloc_hw_nm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xc3e6e018, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x27117f46, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x64db3c67, "ieee80211_stop_queue" },
	{ 0xabd39162, "__netdev_alloc_skb" },
	{ 0xd53ba547, "skb_trim" },
	{ 0x72a275c2, "skb_unlink" },
	{ 0x69965e52, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x32f09895, "__ieee80211_get_assoc_led_name" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x9d0e1c74, "ieee80211_unregister_hw" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf2585a71, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0x69c191a1, "_dev_printk" },
	{ 0x039b8ce9, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x5c8e7cc5, "ieee80211_rx_irqsafe" },
	{ 0x42bd1f1b, "skb_queue_head" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "C1FE7481AB18C588612452C");
