#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0xae5cb0d1, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x55ba8ef8, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x3057d3d1, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0xd382fe13, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0xdfbc40b5, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x3b9f32e5, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0xd6e42d5b, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x57aa43b0, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x21daf4ec, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x9a6cf9fd, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x4c718aae, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x0027c02a, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0xc1ff0cf5, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x5e464d0b, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0xd9874504, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x64e2d963, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x4e0a16a6, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0xffa1c17a, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x204ca8ae, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x8e31596b, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x5d4309ad, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0xa1a6f456, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0xf7b9ecf6, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x269126d5, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0xc22968fa, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x87cca936, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x6089d968, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0xee3c5d00, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x7df131c9, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x5c2eada3, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x5ed3e2ff, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x04d5db72, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x014d811a, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x921123eb, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x14c31806, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x6fc9f3b0, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0xd41ec56d, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xe562fc32, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x594798cc, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x4af1d453, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0xe9a45bf3, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x8309739c, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0xeb63cf12, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0xd73fdbe1, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x25b3a668, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x85e4223f, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x2690f82f, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x3fce430a, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0xb11f7566, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x04c76589, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x33f6a4df, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x5eb800a7, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x2d617628, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0xe01a28ff, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x5d3e5766, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x168a75d1, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x90d2e4d9, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x0763e399, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x42cae82e, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0xe071929b, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0x9fb8962a, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x515728a6, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x043b4ee7, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0xcb915c6f, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x83c67eab, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x3a3ae6bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd1ce2893, "ieee80211_sta_register_airtime" },
	{ 0xada3c319, "__traceiter_mac_txdone" },
	{ 0xccf78a4c, "mt76_dma_rx_poll" },
	{ 0xf1c9d825, "mt76_tx_status_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2aa3cf98, "simple_attr_open" },
	{ 0xdcea2c0b, "debugfs_attr_write" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7f19b4bd, "mt76_tx_status_skb_get" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x3630a091, "mt76_tx_status_lock" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x63e971d0, "mt76_csa_check" },
	{ 0xcb74c374, "mt76_tx_status_skb_add" },
	{ 0x17ee919d, "__tracepoint_mac_txdone" },
	{ 0xa917b5d1, "__traceiter_dev_irq" },
	{ 0x450b8ad1, "mt76_tx_check_agg_ssn" },
	{ 0xa280058a, "ieee80211_tx_status_ext" },
	{ 0xe35ba199, "mt76_stop_tx_queues" },
	{ 0x572d44ad, "___pskb_trim" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xd51f18db, "__mt76_tx_complete_skb" },
	{ 0x360694df, "seq_lseek" },
	{ 0xf33baa09, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5a2eb1b2, "ieee80211_restart_hw" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0xb0f03b97, "ieee80211_get_hdrlen_from_skb" },
	{ 0xf7f7a44b, "kthread_park" },
	{ 0x23c007f3, "mt76_mcu_rx_event" },
	{ 0x5db619aa, "mt76_wcid_init" },
	{ 0x73a1f3b8, "mt76_tx_status_check" },
	{ 0xee213135, "wake_up_process" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x39732c35, "ieee80211_get_buffered_bc" },
	{ 0x5b73f9f0, "napi_complete_done" },
	{ 0xe5aa6e6f, "ieee80211_get_tx_rates" },
	{ 0x1383a611, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7392b5e4, "debugfs_create_devm_seqfile" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x8120331f, "mt76_tx" },
	{ 0x990d4970, "__napi_schedule" },
	{ 0x95644a7a, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x9e9837c3, "mt76_wcid_key_setup" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x60479a6c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9b7ecb5a, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2da1bc10, "kthread_unpark" },
	{ 0x40ffe41f, "mt76_phy_dfs_state" },
	{ 0x01f03cf2, "wiphy_to_ieee80211_hw" },
	{ 0xfb75f7d7, "mt76_init_queue" },
	{ 0xce4fed4a, "debugfs_attr_read" },
	{ 0x9b016908, "__mt76_sta_remove" },
	{ 0x48148041, "mt76_tx_status_skb_done" },
	{ 0x5069bae8, "ieee80211_queue_delayed_work" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x4fc78810, "debugfs_create_bool" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0xa8cf9e40, "simple_attr_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0x9349c4e5, "napi_enable" },
	{ 0x6e50cfbb, "seq_putc" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0xbdf054cd, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0xf0758bda, "ieee80211_wake_queues" },
	{ 0xd429183d, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x291e9734, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1376e127, "__mt76_mcu_msg_alloc" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x3d03ed64, "mt76_set_irq_mask" },
	{ 0x13f403d0, "bpf_trace_run1" },
	{ 0xdcb764ad, "memset" },
	{ 0x3f8768d9, "ieee80211_calc_tx_airtime" },
	{ 0x2a2e0dfe, "debugfs_create_u32" },
	{ 0x2dacbc3a, "mt76_seq_puts_array" },
	{ 0x6d7456fd, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x70577545, "__tracepoint_dev_irq" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x81da51d7, "mt76_mcu_get_response" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0xf18f1a5d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4b579f6b, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xeaedcafb, "mt76_rx_aggr_start" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0x1818ddf0, "____mt76_poll_msec" },
	{ 0x17759e36, "seq_printf" },
	{ 0xf2585a71, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x6ab6bd8e, "mt76_wcid_cleanup" },
	{ 0xd48e4b35, "ieee80211_radar_detected" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x17475f08, "mt76_queues_read" },
	{ 0x0b7aec37, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x18e55979, "napi_schedule_prep" },
	{ 0xe3fe224c, "napi_disable" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0x3d4d7a0a, "__mt76_poll" },
	{ 0x6d3ccefb, "mt76_rx_aggr_stop" },
	{ 0xdf80cadf, "debugfs_create_u8" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x85ed3c17, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "F372D4E7B3860D16A73FAAF");
