#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0x25b1bcc1, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0xec260165, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0xcfdedddb, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0x72a1b029, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0x451f74a7, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0x567581fd, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0x22d3e433, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0x1c5f75e6, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0xc01df6f5, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0x5e2d3a8f, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0xb5a7c9a3, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0x90eae1e7, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0x0185438f, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0xfa3d3d0e, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0xb7e0600c, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0x86d11926, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1a41739a, "rt2800_process_rxwi" },
	{ 0xdcb764ad, "memset" },
	{ 0x78b91960, "rt2800_config" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb91c2189, "rt2x00queue_get_entry" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x0bac318b, "rt2800_get_txwi_rxwi_size" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0x277c3420, "rt2800_disable_wpdma" },
	{ 0xd96c16a0, "rt2800_wait_wpdma_ready" },
	{ 0x8b97b88f, "rt2800_enable_radio" },
	{ 0x028be4a8, "rt2800_txstatus_timeout" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x8bc1af9c, "rt2800_txdone" },
	{ 0x65ef4552, "rt2800_txdone_nostatus" },
	{ 0x30320d0e, "rt2800_txstatus_pending" },
	{ 0x3dfde0fe, "rt2800_probe_hw" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x2957f98a, "rt2x00lib_pretbtt" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x0e5b90dd, "rt2x00mmio_rxdone" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xe271b90d, "rt2x00lib_beacondone" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2x00lib,rt2x00mmio");


MODULE_INFO(srcversion, "36F47ED470BEFD53F5EC32B");
