#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0xfdaa1c35, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0xdbf37583, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x13116dfa, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0x6b69f45f, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0x92c44f98, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0x3a8f7550, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0x2058bbf9, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x2d32d0ca, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0xa12b9bf6, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0x5932620d, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0x03dc2611, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0xd7372a7c, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0x39727563, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0x6a015e9b, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0x9c752235, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0xab8cf503, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5ed29ee, "usb_control_msg" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x037a0cba, "kfree" },
	{ 0xc5cd36b4, "usb_anchor_urb" },
	{ 0x27248928, "usb_submit_urb" },
	{ 0x037e6cb9, "usb_unanchor_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x4156a50d, "usb_alloc_urb" },
	{ 0x800a9c83, "usb_free_urb" },
	{ 0xcd90eec6, "rt2x00lib_dmastart" },
	{ 0x07085781, "rt2x00lib_dmadone" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x0d2303d2, "__skb_pad" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa678e941, "rt2x00queue_for_each_entry" },
	{ 0x23e1f9c9, "usb_kill_urb" },
	{ 0xb91c2189, "rt2x00queue_get_entry" },
	{ 0xa7b0214f, "rt2x00queue_stop_queue" },
	{ 0xbb9d2b2f, "rt2x00queue_flush_queue" },
	{ 0x7da676b8, "rt2x00queue_start_queue" },
	{ 0xfa52e7c8, "rt2x00lib_txdone_noinfo" },
	{ 0x64831ab3, "rt2x00lib_rxdone" },
	{ 0x1ddb906c, "rt2x00lib_suspend" },
	{ 0xfcc28417, "rt2x00lib_resume" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x6d312618, "rt2x00lib_remove_dev" },
	{ 0x77374344, "ieee80211_free_hw" },
	{ 0x4aacf95f, "usb_put_dev" },
	{ 0x4de1c1ba, "usb_get_dev" },
	{ 0x4124a4ab, "usb_reset_device" },
	{ 0x3c743ea8, "ieee80211_alloc_hw_nm" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xdcb764ad, "memset" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc1dc63e2, "rt2x00lib_probe_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "D2A2A50C33680A6EF957E9C");
