#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0x040f3be1, "");
SYMBOL_CRC(rtw_pci_probe, 0x022e0f52, "");
SYMBOL_CRC(rtw_pci_remove, 0x875142b5, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x423c21bf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1946ee1a, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3f7d954b, "rtw_tx_queue_mapping" },
	{ 0x73b83dbd, "pcie_capability_read_word" },
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x0ee09f4a, "pci_iomap" },
	{ 0x56a45ed8, "pci_alloc_irq_vectors" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0x77374344, "ieee80211_free_hw" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0x6d46183e, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0xf33baa09, "netif_napi_add_weight_locked" },
	{ 0xdc76a819, "dev_kfree_skb_irq_reason" },
	{ 0x9cd2f8ed, "pci_set_power_state" },
	{ 0x06293057, "ieee80211_wake_queue" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0x5b73f9f0, "napi_complete_done" },
	{ 0x325b2c04, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x40598bc2, "devm_free_irq" },
	{ 0x990d4970, "__napi_schedule" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0xa1100494, "rtw_chip_info_setup" },
	{ 0x93e4f27e, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x6bd80b60, "__dma_sync_single_for_cpu" },
	{ 0xc1bb774a, "rtw_unregister_hw" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x29eeddb6, "rtw_tx_fill_tx_desc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x9349c4e5, "napi_enable" },
	{ 0x9d3acd35, "rtw_core_init" },
	{ 0x94a73ccb, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3c743ea8, "ieee80211_alloc_hw_nm" },
	{ 0xe156906f, "pci_iounmap" },
	{ 0xfdfc5c9e, "rtw_update_rx_freq_from_ie" },
	{ 0x5d0b137f, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x64db3c67, "ieee80211_stop_queue" },
	{ 0xabd39162, "__netdev_alloc_skb" },
	{ 0xf4bf3142, "rtw_rx_stats" },
	{ 0xf23dfe0f, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x8b71181c, "__netif_napi_del_locked" },
	{ 0xa705e1ed, "rtw_register_hw" },
	{ 0x0c8ad9be, "alloc_netdev_dummy" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x4b356bb7, "pci_release_regions" },
	{ 0xcbb796e8, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9d0e1c74, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0x74778e68, "rtw_core_deinit" },
	{ 0x2648bf4e, "rtw_ops" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x18e55979, "napi_schedule_prep" },
	{ 0xe3fe224c, "napi_disable" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0x8409a3be, "rtw_power_mode_change" },
	{ 0xc02e79e7, "rtw_tx_write_data_h2c_get" },
	{ 0x74ec6ad5, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb4cdb4f8, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x8c22668b, "rtw_rx_query_rx_desc" },
	{ 0x16b0977c, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "1E408850B1F4F124ED06E03");
