#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rsi_zone_enabled, "_gpl", "");
KSYMTAB_FUNC(rsi_dbg, "_gpl", "");
KSYMTAB_FUNC(rsi_read_pkt, "_gpl", "");
KSYMTAB_FUNC(rsi_91x_init, "_gpl", "");
KSYMTAB_FUNC(rsi_91x_deinit, "_gpl", "");
KSYMTAB_FUNC(rsi_mac80211_detach, "_gpl", "");
KSYMTAB_FUNC(rsi_config_wowlan, "", "");
KSYMTAB_FUNC(rsi_hal_device_init, "_gpl", "");
KSYMTAB_FUNC(rsi_init_dbgfs, "_gpl", "");
KSYMTAB_FUNC(rsi_remove_dbgfs, "_gpl", "");

SYMBOL_CRC(rsi_zone_enabled, 0x0f5c3ce9, "_gpl");
SYMBOL_CRC(rsi_dbg, 0xcd173710, "_gpl");
SYMBOL_CRC(rsi_read_pkt, 0xc1a44981, "_gpl");
SYMBOL_CRC(rsi_91x_init, 0xa65be98e, "_gpl");
SYMBOL_CRC(rsi_91x_deinit, 0xa6990c28, "_gpl");
SYMBOL_CRC(rsi_mac80211_detach, 0x91531342, "_gpl");
SYMBOL_CRC(rsi_config_wowlan, 0xfeccd156, "");
SYMBOL_CRC(rsi_hal_device_init, 0x5c543b3e, "_gpl");
SYMBOL_CRC(rsi_init_dbgfs, 0xe8e27248, "_gpl");
SYMBOL_CRC(rsi_remove_dbgfs, 0xc9328f62, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf2ef4783, "ieee80211_queue_stopped" },
	{ 0xe1606a9f, "rsi_bt_ops" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x77374344, "ieee80211_free_hw" },
	{ 0x9e33ff85, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6d4bca86, "request_firmware" },
	{ 0x5c65a9fb, "ieee80211_start_tx_ba_session" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x50d9fed4, "kthread_complete_and_exit" },
	{ 0x360694df, "seq_lseek" },
	{ 0xe41401de, "ieee80211_register_hw" },
	{ 0xd3dbdb68, "ieee80211_emulate_change_chanctx" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x729535c9, "ieee80211_generic_frame_duration" },
	{ 0x06293057, "ieee80211_wake_queue" },
	{ 0xee213135, "wake_up_process" },
	{ 0x87680d66, "skb_queue_purge_reason" },
	{ 0x53c69949, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x325b2c04, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0x60479a6c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x01f03cf2, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb7c0f443, "sort" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcd7ff877, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x6e50cfbb, "seq_putc" },
	{ 0xd735355a, "kthread_stop" },
	{ 0x4eccb1cf, "ieee80211_free_txskb" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3c743ea8, "ieee80211_alloc_hw_nm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xdcb764ad, "memset" },
	{ 0xc3e6e018, "ieee80211_emulate_add_chanctx" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x27117f46, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x64db3c67, "ieee80211_stop_queue" },
	{ 0xabd39162, "__netdev_alloc_skb" },
	{ 0x99546458, "ieee80211_ready_on_channel" },
	{ 0x6d7456fd, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f3537bf, "kthread_create_on_node" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x69965e52, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x959bdbb1, "wiphy_rfkill_start_polling" },
	{ 0xb36ddc44, "ieee80211_scan_completed" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9d0e1c74, "ieee80211_unregister_hw" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17759e36, "seq_printf" },
	{ 0xf2585a71, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0xc15d7854, "ieee80211_cqm_rssi_notify" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x039b8ce9, "ieee80211_emulate_remove_chanctx" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x5c8e7cc5, "ieee80211_rx_irqsafe" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,btrsi,rfkill,cfg80211");


MODULE_INFO(srcversion, "811DA51AE894F007A7F1DF0");
