#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x79fd677e, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x46893865, "_gpl");
SYMBOL_CRC(wwan_create_port, 0x37952e6e, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0xe5a3687e, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0x53ffff53, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x2e62cf47, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa50e73fe, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb5abc39c, "__nlmsg_put" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x21b6bf80, "device_unregister" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb15d8b3a, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x037a0cba, "kfree" },
	{ 0x61a66cee, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4b463203, "rtnl_create_link" },
	{ 0x2c0c115d, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x87680d66, "skb_queue_purge_reason" },
	{ 0x90c506c7, "alloc_netdev_mqs" },
	{ 0xf3d9f6e8, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xaf7adc45, "put_device" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0x951c4ca8, "rtnl_configure_link" },
	{ 0x73c1a4d5, "compat_ptr_ioctl" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc32fc9e8, "rtnl_link_unregister" },
	{ 0x2da8b798, "init_net" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x79344841, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x8d304f20, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x94a73ccb, "free_netdev" },
	{ 0x58daeb2b, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3f0c87ca, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x46d92e9c, "class_dev_iter_init" },
	{ 0xc6d1920b, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12f65eb5, "__register_chrdev" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0xe50054f1, "device_match_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa573d6af, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x98cf60b3, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x43c9bb5c, "class_register" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x42bd1f1b, "skb_queue_head" },
	{ 0x9fb7fc2d, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x82f143f0, "register_netdevice" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9EBB2D46967BD030D547067");
