#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_revoke_tls_key, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x49eed23b, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x3ff04281, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xbf80ec71, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xea9eae07, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0xd788121c, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x4a5f860e, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x21b5e962, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0xfc37cedb, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x0cf2d61a, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x0415b288, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0xc5d06199, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xd3c69d8a, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x18f3e526, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xc237b347, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xbfc5a64a, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xd4a7cc42, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xb07eb00a, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xaab3fabe, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x68008658, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x0a06304c, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x1ab18061, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x10f6f1c6, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xc2ac4521, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0xb5719b41, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x6060240f, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x4d30789c, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x6f9b8b77, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xe46b773d, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x846f6eab, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xc7ab576a, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x169473f6, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x96fd405f, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x957e5854, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x86f3e61f, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xb25a7d71, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x0ee754f7, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x1b1140d2, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x1c7dd6aa, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xcd4899ca, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xf88b008c, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xd6fed2e3, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x9b3fc183, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xf098b55b, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x5aef28a0, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x8a28b9ce, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x1a38e61b, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xdb5b8b37, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xf5ddcbac, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x3f326f0b, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xdb256e75, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xebd8e945, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0xca853987, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xb336d1ba, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x165bb981, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x2a2cee33, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0xe1a370eb, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xfeb094f6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x973f9b3f, "_gpl");
SYMBOL_CRC(nvme_auth_revoke_tls_key, 0x7ecc942d, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0xff9ce93b, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0xd4dabce3, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0xc57b13c8, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x5e9ea559, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xe84b5dd1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1331cb69, "set_capacity_and_notify" },
	{ 0x6ae62673, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xbcf0b30b, "set_disk_ro" },
	{ 0x85b6a267, "__blk_alloc_disk" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x42996f74, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x403c1f60, "blk_rq_integrity_map_user" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xeaa66571, "device_remove_file_self" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0xea3d17eb, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0xab9a8cd5, "bio_split_to_limits" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xb6565a7d, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xa68fbc20, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x7aa16d40, "blk_mq_tagset_wait_completed_request" },
	{ 0xa2a2de72, "cdev_device_del" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xee18d6b9, "queue_limits_stack_bdev" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xf730879d, "device_initialize" },
	{ 0x1adc2866, "blk_mq_unquiesce_queue" },
	{ 0x758ec521, "blk_mq_quiesce_queue" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb0c36827, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x037a0cba, "kfree" },
	{ 0xc5156060, "__traceiter_block_bio_remap" },
	{ 0x66089b94, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x84f4e89c, "nvme_auth_generate_digest" },
	{ 0x44bb565a, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb278ea72, "synchronize_srcu" },
	{ 0x49020fd4, "param_ops_byte" },
	{ 0xfb254be7, "get_device" },
	{ 0x649ab352, "blk_mq_end_request" },
	{ 0x54566f87, "__blk_mq_alloc_disk" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0x0eee29f7, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xef0be82c, "blk_mq_alloc_tag_set" },
	{ 0x0a19de64, "blk_rq_is_poll" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x59ed3006, "crypto_destroy_tfm" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xaf27912f, "put_disk" },
	{ 0x0497e6eb, "crypto_alloc_kpp" },
	{ 0x5feec6e8, "cdev_device_add" },
	{ 0x36a03c39, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdd8f74d5, "blk_execute_rq" },
	{ 0xaf7adc45, "put_device" },
	{ 0xa26a4b01, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0x548df96c, "nvme_tls_psk_refresh" },
	{ 0x8c8ba2b1, "blk_mq_free_request" },
	{ 0xb1d34d40, "nvme_auth_derive_tls_psk" },
	{ 0x618911fc, "numa_node" },
	{ 0xf9968f9c, "__free_pages" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0xb6f6f3b1, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x2c589d2d, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x11bb892d, "nvme_auth_gen_pubkey" },
	{ 0x73c1a4d5, "compat_ptr_ioctl" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x935973e4, "sysfs_remove_link_from_group" },
	{ 0xb3cdd4b5, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xc3e96354, "blk_mq_quiesce_tagset" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0x4ce0b97c, "key_put" },
	{ 0xe811cbc3, "kobject_uevent_env" },
	{ 0x6691a6f6, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x4a8cf66b, "init_srcu_struct" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xcca97177, "blk_revalidate_disk_zones" },
	{ 0x526baa68, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x56795ba8, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xc4ddd062, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x5968b034, "sysfs_remove_link" },
	{ 0x630704c5, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x37b60271, "__srcu_read_lock" },
	{ 0x70c621fd, "hwmon_device_register_with_info" },
	{ 0xd6979577, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0x78aa4fc7, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x93730f39, "submit_bio_noacct" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xb03a3eca, "nvme_auth_generate_psk" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8f6955bd, "blk_sync_queue" },
	{ 0x58407bea, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc3fac8cc, "blk_mq_alloc_request_hctx" },
	{ 0xa8e3c311, "__io_uring_cmd_do_in_task" },
	{ 0x696a76f8, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x196cefb2, "crypto_shash_update" },
	{ 0x58daeb2b, "class_unregister" },
	{ 0x1d9c720d, "blk_mq_free_tag_set" },
	{ 0x3fd1b3d7, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfe864e94, "cleanup_srcu_struct" },
	{ 0x572e3703, "blk_freeze_queue_start_non_owner" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x98ce6511, "blk_set_stacking_limits" },
	{ 0x6a040d78, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x42b1edba, "blk_put_queue" },
	{ 0x13f403d0, "bpf_trace_run1" },
	{ 0xb69b7268, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x9da409e7, "__kmalloc_cache_node_noprof" },
	{ 0x5f5bc5da, "__vmalloc_noprof" },
	{ 0x6f8598c4, "blk_mq_wait_quiesce_done" },
	{ 0xe9c77020, "key_revoke" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0x7b57c257, "io_uring_cmd_done" },
	{ 0x945a5027, "blk_rq_unmap_user" },
	{ 0xb81086fb, "blk_mq_unfreeze_queue_non_owner" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x62fa6497, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x0745a981, "xa_erase" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x52906686, "blk_mq_complete_request" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0xd9b86286, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0xc5c1c55b, "blk_mq_destroy_queue" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x7b39ea65, "blk_freeze_queue_start" },
	{ 0xf39bcb94, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x00aa1603, "xa_find" },
	{ 0xca60479b, "disk_live" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x9dd3fabb, "blk_mq_alloc_queue" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x73f5e3d2, "__tracepoint_block_bio_complete" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xf329399e, "__srcu_read_unlock" },
	{ 0xaecd46ba, "sysfs_add_link_to_group" },
	{ 0x61891217, "hwmon_device_unregister" },
	{ 0x626fa62e, "__tracepoint_block_bio_remap" },
	{ 0x6a5de1bb, "alloc_pages_noprof" },
	{ 0xe3e90538, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x58823beb, "queue_limits_commit_update" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6f9b16f6, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbc87f016, "blk_rq_map_user_iov" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x8c279290, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd08cdd51, "blk_mq_freeze_queue_nomemsave" },
	{ 0x4556ccff, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7ab7c6e9, "crypto_alloc_shash" },
	{ 0xc65b9008, "blk_mq_freeze_queue_wait" },
	{ 0xdebd6f7d, "nvme_auth_gen_privkey" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x8958a655, "blk_mq_requeue_request" },
	{ 0x43c9bb5c, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc1b99b37, "cdev_init" },
	{ 0x152fb7f5, "bdev_end_io_acct" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x93b38904, "blk_steal_bios" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth,nvme-keyring");


MODULE_INFO(srcversion, "64CA73AA5C52C7B35CBCE52");
