#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x5b031c99, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0xc8584812, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x8b782e74, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0xe1bed0bc, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0xf021ca47, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x53d3986e, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x1eded21f, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x28731181, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x94b9f880, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x74db0200, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x48676a34, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x9b3452b7, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xbb6372d0, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x965791f6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42996f74, "try_module_get" },
	{ 0xc6c20445, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x037a0cba, "kfree" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xaf7adc45, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4ce0b97c, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x57bc19d2, "down_write" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x7e71fead, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x6e50cfbb, "seq_putc" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x58daeb2b, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x68008658, "__nvme_submit_sync_cmd" },
	{ 0x49eed23b, "nvme_try_sched_reset" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xe0b27446, "misc_register" },
	{ 0xd4dabce3, "nvme_auth_wait" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0xc532fd0b, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x17759e36, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc5d06199, "nvme_wait_reset" },
	{ 0xe9348ca4, "__seq_puts" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x53b954a2, "up_read" },
	{ 0x43c9bb5c, "class_register" },
	{ 0xbc9c63f7, "nvme_tls_key_lookup" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xff9ce93b, "nvme_auth_negotiate" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "80C6F6FA4FD49DBA00CD40B");
