#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xbee18683, "crypto_alloc_ahash" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xb2d7ec7c, "tls_alert_recv" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x6ae18049, "ip_sock_set_tos" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x16623bb1, "nvmet_req_complete" },
	{ 0xa71a7924, "kernel_bind" },
	{ 0x174d5395, "sock_create" },
	{ 0x9b1cfe9e, "tls_server_hello_psk" },
	{ 0x800c2cc9, "tls_handshake_cancel" },
	{ 0xc9904439, "tls_get_record_type" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0x2afe9d3f, "kernel_accept" },
	{ 0x167eec26, "kernel_recvmsg" },
	{ 0xa51e3fcf, "sock_alloc_file" },
	{ 0x6bd49c1e, "sock_set_priority" },
	{ 0x59ed3006, "crypto_destroy_tfm" },
	{ 0xd1e90220, "nvmet_sq_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xc8f1ded8, "nvmet_unregister_transport" },
	{ 0xd7206ef5, "nvmet_req_init" },
	{ 0x4ce0b97c, "key_put" },
	{ 0x718d561a, "fput" },
	{ 0xa834c4db, "__traceiter_sk_data_ready" },
	{ 0x2da8b798, "init_net" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x6cd37209, "kernel_getpeername" },
	{ 0xb0f235e7, "kernel_getsockname" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3fb90e92, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x54063f4a, "nvmet_register_transport" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xffb7c514, "ida_free" },
	{ 0x04e7ac36, "inet_pton_with_scope" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa4503aeb, "sock_sendmsg" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcc9ba35d, "sock_set_reuseaddr" },
	{ 0xdcb764ad, "memset" },
	{ 0x80b62d11, "iov_iter_bvec" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xebd062b2, "crypto_ahash_digest" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa4b9163b, "kernel_listen" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7900ad10, "nvmet_sq_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x7b6309ac, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa8afdd3d, "sock_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x0109b832, "tcp_sock_set_nodelay" },
	{ 0x1848910c, "nvmet_ctrl_fatal_error" },
	{ 0xea7c75d8, "nvmet_req_uninit" },
	{ 0xdae93f68, "page_frag_cache_drain" },
	{ 0xcde435a5, "__page_frag_alloc_align" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x538c78f2, "param_get_int" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x9120cc32, "kernel_sendmsg" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0xbc9c63f7, "nvme_tls_key_lookup" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x3458c71a, "sock_no_linger" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "nvmet,nvme-keyring");


MODULE_INFO(srcversion, "718C271515B040F65A834D7");
