#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tegra_xusb_padctl_get, "_gpl", "");
KSYMTAB_FUNC(tegra_xusb_padctl_put, "_gpl", "");
KSYMTAB_FUNC(tegra_xusb_padctl_usb3_save_context, "_gpl", "");
KSYMTAB_FUNC(tegra_xusb_padctl_hsic_set_idle, "_gpl", "");
KSYMTAB_FUNC(tegra_xusb_padctl_enable_phy_sleepwalk, "_gpl", "");
KSYMTAB_FUNC(tegra_xusb_padctl_disable_phy_sleepwalk, "_gpl", "");
KSYMTAB_FUNC(tegra_xusb_padctl_enable_phy_wake, "_gpl", "");
KSYMTAB_FUNC(tegra_xusb_padctl_disable_phy_wake, "_gpl", "");
KSYMTAB_FUNC(tegra_xusb_padctl_remote_wake_detected, "_gpl", "");
KSYMTAB_FUNC(tegra_xusb_padctl_usb3_set_lfps_detect, "_gpl", "");
KSYMTAB_FUNC(tegra_xusb_padctl_set_vbus_override, "_gpl", "");
KSYMTAB_FUNC(tegra_phy_xusb_utmi_port_reset, "_gpl", "");
KSYMTAB_FUNC(tegra_phy_xusb_utmi_pad_power_on, "_gpl", "");
KSYMTAB_FUNC(tegra_phy_xusb_utmi_pad_power_down, "_gpl", "");
KSYMTAB_FUNC(tegra_xusb_padctl_get_usb3_companion, "_gpl", "");
KSYMTAB_FUNC(tegra_xusb_padctl_get_port_number, "_gpl", "");
KSYMTAB_DATA(tegra124_xusb_padctl_soc, "_gpl", "");
KSYMTAB_DATA(tegra210_xusb_padctl_soc, "_gpl", "");
KSYMTAB_DATA(tegra186_xusb_padctl_soc, "_gpl", "");

SYMBOL_CRC(tegra_xusb_padctl_get, 0x219bacfc, "_gpl");
SYMBOL_CRC(tegra_xusb_padctl_put, 0x33e04fad, "_gpl");
SYMBOL_CRC(tegra_xusb_padctl_usb3_save_context, 0xc97b40a2, "_gpl");
SYMBOL_CRC(tegra_xusb_padctl_hsic_set_idle, 0x49059225, "_gpl");
SYMBOL_CRC(tegra_xusb_padctl_enable_phy_sleepwalk, 0xa674cfad, "_gpl");
SYMBOL_CRC(tegra_xusb_padctl_disable_phy_sleepwalk, 0x0289a207, "_gpl");
SYMBOL_CRC(tegra_xusb_padctl_enable_phy_wake, 0x7611eeb3, "_gpl");
SYMBOL_CRC(tegra_xusb_padctl_disable_phy_wake, 0xfd6479a1, "_gpl");
SYMBOL_CRC(tegra_xusb_padctl_remote_wake_detected, 0xbd82a36d, "_gpl");
SYMBOL_CRC(tegra_xusb_padctl_usb3_set_lfps_detect, 0x08235063, "_gpl");
SYMBOL_CRC(tegra_xusb_padctl_set_vbus_override, 0xfe1bdcdd, "_gpl");
SYMBOL_CRC(tegra_phy_xusb_utmi_port_reset, 0x2a5b2178, "_gpl");
SYMBOL_CRC(tegra_phy_xusb_utmi_pad_power_on, 0x2507b6f7, "_gpl");
SYMBOL_CRC(tegra_phy_xusb_utmi_pad_power_down, 0xe1375736, "_gpl");
SYMBOL_CRC(tegra_xusb_padctl_get_usb3_companion, 0x6ece5c48, "_gpl");
SYMBOL_CRC(tegra_xusb_padctl_get_port_number, 0x9b34f752, "_gpl");
SYMBOL_CRC(tegra124_xusb_padctl_soc, 0x47337e25, "_gpl");
SYMBOL_CRC(tegra210_xusb_padctl_soc, 0x40646240, "_gpl");
SYMBOL_CRC(tegra186_xusb_padctl_soc, 0x3ff20ed2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc2aae440, "regulator_enable" },
	{ 0xd7c91b63, "tegra210_sata_pll_hw_control_enable" },
	{ 0x9cdca2c0, "__of_phy_provider_register" },
	{ 0xce12c6bc, "device_property_present" },
	{ 0xecb671fc, "tegra210_sata_pll_hw_sequence_start" },
	{ 0xd6fe4216, "devm_platform_ioremap_resource" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2f0f2d47, "regmap_write" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xfd19ff82, "of_node_put" },
	{ 0xba8e2979, "of_property_read_variable_u32_array" },
	{ 0x0fa99ef3, "regulator_get" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x1239b4f2, "platform_driver_unregister" },
	{ 0x06e134ca, "of_find_device_by_node" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x21b6bf80, "device_unregister" },
	{ 0x51ad07dd, "tegra210_plle_hw_sequence_start" },
	{ 0x8253e6c2, "regulator_put" },
	{ 0xf730879d, "device_initialize" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x037a0cba, "kfree" },
	{ 0x3eb98dfb, "usb_add_phy_dev" },
	{ 0xfa52004c, "of_node_get" },
	{ 0x2882d40e, "usb_role_switch_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x52b3e56e, "platform_get_resource_byname" },
	{ 0xf72eb3f5, "of_platform_depopulate" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x16776275, "devm_clk_get" },
	{ 0x1690b503, "usb_role_switch_get_drvdata" },
	{ 0x444f7994, "usb_get_role_switch_default_mode" },
	{ 0x8d47a34d, "device_set_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x51a348cc, "usb_role_switch_set_drvdata" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaf7adc45, "put_device" },
	{ 0xd29127f7, "usb_get_maximum_speed" },
	{ 0x630435c1, "regulator_is_enabled" },
	{ 0xfdc922ae, "regulator_bulk_disable" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xf346a2eb, "of_get_child_by_name" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x56795ba8, "device_add" },
	{ 0x401d12da, "__of_parse_phandle_with_args" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xdd9fa060, "of_property_read_bool" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xa517f884, "tegra210_plle_hw_sequence_is_enabled" },
	{ 0xa9ed62d2, "tegra_fuse_readl" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf40d97a0, "dev_get_regmap" },
	{ 0xc7b3efe9, "of_property_read_string" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xca293305, "of_match_node" },
	{ 0xc969f00e, "of_phy_provider_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc707ae21, "of_device_is_available" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xd84197fc, "regulator_bulk_set_supply_names" },
	{ 0xdcd67317, "usb_phy_set_event" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x322d8cd9, "regulator_bulk_enable" },
	{ 0x7c7a9c6b, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x41d72ba0, "usb_role_switch_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x69566392, "__platform_driver_register" },
	{ 0xd7c08570, "__devm_reset_control_get" },
	{ 0xd1249a28, "phy_destroy" },
	{ 0x052e6020, "tegra_xusb_padctl_legacy_probe" },
	{ 0x0f08c8ad, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x890bb903, "devm_ioremap_resource" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7ea0d4ca, "tegra_sku_info" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfa1413a8, "regulator_disable" },
	{ 0x2c21f723, "dev_err_probe" },
	{ 0x81188c30, "match_string" },
	{ 0x69c191a1, "_dev_printk" },
	{ 0x9f544897, "phy_create" },
	{ 0xa071c0cd, "tegra210_xusb_pll_hw_control_enable" },
	{ 0xff42c374, "usb_role_switch_get_role" },
	{ 0x9b0eaa52, "tegra210_xusb_pll_hw_sequence_start" },
	{ 0x7a7f0653, "of_platform_populate" },
	{ 0x815588a6, "clk_enable" },
	{ 0x49136630, "usb_remove_phy" },
	{ 0xe337f3ab, "__dev_fwnode" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnvidia,tegra124-xusb-padctl");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-xusb-padctlC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-xusb-padctl");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-xusb-padctlC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-xusb-padctl");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-xusb-padctlC*");

MODULE_INFO(srcversion, "7B2DF1BBCE986E365B9ADA7");
