#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xfc6f0534, "scsi_dma_map" },
	{ 0xb6de5a85, "iscsi_host_for_each_session" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6fe31ff8, "iscsi_itt_to_task" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x788a3a46, "iscsi_conn_setup" },
	{ 0xdbe076d5, "iscsi_session_recovery_timedout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x0ee09f4a, "pci_iomap" },
	{ 0xa6257a2f, "complete" },
	{ 0x88c3ff56, "pci_dev_put" },
	{ 0x3c07165d, "iscsi_put_endpoint" },
	{ 0xc5241b26, "iscsi_target_alloc" },
	{ 0xda1ba15d, "__iscsi_complete_pdu" },
	{ 0xdd8e1639, "iscsi_conn_bind" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6671db94, "iscsi_host_get_param" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1a30bae9, "iscsi_session_setup" },
	{ 0xce4fbd93, "set_user_nice" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x4829a47e, "memcpy" },
	{ 0x350b26e1, "scsi_dma_unmap" },
	{ 0x037a0cba, "kfree" },
	{ 0x6d502f20, "iscsi_eh_abort" },
	{ 0x21179429, "iscsi_create_endpoint" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa65821c9, "iscsi_eh_cmd_timed_out" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdd9baa02, "iscsi_conn_failure" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xee213135, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0x8877cb22, "iscsi_eh_device_reset" },
	{ 0x7fc46687, "iscsi_register_transport" },
	{ 0x8d9cede7, "cnic_register_driver" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x249ace83, "iscsi_session_failure" },
	{ 0x36450311, "iscsi_set_param" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xc7b5eed8, "flush_signals" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0x542ac311, "scsi_host_put" },
	{ 0xf22250d0, "__cpuhp_setup_state" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4186c9ca, "iscsi_destroy_endpoint" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x636af174, "cnic_unregister_driver" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd33f56a0, "blk_mq_rq_cpu" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0xc631f427, "iscsi_conn_get_param" },
	{ 0x969ee11a, "iscsi_host_free" },
	{ 0xdbcea343, "iscsi_conn_teardown" },
	{ 0xd3d98859, "iscsi_session_get_param" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x05e306cc, "iscsi_conn_send_pdu" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd735355a, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x357d642a, "iscsi_conn_start" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2848e6f2, "iscsi_conn_unbind" },
	{ 0xe156906f, "pci_iounmap" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5cd09de7, "scsi_is_host_device" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa10f6567, "iscsi_lookup_endpoint" },
	{ 0xa663a7cb, "iscsi_host_alloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x82cabe40, "iscsi_host_add" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66fd770d, "iscsi_session_teardown" },
	{ 0x7d3b7b32, "iscsi_unregister_transport" },
	{ 0xbcd0497b, "iscsi_eh_recover_target" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb660a940, "pci_dev_get" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x79ec6a30, "iscsi_conn_stop" },
	{ 0xb71e0ede, "iscsi_queuecommand" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd8d837bc, "__iscsi_put_task" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x69c191a1, "_dev_printk" },
	{ 0xf0f4e183, "iscsi_host_remove" },
	{ 0x35215603, "ioremap_prot" },
	{ 0x743b623c, "__cpuhp_remove_state" },
	{ 0x004aa455, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x2c5fb1f6, "iscsi_offload_mesg" },
	{ 0x869b346f, "kthread_create_on_cpu" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi,cnic");


MODULE_INFO(srcversion, "F3AB87D683DEBAFB79B4AC4");
