#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0x3ae792cb, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x6bdc8769, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0xa59fdd09, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0xa60d1786, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0xd7cd7b41, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x7b2c3d37, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x1ca87c5c, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0xcaf88845, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0xf354763c, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x2025dbc3, "");
SYMBOL_CRC(fcoe_link_speed_update, 0xa8eb4721, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x7eb6a103, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0x08ea9bd7, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x61666bfb, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x76a601ba, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x73965de7, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0xece22e5f, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x394c2f41, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x89d6228a, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x30977f9b, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x2e863a23, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x6d6aa56b, "");
SYMBOL_CRC(fcoe_transport_detach, 0x5ed14f15, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0xa38fd2cb, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0x80cc5d54, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x7202c981, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x8808c9d2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd9737455, "fc_rport_lookup" },
	{ 0xdb603e24, "dev_get_stats" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x5d36fe80, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x21b6bf80, "device_unregister" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0x037a0cba, "kfree" },
	{ 0x0e3efec5, "fc_rport_logoff" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x63a7084e, "fc_disc_init" },
	{ 0x08cab980, "fc_rport_login" },
	{ 0x87680d66, "skb_queue_purge_reason" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x0df6936e, "fc_linkdown" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xaf7adc45, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8e763293, "fc_lport_reset" },
	{ 0xc714fb11, "bus_unregister" },
	{ 0x2da8b798, "init_net" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0x5378fc0a, "fc_lport_set_local_id" },
	{ 0x07b0f9b1, "fc_exch_recv" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa5bfb493, "__ethtool_get_link_ksettings" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xc6d1920b, "device_register" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6749b44c, "fc_vport_id_lookup" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x51aa4036, "fc_elsct_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x84b68f4f, "fc_disc_config" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0x08b56782, "fc_fcp_init" },
	{ 0xabd39162, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd53ba547, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7d2ccb21, "__dev_queue_xmit" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcad91204, "__folio_put" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7c0d68f4, "dev_get_by_name" },
	{ 0xd7ec32fc, "skb_clone" },
	{ 0xde0e78be, "fc_seq_els_rsp_send" },
	{ 0x6a5de1bb, "alloc_pages_noprof" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x06c7774b, "fc_rport_create" },
	{ 0x69c191a1, "_dev_printk" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x8afb7466, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x43d13e73, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x60c46cd7, "fc_linkup" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "D659E05E3A5A5555A2A76AC");
