#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hisi_sas_get_ata_protocol, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_sata_done, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_get_prog_phy_linkrate_mask, "_gpl", "");
KSYMTAB_FUNC(to_hisi_sas_port, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_stop_phys, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_slot_task_free, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_sync_poll_cqs, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_sync_cqs, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_sdev_init, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_scan_start, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_scan_finished, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_phy_oob_ready, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_release_tasks, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_controller_reset_prepare, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_controller_reset_done, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_phy_down, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_phy_bcast, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_host_reset, "_gpl", "");
KSYMTAB_DATA(hisi_sas_stt, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_init_mem, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_alloc, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_free, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_rst_work_handler, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_sync_rst_work_handler, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_get_fw_info, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_probe, "_gpl", "");
KSYMTAB_FUNC(hisi_sas_remove, "_gpl", "");
KSYMTAB_DATA(hisi_sas_debugfs_enable, "_gpl", "");
KSYMTAB_DATA(hisi_sas_debugfs_dump_count, "_gpl", "");
KSYMTAB_DATA(hisi_sas_debugfs_dir, "_gpl", "");

SYMBOL_CRC(hisi_sas_get_ata_protocol, 0x8212b78b, "_gpl");
SYMBOL_CRC(hisi_sas_sata_done, 0x0db81689, "_gpl");
SYMBOL_CRC(hisi_sas_get_prog_phy_linkrate_mask, 0x40ac648c, "_gpl");
SYMBOL_CRC(to_hisi_sas_port, 0x9882127f, "_gpl");
SYMBOL_CRC(hisi_sas_stop_phys, 0x0fde081e, "_gpl");
SYMBOL_CRC(hisi_sas_slot_task_free, 0x2f234876, "_gpl");
SYMBOL_CRC(hisi_sas_sync_poll_cqs, 0xbead2b3d, "_gpl");
SYMBOL_CRC(hisi_sas_sync_cqs, 0x63de2330, "_gpl");
SYMBOL_CRC(hisi_sas_sdev_init, 0xda9ba5bc, "_gpl");
SYMBOL_CRC(hisi_sas_sdev_configure, 0x803b8a1b, "_gpl");
SYMBOL_CRC(hisi_sas_scan_start, 0x3027eedd, "_gpl");
SYMBOL_CRC(hisi_sas_scan_finished, 0xd511858a, "_gpl");
SYMBOL_CRC(hisi_sas_notify_phy_event, 0x8fa7d307, "_gpl");
SYMBOL_CRC(hisi_sas_phy_oob_ready, 0xff557b9b, "_gpl");
SYMBOL_CRC(hisi_sas_phy_enable, 0x76d0c8c1, "_gpl");
SYMBOL_CRC(hisi_sas_release_tasks, 0x88d80bf8, "_gpl");
SYMBOL_CRC(hisi_sas_controller_reset_prepare, 0xc3a1aa4d, "_gpl");
SYMBOL_CRC(hisi_sas_controller_reset_done, 0x85c85db9, "_gpl");
SYMBOL_CRC(hisi_sas_phy_down, 0xfb603ad0, "_gpl");
SYMBOL_CRC(hisi_sas_phy_bcast, 0xb0efe70b, "_gpl");
SYMBOL_CRC(hisi_sas_host_reset, 0xc3b53f8a, "_gpl");
SYMBOL_CRC(hisi_sas_stt, 0x4fc22123, "_gpl");
SYMBOL_CRC(hisi_sas_init_mem, 0x5c579a89, "_gpl");
SYMBOL_CRC(hisi_sas_alloc, 0x5e1e99c6, "_gpl");
SYMBOL_CRC(hisi_sas_free, 0x6b958366, "_gpl");
SYMBOL_CRC(hisi_sas_rst_work_handler, 0xb03aa9c5, "_gpl");
SYMBOL_CRC(hisi_sas_sync_rst_work_handler, 0xe330cb74, "_gpl");
SYMBOL_CRC(hisi_sas_get_fw_info, 0xfc292cbc, "_gpl");
SYMBOL_CRC(hisi_sas_probe, 0x7ecfac4a, "_gpl");
SYMBOL_CRC(hisi_sas_remove, 0x10597c24, "_gpl");
SYMBOL_CRC(hisi_sas_debugfs_enable, 0xe987d9aa, "_gpl");
SYMBOL_CRC(hisi_sas_debugfs_dump_count, 0xc3a41131, "_gpl");
SYMBOL_CRC(hisi_sas_debugfs_dir, 0xf9c9aedf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x43248fd1, "dma_unmap_sg_attrs" },
	{ 0xdcb764ad, "memset" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xae2e06cb, "sas_drain_work" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xadbad9e1, "scsi_block_requests" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe421aea3, "sas_notify_port_event" },
	{ 0xc1ee6060, "sas_notify_phy_event" },
	{ 0x6626afca, "down" },
	{ 0xcf2a6966, "up" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x698fa4b3, "dmam_alloc_attrs" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0x3104509f, "lcm" },
	{ 0x5e070404, "devm_bitmap_zalloc" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5d74a6b9, "device_property_read_u8_array" },
	{ 0x2f86385a, "syscon_regmap_lookup_by_phandle" },
	{ 0xb752f23f, "device_property_read_u32_array" },
	{ 0x16776275, "devm_clk_get" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xe77527a6, "sas_domain_attach_transport" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x92997ed8, "_printk" },
	{ 0x7b6278c3, "sas_query_task" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0xca2fac0b, "sas_release_transport" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0xad67b7ed, "scsi_host_alloc" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0x542ac311, "scsi_host_put" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0xd6fe4216, "devm_platform_ioremap_resource" },
	{ 0xfbb44286, "platform_get_resource" },
	{ 0x890bb903, "devm_ioremap_resource" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xd06a5397, "sas_execute_internal_abort_dev" },
	{ 0x8701fb1f, "ata_link_next" },
	{ 0xad697677, "sas_execute_ata_cmd" },
	{ 0x49c32866, "sas_sdev_configure" },
	{ 0xbfc247e4, "sas_change_queue_depth" },
	{ 0x51c21b2c, "sas_unregister_ha" },
	{ 0x237d31c0, "sas_remove_host" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9929fbae, "scsi_add_host_with_dma" },
	{ 0xd0ce02c0, "sas_register_ha" },
	{ 0xc9df6d7d, "scsi_scan_host" },
	{ 0x78d1ef79, "scsi_remove_host" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf9a482f9, "msleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc8e9a976, "blk_mq_unique_tag" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x1c09e8b9, "dma_map_sg_attrs" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7a4af236, "sas_get_local_phy" },
	{ 0x84685929, "sas_phy_reset" },
	{ 0xaf7adc45, "put_device" },
	{ 0x14445ea1, "sas_lu_reset" },
	{ 0x8e8eaabd, "sas_abort_task_set" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xcc0aa9c0, "sas_sdev_init" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0xb5fc41e6, "scsi_unblock_requests" },
	{ 0xa6257a2f, "complete" },
	{ 0xfe36b640, "sas_execute_internal_abort_single" },
	{ 0x8c691095, "_dev_notice" },
	{ 0x8b27b3c1, "sas_abort_task" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5cd09de7, "scsi_is_host_device" },
	{ 0x676db24a, "smp_ata_check_ready_type" },
	{ 0xf54b3cda, "ata_wait_after_reset" },
	{ 0xed835b26, "sas_phy_enable" },
	{ 0x73594f3d, "sas_find_attached_phy_id" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "libsas,scsi_transport_sas");


MODULE_INFO(srcversion, "00118538585A81CA82F973A");
