#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x2357071e, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x526bebd9, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0xcfd844c9, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x4906a6ce, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x52b6b0ac, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x9c9db12b, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x951886d6, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x3fc97125, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0xcbd9eeb9, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x29a8055c, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x55466c9f, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xe484359e, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xb415310b, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x12e41d20, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x46a07259, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0xc6ad6517, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x11c3cdaf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7928a16d, "iscsi_dbg_trace" },
	{ 0x69c191a1, "_dev_printk" },
	{ 0xe735c6b7, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x76135bf3, "__traceiter_iscsi_dbg_tcp" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xdcb764ad, "memset" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x788a3a46, "iscsi_conn_setup" },
	{ 0xdbcea343, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0x1c6b2520, "iscsi_update_cmdsn" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4cc7257, "iscsi_prep_data_out_pdu" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x00d13636, "iscsi_put_task" },
	{ 0xdd9baa02, "iscsi_conn_failure" },
	{ 0x4829a47e, "memcpy" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa556ecc, "skb_prepare_seq_read" },
	{ 0xa505272d, "skb_seq_read" },
	{ 0xafcb44e4, "skb_abort_seq_read" },
	{ 0x9f771cf4, "iscsi_itt_to_ctask" },
	{ 0xde00a302, "iscsi_get_task" },
	{ 0xe384a142, "iscsi_requeue_task" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5c6d04a8, "iscsi_complete_pdu" },
	{ 0x8a092ef5, "iscsi_verify_itt" },
	{ 0xda1ba15d, "__iscsi_complete_pdu" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "06C724F39C0E2B77052AFAC");
