#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qlt_unreg_sess, "", "");
KSYMTAB_FUNC(qlt_stop_phase1, "", "");
KSYMTAB_FUNC(qlt_stop_phase2, "", "");
KSYMTAB_FUNC(qlt_free_mcmd, "", "");
KSYMTAB_FUNC(qlt_xmit_tm_rsp, "", "");
KSYMTAB_FUNC(qlt_xmit_response, "", "");
KSYMTAB_FUNC(qlt_rdy_to_xfer, "", "");
KSYMTAB_FUNC(qlt_abort_cmd, "", "");
KSYMTAB_FUNC(qlt_free_cmd, "", "");
KSYMTAB_FUNC(qlt_lport_register, "", "");
KSYMTAB_FUNC(qlt_lport_deregister, "", "");
KSYMTAB_FUNC(qlt_enable_vha, "", "");

SYMBOL_CRC(qlt_unreg_sess, 0xa7411e9f, "");
SYMBOL_CRC(qlt_stop_phase1, 0x9ee58aaa, "");
SYMBOL_CRC(qlt_stop_phase2, 0x0202be2b, "");
SYMBOL_CRC(qlt_free_mcmd, 0x0d32bc31, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0x6562cc04, "");
SYMBOL_CRC(qlt_xmit_response, 0x833233dd, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0xfa5d8aa0, "");
SYMBOL_CRC(qlt_abort_cmd, 0x6ac2b0fa, "");
SYMBOL_CRC(qlt_free_cmd, 0x357a95a7, "");
SYMBOL_CRC(qlt_lport_register, 0xc27238b4, "");
SYMBOL_CRC(qlt_lport_deregister, 0xf2898ba3, "");
SYMBOL_CRC(qlt_enable_vha, 0x3e0bf397, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x91ab365a, "param_ops_ullong" },
	{ 0x0d7f5bfe, "pci_save_state" },
	{ 0xef92ef33, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x73b83dbd, "pcie_capability_read_word" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x75da4422, "fc_attach_transport" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2aa3cf98, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0xdcea2c0b, "debugfs_attr_write" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0x54b80808, "dma_pool_create" },
	{ 0xb203eb03, "pci_request_selected_regions" },
	{ 0x6f4a82d9, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x5a816015, "pci_enable_device_mem" },
	{ 0x2ffa7bd4, "bsg_job_done" },
	{ 0x50df94f5, "btree_insert" },
	{ 0x56a45ed8, "pci_alloc_irq_vectors" },
	{ 0x692d1995, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x78d1ef79, "scsi_remove_host" },
	{ 0x0b742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x95506a76, "scsi_build_sense" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0x6d4bca86, "request_firmware" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xf6ffffb0, "fc_remove_host" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xce4fbd93, "set_user_nice" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x0b432317, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d46183e, "pci_request_regions" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x350b26e1, "scsi_dma_unmap" },
	{ 0x037a0cba, "kfree" },
	{ 0x360694df, "seq_lseek" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xace83369, "pci_clear_mwi" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x33a86b8a, "fc_eh_timed_out" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf3b95d79, "btree_remove" },
	{ 0x594672b5, "pci_irq_vector" },
	{ 0x00148653, "vsnprintf" },
	{ 0xdbff675c, "pci_try_set_mwi" },
	{ 0xfb254be7, "get_device" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0xee213135, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x995b5304, "trace_array_put" },
	{ 0x928f4743, "pci_read_config_dword" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0x3bd4797b, "irq_set_affinity_notifier" },
	{ 0x488c5a16, "fc_block_scsi_eh" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xf331236f, "btree_geo32" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xfb65244d, "fc_remote_port_delete" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x2feef399, "scsi_host_get" },
	{ 0xa916b694, "strnlen" },
	{ 0x9fa4564a, "timer_shutdown" },
	{ 0x7030f278, "fc_host_post_event" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x166c4066, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x6b40a121, "fc_release_transport" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8d848dce, "pci_set_mwi" },
	{ 0xede9a09a, "btree_lookup" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x2da03482, "pci_find_capability" },
	{ 0xce4fed4a, "debugfs_attr_read" },
	{ 0xf7afb369, "btree_init" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0xe811cbc3, "kobject_uevent_env" },
	{ 0x736f2136, "pci_clear_master" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x140836ad, "fc_vport_create" },
	{ 0x542ac311, "scsi_host_put" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa8cf9e40, "simple_attr_release" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x79344841, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x459ed55d, "fc_remote_port_rolechg" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8c4da3a7, "blk_mq_map_hw_queues" },
	{ 0x44738de8, "kmem_cache_free" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0xc9df6d7d, "scsi_scan_host" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x666a878f, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x6e50cfbb, "seq_putc" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xae235a8c, "fc_vport_terminate" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb245a39d, "fc_block_rport" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd735355a, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5258c8c5, "trace_array_get_by_name" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0xf307422a, "pci_restore_state" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xcdbac486, "pci_alloc_irq_vectors_affinity" },
	{ 0x5cd09de7, "scsi_is_host_device" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x3a52f91c, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xdbe18e1a, "kmem_cache_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x358d2745, "dma_get_required_mask" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc8e9a976, "blk_mq_unique_tag" },
	{ 0x933a8ace, "vmalloc_array_noprof" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0xeb335647, "device_show_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f3537bf, "kthread_create_on_node" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x57106b4c, "trace_array_set_clr_event" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x6b5d6ab4, "fc_host_fpin_rcv" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x759bfe36, "btree_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe1bf2cf4, "scmd_printk" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x4f2593f0, "btree_update" },
	{ 0xcbb796e8, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x51027e33, "pci_write_config_byte" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x12f65eb5, "__register_chrdev" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x70bf81cc, "fc_eh_should_retry_cmd" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x90ceeaf7, "pcie_capability_read_dword" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17759e36, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0x2c04929e, "scsi_is_fc_rport" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0x56e52060, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x890fa0fa, "btree_get_prev" },
	{ 0x61704e7f, "single_release" },
	{ 0xb5fc41e6, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1cd320f3, "pcie_set_readrq" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xd1cb9772, "pci_disable_rom" },
	{ 0x43248fd1, "dma_unmap_sg_attrs" },
	{ 0xc0ce8cfd, "pci_irq_get_affinity" },
	{ 0xadbad9e1, "scsi_block_requests" },
	{ 0x9929fbae, "scsi_add_host_with_dma" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xfe51357e, "pci_read_config_byte" },
	{ 0x98cf60b3, "strlen" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x0d12e564, "nvme_fc_register_remoteport" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0xad67b7ed, "scsi_host_alloc" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x532df49f, "pci_write_config_word" },
	{ 0x35215603, "ioremap_prot" },
	{ 0x03d7d356, "sysfs_remove_bin_file" },
	{ 0x74ec6ad5, "pci_free_irq_vectors" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x016f123e, "sg_copy_to_buffer" },
	{ 0xdd41747a, "nvme_fc_register_localport" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x004aa455, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xff24f0a9, "pcix_set_mmrbc" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0x1c09e8b9, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,nvme-fc");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "CFB6173FA2C48E660B716F6");
