#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x5cdac477, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0xbd0e484d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0x17fa8170, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x0e56554d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0xfd1b5f43, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0x9335c888, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xe735c6b7, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0x76135bf3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xf09df7ef, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0xc8962c41, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0x21179429, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x4186c9ca, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0x3c07165d, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0xa10f6567, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x6c414f6c, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x9306d4ae, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0x97dcfd12, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0x29f102ea, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0xfe8101a3, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0xcfeb99d4, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x69089b1b, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0x1c9d4840, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0x62ebc4cd, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0xaac0aaf5, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0xf4c624bf, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x003bc7ae, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0xb6de5a85, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0x7acc5a53, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0x65102e71, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0xf8120535, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0x232616d4, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0xb8f50dd3, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0x1450f0f6, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x9031bfd3, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x2fe11ef0, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0x401af774, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0xbe92521d, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0xc6c1a334, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0xbabf6075, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0xd75d6de9, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0x0a8bcc1d, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x2c5fb1f6, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0xace39947, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0xa279a1bb, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0x08e38773, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0x2a471d38, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0xec43a4f5, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0x2946a488, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x1b2170d6, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0x7fc46687, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0x7d3b7b32, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0x7928a16d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56470118, "__warn_printk" },
	{ 0x98cf60b3, "strlen" },
	{ 0x00148653, "vsnprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x037a0cba, "kfree" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xaf7adc45, "put_device" },
	{ 0x21b6bf80, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7b001020, "sysfs_remove_group" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfb254be7, "get_device" },
	{ 0x3f0c87ca, "device_find_child" },
	{ 0x61a66cee, "device_for_each_child" },
	{ 0x92997ed8, "_printk" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x69c191a1, "_dev_printk" },
	{ 0xf7370f56, "system_state" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfce552bb, "netlink_kernel_release" },
	{ 0xc714fb11, "bus_unregister" },
	{ 0xd38a90c1, "transport_class_unregister" },
	{ 0x58daeb2b, "class_unregister" },
	{ 0x43c9bb5c, "class_register" },
	{ 0xbe2a1fe7, "transport_class_register" },
	{ 0x43d13e73, "bus_register" },
	{ 0x2da8b798, "init_net" },
	{ 0xc092d9bf, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2feef399, "scsi_host_get" },
	{ 0xf730879d, "device_initialize" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x910a89b6, "scsi_target_unblock" },
	{ 0xdcb764ad, "memset" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xeede4e7a, "scsi_init_limits" },
	{ 0x5bd6d40c, "bsg_setup_queue" },
	{ 0xb94cd7c5, "netlink_broadcast_filtered" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0xb5abc39c, "__nlmsg_put" },
	{ 0x5cd09de7, "scsi_is_host_device" },
	{ 0xcca73948, "bsg_remove_queue" },
	{ 0x542ac311, "scsi_host_put" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2ffa7bd4, "bsg_job_done" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0xc6d1920b, "device_register" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x17c77374, "sysfs_create_group" },
	{ 0x6f37be2b, "attribute_container_register" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x6f1c4eb0, "scsi_host_lookup" },
	{ 0xd53ba547, "skb_trim" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd11f18f4, "transport_remove_device" },
	{ 0xaf1133f9, "transport_destroy_device" },
	{ 0xb69b7268, "device_del" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x56795ba8, "device_add" },
	{ 0x386f66ac, "transport_setup_device" },
	{ 0x09c55d61, "transport_add_device" },
	{ 0xa036637f, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfbadfcb4, "attribute_container_unregister" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc4880071, "scsi_remove_target" },
	{ 0x06af5d14, "scsi_scan_target" },
	{ 0xbb9be547, "netlink_capable" },
	{ 0x42996f74, "try_module_get" },
	{ 0x9f18cbf4, "module_put" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x733db852, "netlink_unicast" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7D43A8D952811AB4D1D13F4");
