#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xe5754fb3, "");
SYMBOL_CRC(sas_remove_host, 0x237d31c0, "");
SYMBOL_CRC(sas_get_address, 0x2b54f4a8, "");
SYMBOL_CRC(sas_tlr_supported, 0xa08b3d45, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x12646698, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x7fee406f, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xbb03afc1, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0xb5e9f432, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xf658f9d2, "");
SYMBOL_CRC(sas_phy_add, 0x0fa58d95, "");
SYMBOL_CRC(sas_phy_free, 0x1b96218f, "");
SYMBOL_CRC(sas_phy_delete, 0x3dcf2d34, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x99a75946, "");
SYMBOL_CRC(sas_port_alloc, 0xfa07a666, "");
SYMBOL_CRC(sas_port_alloc_num, 0x81422266, "");
SYMBOL_CRC(sas_port_add, 0x873c2115, "");
SYMBOL_CRC(sas_port_free, 0xfb9c3dff, "");
SYMBOL_CRC(sas_port_delete, 0x767fc739, "");
SYMBOL_CRC(scsi_is_sas_port, 0x6a9973c7, "");
SYMBOL_CRC(sas_port_get_phy, 0x0893bdc5, "");
SYMBOL_CRC(sas_port_add_phy, 0x40f3bb23, "");
SYMBOL_CRC(sas_port_delete_phy, 0xfbd1222e, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x09136f76, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x2209915c, "");
SYMBOL_CRC(sas_end_device_alloc, 0xcb880e20, "");
SYMBOL_CRC(sas_expander_alloc, 0xde421496, "");
SYMBOL_CRC(sas_rphy_add, 0xd35ee37c, "");
SYMBOL_CRC(sas_rphy_free, 0xb0c44af0, "");
SYMBOL_CRC(sas_rphy_delete, 0x9cac6381, "");
SYMBOL_CRC(sas_rphy_unlink, 0xa898b7e9, "");
SYMBOL_CRC(sas_rphy_remove, 0x62df4be6, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xc368c3d9, "");
SYMBOL_CRC(sas_attach_transport, 0x63611d30, "");
SYMBOL_CRC(sas_release_transport, 0xca2fac0b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x61a66cee, "device_for_each_child" },
	{ 0xaf7adc45, "put_device" },
	{ 0x037a0cba, "kfree" },
	{ 0x56795ba8, "device_add" },
	{ 0x09c55d61, "transport_add_device" },
	{ 0x00212156, "transport_configure_device" },
	{ 0xb69b7268, "device_del" },
	{ 0xaf1133f9, "transport_destroy_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfb254be7, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5968b034, "sysfs_remove_link" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2c589d2d, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x06af5d14, "scsi_scan_target" },
	{ 0x5bd6d40c, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xbe2a1fe7, "transport_class_register" },
	{ 0xd38a90c1, "transport_class_unregister" },
	{ 0xd11f18f4, "transport_remove_device" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x6f37be2b, "attribute_container_register" },
	{ 0x69c191a1, "_dev_printk" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfbadfcb4, "attribute_container_unregister" },
	{ 0x3629e4b6, "scsi_mode_sense" },
	{ 0x78d1ef79, "scsi_remove_host" },
	{ 0xcca73948, "bsg_remove_queue" },
	{ 0xc4880071, "scsi_remove_target" },
	{ 0x5cd09de7, "scsi_is_host_device" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x2ffa7bd4, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9c3a2987, "dma_opt_mapping_size" },
	{ 0xf730879d, "device_initialize" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x386f66ac, "transport_setup_device" },
	{ 0xf5fded8e, "scsi_get_vpd_page" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");
