#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_find_param_from_key, "", "");
KSYMTAB_FUNC(iscsit_get_datain_values, "", "");
KSYMTAB_FUNC(iscsit_increment_maxcmdsn, "", "");
KSYMTAB_FUNC(iscsit_cause_connection_reinstatement, "", "");
KSYMTAB_FUNC(iscsit_stop_dataout_timer, "", "");
KSYMTAB_FUNC(iscsi_change_param_sprintf, "", "");
KSYMTAB_FUNC(iscsi_target_check_login_request, "", "");
KSYMTAB_FUNC(iscsit_tmr_post_handler, "", "");
KSYMTAB_FUNC(iscsit_allocate_cmd, "", "");
KSYMTAB_FUNC(iscsit_sequence_cmd, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt_or_dump, "", "");
KSYMTAB_FUNC(iscsit_add_cmd_to_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_release_cmd, "", "");
KSYMTAB_FUNC(iscsit_free_cmd, "", "");
KSYMTAB_FUNC(iscsit_queue_rsp, "", "");
KSYMTAB_FUNC(iscsit_aborted_task, "", "");
KSYMTAB_FUNC(iscsit_add_reject, "", "");
KSYMTAB_FUNC(iscsit_reject_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_scsi_cmd, "", "");
KSYMTAB_FUNC(iscsit_set_unsolicited_dataout, "", "");
KSYMTAB_FUNC(iscsit_process_scsi_cmd, "", "");
KSYMTAB_FUNC(__iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_payload, "", "");
KSYMTAB_FUNC(iscsit_setup_nop_out, "", "");
KSYMTAB_FUNC(iscsit_process_nop_out, "", "");
KSYMTAB_FUNC(iscsit_handle_task_mgt_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_process_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_logout_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_snack, "", "");
KSYMTAB_FUNC(iscsit_build_datain_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_logout_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_nopin_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_r2ts_for_cmd, "", "");
KSYMTAB_FUNC(iscsit_build_rsp_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_task_mgt_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_text_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_reject, "", "");
KSYMTAB_FUNC(iscsit_thread_check_cpumask, "", "");
KSYMTAB_FUNC(iscsit_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_response_queue, "", "");
KSYMTAB_FUNC(iscsit_logout_post_handler, "", "");
KSYMTAB_FUNC(iscsit_register_transport, "", "");
KSYMTAB_FUNC(iscsit_unregister_transport, "", "");

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x75fae6d7, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0x0c8746fc, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0x9b5fdb95, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0xfb8199b4, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0xfaf9e2c7, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0x60ef655a, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0x91459aa0, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0xc4a407f3, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0x195b547f, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x67d15aa4, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0xd1cb694b, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0x336907dd, "");
SYMBOL_CRC(iscsit_release_cmd, 0x045eac2a, "");
SYMBOL_CRC(iscsit_free_cmd, 0xe6fa4113, "");
SYMBOL_CRC(iscsit_queue_rsp, 0xd0bdf72c, "");
SYMBOL_CRC(iscsit_aborted_task, 0xc9ee62ac, "");
SYMBOL_CRC(iscsit_add_reject, 0x3af774b1, "");
SYMBOL_CRC(iscsit_reject_cmd, 0x36ee4873, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x4debad32, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x784623c9, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0x285e5f9a, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0xe0825183, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0xdbd3f6c2, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0xb798b2f3, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0xd40cbda9, "");
SYMBOL_CRC(iscsit_process_nop_out, 0x78a5e2a3, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0x9ecccef0, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0x286ff853, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0x63806f86, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0x32496078, "");
SYMBOL_CRC(iscsit_handle_snack, 0x9606be5c, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0xc1460c69, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0x50121768, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0x54ce3914, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0xd696503b, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0x7aa384f5, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x7cdc7fcf, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0x049d4a75, "");
SYMBOL_CRC(iscsit_build_reject, 0xa55d5842, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0x92a42282, "");
SYMBOL_CRC(iscsit_immediate_queue, 0x21cde979, "");
SYMBOL_CRC(iscsit_response_queue, 0x0252e1f6, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0xf85b7181, "");
SYMBOL_CRC(iscsit_register_transport, 0xdda59937, "");
SYMBOL_CRC(iscsit_unregister_transport, 0xf38d8079, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xc65e34a6, "target_alloc_cmd_counter" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x42996f74, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb4489234, "target_wait_for_cmds" },
	{ 0x7dd165d0, "transport_generic_new_cmd" },
	{ 0x5d24150b, "target_free_cmd_counter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x1334ce23, "target_execute_cmd" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa71a7924, "kernel_bind" },
	{ 0xcf2a6966, "up" },
	{ 0x174d5395, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x515824d8, "alloc_cpumask_var_node" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x87ec9469, "target_submit" },
	{ 0x2afe9d3f, "kernel_accept" },
	{ 0x00148653, "vsnprintf" },
	{ 0x921386fe, "core_tpg_set_initiator_node_queue_depth" },
	{ 0x2b9b3376, "target_stop_cmd_counter" },
	{ 0xab46cf2a, "transport_generic_handle_tmr" },
	{ 0x693e76c4, "transport_lookup_tmr_lun" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xee213135, "wake_up_process" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0x59ed3006, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xb8d2d583, "transport_alloc_session_tags" },
	{ 0x6ec53050, "transport_alloc_session" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x9b2c6b1a, "sbitmap_prepare_to_wait" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8f02716a, "target_unregister_template" },
	{ 0x503c2725, "transport_send_check_condition_and_sense" },
	{ 0xa916b694, "strnlen" },
	{ 0x4a4e89cf, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xc7b5eed8, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa834c4db, "__traceiter_sk_data_ready" },
	{ 0x2da8b798, "init_net" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2f3ec2a7, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x44738de8, "kmem_cache_free" },
	{ 0x940a34de, "set_cpus_allowed_ptr" },
	{ 0xc744bf64, "transport_deregister_session_configfs" },
	{ 0x5a921311, "strncmp" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x112df548, "sbitmap_queue_clear" },
	{ 0x982e16bd, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x04e7ac36, "inet_pton_with_scope" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa4503aeb, "sock_sendmsg" },
	{ 0x196cefb2, "crypto_shash_update" },
	{ 0xe7ee5d3e, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd735355a, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xdee6e2a0, "target_cmd_parse_cdb" },
	{ 0xcc9ba35d, "sock_set_reuseaddr" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x80b62d11, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xdbe18e1a, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xddc2c8ca, "__target_init_cmd" },
	{ 0xbdc8c686, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f3537bf, "kthread_create_on_node" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x3d96470b, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7e3fc9f3, "core_tpg_check_initiator_node_acl" },
	{ 0x3f467221, "target_cmd_init_cdb" },
	{ 0xa4b9163b, "kernel_listen" },
	{ 0x66e7a0f1, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0xb6ab2f54, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xfbcff4f6, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66bf4fc7, "crypto_shash_finup" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4090a2c5, "transport_wait_for_tasks" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb6839982, "target_get_sess_cmd" },
	{ 0xbd1fba1b, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7b6309ac, "sock_recvmsg" },
	{ 0xd321b955, "core_tpg_deregister" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x7a5ed058, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x00200096, "target_show_dynamic_sessions" },
	{ 0xa8afdd3d, "sock_release" },
	{ 0x606fa07e, "target_register_template" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x0109b832, "tcp_sock_set_nodelay" },
	{ 0xabbf2ede, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x60651f14, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x7a67f283, "core_tpg_register" },
	{ 0x98cf60b3, "strlen" },
	{ 0xea122b01, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x7f29804f, "transport_deregister_session" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0x7ab7c6e9, "crypto_alloc_shash" },
	{ 0xabf1b35b, "__sbitmap_queue_get" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0xa3751fb9, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod");


MODULE_INFO(srcversion, "207DFC44C8E577DB082B33B");
