#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0xe6224c68, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0x289e96d0, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0x0fffa2bd, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0xe97b2430, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0xca1e78b6, "_gpl");
SYMBOL_CRC(tb_ring_start, 0xd95e7864, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0x85be51f5, "_gpl");
SYMBOL_CRC(tb_ring_free, 0x9f7c099e, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x01d23ee1, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0x393b4f2f, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0x658e3d97, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xa3d2b403, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0xb7c7cdce, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0x8b62f95e, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x785eb82c, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4e5064a7, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x73ad2acb, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0xd6cf6d66, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0x594ed375, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x4e64bdfd, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xf76028c7, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0xfa760afd, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0x3ad3e7a1, "_gpl");
SYMBOL_CRC(tb_service_type, 0x7109cc5c, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0x9f562669, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0xec0007af, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0xaeaaf4f7, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0xad31ed8c, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x422ea595, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0xfe635501, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0xd17408b0, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0x2cd1cd99, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0xf5ba0ed3, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0x5b4219a4, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0x12d83acf, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xf1cfd1ff, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0x603249ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd7216703, "pci_find_ext_capability" },
	{ 0xa17e57fa, "is_acpi_device_node" },
	{ 0x6b2563f5, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xada9cce1, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0x54b80808, "dma_pool_create" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x56a45ed8, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x21b6bf80, "device_unregister" },
	{ 0xf605185d, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4893d226, "nvmem_unregister" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xf730879d, "device_initialize" },
	{ 0xae1428da, "debugfs_create_blob" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x77e8b6d4, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x360694df, "seq_lseek" },
	{ 0xd461f296, "acpi_find_child_by_adr" },
	{ 0x61a66cee, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x594672b5, "pci_irq_vector" },
	{ 0xfb254be7, "get_device" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x23c37ad3, "trace_seq_puts" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x59ed3006, "crypto_destroy_tfm" },
	{ 0x928f4743, "pci_read_config_dword" },
	{ 0xa615dce4, "__pm_runtime_set_status" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x66275485, "pm_wakeup_dev_event" },
	{ 0xc1505bd0, "register_acpi_bus_type" },
	{ 0x01000e51, "schedule" },
	{ 0x75b52643, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x86274334, "debugfs_lookup_and_remove" },
	{ 0xaf7adc45, "put_device" },
	{ 0x40598bc2, "devm_free_irq" },
	{ 0x5c28d70e, "pm_runtime_enable" },
	{ 0x4796d7fa, "device_for_each_child_reverse" },
	{ 0xa916b694, "strnlen" },
	{ 0x560847c6, "bus_for_each_dev" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x2c589d2d, "sysfs_create_link" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xe811cbc3, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0xc714fb11, "bus_unregister" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xf985e146, "device_wakeup_enable" },
	{ 0x526baa68, "crypto_shash_setkey" },
	{ 0xd98a82c8, "bus_find_device" },
	{ 0x56795ba8, "device_add" },
	{ 0x5968b034, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5d74a6b9, "device_property_read_u8_array" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x73a4463f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9a6f8a18, "pci_device_is_present" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x6e50cfbb, "seq_putc" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0xc2c0530f, "crypto_shash_digest" },
	{ 0xffb7c514, "ida_free" },
	{ 0x31e6b7e7, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3f0c87ca, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfddc40ef, "pcim_iomap_region" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xc6d1920b, "device_register" },
	{ 0xb69b7268, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x7428fa78, "unregister_acpi_bus_type" },
	{ 0x9838babc, "acpi_get_first_physical_node" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x8f514fec, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x0d363f5d, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x0188b501, "pm_runtime_forbid" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x5be74ba1, "pm_runtime_allow" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x062f8740, "acpi_fetch_acpi_dev" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17759e36, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x5016e1aa, "kobject_uevent" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x071471c5, "device_iommu_capable" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb9887116, "pci_walk_bus" },
	{ 0x2c21f723, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x9027a40d, "nvmem_register" },
	{ 0x90543b57, "__pm_runtime_suspend" },
	{ 0x3d695392, "component_add" },
	{ 0x98cf60b3, "strlen" },
	{ 0x3baa52b2, "__pm_runtime_use_autosuspend" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x62a2ed37, "pcim_enable_device" },
	{ 0x6507e9c9, "__pm_runtime_disable" },
	{ 0x7ab7c6e9, "crypto_alloc_shash" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x8d8b6300, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x303bdda4, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe337f3ab, "__dev_fwnode" },
	{ 0xea307308, "pci_bus_type" },
	{ 0x7ece803a, "pci_write_config_dword" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x43d13e73, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E333sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E334sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E433sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E434sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "A46FE5D4951EC0CE2FCD18F");
