#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_enable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_disable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_opp_config_clks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_reset, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_queue_cfg_addr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0x85996ec2, "_gpl");
SYMBOL_CRC(ufshcd_enable_irq, 0x44c2b6b2, "_gpl");
SYMBOL_CRC(ufshcd_disable_irq, 0xbfb9c185, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x2e86d001, "_gpl");
SYMBOL_CRC(ufshcd_opp_config_clks, 0x99b7f993, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0xc43fef95, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x0f092e92, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0xa48dc14b, "_gpl");
SYMBOL_CRC(ufshcd_dme_reset, 0x2967c085, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x4aadb508, "_gpl");
SYMBOL_CRC(ufshcd_dme_enable, 0xe01284bc, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x6d81e48e, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0xd0b37006, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0xf0ff0e00, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x3d02529b, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x9200d2f7, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x77f0e3cf, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x30313348, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0xee3bfa76, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0xfda925de, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x73b17a11, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0xb8307530, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0xff253949, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0xb501ec83, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x4d314325, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0xf4a0d4e5, "");
SYMBOL_CRC(ufshcd_system_resume, 0x204f6f4f, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0x2225f316, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0x73cb74ef, "");
SYMBOL_CRC(ufshcd_remove, 0x3d4bc104, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0xdc609e19, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x96a9fd7f, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x507284cf, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x85e1939d, "");
SYMBOL_CRC(ufshcd_init, 0x92299b0f, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0x7b2f06ed, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x44a8e1c7, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x5563b540, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0xd4e45db5, "_gpl");
SYMBOL_CRC(ufshcd_mcq_queue_cfg_addr, 0x7b808745, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x28dff293, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x2f2e3121, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0xb7f90833, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x058435ed, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable, 0xb91cfec0, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x04b069e5, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x79c06904, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xfc6f0534, "scsi_dma_map" },
	{ 0x31e12003, "scsi_print_sense_hdr" },
	{ 0xc2aae440, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x2aa3cf98, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xada9cce1, "bpf_trace_run4" },
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0xdcea2c0b, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x233a0e29, "scsi_autopm_put_device" },
	{ 0x810745c6, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x698fa4b3, "dmam_alloc_attrs" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x78d1ef79, "scsi_remove_host" },
	{ 0x999c15ac, "bpf_trace_run6" },
	{ 0xf605185d, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x05725691, "blk_pm_runtime_init" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0xb24d0f26, "scsi_report_bus_reset" },
	{ 0xc550c99b, "sysfs_remove_groups" },
	{ 0x0c3dde03, "pm_runtime_get_if_active" },
	{ 0x77b5d3bc, "dev_pm_opp_find_freq_floor_indexed" },
	{ 0xcf2a6966, "up" },
	{ 0xcdded326, "devfreq_recommended_opp" },
	{ 0xe53520ec, "sysfs_create_groups" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x350b26e1, "scsi_dma_unmap" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x360694df, "seq_lseek" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0x98aeb7c0, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xfb254be7, "get_device" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x16776275, "devm_clk_get" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xef0be82c, "blk_mq_alloc_tag_set" },
	{ 0x0ff862bf, "scsi_device_set_state" },
	{ 0x5f4d8109, "devfreq_add_device" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x1634bdce, "sysfs_notify" },
	{ 0xa615dce4, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x5fd11d09, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xaf7adc45, "put_device" },
	{ 0xa26a4b01, "blk_mq_unquiesce_tagset" },
	{ 0xb9ceab39, "dev_pm_opp_put" },
	{ 0x8c8ba2b1, "blk_mq_free_request" },
	{ 0xb752f23f, "device_property_read_u32_array" },
	{ 0x3904ff2f, "devm_regulator_get" },
	{ 0xce014dc1, "dev_pm_opp_get_freq_indexed" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x769b2993, "scsi_device_put" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x22774dd3, "device_create_file" },
	{ 0xc3e96354, "blk_mq_quiesce_tagset" },
	{ 0xce4fed4a, "debugfs_attr_read" },
	{ 0xffffcb7e, "regulator_set_load" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x0bbad260, "devm_kfree" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x1e21e034, "devfreq_remove_device" },
	{ 0x542ac311, "scsi_host_put" },
	{ 0xce807a25, "up_write" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa8cf9e40, "simple_attr_release" },
	{ 0xd6979577, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0xa614feaf, "dev_pm_opp_add_dynamic" },
	{ 0x6626afca, "down" },
	{ 0x73a4463f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x541f666f, "dev_pm_opp_remove" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37169f79, "cpu_latency_qos_update_request" },
	{ 0x19e6a139, "sdev_prefix_printk" },
	{ 0xc9df6d7d, "scsi_scan_host" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x89d44c41, "device_link_remove" },
	{ 0x696a76f8, "blk_mq_alloc_request" },
	{ 0x31e6b7e7, "driver_unregister" },
	{ 0x1d9c720d, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x42b1edba, "blk_put_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x7c51fffe, "dev_pm_opp_set_opp" },
	{ 0xac21fa38, "dmam_free_coherent" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x52058974, "regulator_count_voltages" },
	{ 0x2a2e0dfe, "debugfs_create_u32" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x7f48218b, "scsi_host_busy" },
	{ 0xa0482382, "scsi_device_quiesce" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6fd4bdf8, "scsi_autopm_get_device" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0x403614ac, "scsi_print_command" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x891155ee, "__scsi_register_driver" },
	{ 0x0188b501, "pm_runtime_forbid" },
	{ 0xd842f2db, "param_set_uint_minmax" },
	{ 0x5be74ba1, "pm_runtime_allow" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0xf9a0f28d, "devfreq_suspend_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x0fb2f8a4, "mktime64" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0xc5c1c55b, "blk_mq_destroy_queue" },
	{ 0x44ad0fbb, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9dd3fabb, "blk_mq_alloc_queue" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17759e36, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xe3e90538, "blk_mq_tagset_busy_iter" },
	{ 0x56e52060, "scsi_done" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0x233622c7, "sbitmap_weight" },
	{ 0xfa1413a8, "regulator_disable" },
	{ 0x2c21f723, "dev_err_probe" },
	{ 0xab4348aa, "__devm_add_action" },
	{ 0x9b83e145, "scsi_remove_device" },
	{ 0x9929fbae, "scsi_add_host_with_dma" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd08cdd51, "blk_mq_freeze_queue_nomemsave" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0xad67b7ed, "scsi_host_alloc" },
	{ 0x7ec46062, "__scsi_add_device" },
	{ 0x228bf9a4, "devfreq_resume_device" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x8d8b6300, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x004aa455, "scsi_change_queue_depth" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xad79b2f0, "bpf_trace_run11" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x27a399fb, "device_remove_file" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F2EF9820BA9214FB9F2BE5");
