#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hw_phymode_configure, "_gpl", "");
KSYMTAB_FUNC(ci_hdrc_add_device, "_gpl", "");
KSYMTAB_FUNC(ci_hdrc_remove_device, "_gpl", "");
KSYMTAB_FUNC(ci_hdrc_query_available_role, "_gpl", "");

SYMBOL_CRC(hw_phymode_configure, 0xa81b1102, "_gpl");
SYMBOL_CRC(ci_hdrc_add_device, 0xb14f687d, "_gpl");
SYMBOL_CRC(ci_hdrc_remove_device, 0x53c939a7, "_gpl");
SYMBOL_CRC(ci_hdrc_query_available_role, 0xa432c602, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8bbdbe3b, "extcon_get_state" },
	{ 0x7e9c0840, "platform_device_put" },
	{ 0xc2aae440, "regulator_enable" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b2563f5, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0x43fb061c, "device_set_of_node_from_dev" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xba8e2979, "of_property_read_variable_u32_array" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x20e3e0c5, "devm_platform_get_and_ioremap_resource" },
	{ 0x1239b4f2, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9e8a20a9, "platform_get_irq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf605185d, "pm_runtime_set_autosuspend_delay" },
	{ 0x68028e5c, "of_usb_host_tpl_support" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xaa37888d, "devm_usb_get_phy_by_phandle" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x360694df, "seq_lseek" },
	{ 0x2882d40e, "usb_role_switch_unregister" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x6de05605, "of_usb_get_phy_mode" },
	{ 0xb02ba887, "ehci_init_driver" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf2c18f94, "extcon_get_edev_by_phandle" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x609a38ad, "devm_regulator_get_optional" },
	{ 0xefa0ea5a, "platform_device_add_data" },
	{ 0x1690b503, "usb_role_switch_get_drvdata" },
	{ 0x4759aa37, "usb_get_dr_mode" },
	{ 0xa615dce4, "__pm_runtime_set_status" },
	{ 0xd11449cb, "usb_hcd_map_urb_for_dma" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x86274334, "debugfs_lookup_and_remove" },
	{ 0xd29127f7, "usb_get_maximum_speed" },
	{ 0x5c28d70e, "pm_runtime_enable" },
	{ 0x77de1907, "ehci_hub_control" },
	{ 0x09f68d75, "ehci_suspend" },
	{ 0x70cf032f, "usb_hcd_irq" },
	{ 0x9ca57ec0, "devm_usb_get_phy" },
	{ 0x2b75a0e9, "phy_exit" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x672496bb, "ehci_resume" },
	{ 0x9e86803d, "platform_device_add_resources" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xce5f2e81, "of_usb_update_otg_caps" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c0eddc1, "platform_device_unregister" },
	{ 0xdd9fa060, "of_property_read_bool" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xa7a3d02d, "platform_device_add" },
	{ 0x1bb1ee13, "phy_power_on" },
	{ 0xffb7c514, "ida_free" },
	{ 0xf6b1955e, "platform_device_alloc" },
	{ 0x76968f83, "of_find_property" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x0579f4ee, "ulpi_register_interface" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x6d014ed5, "devm_extcon_register_notifier" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xdcd67317, "usb_phy_set_event" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x232ecfdd, "phy_power_off" },
	{ 0x41d72ba0, "usb_role_switch_register" },
	{ 0xdb9f9f82, "usb_put_hcd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x69566392, "__platform_driver_register" },
	{ 0x60f67c65, "ulpi_unregister_interface" },
	{ 0xd1d5ed3a, "pinctrl_lookup_state" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0xa4868567, "ehci_handshake" },
	{ 0xf1254830, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6f9ba730, "ehci_setup" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x17759e36, "seq_printf" },
	{ 0x560768da, "devm_pinctrl_get" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x6efa3b2c, "__usb_create_hcd" },
	{ 0xa6fe8ad4, "pinctrl_select_state" },
	{ 0xa9319bdb, "device_property_read_bool" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfa1413a8, "regulator_disable" },
	{ 0x90543b57, "__pm_runtime_suspend" },
	{ 0x368e336c, "usb_debug_root" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x98cf60b3, "strlen" },
	{ 0x3baa52b2, "__pm_runtime_use_autosuspend" },
	{ 0x1f07ad25, "usb_remove_hcd" },
	{ 0x085a6394, "devm_phy_get" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x03e12918, "usb_hcd_unmap_urb_for_dma" },
	{ 0x6507e9c9, "__pm_runtime_disable" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x7d9b2447, "usb_add_hcd" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x577e8ce9, "phy_init" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "ulpi");


MODULE_INFO(srcversion, "EB316E5D1406FF816F215EA");
