#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0x3ae00990, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0x5731be7a, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0x3a811502, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda6d2f45, "usb_hcd_platform_shutdown" },
	{ 0xa17e57fa, "is_acpi_device_node" },
	{ 0xb5608833, "of_fwnode_ops" },
	{ 0x6b2563f5, "device_set_wakeup_capable" },
	{ 0xcd1e333c, "xhci_suspend" },
	{ 0x20e3e0c5, "devm_platform_get_and_ioremap_resource" },
	{ 0x1239b4f2, "platform_driver_unregister" },
	{ 0x9e8a20a9, "platform_get_irq" },
	{ 0x8d168c8e, "xhci_gen_setup" },
	{ 0x68028e5c, "of_usb_host_tpl_support" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xaa37888d, "devm_usb_get_phy_by_phandle" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xbf76af38, "devm_reset_control_array_get" },
	{ 0xa615dce4, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c28d70e, "pm_runtime_enable" },
	{ 0xb752f23f, "device_property_read_u32_array" },
	{ 0xe9a2bb1c, "of_match_device" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x48fc6c4e, "xhci_resume" },
	{ 0xac5cf050, "xhci_run" },
	{ 0x0005c6ab, "usb_hcd_is_primary_hcd" },
	{ 0xee903f2c, "xhci_init_driver" },
	{ 0xdb9f9f82, "usb_put_hcd" },
	{ 0x69566392, "__platform_driver_register" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0x3df11d41, "devm_clk_get_optional" },
	{ 0x0188b501, "pm_runtime_forbid" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x6efa3b2c, "__usb_create_hcd" },
	{ 0xa9319bdb, "device_property_read_bool" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0x1f07ad25, "usb_remove_hcd" },
	{ 0x97aa31ca, "of_device_get_match_data" },
	{ 0x6507e9c9, "__pm_runtime_disable" },
	{ 0x7d9b2447, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0xea307308, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhciC*");
MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("acpi*:PNP0D15:*");

MODULE_INFO(srcversion, "04E428AFD109FCE640B5DD3");
