#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_set_ops, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_mode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_mode, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_cable_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_cable_ops, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0x533b4a0f, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0x819a729c, "_gpl");
SYMBOL_CRC(typec_altmode_set_ops, 0x10c5b406, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0x7cac4709, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_mode, 0x4f205579, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0x4fbf2670, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0xc3c988ea, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0xc3648a8c, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0x79ad9d04, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0x062e6595, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0xcacf56ab, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0xc5b59811, "_gpl");
SYMBOL_CRC(typec_register_partner, 0x4c80bfbb, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0x7f33d9d3, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0xf0da5b69, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0xb1bb1a43, "_gpl");
SYMBOL_CRC(typec_register_plug, 0xb0df0489, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0xb1c8ff41, "_gpl");
SYMBOL_CRC(typec_cable_get, 0xefde2725, "_gpl");
SYMBOL_CRC(typec_cable_put, 0xd4a25b51, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0x6241a469, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0x02384c6f, "_gpl");
SYMBOL_CRC(typec_register_cable, 0xbe9c4d8b, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0x9300c87a, "_gpl");
SYMBOL_CRC(typec_port_set_usb_mode, 0xa1964ef9, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0x7a5cd104, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0x9f86c6d7, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0x88d90cae, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0x1903e260, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x805fd790, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0xc050f246, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0x9941a512, "_gpl");
SYMBOL_CRC(typec_set_mode, 0xdb433549, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0x948c510d, "_gpl");
SYMBOL_CRC(typec_get_cable_svdm_version, 0x5cdea305, "_gpl");
SYMBOL_CRC(typec_cable_set_svdm_version, 0xbfdcc5ce, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0xa03ebc2f, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0xcb17c913, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0xfa37a975, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0x0d209d5b, "_gpl");
SYMBOL_CRC(typec_port_register_cable_ops, 0xd5954b6e, "_gpl");
SYMBOL_CRC(typec_register_port, 0xeea2c6ca, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0xa8080b79, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0x72faad73, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0x80d38193, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0x1cfe3e49, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0x1bbcf18c, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0x26fb4f7f, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0xa5214d05, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x6b3d9465, "_gpl");
SYMBOL_CRC(typec_mux_register, 0xfa63b83c, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0x15a73d22, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0xe6b6588e, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0xfa2d87e0, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0x1458afc7, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0x7584510e, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0x92107ffe, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0x38cc4888, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0x3c513e8b, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0x68bf7077, "_gpl");
SYMBOL_CRC(typec_cable_altmode_enter, 0xd68bb1cc, "_gpl");
SYMBOL_CRC(typec_cable_altmode_exit, 0x82fafcf4, "_gpl");
SYMBOL_CRC(typec_cable_altmode_vdm, 0xf4975588, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0xf7d49546, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0x54350268, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0x2bd2ebd6, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0x173b3457, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0xd3bb47b7, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0x9036ba38, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0x227eb53a, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0x2bb8c3b5, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0xf5584309, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0x8bfd1716, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0x19970082, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0x3226dd55, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0x1706c2b3, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0xd6021be4, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0xb7aa2b54, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0x58329561, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0x7842b825, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x42996f74, "try_module_get" },
	{ 0x3d2fec96, "device_match_type" },
	{ 0xa17e57fa, "is_acpi_device_node" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x271984cf, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x21b6bf80, "device_unregister" },
	{ 0x3b2ddea4, "acpi_bus_for_each_dev" },
	{ 0xf730879d, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0x343e8317, "fwnode_connection_find_match" },
	{ 0x9f471df6, "fwnode_get_next_child_node" },
	{ 0x61a66cee, "device_for_each_child" },
	{ 0xfb254be7, "get_device" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1634bdce, "sysfs_notify" },
	{ 0xf96dc5d1, "device_match_fwnode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaf7adc45, "put_device" },
	{ 0x2dcf761d, "fwnode_property_read_u32_array" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x2c589d2d, "sysfs_create_link" },
	{ 0x02e31be9, "fwnode_get_name" },
	{ 0xe811cbc3, "kobject_uevent_env" },
	{ 0x402bdcdf, "sysfs_update_group" },
	{ 0xc714fb11, "bus_unregister" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x56795ba8, "device_add" },
	{ 0x5968b034, "sysfs_remove_link" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd4627d8f, "fwnode_property_read_u16_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x31e6b7e7, "driver_unregister" },
	{ 0x58daeb2b, "class_unregister" },
	{ 0x3f0c87ca, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc6d1920b, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x35aba85c, "fwnode_property_read_string" },
	{ 0x08ae28fe, "fwnode_property_present" },
	{ 0xf23320d1, "component_master_del" },
	{ 0x0e254f87, "component_match_add_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x763fc6ea, "device_get_named_child_node" },
	{ 0x3de77068, "component_bind_all" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xe50054f1, "device_match_name" },
	{ 0x5016e1aa, "kobject_uevent" },
	{ 0x60c6d3d1, "fwnode_connection_find_matches" },
	{ 0x81188c30, "match_string" },
	{ 0xf958e242, "component_unbind_all" },
	{ 0x303bdda4, "driver_register" },
	{ 0x43c9bb5c, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xe337f3ab, "__dev_fwnode" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x43d13e73, "bus_register" },
	{ 0x9fb7fc2d, "class_find_device" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F3B68E79439123BE343C351");
