#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0xf53fb863, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0xf9ae2fe1, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x43008f46, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0xf74494a3, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0xa1f6ea24, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x2bb79242, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x2a229999, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xa99ced85, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x2d5ab526, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0xbc04b8f8, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x8cfc3771, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xf3d56c18, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x45539909, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x80b41087, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x3f6cc742, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x1c7ba123, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0xae6c9be2, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x2276dfad, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xfce35ee2, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0x90140e86, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0x9c27071d, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0x6dc43c74, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite64, 0x83c79604, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0xc21af457, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0x5a920e8e, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0x5fa6c6a7, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread64, 0x469a1ba4, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0xb369a86a, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0x3eb7f202, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0xe850ca1f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0d7f5bfe, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0x50938f22, "vmf_insert_pfn" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xda467386, "pci_read_vpd" },
	{ 0xdd062252, "bus_unregister_notifier" },
	{ 0xb203eb03, "pci_request_selected_regions" },
	{ 0x6f4a82d9, "pci_release_selected_regions" },
	{ 0x19c94209, "pci_user_write_config_byte" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xe4184cac, "pci_bus_max_busnr" },
	{ 0x14d1340d, "pci_check_and_mask_intx" },
	{ 0x0ee09f4a, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x56a45ed8, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0xac2a9bea, "pci_enable_atomic_ops_to_root" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x88c3ff56, "pci_dev_put" },
	{ 0x705ba8ce, "iommu_group_get" },
	{ 0xa8601d38, "vfio_virqfd_disable" },
	{ 0x1e3a538e, "vfio_iommufd_get_dev_id" },
	{ 0x67ad8866, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0xf76ee4e5, "pci_num_vf" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8f1bec12, "unmap_mapping_range" },
	{ 0x86e5ae93, "pci_user_read_config_dword" },
	{ 0x037a0cba, "kfree" },
	{ 0x34331c62, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb4dc22b6, "pci_probe_reset_bus" },
	{ 0xc8f7bb3a, "pci_probe_reset_slot" },
	{ 0x9cd2f8ed, "pci_set_power_state" },
	{ 0x594672b5, "pci_irq_vector" },
	{ 0xb786bf75, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x928f4743, "pci_read_config_dword" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x58b15ad7, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xda671a5d, "pci_user_write_config_word" },
	{ 0x2ee08cd2, "vfio_iommufd_device_ictx" },
	{ 0x89a5d6de, "bus_register_notifier" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0xeefae6c2, "vfio_file_is_group" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x1a4a0a3c, "pci_msix_can_alloc_dyn" },
	{ 0x755c4abd, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x736f2136, "pci_clear_master" },
	{ 0xd49dddfa, "__pci_reset_function_locked" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x718d561a, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x2a5a5c1f, "pci_write_vpd" },
	{ 0x44bdf0d0, "vfio_virqfd_enable" },
	{ 0x8f9ac1ec, "vga_client_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x666a878f, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xb4b38e9c, "aperture_remove_conflicting_pci_devices" },
	{ 0x12b54dcc, "vfio_unregister_group_dev" },
	{ 0x55eee38b, "pci_map_rom" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x3afe3bc7, "pci_store_saved_state" },
	{ 0x13640660, "get_cached_msi_msg" },
	{ 0xe156906f, "pci_iounmap" },
	{ 0xf307422a, "pci_restore_state" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x0eca48d2, "prot_ns_shared" },
	{ 0x13eb5536, "pcie_get_mps" },
	{ 0x7fdc6f69, "pci_dev_trylock" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0xa50cdca1, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0x4d9aa654, "rsi_present" },
	{ 0x1ca1dbf3, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x8c691095, "_dev_notice" },
	{ 0x0188b501, "pm_runtime_forbid" },
	{ 0x5be74ba1, "pm_runtime_allow" },
	{ 0x35d09d6f, "pci_reset_bus" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0x96e65394, "vfio_register_group_dev" },
	{ 0x4a78eb48, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb00ded8a, "pci_user_read_config_byte" },
	{ 0x50854ea0, "pci_try_reset_function" },
	{ 0x00aa1603, "xa_find" },
	{ 0x8aa159c8, "pci_get_class" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xe49a5aab, "pci_user_write_config_dword" },
	{ 0x90ceeaf7, "pcie_capability_read_dword" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x78f79bf0, "pci_load_and_free_saved_state" },
	{ 0xd73d7dd2, "pci_disable_sriov" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0x1c8a80e9, "pci_match_id" },
	{ 0x4bc99321, "pci_check_and_unmask_intx" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1cd320f3, "pcie_set_readrq" },
	{ 0xb9887116, "pci_walk_bus" },
	{ 0x54156052, "pci_msix_alloc_irq_at" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x944037be, "pci_unmap_rom" },
	{ 0xfe51357e, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe8680b92, "vga_set_legacy_decoding" },
	{ 0x3102822b, "vmf_insert_pfn_pmd" },
	{ 0xedd623a1, "__vma_start_write" },
	{ 0x4e6f93a0, "pci_dev_unlock" },
	{ 0x532df49f, "pci_write_config_word" },
	{ 0x35215603, "ioremap_prot" },
	{ 0x0c10e997, "eventfd_signal_mask" },
	{ 0x74ec6ad5, "pci_free_irq_vectors" },
	{ 0x5b38f1e3, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0x9c990e25, "vfio_virqfd_flush_thread" },
	{ 0xea307308, "pci_bus_type" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "53018C76B990CA97685DB21");
