#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0x2cc53605, "");
SYMBOL_CRC(w1_remove_master_device, 0x69c516a4, "");
SYMBOL_CRC(w1_register_family, 0xfd7d82b4, "");
SYMBOL_CRC(w1_unregister_family, 0x6ed19bfd, "");
SYMBOL_CRC(w1_touch_bit, 0x26c2ac45, "_gpl");
SYMBOL_CRC(w1_write_8, 0x7afe60f3, "_gpl");
SYMBOL_CRC(w1_triplet, 0xb698dd7a, "_gpl");
SYMBOL_CRC(w1_read_8, 0x57c34fce, "_gpl");
SYMBOL_CRC(w1_write_block, 0xdc5de187, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x9f1ebd5d, "_gpl");
SYMBOL_CRC(w1_read_block, 0xda29b607, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x6d9d14e1, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0x8c0627bf, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x00df0d74, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0xc5fd0df3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfd19ff82, "of_node_put" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x21b6bf80, "device_unregister" },
	{ 0xc550c99b, "sysfs_remove_groups" },
	{ 0xe53520ec, "sysfs_create_groups" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xee213135, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb9e0644e, "cn_netlink_send_mult" },
	{ 0xaf7adc45, "put_device" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0xc7b5eed8, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0xc714fb11, "bus_unregister" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x70c621fd, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x31e6b7e7, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x17c77374, "sysfs_create_group" },
	{ 0xd735355a, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xc6d1920b, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x07483e13, "cn_del_callback" },
	{ 0x5f3537bf, "kthread_create_on_node" },
	{ 0x7b001020, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x5016e1aa, "kobject_uevent" },
	{ 0x61891217, "hwmon_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x68a623ff, "of_find_matching_node_and_match" },
	{ 0x303bdda4, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbc7b80b1, "cn_add_callback" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x43d13e73, "bus_register" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0C9D8282B218737CDCF3452");
