#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dlm_new_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_release_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_cancel, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_get, "_gpl", "");

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x8a6c5f1b, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0xaafe3059, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0xbf978a56, "_gpl");
SYMBOL_CRC(dlm_posix_cancel, 0x8fd864ae, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0x78253866, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x42996f74, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6c20445, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xada9cce1, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5284c494, "config_group_init" },
	{ 0x7677c7d7, "config_group_find_item" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x0b279ef2, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0xb43a5d93, "sock_set_mark" },
	{ 0x999c15ac, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x5f001aa9, "config_item_get" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xa71a7924, "kernel_bind" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x69a39874, "posix_lock_file" },
	{ 0xf9f00b6a, "kset_unregister" },
	{ 0x360694df, "seq_lseek" },
	{ 0xf2b07bbb, "kernel_kobj" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0x06aeb3ba, "call_srcu" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb278ea72, "synchronize_srcu" },
	{ 0x2afe9d3f, "kernel_accept" },
	{ 0x167eec26, "kernel_recvmsg" },
	{ 0x081054f8, "bpf_trace_run8" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x7596d0e9, "configfs_unregister_subsystem" },
	{ 0xee213135, "wake_up_process" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0xb240198d, "locks_lock_inode_wait" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa916b694, "strnlen" },
	{ 0x03674b33, "locks_init_lock" },
	{ 0xf9968f9c, "__free_pages" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa834c4db, "__traceiter_sk_data_ready" },
	{ 0x2da8b798, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x5ca25210, "simple_open" },
	{ 0x59cab9fe, "configfs_register_subsystem" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xdc10bec5, "configfs_remove_default_groups" },
	{ 0x37b60271, "__srcu_read_lock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x79344841, "noop_llseek" },
	{ 0x2f3ec2a7, "config_group_init_type_name" },
	{ 0x73a4463f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3fb90e92, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x44738de8, "kmem_cache_free" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x6e50cfbb, "seq_putc" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x62eec1d5, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe9937fbc, "kobject_init_and_add" },
	{ 0xa4503aeb, "sock_sendmsg" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb570fb8f, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd735355a, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x54195348, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x13f403d0, "bpf_trace_run1" },
	{ 0xa440834d, "default_llseek" },
	{ 0xcc9ba35d, "sock_set_reuseaddr" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xa511f1fb, "kernel_connect" },
	{ 0xdcb764ad, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x80b62d11, "iov_iter_bvec" },
	{ 0xe0b27446, "misc_register" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xdbe18e1a, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f3537bf, "kthread_create_on_node" },
	{ 0x0745a981, "xa_erase" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x258a2c02, "_raw_write_trylock" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9d56c842, "config_item_init_type_name" },
	{ 0x9ba97fc3, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x00aa1603, "xa_find" },
	{ 0xbb0610cb, "config_item_put" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17759e36, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xf329399e, "__srcu_read_unlock" },
	{ 0x5016e1aa, "kobject_uevent" },
	{ 0xa8afdd3d, "sock_release" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x6a5de1bb, "alloc_pages_noprof" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x0109b832, "tcp_sock_set_nodelay" },
	{ 0x17de4663, "seq_open" },
	{ 0xe9348ca4, "__seq_puts" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x94f4c258, "sock_bind_add" },
	{ 0xe6db40b3, "locks_copy_lock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0xa1d20c8a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x418cc961, "kset_create_and_add" },
	{ 0x9b26e08c, "kobject_put" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "25A9EB00FB665CB4A2FB5FE");
