#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0xe2bb1264, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0x0a0a1a0d, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0x3f2939e2, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0x26b135f8, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0x917a4e05, "_gpl");
SYMBOL_CRC(lockd_up, 0x6b59871f, "_gpl");
SYMBOL_CRC(lockd_down, 0xa0249dc7, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0x8e29915b, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x9cbde0a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x83e875a6, "rpc_put_task" },
	{ 0xdf963f94, "svc_generic_rpcbind_set" },
	{ 0xfb87149a, "svc_wake_up" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xada9cce1, "bpf_trace_run4" },
	{ 0x4cfbe839, "rpc_shutdown_client" },
	{ 0x388fbc0a, "svc_bind" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xdb986b31, "proc_create" },
	{ 0x84bd3f9a, "svc_recv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe1f67794, "xdr_inline_decode" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x0b742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xf830df56, "genlmsg_put" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x15b56a78, "simple_transaction_get" },
	{ 0x037a0cba, "kfree" },
	{ 0xd0f54b73, "vfs_test_lock" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0x5561f59a, "svc_exit_thread" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x065994f1, "xdr_encode_opaque_fixed" },
	{ 0xe6b43ee8, "param_get_ulong" },
	{ 0xd276d755, "rpc_run_task" },
	{ 0x5d56b6b2, "__put_cred" },
	{ 0xedfbd895, "register_pernet_subsys" },
	{ 0x007e1ecb, "locks_in_grace" },
	{ 0xee213135, "wake_up_process" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x04482cdb, "__refrigerator" },
	{ 0x096a6fad, "proc_dobool" },
	{ 0xb240198d, "locks_lock_inode_wait" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x65d79536, "unregister_sysctl_table" },
	{ 0x66bde4c9, "locks_release_private" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0x03674b33, "locks_init_lock" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaec49f15, "simple_transaction_release" },
	{ 0x0cc020d5, "svc_xprt_put" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdb89b68c, "svc_age_temp_xprts_now" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2da8b798, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x475e6233, "svc_set_num_threads" },
	{ 0xf90c08c0, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x733db852, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1adcd16e, "vfs_cancel_lock" },
	{ 0x8d304f20, "nla_put" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x53445f68, "nlm_debug" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x87bcb16e, "freezing_slow_path" },
	{ 0x3013a924, "rpc_create" },
	{ 0x37cf09f3, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x281f1bc3, "rpc_call_start" },
	{ 0x753b080e, "svc_create" },
	{ 0xa440834d, "default_llseek" },
	{ 0x1880dfe2, "rpc_call_sync" },
	{ 0xf1299d72, "proc_mkdir" },
	{ 0x71e34bf1, "unregister_pernet_subsys" },
	{ 0xec813656, "register_sysctl_sz" },
	{ 0xdcb764ad, "memset" },
	{ 0xc9674dfa, "vfs_lock_file" },
	{ 0x7db14ca4, "proc_douintvec" },
	{ 0x6b1d4cc8, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6ede496d, "svc_generic_init_request" },
	{ 0x668b19a1, "down_read" },
	{ 0xabfcc8f7, "svc_set_client" },
	{ 0x020d417b, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f3537bf, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7ef9b2a9, "rpc_force_rebind" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0xabe7154c, "rpc_restart_call" },
	{ 0xa94a2070, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x03043872, "remove_proc_entry" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa2bb2a17, "svc_find_xprt" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x0bfafaf9, "svc_print_addr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x83697e38, "genl_unregister_family" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x61e62612, "locks_delete_block" },
	{ 0x98cf60b3, "strlen" },
	{ 0x8d980de6, "locks_start_grace" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x538c78f2, "param_get_int" },
	{ 0xf4a6b261, "genl_register_family" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xfae7bddc, "svc_xprt_create" },
	{ 0x9111fdf1, "rpc_wait_for_completion_task" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xe6db40b3, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "E1FCE018CDF7DBDF0B501A4");
