#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0xe0d75b87, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xb9b8ca23, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x78787515, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x5002011e, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x8607b112, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x1537aa68, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x711d9d65, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xbd44af50, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0xd6093c02, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xe4be6dfb, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xe93ceb5b, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x63f3dcfc, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0xa830792f, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x59efa60d, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x726aeada, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xeac47593, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x4e2ad9c2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x56112330, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xcdcb4a2f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x66ee8403, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x7eaac277, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x79ebf1ac, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x78683048, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0xe0e42189, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x34fc02f1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x41f27686, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x0d3230ba, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x46c5676c, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xe8a6b783, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xf2f18d16, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x4491a83e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xb8878ec2, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x88e80c2a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x6f561f2e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x3fed31d7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x38bfa05d, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x41e73305, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x643afe4c, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x8eecafd9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x75e1c462, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xc559c55e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x6dcb011f, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0xfa9cbc55, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x3599162f, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0xe469f074, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x911575bb, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0xe8e10159, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x0fd80e57, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x806a3e96, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xe03be88a, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x79c70a16, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xb45fde6d, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0xfe239bbe, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0xd46f4d4c, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xb0d7aa99, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x525c1abd, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xa86404a4, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x769ee2bd, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x35ba6681, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x2f213eaa, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0xd4bd1a65, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xd888aaeb, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x8529aa1c, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0xfb33eb1d, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xad778114, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x16514ce2, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x8d6cb9b1, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x22a3f48b, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x5f9b0252, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x263eeb84, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x39759f81, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0xecc161e3, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0xa3ed1d88, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x7c23319c, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xa3aba6c8, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x27e5be8a, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x8e17a83a, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x0bc49612, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x25516b48, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x3c8f0418, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x0f89e69f, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xd4f2fa3a, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x1cbba340, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xf4e6b82d, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xf0353178, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x8adda436, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x9c764a81, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x269d06b3, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x899700c4, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x2baa5756, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x40e2fbdb, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x8e58119c, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xad9b805c, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x5f49755e, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x6bc27383, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x36577682, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x58cc57de, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xc0233865, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x77ae01a8, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0xe742adbd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x83e875a6, "rpc_put_task" },
	{ 0x21955cf8, "nfs4_stat_to_errno" },
	{ 0xdf963f94, "svc_generic_rpcbind_set" },
	{ 0x794cce68, "nfs_clone_server" },
	{ 0x60a01d2e, "nfs_access_add_cache" },
	{ 0xa2e60a7a, "filemap_fdatawrite" },
	{ 0x365522a7, "nfs_show_stats" },
	{ 0xd9e565ef, "nfs_server_remove_lists" },
	{ 0x7832e58b, "shrinker_alloc" },
	{ 0x32e8ba1a, "nfs42_ssc_unregister" },
	{ 0xb9264281, "generic_listxattr" },
	{ 0x42996f74, "try_module_get" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x31a5860d, "nfs_writeback_update_inode" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfc1fd5aa, "clear_inode" },
	{ 0xedfa596d, "inode_to_bdi" },
	{ 0xada9cce1, "bpf_trace_run4" },
	{ 0xa2c69652, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0xc4f82644, "user_revoke" },
	{ 0x0ca0a1c5, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xed9b468f, "nfs_mark_client_ready" },
	{ 0xe8dc888c, "rpc_clnt_probe_trunked_xprts" },
	{ 0x47fdfe70, "nfs_pageio_reset_read_mds" },
	{ 0x1bfe7786, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x4cfbe839, "rpc_shutdown_client" },
	{ 0x388fbc0a, "svc_bind" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x296ac1af, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x4161e916, "nfs_wait_bit_killable" },
	{ 0x852df4f2, "nfs_free_inode" },
	{ 0x9559a187, "nfs_access_zap_cache" },
	{ 0x628a1d5a, "nfs_sb_deactive" },
	{ 0xea774db7, "nfs_wb_all" },
	{ 0xf0d3d9e2, "__break_lease" },
	{ 0xbd50d317, "nfs_pageio_init_write" },
	{ 0x84bd3f9a, "svc_recv" },
	{ 0xabd0c6ee, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xe1f67794, "xdr_inline_decode" },
	{ 0xac11d798, "nfs_pageio_init_read" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x544d2bfe, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xc5d3e19f, "nfs_init_commit" },
	{ 0xbb19ca02, "nfs_commitdata_release" },
	{ 0x999c15ac, "bpf_trace_run6" },
	{ 0x7317ddd5, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa2430868, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x4f98c7e6, "nfs_mknod" },
	{ 0x128cbf8a, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x29a97238, "nfs4_label_alloc" },
	{ 0x126261fd, "rpc_localaddr" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x0df92d58, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xb34d8ee1, "nfs_lock" },
	{ 0x480f2275, "unregister_key_type" },
	{ 0xfa12282d, "nfs_client_init_is_complete" },
	{ 0xa1298d1e, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xec62f79a, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xde91bf92, "ihold" },
	{ 0x9ec3713c, "truncate_pagecache_range" },
	{ 0x7c766de2, "rpc_peeraddr" },
	{ 0x037a0cba, "kfree" },
	{ 0xf596f3cd, "invalidate_inode_pages2_range" },
	{ 0xe01e4c9c, "nfs_post_op_update_inode" },
	{ 0x5561f59a, "svc_exit_thread" },
	{ 0x5b045397, "iput" },
	{ 0x5f8ec288, "xdr_set_pagelen" },
	{ 0x0721075d, "nfs_pgio_header_free" },
	{ 0x61633ab5, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x1a89c5f3, "logfc" },
	{ 0x2cf7af11, "nfs_pgio_header_alloc" },
	{ 0x17dad9ee, "iter_file_splice_write" },
	{ 0xa80c61f4, "rpc_pton" },
	{ 0x0b5530e5, "nfs_sb_active" },
	{ 0x8c78b036, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x9cd17a80, "rpc_wake_up_queued_task" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x382ae5a4, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xfadf7f80, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x25d759d5, "_copy_from_pages" },
	{ 0x77f0fb5f, "__module_get" },
	{ 0x63202259, "rpc_task_release_transport" },
	{ 0x06ee52fb, "xdr_page_pos" },
	{ 0x86a87bb9, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x7c9ca574, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe4f1c895, "key_instantiate_and_link" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x4e4b7a0c, "xdr_read_pages" },
	{ 0x065994f1, "xdr_encode_opaque_fixed" },
	{ 0xbb81d89c, "register_key_type" },
	{ 0xf845e2cf, "rpc_sleep_on" },
	{ 0xd276d755, "rpc_run_task" },
	{ 0xd24fe56b, "nfs_pageio_resend" },
	{ 0x68fee466, "keyring_alloc" },
	{ 0xb8cc0b4e, "vfs_setpos" },
	{ 0xbb77c850, "nfs_create" },
	{ 0x87c0e1e3, "complete_request_key" },
	{ 0x5d56b6b2, "__put_cred" },
	{ 0x40e43941, "nfs_update_delegated_mtime" },
	{ 0x85cdb6a1, "nfs_statfs" },
	{ 0xee213135, "wake_up_process" },
	{ 0x5c6d2814, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x04439b67, "splice_file_range" },
	{ 0x6f099acc, "rpc_max_bc_payload" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xc52417d5, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0xb240198d, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xd2a08bae, "nfs_mkdir" },
	{ 0x8ab912ef, "nfs_revalidate_inode" },
	{ 0xf0e190aa, "inode_newsize_ok" },
	{ 0x5050bd58, "nfs_file_mmap" },
	{ 0x8eabebf5, "nfs_get_lock_context" },
	{ 0x73569eac, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x8a529f4c, "nfs_set_cache_invalid" },
	{ 0xe54c4b92, "rpc_release_client" },
	{ 0xe197c11d, "rpc_clnt_manage_trunked_xprts" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5ea7b125, "xdr_enter_page" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd8de32d6, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x65d79536, "unregister_sysctl_table" },
	{ 0x4c992fde, "nfs_generic_pgio" },
	{ 0xfaf0b980, "make_kuid" },
	{ 0xb39932b5, "truncate_inode_pages_final" },
	{ 0xaa1323d8, "generic_setlease" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xec9e446b, "xprt_destroy_backchannel" },
	{ 0x37515115, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0xba1c8861, "nfs_scan_commit_list" },
	{ 0x53e62264, "xdr_stream_decode_string_dup" },
	{ 0xda41e79e, "nfs_commit_inode" },
	{ 0x3b1881fe, "shrinker_register" },
	{ 0x03674b33, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x864db60a, "rpc_destroy_pipe_data" },
	{ 0xb420d195, "nfs_get_client" },
	{ 0xf9968f9c, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xf9f3f380, "security_release_secctx" },
	{ 0xc2423baa, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xf0f0b791, "nfs_atomic_open" },
	{ 0x18ed497f, "rpc_pipe_generic_upcall" },
	{ 0xe310b855, "nfs_file_fsync" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x07c78395, "mntput" },
	{ 0x7a771995, "nfs_put_lock_context" },
	{ 0xfadbd0b7, "nfs_rename" },
	{ 0xf31f7c32, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x3b728a39, "nfs_sysfs_link_rpc_client" },
	{ 0x4cb19c20, "nfs_put_client" },
	{ 0xddde3cde, "nfs_show_options" },
	{ 0x89069627, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x4ce0b97c, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x6bd723d5, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x76008b26, "get_nfs_open_context" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0xe5efe454, "nfs_clear_verifier_delegated" },
	{ 0x15b9bd90, "nfs_sysfs_add_server" },
	{ 0x718d561a, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x25de6d38, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x522efa1e, "nfs_do_submount" },
	{ 0x74083180, "vfs_dup_fs_context" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xc49b3ab0, "request_key_with_auxdata" },
	{ 0x49ab5af6, "rpc_clone_client_set_auth" },
	{ 0x76c865e2, "rpc_clone_client" },
	{ 0x475e6233, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xf58eecb8, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xf90c08c0, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xf8e3f875, "user_describe" },
	{ 0x192beb40, "put_fs_context" },
	{ 0xf388886b, "nfs_retry_commit" },
	{ 0xb857f30d, "nfs4_dentry_operations" },
	{ 0xdd45f0eb, "__module_put_and_kthread_exit" },
	{ 0xe1f52a3d, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x39e90513, "nfs_client_for_each_server" },
	{ 0x62355357, "nfs_clear_inode" },
	{ 0xe5559cfb, "rpc_sleep_on_priority" },
	{ 0x56d11660, "nfs_invalidate_atime" },
	{ 0x73a4463f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x64cbe21e, "nfs_umount_begin" },
	{ 0x5a1c377a, "nfs_getattr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8173b9d5, "nfs_pageio_reset_write_mds" },
	{ 0x44738de8, "kmem_cache_free" },
	{ 0xff5b0af3, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x161696d4, "xdr_stream_subsegment" },
	{ 0xb8286576, "nfs_zap_acl_cache" },
	{ 0x483ab62a, "nfs_fscache_open_file" },
	{ 0x088f3400, "from_kgid" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9811ae4a, "nfs_write_inode" },
	{ 0x762b6eb6, "nfs_request_remove_commit_list" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xb6f2ca62, "rpc_wake_up_first" },
	{ 0x848821a3, "alloc_nfs_open_context" },
	{ 0xea5dce41, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9d08d99e, "vfs_parse_fs_param" },
	{ 0x7c18d8d3, "nfs_path" },
	{ 0xb6662844, "rpc_sleep_on_priority_timeout" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcf365da8, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa6f79ba6, "register_nfs_version" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x476ab890, "rpc_sleep_on_timeout" },
	{ 0x07d2a5b1, "list_lru_count_one" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37cf09f3, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x281f1bc3, "rpc_call_start" },
	{ 0xc72c463c, "xprt_setup_backchannel" },
	{ 0x13f403d0, "bpf_trace_run1" },
	{ 0x753b080e, "svc_create" },
	{ 0xaa63bb46, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xca11cdb7, "nfs_file_set_open_context" },
	{ 0x9c66d431, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x1880dfe2, "rpc_call_sync" },
	{ 0x7e8a80be, "from_kuid" },
	{ 0xbc2e7e01, "rpc_put_task_async" },
	{ 0x53cb77f4, "rpc_prepare_reply_pages" },
	{ 0x03804a0f, "rpc_queue_upcall" },
	{ 0xc064e8e6, "nfs_free_server" },
	{ 0x407c5feb, "fc_mount" },
	{ 0xec813656, "register_sysctl_sz" },
	{ 0xf1b70dcb, "nfs_setattr" },
	{ 0xdcb764ad, "memset" },
	{ 0x9f5b1ceb, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2abc308d, "nfs4_fs_type" },
	{ 0xe9c77020, "key_revoke" },
	{ 0x4ed2b7d9, "nfs_fattr_init" },
	{ 0x6b1d4cc8, "rpc_delay" },
	{ 0x3eccc2e1, "nfs_flock" },
	{ 0x921a3a92, "nfs_read_alloc_scratch" },
	{ 0xf8a50b71, "__list_lru_init" },
	{ 0xdbe18e1a, "kmem_cache_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6ede496d, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xdbadf737, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xf73eedb7, "rpc_exit" },
	{ 0x5d291972, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0xcbe9694f, "rpc_remove_pipe_dir_object" },
	{ 0xe5c334a2, "nfs_may_open" },
	{ 0x7742549c, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0x7ee9eda4, "out_of_line_wait_on_bit_lock" },
	{ 0xa83568bb, "nfs_server_copy_userdata" },
	{ 0x2d0f9b90, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x020d417b, "xdr_reserve_space" },
	{ 0x2dc4804c, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f3537bf, "kthread_create_on_node" },
	{ 0xe72a4a22, "list_lru_isolate" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xe07a7854, "nfs_rmdir" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x68b0d7c9, "nfs_filemap_write_and_wait_range" },
	{ 0x9de967c6, "rpc_mkpipe_dentry" },
	{ 0x58eded5c, "alloc_file_pseudo" },
	{ 0x2abe67c7, "rpc_mkpipe_data" },
	{ 0x3cabe282, "rpc_add_pipe_dir_object" },
	{ 0xb62940fc, "vfs_pressure_ratio" },
	{ 0x7a747c42, "igrab" },
	{ 0xec02cd53, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xecf3ffdb, "nfs_async_iocounter_wait" },
	{ 0x9484cf54, "nfs_file_read" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0xb01405f9, "nfs_alloc_fattr_with_label" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7ba9a815, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x7e2af49a, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x090ea3cc, "nfs_setattr_update_inode" },
	{ 0xe593c2ac, "nfs_instantiate" },
	{ 0x4cbd68a5, "init_user_ns" },
	{ 0x1c55abd7, "rpc_uaddr2sockaddr" },
	{ 0x801d32ba, "user_read" },
	{ 0xabe7154c, "rpc_restart_call" },
	{ 0xc82ca81b, "request_key_tag" },
	{ 0xfa5df3e2, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x8c4301fe, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0xa94a2070, "svc_xprt_destroy_all" },
	{ 0x244435a0, "generic_key_instantiate" },
	{ 0x92f859fc, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x6c4b6b28, "nfs_link" },
	{ 0xcad91204, "__folio_put" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe82beb0e, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xe7ec6f57, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdc3ee176, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4202cab6, "xdr_stream_move_subsegment" },
	{ 0x1aa33ee9, "put_rpccred" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x0294c6a2, "nfs_callback_nr_threads" },
	{ 0xccc031aa, "nfs_post_op_update_inode_force_wcc" },
	{ 0x67d16acd, "nfs_pgheader_init" },
	{ 0xc831c980, "put_nfs_open_context" },
	{ 0x01cfcb8b, "nfs_show_path" },
	{ 0xa37bcd1e, "nfs_show_devname" },
	{ 0x51ac222f, "nfs_permission" },
	{ 0x855c4e30, "nfs_initiate_commit" },
	{ 0x6da9d4fc, "truncate_inode_pages_range" },
	{ 0x185fa6d6, "__put_user_ns" },
	{ 0x6a5de1bb, "alloc_pages_noprof" },
	{ 0x3af131b7, "cred_fscmp" },
	{ 0xa8856adc, "rpc_unlink" },
	{ 0x809eb4a3, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x2a28a993, "nfs_file_write" },
	{ 0x5ef0d683, "nfs_add_or_obtain" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x5f1a3e63, "node_data" },
	{ 0x2442ca2c, "nfs_probe_server" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x0755d303, "nfs_setsecurity" },
	{ 0x611d0e42, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x6fe80b0f, "rpc_clnt_test_and_add_xprt" },
	{ 0x769704c6, "file_ra_state_init" },
	{ 0x37a154ce, "nfs_force_lookup_revalidate" },
	{ 0x0397e294, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x8e487523, "rpc_clnt_add_xprt" },
	{ 0xd2c48009, "dget_parent" },
	{ 0x355a1703, "from_kuid_munged" },
	{ 0x7e499440, "prepare_kernel_cred" },
	{ 0x35e0b831, "nfs_alloc_server" },
	{ 0x311d8e99, "rpc_call_async" },
	{ 0x1bc1ef7b, "security_dentry_init_security" },
	{ 0x8ccfe19f, "filemap_write_and_wait_range" },
	{ 0x79cd8a81, "list_lru_del_obj" },
	{ 0x8a5cbe05, "nfs_server_insert_lists" },
	{ 0x59569c8c, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x98cf60b3, "strlen" },
	{ 0x0fb2afa1, "nfs_free_client" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x2bcc107f, "rpc_init_pipe_dir_object" },
	{ 0xc7b26249, "bpf_trace_run7" },
	{ 0xfc327b1f, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x08e162a8, "nfs_access_set_mask" },
	{ 0x18ee0621, "nfs_init_server_rpcclient" },
	{ 0xe03b79bc, "__mark_inode_dirty" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x95e47f61, "rpc_set_connect_timeout" },
	{ 0xcbfb15a4, "rpcauth_create" },
	{ 0x924b8311, "xdr_stream_pos" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0xcaa4d78b, "key_set_timeout" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x53b954a2, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xfae7bddc, "svc_xprt_create" },
	{ 0x6b6adc0e, "nfs42_ssc_register" },
	{ 0x9111fdf1, "rpc_wait_for_completion_task" },
	{ 0xb3596ee3, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x97d5edfb, "rpc_num_bc_slots" },
	{ 0xb904760c, "nfs_alloc_inode" },
	{ 0x05b2a5b3, "rpc_destroy_wait_queue" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x94bdb3cd, "security_inode_listsecurity" },
	{ 0x52281ef3, "nfs_fhget" },
	{ 0x26676e1d, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe6db40b3, "locks_copy_lock" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x5015cffe, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5acaadec, "nfs_set_verifier" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "D430129744BFC9C2859314B");
