#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(chacha20poly1305_encrypt, "", "");
KSYMTAB_FUNC(xchacha20poly1305_encrypt, "", "");
KSYMTAB_FUNC(chacha20poly1305_decrypt, "", "");
KSYMTAB_FUNC(xchacha20poly1305_decrypt, "", "");
KSYMTAB_FUNC(chacha20poly1305_encrypt_sg_inplace, "", "");
KSYMTAB_FUNC(chacha20poly1305_decrypt_sg_inplace, "", "");

SYMBOL_CRC(chacha20poly1305_encrypt, 0x147c3f2e, "");
SYMBOL_CRC(xchacha20poly1305_encrypt, 0xce15a526, "");
SYMBOL_CRC(chacha20poly1305_decrypt, 0xc20134e7, "");
SYMBOL_CRC(xchacha20poly1305_decrypt, 0x521c7102, "");
SYMBOL_CRC(chacha20poly1305_encrypt_sg_inplace, 0x6c713da5, "");
SYMBOL_CRC(chacha20poly1305_decrypt_sg_inplace, 0x916491ac, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xf39f5240, "poly1305_final_arch" },
	{ 0x220b49ab, "chacha_crypt_arch" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b280506, "sg_miter_next" },
	{ 0x1c3e6e5b, "poly1305_init_arch" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xcf1e1284, "sg_miter_stop" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xa96a9377, "sg_miter_start" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0xdcb764ad, "memset" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xdd8ec6bd, "hchacha_block_arch" },
	{ 0x6ddf27bc, "poly1305_update_arch" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "poly1305-neon,chacha-neon");


MODULE_INFO(srcversion, "2E5FD1498232DBFADFFA8F9");
