#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xfa703fd0, "");
SYMBOL_CRC(bt_sock_register, 0x372cf82f, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x5356446d, "");
SYMBOL_CRC(bt_sock_link, 0x325ab03d, "");
SYMBOL_CRC(bt_sock_unlink, 0x92a4547b, "");
SYMBOL_CRC(bt_sock_linked, 0x53fd7d9b, "");
SYMBOL_CRC(bt_accept_enqueue, 0x8d8d82f1, "");
SYMBOL_CRC(bt_accept_unlink, 0xb5c8deae, "");
SYMBOL_CRC(bt_accept_dequeue, 0xe8787f1f, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x335967e9, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x789299d9, "");
SYMBOL_CRC(bt_sock_poll, 0x3e7318ab, "");
SYMBOL_CRC(bt_sock_ioctl, 0x96de7fff, "");
SYMBOL_CRC(bt_sock_wait_state, 0x5accca93, "");
SYMBOL_CRC(bt_sock_wait_ready, 0xcb6e0ee8, "");
SYMBOL_CRC(bt_procfs_init, 0x3843ab11, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x64e4e113, "");
SYMBOL_CRC(bt_debugfs, 0xe21f35ba, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0xa596e116, "");
SYMBOL_CRC(hci_free_dev, 0xadd40924, "");
SYMBOL_CRC(hci_register_dev, 0xb56998f3, "");
SYMBOL_CRC(hci_unregister_dev, 0x595a69de, "");
SYMBOL_CRC(hci_release_dev, 0x22355182, "");
SYMBOL_CRC(hci_suspend_dev, 0xa3732d30, "");
SYMBOL_CRC(hci_resume_dev, 0xfc4ec5d2, "");
SYMBOL_CRC(hci_reset_dev, 0xd3c99a05, "");
SYMBOL_CRC(hci_recv_frame, 0x122f14ec, "");
SYMBOL_CRC(hci_recv_diag, 0x97263eda, "");
SYMBOL_CRC(hci_set_hw_info, 0x2fa42c76, "");
SYMBOL_CRC(hci_set_fw_info, 0x8fd6162b, "");
SYMBOL_CRC(hci_register_cb, 0x384cb215, "");
SYMBOL_CRC(hci_unregister_cb, 0xa57013f1, "");
SYMBOL_CRC(__hci_cmd_send, 0xcfb14390, "");
SYMBOL_CRC(hci_get_route, 0xa545ce5a, "");
SYMBOL_CRC(hci_conn_security, 0x7c646d89, "");
SYMBOL_CRC(hci_conn_check_secure, 0xb5da2717, "");
SYMBOL_CRC(hci_conn_switch_role, 0xb6e0554b, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x2f8c6653, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0xb4e16dd4, "");
SYMBOL_CRC(l2cap_add_psm, 0x8eff85a4, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x3fd7b3ec, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xa8f9f9b5, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x5b762af6, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xc852b6fd, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x22eaeffb, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x682530c4, "");
SYMBOL_CRC(l2cap_register_user, 0xc6404228, "");
SYMBOL_CRC(l2cap_unregister_user, 0x55a31444, "");
SYMBOL_CRC(l2cap_conn_get, 0x284fd3ee, "");
SYMBOL_CRC(l2cap_conn_put, 0xc15c8cec, "");
SYMBOL_CRC(l2cap_chan_send, 0xc7c88fd2, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x423dfd9d, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x9ceab918, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x7c4e2688, "");
SYMBOL_CRC(__hci_cmd_sync, 0x2b141ac1, "");
SYMBOL_CRC(hci_cmd_sync, 0x9944a8d5, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x5eee40f5, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x22499c2a, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xba91424c, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x12034582, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x8ba3294f, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0xae452dd8, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x3bcbf25a, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x96ca5183, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0xd0fe41bb, "");
SYMBOL_CRC(hci_cmd_sync_run, 0x54ac4699, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0x82f6a3e0, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0xf8fff1b8, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xe9d8e25b, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x181a8499, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x83e7ca8b, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x01db7d4c, "");
SYMBOL_CRC(hci_devcd_init, 0x9a1e73b7, "");
SYMBOL_CRC(hci_devcd_append, 0x61a6c011, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x266ac64b, "");
SYMBOL_CRC(hci_devcd_complete, 0x68f6d3d2, "");
SYMBOL_CRC(hci_devcd_abort, 0x138b9151, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xae6aedfc, "security_sock_graft" },
	{ 0xa917facd, "skb_free_datagram" },
	{ 0x0a6f6d8f, "__skb_tstamp_tx" },
	{ 0xd4362630, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x42996f74, "try_module_get" },
	{ 0x9cb80f3d, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2aa3cf98, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xdcea2c0b, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x083eb21c, "rfkill_unregister" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x64830068, "scm_detach_fds" },
	{ 0x94f31062, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe66313f0, "skb_clone_sk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x21b6bf80, "device_unregister" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe410d353, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xf730879d, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x037a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x360694df, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x30615a2a, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xdc76a819, "dev_kfree_skb_irq_reason" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xe2964344, "__wake_up" },
	{ 0x77f0fb5f, "__module_get" },
	{ 0x00148653, "vsnprintf" },
	{ 0xfb254be7, "get_device" },
	{ 0x0248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xe87b5f23, "__pskb_copy_fclone" },
	{ 0x5d56b6b2, "__put_cred" },
	{ 0x88822737, "put_cmsg" },
	{ 0x87680d66, "skb_queue_purge_reason" },
	{ 0x59ed3006, "crypto_destroy_tfm" },
	{ 0x5b631508, "disable_delayed_work" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x0497e6eb, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x44ba56bd, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x870f5912, "sock_register" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xeee3d17c, "datagram_poll" },
	{ 0x63edb0ac, "__sock_recv_cmsgs" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xaf7adc45, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x3b91ea98, "security_secid_to_secctx" },
	{ 0xda940592, "proto_register" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xf9f3f380, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xce4fed4a, "debugfs_attr_read" },
	{ 0xbe08e312, "__sock_recv_timestamp" },
	{ 0xcfe222f3, "sock_no_shutdown" },
	{ 0x4f3e5807, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x0a8e458b, "crypto_req_done" },
	{ 0x2da8b798, "init_net" },
	{ 0x526baa68, "crypto_shash_setkey" },
	{ 0x5ca25210, "simple_open" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x56795ba8, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa8cf9e40, "simple_attr_release" },
	{ 0xfd7e27c9, "init_uts_ns" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x35f01dd5, "__sock_tx_timestamp" },
	{ 0x3aa45b95, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3f391b75, "device_move" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x355a7624, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0x12d545b4, "sock_no_listen" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x6e50cfbb, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x982e16bd, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3dbf0459, "sock_recv_errqueue" },
	{ 0x58daeb2b, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xb570fb8f, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3f0c87ca, "device_find_child" },
	{ 0x7468b02d, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc0c38c62, "skb_copy_datagram_iter" },
	{ 0x318a25c2, "rfkill_alloc" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0x47e04a78, "sk_alloc" },
	{ 0xb69b7268, "device_del" },
	{ 0xa4aac0ba, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa440834d, "default_llseek" },
	{ 0xbe115bb6, "__sock_recv_wifi_status" },
	{ 0x7e8a80be, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5cb78603, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x39b5e537, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4817ea07, "security_sk_clone" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0x778ad98b, "sock_cmsg_send" },
	{ 0xe5b39880, "__scm_destroy" },
	{ 0x7742549c, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xd53ba547, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x72a275c2, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x238fe405, "sock_i_ino" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd95a8c35, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x4bd66105, "skb_recv_datagram" },
	{ 0xd2f90383, "sock_alloc_send_pskb" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x03043872, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17759e36, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd5093415, "skb_copy" },
	{ 0xd7ec32fc, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8c3ab70c, "_copy_from_iter" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x8a32e857, "device_match_any" },
	{ 0x6883984b, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x482290b1, "sock_gettstamp" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaf222692, "pid_vnr" },
	{ 0x696c866d, "disable_delayed_work_sync" },
	{ 0x355a1703, "from_kuid_munged" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xb95438c3, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x821d2866, "proc_create_seq_private" },
	{ 0xdf80cadf, "debugfs_create_u8" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x7ab7c6e9, "crypto_alloc_shash" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0x7e1deba4, "fwnode_property_read_u8_array" },
	{ 0x247b6643, "put_pid" },
	{ 0x43c9bb5c, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x77160847, "sock_init_data" },
	{ 0xe337f3ab, "__dev_fwnode" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa1d20c8a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x42bd1f1b, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill");


MODULE_INFO(srcversion, "85E43D2F9EA77634806528D");
