#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x8ef06369, "");
SYMBOL_CRC(wpan_phy_for_each, 0x08c42f1d, "");
SYMBOL_CRC(wpan_phy_new, 0xb3b47ca7, "");
SYMBOL_CRC(wpan_phy_register, 0x794c4e7c, "");
SYMBOL_CRC(wpan_phy_unregister, 0x042d748d, "");
SYMBOL_CRC(wpan_phy_free, 0xb5c1b21b, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xe0079722, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x16540d5e, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0xaf29455f, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xc36aa89d, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x0e22e30c, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xdbbcdf36, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0xd0c52855, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0xdf7f9468, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0xeb536d94, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x7d939b80, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x0b5a8b77, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0xc7a87f55, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0xaf965eb3, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0xe7193f84, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0x9c152c7f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xada9cce1, "bpf_trace_run4" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0xe17ef2a8, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0xf730879d, "device_initialize" },
	{ 0xf830df56, "genlmsg_put" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xfb254be7, "get_device" },
	{ 0xb94cd7c5, "netlink_broadcast_filtered" },
	{ 0xa235266c, "device_rename" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xaf7adc45, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x63e680ba, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x69c6b596, "__dev_get_by_index" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x2da8b798, "init_net" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x56795ba8, "device_add" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x733db852, "netlink_unicast" },
	{ 0x81cb668b, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x58daeb2b, "class_unregister" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x4f0dfa23, "unregister_pernet_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x13f403d0, "bpf_trace_run1" },
	{ 0xb69b7268, "device_del" },
	{ 0x86185409, "dev_set_mac_address" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0xd53ba547, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0x2cee14ab, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3a491ebc, "get_net_ns_by_pid" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe50054f1, "device_match_name" },
	{ 0x7c0d68f4, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x30344bc1, "dev_change_net_namespace" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x83697e38, "genl_unregister_family" },
	{ 0x98cf60b3, "strlen" },
	{ 0xf4a6b261, "genl_register_family" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd3156947, "register_pernet_device" },
	{ 0xf807e1ee, "get_net_ns_by_fd" },
	{ 0x43c9bb5c, "class_register" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x9fb7fc2d, "class_find_device" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "161ED8583CB9ED473093E6D");
