#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_defrag_ipv6_enable, "_gpl", "");
KSYMTAB_FUNC(nf_defrag_ipv6_disable, "_gpl", "");
KSYMTAB_FUNC(nf_ct_frag6_gather, "_gpl", "");

SYMBOL_CRC(nf_defrag_ipv6_enable, 0xa81aaeda, "_gpl");
SYMBOL_CRC(nf_defrag_ipv6_disable, 0xddffd1e9, "_gpl");
SYMBOL_CRC(nf_ct_frag6_gather, 0x9ce6d340, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xd960bff4, "icmp6_send" },
	{ 0x9f39ff76, "skb_copy_bits" },
	{ 0xac4038d6, "proc_dointvec_jiffies" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x5c4d582d, "inet_frag_queue_insert" },
	{ 0xb5f3c21d, "inet_frags_init" },
	{ 0xf5c2a688, "inet_frag_pull_head" },
	{ 0x037a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xedfbd895, "register_pernet_subsys" },
	{ 0x97c171d2, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0xe121b57f, "inet_frag_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xc21992b8, "ipv6_skip_exthdr" },
	{ 0xe49a719a, "inet_frag_reasm_finish" },
	{ 0x0d0f4aa2, "nf_register_net_hooks" },
	{ 0x278a02e8, "fqdir_init" },
	{ 0x2da8b798, "init_net" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x9ae4c5f3, "dev_get_by_index_rcu" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1deca81a, "inet_frags_fini" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xd4bc66be, "nf_unregister_net_hooks" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd676d95f, "nf_defrag_v6_hook" },
	{ 0x71e34bf1, "unregister_pernet_subsys" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0x64039ca8, "inet_frag_reasm_prepare" },
	{ 0x9a5f6211, "inet_frag_find" },
	{ 0x879e19d1, "fqdir_exit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc1c14fc0, "dst_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa8f6c843, "ip_frag_ecn_table" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0x9127cf9f, "pskb_trim_rcsum_slow" },
	{ 0x1c5134c7, "inet_frag_kill" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D2DF11CCE5808C7D2B1CDF6");
