#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xe1072cd1, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0x9d930552, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0xd5536436, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xef58f754, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0xb1eb5e3f, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0x72427a8e, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0xe059341e, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x95588cf2, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0x1ebb5356, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x19350a36, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x92d7023d, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x2f5635ff, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xba8329f0, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x79985f57, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x6180c41e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x2ecb23c1, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x1d99e3ac, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x84a7d49a, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x7a84bf2b, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x255f755c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x13f403d0, "bpf_trace_run1" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0x4f369d7d, "sk_error_report" },
	{ 0x0cf78ba7, "ip_icmp_error" },
	{ 0x53cc5436, "ipv6_icmp_error" },
	{ 0x92997ed8, "_printk" },
	{ 0xd3156947, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4f0dfa23, "unregister_pernet_device" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9ba97fc3, "sock_create_kern" },
	{ 0xa71a7924, "kernel_bind" },
	{ 0xa511f1fb, "kernel_connect" },
	{ 0x3b4cd66f, "udp_sock_create6" },
	{ 0x3fb90e92, "kernel_sock_shutdown" },
	{ 0xa8afdd3d, "sock_release" },
	{ 0x32aaf40d, "udp_sock_create4" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xdf0d4bc7, "udp_set_csum" },
	{ 0xa3a69cdc, "ip_queue_xmit" },
	{ 0xee073a96, "pskb_expand_head" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb1e6c617, "udp6_set_csum" },
	{ 0xf5b75cde, "inet6_csk_xmit" },
	{ 0xc1c14fc0, "dst_release" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x20978fb9, "idr_find" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3aa45b95, "sk_free" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x037a0cba, "kfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x3a16ac6c, "sockfd_lookup" },
	{ 0xb570fb8f, "lock_sock_nested" },
	{ 0xa1d20c8a, "release_sock" },
	{ 0x718d561a, "fput" },
	{ 0xdcb764ad, "memset" },
	{ 0x4204a3a7, "setup_udp_tunnel_sock" },
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "DED7F0743002865D2427A3C");
