#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x7b763dbc, "");
SYMBOL_CRC(ieee802154_configure_durations, 0x8c54fc11, "");
SYMBOL_CRC(ieee802154_free_hw, 0xc16967de, "");
SYMBOL_CRC(ieee802154_register_hw, 0xe8878c8b, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x9e54f4de, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x460bd96c, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0x23dc7158, "");
SYMBOL_CRC(ieee802154_xmit_error, 0x47a47f77, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0xd2c0db88, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d8ddca9, "crypto_skcipher_encrypt" },
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xada9cce1, "bpf_trace_run4" },
	{ 0x0b5a8b77, "nl802154_beaconing_done" },
	{ 0xe26f86c1, "hrtimer_setup" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0xd15417fc, "dev_alloc_name" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x037a0cba, "kfree" },
	{ 0x16540d5e, "ieee802154_mac_cmd_push" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xefd4249e, "crypto_alloc_aead" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf8b931f7, "netdev_warn" },
	{ 0xe9b9bce6, "crypto_aead_setauthsize" },
	{ 0x99cbc945, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x922bb035, "crypto_skcipher_setkey" },
	{ 0x2c0c115d, "unregister_netdevice_queue" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xdbbcdf36, "ieee802154_hdr_peek_addrs" },
	{ 0x042d748d, "wpan_phy_unregister" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0xb9f54749, "dev_addr_mod" },
	{ 0x59ed3006, "crypto_destroy_tfm" },
	{ 0x90c506c7, "alloc_netdev_mqs" },
	{ 0x7d939b80, "nl802154_scan_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xeb536d94, "nl802154_scan_started" },
	{ 0x08300a48, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0x75c4451a, "skb_copy_expand" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x0705625c, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0xe7193f84, "cfg802154_get_free_short_addr" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x794c4e7c, "wpan_phy_register" },
	{ 0x9c152c7f, "cfg802154_set_max_associations" },
	{ 0x81d9ac75, "crypto_aead_encrypt" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0xd0c52855, "ieee802154_hdr_peek" },
	{ 0xb5c1b21b, "wpan_phy_free" },
	{ 0x5cd3eb7a, "netif_receive_skb" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x94a73ccb, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x13f403d0, "bpf_trace_run1" },
	{ 0x7e0f6ed3, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc36aa89d, "ieee802154_hdr_pull" },
	{ 0xdf7f9468, "nl802154_scan_event" },
	{ 0xea4b1e92, "crypto_alloc_sync_skcipher" },
	{ 0xd53ba547, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8d589ede, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0xaf29455f, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x0e22e30c, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb3b47ca7, "wpan_phy_new" },
	{ 0xd7ec32fc, "skb_clone" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe0079722, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xc7a87f55, "cfg802154_device_is_parent" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xaf965eb3, "cfg802154_device_is_child" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x82f143f0, "register_netdevice" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "D3F2A7427765916901BB6D9");
