#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_register_bpf, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0xb60866f9, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x484e4303, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x79c165bd, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x42e3274b, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x64870b3f, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xf16f7038, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x296462e2, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0xb9f7c200, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x7b2ec5f8, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x9be5c548, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xcf056b23, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0xb3fb1805, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x0baabd1b, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0xf6d7c042, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x3d1ad70c, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x274595f3, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x22f3fe62, "_gpl");
SYMBOL_CRC(nf_flow_register_bpf, 0x098f9d9b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x30a27295, "flow_rule_alloc" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x635f4f0d, "skb_gso_validate_network_len" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x267664eb, "neigh_xmit" },
	{ 0xf9ca49b7, "flow_block_cb_free" },
	{ 0x037a0cba, "kfree" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xee073a96, "pskb_expand_head" },
	{ 0xedfbd895, "register_pernet_subsys" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x81cb668b, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9ae4c5f3, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5938a4d4, "flow_indr_dev_setup_offload" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x71e34bf1, "unregister_pernet_subsys" },
	{ 0xdcb764ad, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x99f2ac58, "register_btf_kfunc_id_set" },
	{ 0x668b19a1, "down_read" },
	{ 0xbd7880ac, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x7d2ccb21, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x807d4b2f, "neigh_destroy" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2be915d0, "inet_proto_csum_replace4" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xadf8e9b3, "nf_ct_acct_add" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc1c14fc0, "dst_release" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7ad4639e, "__nf_ct_refresh_acct" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "163F494CE3171D7FEDB70EF");
