#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x2e970a18, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x29fa5707, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x2b60d541, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x35ce18ab, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x4c8efe38, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x766d83fe, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x5b591136, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x50778b85, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x7eb6bab5, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xfd6223e8, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x871b94af, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xdd3e3ad1, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xedf49189, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0xc000b6fe, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x0421c5ac, "");
SYMBOL_CRC(nf_nat_follow_master, 0x57736208, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0xcb2cff43, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xcfc77651, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x6d928fe5, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x4930cd45, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x566fc9d1, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x03c31387, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xebb80f98, "nf_ct_ext_add" },
	{ 0x688339b7, "__do_once_done" },
	{ 0x06c82c51, "nf_conntrack_find_get" },
	{ 0x42996f74, "try_module_get" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xa3f8a6ec, "nf_ip6_checksum" },
	{ 0x9f39ff76, "skb_copy_bits" },
	{ 0xc1ad46b2, "nf_hook_entries_insert_raw" },
	{ 0xc2f6ec57, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xf1c704b0, "nf_ct_seqadj_set" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x1ddb50a8, "kmemdup_array" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5c8c4967, "nf_ct_helper_expectfn_unregister" },
	{ 0xac279713, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xbddc8c79, "nf_ct_helper_expectfn_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0x6cfaf10e, "ip6_route_me_harder" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xee073a96, "pskb_expand_head" },
	{ 0xedfbd895, "register_pernet_subsys" },
	{ 0xb2f73430, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xf8d64ab5, "nf_ct_iterate_cleanup_net" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xc21992b8, "ipv6_skip_exthdr" },
	{ 0x0d0f4aa2, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x9f18cbf4, "module_put" },
	{ 0xef31e1ec, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x6994e69a, "nf_ct_expect_related_report" },
	{ 0x572718e1, "ip_route_me_harder" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdcbbb4a8, "nf_hook_entries_delete_raw" },
	{ 0xdd308376, "skb_ensure_writable" },
	{ 0xd4bc66be, "nf_unregister_net_hooks" },
	{ 0xea047cc5, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x0460ec0f, "nf_ct_invert_tuple" },
	{ 0x71e34bf1, "unregister_pernet_subsys" },
	{ 0xf50e1e05, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc14be0ad, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xa598ef0b, "nf_ip_checksum" },
	{ 0x99f2ac58, "register_btf_kfunc_id_set" },
	{ 0x7617e41d, "nf_ct_iterate_destroy" },
	{ 0x0e4262c6, "__siphash_unaligned" },
	{ 0xbd7880ac, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2cee14ab, "__put_net" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe5edb0d9, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2be915d0, "inet_proto_csum_replace4" },
	{ 0x311fb02e, "crc32c_shift" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xc1c14fc0, "dst_release" },
	{ 0xd3a03fed, "nf_ct_l4proto_find" },
	{ 0x6a307f8d, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1b28bcc7, "nf_nat_hook" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "10A1183F61EF65871BF01DF");
