#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0xe7bbc9ec, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0xce8f1789, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0xb132b673, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xc9232d4f, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x3fc08232, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x84df9d46, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x41a3a36c, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x75ea1289, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xf12fca1f, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x42a8728e, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0xf9b76dfa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xedfbd895, "register_pernet_subsys" },
	{ 0x71e34bf1, "unregister_pernet_subsys" },
	{ 0x0d0f4aa2, "nf_register_net_hooks" },
	{ 0x17759e36, "seq_printf" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0xd4bc66be, "nf_unregister_net_hooks" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x03043872, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xdcb764ad, "memset" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x6c18a18e, "security_skb_classify_flow" },
	{ 0x1b804a21, "__nf_ip6_route" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0xc2f6ec57, "xfrm_lookup" },
	{ 0xdcfa9f3d, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x0b085268, "nf_ct_tmpl_alloc" },
	{ 0xebb80f98, "nf_ct_ext_add" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x23f50ab4, "proc_create_net_data" },
	{ 0x7249cf4c, "nf_ct_tmpl_free" },
	{ 0xdd308376, "skb_ensure_writable" },
	{ 0x2be915d0, "inet_proto_csum_replace4" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x572718e1, "ip_route_me_harder" },
	{ 0x054bcbb4, "ip_local_out" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x9f39ff76, "skb_copy_bits" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x0cafb1c7, "__cookie_v6_init_sequence" },
	{ 0xbce642df, "__cookie_v4_init_sequence" },
	{ 0xbdb59c8a, "__cookie_v4_check" },
	{ 0x69e4fb2e, "__cookie_v6_check" },
	{ 0x0c850085, "nf_ct_seqadj_init" },
	{ 0x05836f5d, "consume_skb" },
	{ 0xc21992b8, "ipv6_skip_exthdr" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "C1BDC301FE77D43A55D3BEA");
