#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x76d65738, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xd2bf0899, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x98ab4056, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xcd3814f5, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x4c07eaa3, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x3739c3fe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xebb80f98, "nf_ct_ext_add" },
	{ 0x74046ad9, "nsh_pop" },
	{ 0x06c82c51, "nf_conntrack_find_get" },
	{ 0x1593ddb0, "nf_ct_set_timeout" },
	{ 0xdb603e24, "dev_get_stats" },
	{ 0x9a5ea756, "__nla_put" },
	{ 0x42996f74, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd424fb3b, "dev_fill_metadata_dst" },
	{ 0xada9cce1, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x9f39ff76, "skb_copy_bits" },
	{ 0x7869c87d, "nf_ct_handle_fragments" },
	{ 0x2ff53add, "eth_mac_addr" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0xe292e49f, "genl_notify" },
	{ 0xff9aa4c8, "nsh_push" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x05836f5d, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x03c31387, "nf_ct_nat" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa76267ce, "skb_eth_pop" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x5f69f0e2, "skb_gso_validate_mac_len" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x4bfa5e28, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xf87cc31a, "nf_ct_helper" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x4ccbd55d, "rtnl_delete_link" },
	{ 0xb15d8b3a, "rtnl_link_register" },
	{ 0x99f01953, "nf_connlabels_put" },
	{ 0xf830df56, "genlmsg_put" },
	{ 0x572d44ad, "___pskb_trim" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa089cc76, "psample_sample_packet" },
	{ 0x037a0cba, "kfree" },
	{ 0xf0761449, "dev_set_promiscuity" },
	{ 0x61340ca7, "nf_ct_destroy_timeout" },
	{ 0xf15e19f1, "nf_ct_add_helper" },
	{ 0x299c1341, "nf_conntrack_helper_put" },
	{ 0xa3e2445d, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba16e4aa, "nf_ct_skb_network_trim" },
	{ 0x2c0c115d, "unregister_netdevice_queue" },
	{ 0x8a7563fa, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0xd7421ce9, "ether_setup" },
	{ 0xb94cd7c5, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xee073a96, "pskb_expand_head" },
	{ 0x91e9fdfa, "skb_csum_hwoffload_help" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0xb9f54749, "dev_addr_mod" },
	{ 0xd21e2c30, "nf_connlabels_replace" },
	{ 0x0b199c76, "eth_type_trans" },
	{ 0x90c506c7, "alloc_netdev_mqs" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xab7e0169, "nf_connlabels_get" },
	{ 0x9a282d29, "drop_reasons_unregister_subsys" },
	{ 0x6cf64e4c, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1e2bb519, "skb_eth_push" },
	{ 0xf35aa284, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x78baf5f8, "skb_mpls_pop" },
	{ 0x39ac5603, "skb_vlan_pop" },
	{ 0xbd1ec80c, "dst_init" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x04ea5d10, "ksize" },
	{ 0xc13ad29a, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0xc32fc9e8, "rtnl_link_unregister" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x2da8b798, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x34e90890, "ipv6_stub" },
	{ 0x35cb982b, "skb_mpls_update_lse" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x9f35fa9d, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x733db852, "netlink_unicast" },
	{ 0x73a4463f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9ae4c5f3, "dev_get_by_index_rcu" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0x44738de8, "kmem_cache_free" },
	{ 0xdec82afe, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0xdd308376, "skb_ensure_writable" },
	{ 0x94a73ccb, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf89131fc, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x4f0dfa23, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x0a52cb80, "ethtool_op_get_link" },
	{ 0x46edfa96, "__nf_conntrack_confirm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x0460ec0f, "nf_ct_invert_tuple" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0xb6b1ef2c, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xdbe18e1a, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0xc14be0ad, "nf_ct_delete" },
	{ 0x3b6c247e, "nf_conncount_init" },
	{ 0xc0ef6b33, "skb_vlan_push" },
	{ 0x7b033b9b, "netif_rx" },
	{ 0xabd39162, "__netdev_alloc_skb" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0x6d3854fe, "netdev_master_upper_dev_link" },
	{ 0xfe906a67, "skb_zerocopy_headlen" },
	{ 0x964adbff, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbd7880ac, "inet_proto_csum_replace16" },
	{ 0xd53ba547, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcd17a527, "skb_scrub_packet" },
	{ 0x41b13beb, "nf_ct_deliver_cached_events" },
	{ 0xbbe5036b, "ipv6_find_hdr" },
	{ 0xa1df01f0, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7d2ccb21, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0xe5edb0d9, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2be915d0, "inet_proto_csum_replace4" },
	{ 0xac9efc68, "nf_conncount_destroy" },
	{ 0x311fb02e, "crc32c_shift" },
	{ 0x16e10afb, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x89573275, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7c0d68f4, "dev_get_by_name" },
	{ 0xd7ec32fc, "skb_clone" },
	{ 0x7ea5fb52, "metadata_dst_alloc" },
	{ 0xc1c14fc0, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xec989047, "peernet2id_alloc" },
	{ 0x0f3872fe, "nf_ct_get_tuplepr" },
	{ 0x3c8c9003, "netdev_rx_handler_register" },
	{ 0x23a12930, "ip_do_fragment" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x83697e38, "genl_unregister_family" },
	{ 0x4e98d184, "dev_disable_lro" },
	{ 0xedbd03a3, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x044154c6, "tc_skb_ext_tc" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf4a6b261, "genl_register_family" },
	{ 0x7249cf4c, "nf_ct_tmpl_free" },
	{ 0x4d86e158, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x830740e6, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0x1d057873, "skb_mpls_push" },
	{ 0xd3156947, "register_pernet_device" },
	{ 0x0a8df398, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0x464de798, "__skb_vlan_pop" },
	{ 0x0b085268, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x82f143f0, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "BACDB7FB264A05F2FC4F29C");
