#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xd38f1cfc, "tcp_sock_set_keepintvl" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x46dacf88, "rds_cong_map_updated" },
	{ 0xc46f732d, "rds_queue_delayed_work_on" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x092918dc, "tcp_sock_set_cork" },
	{ 0x36f54c2b, "rds_send_path_reset" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfbf6a952, "tcp_read_sock" },
	{ 0x9f39ff76, "skb_copy_bits" },
	{ 0x6b5242e7, "rds_conn_path_connect_if_down" },
	{ 0x45a4781e, "rds_addr_cmp" },
	{ 0xd67dc8ff, "__tracepoint_rds_tcp_accept_err" },
	{ 0x4d06834b, "__tracepoint_rds_tcp_accept" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcc13eb30, "rds_mod_stats_unregister" },
	{ 0x45e06208, "__traceiter_rds_tcp_listen" },
	{ 0xf626e676, "__traceiter_rds_tcp_state_change" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe69d9410, "__tracepoint_rds_tcp_connect" },
	{ 0x285b6821, "__traceiter_rds_queue_worker" },
	{ 0xb46d9278, "rds_trans_unregister" },
	{ 0x6a24d551, "rds_info_deregister_func" },
	{ 0x037a0cba, "kfree" },
	{ 0x5d551a65, "rds_ns" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x77f0fb5f, "__module_get" },
	{ 0x8ea6aace, "__tracepoint_rds_tcp_shutdown" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x87680d66, "skb_queue_purge_reason" },
	{ 0x97c171d2, "register_net_sysctl_sz" },
	{ 0xc9691b03, "tcp_sock_set_keepcnt" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x3df72c5d, "__traceiter_rds_drop_egress" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcd7b2b56, "__traceiter_rds_tcp_accept_err" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0x504931c3, "rds_queue_work" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0xaa1fd003, "rds_send_hs_ping" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x25d4d714, "rds_conn_destroy" },
	{ 0x00a9dc18, "__tracepoint_rds_tcp_connect_err" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf6ff0d2b, "__traceiter_rds_tcp_connect_err" },
	{ 0x7f5dc4b0, "rds_rt_debug_tp_enable" },
	{ 0x2da8b798, "init_net" },
	{ 0xd1e253f0, "rds_send_path_drop_acked" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9ae4c5f3, "dev_get_by_index_rcu" },
	{ 0x3fb90e92, "kernel_sock_shutdown" },
	{ 0xdff7b287, "rds_info_copy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x208f3ae1, "rds_stats_info_copy" },
	{ 0xac649607, "rds_inc_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x44738de8, "kmem_cache_free" },
	{ 0xd6dad34a, "__tracepoint_rds_receive" },
	{ 0x26d17476, "rds_conn_path_trace_state_change" },
	{ 0x0d7b4458, "rds_queue_cancel_work" },
	{ 0xdae74eff, "rds_csum_and_copy_to_iter" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa4503aeb, "sock_sendmsg" },
	{ 0xca14a586, "rds_info_register_func" },
	{ 0xc039f789, "__tracepoint_rds_queue_worker" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x4f0dfa23, "unregister_pernet_device" },
	{ 0xb570fb8f, "lock_sock_nested" },
	{ 0x6a9163e6, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc0c38c62, "skb_copy_datagram_iter" },
	{ 0xbbbdde21, "pskb_extract" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xb35956f6, "__traceiter_rds_tcp_accept" },
	{ 0xdcb764ad, "memset" },
	{ 0xcd818ce8, "rds_connect_path_complete" },
	{ 0x380ea18a, "rds_queue_delayed_work" },
	{ 0xa4eef602, "rds_queue_flush_work" },
	{ 0x80b62d11, "iov_iter_bvec" },
	{ 0xafcffdd5, "__tracepoint_rds_tcp_listen" },
	{ 0x370673c0, "__traceiter_rds_receive" },
	{ 0xdbe18e1a, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xe9794556, "__traceiter_rds_tcp_listen_err" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8131b35b, "__tracepoint_rds_tcp_state_change" },
	{ 0x995965ab, "rds_recv_incoming" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9ba97fc3, "sock_create_kern" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x9c114054, "rds_conn_create" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x64d24e6e, "__traceiter_rds_tcp_shutdown" },
	{ 0xe9b33b39, "rds_inc_path_init" },
	{ 0xa8afdd3d, "sock_release" },
	{ 0x3cd29f6f, "rds_mod_stats_register" },
	{ 0x66fd9b3a, "tcp_sock_set_keepidle" },
	{ 0xea859705, "__traceiter_rds_tcp_connect" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6a0112ce, "tcp_done" },
	{ 0x0109b832, "tcp_sock_set_nodelay" },
	{ 0x0bbd0a3a, "rds_conn_path_drop" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0x81b1f461, "__tracepoint_rds_tcp_listen_err" },
	{ 0xb1d1e432, "ipv6_chk_addr" },
	{ 0xb95438c3, "iov_iter_revert" },
	{ 0x365846fe, "sock_create_lite" },
	{ 0x9120cc32, "kernel_sendmsg" },
	{ 0x28340e30, "rds_trans_register" },
	{ 0xa97af270, "__tracepoint_rds_drop_egress" },
	{ 0xd3156947, "register_pernet_device" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0xa1d20c8a, "release_sock" },
	{ 0x3458c71a, "sock_no_linger" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x63fdd00f, "sock_set_keepalive" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "rds");


MODULE_INFO(srcversion, "DF560700809A4F88F83EE4B");
