#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(gss_mech_register, 0x26609bef, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x14721aac, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xae92100e, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xa260d892, "");
SYMBOL_CRC(gss_mech_put, 0xf17cfcfa, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x240419cd, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x62329c94, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x83e875a6, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x42996f74, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x57dfefb2, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x14712938, "xdr_buf_from_iov" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xada9cce1, "bpf_trace_run4" },
	{ 0xeffb2c2a, "xdr_stream_decode_opaque_auth" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0x1bfe7786, "xdr_write_pages" },
	{ 0x4cfbe839, "rpc_shutdown_client" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xce806c2a, "auth_domain_find" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe1f67794, "xdr_inline_decode" },
	{ 0xe8bd5c55, "cache_create_net" },
	{ 0x9d3af8bf, "rpcauth_destroy_credcache" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x0b742fd7, "simple_strtol" },
	{ 0x999c15ac, "bpf_trace_run6" },
	{ 0xa2430868, "rpc_net_ns" },
	{ 0x107b1f7c, "read_bytes_from_xdr_buf" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xa30ec3ed, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x368b3d9c, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb17c0c1b, "xdr_truncate_decode" },
	{ 0x6f4bd124, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8d7ac560, "__xdr_commit_encode" },
	{ 0x77f0fb5f, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xf845e2cf, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x5d56b6b2, "__put_cred" },
	{ 0xedfbd895, "register_pernet_subsys" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0xc07681f9, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xe54c4b92, "rpc_release_client" },
	{ 0xe3e36acb, "auth_domain_lookup" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd6df622e, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7d734b5c, "svc_auth_register" },
	{ 0x8fa14778, "xdr_stream_encode_opaque_auth" },
	{ 0xfaf0b980, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x864db60a, "rpc_destroy_pipe_data" },
	{ 0xf9968f9c, "__free_pages" },
	{ 0x18ed497f, "rpc_pipe_generic_upcall" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xed39ffba, "cache_unregister_net" },
	{ 0x14d3c1fe, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0xc5d8055e, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xfa90d685, "rpcauth_init_credcache" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x81fc93e1, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x9ca361cc, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0xf4918b73, "rpc_call_null" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x476ab890, "rpc_sleep_on_timeout" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x3013a924, "rpc_create" },
	{ 0x13f403d0, "bpf_trace_run1" },
	{ 0x1880dfe2, "rpc_call_sync" },
	{ 0x7e8a80be, "from_kuid" },
	{ 0x71e34bf1, "unregister_pernet_subsys" },
	{ 0x03804a0f, "rpc_queue_upcall" },
	{ 0x6ac8f004, "xdr_encode_word" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf13ce517, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x2f88b882, "svcauth_unix_set_client" },
	{ 0x99cef1af, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x5d291972, "make_kgid" },
	{ 0xcbe9694f, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x020d417b, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf8fbfaed, "nonseekable_open" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0x2cee14ab, "__put_net" },
	{ 0x9de967c6, "rpc_mkpipe_dentry" },
	{ 0x2abe67c7, "rpc_mkpipe_data" },
	{ 0xad28401b, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x70de3fa2, "cache_register_net" },
	{ 0x4cbd68a5, "init_user_ns" },
	{ 0xebd2f51c, "xdr_inline_pages" },
	{ 0xcad91204, "__folio_put" },
	{ 0x03043872, "remove_proc_entry" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0x1aa33ee9, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6a5de1bb, "alloc_pages_noprof" },
	{ 0xa8856adc, "rpc_unlink" },
	{ 0x55d736d4, "rpcauth_wrap_req_encode" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x355a1703, "from_kuid_munged" },
	{ 0xc29d5abd, "rpcauth_init_cred" },
	{ 0x5fcfd180, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x78f1954f, "cache_destroy_net" },
	{ 0x98cf60b3, "strlen" },
	{ 0x2bcc107f, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x924b8311, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x7790dc67, "sunrpc_cache_update" },
	{ 0x5538d07e, "xdr_truncate_encode" },
	{ 0x05b2a5b3, "rpc_destroy_wait_queue" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ffa7953, "auth_domain_put" },
	{ 0x66a7befe, "rpcauth_unwrap_resp_decode" },
	{ 0x033f3c5f, "rpcauth_register" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "6969FCD552F61778117FF1A");
