#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xc92f7f50, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0x0a415658, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x05f019ac, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0xa1948da3, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0xe2b6b9ed, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xe37072a6, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x62c8e143, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x5ee30c80, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x8123244a, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0xed12e629, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xaead69a8, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x95f06408, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x4d10eae6, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x15c20b4d, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x8a09e1e3, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xfdf5ce3a, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x9f40340b, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0xaebc3803, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x12a77b34, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x561f8002, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x3c815f1d, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0xb7494e2b, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x93846032, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x63b31aea, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x7f551d2f, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xae6aedfc, "security_sock_graft" },
	{ 0xbc33232b, "sock_map_close" },
	{ 0xd4362630, "sock_queue_rcv_skb_reason" },
	{ 0x42996f74, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6c20445, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x77f0fb5f, "__module_get" },
	{ 0x6f44f75d, "sk_stream_error" },
	{ 0x2412a6a1, "sk_msg_recvmsg" },
	{ 0xaf770241, "ns_capable_noaudit" },
	{ 0x5d56b6b2, "__put_cred" },
	{ 0x4f369d7d, "sk_error_report" },
	{ 0x87680d66, "skb_queue_purge_reason" },
	{ 0x92997ed8, "_printk" },
	{ 0x44ba56bd, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x870f5912, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xda940592, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x1b19beca, "sk_msg_is_readable" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x3aa45b95, "sk_free" },
	{ 0x355a7624, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x12d545b4, "sock_no_listen" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3dbf0459, "sock_recv_errqueue" },
	{ 0xb570fb8f, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x47e04a78, "sk_alloc" },
	{ 0x5cb78603, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xe0b27446, "misc_register" },
	{ 0x39b5e537, "sock_no_mmap" },
	{ 0x4817ea07, "security_sk_clone" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0xf8fbfaed, "nonseekable_open" },
	{ 0x61a3f819, "sk_psock_drop" },
	{ 0x7d2ccb21, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4cbd68a5, "init_user_ns" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd7ec32fc, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4d7cf99b, "sock_setsockopt" },
	{ 0x77160847, "sock_init_data" },
	{ 0xa1d20c8a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A21B3BFFA4B67A96F7BE09E");
