#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_runtime_buffer_set_silence, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync_per_card, "_gpl", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_hw_params_bits, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_eld, "_gpl", "");
KSYMTAB_FUNC(snd_parse_eld, "_gpl", "");
KSYMTAB_FUNC(snd_show_eld, "_gpl", "");
KSYMTAB_FUNC(snd_print_eld_info, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_default, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer_hw_params, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer, "", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_hw_params, "", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0x67bcfd91, "");
SYMBOL_CRC(snd_pcm_new, 0x586acfe4, "");
SYMBOL_CRC(snd_pcm_new_internal, 0x2592117a, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0x7f5bc986, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0xfe1b5fc9, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0x05108da1, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0x553ffd3b, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0x3de3e6a1, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0xe54ee394, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0x582870f2, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0x9e42771c, "");
SYMBOL_CRC(snd_pcm_runtime_buffer_set_silence, 0x495ac514, "_gpl");
SYMBOL_CRC(snd_pcm_stop, 0x3dfd4a74, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0x4962b2c4, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0xbb9df11a, "");
SYMBOL_CRC(snd_pcm_release_substream, 0x8fa6a295, "");
SYMBOL_CRC(snd_pcm_open_substream, 0x3837e16b, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0xe9c54cff, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0xc843b3d3, "_gpl");
SYMBOL_CRC(snd_pcm_mmap_data, 0xd32a56cb, "");
SYMBOL_CRC(snd_pcm_set_ops, 0x487826ff, "");
SYMBOL_CRC(snd_pcm_set_sync_per_card, 0x0277fd45, "_gpl");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0x8720df68, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0xefe3ebc6, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0x8779520a, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0xb7bfbe7d, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0x0365549c, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0x077b73b7, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0xab49f697, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0x353d7af5, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0x4dee4de4, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0xb0cfb32c, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0x6f44375d, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0x8c815def, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x195b710c, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x77bd191e, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x42b22246, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0x8a66af1e, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0x7a02938a, "");
SYMBOL_CRC(snd_pcm_hw_params_bits, 0xe385f704, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0x691f0d2b, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0x46e1f1d5, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0xeff05dbe, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0x728615e9, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0x1e82ef87, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x834dc955, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0xbbdd3e30, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0xf5ceaa9c, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0x32b4e234, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0xc409e8e9, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0x558f617e, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0x1d7efbcc, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0x715c3eb4, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0x8ac78b7f, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0x99975e45, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0x341bf8b3, "");
SYMBOL_CRC(snd_dma_free_pages, 0xdb89371a, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0x5dc2c935, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0x3ae79747, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0x84de205c, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0xbdea36a9, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0x90459e1b, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0xf168c2f8, "");
SYMBOL_CRC(snd_pcm_hw_constraint_eld, 0xc7d0d053, "_gpl");
SYMBOL_CRC(snd_parse_eld, 0x908fe8ad, "_gpl");
SYMBOL_CRC(snd_show_eld, 0x788aee01, "_gpl");
SYMBOL_CRC(snd_print_eld_info, 0x31bf70c1, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_default, 0x649892e8, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer, 0x96b1d777, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer_hw_params, 0x99b70ac2, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer, 0x0be48f5a, "");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_hw_params, 0x5115799c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xcbd3a7dd, "dma_can_mmap" },
	{ 0x42996f74, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xed897728, "_copy_to_iter" },
	{ 0x63b3d2d4, "snd_info_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x04ea105e, "snd_info_create_module_entry" },
	{ 0xa8b9af7e, "snd_ctl_unregister_ioctl_compat" },
	{ 0xea3d17eb, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x49961cb2, "snd_ctl_add" },
	{ 0x4c122b87, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xc7193935, "snd_timer_notify" },
	{ 0xb927887f, "snd_ctl_get_preferred_subdevice" },
	{ 0x27fc24ea, "dma_vunmap_noncontiguous" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0x67df7bde, "dma_mmap_pages" },
	{ 0x96848186, "scnprintf" },
	{ 0x5948b13f, "__dma_need_sync" },
	{ 0xd16fb0a7, "dma_free_pages" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x1d0c24d7, "snd_timer_interrupt" },
	{ 0xeb2c6298, "snd_info_free_entry" },
	{ 0x4829a47e, "memcpy" },
	{ 0x52fcfc5d, "remap_pfn_range" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x037a0cba, "kfree" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x44bdad59, "snd_fasync_helper" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcff43728, "import_ubuf" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x3403f1e7, "snd_ctl_remove" },
	{ 0xfb812c22, "devres_add" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9ede7a8e, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xca7a4bee, "dma_alloc_pages" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xaf7adc45, "put_device" },
	{ 0xdd24115e, "snd_ctl_register_ioctl" },
	{ 0x9dedf17d, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x6bd80b60, "__dma_sync_single_for_cpu" },
	{ 0x718d561a, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x266c5296, "dma_vmap_noncontiguous" },
	{ 0x39664866, "__dma_sync_sg_for_device" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8f595b11, "snd_major" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x145645ac, "__devres_alloc_node" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x7d18b16b, "__dma_sync_sg_for_cpu" },
	{ 0x982e16bd, "iov_iter_kvec" },
	{ 0x9bc866e1, "snd_unregister_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x262cae00, "snd_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x424b2c53, "snd_timer_new" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xa5a982c3, "snd_device_new" },
	{ 0x037ad6f1, "alloc_pages_exact_noprof" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x391f3128, "snd_ctl_unregister_ioctl" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf8fbfaed, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4fd84cd2, "dma_free_noncontiguous" },
	{ 0xe816f6cf, "dma_alloc_noncontiguous" },
	{ 0x7230beea, "fdget" },
	{ 0xfef2b7e2, "dma_mmap_noncontiguous" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcbb796e8, "__dma_sync_single_for_device" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x060ba97c, "gen_pool_free_owner" },
	{ 0x0562dc30, "__sg_page_iter_start" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x423bcf31, "of_gen_pool_get" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x17759e36, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0xaf4110a1, "snd_ctl_register_ioctl_compat" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x5d49fe7d, "snd_info_create_card_entry" },
	{ 0x8c3ab70c, "_copy_from_iter" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x117420a3, "snd_power_wait" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x5c4f85a3, "dma_mmap_attrs" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xaf222692, "pid_vnr" },
	{ 0x3f64104c, "snd_device_free" },
	{ 0x6cef12e4, "snd_card_file_remove" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x863f8409, "gcd" },
	{ 0x8cb0ff8d, "remap_vmalloc_range" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0xedd623a1, "__vma_start_write" },
	{ 0x8b58cef1, "snd_device_register" },
	{ 0x26be33ab, "snd_register_device" },
	{ 0x53b954a2, "up_read" },
	{ 0x247b6643, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "C7277E01AEA931231C4D57F");
