#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_rawmidi_drop_output, "", "");
KSYMTAB_FUNC(snd_rawmidi_drain_output, "", "");
KSYMTAB_FUNC(snd_rawmidi_drain_input, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_open, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_release, "", "");
KSYMTAB_FUNC(snd_rawmidi_info_select, "", "");
KSYMTAB_FUNC(snd_rawmidi_output_params, "", "");
KSYMTAB_FUNC(snd_rawmidi_input_params, "", "");
KSYMTAB_FUNC(snd_rawmidi_receive, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_read, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit_empty, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit_peek, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit_ack, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit, "", "");
KSYMTAB_FUNC(snd_rawmidi_proceed, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_write, "", "");
KSYMTAB_FUNC(snd_rawmidi_init, "_gpl", "");
KSYMTAB_FUNC(snd_rawmidi_new, "", "");
KSYMTAB_FUNC(snd_rawmidi_free, "_gpl", "");
KSYMTAB_FUNC(snd_rawmidi_set_ops, "", "");

SYMBOL_CRC(snd_rawmidi_drop_output, 0xb42e3477, "");
SYMBOL_CRC(snd_rawmidi_drain_output, 0x422bacd0, "");
SYMBOL_CRC(snd_rawmidi_drain_input, 0x35e4e6c8, "");
SYMBOL_CRC(snd_rawmidi_kernel_open, 0x96046cb7, "");
SYMBOL_CRC(snd_rawmidi_kernel_release, 0x562e0b97, "");
SYMBOL_CRC(snd_rawmidi_info_select, 0x5478269b, "");
SYMBOL_CRC(snd_rawmidi_output_params, 0xc79a954d, "");
SYMBOL_CRC(snd_rawmidi_input_params, 0x0f8ad015, "");
SYMBOL_CRC(snd_rawmidi_receive, 0x06e7a71b, "");
SYMBOL_CRC(snd_rawmidi_kernel_read, 0x05388ec9, "");
SYMBOL_CRC(snd_rawmidi_transmit_empty, 0xd71fd5be, "");
SYMBOL_CRC(snd_rawmidi_transmit_peek, 0xb944460c, "");
SYMBOL_CRC(snd_rawmidi_transmit_ack, 0xa90ebf22, "");
SYMBOL_CRC(snd_rawmidi_transmit, 0xbcb029d8, "");
SYMBOL_CRC(snd_rawmidi_proceed, 0x83816357, "");
SYMBOL_CRC(snd_rawmidi_kernel_write, 0x5b0b5df9, "");
SYMBOL_CRC(snd_rawmidi_init, 0xf74beea0, "_gpl");
SYMBOL_CRC(snd_rawmidi_new, 0x78421d35, "");
SYMBOL_CRC(snd_rawmidi_free, 0xbd497201, "_gpl");
SYMBOL_CRC(snd_rawmidi_set_ops, 0x0fb334b9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42996f74, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x63b3d2d4, "snd_info_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa8b9af7e, "snd_ctl_unregister_ioctl_compat" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x73b96a79, "snd_seq_device_new" },
	{ 0xb927887f, "snd_ctl_get_preferred_subdevice" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x47a18a4d, "param_array_ops" },
	{ 0xeb2c6298, "snd_info_free_entry" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xc3967c25, "snd_unregister_oss_device" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x1f5cd86d, "snd_register_oss_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xaf7adc45, "put_device" },
	{ 0xdd24115e, "snd_ctl_register_ioctl" },
	{ 0x9dedf17d, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8f595b11, "snd_major" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0x9bc866e1, "snd_unregister_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x262cae00, "snd_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xa5a982c3, "snd_device_new" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x391f3128, "snd_ctl_unregister_ioctl" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x198788b4, "snd_lookup_oss_minor_data" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x17759e36, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0xaf4110a1, "snd_ctl_register_ioctl_compat" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x5d49fe7d, "snd_info_create_card_entry" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa573d6af, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xaf222692, "pid_vnr" },
	{ 0x6cef12e4, "snd_card_file_remove" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8b58cef1, "snd_device_register" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0x26be33ab, "snd_register_device" },
	{ 0x247b6643, "put_pid" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-seq-device");


MODULE_INFO(srcversion, "254BF58F01A0392E409EA41");
