#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format_bits, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spdif_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0x439eff8a, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0x9424bc5b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0xbddec973, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0x5b601241, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0xca0e48bc, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0x6acb6eac, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0xb579ae69, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x623da528, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0xcb1ba4c7, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x43fca71f, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0x95607c3c, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0xf1553760, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0xe60e3074, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x0f36ffcc, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0xc34c760a, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0x6d41aebb, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0x39ec72d9, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0x73a9c02a, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0x399f0427, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0x386c3009, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0x37749f5a, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0x51845ed9, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x97ec7c9b, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0x1bc3cd37, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format_bits, 0xdfb2511b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format, 0xdcb61650, "_gpl");
SYMBOL_CRC(snd_hdac_spdif_stream_format, 0xbfc95c33, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0xddac8e25, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0xa487ac27, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0xe60b227d, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0xa75b17ce, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x57869ad5, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0xaea975e7, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x890a68a4, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x2588e188, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0x9a36d173, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0x7a94b131, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0x2b5da2ad, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x2925024c, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x6fcd0590, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0xc29279e1, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0x96396637, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0x19600b0c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0xaec9d098, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0xb6d240e0, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0xf0a2e96b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0x9f143f04, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0x442918cc, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0xfb79a6cc, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0x4fb22208, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0xb05bb171, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x5deb613a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0x4560a2e2, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0xc6205b82, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0x4f8d62c5, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0xabe144e0, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0xf46965bc, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0xeb411a4e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0xcc69bf84, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0xec810c76, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0xc3f59800, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0xabec85f7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0x7c0d7c76, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0xbc99eb9d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x49885ad1, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0xd3cc09d6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x82473cc8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0xd907c0cd, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0x186cc252, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x87b198c7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x08b476f2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x221a0a53, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0xa18b05f9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0xd905fb6b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0x7fd231a7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0xf1519ac3, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0x52311387, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0x15ed15ca, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x87ca56dc, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x830f4ef9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0xbf6547c6, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0x072f8367, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0x7ea95b01, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0x8166c279, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x13ea7eb8, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0xbb78d457, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x28ca3897, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0x55769ded, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0xc4affb23, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x1d876954, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x55845c1d, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0xbaaac26d, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x54e856a4, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0xd3de3232, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x90b021b1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x42996f74, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xe7e1f2af, "regcache_sync" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2f0f2d47, "regmap_write" },
	{ 0x99975e45, "snd_dma_alloc_dir_pages" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x271984cf, "component_master_add_with_match" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x1e82ef87, "snd_pcm_add_chmap_ctls" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x7c5bb770, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x0c3dde03, "pm_runtime_get_if_active" },
	{ 0x733d6979, "kobject_init" },
	{ 0xf730879d, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xc7a715a0, "regcache_reg_cached" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbdea36a9, "snd_sgbuf_get_addr" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xf168c2f8, "snd_sgbuf_get_chunk_size" },
	{ 0xfb812c22, "devres_add" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0xdb89371a, "snd_dma_free_pages" },
	{ 0xa615dce4, "__pm_runtime_set_status" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xaf7adc45, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x9f18cbf4, "module_put" },
	{ 0xe1e2b99a, "component_match_add_typed" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0xc714fb11, "bus_unregister" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x626eb59f, "kobject_add" },
	{ 0x56795ba8, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x145645ac, "__devres_alloc_node" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x17c77374, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xdc0b5bd7, "__regmap_init" },
	{ 0xb69b7268, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa109c744, "kobject_create_and_add" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x7b001020, "sysfs_remove_group" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0xf23320d1, "component_master_del" },
	{ 0x0f08c8ad, "regmap_read" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3de77068, "component_bind_all" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe385f704, "snd_pcm_hw_params_bits" },
	{ 0x5016e1aa, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x25e527cc, "devres_find" },
	{ 0x126d6b35, "regmap_update_bits_base" },
	{ 0x90543b57, "__pm_runtime_suspend" },
	{ 0x72dee9ff, "regmap_exit" },
	{ 0x98cf60b3, "strlen" },
	{ 0xf958e242, "component_unbind_all" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x43d13e73, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9b26e08c, "kobject_put" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "941D359C83ADB5F684D1796");
