#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x153f9a81, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x515f5a95, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x4fbfc3d0, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x6a5ef9a0, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0xa5d87db7, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x32bbd14c, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0xc2a9f648, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x3a09a9a3, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x8ac342ed, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x11711f57, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0x1784d3b2, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0x95d963c9, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x9d317b48, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x0ab219ca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x6e8584ec, "regcache_cache_only" },
	{ 0xe7e1f2af, "regcache_sync" },
	{ 0x2f0f2d47, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb149148a, "snd_soc_jack_report" },
	{ 0x63695201, "gpiod_set_value_cansleep" },
	{ 0xb7bfbe7d, "snd_pcm_hw_constraint_minmax" },
	{ 0x4fa84eae, "regcache_sync_region" },
	{ 0x7de7c50d, "snd_soc_put_enum_double" },
	{ 0x66b32d7a, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3a345794, "devm_gpiod_get_optional" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x786bf157, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfdc922ae, "regulator_bulk_disable" },
	{ 0xb752f23f, "device_property_read_u32_array" },
	{ 0xd68420be, "snd_soc_get_enum_double" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xf7296f82, "snd_soc_info_volsw" },
	{ 0x38b2f735, "regcache_drop_region" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x7487a7c6, "snd_soc_info_enum_double" },
	{ 0x322d8cd9, "regulator_bulk_enable" },
	{ 0x7c7a9c6b, "devm_regulator_bulk_get" },
	{ 0xd282173f, "snd_soc_get_volsw" },
	{ 0x0f08c8ad, "regmap_read" },
	{ 0xdabeac73, "snd_soc_put_volsw" },
	{ 0xa17631e7, "snd_soc_component_update_bits" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb48a672d, "regmap_bulk_read" },
	{ 0xa9319bdb, "device_property_read_bool" },
	{ 0x126d6b35, "regmap_update_bits_base" },
	{ 0x2c21f723, "dev_err_probe" },
	{ 0xd7b68d7a, "regmap_multi_reg_write" },
	{ 0x90543b57, "__pm_runtime_suspend" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "A30532B6041B3779F4F0698");
