#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c23217a, "input_allocate_device" },
	{ 0x4156a50d, "usb_alloc_urb" },
	{ 0x06e7a71b, "snd_rawmidi_receive" },
	{ 0x800a9c83, "usb_free_urb" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0xbcb029d8, "snd_rawmidi_transmit" },
	{ 0x49961cb2, "snd_ctl_add" },
	{ 0x586acfe4, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xca79888c, "snd_card_register" },
	{ 0x84886de4, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9f6e5dd3, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x47a18a4d, "param_array_ops" },
	{ 0xb544ad50, "input_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xdb9ebd67, "input_free_device" },
	{ 0x9ede7a8e, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7686658f, "usb_bulk_msg" },
	{ 0x6d3e1396, "input_register_device" },
	{ 0x4124a4ab, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xa916b694, "strnlen" },
	{ 0x27248928, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x7488a1ab, "snd_card_new" },
	{ 0xbd0b5ae0, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x05a38764, "snd_card_set_id" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf00f0d94, "snd_card_free_when_closed" },
	{ 0xc62615f3, "usb_set_interface" },
	{ 0x487826ff, "snd_pcm_set_ops" },
	{ 0xb4dd983f, "usb_deregister" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x74ce9eb5, "usb_string" },
	{ 0x1d7efbcc, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x3a52f91c, "param_ops_charp" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xadff0877, "input_event" },
	{ 0xaae9871f, "input_set_abs_params" },
	{ 0x78421d35, "snd_rawmidi_new" },
	{ 0x8f85b0d9, "snd_card_disconnect" },
	{ 0x0fb334b9, "snd_rawmidi_set_ops" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x23e1f9c9, "usb_kill_urb" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x849ca450, "usb_init_urb" },
	{ 0xeff05dbe, "snd_pcm_period_elapsed" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd-pcm,snd");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7B7229A0C7BECEDFB4AB4C9");
