#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(line6_midi_id, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message_async, "_gpl", "");
KSYMTAB_FUNC(line6_version_request_async, "_gpl", "");
KSYMTAB_FUNC(line6_send_sysex_message, "_gpl", "");
KSYMTAB_FUNC(line6_alloc_sysex_buffer, "_gpl", "");
KSYMTAB_FUNC(line6_read_data, "_gpl", "");
KSYMTAB_FUNC(line6_write_data, "_gpl", "");
KSYMTAB_FUNC(line6_read_serial_number, "_gpl", "");
KSYMTAB_FUNC(line6_probe, "_gpl", "");
KSYMTAB_FUNC(line6_disconnect, "_gpl", "");
KSYMTAB_FUNC(line6_suspend, "_gpl", "");
KSYMTAB_FUNC(line6_resume, "_gpl", "");
KSYMTAB_FUNC(line6_init_midi, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_acquire, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_release, "_gpl", "");
KSYMTAB_FUNC(line6_init_pcm, "_gpl", "");

SYMBOL_CRC(line6_midi_id, 0x202a1b1b, "_gpl");
SYMBOL_CRC(line6_send_raw_message, 0x38c6c201, "_gpl");
SYMBOL_CRC(line6_send_raw_message_async, 0x929735fe, "_gpl");
SYMBOL_CRC(line6_version_request_async, 0x1a886ae4, "_gpl");
SYMBOL_CRC(line6_send_sysex_message, 0x3c39a049, "_gpl");
SYMBOL_CRC(line6_alloc_sysex_buffer, 0xe4d67210, "_gpl");
SYMBOL_CRC(line6_read_data, 0xc724a95d, "_gpl");
SYMBOL_CRC(line6_write_data, 0xca0cf11d, "_gpl");
SYMBOL_CRC(line6_read_serial_number, 0x6673d154, "_gpl");
SYMBOL_CRC(line6_probe, 0x5cad4671, "_gpl");
SYMBOL_CRC(line6_disconnect, 0x1abd5af9, "_gpl");
SYMBOL_CRC(line6_suspend, 0x4fa35902, "_gpl");
SYMBOL_CRC(line6_resume, 0x8d6dbd0b, "_gpl");
SYMBOL_CRC(line6_init_midi, 0xbc4733f1, "_gpl");
SYMBOL_CRC(line6_pcm_acquire, 0x29046830, "_gpl");
SYMBOL_CRC(line6_pcm_release, 0x5b84ce53, "_gpl");
SYMBOL_CRC(line6_init_pcm, 0x11b3aef3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4156a50d, "usb_alloc_urb" },
	{ 0x06e7a71b, "snd_rawmidi_receive" },
	{ 0x800a9c83, "usb_free_urb" },
	{ 0xf50128a7, "usb_control_msg_send" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x49961cb2, "snd_ctl_add" },
	{ 0x586acfe4, "snd_pcm_new" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x9928438e, "usb_control_msg_recv" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xc6f81bd2, "usb_interrupt_msg" },
	{ 0x3955fcf6, "__kfifo_in_r" },
	{ 0x9ede7a8e, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0x4aacf95f, "usb_put_dev" },
	{ 0x7686658f, "usb_bulk_msg" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xa90ebf22, "snd_rawmidi_transmit_ack" },
	{ 0x4de1c1ba, "usb_get_dev" },
	{ 0x27248928, "usb_submit_urb" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x353d7af5, "snd_pcm_hw_constraint_ratdens" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x7488a1ab, "snd_card_new" },
	{ 0xbd0b5ae0, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xb6e0691f, "snd_hwdep_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb944460c, "snd_rawmidi_transmit_peek" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf00f0d94, "snd_card_free_when_closed" },
	{ 0xc62615f3, "usb_set_interface" },
	{ 0x487826ff, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x1d7efbcc, "snd_pcm_set_managed_buffer_all" },
	{ 0xdcb764ad, "memset" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc6cb465a, "__kfifo_max_r" },
	{ 0x78421d35, "snd_rawmidi_new" },
	{ 0x8f85b0d9, "snd_card_disconnect" },
	{ 0x70e90ce2, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x0fb334b9, "snd_rawmidi_set_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2484adc3, "__kfifo_to_user_r" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x23e1f9c9, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeff05dbe, "snd_pcm_period_elapsed" },
	{ 0x7846af3e, "__kfifo_len_r" },
	{ 0x98cf60b3, "strlen" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd,snd-pcm,snd-hwdep");


MODULE_INFO(srcversion, "7DD4A530BEBC54D6137E74E");
