#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0xbf7b383c, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x8c6b02c9, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x744f6063, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x2c819ea1, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xbe5aa86b, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xb5c42872, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x6c0d116b, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x5b8adeb9, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0xb7c89c69, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xe6f2e688, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x72860bd6, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xee16662c, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x6a67a8e7, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xd42e2f4d, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xbc242ac6, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xbaa728e6, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xa34625a1, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xa4c457f2, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xa153f9a1, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0xc7932e51, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0xb10f4ffe, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xcdc2a355, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x8f58d273, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x9ceb44f6, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x6e8cd316, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xab5202a9, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x771ad769, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x2cea6212, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x76e23e2e, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x48e84a8b, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0xc8a7e926, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xe7d09a7d, "kthread_create_worker_on_node" },
	{ 0xee213135, "wake_up_process" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x7c304b2d, "sched_set_fifo" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x7412f673, "crypto_register_aead" },
	{ 0x2b48c728, "crypto_unregister_aead" },
	{ 0xed2bda25, "crypto_register_ahash" },
	{ 0xd70d7c72, "crypto_unregister_ahash" },
	{ 0x9252b3ec, "crypto_register_akcipher" },
	{ 0x10774d53, "crypto_unregister_akcipher" },
	{ 0xd770973a, "crypto_register_kpp" },
	{ 0x2a7a758a, "crypto_unregister_kpp" },
	{ 0x7d6fd55d, "crypto_register_skcipher" },
	{ 0x1876113d, "crypto_unregister_skcipher" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x024edab7, "kthread_queue_work" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x48a9f0fb, "crypto_enqueue_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x7e020f5f, "kthread_destroy_worker" },
	{ 0x94b879cf, "crypto_dequeue_request" },
	{ 0x627f5f7f, "crypto_enqueue_request_head" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9A4F37948CABE6A6577B9B3");
