#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(to_nfit_uuid, "", "");
KSYMTAB_FUNC(acpi_nfit_ctl, "_gpl", "");
KSYMTAB_FUNC(nfit_get_smbios_id, "_gpl", "");
KSYMTAB_FUNC(__acpi_nvdimm_notify, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_desc_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_shutdown, "_gpl", "");
KSYMTAB_FUNC(__acpi_nfit_notify, "_gpl", "");

SYMBOL_CRC(to_nfit_uuid, 0x06848c60, "");
SYMBOL_CRC(acpi_nfit_ctl, 0x01ed1173, "_gpl");
SYMBOL_CRC(nfit_get_smbios_id, 0x499bbf57, "_gpl");
SYMBOL_CRC(__acpi_nvdimm_notify, 0x6056cd9e, "_gpl");
SYMBOL_CRC(acpi_nfit_init, 0x5667b748, "_gpl");
SYMBOL_CRC(acpi_nfit_desc_init, 0x91f2758b, "_gpl");
SYMBOL_CRC(acpi_nfit_shutdown, 0x4639bcda, "_gpl");
SYMBOL_CRC(__acpi_nfit_notify, 0xef0bc5b3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x492102b3, "nvdimm_region_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc423b387, "nd_region_provider_data" },
	{ 0x199ac9bc, "nvdimm_bus_add_badrange" },
	{ 0xea3d17eb, "param_ops_ulong" },
	{ 0xa01a8d9b, "nd_cmd_bus_desc" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa0b0e3ff, "to_nvdimm" },
	{ 0x761f6936, "__nvdimm_create" },
	{ 0x36d830e7, "to_nd_region" },
	{ 0x815fb77e, "nvdimm_bus_check_dimm_count" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x414e1107, "acpi_dev_remove_notify_handler" },
	{ 0xaab33bc6, "phys_to_target_node" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xab3e27d2, "kernfs_notify" },
	{ 0x7caeea53, "to_nvdimm_bus" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8a665bfa, "numa_nearest_node" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0xff56923c, "__acpi_bus_register_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0x75b52643, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x638a9653, "memory_add_physaddr_to_nid" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x0b2db2d5, "remove_resource" },
	{ 0x0c2c5802, "work_busy" },
	{ 0x67b10ee6, "acpi_put_table" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x3377b26c, "acpi_dev_install_notify_handler" },
	{ 0xa77bb9fe, "to_nd_desc" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xfe1e026b, "nd_cmd_out_size" },
	{ 0xb7c0f443, "sort" },
	{ 0xb501b2df, "nd_cmd_dimm_desc" },
	{ 0xeca182f5, "nvdimm_bus_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x0bf66c47, "kernfs_find_and_get_ns" },
	{ 0x97c843be, "nvdimm_name" },
	{ 0x70eefab0, "to_nvdimm_bus_dev" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x41662e8b, "nvdimm_volatile_region_create" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xa161e346, "nvdimm_provider_data" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x1183ea24, "nvdimm_in_overwrite" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x571462e8, "nvdimm_to_bus" },
	{ 0xe0a4c03a, "nvdimm_bus_register" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5de94d29, "nd_region_dev" },
	{ 0x6a683ed1, "acpi_get_table" },
	{ 0x1a60be09, "nd_cmd_in_size" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x85f26359, "acpi_bus_unregister_driver" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x41c817a3, "kernfs_put" },
	{ 0xe091c977, "list_sort" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x8b2de053, "nvdimm_pmem_region_create" },
	{ 0x0e02f1f4, "nvdimm_kobj" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xab4348aa, "__devm_add_action" },
	{ 0xaf076aec, "nd_fletcher64" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x77358855, "iomem_resource" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x8ec1c200, "nvdimm_cmd_mask" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");

MODULE_ALIAS("acpi*:ACPI0012:*");

MODULE_INFO(srcversion, "444DFF62AAD85EF805AE64E");
