#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f6e5dd3, "usb_register_driver" },
	{ 0x4156a50d, "usb_alloc_urb" },
	{ 0xc5cd36b4, "usb_anchor_urb" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x27248928, "usb_submit_urb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x037e6cb9, "usb_unanchor_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x800a9c83, "usb_free_urb" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8ba3294f, "hci_cmd_sync_cancel" },
	{ 0x037a0cba, "kfree" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x0248efd3, "kstrtobool_from_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x2b141ac1, "__hci_cmd_sync" },
	{ 0x6883984b, "skb_pull_data" },
	{ 0x0718b8b7, "bt_info" },
	{ 0x214e4265, "bt_warn" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5be74ba1, "pm_runtime_allow" },
	{ 0x90543b57, "__pm_runtime_suspend" },
	{ 0x0188b501, "pm_runtime_forbid" },
	{ 0x6b2563f5, "device_set_wakeup_capable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x39318bf9, "usb_enable_autosuspend" },
	{ 0x75b4f7e7, "usb_autopm_get_interface" },
	{ 0xd1a006a6, "usb_queue_reset_device" },
	{ 0x63695201, "gpiod_set_value_cansleep" },
	{ 0x968b8e52, "btrtl_setup_realtek" },
	{ 0x5eee40f5, "__hci_cmd_sync_ev" },
	{ 0xcfb14390, "__hci_cmd_send" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x9a1e73b7, "hci_devcd_init" },
	{ 0x6e3c3799, "usb_disable_autosuspend" },
	{ 0x61a6c011, "hci_devcd_append" },
	{ 0x68f6d3d2, "hci_devcd_complete" },
	{ 0x266ac64b, "hci_devcd_append_pattern" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc5ed29ee, "usb_control_msg" },
	{ 0x7686658f, "usb_bulk_msg" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0x66275485, "pm_wakeup_dev_event" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xb4dd983f, "usb_deregister" },
	{ 0xf8059560, "usb_autopm_put_interface" },
	{ 0xe9a2bb1c, "of_match_device" },
	{ 0x965e0d0c, "of_irq_get_byname" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0xf985e146, "device_wakeup_enable" },
	{ 0xdcb764ad, "memset" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6d4bca86, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x27a399fb, "device_remove_file" },
	{ 0x595a69de, "hci_unregister_dev" },
	{ 0xd980f283, "gpiod_put" },
	{ 0xadd40924, "hci_free_dev" },
	{ 0x3923a6b9, "device_wakeup_disable" },
	{ 0xab5a79cf, "usb_driver_release_interface" },
	{ 0xd7ec32fc, "skb_clone" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x122f14ec, "hci_recv_frame" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x87680d66, "skb_queue_purge_reason" },
	{ 0xdc76a819, "dev_kfree_skb_irq_reason" },
	{ 0x8c41dbc3, "usb_get_from_anchor" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x807766ea, "usb_scuttle_anchored_urbs" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc62615f3, "usb_set_interface" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa916b694, "strnlen" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x97263eda, "hci_recv_diag" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa596e116, "hci_alloc_dev_priv" },
	{ 0xeb0ae7e6, "gpiod_get_optional" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x7e307658, "usb_driver_claim_interface" },
	{ 0x22774dd3, "device_create_file" },
	{ 0xb56998f3, "hci_register_dev" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x6d44e857, "usb_match_id" },
	{ 0xbc681c6b, "btintel_recv_event" },
	{ 0xaa2545d0, "btintel_configure_setup" },
	{ 0x631d844a, "btbcm_setup_patchram" },
	{ 0x56478032, "btbcm_set_bdaddr" },
	{ 0x1d5b7fe5, "usb_ifnum_to_if" },
	{ 0x5ea667e5, "btbcm_setup_apple" },
	{ 0x723c7b72, "btrtl_set_driver_name" },
	{ 0xb2d920eb, "btrtl_shutdown_realtek" },
	{ 0x01db7d4c, "hci_devcd_register" },
	{ 0xd50585d4, "of_property_read_variable_u16_array" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0xa440834d, "default_llseek" },
	{ 0x5ca25210, "simple_open" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,btrtl,btintel,btbcm");

MODULE_ALIAS("of:N*T*Cusb1286,204e");
MODULE_ALIAS("of:N*T*Cusb1286,204eC*");
MODULE_ALIAS("of:N*T*Cusbcf3,e300");
MODULE_ALIAS("of:N*T*Cusbcf3,e300C*");
MODULE_ALIAS("of:N*T*Cusb4ca,301a");
MODULE_ALIAS("of:N*T*Cusb4ca,301aC*");
MODULE_ALIAS("usb:v*p*d*dcE0dsc01dp01ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dcE0dsc01dp04ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip01in*");
MODULE_ALIAS("usb:v05ACp*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v0E8Dp763Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp21E1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp8213d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp8215d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp8218d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp821Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp821Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp821Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp8281d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp3800d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BFp030Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v044Ep3001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v044Ep3002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDBp1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C10p0000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v19FFp0239d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v105Bp*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v0BB4p*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v0489p*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v04CAp*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v0A5Cp*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v0B05p*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v050Dp*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v13D3p*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*icFFisc01ip01in*");
MODULE_ALIAS("usb:v8087p0A5Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "A2EC3F45D1362DCDA9DC57E");
