#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qcom_find_freq, "_gpl", "");
KSYMTAB_FUNC(qcom_find_freq_multi, "_gpl", "");
KSYMTAB_FUNC(qcom_find_freq_floor, "_gpl", "");
KSYMTAB_FUNC(qcom_find_src_index, "_gpl", "");
KSYMTAB_FUNC(qcom_find_cfg_index, "_gpl", "");
KSYMTAB_FUNC(qcom_cc_map, "_gpl", "");
KSYMTAB_FUNC(qcom_pll_set_fsm_mode, "_gpl", "");
KSYMTAB_FUNC(qcom_cc_register_board_clk, "_gpl", "");
KSYMTAB_FUNC(qcom_cc_register_sleep_clk, "_gpl", "");
KSYMTAB_FUNC(qcom_cc_really_probe, "_gpl", "");
KSYMTAB_FUNC(qcom_cc_probe, "_gpl", "");
KSYMTAB_FUNC(qcom_cc_probe_by_index, "_gpl", "");
KSYMTAB_FUNC(clk_is_enabled_regmap, "_gpl", "");
KSYMTAB_FUNC(clk_enable_regmap, "_gpl", "");
KSYMTAB_FUNC(clk_disable_regmap, "_gpl", "");
KSYMTAB_FUNC(devm_clk_register_regmap, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_regs, "_gpl", "");
KSYMTAB_FUNC(clk_alpha_pll_configure, "_gpl", "");
KSYMTAB_FUNC(clk_huayra_2290_pll_configure, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_fixed_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_huayra_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_hwfsm_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_fixed_trion_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_postdiv_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_postdiv_ro_ops, "_gpl", "");
KSYMTAB_FUNC(clk_fabia_pll_configure, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_fabia_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_fixed_fabia_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_postdiv_trion_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_postdiv_fabia_ops, "_gpl", "");
KSYMTAB_FUNC(clk_trion_pll_configure, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_trion_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_lucid_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_postdiv_lucid_ops, "_gpl", "");
KSYMTAB_FUNC(clk_agera_pll_configure, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_agera_ops, "_gpl", "");
KSYMTAB_FUNC(clk_lucid_5lpe_pll_configure, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_lucid_5lpe_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_fixed_lucid_5lpe_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_postdiv_lucid_5lpe_ops, "_gpl", "");
KSYMTAB_FUNC(clk_zonda_pll_configure, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_zonda_ops, "_gpl", "");
KSYMTAB_FUNC(clk_lucid_evo_pll_configure, "_gpl", "");
KSYMTAB_FUNC(clk_lucid_ole_pll_configure, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_fixed_lucid_evo_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_postdiv_lucid_evo_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_lucid_evo_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_reset_lucid_evo_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_pongo_elu_ops, "_gpl", "");
KSYMTAB_FUNC(clk_pongo_elu_pll_configure, "_gpl", "");
KSYMTAB_FUNC(clk_rivian_evo_pll_configure, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_rivian_evo_ops, "_gpl", "");
KSYMTAB_FUNC(clk_stromer_pll_configure, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_stromer_ops, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_stromer_plus_ops, "_gpl", "");
KSYMTAB_FUNC(clk_regera_pll_configure, "_gpl", "");
KSYMTAB_DATA(clk_alpha_pll_regera_ops, "_gpl", "");
KSYMTAB_DATA(clk_pll_ops, "_gpl", "");
KSYMTAB_DATA(clk_pll_vote_ops, "_gpl", "");
KSYMTAB_FUNC(clk_pll_configure_sr, "_gpl", "");
KSYMTAB_FUNC(clk_pll_configure_sr_hpm_lp, "_gpl", "");
KSYMTAB_DATA(clk_pll_sr2_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg_floor_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg_bypass_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg_bypass2_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg_pixel_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg_esc_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg_lcc_ops, "_gpl", "");
KSYMTAB_DATA(clk_dyn_rcg_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg2_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg2_gp_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg2_floor_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg2_fm_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg2_mux_closest_ops, "_gpl", "");
KSYMTAB_DATA(clk_edp_pixel_ops, "_gpl", "");
KSYMTAB_DATA(clk_byte_ops, "_gpl", "");
KSYMTAB_DATA(clk_byte2_ops, "_gpl", "");
KSYMTAB_DATA(clk_pixel_ops, "_gpl", "");
KSYMTAB_DATA(clk_gfx3d_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg2_shared_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg2_shared_floor_ops, "_gpl", "");
KSYMTAB_DATA(clk_rcg2_shared_no_init_park_ops, "_gpl", "");
KSYMTAB_FUNC(qcom_cc_register_rcg_dfs, "_gpl", "");
KSYMTAB_DATA(clk_dp_ops, "_gpl", "");
KSYMTAB_DATA(clk_branch_ops, "_gpl", "");
KSYMTAB_DATA(clk_branch2_mem_ops, "_gpl", "");
KSYMTAB_DATA(clk_branch2_ops, "_gpl", "");
KSYMTAB_DATA(clk_branch2_aon_ops, "_gpl", "");
KSYMTAB_DATA(clk_branch_simple_ops, "_gpl", "");
KSYMTAB_DATA(clk_branch2_prepare_ops, "_gpl", "");
KSYMTAB_DATA(clk_regmap_div_ops, "_gpl", "");
KSYMTAB_DATA(clk_regmap_div_ro_ops, "_gpl", "");
KSYMTAB_DATA(clk_regmap_mux_closest_ops, "_gpl", "");
KSYMTAB_FUNC(mux_div_set_src_div, "_gpl", "");
KSYMTAB_DATA(clk_regmap_mux_div_ops, "_gpl", "");
KSYMTAB_DATA(clk_regmap_phy_mux_ops, "_gpl", "");
KSYMTAB_DATA(clk_ops_hfpll, "_gpl", "");
KSYMTAB_DATA(qcom_reset_ops, "_gpl", "");
KSYMTAB_FUNC(gdsc_gx_do_nothing_enable, "_gpl", "");

SYMBOL_CRC(qcom_find_freq, 0x787e8234, "_gpl");
SYMBOL_CRC(qcom_find_freq_multi, 0xc8c84cf7, "_gpl");
SYMBOL_CRC(qcom_find_freq_floor, 0x395868a1, "_gpl");
SYMBOL_CRC(qcom_find_src_index, 0x8a47a64d, "_gpl");
SYMBOL_CRC(qcom_find_cfg_index, 0x3daea60c, "_gpl");
SYMBOL_CRC(qcom_cc_map, 0xb3d3fbf3, "_gpl");
SYMBOL_CRC(qcom_pll_set_fsm_mode, 0x6af41b8b, "_gpl");
SYMBOL_CRC(qcom_cc_register_board_clk, 0x3812b6c7, "_gpl");
SYMBOL_CRC(qcom_cc_register_sleep_clk, 0xd5c11d32, "_gpl");
SYMBOL_CRC(qcom_cc_really_probe, 0x47109430, "_gpl");
SYMBOL_CRC(qcom_cc_probe, 0x65340997, "_gpl");
SYMBOL_CRC(qcom_cc_probe_by_index, 0xbdbf1857, "_gpl");
SYMBOL_CRC(clk_is_enabled_regmap, 0xdb155003, "_gpl");
SYMBOL_CRC(clk_enable_regmap, 0x4189d369, "_gpl");
SYMBOL_CRC(clk_disable_regmap, 0x0d30bb35, "_gpl");
SYMBOL_CRC(devm_clk_register_regmap, 0x2bb0c919, "_gpl");
SYMBOL_CRC(clk_alpha_pll_regs, 0xfa88aaea, "_gpl");
SYMBOL_CRC(clk_alpha_pll_configure, 0x2c621764, "_gpl");
SYMBOL_CRC(clk_huayra_2290_pll_configure, 0x544c5cb4, "_gpl");
SYMBOL_CRC(clk_alpha_pll_fixed_ops, 0xcb2d25f8, "_gpl");
SYMBOL_CRC(clk_alpha_pll_ops, 0x1f88365f, "_gpl");
SYMBOL_CRC(clk_alpha_pll_huayra_ops, 0x1ea782c8, "_gpl");
SYMBOL_CRC(clk_alpha_pll_hwfsm_ops, 0xfbd6578d, "_gpl");
SYMBOL_CRC(clk_alpha_pll_fixed_trion_ops, 0xa0755dc3, "_gpl");
SYMBOL_CRC(clk_alpha_pll_postdiv_ops, 0x7b87fe3e, "_gpl");
SYMBOL_CRC(clk_alpha_pll_postdiv_ro_ops, 0x70156ec0, "_gpl");
SYMBOL_CRC(clk_fabia_pll_configure, 0x6596f4a8, "_gpl");
SYMBOL_CRC(clk_alpha_pll_fabia_ops, 0x0ae351c4, "_gpl");
SYMBOL_CRC(clk_alpha_pll_fixed_fabia_ops, 0xd98fe91b, "_gpl");
SYMBOL_CRC(clk_alpha_pll_postdiv_trion_ops, 0x7e69e953, "_gpl");
SYMBOL_CRC(clk_alpha_pll_postdiv_fabia_ops, 0x07935d8b, "_gpl");
SYMBOL_CRC(clk_trion_pll_configure, 0x9e39bdad, "_gpl");
SYMBOL_CRC(clk_alpha_pll_trion_ops, 0x7319e51c, "_gpl");
SYMBOL_CRC(clk_alpha_pll_lucid_ops, 0x708a435d, "_gpl");
SYMBOL_CRC(clk_alpha_pll_postdiv_lucid_ops, 0x7dfa4f12, "_gpl");
SYMBOL_CRC(clk_agera_pll_configure, 0xa81f9abe, "_gpl");
SYMBOL_CRC(clk_alpha_pll_agera_ops, 0xf439f21a, "_gpl");
SYMBOL_CRC(clk_lucid_5lpe_pll_configure, 0x35525d81, "_gpl");
SYMBOL_CRC(clk_alpha_pll_lucid_5lpe_ops, 0x5c035f38, "_gpl");
SYMBOL_CRC(clk_alpha_pll_fixed_lucid_5lpe_ops, 0x64b8755d, "_gpl");
SYMBOL_CRC(clk_alpha_pll_postdiv_lucid_5lpe_ops, 0x2d293905, "_gpl");
SYMBOL_CRC(clk_zonda_pll_configure, 0x3c6347dc, "_gpl");
SYMBOL_CRC(clk_alpha_pll_zonda_ops, 0xc9cb9fbf, "_gpl");
SYMBOL_CRC(clk_lucid_evo_pll_configure, 0x845e44f6, "_gpl");
SYMBOL_CRC(clk_lucid_ole_pll_configure, 0x4a9fb0ef, "_gpl");
SYMBOL_CRC(clk_alpha_pll_fixed_lucid_evo_ops, 0x6d308251, "_gpl");
SYMBOL_CRC(clk_alpha_pll_postdiv_lucid_evo_ops, 0x953b97b7, "_gpl");
SYMBOL_CRC(clk_alpha_pll_lucid_evo_ops, 0x0ed823f3, "_gpl");
SYMBOL_CRC(clk_alpha_pll_reset_lucid_evo_ops, 0x38229fba, "_gpl");
SYMBOL_CRC(clk_alpha_pll_pongo_elu_ops, 0x991d7d2c, "_gpl");
SYMBOL_CRC(clk_pongo_elu_pll_configure, 0xd2052d2c, "_gpl");
SYMBOL_CRC(clk_rivian_evo_pll_configure, 0x62a7749b, "_gpl");
SYMBOL_CRC(clk_alpha_pll_rivian_evo_ops, 0xf2522383, "_gpl");
SYMBOL_CRC(clk_stromer_pll_configure, 0x97f85450, "_gpl");
SYMBOL_CRC(clk_alpha_pll_stromer_ops, 0x03e7eb9a, "_gpl");
SYMBOL_CRC(clk_alpha_pll_stromer_plus_ops, 0xd846a036, "_gpl");
SYMBOL_CRC(clk_regera_pll_configure, 0x05345864, "_gpl");
SYMBOL_CRC(clk_alpha_pll_regera_ops, 0x2d5ec281, "_gpl");
SYMBOL_CRC(clk_pll_ops, 0x468b22ce, "_gpl");
SYMBOL_CRC(clk_pll_vote_ops, 0x5c3e75ee, "_gpl");
SYMBOL_CRC(clk_pll_configure_sr, 0x6b8e2aa0, "_gpl");
SYMBOL_CRC(clk_pll_configure_sr_hpm_lp, 0x1de81c63, "_gpl");
SYMBOL_CRC(clk_pll_sr2_ops, 0xc0126fe0, "_gpl");
SYMBOL_CRC(clk_rcg_ops, 0x9821a599, "_gpl");
SYMBOL_CRC(clk_rcg_floor_ops, 0x03351dae, "_gpl");
SYMBOL_CRC(clk_rcg_bypass_ops, 0x233e5373, "_gpl");
SYMBOL_CRC(clk_rcg_bypass2_ops, 0xaea28295, "_gpl");
SYMBOL_CRC(clk_rcg_pixel_ops, 0x88c0add9, "_gpl");
SYMBOL_CRC(clk_rcg_esc_ops, 0x9c401604, "_gpl");
SYMBOL_CRC(clk_rcg_lcc_ops, 0xe4d191e1, "_gpl");
SYMBOL_CRC(clk_dyn_rcg_ops, 0x45180f77, "_gpl");
SYMBOL_CRC(clk_rcg2_ops, 0xeec69605, "_gpl");
SYMBOL_CRC(clk_rcg2_gp_ops, 0x33b2f7aa, "_gpl");
SYMBOL_CRC(clk_rcg2_floor_ops, 0x94c464a3, "_gpl");
SYMBOL_CRC(clk_rcg2_fm_ops, 0x2a8ded5b, "_gpl");
SYMBOL_CRC(clk_rcg2_mux_closest_ops, 0xb8694bf5, "_gpl");
SYMBOL_CRC(clk_edp_pixel_ops, 0x8e4c395e, "_gpl");
SYMBOL_CRC(clk_byte_ops, 0xe8c0478b, "_gpl");
SYMBOL_CRC(clk_byte2_ops, 0x1d0f06af, "_gpl");
SYMBOL_CRC(clk_pixel_ops, 0xf3bf69c3, "_gpl");
SYMBOL_CRC(clk_gfx3d_ops, 0x45226263, "_gpl");
SYMBOL_CRC(clk_rcg2_shared_ops, 0xa95ed447, "_gpl");
SYMBOL_CRC(clk_rcg2_shared_floor_ops, 0xf94696e3, "_gpl");
SYMBOL_CRC(clk_rcg2_shared_no_init_park_ops, 0x22a6f9bd, "_gpl");
SYMBOL_CRC(qcom_cc_register_rcg_dfs, 0x30d1e9de, "_gpl");
SYMBOL_CRC(clk_dp_ops, 0xd2ec30a3, "_gpl");
SYMBOL_CRC(clk_branch_ops, 0x4a930432, "_gpl");
SYMBOL_CRC(clk_branch2_mem_ops, 0x8fb72cc6, "_gpl");
SYMBOL_CRC(clk_branch2_ops, 0xaf105ec4, "_gpl");
SYMBOL_CRC(clk_branch2_aon_ops, 0xfafc1469, "_gpl");
SYMBOL_CRC(clk_branch_simple_ops, 0xb3d93f1b, "_gpl");
SYMBOL_CRC(clk_branch2_prepare_ops, 0xea83572b, "_gpl");
SYMBOL_CRC(clk_regmap_div_ops, 0xc0d2ecb0, "_gpl");
SYMBOL_CRC(clk_regmap_div_ro_ops, 0xf84b8d59, "_gpl");
SYMBOL_CRC(clk_regmap_mux_closest_ops, 0x66580ca3, "_gpl");
SYMBOL_CRC(mux_div_set_src_div, 0x59eabda5, "_gpl");
SYMBOL_CRC(clk_regmap_mux_div_ops, 0x1f83275f, "_gpl");
SYMBOL_CRC(clk_regmap_phy_mux_ops, 0x82afa55e, "_gpl");
SYMBOL_CRC(clk_ops_hfpll, 0x93bc2a64, "_gpl");
SYMBOL_CRC(qcom_reset_ops, 0x40981fd4, "_gpl");
SYMBOL_CRC(gdsc_gx_do_nothing_enable, 0xef95d2c9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x816e3d19, "of_genpd_add_provider_onecell" },
	{ 0xc2aae440, "regulator_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xd6fe4216, "devm_platform_ioremap_resource" },
	{ 0xc569d8ce, "__clk_get_name" },
	{ 0x2f0f2d47, "regmap_write" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xfd19ff82, "of_node_put" },
	{ 0xb0a0da0c, "rational_best_approximation" },
	{ 0xcb90ff90, "of_genpd_del_provider" },
	{ 0x9f73c733, "clk_hw_get_rate_range" },
	{ 0xd09c1aac, "devm_of_clk_add_hw_provider" },
	{ 0x42b944aa, "devm_clk_hw_register" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdf01fc89, "clk_hw_get_name" },
	{ 0xb02ce789, "divider_round_rate_parent" },
	{ 0x79603f3e, "divider_recalc_rate" },
	{ 0xb05f11d6, "divider_ro_round_rate_parent" },
	{ 0x609a38ad, "devm_regulator_get_optional" },
	{ 0xe2f8d491, "clk_hw_get_parent_by_index" },
	{ 0x28c12c6d, "pm_genpd_init" },
	{ 0x97fe1170, "__clk_mux_determine_rate_closest" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6492898b, "clk_fixed_rate_ops" },
	{ 0xaf02ce6b, "clk_hw_round_rate" },
	{ 0xb45d9801, "pm_genpd_add_subdomain" },
	{ 0xf346a2eb, "of_get_child_by_name" },
	{ 0xcc9e7345, "__clk_determine_rate" },
	{ 0x123e0f70, "clk_hw_get_rate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf40d97a0, "dev_get_regmap" },
	{ 0x76968f83, "of_find_property" },
	{ 0xdcb764ad, "memset" },
	{ 0x7b0c7a8f, "__devm_regmap_init_mmio_clk" },
	{ 0x05d11d48, "pm_genpd_remove_subdomain" },
	{ 0x5e798ffb, "divider_get_val" },
	{ 0xa8056029, "devm_reset_controller_register" },
	{ 0xf0e97baf, "clk_hw_get_flags" },
	{ 0x5cd5f1d4, "of_prop_next_u32" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x0f08c8ad, "regmap_read" },
	{ 0x696e3272, "devm_clk_hw_get_clk" },
	{ 0xf5250f7b, "clk_hw_is_enabled" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6e304b86, "clk_hw_get_parent" },
	{ 0x39d43b57, "devm_icc_clk_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x126d6b35, "regmap_update_bits_base" },
	{ 0xfa1413a8, "regulator_disable" },
	{ 0x2c21f723, "dev_err_probe" },
	{ 0xab4348aa, "__devm_add_action" },
	{ 0x448ea7a2, "devm_pm_domain_attach_list" },
	{ 0x76e06585, "clk_fixed_factor_ops" },
	{ 0x863f8409, "gcd" },
	{ 0xc6a4a872, "__clk_is_enabled" },
	{ 0xbf40807c, "of_find_node_opts_by_path" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2a1ca622, "clk_hw_get_num_parents" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "icc-clk");


MODULE_INFO(srcversion, "2BFD82F55D573111BC6BD58");
