#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cn10k_cptpf_lmtst_init, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(cn10k_cptvf_lmtst_init, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(cn10k_cpt_hw_ctx_clear, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(cn10k_cpt_hw_ctx_set, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(cn10k_cpt_hw_ctx_init, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(cn10k_cpt_ctx_flush, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(cptvf_hw_ops_get, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cptlf_unregister_misc_interrupts, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cptlf_unregister_done_interrupts, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cptlf_register_misc_interrupts, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cptlf_register_done_interrupts, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cptlf_free_irqs_affinity, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cptlf_set_irqs_affinity, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cptlf_init, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cptlf_shutdown, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_send_mbox_msg, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_send_ready_msg, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_send_af_reg_requests, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_add_write_af_reg, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_read_af_reg, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_write_af_reg, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_detach_rsrcs_msg, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_msix_offset_msg, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_sync_mbox_msg, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");
KSYMTAB_FUNC(otx2_cpt_lf_reset_msg, "_gpl", "CRYPTO_DEV_OCTEONTX2_CPT");

SYMBOL_CRC(cn10k_cptpf_lmtst_init, 0x6c944ce1, "_gpl");
SYMBOL_CRC(cn10k_cptvf_lmtst_init, 0x5a891193, "_gpl");
SYMBOL_CRC(cn10k_cpt_hw_ctx_clear, 0x6fd9c22b, "_gpl");
SYMBOL_CRC(cn10k_cpt_hw_ctx_set, 0x7f0dbcf4, "_gpl");
SYMBOL_CRC(cn10k_cpt_hw_ctx_init, 0xb100aa7e, "_gpl");
SYMBOL_CRC(cn10k_cpt_ctx_flush, 0x0cbc3079, "_gpl");
SYMBOL_CRC(cptvf_hw_ops_get, 0xa0a37976, "_gpl");
SYMBOL_CRC(otx2_cptlf_unregister_misc_interrupts, 0xb7293372, "_gpl");
SYMBOL_CRC(otx2_cptlf_unregister_done_interrupts, 0x99aa2b81, "_gpl");
SYMBOL_CRC(otx2_cptlf_register_misc_interrupts, 0xe308ace7, "_gpl");
SYMBOL_CRC(otx2_cptlf_register_done_interrupts, 0xcd8bb414, "_gpl");
SYMBOL_CRC(otx2_cptlf_free_irqs_affinity, 0xf0d41ae7, "_gpl");
SYMBOL_CRC(otx2_cptlf_set_irqs_affinity, 0x51b3ba0f, "_gpl");
SYMBOL_CRC(otx2_cptlf_init, 0x8c172a09, "_gpl");
SYMBOL_CRC(otx2_cptlf_shutdown, 0x9b45d34e, "_gpl");
SYMBOL_CRC(otx2_cpt_send_mbox_msg, 0xd5ea0134, "_gpl");
SYMBOL_CRC(otx2_cpt_send_ready_msg, 0x83880fb2, "_gpl");
SYMBOL_CRC(otx2_cpt_send_af_reg_requests, 0x88a6217e, "_gpl");
SYMBOL_CRC(otx2_cpt_add_write_af_reg, 0x26bcbcf6, "_gpl");
SYMBOL_CRC(otx2_cpt_read_af_reg, 0x959e96ae, "_gpl");
SYMBOL_CRC(otx2_cpt_write_af_reg, 0x52bd979f, "_gpl");
SYMBOL_CRC(otx2_cpt_detach_rsrcs_msg, 0xfb9d4837, "_gpl");
SYMBOL_CRC(otx2_cpt_msix_offset_msg, 0x7e87a2e8, "_gpl");
SYMBOL_CRC(otx2_cpt_sync_mbox_msg, 0x98df7b02, "_gpl");
SYMBOL_CRC(otx2_cpt_lf_reset_msg, 0xa1eb7edf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x687ad51b, "otx2_mbox_alloc_msg_rsp" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0x037a0cba, "kfree" },
	{ 0x515824d8, "alloc_cpumask_var_node" },
	{ 0x594672b5, "pci_irq_vector" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x20b7dfd0, "otx2_mbox_msg_send" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x53e5b09a, "otx2_mbox_nonempty" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x59772a95, "otx2_mbox_wait_for_rsp" },
	{ 0xbdc8c686, "free_cpumask_var" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0xf2e931d0, "otx2_mbox_check_rsp_msgs" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7daf095c, "devm_ioremap_wc" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "rvu_mbox");


MODULE_INFO(srcversion, "78D421E21EF047EE127F82B");
