#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dw_hdmi_set_plugged_cb, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_set_channel_status, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_set_sample_width, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_set_sample_non_pcm, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_set_sample_rate, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_set_channel_count, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_set_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_audio_enable, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_audio_disable, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_phy_i2c_write, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_set_high_tmds_clock_ratio, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_phy_gen2_pddq, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_phy_gen2_txpwron, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_phy_gen1_reset, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_phy_gen2_reset, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_phy_i2c_set_addr, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_phy_read_hpd, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_phy_update_hpd, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_phy_setup_hpd, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_setup_rx_sense, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_bus_fmt_is_420, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_probe, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_remove, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_bind, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_unbind, "_gpl", "");
KSYMTAB_FUNC(dw_hdmi_resume, "_gpl", "");

SYMBOL_CRC(dw_hdmi_set_plugged_cb, 0x180d4674, "_gpl");
SYMBOL_CRC(dw_hdmi_set_channel_status, 0x1461e227, "_gpl");
SYMBOL_CRC(dw_hdmi_set_sample_width, 0x96f3e250, "_gpl");
SYMBOL_CRC(dw_hdmi_set_sample_non_pcm, 0x56f72e25, "_gpl");
SYMBOL_CRC(dw_hdmi_set_sample_rate, 0x8dcd6f43, "_gpl");
SYMBOL_CRC(dw_hdmi_set_channel_count, 0x09340e05, "_gpl");
SYMBOL_CRC(dw_hdmi_set_channel_allocation, 0x2fac9436, "_gpl");
SYMBOL_CRC(dw_hdmi_audio_enable, 0xd8fe547b, "_gpl");
SYMBOL_CRC(dw_hdmi_audio_disable, 0xce27012a, "_gpl");
SYMBOL_CRC(dw_hdmi_phy_i2c_write, 0x7d8a3aee, "_gpl");
SYMBOL_CRC(dw_hdmi_set_high_tmds_clock_ratio, 0xe18552a3, "_gpl");
SYMBOL_CRC(dw_hdmi_phy_gen2_pddq, 0x9b44a60b, "_gpl");
SYMBOL_CRC(dw_hdmi_phy_gen2_txpwron, 0x6712b5a7, "_gpl");
SYMBOL_CRC(dw_hdmi_phy_gen1_reset, 0xc59f9e6f, "_gpl");
SYMBOL_CRC(dw_hdmi_phy_gen2_reset, 0x26d629cd, "_gpl");
SYMBOL_CRC(dw_hdmi_phy_i2c_set_addr, 0x094f6fc5, "_gpl");
SYMBOL_CRC(dw_hdmi_phy_read_hpd, 0xdafa1790, "_gpl");
SYMBOL_CRC(dw_hdmi_phy_update_hpd, 0xf5922009, "_gpl");
SYMBOL_CRC(dw_hdmi_phy_setup_hpd, 0xd6968220, "_gpl");
SYMBOL_CRC(dw_hdmi_setup_rx_sense, 0x2d1c0e80, "_gpl");
SYMBOL_CRC(dw_hdmi_bus_fmt_is_420, 0x98db0c83, "_gpl");
SYMBOL_CRC(dw_hdmi_probe, 0xa3bea4d8, "_gpl");
SYMBOL_CRC(dw_hdmi_remove, 0x4a9b174f, "_gpl");
SYMBOL_CRC(dw_hdmi_bind, 0xe5198d96, "_gpl");
SYMBOL_CRC(dw_hdmi_unbind, 0x316212a8, "_gpl");
SYMBOL_CRC(dw_hdmi_resume, 0x42926f4a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2f0f2d47, "regmap_write" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x0f08c8ad, "regmap_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdcb764ad, "memset" },
	{ 0x0526c62e, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x233092d7, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0x1594a5fc, "drm_edid_read_ddc" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0xa44eb44e, "drm_detect_hdmi_monitor" },
	{ 0xe4116245, "drm_detect_monitor_audio" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xaee236c6, "cec_notifier_conn_unregister" },
	{ 0x4f5c4d4b, "drm_connector_init_with_ddc" },
	{ 0xb6f358c2, "drm_atomic_helper_connector_reset" },
	{ 0x6dc79b8e, "drm_connector_attach_max_bpc_property" },
	{ 0xf59bd303, "drm_connector_attach_encoder" },
	{ 0xa1ac6d26, "cec_fill_conn_info_from_drm" },
	{ 0x89a532e8, "cec_notifier_conn_register" },
	{ 0x4233fa0b, "drm_connector_attach_hdr_output_metadata_property" },
	{ 0x8e1e936a, "drm_bridge_attach" },
	{ 0xf5df7c76, "drm_connector_atomic_hdr_metadata_equal" },
	{ 0xc3f01171, "drm_atomic_get_crtc_state" },
	{ 0x6a111a45, "drm_edid_connector_update" },
	{ 0xa01fbb6b, "cec_notifier_set_phys_addr" },
	{ 0x3a3a0b7b, "drm_edid_connector_add_modes" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0xa6fe8ad4, "pinctrl_select_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x93bed982, "drm_bridge_remove" },
	{ 0x8c0eddc1, "platform_device_unregister" },
	{ 0xaa5c4ff6, "i2c_del_adapter" },
	{ 0x99a33525, "i2c_put_adapter" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xe7a9ecea, "drm_mode_is_420_only" },
	{ 0xace169b3, "drm_mode_is_420_also" },
	{ 0x037a0cba, "kfree" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x963f6f98, "drm_scdc_set_high_tmds_clock_ratio" },
	{ 0x126d6b35, "regmap_update_bits_base" },
	{ 0xa6257a2f, "complete" },
	{ 0x20621bba, "drm_scdc_read" },
	{ 0x87a978bd, "drm_scdc_write" },
	{ 0x67df2da1, "drm_scdc_set_scrambling" },
	{ 0x062cfb76, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0x526eef2c, "hdmi_vendor_infoframe_pack" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x401d12da, "__of_parse_phandle_with_args" },
	{ 0x2d8f51f0, "i2c_get_adapter_by_fwnode" },
	{ 0xfd19ff82, "of_node_put" },
	{ 0x7f5e9f35, "devm_clk_get_enabled" },
	{ 0x1a018ba0, "devm_clk_get_optional_enabled" },
	{ 0x9e8a20a9, "platform_get_irq" },
	{ 0xd64787e1, "of_graph_get_remote_node" },
	{ 0x8765b7e6, "of_drm_find_bridge" },
	{ 0xba8e2979, "of_property_read_variable_u32_array" },
	{ 0xfbb44286, "platform_get_resource" },
	{ 0x890bb903, "devm_ioremap_resource" },
	{ 0x7b0c7a8f, "__devm_regmap_init_mmio_clk" },
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0x560768da, "devm_pinctrl_get" },
	{ 0xd1d5ed3a, "pinctrl_lookup_state" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdd94f364, "i2c_add_adapter" },
	{ 0x4451fa23, "platform_device_register_full" },
	{ 0x8f10f007, "drm_bridge_add" },
	{ 0x0bbad260, "devm_kfree" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0xd4d69463, "drm_hdmi_infoframe_set_hdr_metadata" },
	{ 0xe4bc2c2f, "hdmi_drm_infoframe_pack" },
	{ 0x9415368b, "drm_atomic_get_new_connector_for_encoder" },
	{ 0x1ffb4d26, "drm_helper_hpd_irq_event" },
	{ 0x5f3b55c7, "drm_bridge_hpd_notify" },
	{ 0xce980da4, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0xbd1ab865, "drm_atomic_helper_bridge_destroy_state" },
	{ 0xee072edf, "drm_atomic_helper_bridge_reset" },
	{ 0x9dfcf60f, "drm_helper_probe_single_connector_modes" },
	{ 0x4230a92c, "drm_connector_cleanup" },
	{ 0xdd195497, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xf38f626f, "drm_atomic_helper_connector_destroy_state" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "cec,drm_display_helper");


MODULE_INFO(srcversion, "FA3751636785E3C03B183C8");
