#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_wake_timeout_setup, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write_payload, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_clear_payload, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_poll_act_handled, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dump_lttpr_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_set_transparent_mode, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_init, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_as_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_queue_probe, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_aux_for_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_dump_config, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_connector_hdmi_audio_plugged_notify, "", "");
KSYMTAB_FUNC(drm_connector_hdmi_audio_init, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_hdmi_compute_mode_clock, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_hdmi_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_check, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_mode_valid, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_infoframes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_hotplug, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_hdmi_force, "", "");

SYMBOL_CRC(drm_bridge_connector_init, 0x566b98f2, "_gpl");
SYMBOL_CRC(drm_dp_dual_mode_read, 0xe5287308, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x8734f5df, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x2841829a, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x2d9603f8, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x5f8e6792, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0xf352c2c7, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x5a6b870f, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x86607abd, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0xae8b8299, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0xa4ed1cca, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0xbf0fa734, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x4c213833, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x36e43ab1, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x7b1b4a34, "");
SYMBOL_CRC(drm_dp_lttpr_wake_timeout_setup, 0xb6af462c, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x7ac3e658, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x45e1ebc4, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0xb2941030, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x7979cef2, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0xa9d2a8b3, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x4772611c, "");
SYMBOL_CRC(drm_dp_dpcd_write_payload, 0xae33b480, "");
SYMBOL_CRC(drm_dp_dpcd_clear_payload, 0xd2cda48f, "");
SYMBOL_CRC(drm_dp_dpcd_poll_act_handled, 0xb92dfd4d, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0xd7e89ed4, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x5d6243ae, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0xd5b482af, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x30857ea9, "");
SYMBOL_CRC(drm_dp_downstream_id, 0xa348a8f8, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x8ec4208a, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x78e36417, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0xe822f69e, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x8433d4da, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x1d0d7352, "");
SYMBOL_CRC(drm_dp_aux_init, 0x0e02ff55, "");
SYMBOL_CRC(drm_dp_aux_register, 0x7dcc4176, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0xbaece5bb, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0xfbd3cf6e, "");
SYMBOL_CRC(drm_dp_stop_crc, 0x228036dd, "");
SYMBOL_CRC(drm_dp_read_desc, 0xfd8b3163, "");
SYMBOL_CRC(drm_dp_dump_lttpr_desc, 0xbbcb8176, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0x635ce576, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x3db9c465, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_set_transparent_mode, 0xc590ba7e, "");
SYMBOL_CRC(drm_dp_lttpr_init, 0xe81b84b0, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0xd58b75d3, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0xf2f02091, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0x501de16d, "");
SYMBOL_CRC(drm_dp_as_sdp_log, 0x7aa650cb, "");
SYMBOL_CRC(drm_dp_as_sdp_supported, 0x24823335, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x1d386b94, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xb9234c4d, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0xa3077460, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0xbcff703b, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x2c58b172, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0xbe9aafa3, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x56cfd9ae, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x22309ec3, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0xf3f90061, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x79bfce5d, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0xf147317e, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0xd4d47494, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x9b6e8d36, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0x20b2c6d0, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x349d74aa, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x51eb8737, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x4728cfc6, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x300fe873, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x8671f70f, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x7c0aa71b, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x372de467, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x3b36f7cf, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x2f57ef6a, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x182c8a0f, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0xa7f5479b, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x66d9b573, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x7c583e1c, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x0edd7e5f, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0x754a719e, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0xed113564, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xa59ae7ea, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0xace99195, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x78b09a4c, "");
SYMBOL_CRC(drm_dp_mst_topology_queue_probe, 0x0ab4f31d, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0x974ff111, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0x80982297, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x7851e431, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0x8bf9cd49, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x6e4ff67f, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0xcd272d95, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x04e8fc9e, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0xd10a29b9, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0xcb19b995, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0xb8f0bde2, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0xb12f1733, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x8f27506b, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x596fc548, "");
SYMBOL_CRC(drm_dp_check_act_status, 0xc06e0189, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x091e8993, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x12fa9ee2, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x3d1f458e, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0xead15cca, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0x3ac6135c, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0xfed63a61, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x7243c0c7, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0xf22ffe92, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x46e7e8d1, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xbac33188, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0xbcca05c5, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0xc3537fed, "");
SYMBOL_CRC(drm_dp_mst_aux_for_parent, 0x0a5dd77b, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x9f90fcac, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dsc_dump_config, 0x367395af, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0xbf53bc1b, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x91bd0f31, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0xc2208378, "");
SYMBOL_CRC(drm_connector_hdmi_audio_plugged_notify, 0xa4204550, "");
SYMBOL_CRC(drm_connector_hdmi_audio_init, 0x2c36b3bb, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0xd4d69463, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x9fc65ccc, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0x4a26e572, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x260be0b2, "");
SYMBOL_CRC(drm_hdmi_compute_mode_clock, 0x7f3fbad7, "");
SYMBOL_CRC(drm_scdc_read, 0x20621bba, "");
SYMBOL_CRC(drm_scdc_write, 0x87a978bd, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0xd9936c91, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0x67df2da1, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0x963f6f98, "");
SYMBOL_CRC(__drm_atomic_helper_connector_hdmi_reset, 0x525fe4af, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_check, 0x74bcf1fd, "");
SYMBOL_CRC(drm_hdmi_connector_mode_valid, 0xd6ed5a21, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_infoframes, 0x7e2b5eb8, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_update_audio_infoframe, 0x59a6f6e0, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_clear_audio_infoframe, 0x083c4659, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_hotplug, 0x6b39dd4b, "");
SYMBOL_CRC(drm_atomic_helper_connector_hdmi_force, 0x9affe36a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8da9a025, "drm_crtc_add_crc_entry" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xce55c796, "drm_atomic_get_private_obj_state" },
	{ 0x2d4c773a, "hdmi_spd_infoframe_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6063f063, "__drm_printfn_dbg" },
	{ 0x37f01d64, "drm_bridge_hpd_enable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xdfc8376e, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x405385ff, "of_graph_parse_endpoint" },
	{ 0x4829a47e, "memcpy" },
	{ 0x0526c62e, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x037a0cba, "kfree" },
	{ 0x5f7137ba, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xbd3c70fb, "drm_connector_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0xc1e1fd76, "drm_mode_object_put" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x223e1b72, "request_firmware_direct" },
	{ 0x6a111a45, "drm_edid_connector_update" },
	{ 0x1a43dab7, "drm_bridge_hpd_disable" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x9c756908, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x117ee523, "drm_atomic_private_obj_fini" },
	{ 0xf38f626f, "drm_atomic_helper_connector_destroy_state" },
	{ 0xa916b694, "strnlen" },
	{ 0x9531882f, "drm_bridge_edid_read" },
	{ 0x4ed13a49, "drm_property_create_enum" },
	{ 0x661dfa8d, "drm_dev_printk" },
	{ 0xaa5c4ff6, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xc3f01171, "drm_atomic_get_crtc_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x661ca2a8, "drm_crtc_wait_one_vblank" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x265069dc, "drm_modeset_lock" },
	{ 0x1a428a4e, "drm_modeset_unlock" },
	{ 0xe8ab46ab, "drm_panel_bridge_set_orientation" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x3a3a0b7b, "drm_edid_connector_add_modes" },
	{ 0x273dc9d6, "drm_hdmi_connector_get_output_format_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf6cf200e, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc5ff0434, "drm_edid_read" },
	{ 0x6e50cfbb, "seq_putc" },
	{ 0xde8c28e4, "drm_kms_helper_connector_hotplug_event" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xf88a494f, "drm_crtc_commit_wait" },
	{ 0xb263121a, "drm_connector_dynamic_register" },
	{ 0xc44b0586, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8c637a8f, "drmm_connector_init" },
	{ 0x7b563d6d, "drm_object_attach_property" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x0ea593f6, "hdmi_drm_infoframe_init" },
	{ 0x453a4791, "drm_atomic_get_old_private_obj_state" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xc2137c9b, "__drm_dev_dbg" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x78448fe2, "drmm_kmalloc" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x499d513b, "fwnode_handle_get" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xdd195497, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xdd94f364, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x76b1a451, "drm_object_property_set_value" },
	{ 0x4451fa23, "platform_device_register_full" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe4394eb5, "drm_kms_helper_hotplug_event" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x5ef1f1bb, "drm_bridge_is_panel" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17759e36, "seq_printf" },
	{ 0x9dfcf60f, "drm_helper_probe_single_connector_modes" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0x233092d7, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0x83380397, "i2c_transfer" },
	{ 0x624433da, "drm_display_mode_from_cea_vic" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb6f358c2, "drm_atomic_helper_connector_reset" },
	{ 0x6d000c21, "drm_sysfs_connector_property_event" },
	{ 0x38892de6, "drmm_connector_hdmi_init" },
	{ 0x062cfb76, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x6278ecb7, "drm_atomic_get_connector_state" },
	{ 0x5e5128bf, "drm_edid_get_monitor_name" },
	{ 0x1594a5fc, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9D98AADF48EBF5340651F18");
