#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mipi_dbi_command_read, "", "");
KSYMTAB_FUNC(mipi_dbi_command_buf, "", "");
KSYMTAB_FUNC(mipi_dbi_command_stackbuf, "", "");
KSYMTAB_FUNC(mipi_dbi_buf_copy, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_mode_valid, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_update, "", "");
KSYMTAB_FUNC(mipi_dbi_enable_flush, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_disable, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_begin_fb_access, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_end_fb_access, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_reset_plane, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_duplicate_plane_state, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_destroy_plane_state, "", "");
KSYMTAB_FUNC(mipi_dbi_dev_init_with_formats, "", "");
KSYMTAB_FUNC(mipi_dbi_dev_init, "", "");
KSYMTAB_FUNC(mipi_dbi_hw_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_display_is_on, "", "");
KSYMTAB_FUNC(mipi_dbi_poweron_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_poweron_conditional_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_cmd_max_speed, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_init, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_transfer, "", "");
KSYMTAB_FUNC(mipi_dbi_debugfs_init, "", "");

SYMBOL_CRC(mipi_dbi_command_read, 0x9caebb75, "");
SYMBOL_CRC(mipi_dbi_command_buf, 0x95d68a54, "");
SYMBOL_CRC(mipi_dbi_command_stackbuf, 0x7a2ebf68, "");
SYMBOL_CRC(mipi_dbi_buf_copy, 0x2a661125, "");
SYMBOL_CRC(mipi_dbi_pipe_mode_valid, 0x85ad2841, "");
SYMBOL_CRC(mipi_dbi_pipe_update, 0xeb694324, "");
SYMBOL_CRC(mipi_dbi_enable_flush, 0xf51ddbb0, "");
SYMBOL_CRC(mipi_dbi_pipe_disable, 0x2470f7ea, "");
SYMBOL_CRC(mipi_dbi_pipe_begin_fb_access, 0x86f9d898, "");
SYMBOL_CRC(mipi_dbi_pipe_end_fb_access, 0x8ecc352b, "");
SYMBOL_CRC(mipi_dbi_pipe_reset_plane, 0x3a958c47, "");
SYMBOL_CRC(mipi_dbi_pipe_duplicate_plane_state, 0x31b32005, "");
SYMBOL_CRC(mipi_dbi_pipe_destroy_plane_state, 0x0cf8b1ea, "");
SYMBOL_CRC(mipi_dbi_dev_init_with_formats, 0xa8f060d5, "");
SYMBOL_CRC(mipi_dbi_dev_init, 0xf6dd323d, "");
SYMBOL_CRC(mipi_dbi_hw_reset, 0x19baec98, "");
SYMBOL_CRC(mipi_dbi_display_is_on, 0x46a5c69f, "");
SYMBOL_CRC(mipi_dbi_poweron_reset, 0x36ee6c42, "");
SYMBOL_CRC(mipi_dbi_poweron_conditional_reset, 0xee4d6d93, "");
SYMBOL_CRC(mipi_dbi_spi_cmd_max_speed, 0xc26a2c15, "");
SYMBOL_CRC(mipi_dbi_spi_init, 0x27c94ee4, "");
SYMBOL_CRC(mipi_dbi_spi_transfer, 0x72d43c85, "");
SYMBOL_CRC(mipi_dbi_debugfs_init, 0xbdeeaac6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x037a0cba, "kfree" },
	{ 0x3c45e661, "drm_gem_fb_get_obj" },
	{ 0x6071bb44, "drm_gem_fb_begin_cpu_access" },
	{ 0xc98737a6, "drm_fb_memcpy" },
	{ 0xfc62b044, "drm_gem_fb_end_cpu_access" },
	{ 0x41b1a2dd, "drm_fb_xrgb8888_to_rgb565" },
	{ 0x69af8192, "drm_fb_swab" },
	{ 0xdd9a8026, "drm_fb_xrgb8888_to_rgb888" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x3543a442, "drm_crtc_helper_mode_valid_fixed" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc2137c9b, "__drm_dev_dbg" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x75dbab57, "drm_dev_enter" },
	{ 0x0f8ea8aa, "drm_atomic_helper_damage_merged" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x377cb05b, "drm_gem_begin_shadow_fb_access" },
	{ 0x5a9ab19c, "drm_gem_end_shadow_fb_access" },
	{ 0xec4903d5, "drm_gem_reset_shadow_plane" },
	{ 0x13d21c36, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x0bceabba, "drm_gem_destroy_shadow_plane_state" },
	{ 0x082a76fe, "drmm_mode_config_init" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x213df159, "drm_connector_init" },
	{ 0x1e9e77db, "drm_simple_display_pipe_init" },
	{ 0x806131ab, "drm_plane_enable_fb_damage_clips" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x80ca37fe, "drm_connector_helper_get_modes_fixed" },
	{ 0x63695201, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0xdcb764ad, "memset" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x11089ac7, "_ctype" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0x17759e36, "seq_printf" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0xfa1413a8, "regulator_disable" },
	{ 0x69890215, "spi_sync_locked" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf0324ce1, "spi_sync" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xe3ce3255, "spi_bus_lock" },
	{ 0x6b550372, "spi_bus_unlock" },
	{ 0x4829a47e, "memcpy" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x69353664, "__drm_debug" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc2aae440, "regulator_enable" },
	{ 0x661dfa8d, "drm_dev_printk" },
	{ 0x360694df, "seq_lseek" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x61704e7f, "single_release" },
	{ 0xb23e928f, "drm_gem_fb_create_with_dirty" },
	{ 0xfcfe2066, "drm_atomic_helper_check" },
	{ 0xc7e1be16, "drm_atomic_helper_commit" },
	{ 0xb6f358c2, "drm_atomic_helper_connector_reset" },
	{ 0x9dfcf60f, "drm_helper_probe_single_connector_modes" },
	{ 0x4230a92c, "drm_connector_cleanup" },
	{ 0xdd195497, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xf38f626f, "drm_atomic_helper_connector_destroy_state" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3A6F0CDD2C59A1E9301388F");
