#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xc6ac3c8c, "");
SYMBOL_CRC(drm_gem_vram_put, 0xf21b159b, "");
SYMBOL_CRC(drm_gem_vram_offset, 0xfe9b8e59, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x625dd8ac, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x7719590d, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x8b9568f3, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0xab95131f, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x85cb3622, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x73a73e3d, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x56cc1e8d, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x70b4842e, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xab25931d, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x9d9a00aa, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xd6f40a9e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4bf0de4a, "ttm_range_man_init_nocheck" },
	{ 0xfd6a2051, "ww_mutex_lock_interruptible" },
	{ 0x4a6198fb, "ttm_resource_manager_debug" },
	{ 0x4c55853c, "ww_mutex_unlock" },
	{ 0x037a0cba, "kfree" },
	{ 0x57bb1af3, "ttm_range_man_fini_nocheck" },
	{ 0x53b48956, "drm_gem_object_init" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0x54c461c6, "ttm_bo_pin" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0xcdf022da, "drm_gem_ttm_mmap" },
	{ 0x8eb86d9d, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x0c36564e, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x59cbcb3c, "drm_gem_object_release" },
	{ 0x990fe77d, "ttm_tt_init" },
	{ 0x1d8eb6fd, "drm_gem_handle_create" },
	{ 0x3c45e661, "drm_gem_fb_get_obj" },
	{ 0xbcb97abd, "ttm_bo_unpin" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0xd395d7b8, "drm_debugfs_add_files" },
	{ 0xd1348c35, "ttm_bo_init_validate" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5c02a157, "ttm_device_init" },
	{ 0x1188c456, "ttm_bo_validate" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x81d5a934, "ttm_bo_move_to_lru_tail" },
	{ 0x981488bd, "ttm_bo_vmap" },
	{ 0x44e1f1fd, "ttm_bo_put" },
	{ 0xf129d56a, "ttm_resource_free" },
	{ 0xc1fd18a5, "ttm_bo_move_memcpy" },
	{ 0x411bdb42, "ttm_tt_fini" },
	{ 0x23999398, "ttm_device_fini" },
	{ 0xc55e4a3a, "drm_gem_plane_helper_prepare_fb" },
	{ 0x3fbf075b, "ttm_bo_eviction_valuable" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x73002102, "drm_gem_ttm_print_info" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "BE91EDF4E1BA70D0E0DCB4B");
