#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_sched_tdr_queue_imm, "", "");
KSYMTAB_FUNC(drm_sched_fault, "", "");
KSYMTAB_FUNC(drm_sched_suspend_timeout, "", "");
KSYMTAB_FUNC(drm_sched_resume_timeout, "", "");
KSYMTAB_FUNC(drm_sched_stop, "", "");
KSYMTAB_FUNC(drm_sched_start, "", "");
KSYMTAB_FUNC(drm_sched_resubmit_jobs, "", "");
KSYMTAB_FUNC(drm_sched_job_init, "", "");
KSYMTAB_FUNC(drm_sched_job_arm, "", "");
KSYMTAB_FUNC(drm_sched_job_add_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_syncobj_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_resv_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_add_implicit_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_has_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_cleanup, "", "");
KSYMTAB_FUNC(drm_sched_pick_best, "", "");
KSYMTAB_FUNC(drm_sched_init, "", "");
KSYMTAB_FUNC(drm_sched_fini, "", "");
KSYMTAB_FUNC(drm_sched_increase_karma, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_ready, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_stop, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_start, "", "");
KSYMTAB_FUNC(to_drm_sched_fence, "", "");
KSYMTAB_FUNC(drm_sched_entity_init, "", "");
KSYMTAB_FUNC(drm_sched_entity_modify_sched, "", "");
KSYMTAB_FUNC(drm_sched_entity_error, "", "");
KSYMTAB_FUNC(drm_sched_entity_flush, "", "");
KSYMTAB_FUNC(drm_sched_entity_fini, "", "");
KSYMTAB_FUNC(drm_sched_entity_destroy, "", "");
KSYMTAB_FUNC(drm_sched_entity_set_priority, "", "");
KSYMTAB_FUNC(drm_sched_entity_push_job, "", "");

SYMBOL_CRC(drm_sched_tdr_queue_imm, 0xb1e5ba38, "");
SYMBOL_CRC(drm_sched_fault, 0x7102c5cd, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0x52350b3d, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0xcf08acc1, "");
SYMBOL_CRC(drm_sched_stop, 0x48ae4920, "");
SYMBOL_CRC(drm_sched_start, 0x58c48988, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0xa03bf848, "");
SYMBOL_CRC(drm_sched_job_init, 0x94b67854, "");
SYMBOL_CRC(drm_sched_job_arm, 0x8393f3d7, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0x809a258f, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0x91abed1f, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0x9989495e, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0xa025568c, "");
SYMBOL_CRC(drm_sched_job_has_dependency, 0xe98f2d06, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0xb9a0402b, "");
SYMBOL_CRC(drm_sched_pick_best, 0xc28225f5, "");
SYMBOL_CRC(drm_sched_init, 0xf92fd03f, "");
SYMBOL_CRC(drm_sched_fini, 0xc3c8d4e2, "");
SYMBOL_CRC(drm_sched_increase_karma, 0x2f9620a9, "");
SYMBOL_CRC(drm_sched_wqueue_ready, 0x0b147664, "");
SYMBOL_CRC(drm_sched_wqueue_stop, 0x09053396, "");
SYMBOL_CRC(drm_sched_wqueue_start, 0x995aeb2f, "");
SYMBOL_CRC(to_drm_sched_fence, 0xe3d34e4e, "");
SYMBOL_CRC(drm_sched_entity_init, 0xeba5668e, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0xceaee9a6, "");
SYMBOL_CRC(drm_sched_entity_error, 0x871e5de3, "");
SYMBOL_CRC(drm_sched_entity_flush, 0xa952c3cc, "");
SYMBOL_CRC(drm_sched_entity_fini, 0x53eae8a9, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0xafbad75c, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0x26a6a10b, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0x2b5ab20b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x139043ff, "drm_syncobj_find_fence" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0xccaf994e, "dma_fence_set_deadline" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x3139c825, "dma_resv_iter_next" },
	{ 0x70daa11e, "dma_fence_remove_callback" },
	{ 0x661dfa8d, "drm_dev_printk" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x44738de8, "kmem_cache_free" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x13f403d0, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xdbe18e1a, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x0745a981, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x00aa1603, "xa_find" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x042c3f1d, "dma_resv_iter_first" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x98cf60b3, "strlen" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "015A2D30DD4E0D93BEF9158");
