#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__vmbus_driver_register, "_gpl", "");
KSYMTAB_FUNC(vmbus_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(hv_create_ring_sysfs, "_gpl", "");
KSYMTAB_FUNC(hv_remove_ring_sysfs, "_gpl", "");
KSYMTAB_FUNC(vmbus_device_unregister, "_gpl", "");
KSYMTAB_FUNC(vmbus_allocate_mmio, "_gpl", "");
KSYMTAB_FUNC(vmbus_free_mmio, "_gpl", "");
KSYMTAB_DATA(vmbus_connection, "_gpl", "");
KSYMTAB_DATA(vmbus_proto_version, "_gpl", "");
KSYMTAB_FUNC(vmbus_set_event, "_gpl", "");
KSYMTAB_FUNC(vmbus_setevent, "_gpl", "");
KSYMTAB_FUNC(vmbus_free_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_alloc_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_send_tl_connect_request, "_gpl", "");
KSYMTAB_FUNC(vmbus_send_modifychannel, "_gpl", "");
KSYMTAB_FUNC(vmbus_establish_gpadl, "_gpl", "");
KSYMTAB_FUNC(vmbus_connect_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_open, "_gpl", "");
KSYMTAB_FUNC(vmbus_teardown_gpadl, "_gpl", "");
KSYMTAB_FUNC(vmbus_disconnect_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_close, "_gpl", "");
KSYMTAB_FUNC(vmbus_sendpacket_getid, "", "");
KSYMTAB_FUNC(vmbus_sendpacket, "", "");
KSYMTAB_FUNC(vmbus_sendpacket_mpb_desc, "_gpl", "");
KSYMTAB_FUNC(vmbus_recvpacket, "", "");
KSYMTAB_FUNC(vmbus_recvpacket_raw, "_gpl", "");
KSYMTAB_FUNC(vmbus_next_request_id, "_gpl", "");
KSYMTAB_FUNC(__vmbus_request_addr_match, "_gpl", "");
KSYMTAB_FUNC(vmbus_request_addr_match, "_gpl", "");
KSYMTAB_FUNC(vmbus_request_addr, "_gpl", "");
KSYMTAB_DATA(vmbus_devs, "_gpl", "");
KSYMTAB_FUNC(vmbus_prep_negotiate_resp, "_gpl", "");
KSYMTAB_FUNC(vmbus_hvsock_device_unregister, "_gpl", "");
KSYMTAB_FUNC(vmbus_set_sc_create_callback, "_gpl", "");
KSYMTAB_FUNC(vmbus_set_chn_rescind_callback, "_gpl", "");
KSYMTAB_FUNC(hv_ringbuffer_get_debuginfo, "_gpl", "");
KSYMTAB_FUNC(hv_ringbuffer_spinlock_busy, "_gpl", "");
KSYMTAB_FUNC(hv_pkt_iter_first, "_gpl", "");
KSYMTAB_FUNC(__hv_pkt_iter_next, "_gpl", "");
KSYMTAB_FUNC(hv_pkt_iter_close, "_gpl", "");

SYMBOL_CRC(__vmbus_driver_register, 0x621ae186, "_gpl");
SYMBOL_CRC(vmbus_driver_unregister, 0x64142e1f, "_gpl");
SYMBOL_CRC(hv_create_ring_sysfs, 0xf36f430a, "_gpl");
SYMBOL_CRC(hv_remove_ring_sysfs, 0xc0efa73c, "_gpl");
SYMBOL_CRC(vmbus_device_unregister, 0x72b5dd60, "_gpl");
SYMBOL_CRC(vmbus_allocate_mmio, 0x5f63c08c, "_gpl");
SYMBOL_CRC(vmbus_free_mmio, 0x31e2e77f, "_gpl");
SYMBOL_CRC(vmbus_connection, 0x0d87abc2, "_gpl");
SYMBOL_CRC(vmbus_proto_version, 0x46a417ca, "_gpl");
SYMBOL_CRC(vmbus_set_event, 0x2cc15927, "_gpl");
SYMBOL_CRC(vmbus_setevent, 0xdcefff73, "_gpl");
SYMBOL_CRC(vmbus_free_ring, 0x970ae173, "_gpl");
SYMBOL_CRC(vmbus_alloc_ring, 0xba91dcbb, "_gpl");
SYMBOL_CRC(vmbus_send_tl_connect_request, 0x4b2210b8, "_gpl");
SYMBOL_CRC(vmbus_send_modifychannel, 0x0f3176ea, "_gpl");
SYMBOL_CRC(vmbus_establish_gpadl, 0xff43f84c, "_gpl");
SYMBOL_CRC(vmbus_connect_ring, 0x0aace721, "_gpl");
SYMBOL_CRC(vmbus_open, 0xa408d736, "_gpl");
SYMBOL_CRC(vmbus_teardown_gpadl, 0x214e25b5, "_gpl");
SYMBOL_CRC(vmbus_disconnect_ring, 0x16c92625, "_gpl");
SYMBOL_CRC(vmbus_close, 0xaabe1d35, "_gpl");
SYMBOL_CRC(vmbus_sendpacket_getid, 0x726543ec, "");
SYMBOL_CRC(vmbus_sendpacket, 0xcb4cb586, "");
SYMBOL_CRC(vmbus_sendpacket_mpb_desc, 0x4f6b90b9, "_gpl");
SYMBOL_CRC(vmbus_recvpacket, 0xcc443394, "");
SYMBOL_CRC(vmbus_recvpacket_raw, 0x0ba28e63, "_gpl");
SYMBOL_CRC(vmbus_next_request_id, 0x60ae9f46, "_gpl");
SYMBOL_CRC(__vmbus_request_addr_match, 0xc3a19049, "_gpl");
SYMBOL_CRC(vmbus_request_addr_match, 0x691ba23f, "_gpl");
SYMBOL_CRC(vmbus_request_addr, 0x3cc80a82, "_gpl");
SYMBOL_CRC(vmbus_devs, 0x59a7261d, "_gpl");
SYMBOL_CRC(vmbus_prep_negotiate_resp, 0x321055cb, "_gpl");
SYMBOL_CRC(vmbus_hvsock_device_unregister, 0xd2747d70, "_gpl");
SYMBOL_CRC(vmbus_set_sc_create_callback, 0x1a016396, "_gpl");
SYMBOL_CRC(vmbus_set_chn_rescind_callback, 0x07953b93, "_gpl");
SYMBOL_CRC(hv_ringbuffer_get_debuginfo, 0x674e657e, "_gpl");
SYMBOL_CRC(hv_ringbuffer_spinlock_busy, 0xa25c52e6, "_gpl");
SYMBOL_CRC(hv_pkt_iter_first, 0x022ece22, "_gpl");
SYMBOL_CRC(__hv_pkt_iter_next, 0x733d95dd, "_gpl");
SYMBOL_CRC(hv_pkt_iter_close, 0xaa4eff27, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd5f3bb7b, "set_memory_encrypted" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xbdb2217d, "hv_is_isolation_supported" },
	{ 0xa17e57fa, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf61c6b74, "hv_do_hypercall" },
	{ 0x3c0e8050, "hyperv_pcpu_input_arg" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb5b6fb04, "hv_get_vpreg" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x31128b8e, "hv_remove_kexec_handler" },
	{ 0x56c70ad7, "housekeeping_cpumask" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x1239b4f2, "platform_driver_unregister" },
	{ 0x4c122b87, "vmalloc_to_page" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x88c3ff56, "pci_dev_put" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7238d393, "driver_attach" },
	{ 0x21b6bf80, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x0f9b65ac, "pci_get_device" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0xa2f7487f, "hv_is_hibernation_supported" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfa1eb910, "unregister_syscore_ops" },
	{ 0x94961283, "vunmap" },
	{ 0x037a0cba, "kfree" },
	{ 0x515824d8, "alloc_cpumask_var_node" },
	{ 0xf9f00b6a, "kset_unregister" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0x16dfbf36, "add_interrupt_randomness" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xfb254be7, "get_device" },
	{ 0xc3876c1a, "hv_isolation_type_snp" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8e9bd4a3, "hv_alloc_hyperv_page" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x07ceeac9, "panic_notifier_list" },
	{ 0xfe74adf3, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xaf7adc45, "put_device" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x618911fc, "numa_node" },
	{ 0xf9968f9c, "__free_pages" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xdd3344e7, "of_pci_range_parser_one" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x10b97eb1, "device_get_dma_attr" },
	{ 0x57e30689, "driver_set_override" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0xe8a02608, "efi" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x402bdcdf, "sysfs_update_group" },
	{ 0xc714fb11, "bus_unregister" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x13b9e193, "acpi_dev_resource_interrupt" },
	{ 0x5f2decaa, "hv_setup_dma_ops" },
	{ 0x7bb045a7, "__request_percpu_irq" },
	{ 0xc25b8971, "hv_remove_crash_handler" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x08900eec, "lockdep_assert_cpus_held" },
	{ 0x27df3105, "hv_alloc_hyperv_zeroed_page" },
	{ 0x31e6b7e7, "driver_unregister" },
	{ 0x09c00164, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe9937fbc, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x17c77374, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xee006366, "hv_isolation_type_tdx" },
	{ 0xd1d5984d, "hv_setup_crash_handler" },
	{ 0xc6d1920b, "device_register" },
	{ 0x13f403d0, "bpf_trace_run1" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x0eca48d2, "prot_ns_shared" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8b89f01c, "hv_ghcb_hypercall" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xb9c425de, "register_syscore_ops" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xbc6bec66, "free_percpu_irq" },
	{ 0x2c86a755, "hv_tdx_hypercall" },
	{ 0x68d2fcf7, "__cpuhp_setup_state_cpuslocked" },
	{ 0xab1e0e93, "hv_setup_kexec_handler" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbdc8c686, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x69566392, "__platform_driver_register" },
	{ 0x7b001020, "sysfs_remove_group" },
	{ 0x4d9aa654, "rsi_present" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x2ffedb6b, "hv_free_hyperv_page" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0xc683da81, "set_memory_decrypted" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x335c570f, "enable_percpu_irq" },
	{ 0x3fae6ab0, "hv_vp_index" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x90a9d8cc, "hv_is_hyperv_initialized" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6f7766ca, "cpu_all_bits" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7589f67e, "ms_hyperv" },
	{ 0x5016e1aa, "kobject_uevent" },
	{ 0xeaf8469d, "hv_do_fast_hypercall8" },
	{ 0x6a5de1bb, "alloc_pages_noprof" },
	{ 0x7bbccd05, "nr_node_ids" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0x8c7f9708, "of_pci_range_parser_init" },
	{ 0xa96e8b4e, "hv_setup_vmbus_handler" },
	{ 0x8ba0eb15, "hv_set_vpreg" },
	{ 0x84356c33, "set_primary_fwnode" },
	{ 0x77358855, "iomem_resource" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x35215603, "ioremap_prot" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x303bdda4, "driver_register" },
	{ 0x743b623c, "__cpuhp_remove_state" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x3abde4ed, "node_to_cpumask_map" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf21e1f9b, "disable_percpu_irq" },
	{ 0x6be3a96b, "hv_remove_vmbus_handler" },
	{ 0x43d13e73, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x418cc961, "kset_create_and_add" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x9b26e08c, "kobject_put" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cmicrosoft,vmbus");
MODULE_ALIAS("of:N*T*Cmicrosoft,vmbusC*");
MODULE_ALIAS("acpi*:VMBUS:*");
MODULE_ALIAS("acpi*:VMBus:*");

MODULE_INFO(srcversion, "5AD2EF1AA8E9D7792A5E271");
