#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i2c_dw_fw_parse_and_configure, "_gpl", "I2C_DW_COMMON");
KSYMTAB_FUNC(i2c_dw_prepare_clk, "_gpl", "I2C_DW_COMMON");
KSYMTAB_FUNC(i2c_dw_disable, "_gpl", "I2C_DW_COMMON");
KSYMTAB_FUNC(i2c_dw_probe, "_gpl", "I2C_DW_COMMON");
KSYMTAB_DATA(i2c_dw_dev_pm_ops, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_configure_master, "_gpl", "I2C_DW");
KSYMTAB_FUNC(i2c_dw_probe_master, "_gpl", "I2C_DW");
KSYMTAB_FUNC(i2c_dw_configure_slave, "_gpl", "I2C_DW");
KSYMTAB_FUNC(i2c_dw_probe_slave, "_gpl", "I2C_DW");

SYMBOL_CRC(i2c_dw_fw_parse_and_configure, 0xc21c8b55, "_gpl");
SYMBOL_CRC(i2c_dw_prepare_clk, 0x2dcce47c, "_gpl");
SYMBOL_CRC(i2c_dw_disable, 0x2442eade, "_gpl");
SYMBOL_CRC(i2c_dw_probe, 0x8ba993d9, "_gpl");
SYMBOL_CRC(i2c_dw_dev_pm_ops, 0x2c06d601, "_gpl");
SYMBOL_CRC(i2c_dw_configure_master, 0x6cd66eef, "_gpl");
SYMBOL_CRC(i2c_dw_probe_master, 0x7f4c3fb4, "_gpl");
SYMBOL_CRC(i2c_dw_configure_slave, 0xb71973ce, "_gpl");
SYMBOL_CRC(i2c_dw_probe_slave, 0x41d07ed6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x550f3e05, "i2c_freq_mode_string" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xd6fe4216, "devm_platform_ioremap_resource" },
	{ 0xa17e57fa, "is_acpi_device_node" },
	{ 0xb5608833, "of_fwnode_ops" },
	{ 0x2f0f2d47, "regmap_write" },
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x9a4e9922, "i2c_recover_bus" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x25bf5269, "i2c_generic_scl_recovery" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3a345794, "devm_gpiod_get_optional" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x8d47a34d, "device_set_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe147d445, "i2c_add_numbered_adapter" },
	{ 0xb752f23f, "device_property_read_u32_array" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xaa6431ee, "i2c_slave_event" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xa8bea9cd, "is_acpi_data_node" },
	{ 0x6b95b303, "i2c_parse_fw_timings" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x0f08c8ad, "regmap_read" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x560768da, "devm_pinctrl_get" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xa9319bdb, "device_property_read_bool" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x126d6b35, "regmap_update_bits_base" },
	{ 0x90543b57, "__pm_runtime_suspend" },
	{ 0xe10e5814, "i2c_acpi_find_bus_speed" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe337f3ab, "__dev_fwnode" },
	{ 0x35b35240, "__devm_regmap_init" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F68F88BF3CDEB1698A4A20D");
