#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69566392, "__platform_driver_register" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x1572ce77, "pinctrl_pm_select_idle_state" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0xed4dd054, "dma_release_channel" },
	{ 0xa6257a2f, "complete" },
	{ 0x1239b4f2, "platform_driver_unregister" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xaa5c4ff6, "i2c_del_adapter" },
	{ 0xcac10cc0, "pm_runtime_force_suspend" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xdcb764ad, "memset" },
	{ 0x4829a47e, "memcpy" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa17e57fa, "is_acpi_device_node" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xc65c1e1a, "pinctrl_pm_select_default_state" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9a4e9922, "i2c_recover_bus" },
	{ 0x6bd80b60, "__dma_sync_single_for_cpu" },
	{ 0xcbb796e8, "__dma_sync_single_for_device" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa1b02099, "device_get_match_data" },
	{ 0x20e3e0c5, "devm_platform_get_and_ioremap_resource" },
	{ 0x9e8a20a9, "platform_get_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0x6b95b303, "i2c_parse_fw_timings" },
	{ 0xa9319bdb, "device_property_read_bool" },
	{ 0x27d4fb8c, "of_device_is_compatible" },
	{ 0x5c28d70e, "pm_runtime_enable" },
	{ 0x84356c33, "set_primary_fwnode" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe147d445, "i2c_add_numbered_adapter" },
	{ 0x6507e9c9, "__pm_runtime_disable" },
	{ 0xd7c08570, "__devm_reset_control_get" },
	{ 0x2c21f723, "dev_err_probe" },
	{ 0x0c77736f, "devm_clk_bulk_get" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xed7808d8, "dma_request_chan" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0xaa2d03cd, "pm_runtime_irq_safe" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:NVDA0101:*");
MODULE_ALIAS("acpi*:NVDA0201:*");
MODULE_ALIAS("acpi*:NVDA0301:*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c-vi");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c-viC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2cC*");

MODULE_INFO(srcversion, "A418B4FFA50DD9DE890674C");
