#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8bab52ed, "i2c_register_driver" },
	{ 0xe54bc213, "i2c_smbus_read_byte_data" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x69d85294, "i2c_smbus_write_byte_data" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6b7a49e3, "iio_device_unregister" },
	{ 0x6507e9c9, "__pm_runtime_disable" },
	{ 0xa615dce4, "__pm_runtime_set_status" },
	{ 0xa102c397, "iio_triggered_buffer_cleanup" },
	{ 0x8e6b5843, "iio_trigger_unregister" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x90543b57, "__pm_runtime_suspend" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2c3fb628, "iio_push_event" },
	{ 0xfc20eeec, "iio_get_time_ns" },
	{ 0x3a8a9f62, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb99b4a5b, "i2c_del_driver" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xa17e57fa, "is_acpi_device_node" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x037a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9218f8be, "i2c_client_get_device_id" },
	{ 0xf40823be, "devm_iio_device_alloc" },
	{ 0x86c41c3b, "devm_regulator_bulk_get_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x57f6f7a1, "iio_triggered_buffer_setup_ext" },
	{ 0x2c21f723, "dev_err_probe" },
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0xfaa53195, "iio_device_id" },
	{ 0x551f3751, "__devm_iio_trigger_alloc" },
	{ 0xe69d603f, "iio_trigger_register" },
	{ 0xfb254be7, "get_device" },
	{ 0x77f0fb5f, "__module_get" },
	{ 0x5c28d70e, "pm_runtime_enable" },
	{ 0xf605185d, "pm_runtime_set_autosuspend_delay" },
	{ 0x3baa52b2, "__pm_runtime_use_autosuspend" },
	{ 0x209f5417, "__iio_device_register" },
	{ 0x14268f92, "iio_read_acpi_mount_matrix" },
	{ 0x5f01637c, "iio_read_mount_matrix" },
	{ 0xef11eccd, "iio_get_acpi_device_name_and_data" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a4cc27f, "i2c_smbus_read_i2c_block_data_or_emulated" },
	{ 0x1513c17a, "iio_push_to_buffers" },
	{ 0x30c47964, "iio_trigger_notify_done" },
	{ 0x0e52aa20, "iio_buffer_enabled" },
	{ 0xecf55745, "i2c_smbus_read_word_data" },
	{ 0x35dc6130, "iio_show_mount_matrix" },
	{ 0x0a3826ab, "iio_read_const_attr" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");

MODULE_ALIAS("acpi*:KIOX0008:*");
MODULE_ALIAS("acpi*:KIOX0009:*");
MODULE_ALIAS("acpi*:KIOX000A:*");
MODULE_ALIAS("acpi*:KIOX010A:*");
MODULE_ALIAS("acpi*:KIOX020A:*");
MODULE_ALIAS("acpi*:KXCJ1008:*");
MODULE_ALIAS("acpi*:KXCJ1013:*");
MODULE_ALIAS("acpi*:KXCJ9000:*");
MODULE_ALIAS("acpi*:KXJ2109:*");
MODULE_ALIAS("acpi*:KXTJ1009:*");
MODULE_ALIAS("acpi*:SMO8500:*");
MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013");
MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013C*");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9C*");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025C*");
MODULE_ALIAS("i2c:kxcjk1013");
MODULE_ALIAS("i2c:kxcj91008");
MODULE_ALIAS("i2c:kxtj21009");
MODULE_ALIAS("i2c:kxtf9");
MODULE_ALIAS("i2c:kx023-1025");

MODULE_INFO(srcversion, "85D679FB78B6C8111046BDE");
