#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0x11648241, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0xc2bcc9b3, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0x69e7fb6c, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0x4e99e6e1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa615dce4, "__pm_runtime_set_status" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x8e6b5843, "iio_trigger_unregister" },
	{ 0x411e77c3, "iio_trigger_free" },
	{ 0xa102c397, "iio_triggered_buffer_cleanup" },
	{ 0x6507e9c9, "__pm_runtime_disable" },
	{ 0xc6afc312, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0xda5c0b15, "hid_sensor_set_report_latency" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2f9353ef, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x57f6f7a1, "iio_triggered_buffer_setup_ext" },
	{ 0xfaa53195, "iio_device_id" },
	{ 0x1f7bcc60, "__iio_trigger_alloc" },
	{ 0xe69d603f, "iio_trigger_register" },
	{ 0xfb254be7, "get_device" },
	{ 0x77f0fb5f, "__module_get" },
	{ 0xf605185d, "pm_runtime_set_autosuspend_delay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5c28d70e, "pm_runtime_enable" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3baa52b2, "__pm_runtime_use_autosuspend" },
	{ 0x90543b57, "__pm_runtime_suspend" },
	{ 0xf0f4de45, "sensor_hub_device_close" },
	{ 0xd6e84ddd, "hid_sensor_get_usage_index" },
	{ 0x32fdfc16, "sensor_hub_set_feature" },
	{ 0x5b6bb7f7, "sensor_hub_get_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xda36a275, "sensor_hub_device_open" },
	{ 0x201d15c8, "hid_sensor_read_poll_value" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-iio-common");


MODULE_INFO(srcversion, "10020F6F33148E98120D4D0");
