#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(iio_bus_type, "", "");
KSYMTAB_FUNC(iio_device_id, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_enabled, "_gpl", "");
KSYMTAB_FUNC(iio_get_debugfs_dentry, "_gpl", "");
KSYMTAB_FUNC(iio_read_const_attr, "", "");
KSYMTAB_FUNC(iio_device_set_clock, "", "");
KSYMTAB_FUNC(iio_device_get_clock, "", "");
KSYMTAB_FUNC(iio_get_time_ns, "", "");
KSYMTAB_FUNC(iio_enum_available_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_write, "_gpl", "");
KSYMTAB_FUNC(iio_show_mount_matrix, "_gpl", "");
KSYMTAB_FUNC(iio_read_mount_matrix, "", "");
KSYMTAB_FUNC(iio_format_value, "_gpl", "");
KSYMTAB_FUNC(iio_str_to_fixpoint, "_gpl", "");
KSYMTAB_FUNC(iio_device_alloc, "", "");
KSYMTAB_FUNC(iio_device_free, "", "");
KSYMTAB_FUNC(devm_iio_device_alloc, "_gpl", "");
KSYMTAB_FUNC(iio_active_scan_mask_index, "_gpl", "");
KSYMTAB_FUNC(__iio_device_register, "", "");
KSYMTAB_FUNC(iio_device_unregister, "", "");
KSYMTAB_FUNC(__devm_iio_device_register, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_get_current_mode, "_gpl", "");
KSYMTAB_FUNC(iio_push_event, "", "");
KSYMTAB_FUNC(iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(iio_map_array_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(devm_fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release_all, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_average_raw, "_gpl", "");
KSYMTAB_FUNC(iio_convert_raw_to_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_offset, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_max_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_min_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_type, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_ext_info_count, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_label, "_gpl", "");
KSYMTAB_FUNC(iio_pop_from_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_init, "", "");
KSYMTAB_FUNC(iio_update_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_signal_dmabuf_done, "_gpl", "");
KSYMTAB_FUNC(iio_validate_scan_mask_onehot, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers_with_ts_unaligned, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_get, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_put, "_gpl", "");
KSYMTAB_FUNC(iio_device_attach_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_register, "", "");
KSYMTAB_FUNC(iio_trigger_unregister, "", "");
KSYMTAB_FUNC(iio_trigger_set_immutable, "", "");
KSYMTAB_FUNC(iio_trigger_poll, "", "");
KSYMTAB_FUNC(iio_trigger_generic_data_rdy_poll, "", "");
KSYMTAB_FUNC(iio_trigger_poll_nested, "", "");
KSYMTAB_FUNC(iio_trigger_notify_done, "", "");
KSYMTAB_FUNC(iio_pollfunc_store_time, "", "");
KSYMTAB_FUNC(iio_alloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(iio_dealloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(__iio_trigger_alloc, "", "");
KSYMTAB_FUNC(iio_trigger_free, "", "");
KSYMTAB_FUNC(__devm_iio_trigger_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_iio_trigger_register, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_using_own, "", "");
KSYMTAB_FUNC(iio_validate_own_trigger, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_validate_own_device, "", "");
KSYMTAB_FUNC(iio_device_suspend_triggering, "", "");
KSYMTAB_FUNC(iio_device_resume_triggering, "", "");
KSYMTAB_FUNC(iio_read_acpi_mount_matrix, "_gpl", "");
KSYMTAB_FUNC(iio_get_acpi_device_name_and_data, "_gpl", "");

SYMBOL_CRC(iio_bus_type, 0x1d7360b1, "");
SYMBOL_CRC(iio_device_id, 0xfaa53195, "_gpl");
SYMBOL_CRC(iio_buffer_enabled, 0x0e52aa20, "_gpl");
SYMBOL_CRC(iio_get_debugfs_dentry, 0xb44f6b5b, "_gpl");
SYMBOL_CRC(iio_read_const_attr, 0x0a3826ab, "");
SYMBOL_CRC(iio_device_set_clock, 0xa622d0f8, "");
SYMBOL_CRC(iio_device_get_clock, 0xf6e865f7, "");
SYMBOL_CRC(iio_get_time_ns, 0xfc20eeec, "");
SYMBOL_CRC(iio_enum_available_read, 0x9992033b, "_gpl");
SYMBOL_CRC(iio_enum_read, 0x79af70bd, "_gpl");
SYMBOL_CRC(iio_enum_write, 0x69904ccd, "_gpl");
SYMBOL_CRC(iio_show_mount_matrix, 0x35dc6130, "_gpl");
SYMBOL_CRC(iio_read_mount_matrix, 0x5f01637c, "");
SYMBOL_CRC(iio_format_value, 0x4dce7dd4, "_gpl");
SYMBOL_CRC(iio_str_to_fixpoint, 0x26f6b499, "_gpl");
SYMBOL_CRC(iio_device_alloc, 0x182620a3, "");
SYMBOL_CRC(iio_device_free, 0x63c56c8e, "");
SYMBOL_CRC(devm_iio_device_alloc, 0xf40823be, "_gpl");
SYMBOL_CRC(iio_active_scan_mask_index, 0x128ac85d, "_gpl");
SYMBOL_CRC(__iio_device_register, 0x209f5417, "");
SYMBOL_CRC(iio_device_unregister, 0x6b7a49e3, "");
SYMBOL_CRC(__devm_iio_device_register, 0x637cbb42, "_gpl");
SYMBOL_CRC(iio_device_claim_direct_mode, 0xe49a1eda, "_gpl");
SYMBOL_CRC(iio_device_release_direct_mode, 0xea56de05, "_gpl");
SYMBOL_CRC(iio_device_claim_buffer_mode, 0x2b61e004, "_gpl");
SYMBOL_CRC(iio_device_release_buffer_mode, 0x25ad20db, "_gpl");
SYMBOL_CRC(iio_device_get_current_mode, 0x21e9129f, "_gpl");
SYMBOL_CRC(iio_push_event, 0x2c3fb628, "");
SYMBOL_CRC(iio_map_array_register, 0x8716e358, "_gpl");
SYMBOL_CRC(iio_map_array_unregister, 0xc012ad51, "_gpl");
SYMBOL_CRC(devm_iio_map_array_register, 0x1698f20b, "_gpl");
SYMBOL_CRC(fwnode_iio_channel_get_by_name, 0xe8068167, "_gpl");
SYMBOL_CRC(iio_channel_get, 0x3faba811, "_gpl");
SYMBOL_CRC(iio_channel_release, 0x439fb3ca, "_gpl");
SYMBOL_CRC(devm_iio_channel_get, 0x03503a1c, "_gpl");
SYMBOL_CRC(devm_fwnode_iio_channel_get_by_name, 0x6dac2b09, "_gpl");
SYMBOL_CRC(iio_channel_get_all, 0x2ac740bd, "_gpl");
SYMBOL_CRC(iio_channel_release_all, 0x91a54de9, "_gpl");
SYMBOL_CRC(devm_iio_channel_get_all, 0x3226ef5c, "_gpl");
SYMBOL_CRC(iio_read_channel_raw, 0xbf504157, "_gpl");
SYMBOL_CRC(iio_read_channel_average_raw, 0xec166aa2, "_gpl");
SYMBOL_CRC(iio_convert_raw_to_processed, 0xf3bec96c, "_gpl");
SYMBOL_CRC(iio_read_channel_attribute, 0xde63ae0b, "_gpl");
SYMBOL_CRC(iio_read_channel_offset, 0xf8d782cf, "_gpl");
SYMBOL_CRC(iio_read_channel_processed_scale, 0x1da87f56, "_gpl");
SYMBOL_CRC(iio_read_channel_processed, 0xca0cd73f, "_gpl");
SYMBOL_CRC(iio_read_channel_scale, 0xad06ff28, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_attribute, 0xb7de2070, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_raw, 0x735dbbaa, "_gpl");
SYMBOL_CRC(iio_read_max_channel_raw, 0x26b1164c, "_gpl");
SYMBOL_CRC(iio_read_min_channel_raw, 0x2546c3bb, "_gpl");
SYMBOL_CRC(iio_get_channel_type, 0x062192ba, "_gpl");
SYMBOL_CRC(iio_write_channel_attribute, 0x8af04416, "_gpl");
SYMBOL_CRC(iio_write_channel_raw, 0x8ca6404a, "_gpl");
SYMBOL_CRC(iio_get_channel_ext_info_count, 0x4f25bb8f, "_gpl");
SYMBOL_CRC(iio_read_channel_ext_info, 0x4a3af0b2, "_gpl");
SYMBOL_CRC(iio_write_channel_ext_info, 0x4237e800, "_gpl");
SYMBOL_CRC(iio_read_channel_label, 0xd1bce9ad, "_gpl");
SYMBOL_CRC(iio_pop_from_buffer, 0x0491eb52, "_gpl");
SYMBOL_CRC(iio_buffer_init, 0x3b632bcc, "");
SYMBOL_CRC(iio_update_buffers, 0x5bbceb26, "_gpl");
SYMBOL_CRC(iio_buffer_signal_dmabuf_done, 0xd085b108, "_gpl");
SYMBOL_CRC(iio_validate_scan_mask_onehot, 0x5c56da8b, "_gpl");
SYMBOL_CRC(iio_push_to_buffers, 0x1513c17a, "_gpl");
SYMBOL_CRC(iio_push_to_buffers_with_ts_unaligned, 0x3f938863, "_gpl");
SYMBOL_CRC(iio_buffer_get, 0xa6192e5a, "_gpl");
SYMBOL_CRC(iio_buffer_put, 0x926db404, "_gpl");
SYMBOL_CRC(iio_device_attach_buffer, 0xadab9ebb, "_gpl");
SYMBOL_CRC(iio_trigger_register, 0xe69d603f, "");
SYMBOL_CRC(iio_trigger_unregister, 0x8e6b5843, "");
SYMBOL_CRC(iio_trigger_set_immutable, 0xcaf22153, "");
SYMBOL_CRC(iio_trigger_poll, 0x3a8a9f62, "");
SYMBOL_CRC(iio_trigger_generic_data_rdy_poll, 0x2d6bcdcb, "");
SYMBOL_CRC(iio_trigger_poll_nested, 0x3373449a, "");
SYMBOL_CRC(iio_trigger_notify_done, 0x30c47964, "");
SYMBOL_CRC(iio_pollfunc_store_time, 0xdf76bbeb, "");
SYMBOL_CRC(iio_alloc_pollfunc, 0xd763b8d6, "_gpl");
SYMBOL_CRC(iio_dealloc_pollfunc, 0x81effc62, "_gpl");
SYMBOL_CRC(__iio_trigger_alloc, 0x1f7bcc60, "");
SYMBOL_CRC(iio_trigger_free, 0x411e77c3, "");
SYMBOL_CRC(__devm_iio_trigger_alloc, 0x551f3751, "_gpl");
SYMBOL_CRC(devm_iio_trigger_register, 0xd0bcf718, "_gpl");
SYMBOL_CRC(iio_trigger_using_own, 0x3cf83e6e, "");
SYMBOL_CRC(iio_validate_own_trigger, 0x1a0cbd89, "_gpl");
SYMBOL_CRC(iio_trigger_validate_own_device, 0xa640fdd1, "");
SYMBOL_CRC(iio_device_suspend_triggering, 0x631264cb, "");
SYMBOL_CRC(iio_device_resume_triggering, 0x9eeddb6a, "");
SYMBOL_CRC(iio_read_acpi_mount_matrix, 0x14268f92, "_gpl");
SYMBOL_CRC(iio_get_acpi_device_name_and_data, 0xef11eccd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xfd6a2051, "ww_mutex_lock_interruptible" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xa17e57fa, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xbb5d6589, "dma_resv_reserve_fences" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x1618a746, "dma_resv_wait_timeout" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa2a2de72, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4c55853c, "ww_mutex_unlock" },
	{ 0xf730879d, "device_initialize" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8aa32956, "dma_resv_add_fence" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x7ceaf0d5, "generic_handle_irq" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xfcc950e1, "fwnode_property_get_reference_args" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x77f0fb5f, "__module_get" },
	{ 0xfb254be7, "get_device" },
	{ 0xd8165d98, "dma_buf_attach" },
	{ 0x48970f31, "fwnode_property_match_string" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x6df09e10, "fwnode_get_parent" },
	{ 0xfb812c22, "devres_add" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0xf96dc5d1, "device_match_fwnode" },
	{ 0x8d47a34d, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x5feec6e8, "cdev_device_add" },
	{ 0xc41fc60a, "ww_mutex_trylock" },
	{ 0x01000e51, "schedule" },
	{ 0x7e336510, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xaf7adc45, "put_device" },
	{ 0x020dbf27, "bitmap_alloc" },
	{ 0xb76c85f4, "dma_buf_map_attachment" },
	{ 0x1c5b1f28, "irq_free_descs" },
	{ 0x4ce3a522, "handle_simple_irq" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x73c1a4d5, "compat_ptr_ioctl" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xf5e7ea40, "ktime_get_coarse_ts64" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc714fb11, "bus_unregister" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x5ca25210, "simple_open" },
	{ 0x32da2b50, "dma_buf_unmap_attachment" },
	{ 0xd98a82c8, "bus_find_device" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x56795ba8, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x79344841, "noop_llseek" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2ecbbab7, "dma_buf_get" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0xa9a09084, "device_property_read_string_array" },
	{ 0x145645ac, "__devres_alloc_node" },
	{ 0x667bb43f, "ww_mutex_lock" },
	{ 0x4efa2bc2, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0xb69b7268, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x4550e9f8, "acpi_match_device" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x5f789ec6, "__irq_alloc_descs" },
	{ 0x35aba85c, "fwnode_property_read_string" },
	{ 0x08ae28fe, "fwnode_property_present" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x39d24233, "fwnode_get_next_parent" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x2fc90b3b, "dma_buf_detach" },
	{ 0x7ccc581b, "devm_krealloc" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x0f82a617, "__irq_set_handler" },
	{ 0xab4348aa, "__devm_add_action" },
	{ 0x7315e0b0, "irq_set_chip" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc1b99b37, "cdev_init" },
	{ 0xe337f3ab, "__dev_fwnode" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x43d13e73, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "290D6F718144C87954A5A27");
