#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp085_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0xdb9bf2bd, "");
SYMBOL_CRC(bme280_chip_info, 0xac7ed379, "");
SYMBOL_CRC(bmp380_chip_info, 0x469413cb, "");
SYMBOL_CRC(bmp580_chip_info, 0xbe56587d, "");
SYMBOL_CRC(bmp180_chip_info, 0xa7fad766, "");
SYMBOL_CRC(bmp085_chip_info, 0xa2564100, "");
SYMBOL_CRC(bmp280_common_probe, 0x9b99dc6c, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0xa21644d3, "");
SYMBOL_CRC(bmp180_regmap_config, 0x8b33aa1a, "");
SYMBOL_CRC(bmp280_regmap_config, 0x61b57778, "");
SYMBOL_CRC(bme280_regmap_config, 0x4c7dc1c8, "");
SYMBOL_CRC(bmp380_regmap_config, 0x8ee7c199, "");
SYMBOL_CRC(bmp580_regmap_config, 0x809b7d1c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x2f0f2d47, "regmap_write" },
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x28848aae, "gpiod_set_value" },
	{ 0x01277c0d, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x53ab73ee, "devm_iio_triggered_buffer_setup_ext" },
	{ 0xa6257a2f, "complete" },
	{ 0xf605185d, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1513c17a, "iio_push_to_buffers" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3a345794, "devm_gpiod_get_optional" },
	{ 0x77f0fb5f, "__module_get" },
	{ 0xfb254be7, "get_device" },
	{ 0xfaa53195, "iio_device_id" },
	{ 0xa615dce4, "__pm_runtime_set_status" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c28d70e, "pm_runtime_enable" },
	{ 0xfdc922ae, "regulator_bulk_disable" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x93fef8b6, "irq_get_irq_data" },
	{ 0x3373449a, "iio_trigger_poll_nested" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x637cbb42, "__devm_iio_device_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf40823be, "devm_iio_device_alloc" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xd84197fc, "regulator_bulk_set_supply_names" },
	{ 0xd0bcf718, "devm_iio_trigger_register" },
	{ 0x322d8cd9, "regulator_bulk_enable" },
	{ 0x7c7a9c6b, "devm_regulator_bulk_get" },
	{ 0xfc20eeec, "iio_get_time_ns" },
	{ 0x0f08c8ad, "regmap_read" },
	{ 0x735c29a7, "regmap_bulk_write" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb48a672d, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec8d3c8a, "fwnode_property_read_bool" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x126d6b35, "regmap_update_bits_base" },
	{ 0x2c21f723, "dev_err_probe" },
	{ 0x30c47964, "iio_trigger_notify_done" },
	{ 0x90543b57, "__pm_runtime_suspend" },
	{ 0xab4348aa, "__devm_add_action" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x3baa52b2, "__pm_runtime_use_autosuspend" },
	{ 0x6507e9c9, "__pm_runtime_disable" },
	{ 0x551f3751, "__devm_iio_trigger_alloc" },
	{ 0x68f33a76, "fwnode_irq_get" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe337f3ab, "__dev_fwnode" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "industrialio-triggered-buffer,industrialio");


MODULE_INFO(srcversion, "99AF9A0FB9426E8B24F2E33");
