#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_notify_addr_change, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xe1e1e6b4, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xd956fadd, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x06bb1b0c, "");
SYMBOL_CRC(rdma_res_to_id, 0xd1f6d07f, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x7cf518b2, "");
SYMBOL_CRC(rdma_create_user_id, 0xb0984053, "");
SYMBOL_CRC(rdma_create_qp, 0x7f392d21, "");
SYMBOL_CRC(rdma_destroy_qp, 0x1874e191, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x42062e3d, "");
SYMBOL_CRC(rdma_destroy_id, 0xc02aaa22, "");
SYMBOL_CRC(rdma_get_service_id, 0xbe1e2b43, "");
SYMBOL_CRC(rdma_read_gids, 0x6fd3fb28, "");
SYMBOL_CRC(rdma_set_service_type, 0x42d24566, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xfc2e952d, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x8e54add6, "");
SYMBOL_CRC(rdma_set_ib_path, 0xcbfe3b9a, "");
SYMBOL_CRC(rdma_resolve_route, 0xcd987c2f, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x32bdb5d7, "");
SYMBOL_CRC(rdma_notify_addr_change, 0xca77939f, "");
SYMBOL_CRC(rdma_set_afonly, 0xc0a68aa9, "");
SYMBOL_CRC(rdma_listen, 0xcbf67fac, "");
SYMBOL_CRC(rdma_resolve_addr, 0x887851cf, "");
SYMBOL_CRC(rdma_bind_addr, 0xdcd1f974, "");
SYMBOL_CRC(rdma_connect_locked, 0xe3dda982, "");
SYMBOL_CRC(rdma_connect, 0xdc79a40b, "");
SYMBOL_CRC(rdma_connect_ece, 0xb43a31e1, "");
SYMBOL_CRC(rdma_accept, 0x8a6ad496, "");
SYMBOL_CRC(rdma_accept_ece, 0xef8cbf6b, "");
SYMBOL_CRC(rdma_lock_handler, 0x7b014a9e, "");
SYMBOL_CRC(rdma_unlock_handler, 0x90087a55, "");
SYMBOL_CRC(rdma_notify, 0x47385300, "");
SYMBOL_CRC(rdma_reject, 0x733de9c8, "");
SYMBOL_CRC(rdma_disconnect, 0x1adafe38, "");
SYMBOL_CRC(rdma_join_multicast, 0x24e6d2a8, "");
SYMBOL_CRC(rdma_leave_multicast, 0x3e03a3a2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x452bd692, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x032deb0b, "iw_create_cm_id" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xf592b6ba, "ib_unregister_client" },
	{ 0xcaa2dac9, "netdev_walk_all_lower_dev_rcu" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x0f497bc1, "ib_send_cm_sidr_rep" },
	{ 0xada9cce1, "bpf_trace_run4" },
	{ 0x5284c494, "config_group_init" },
	{ 0x9890f041, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xd7dd6c20, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0xc54c39c8, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x0c86f5cb, "ib_sa_register_client" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xce0d8b05, "rdma_query_gid" },
	{ 0x75325911, "rt6_lookup" },
	{ 0x013890cb, "rdma_translate_ip" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0xd2986d0f, "rdma_dev_access_netns" },
	{ 0x41ac6e2f, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x9f5a415b, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0x7596d0e9, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xedfbd895, "register_pernet_subsys" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x97c171d2, "register_net_sysctl_sz" },
	{ 0x36553062, "ip_mc_inc_group" },
	{ 0xea508975, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x69238445, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xef537e80, "iw_cm_connect" },
	{ 0x434cf7a8, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xf13c1fcd, "rdma_addr_cancel" },
	{ 0x323c9193, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0xdb32b1ff, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x8c2c6192, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x7f11e721, "ib_sa_path_rec_get" },
	{ 0x6f1a981d, "ib_create_cm_id" },
	{ 0xd47a2b3a, "__ip_mc_dec_group" },
	{ 0x23735c9c, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0xacd489f0, "ib_init_ah_from_mcmember" },
	{ 0xe012a9a3, "rdma_destroy_ah_attr" },
	{ 0x7c56e3eb, "ib_set_client_data" },
	{ 0x2da8b798, "init_net" },
	{ 0x20046692, "ib_get_cached_pkey" },
	{ 0x59cab9fe, "configfs_register_subsystem" },
	{ 0xdc10bec5, "configfs_remove_default_groups" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x9efb2d8f, "rdma_put_gid_attr" },
	{ 0x2f3ec2a7, "config_group_init_type_name" },
	{ 0x81cb668b, "dev_get_by_index" },
	{ 0x54c4d757, "iw_destroy_cm_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9ae4c5f3, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xb641e179, "ib_send_cm_rep" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x87864cb8, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x13f403d0, "bpf_trace_run1" },
	{ 0x301daa43, "ib_destroy_qp_user" },
	{ 0x71e34bf1, "unregister_pernet_subsys" },
	{ 0xff39951f, "ib_cm_init_qp_attr" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xc3a57789, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x9bcbc2e1, "rdma_restrack_set_name" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x08cbff7b, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xce3e838a, "ib_get_cached_port_state" },
	{ 0x994f3ed1, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3e133a04, "rdma_restrack_del" },
	{ 0x4014f368, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0x2cee14ab, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1da36642, "rdma_restrack_parent_name" },
	{ 0x8620d633, "iw_cm_accept" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0xbb0610cb, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf3f80da2, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x35ff9a78, "iw_cm_init_qp_attr" },
	{ 0xc1c14fc0, "dst_release" },
	{ 0xe4db083a, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x67dea36b, "ib_send_cm_dreq" },
	{ 0xf22ec220, "ib_send_cm_req" },
	{ 0x878d1904, "ib_create_qp_kernel" },
	{ 0x3ab53bf4, "ib_sa_join_multicast" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x97a33327, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0x9ed920da, "rdma_get_gid_attr" },
	{ 0x6ff80013, "rdma_restrack_new" },
	{ 0x26bca9db, "__fib_lookup" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb20d6744, "iw_cm_listen" },
	{ 0xf4f88784, "ib_send_cm_rej" },
	{ 0x03abf735, "rdma_copy_src_l2_addr" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x3b68848d, "rdma_resolve_ip" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "6E800622B7B039A2070F775");
