#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dm_bio_prison_create, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_destroy, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_alloc_cell, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_free_cell, "_gpl", "");
KSYMTAB_FUNC(dm_cell_key_has_valid_range, "", "");
KSYMTAB_FUNC(dm_bio_detain, "_gpl", "");
KSYMTAB_FUNC(dm_cell_release, "_gpl", "");
KSYMTAB_FUNC(dm_cell_release_no_holder, "_gpl", "");
KSYMTAB_FUNC(dm_cell_error, "_gpl", "");
KSYMTAB_FUNC(dm_cell_visit_release, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_set_create, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_set_destroy, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_entry_inc, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_entry_dec, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_set_add_work, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_create_v2, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_destroy_v2, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_alloc_cell_v2, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_free_cell_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_get_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_put_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_lock_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_quiesce_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_lock_promote_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_unlock_v2, "_gpl", "");

SYMBOL_CRC(dm_bio_prison_create, 0x753e20b2, "_gpl");
SYMBOL_CRC(dm_bio_prison_destroy, 0xb70b342a, "_gpl");
SYMBOL_CRC(dm_bio_prison_alloc_cell, 0x37b4c414, "_gpl");
SYMBOL_CRC(dm_bio_prison_free_cell, 0x79ea6836, "_gpl");
SYMBOL_CRC(dm_cell_key_has_valid_range, 0x476d2454, "");
SYMBOL_CRC(dm_bio_detain, 0x1e7018c8, "_gpl");
SYMBOL_CRC(dm_cell_release, 0x40195009, "_gpl");
SYMBOL_CRC(dm_cell_release_no_holder, 0x4a039180, "_gpl");
SYMBOL_CRC(dm_cell_error, 0x5b970925, "_gpl");
SYMBOL_CRC(dm_cell_visit_release, 0xd95c6127, "_gpl");
SYMBOL_CRC(dm_deferred_set_create, 0x17dd39d6, "_gpl");
SYMBOL_CRC(dm_deferred_set_destroy, 0x2eb01e04, "_gpl");
SYMBOL_CRC(dm_deferred_entry_inc, 0xca2e3a88, "_gpl");
SYMBOL_CRC(dm_deferred_entry_dec, 0x6791a44e, "_gpl");
SYMBOL_CRC(dm_deferred_set_add_work, 0xb6d5c65d, "_gpl");
SYMBOL_CRC(dm_bio_prison_create_v2, 0xd99e003d, "_gpl");
SYMBOL_CRC(dm_bio_prison_destroy_v2, 0xace9b57b, "_gpl");
SYMBOL_CRC(dm_bio_prison_alloc_cell_v2, 0x8f756767, "_gpl");
SYMBOL_CRC(dm_bio_prison_free_cell_v2, 0xe9664047, "_gpl");
SYMBOL_CRC(dm_cell_get_v2, 0xd65e01a5, "_gpl");
SYMBOL_CRC(dm_cell_put_v2, 0x9c92d674, "_gpl");
SYMBOL_CRC(dm_cell_lock_v2, 0xe0655dbf, "_gpl");
SYMBOL_CRC(dm_cell_quiesce_v2, 0x463884e8, "_gpl");
SYMBOL_CRC(dm_cell_lock_promote_v2, 0x0feed48b, "_gpl");
SYMBOL_CRC(dm_cell_unlock_v2, 0x7c47d172, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x037a0cba, "kfree" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0x6691a6f6, "bio_endio" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xdcb764ad, "memset" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE8CB36179197FAF36CC1EC");
