#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0xab3ffb97, "");
SYMBOL_CRC(r5c_journal_mode_set, 0xf9d89221, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcf0b30b, "set_disk_ro" },
	{ 0x7832e58b, "shrinker_alloc" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb18254d7, "__bio_add_page" },
	{ 0xa8e3ec2d, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x12e68fce, "md_find_rdev_rcu" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xeeb0e2b7, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xee18d6b9, "queue_limits_stack_bdev" },
	{ 0xc6bb0c4d, "md_error" },
	{ 0x0c85da6b, "async_xor_val_offs" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0xa959abc2, "md_finish_reshape" },
	{ 0xc5156060, "__traceiter_block_bio_remap" },
	{ 0xc6c35f8b, "async_gen_syndrome" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe56c2bdd, "md_unregister_thread" },
	{ 0x6c697a17, "sync_page_io" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x4900f1fa, "md_free_cloned_bio" },
	{ 0xe2964344, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xf7f7a44b, "kthread_park" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0xab3e27d2, "kernfs_notify" },
	{ 0xa371d989, "register_md_submodule" },
	{ 0x5c6d2814, "shrinker_free" },
	{ 0x7ddcf7b4, "md_wakeup_thread" },
	{ 0x91cb51da, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0x5f7469b5, "md_set_array_sectors" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x09ccf4a6, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xd34d3ab9, "rdev_clear_badblocks" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x4f282287, "async_tx_quiesce" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x64a4fd2c, "md_write_start" },
	{ 0x0ddb1cd7, "llist_reverse_order" },
	{ 0x3b1881fe, "shrinker_register" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0x618911fc, "numa_node" },
	{ 0xc02baa90, "async_xor" },
	{ 0xf9968f9c, "__free_pages" },
	{ 0x83844a79, "async_xor_offs" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x837a56b8, "blk_finish_plug" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xd94cdbc8, "submit_bio" },
	{ 0x2c589d2d, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x2da1bc10, "kthread_unpark" },
	{ 0x8efcc051, "bioset_exit" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x6e29407d, "md_done_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0x5bd9bae7, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x6691a6f6, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xb844a745, "md_wait_for_blocked_rdev" },
	{ 0xf22250d0, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x363a7977, "async_memcpy" },
	{ 0x84d690c4, "mddev_update_io_opt" },
	{ 0x93730f39, "submit_bio_noacct" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x72ee1bcc, "mddev_stack_rdev_limits" },
	{ 0x44738de8, "kmem_cache_free" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x27cd0b26, "mddev_unlock" },
	{ 0x90768394, "__tracepoint_block_unplug" },
	{ 0x5897910e, "bio_chain" },
	{ 0x7e7c96d9, "__blk_trace_note_message" },
	{ 0x189a2043, "__traceiter_block_unplug" },
	{ 0xff9fcad3, "blkdev_issue_zeroout" },
	{ 0x1843f322, "__cpuhp_state_add_instance" },
	{ 0x4dfaaecf, "async_trigger_callback" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa78cfb57, "async_raid6_2data_recov" },
	{ 0xa09f5ff3, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x85a4e295, "md_update_sb" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x17c77374, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x48c093fb, "_atomic_dec_and_lock_irqsave" },
	{ 0x7ffbe719, "md_flush_request" },
	{ 0x3b236317, "bio_init" },
	{ 0xae83d9a4, "md_register_thread" },
	{ 0xdcb764ad, "memset" },
	{ 0x5407c268, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xdbe18e1a, "kmem_cache_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x17f798b4, "md_account_bio" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc509c242, "md_write_inc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0xb99284c5, "bio_uninit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x9a7452ba, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x0e1634aa, "async_syndrome_val" },
	{ 0xe091c977, "list_sort" },
	{ 0xcad91204, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x0acf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17759e36, "seq_printf" },
	{ 0x5be21dee, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x8c57f406, "md_check_recovery" },
	{ 0x626fa62e, "__tracepoint_block_bio_remap" },
	{ 0x6a5de1bb, "alloc_pages_noprof" },
	{ 0xb52ef5cb, "blkdev_issue_flush" },
	{ 0x441568b1, "mddev_suspend" },
	{ 0x58823beb, "queue_limits_commit_update" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x359af8fd, "unregister_md_submodule" },
	{ 0x4ac1ccf9, "badblocks_check" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1bd0d71a, "md_init_stacking_limits" },
	{ 0xd9d88f70, "queue_limits_set" },
	{ 0x0dde2a6d, "rdev_set_badblocks" },
	{ 0x58e4fa73, "bio_alloc_bioset" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0x83201ea0, "async_raid6_datap_recov" },
	{ 0x1b2a7cd9, "submit_bio_wait" },
	{ 0x743b623c, "__cpuhp_remove_state" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0x18aa6428, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x1a2861ab, "blkdev_issue_discard" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "async_xor,async_pq,async_tx,async_memcpy,async_raid6_recov,raid6_pq");


MODULE_INFO(srcversion, "66DCD20064E62D042350F3D");
