#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bttv_get_pcidev, "", "");
KSYMTAB_FUNC(bttv_gpio_enable, "", "");
KSYMTAB_FUNC(bttv_read_gpio, "", "");
KSYMTAB_FUNC(bttv_write_gpio, "", "");
KSYMTAB_FUNC(bttv_sub_register, "", "");
KSYMTAB_FUNC(bttv_sub_unregister, "", "");

SYMBOL_CRC(bttv_get_pcidev, 0xaa9f2195, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0xbd854053, "");
SYMBOL_CRC(bttv_sub_unregister, 0x33cb2010, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x91c1fd1f, "vb2_queue_init" },
	{ 0xbbf7bd05, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe3c55d61, "vb2_dma_sg_memops" },
	{ 0x3491c9a0, "v4l2_ctrl_poll" },
	{ 0x1e133182, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0x7c1b4793, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x887fbd3c, "v4l2_ctrl_radio_filter" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4bea4dfc, "i2c_bit_add_bus" },
	{ 0x5fbb02ec, "v4l2_ctrl_add_handler" },
	{ 0x21b6bf80, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x0f9b65ac, "pci_get_device" },
	{ 0x6d4bca86, "request_firmware" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xbf73953b, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x47a18a4d, "param_array_ops" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb23cb7c4, "vb2_ioctl_querybuf" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xbc9f5dc3, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf763df5e, "v4l2_fh_open" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xcc035c02, "v4l2_ctrl_handler_log_status" },
	{ 0xafd17664, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb46e5dc6, "video_devdata" },
	{ 0xaf7adc45, "put_device" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x84835c5b, "vb2_fop_release" },
	{ 0xf18465f9, "i2c_new_scanned_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2fc65e7a, "v4l2_ctrl_find" },
	{ 0xaa5c4ff6, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xab960f64, "__v4l2_ctrl_s_ctrl" },
	{ 0x41f078b5, "vb2_plane_cookie" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x22774dd3, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1204741b, "rc_keyup" },
	{ 0x4e7fca01, "vb2_ioctl_dqbuf" },
	{ 0xc714fb11, "bus_unregister" },
	{ 0xed5d60d3, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd433de3b, "tveeprom_read" },
	{ 0x1211bc33, "v4l2_ctrl_new_custom" },
	{ 0xfd6a1908, "rc_keydown_notimeout" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x72518a89, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9af503d8, "rc_register_device" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x5f4eae83, "rc_keydown" },
	{ 0x18446379, "snd_tea575x_enum_freq_bands" },
	{ 0x915f498c, "vb2_buffer_done" },
	{ 0x31e6b7e7, "driver_unregister" },
	{ 0x7ece947b, "vb2_plane_vaddr" },
	{ 0xe35bb588, "v4l2_ctrl_subscribe_event" },
	{ 0x1d1dd888, "snd_tea575x_s_hw_freq_seek" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd52b44a0, "snd_tea575x_set_freq" },
	{ 0xbc547c6b, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd3586641, "i2c_new_client_device" },
	{ 0xc860c32f, "vb2_ioctl_qbuf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x6dc0e5c3, "vb2_fop_mmap" },
	{ 0xc6d1920b, "device_register" },
	{ 0xd26656a9, "rc_free_device" },
	{ 0xdcb764ad, "memset" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x725dfebc, "vb2_fop_read" },
	{ 0xae3b8cfa, "v4l2_device_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdd94f364, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6e4d496e, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89dd8382, "snd_tea575x_hw_init" },
	{ 0x11d73e38, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x51027e33, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbda5fdec, "vb2_ioctl_streamon" },
	{ 0xf35ad09f, "vb2_fop_poll" },
	{ 0x5284a012, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x14ea498c, "v4l2_ctrl_handler_free" },
	{ 0x96bb2503, "v4l2_device_unregister" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0xa390774b, "vb2_wait_for_all_buffers" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0x0dbf0296, "tveeprom_hauppauge_analog" },
	{ 0x6ec41710, "v4l2_subdev_call_wrappers" },
	{ 0x0614dd5a, "v4l2_video_std_frame_period" },
	{ 0x79bb5a53, "v4l2_i2c_new_subdev" },
	{ 0xfe51357e, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x35215603, "ioremap_prot" },
	{ 0xdbc744a2, "video_device_release_empty" },
	{ 0x303bdda4, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbda212a1, "rc_unregister_device" },
	{ 0x6d63c79d, "v4l2_event_unsubscribe" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x43d13e73, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x359c7777, "vb2_ioctl_reqbufs" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,tea575x,videobuf2-dma-sg,videodev,i2c-algo-bit,videobuf2-common,rc-core,tveeprom");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "975E2E4DE14EEC86C15C347");
