#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0xac18d05d, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x9d929000, "");
SYMBOL_CRC(ivtv_api, 0x9b5ff46f, "");
SYMBOL_CRC(ivtv_vapi, 0x6f6935fc, "");
SYMBOL_CRC(ivtv_vapi_result, 0x97a17766, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x7e131e03, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0xc15d0dd1, "");
SYMBOL_CRC(ivtv_udma_setup, 0xe310b7a6, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x920ba84d, "");
SYMBOL_CRC(ivtv_udma_alloc, 0xe7e87591, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x18b05853, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x87df9ed9, "");
SYMBOL_CRC(ivtv_firmware_check, 0x4e54ac11, "");
SYMBOL_CRC(ivtv_claim_stream, 0xddd914cf, "");
SYMBOL_CRC(ivtv_release_stream, 0x307a8f52, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0xda3ae7f5, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x47a09f93, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb07d85a5, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x53472019, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1e133182, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4bea4dfc, "i2c_bit_add_bus" },
	{ 0xaf9286a5, "v4l2_fh_del" },
	{ 0x5be0d811, "v4l2_i2c_new_subdev_board" },
	{ 0xb0b77d62, "kthread_flush_worker" },
	{ 0x0a017175, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0x6d4bca86, "request_firmware" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xbf73953b, "v4l2_ctrl_handler_init_class" },
	{ 0xb65c6e00, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xf30f016f, "unpin_user_pages" },
	{ 0x47a18a4d, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xbc9f5dc3, "i2c_transfer_buffer_flags" },
	{ 0x0db190b4, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0xee213135, "wake_up_process" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0x1907e2b1, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xcc035c02, "v4l2_ctrl_handler_log_status" },
	{ 0xafd17664, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb46e5dc6, "video_devdata" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xf18465f9, "i2c_new_scanned_device" },
	{ 0xab8dbcdc, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x024edab7, "kthread_queue_work" },
	{ 0xf9968f9c, "__free_pages" },
	{ 0xaa5c4ff6, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xab960f64, "__v4l2_ctrl_s_ctrl" },
	{ 0x6bd80b60, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xd433de3b, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x99535779, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954770af, "v4l2_fh_is_singular" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x666a878f, "pci_read_config_word" },
	{ 0xe35bb588, "v4l2_ctrl_subscribe_event" },
	{ 0xe2862456, "v4l2_fh_init" },
	{ 0x32fd8252, "v4l2_event_pending" },
	{ 0x528bbeff, "__kthread_init_worker" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xbc547c6b, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd735355a, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc94e7ab2, "v4l2_event_subscribe" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdcb764ad, "memset" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x8a47a0d8, "v4l2_ctrl_new_std_menu" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4dea822a, "__v4l2_device_register_subdev" },
	{ 0xae3b8cfa, "v4l2_device_register" },
	{ 0xe745f5a9, "param_ops_string" },
	{ 0xdd94f364, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f3537bf, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x11d73e38, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcbb796e8, "__dma_sync_single_for_device" },
	{ 0x51027e33, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x90900001, "pin_user_pages_unlocked" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5284a012, "v4l2_ctrl_new_std" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9fcdebb3, "v4l2_ctrl_g_ctrl" },
	{ 0x9b89f573, "cx2341x_handler_init" },
	{ 0x64ae1222, "cx2341x_handler_set_50hz" },
	{ 0x14ea498c, "v4l2_ctrl_handler_free" },
	{ 0x96bb2503, "v4l2_device_unregister" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0x7c304b2d, "sched_set_fifo" },
	{ 0x0dbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6ec41710, "v4l2_subdev_call_wrappers" },
	{ 0x43248fd1, "dma_unmap_sg_attrs" },
	{ 0x43ad2352, "v4l2_event_queue" },
	{ 0x79bb5a53, "v4l2_i2c_new_subdev" },
	{ 0xfe51357e, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x62a2ed37, "pcim_enable_device" },
	{ 0xdbc744a2, "video_device_release_empty" },
	{ 0xe891ded2, "v4l2_ctrl_cluster" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7ece803a, "pci_write_config_dword" },
	{ 0x6d63c79d, "v4l2_event_unsubscribe" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1c09e8b9, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,i2c-algo-bit,tveeprom");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C46EAD538FA789474FF8DBE");
