#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mantis_get_mac, "_gpl", "");
KSYMTAB_FUNC(mantis_gpio_set_bits, "_gpl", "");
KSYMTAB_FUNC(mantis_stream_control, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_init, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_init, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_power, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_soft_reset, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_init, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_init, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_input_init, "_gpl", "");
KSYMTAB_FUNC(mantis_input_exit, "_gpl", "");

SYMBOL_CRC(mantis_get_mac, 0x442e189f, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0x6a07ee0e, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0x8f3fcd6d, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0xbc351ca0, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0x83cafc4f, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0x6058384b, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0x7e75e210, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0x62bad8ec, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0x85db8e84, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0xa27aa06f, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0xb3d42e1d, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0xe6c94291, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0x1384019b, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0x99e66b58, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0x8848e52a, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0xeb488e4b, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0x4c4470f4, "_gpl");
SYMBOL_CRC(mantis_input_init, 0xc195a0a1, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0x361b1b46, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8b75b6e, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f3a5d87, "enable_work" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0x99a04cc5, "dvb_ca_en50221_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x47a18a4d, "param_array_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x43a205c1, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xaa5c4ff6, "i2c_del_adapter" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x029f3f52, "dvb_ca_en50221_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9af503d8, "rc_register_device" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x5f4eae83, "rc_keydown" },
	{ 0xa0287a65, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc5db9c15, "dvb_dmxdev_release" },
	{ 0xbd3749b0, "param_ops_short" },
	{ 0xd26656a9, "rc_free_device" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x68528f31, "dvb_frontend_detach" },
	{ 0xdd94f364, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0x612efc8d, "dvb_net_release" },
	{ 0xa0cb2bdc, "dvb_ca_en50221_camready_irq" },
	{ 0x6e4d496e, "rc_allocate_device" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc372c465, "dvb_unregister_frontend" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x907bda62, "dvb_ca_en50221_camchange_irq" },
	{ 0x83380397, "i2c_transfer" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0x208263ff, "dvb_register_frontend" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfe51357e, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x170adde9, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x35215603, "ioremap_prot" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbda212a1, "rc_unregister_device" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "39A45134D16E0E2F54BD6EA");
