#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0xcb7d9235, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x8b6f5395, "");
SYMBOL_CRC(dvb_usb_device_init, 0xa68c41fa, "");
SYMBOL_CRC(dvb_usb_device_exit, 0xd8fe85fb, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0x570fa937, "");
SYMBOL_CRC(dvb_usb_generic_write, 0x5fe44db2, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0xea096708, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c23217a, "input_allocate_device" },
	{ 0xe8b75b6e, "dvb_dmxdev_init" },
	{ 0x4156a50d, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x00cf8f4b, "media_device_unregister" },
	{ 0x800a9c83, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xf681cd5e, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6d4bca86, "request_firmware" },
	{ 0xb544ad50, "input_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x158f5aaa, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0x43a205c1, "dvb_register_adapter" },
	{ 0xdb9ebd67, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x9e5c9f9f, "usb_clear_halt" },
	{ 0x7686658f, "usb_bulk_msg" },
	{ 0x6d3e1396, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x27248928, "usb_submit_urb" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0xaa5c4ff6, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x671fac5a, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0xcb435fa1, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9af503d8, "rc_register_device" },
	{ 0xc5ed29ee, "usb_control_msg" },
	{ 0xa0287a65, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xc5db9c15, "dvb_dmxdev_release" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd26656a9, "rc_free_device" },
	{ 0xdcb764ad, "memset" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0xadff0877, "input_event" },
	{ 0x68528f31, "dvb_frontend_detach" },
	{ 0xdd94f364, "i2c_add_adapter" },
	{ 0x612efc8d, "dvb_net_release" },
	{ 0x6e4d496e, "rc_allocate_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc372c465, "dvb_unregister_frontend" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x23e1f9c9, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20545cac, "__media_device_usb_init" },
	{ 0x208263ff, "dvb_register_frontend" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x249eaf46, "dvb_create_media_graph" },
	{ 0x170adde9, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbda212a1, "rc_unregister_device" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,mc,rc-core");


MODULE_INFO(srcversion, "8780B0A73029EC72CA1F7D6");
