#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_dumpregs, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_v4_mode, "_gpl", "");
KSYMTAB_FUNC(sdhci_data_line_cmd, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_do_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_mod_timer, "_gpl", "");
KSYMTAB_FUNC(sdhci_adma_write_desc, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_data_timeout_irq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_initialize_data, "_gpl", "");
KSYMTAB_FUNC(sdhci_prepare_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_switch_external_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_needs_reset, "_gpl", "");
KSYMTAB_FUNC(__sdhci_finish_mrq, "_gpl", "");
KSYMTAB_FUNC(sdhci_finish_mrq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_finish_data_common, "_gpl", "");
KSYMTAB_FUNC(sdhci_present_error, "_gpl", "");
KSYMTAB_FUNC(sdhci_calc_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_clock, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_vdd_value, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_noreg, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_and_bus_voltage, "_gpl", "");
KSYMTAB_FUNC(sdhci_request, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_atomic, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_bus_width, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_uhs_signaling, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios_common, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_cd_nogpio, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_ro, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_signal_voltage_switch, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_end_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_send_tuning, "_gpl", "");
KSYMTAB_FUNC(__sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_preset_value, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_done_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_complete_work, "_gpl", "");
KSYMTAB_FUNC(sdhci_thread_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_enable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_disable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_alloc_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_read_caps, "_gpl", "");
KSYMTAB_FUNC(sdhci_setup_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cleanup_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_remove_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_free_host, "_gpl", "");

SYMBOL_CRC(sdhci_dumpregs, 0x6eacd28b, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0xdae410c4, "_gpl");
SYMBOL_CRC(sdhci_data_line_cmd, 0xd20bb870, "_gpl");
SYMBOL_CRC(sdhci_reset, 0x8fa98762, "_gpl");
SYMBOL_CRC(sdhci_do_reset, 0x3848cb5f, "_gpl");
SYMBOL_CRC(sdhci_mod_timer, 0xe83a3366, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0x781ec731, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0x267709c2, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0xd22d1c69, "_gpl");
SYMBOL_CRC(sdhci_initialize_data, 0x2ea2e64a, "_gpl");
SYMBOL_CRC(sdhci_prepare_dma, 0x82278bce, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0x23858e60, "_gpl");
SYMBOL_CRC(sdhci_needs_reset, 0xbb58ed22, "_gpl");
SYMBOL_CRC(__sdhci_finish_mrq, 0xf8d6b60b, "_gpl");
SYMBOL_CRC(sdhci_finish_mrq, 0x3553e031, "_gpl");
SYMBOL_CRC(__sdhci_finish_data_common, 0xf9325fb2, "_gpl");
SYMBOL_CRC(sdhci_present_error, 0x52e72b42, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0x5222c84f, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0x3ba5c62c, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0xee2317f3, "_gpl");
SYMBOL_CRC(sdhci_get_vdd_value, 0x03082f95, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0xa8d0da8f, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0x958ad9c6, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0xc9caf909, "_gpl");
SYMBOL_CRC(sdhci_request, 0x927ec879, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0x5eba719b, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0x34652039, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0xdff1c3fd, "_gpl");
SYMBOL_CRC(sdhci_set_ios_common, 0xd0f42575, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0x381af2a7, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0x72b17a6d, "_gpl");
SYMBOL_CRC(sdhci_get_ro, 0xfc4cc060, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0x3819a495, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0x7e3c5507, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0x467f2b4a, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0x54aa3945, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0x9738c732, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0x9a3ba9b6, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0xadceac1e, "_gpl");
SYMBOL_CRC(__sdhci_execute_tuning, 0x3e9b649f, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0xf0002f02, "_gpl");
SYMBOL_CRC(sdhci_enable_preset_value, 0x795503f1, "_gpl");
SYMBOL_CRC(sdhci_request_done_dma, 0x44c79990, "_gpl");
SYMBOL_CRC(sdhci_complete_work, 0x8236c57a, "_gpl");
SYMBOL_CRC(sdhci_thread_irq, 0x9b1d369c, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0xfcf7098c, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0x364f7b1b, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0xb2c853d0, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0x4fff0994, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0xf1e29ba3, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0xaeb720d1, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0xcaa7c32c, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0x8149c3c1, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0x0da07cf9, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0x8c4d1fba, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0xc24315c0, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0x303508d3, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0x317a1f23, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0x29d84990, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0x376ebc5b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1c09e8b9, "dma_map_sg_attrs" },
	{ 0xcbb796e8, "__dma_sync_single_for_device" },
	{ 0x016f123e, "sg_copy_to_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7d18b16b, "__dma_sync_sg_for_cpu" },
	{ 0x43248fd1, "dma_unmap_sg_attrs" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x6bd80b60, "__dma_sync_single_for_cpu" },
	{ 0xfebe9e55, "mmc_alloc_host" },
	{ 0xdcb764ad, "memset" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0xfa1413a8, "regulator_disable" },
	{ 0xb1353066, "mmc_free_host" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0x0bbad260, "devm_kfree" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2b280506, "sg_miter_next" },
	{ 0xcf1e1284, "sg_miter_stop" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf9c69dda, "mmc_retune_timer_stop" },
	{ 0x0aa309cf, "synchronize_hardirq" },
	{ 0x647003c3, "mmc_request_done" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xa5c22af9, "mmc_regulator_set_ocr" },
	{ 0xd39f3885, "mmc_send_abort_tuning" },
	{ 0x67e80e36, "mmc_gpio_get_cd" },
	{ 0xe630a661, "mmc_can_gpio_cd" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x87c81d8d, "led_classdev_register_ext" },
	{ 0xfb07fed9, "mmc_add_host" },
	{ 0x33471eaf, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x21d9a0cd, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd96420e2, "mmc_can_gpio_ro" },
	{ 0x1c9ae06c, "mmc_gpio_get_ro" },
	{ 0xca286367, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd9a39cfa, "device_property_read_u64_array" },
	{ 0xfa9f4b3c, "regulator_is_supported_voltage" },
	{ 0xe3d78c3a, "regulator_get_current_limit" },
	{ 0xc2aae440, "regulator_enable" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0xbd430129, "mmc_regulator_get_supply" },
	{ 0xf58e654a, "dma_max_mapping_size" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0x2dd117df, "mmc_detect_change" },
	{ 0xa96a9377, "sg_miter_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7066fc47, "mmc_command_done" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9992d26f, "sdio_signal_irq" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D26392C24E21C766BA63EAC");
