#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x50dabc2f, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x4ad07860, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x154b0170, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x18f49438, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x88661045, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x309c763b, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0xc0aa8940, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x53e82f54, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x9c5a1bc2, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x820bfab5, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0xdd5dd2e0, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0xc08af34f, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0xadc7bb30, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x265b13de, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0xc79cfc92, "_gpl");
SYMBOL_CRC(mtd_erase, 0xa7595467, "_gpl");
SYMBOL_CRC(mtd_point, 0x66bc4f42, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x9bb6b22b, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0xa65ec7a3, "_gpl");
SYMBOL_CRC(mtd_read, 0x6e863724, "_gpl");
SYMBOL_CRC(mtd_write, 0xf793b25b, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0x974b9c71, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x85e8e1db, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x5bea447e, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0xc86f9875, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0x8dd909fb, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x642b9c28, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0xb27b4341, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0xec6b6c13, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x3d8a1bcc, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x9e2854bd, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x544cb45a, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0xe4158709, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0xfc49a149, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0xc2cb86bb, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0xcd311a4d, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0xd4fe6d15, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0xcdf4b986, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0xb6483ffc, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0xf5231239, "_gpl");
SYMBOL_CRC(mtd_lock, 0x3a5a9ecf, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x0a45e432, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x63d2e891, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0xc451ac57, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0x886f2ae3, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x5e1b1b3b, "_gpl");
SYMBOL_CRC(mtd_writev, 0x0997e131, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x97803db6, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0x93d917a7, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0xc5285356, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x7078a5a2, "");
SYMBOL_CRC(mtd_concat_destroy, 0x01e52977, "");
SYMBOL_CRC(mtd_add_partition, 0xa11ceb8b, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0xbf3bd6a0, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0xafffc240, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x3e396261, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0xe0423289, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1b63c3a0, "generic_shutdown_super" },
	{ 0x42996f74, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfd19ff82, "of_node_put" },
	{ 0x1ddb50a8, "kmemdup_array" },
	{ 0xf1ca3734, "sget_dev" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xcece9d8d, "bdi_unregister" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x118aae65, "of_get_compatible_child" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x8c63de15, "bdi_register" },
	{ 0x8591d7d5, "ledtrig_mtd_activity" },
	{ 0x04c74ee2, "of_node_name_prefix" },
	{ 0x21b6bf80, "device_unregister" },
	{ 0x4893d226, "nvmem_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0xfa52004c, "of_node_get" },
	{ 0x1a89c5f3, "logfc" },
	{ 0xa687051e, "sysfs_remove_files" },
	{ 0x77f0fb5f, "__module_get" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0x71a8db42, "bdi_put" },
	{ 0xedc5507f, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xaf7adc45, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9f18cbf4, "module_put" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf346a2eb, "of_get_child_by_name" },
	{ 0x4fc78810, "debugfs_create_bool" },
	{ 0x3777dce3, "of_prop_next_string" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xdd9fa060, "of_property_read_bool" },
	{ 0x7e71fead, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xf14265ba, "fixed_size_llseek" },
	{ 0xc7b3efe9, "of_property_read_string" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x76968f83, "of_find_property" },
	{ 0x58daeb2b, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x014c0a7b, "bdi_alloc" },
	{ 0xc6d1920b, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x27d4fb8c, "of_device_is_compatible" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12f65eb5, "__register_chrdev" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0xc532fd0b, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x03043872, "remove_proc_entry" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xa754e0e8, "sysfs_create_files" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17759e36, "seq_printf" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x2f712ed1, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xde1bbb2e, "of_alias_get_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2c21f723, "dev_err_probe" },
	{ 0x9d50805b, "proc_create_single_data" },
	{ 0x9027a40d, "nvmem_register" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x7a7f0653, "of_platform_populate" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0x43c9bb5c, "class_register" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AE8BA9AC6516CC8AD8CFEA0");
