#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_exit_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_page_hwecc_oob_first, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0x3bf8db6d, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0xed4485c4, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0x3809f863, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0x9dcf4cc1, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0xd87c276a, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0x28f4b022, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0x9f931537, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0x45fd6833, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0x410741e5, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0xbc7c1c4e, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0xe47d14b9, "_gpl");
SYMBOL_CRC(nand_readid_op, 0x53844d3a, "_gpl");
SYMBOL_CRC(nand_status_op, 0x7afad291, "_gpl");
SYMBOL_CRC(nand_exit_status_op, 0x486fa958, "_gpl");
SYMBOL_CRC(nand_erase_op, 0x4e8fd555, "_gpl");
SYMBOL_CRC(nand_reset_op, 0x1e2240a6, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0x051bdfb5, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0x76dc819a, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0x1af20087, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0x8f87ded6, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0x8de8e718, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0xfb85b2cb, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0xcade4e50, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0xbea08795, "");
SYMBOL_CRC(nand_write_oob_std, 0xa719887c, "");
SYMBOL_CRC(nand_write_page_raw, 0xac92a10b, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0x450c6d2b, "");
SYMBOL_CRC(nand_decode_ext_id, 0x785107a8, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0x2570cb94, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0x658da6f0, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0x20da760e, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0x004ee415, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0x745d1e2d, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0x307da6f3, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x66491ae4, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x8e08f921, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0xb730ee6e, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0x1ca79238, "");
SYMBOL_CRC(nand_cleanup, 0x22d9c558, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0xdb64d487, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0xe77edc38, "");
SYMBOL_CRC(nand_create_bbt, 0x8815d036, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfbd17d74, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x85e8e1db, "mtd_read_oob" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xba8e2979, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x732d772c, "gpiod_count" },
	{ 0x861daeaa, "nanddev_cleanup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7ad63090, "nand_get_large_page_hamming_ooblayout" },
	{ 0x4829a47e, "memcpy" },
	{ 0x87201fab, "nand_get_large_page_ooblayout" },
	{ 0x037a0cba, "kfree" },
	{ 0xc5ed4fcc, "gpiod_get_index_optional" },
	{ 0xe34eaf12, "nand_ecc_sw_hamming_init_ctx" },
	{ 0xac8388a3, "nanddev_init" },
	{ 0x84e30731, "nand_ecc_sw_bch_correct" },
	{ 0x2212eaae, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0xec6b6c13, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x92997ed8, "_printk" },
	{ 0xd46aa1ef, "nand_ecc_sw_hamming_calculate" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0x6840f9cd, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x940cdb89, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xb66be2d9, "nand_ecc_is_strong_enough" },
	{ 0xdd9fa060, "of_property_read_bool" },
	{ 0x5bea447e, "mtd_write_oob" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x59899576, "nand_get_small_page_ooblayout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x31bacfee, "of_get_nand_ecc_user_config" },
	{ 0x5a921311, "strncmp" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x4df4e999, "nand_ecc_sw_hamming_correct" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xbb1c0fa8, "of_property_count_elems_of_size" },
	{ 0xc7b3efe9, "of_property_read_string" },
	{ 0x76968f83, "of_find_property" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6e863724, "mtd_read" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x544cb45a, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xdcb764ad, "memset" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5b54e4bc, "of_property_read_u64_index" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9e2854bd, "mtd_ooblayout_set_databytes" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x642b9c28, "mtd_ooblayout_find_eccregion" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3d8a1bcc, "mtd_ooblayout_get_databytes" },
	{ 0x81188c30, "match_string" },
	{ 0xb27b4341, "mtd_ooblayout_get_eccbytes" },
	{ 0x37855dde, "nanddev_mtd_max_bad_blocks" },
	{ 0xc0d18b85, "nand_ecc_sw_bch_calculate" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "9AF0B16F1472F28D87BF423");
