#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0xb6e87f8f, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x81044667, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0x23db4391, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x3dd8a56c, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0x96aaab10, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0xa1fa9180, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0x7c5802ba, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0x4b8b6e3a, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0x50a4c7bc, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0x957ab0e2, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0xb149fff4, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x2953a254, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0x86f238ce, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0xfd8b6f4c, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x760a0f4f, "yield" },
	{ 0x42996f74, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6c20445, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xd1080321, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x0b279ef2, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa2a2de72, "cdev_device_del" },
	{ 0x21b6bf80, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xf730879d, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0x360694df, "seq_lseek" },
	{ 0x9f471df6, "fwnode_get_next_child_node" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xfb254be7, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xadc7bb30, "get_mtd_device_nm" },
	{ 0x5049bc4e, "path_put" },
	{ 0x0907d14d, "blocking_notifier_chain_register" },
	{ 0x820bfab5, "get_mtd_device" },
	{ 0xee213135, "wake_up_process" },
	{ 0x04482cdb, "__refrigerator" },
	{ 0x8d47a34d, "device_set_node" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x5feec6e8, "cdev_device_add" },
	{ 0x01000e51, "schedule" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xaf7adc45, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2dcf761d, "fwnode_property_read_u32_array" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x73c1a4d5, "compat_ptr_ioctl" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xc1fb3283, "cdev_add" },
	{ 0x5e1b1b3b, "mtd_block_markbad" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x5ca25210, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x9c5a1bc2, "unregister_mtd_user" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x44738de8, "kmem_cache_free" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xf14265ba, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x265b13de, "put_mtd_device" },
	{ 0x53e82f54, "register_mtd_user" },
	{ 0x58daeb2b, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6e863724, "mtd_read" },
	{ 0xd735355a, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x87bcb16e, "freezing_slow_path" },
	{ 0xc6d1920b, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0xe45a6661, "kern_path" },
	{ 0x5f5bc5da, "__vmalloc_noprof" },
	{ 0xe0b27446, "misc_register" },
	{ 0xdbe18e1a, "kmem_cache_alloc_noprof" },
	{ 0xece784c2, "rb_first" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0xa7595467, "mtd_erase" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5f3537bf, "kthread_create_on_node" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0xdd5dd2e0, "__get_mtd_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf793b25b, "mtd_write" },
	{ 0x35aba85c, "fwnode_property_read_string" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0x27d4fb8c, "of_device_is_compatible" },
	{ 0xc79cfc92, "__put_mtd_device" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x763fc6ea, "device_get_named_child_node" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17759e36, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0xe0423289, "mtd_get_device_size" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x17de4663, "seq_open" },
	{ 0x98cf60b3, "strlen" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x886f2ae3, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0x43c9bb5c, "class_register" },
	{ 0xc1b99b37, "cdev_init" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x008d6246, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "CD648643DF84599AC5E1924");
