#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_chip_unregister, "_gpl", "");
KSYMTAB_FUNC(mux_chip_free, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_control_states, "_gpl", "");
KSYMTAB_FUNC(mux_control_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_state_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_control_get, "_gpl", "");
KSYMTAB_FUNC(mux_control_put, "_gpl", "");
KSYMTAB_FUNC(devm_mux_control_get, "_gpl", "");
KSYMTAB_FUNC(devm_mux_state_get, "_gpl", "");

SYMBOL_CRC(mux_chip_alloc, 0xed03ac9c, "_gpl");
SYMBOL_CRC(mux_chip_register, 0xf1671e01, "_gpl");
SYMBOL_CRC(mux_chip_unregister, 0x6f65b0a6, "_gpl");
SYMBOL_CRC(mux_chip_free, 0x7b5416f1, "_gpl");
SYMBOL_CRC(devm_mux_chip_alloc, 0x3031c36a, "_gpl");
SYMBOL_CRC(devm_mux_chip_register, 0xcc4342c1, "_gpl");
SYMBOL_CRC(mux_control_states, 0x805baea0, "_gpl");
SYMBOL_CRC(mux_control_select_delay, 0x718f48a0, "_gpl");
SYMBOL_CRC(mux_state_select_delay, 0xfa76e911, "_gpl");
SYMBOL_CRC(mux_control_try_select_delay, 0xd0140e0f, "_gpl");
SYMBOL_CRC(mux_state_try_select_delay, 0x0a65c89f, "_gpl");
SYMBOL_CRC(mux_control_deselect, 0x10680d4c, "_gpl");
SYMBOL_CRC(mux_state_deselect, 0x7cf08396, "_gpl");
SYMBOL_CRC(mux_control_get, 0x342369c8, "_gpl");
SYMBOL_CRC(mux_control_put, 0x6dd7baed, "_gpl");
SYMBOL_CRC(devm_mux_control_get, 0xfe6eaff7, "_gpl");
SYMBOL_CRC(devm_mux_state_get, 0x95f5e5a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xfd19ff82, "of_node_put" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x078e122f, "of_property_match_string" },
	{ 0x7ad441a1, "device_match_of_node" },
	{ 0xcf2a6966, "up" },
	{ 0xf730879d, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfb812c22, "devres_add" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaf7adc45, "put_device" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x56795ba8, "device_add" },
	{ 0x401d12da, "__of_parse_phandle_with_args" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x145645ac, "__devres_alloc_node" },
	{ 0xffb7c514, "ida_free" },
	{ 0x58daeb2b, "class_unregister" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xb69b7268, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x36b6ebbf, "down_killable" },
	{ 0x43c9bb5c, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x9fb7fc2d, "class_find_device" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "568FEF24B1A9F2AA2614832");
