#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0x2e5abb62, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0xb4ccc298, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x27ef4896, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0xb89dde75, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x01a9d5ce, "_gpl");
SYMBOL_CRC(m_can_class_register, 0x19ddddb1, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x8421f925, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0xeecf00e4, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0x58a1ebfa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe337f3ab, "__dev_fwnode" },
	{ 0x2dcf761d, "fwnode_property_read_u32_array" },
	{ 0x45553813, "alloc_candev_mqs" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x685746a8, "free_candev" },
	{ 0x14ee9ef3, "netdev_err" },
	{ 0x426ab6b3, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x4dffe8f5, "can_get_echo_skb" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd3e120c8, "unregister_candev" },
	{ 0x94c17f76, "can_rx_offload_del" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x490bea36, "can_free_echo_skb" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0x16776275, "devm_clk_get" },
	{ 0xf8b931f7, "netdev_warn" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0xd797ec50, "hrtimer_try_to_cancel" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0x7e0f6ed3, "netif_tx_wake_queue" },
	{ 0x1bb1ee13, "phy_power_on" },
	{ 0x17e3b808, "open_candev" },
	{ 0x9349c4e5, "napi_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe3fe224c, "napi_disable" },
	{ 0xf70c4d17, "close_candev" },
	{ 0x232ecfdd, "phy_power_off" },
	{ 0xd7a367ad, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x668ee384, "netif_schedule_queue" },
	{ 0x5add8612, "alloc_canfd_skb" },
	{ 0x97c7bbe5, "can_rx_offload_queue_timestamp" },
	{ 0x5cd3eb7a, "netif_receive_skb" },
	{ 0x8a81454a, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x8d589ede, "__dynamic_netdev_dbg" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0xc65c1e1a, "pinctrl_pm_select_default_state" },
	{ 0x5c3685a2, "netif_device_attach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf33baa09, "netif_napi_add_weight_locked" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe26f86c1, "hrtimer_setup" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0x30363352, "can_rx_offload_add_manual" },
	{ 0x23d453bd, "register_candev" },
	{ 0x6e03a7f9, "of_can_transceiver" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x27816dde, "alloc_can_err_skb" },
	{ 0x1b8a23ef, "pinctrl_pm_select_sleep_state" },
	{ 0x7a6fb10f, "netif_device_detach" },
	{ 0xd8f4b79c, "can_bus_off" },
	{ 0x5b73f9f0, "napi_complete_done" },
	{ 0xdcb764ad, "memset" },
	{ 0x3eccfd51, "can_skb_get_frame_len" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x9f1f622e, "can_put_echo_skb" },
	{ 0x5bd41846, "can_dropped_invalid_skb" },
	{ 0x4f487e85, "softnet_data" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb4e9860c, "netdev_printk" },
	{ 0x5813f0e7, "hrtimer_active" },
	{ 0x18e55979, "napi_schedule_prep" },
	{ 0xe3239afb, "can_rx_offload_threaded_irq_finish" },
	{ 0x990d4970, "__napi_schedule" },
	{ 0xbcecb152, "hrtimer_forward" },
	{ 0x5eb7a69f, "ethtool_op_get_ts_info" },
	{ 0xff1e9043, "can_change_mtu" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "F5CEB95F7328FB1D2F41582");
