#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(b53_imp_vlan_setup, "", "");
KSYMTAB_FUNC(b53_setup_port, "", "");
KSYMTAB_FUNC(b53_enable_port, "", "");
KSYMTAB_FUNC(b53_disable_port, "", "");
KSYMTAB_FUNC(b53_brcm_hdr_setup, "", "");
KSYMTAB_FUNC(b53_configure_vlan, "", "");
KSYMTAB_FUNC(b53_get_strings, "", "");
KSYMTAB_FUNC(b53_get_ethtool_stats, "", "");
KSYMTAB_FUNC(b53_get_ethtool_phy_stats, "", "");
KSYMTAB_FUNC(b53_get_sset_count, "", "");
KSYMTAB_FUNC(b53_setup_devlink_resources, "", "");
KSYMTAB_FUNC(b53_port_event, "", "");
KSYMTAB_FUNC(b53_vlan_filtering, "", "");
KSYMTAB_FUNC(b53_vlan_add, "", "");
KSYMTAB_FUNC(b53_vlan_del, "", "");
KSYMTAB_FUNC(b53_fdb_add, "", "");
KSYMTAB_FUNC(b53_fdb_del, "", "");
KSYMTAB_FUNC(b53_fdb_dump, "", "");
KSYMTAB_FUNC(b53_mdb_add, "", "");
KSYMTAB_FUNC(b53_mdb_del, "", "");
KSYMTAB_FUNC(b53_br_join, "", "");
KSYMTAB_FUNC(b53_br_leave, "", "");
KSYMTAB_FUNC(b53_br_set_stp_state, "", "");
KSYMTAB_FUNC(b53_br_fast_age, "", "");
KSYMTAB_FUNC(b53_br_flags_pre, "", "");
KSYMTAB_FUNC(b53_br_flags, "", "");
KSYMTAB_FUNC(b53_get_tag_protocol, "", "");
KSYMTAB_FUNC(b53_mirror_add, "", "");
KSYMTAB_FUNC(b53_mirror_del, "", "");
KSYMTAB_FUNC(b53_eee_init, "", "");
KSYMTAB_FUNC(b53_support_eee, "", "");
KSYMTAB_FUNC(b53_set_mac_eee, "", "");
KSYMTAB_FUNC(b53_switch_alloc, "", "");
KSYMTAB_FUNC(b53_switch_detect, "", "");
KSYMTAB_FUNC(b53_switch_register, "", "");

SYMBOL_CRC(b53_imp_vlan_setup, 0x70389c56, "");
SYMBOL_CRC(b53_setup_port, 0xaab08781, "");
SYMBOL_CRC(b53_enable_port, 0x552e1525, "");
SYMBOL_CRC(b53_disable_port, 0x41356063, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0x9f78669f, "");
SYMBOL_CRC(b53_configure_vlan, 0x98011086, "");
SYMBOL_CRC(b53_get_strings, 0x30f0463f, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0xfe8ff966, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0xb951d098, "");
SYMBOL_CRC(b53_get_sset_count, 0x99be5d07, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0x7867949a, "");
SYMBOL_CRC(b53_port_event, 0x4892840a, "");
SYMBOL_CRC(b53_vlan_filtering, 0x36b9b36b, "");
SYMBOL_CRC(b53_vlan_add, 0xfc5c76c3, "");
SYMBOL_CRC(b53_vlan_del, 0x18b168e4, "");
SYMBOL_CRC(b53_fdb_add, 0x548c3084, "");
SYMBOL_CRC(b53_fdb_del, 0xfb422b91, "");
SYMBOL_CRC(b53_fdb_dump, 0x007b5aab, "");
SYMBOL_CRC(b53_mdb_add, 0xe6c25a1a, "");
SYMBOL_CRC(b53_mdb_del, 0xd71f3a98, "");
SYMBOL_CRC(b53_br_join, 0x8ba75472, "");
SYMBOL_CRC(b53_br_leave, 0x42f64fc5, "");
SYMBOL_CRC(b53_br_set_stp_state, 0xfbb1b014, "");
SYMBOL_CRC(b53_br_fast_age, 0xa969a90f, "");
SYMBOL_CRC(b53_br_flags_pre, 0x7b634a94, "");
SYMBOL_CRC(b53_br_flags, 0xe2d662d6, "");
SYMBOL_CRC(b53_get_tag_protocol, 0xce9294c6, "");
SYMBOL_CRC(b53_mirror_add, 0xb7abf753, "");
SYMBOL_CRC(b53_mirror_del, 0x6bb892d4, "");
SYMBOL_CRC(b53_eee_init, 0x98c3d994, "");
SYMBOL_CRC(b53_support_eee, 0x56c7d433, "");
SYMBOL_CRC(b53_set_mac_eee, 0x7e345221, "");
SYMBOL_CRC(b53_switch_alloc, 0x1844ee63, "");
SYMBOL_CRC(b53_switch_detect, 0x1b6d66e3, "");
SYMBOL_CRC(b53_switch_register, 0x29c97f8f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0a86c5f6, "dsa_devlink_resources_unregister" },
	{ 0x74764be0, "dsa_devlink_resource_register" },
	{ 0x65ce5815, "dsa_devlink_resource_occ_get_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x0877cfc6, "mdiobus_get_phy" },
	{ 0xd51221cf, "phy_ethtool_get_stats" },
	{ 0xdf993d57, "phy_ethtool_get_sset_count" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0xdec8b5bc, "phy_ethtool_get_strings" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdcb764ad, "memset" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x191449f1, "dsa_port_phylink_mac_change" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xaffa2763, "phy_init_eee" },
	{ 0xf9a482f9, "msleep" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x9d1d37de, "gpio_to_desc" },
	{ 0x0405e653, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x69f68d92, "dsa_register_switch" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "70E8D60C6A68DE07083B91F");
