#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pdsc_get_pf_struct, "_gpl", "");
KSYMTAB_FUNC(pds_client_register, "_gpl", "");
KSYMTAB_FUNC(pds_client_unregister, "_gpl", "");
KSYMTAB_FUNC(pds_client_adminq_cmd, "_gpl", "");
KSYMTAB_FUNC(pdsc_adminq_post, "_gpl", "");
KSYMTAB_FUNC(pdsc_register_notify, "_gpl", "");
KSYMTAB_FUNC(pdsc_unregister_notify, "_gpl", "");

SYMBOL_CRC(pdsc_get_pf_struct, 0xe4c67145, "_gpl");
SYMBOL_CRC(pds_client_register, 0xd0f94ae0, "_gpl");
SYMBOL_CRC(pds_client_unregister, 0x46b9907f, "_gpl");
SYMBOL_CRC(pds_client_adminq_cmd, 0x16720457, "_gpl");
SYMBOL_CRC(pdsc_adminq_post, 0x35d64fb0, "_gpl");
SYMBOL_CRC(pdsc_register_notify, 0x45b87b4f, "_gpl");
SYMBOL_CRC(pdsc_unregister_notify, 0xce714617, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa8a03a9f, "devl_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xf1b8d862, "auxiliary_device_init" },
	{ 0x0ee09f4a, "pci_iomap" },
	{ 0x56a45ed8, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x5b2d739a, "devl_lock" },
	{ 0x88c3ff56, "pci_dev_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe410d353, "debugfs_create_u16" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xca1be99d, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x6d46183e, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xea925d16, "devlink_alloc_ns" },
	{ 0x360694df, "seq_lseek" },
	{ 0x0c6e524b, "pci_reset_function_locked" },
	{ 0x8d5578e6, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x594672b5, "pci_irq_vector" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0x0907d14d, "blocking_notifier_chain_register" },
	{ 0xa81d7b05, "devlink_flash_update_status_notify" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x469b1b5a, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x45000feb, "debugfs_create_x64" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xaf7adc45, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x20b21a6b, "debugfs_create_regset32" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x00372541, "devl_health_reporter_create" },
	{ 0xce7e7372, "pci_iov_vf_id" },
	{ 0xd0a7b967, "debugfs_lookup" },
	{ 0x46afc289, "pci_iomap_range" },
	{ 0x47def7b5, "devlink_flash_update_timeout_notify" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x2da8b798, "init_net" },
	{ 0x4fc78810, "debugfs_create_bool" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x58399234, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x6e50cfbb, "seq_putc" },
	{ 0xffb7c514, "ida_free" },
	{ 0x4f0237ca, "devl_params_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf23e6557, "debugfs_create_ulong" },
	{ 0xe156906f, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb69b7268, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x2a2e0dfe, "debugfs_create_u32" },
	{ 0x6c701f96, "devl_params_unregister" },
	{ 0x0a8fabbe, "pci_reset_function" },
	{ 0x015312e0, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdbd03850, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4b356bb7, "pci_release_regions" },
	{ 0x7f1bc7e2, "pcie_print_link_status" },
	{ 0xb660a940, "pci_dev_get" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17759e36, "seq_printf" },
	{ 0x457313f5, "devlink_priv" },
	{ 0xd73d7dd2, "pci_disable_sriov" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x517d8c63, "devl_register" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x3fab110b, "vcalloc_noprof" },
	{ 0x74ec6ad5, "pci_free_irq_vectors" },
	{ 0x5b38f1e3, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0x245c2af9, "pci_iov_get_pf_drvdata" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d0000100Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8433CD8EC2351E06F4D70C7");
