#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_FUNC(mlx5_cmd_add_privileged_uid, "", "");
KSYMTAB_FUNC(mlx5_cmd_remove_privileged_uid, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get_low, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_put_low, "", "");
KSYMTAB_FUNC(mlx5_comp_irqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_get_flow_vport_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_fc_local_create, "", "");
KSYMTAB_FUNC(mlx5_fc_local_destroy, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_query_cong_counter, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x000573bd, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0xfdbe88d1, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xae0d0478, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x171cef9e, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x817142bf, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x1246c94a, "");
SYMBOL_CRC(mlx5_cmd_check, 0xac0b02b9, "");
SYMBOL_CRC(mlx5_cmd_do, 0x828fac0d, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xa0076e0d, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0xea126300, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xc061a2b3, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0xd45c9788, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x9de5a9c0, "");
SYMBOL_CRC(mlx5_cmd_add_privileged_uid, 0x8c339c47, "");
SYMBOL_CRC(mlx5_cmd_remove_privileged_uid, 0x7bd04834, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x7d9c7ad7, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x344af2e5, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x06512cee, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x70a222aa, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x6edc1382, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xc2aa820d, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x5515ac8b, "");
SYMBOL_CRC(mlx5_eq_enable, 0x03b1dd64, "");
SYMBOL_CRC(mlx5_eq_disable, 0x1f513403, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xb1e3fe4f, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x2f8d5370, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x41a91cad, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0xc2ba6e1f, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xe154cc5c, "");
SYMBOL_CRC(mlx5_comp_eqn_get_low, 0x0a568d58, "");
SYMBOL_CRC(mlx5_comp_eqn_put_low, 0xca6e3452, "");
SYMBOL_CRC(mlx5_comp_irqn_get, 0xa11d42f2, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x4473dc55, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0xfcda87af, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x879dd919, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x374eea7a, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xb4ed5c51, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xd74ef1b6, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x8324a9bb, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xb21af1f6, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x7aabf049, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0xe0e72752, "");
SYMBOL_CRC(mlx5_create_cq, 0xfbea6aaa, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xe06f8aa4, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x8ffac933, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xf88b4ee0, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xb91c49b9, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xa14d2e56, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xc3e77777, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xb31bb516, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x53107f94, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x424a9582, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xbdb92d34, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x2d36db44, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x80ff1367, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x9c26b9f3, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xe2a21a33, "");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x2001e0ca, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x91d9f943, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x2975b896, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x5f3f424d, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xa973d9c8, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x2ca59160, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xc098e024, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xa836569e, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x78878713, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x9e5ef731, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x848161b7, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x9dfeb26f, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0xdedb7be0, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x1e1ca9ec, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x0839d393, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x1557a6bd, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x69ef0796, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xa6557ac7, "");
SYMBOL_CRC(mlx5_core_query_sq, 0xc783aec2, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xade80bc7, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x8e1b39c1, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xc084f928, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xe2b3c085, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xb8642eba, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xa6d05fc5, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x5afc5a56, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x1a2c99d3, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xafcb8b33, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xd3de2974, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x211d06bd, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xa4275d35, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x3f0994da, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x38f8c345, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x3e3cdb54, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0xdd1b5383, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xf6550cc6, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x9c37a807, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x6afafa8a, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x722e05fc, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xc361fc99, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xfd8a1fc1, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x08a5a0fb, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x4d78a4ba, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xbdaad8bc, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x80aa2127, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x04dbc878, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xf58a2c54, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xba0fa466, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x4b0aa399, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xadf5af1f, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0xf348c047, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x50da8e06, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x8acbdfe2, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xcdf5d68f, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xbe9b42e2, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x974d37c1, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x54fa5d2a, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x35207d48, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0xfe6cc4b9, "");
SYMBOL_CRC(mlx5_create_flow_table, 0xc7387224, "");
SYMBOL_CRC(mlx5_flow_table_id, 0x04e078a5, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xfe5e6db5, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x721a42d6, "");
SYMBOL_CRC(mlx5_create_flow_group, 0xb1a2c116, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xbed1e9f4, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xbad1b11f, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xdb9ff463, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x57b612e8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x40cd78c4, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xdff137b2, "");
SYMBOL_CRC(mlx5_get_flow_vport_namespace, 0xc8807110, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x9b02253d, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x41e45ffb, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x84e6ee04, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xcf825d06, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x30aca2d2, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x8a4945dd, "");
SYMBOL_CRC(mlx5_fc_create, 0xd1153d73, "");
SYMBOL_CRC(mlx5_fc_id, 0x94373b51, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x87ac3605, "");
SYMBOL_CRC(mlx5_fc_query, 0x92452174, "");
SYMBOL_CRC(mlx5_fc_local_create, 0x01a3ec14, "");
SYMBOL_CRC(mlx5_fc_local_destroy, 0x5637f7c8, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xb987745d, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xc02241e3, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x35c694fd, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x6a81cf32, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x74fbab7f, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0xd3eb2f88, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xb1462f36, "");
SYMBOL_CRC(mlx5_cmd_query_cong_counter, 0x9b612f86, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x3706afee, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xcd4c784e, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xbf1771ce, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xbd591204, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xfe6076f9, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xb4027e4d, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xe6f04ce6, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x6ee25579, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x111099bd, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x2a7c2dfd, "");
SYMBOL_CRC(mlx5_notifier_register, 0xf50fb937, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xfbf375c2, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xbd49d3ff, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x55b7e884, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x2c6771b1, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x76e827b0, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x69929cb0, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x2a14b8fe, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x19182ed8, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x939eb880, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xb00c991b, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x912a2cfd, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x78f76f4a, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x86a88219, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xd1e3d889, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xb7877a05, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x774c09b4, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xe9a8da97, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xeeb7b170, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xd25993a9, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xa356d496, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x93ddbc88, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x1684df20, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0xa8ad597b, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x8b3d2e76, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0xa0f8b927, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x56ee949c, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x1c405c6b, "");
SYMBOL_CRC(mlx5_wc_support_get, 0xefae1dfb, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x7d504ff3, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xa15bfc77, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x38c8a3aa, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xfb66bce4, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x668f044c, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x1e629dfe, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xcb9124cb, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xf8b1c407, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x9fe73145, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x8b6cf561, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xb2cba463, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x0fdca2ff, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x7913067f, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xf302985c, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xa5694f7f, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x6ffa6fdd, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x03286575, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x57cccb6e, "");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x42d5cc65, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0x0b4aa6ec, "__inet_lookup_established" },
	{ 0x88713aaa, "xsk_tx_completed" },
	{ 0x0c8b3432, "napi_alloc_skb" },
	{ 0x3ffa5b64, "alloc_etherdev_mqs" },
	{ 0x493cd09b, "netdev_lower_get_next" },
	{ 0x87bb292b, "secpath_set" },
	{ 0x4067c358, "flow_block_cb_lookup" },
	{ 0x0d7f5bfe, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8dbe0525, "devl_rate_leaf_create" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xcdb99145, "xp_alloc" },
	{ 0x73b83dbd, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa8a03a9f, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x17909b24, "flow_rule_match_enc_keyid" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x28a8c87f, "bpf_prog_put" },
	{ 0x4a899d9c, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2aa3cf98, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8687e283, "pci_cfg_access_unlock" },
	{ 0xcf7beca8, "xp_dma_map" },
	{ 0xada9cce1, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x388afaac, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x9f39ff76, "skb_copy_bits" },
	{ 0xdcea2c0b, "debugfs_attr_write" },
	{ 0x54b80808, "dma_pool_create" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xae0a994c, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x3df50cf2, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x137d3222, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x7454d202, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc959f105, "register_fib_notifier" },
	{ 0xf1b8d862, "auxiliary_device_init" },
	{ 0x7416b139, "ip6_dst_hoplimit" },
	{ 0xe022e499, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x676be103, "flow_rule_match_enc_ip" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x56a45ed8, "pci_alloc_irq_vectors" },
	{ 0xac2a9bea, "pci_enable_atomic_ops_to_root" },
	{ 0x0b279ef2, "seq_release" },
	{ 0x0ad94d89, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xc4c1b8ba, "xsk_clear_tx_need_wakeup" },
	{ 0xcc4cfd96, "udp4_hwcsum" },
	{ 0x01b6865c, "xa_get_mark" },
	{ 0x5b2d739a, "devl_lock" },
	{ 0x94192666, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x1e16b393, "ndo_dflt_bridge_getlink" },
	{ 0x91b5f45b, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xe0cbd7ee, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x904e95da, "flow_rule_match_tcp" },
	{ 0x270d0846, "__kmalloc_node_noprof" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x15ba02f5, "register_netdevice_notifier_dev_net" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x01f80b9e, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0xa9e34ecd, "flow_rule_match_cvlan" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x023967b1, "xas_find" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x636616ca, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xf76ee4e5, "pci_num_vf" },
	{ 0x9b132d69, "debugfs_create_atomic_t" },
	{ 0x6f9f3940, "flow_rule_match_eth_addrs" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x91b03bfe, "xfrm_state_check_expire" },
	{ 0x1ecbc028, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb5cafbeb, "ptp_clock_index" },
	{ 0x6d46183e, "pci_request_regions" },
	{ 0x572d44ad, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0xf9ca49b7, "flow_block_cb_free" },
	{ 0xf8aa2560, "devl_port_fn_devlink_set" },
	{ 0x4829a47e, "memcpy" },
	{ 0xbd215e3d, "xp_can_alloc" },
	{ 0xa089cc76, "psample_sample_packet" },
	{ 0x4eb29104, "dev_get_iflink" },
	{ 0x037a0cba, "kfree" },
	{ 0xea925d16, "devlink_alloc_ns" },
	{ 0x94555e3c, "devl_rate_leaf_destroy" },
	{ 0x515824d8, "alloc_cpumask_var_node" },
	{ 0x247d5d4b, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xbdddba2a, "devlink_register" },
	{ 0x2ab84a67, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x360694df, "seq_lseek" },
	{ 0x03d5f423, "page_pool_destroy" },
	{ 0xecf8c2bb, "xdp_do_redirect" },
	{ 0x8d5578e6, "devlink_free" },
	{ 0x24c2e9c9, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xf33baa09, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xf8b931f7, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x997b70c8, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbd3dde2c, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x594672b5, "pci_irq_vector" },
	{ 0xdc75fff2, "flow_rule_match_ipv4_addrs" },
	{ 0xa18cbcc3, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x01281003, "devlink_fmsg_binary_put" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x8837dbea, "sock_gen_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x0907d14d, "blocking_notifier_chain_register" },
	{ 0x14ee9ef3, "netdev_err" },
	{ 0x6e86331a, "pci_cfg_access_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x82cd555c, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0x47f74e07, "netdev_port_same_parent_id" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0xb9f54749, "dev_addr_mod" },
	{ 0xfca043d5, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x1d9cbfd8, "ptp_find_pin" },
	{ 0x0b199c76, "eth_type_trans" },
	{ 0x928f4743, "pci_read_config_dword" },
	{ 0x223e1b72, "request_firmware_direct" },
	{ 0x85d8dd6c, "flow_rule_match_icmp" },
	{ 0x45ed27ee, "auxiliary_driver_unregister" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x5b73f9f0, "napi_complete_done" },
	{ 0xfe74adf3, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xe8478c4f, "devlink_port_attrs_pci_vf_set" },
	{ 0x469b1b5a, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0x98bb6220, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xaf7adc45, "put_device" },
	{ 0x8ee8543e, "net_dim" },
	{ 0x990d4970, "__napi_schedule" },
	{ 0x0960856f, "devlink_port_health_reporter_create" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0x0f487d65, "pcie_relaxed_ordering_enabled" },
	{ 0xe908abb6, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0xb5d08c20, "devlink_port_attrs_pci_pf_set" },
	{ 0x2168af3e, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x7a6fb10f, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xf9968f9c, "__free_pages" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x39ac5603, "skb_vlan_pop" },
	{ 0x5c3685a2, "netif_device_attach" },
	{ 0xa468cb1c, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xf603d28e, "netdev_pick_tx" },
	{ 0xa7c4900a, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x887e18cf, "xp_raw_get_dma" },
	{ 0x028a8ba2, "eth_get_headlen" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x30c48dc2, "xdp_rxq_info_is_reg" },
	{ 0x7a7c8380, "flow_rule_match_enc_opts" },
	{ 0x0c2c5802, "work_busy" },
	{ 0x5764b9df, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x7306a6de, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x00372541, "devl_health_reporter_create" },
	{ 0x9fda2284, "flow_block_cb_setup_simple" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x1a4a0a3c, "pci_msix_can_alloc_dyn" },
	{ 0x858323a0, "flow_rule_match_basic" },
	{ 0xf86610b4, "unregister_netdevice_notifier_dev_net" },
	{ 0x2da03482, "pci_find_capability" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xce7e7372, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xce4fed4a, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x72e925aa, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x23735c9c, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x6bd80b60, "__dma_sync_single_for_cpu" },
	{ 0x4a1bfb14, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x69c6b596, "__dev_get_by_index" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0xb0c0ded0, "devlink_port_unregister" },
	{ 0xca963208, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x2da8b798, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x4f487e85, "softnet_data" },
	{ 0x34e90890, "ipv6_stub" },
	{ 0x5ca25210, "simple_open" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8355028a, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa8cf9e40, "simple_attr_release" },
	{ 0x160693a0, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x69e12e0c, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x45fb92f9, "xsk_tx_peek_desc" },
	{ 0x70c621fd, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x148b4478, "__traceiter_xdp_exception" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xe1b907c5, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x58399234, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x93fef8b6, "irq_get_irq_data" },
	{ 0x7d2c42a1, "dev_remove_pack" },
	{ 0x35e7c1ef, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x81cb668b, "dev_get_by_index" },
	{ 0x73a4463f, "bpf_trace_run5" },
	{ 0x98c279a5, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x989bdba9, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x779ee9db, "devl_port_register_with_ops" },
	{ 0x9ae4c5f3, "dev_get_by_index_rcu" },
	{ 0xb4e9860c, "netdev_printk" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5ed879f3, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0x44738de8, "kmem_cache_free" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x666a878f, "pci_read_config_word" },
	{ 0x9349c4e5, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x291ba4e9, "xsk_clear_rx_need_wakeup" },
	{ 0x6e50cfbb, "seq_putc" },
	{ 0xd6dac85e, "unregister_netdevice_notifier_net" },
	{ 0x80e458bc, "auxiliary_device_sysfs_irq_remove" },
	{ 0x5cd2e5e8, "xsk_uses_need_wakeup" },
	{ 0x35bb3855, "register_netdev" },
	{ 0x00d4e394, "unregister_fib_notifier" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4bad02fa, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0xb4fe3a45, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x94a73ccb, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0xd02555b7, "debugfs_create_size_t" },
	{ 0x4f0237ca, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe9af7397, "__xa_set_mark" },
	{ 0x44249be8, "page_pool_put_unrefed_netmem" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x0a52cb80, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x774e566f, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa5bfb493, "__ethtool_get_link_ksettings" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xf307422a, "pci_restore_state" },
	{ 0x13f403d0, "bpf_trace_run1" },
	{ 0x3815cbb0, "__inet6_lookup_established" },
	{ 0x7e0f6ed3, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xb69b7268, "device_del" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x6ca702b3, "page_pool_create" },
	{ 0xf50e1e05, "skb_checksum" },
	{ 0xbaf509e0, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x07e4d7c1, "flow_rule_match_ports" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9da409e7, "__kmalloc_cache_node_noprof" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x37c8bfd5, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xaac1db5e, "devl_resources_unregister" },
	{ 0x77c57b18, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x668ee384, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0xf2ecfa91, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2a2e0dfe, "debugfs_create_u32" },
	{ 0xdbe18e1a, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x3e1e9888, "flow_rule_match_ipv6_addrs" },
	{ 0x00741a2c, "netdev_set_tc_queue" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x6c701f96, "devl_params_unregister" },
	{ 0xb365b3d5, "ptp_clock_unregister" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0x157d9e69, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xabd39162, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x10ae5aa9, "devlink_trap_report" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0xed91f211, "__neigh_event_send" },
	{ 0x74dbd1ec, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xf6eeed0a, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xde23a7c1, "devl_traps_register" },
	{ 0x015312e0, "devl_unlock" },
	{ 0x8b71181c, "__netif_napi_del_locked" },
	{ 0xbdc8c686, "free_cpumask_var" },
	{ 0x8d589ede, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0xf1727458, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0xa2f8048a, "flow_rule_match_enc_control" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xbbe5036b, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xc1ca841a, "rps_may_expire_flow" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x04d2b7e5, "xsk_set_tx_need_wakeup" },
	{ 0x7d2ccb21, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x381cc222, "netdev_reset_tc" },
	{ 0x90e4f891, "gro_receive_skb" },
	{ 0x807d4b2f, "neigh_destroy" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0x35d09d6f, "pci_reset_bus" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xbe179e15, "page_pool_put_netmem_bulk" },
	{ 0xdbd03850, "debugfs_create_x32" },
	{ 0x27aeaf36, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5307c428, "flow_rule_match_enc_ports" },
	{ 0x5acfbef9, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x4b356bb7, "pci_release_regions" },
	{ 0x8e4b26d5, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcbb796e8, "__dma_sync_single_for_device" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x7c41100a, "bpf_prog_add" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x00aa1603, "xa_find" },
	{ 0x1ea89ac0, "devl_assert_locked" },
	{ 0x7f1bc7e2, "pcie_print_link_status" },
	{ 0x6a75d8b7, "xp_set_rxq_info" },
	{ 0xc93772d8, "flow_rule_match_vlan" },
	{ 0x040dd922, "devl_port_unregister" },
	{ 0xe5338715, "xdp_rxq_info_unreg" },
	{ 0xad9db93b, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x5b7350af, "devl_param_driverinit_value_get" },
	{ 0x45f99e15, "napi_build_skb" },
	{ 0x649cfa4a, "netdev_master_upper_dev_get_rcu" },
	{ 0xf8ddc56d, "__xdp_rxq_info_reg" },
	{ 0x16fbf2d2, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x89573275, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfdd5166e, "bpf_prog_inc" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x5b18d7a3, "netif_carrier_event" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9d9af30a, "netif_carrier_off" },
	{ 0x17759e36, "seq_printf" },
	{ 0xf807a623, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x457313f5, "devlink_priv" },
	{ 0x27ddb409, "devlink_port_register_with_ops" },
	{ 0xd73d7dd2, "pci_disable_sriov" },
	{ 0x7ea5fb52, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc1c14fc0, "dst_release" },
	{ 0xe3968cc4, "netif_carrier_on" },
	{ 0x1433371c, "netdev_set_num_tc" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0x61891217, "hwmon_device_unregister" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xe77db421, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6a5de1bb, "alloc_pages_noprof" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x4dc2dd62, "xp_free" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x13012bed, "page_pool_update_nid" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0xde055c29, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x271e1a27, "netif_set_tso_max_size" },
	{ 0x37d91524, "vlan_dev_vlan_id" },
	{ 0x5ac016a9, "__skb_flow_dissect" },
	{ 0x54156052, "pci_msix_alloc_irq_at" },
	{ 0x17de4663, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xc3c4d688, "skb_add_rx_frag_netmem" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0xd8f9f14e, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xef1dbe6b, "skb_coalesce_rx_frag" },
	{ 0x486093ef, "xp_raw_get_data" },
	{ 0x5312c36e, "tls_validate_xmit_skb" },
	{ 0x09da0ba4, "xa_set_mark" },
	{ 0x18e55979, "napi_schedule_prep" },
	{ 0xaf34698f, "qdisc_reset" },
	{ 0x1e2d06bf, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x19564542, "xp_alloc_batch" },
	{ 0x2baeccb0, "flow_rule_match_mpls" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe3fe224c, "napi_disable" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0xcd72b982, "dcb_ieee_delapp" },
	{ 0xc7b26249, "bpf_trace_run7" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0xe8b856b5, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdf80cadf, "debugfs_create_u8" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x517d8c63, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x35215603, "ioremap_prot" },
	{ 0x23cb99f6, "ptp_schedule_worker" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xb0e1ab0a, "skb_ext_add" },
	{ 0x13f4c548, "pcie_bandwidth_available" },
	{ 0x74ec6ad5, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0xf0fca121, "flow_rule_match_control" },
	{ 0xdf33b7a1, "flow_rule_match_ip" },
	{ 0x5b38f1e3, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x870b7077, "auxiliary_device_sysfs_irq_add" },
	{ 0x426379ab, "dcb_ieee_setapp" },
	{ 0xbe4c9192, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x589851ca, "netif_napi_set_irq_locked" },
	{ 0x8160c074, "xsk_tx_release" },
	{ 0xb51b082b, "devl_traps_unregister" },
	{ 0x245c2af9, "pci_iov_get_pf_drvdata" },
	{ 0x7ece803a, "pci_write_config_dword" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x9c4df800, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x9d3cb9e1, "neigh_lookup" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0xe00aa5ea, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "psample,tls,pci-hyperv-intf,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "6860CDB733F4B4C06CBF01A");
