#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mana_gd_send_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_wq_ring_doorbell, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_ring_cq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_dma_region, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_create_mana_eq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_create_mana_wq_cq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_queue, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_register_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_deregister_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_post_work_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_poll_cq, "", "NET_MANA");
KSYMTAB_FUNC(mana_uncfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_cfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_create_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_destroy_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_get_primary_netdev, "", "NET_MANA");

SYMBOL_CRC(mana_gd_send_request, 0xa8a0eef8, "");
SYMBOL_CRC(mana_gd_wq_ring_doorbell, 0xc8c70bd9, "");
SYMBOL_CRC(mana_gd_ring_cq, 0x18a442cf, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0x6a109f5f, "");
SYMBOL_CRC(mana_gd_create_mana_eq, 0xf37a9867, "");
SYMBOL_CRC(mana_gd_create_mana_wq_cq, 0xe2401c4e, "");
SYMBOL_CRC(mana_gd_destroy_queue, 0x388f187f, "");
SYMBOL_CRC(mana_gd_register_device, 0x50fd5b45, "");
SYMBOL_CRC(mana_gd_deregister_device, 0xb9874774, "");
SYMBOL_CRC(mana_gd_post_work_request, 0x744ad1ff, "");
SYMBOL_CRC(mana_gd_poll_cq, 0x0d0e877e, "");
SYMBOL_CRC(mana_uncfg_vport, 0xab7f1304, "");
SYMBOL_CRC(mana_cfg_vport, 0x50ad9fbd, "");
SYMBOL_CRC(mana_create_wq_obj, 0xf9cff2d3, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0x51039b40, "");
SYMBOL_CRC(mana_get_primary_netdev, 0x3ed82fbe, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0x3ffa5b64, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x28a8c87f, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf1b8d862, "auxiliary_device_init" },
	{ 0x0ee09f4a, "pci_iomap" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x56a45ed8, "pci_alloc_irq_vectors" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x94192666, "bpf_warn_invalid_xdp_action" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe410d353, "debugfs_create_u16" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d46183e, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x515824d8, "alloc_cpumask_var_node" },
	{ 0x03d5f423, "page_pool_destroy" },
	{ 0xecf8c2bb, "xdp_do_redirect" },
	{ 0x3cd8a3b9, "eth_validate_addr" },
	{ 0xf33baa09, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf8b931f7, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x594672b5, "pci_irq_vector" },
	{ 0x2c0c115d, "unregister_netdevice_queue" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x6027b89a, "sched_numa_hop_mask" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x14ee9ef3, "netdev_err" },
	{ 0xee073a96, "pskb_expand_head" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0xb9f54749, "dev_addr_mod" },
	{ 0xfca043d5, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x0b199c76, "eth_type_trans" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0x5b73f9f0, "napi_complete_done" },
	{ 0xfe74adf3, "__alloc_pages_noprof" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xbe8c9212, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xaf7adc45, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x7a6fb10f, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x5c3685a2, "netif_device_attach" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc13ad29a, "__skb_get_hash_net" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x5ca25210, "simple_open" },
	{ 0xc9124aaf, "xdp_build_skb_from_frame" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xacce839d, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x148b4478, "__traceiter_xdp_exception" },
	{ 0xe1b907c5, "netif_set_real_num_tx_queues" },
	{ 0x58399234, "__auxiliary_device_add" },
	{ 0x35e7c1ef, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb4e9860c, "netdev_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0xa2277789, "pcie_flr" },
	{ 0x9349c4e5, "napi_enable" },
	{ 0x35bb3855, "register_netdev" },
	{ 0xffb7c514, "ida_free" },
	{ 0x94a73ccb, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x44249be8, "page_pool_put_unrefed_netmem" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x0a52cb80, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xe156906f, "pci_iounmap" },
	{ 0x7e0f6ed3, "netif_tx_wake_queue" },
	{ 0xb69b7268, "device_del" },
	{ 0x6ca702b3, "page_pool_create" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x4fef7803, "skb_dequeue_tail" },
	{ 0x2a2e0dfe, "debugfs_create_u32" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x8b71181c, "__netif_napi_del_locked" },
	{ 0xe79042ae, "__bitmap_weight_andnot" },
	{ 0xbdc8c686, "free_cpumask_var" },
	{ 0x8d589ede, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x90e4f891, "gro_receive_skb" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4b356bb7, "pci_release_regions" },
	{ 0x7c41100a, "bpf_prog_add" },
	{ 0x7e94e09f, "cpu_topology" },
	{ 0xe5338715, "xdp_rxq_info_unreg" },
	{ 0xad9db93b, "page_pool_alloc_pages" },
	{ 0x45f99e15, "napi_build_skb" },
	{ 0x649cfa4a, "netdev_master_upper_dev_get_rcu" },
	{ 0xcad91204, "__folio_put" },
	{ 0xf8ddc56d, "__xdp_rxq_info_reg" },
	{ 0x16fbf2d2, "xdp_set_features_flag" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9d9af30a, "netif_carrier_off" },
	{ 0xe3968cc4, "netif_carrier_on" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0x271e1a27, "netif_set_tso_max_size" },
	{ 0xd8f9f14e, "xdp_master_redirect" },
	{ 0x30164edc, "__napi_schedule_irqoff" },
	{ 0x18e55979, "napi_schedule_prep" },
	{ 0x1e2d06bf, "napi_consume_skb" },
	{ 0xe3fe224c, "napi_disable" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x3fab110b, "vcalloc_noprof" },
	{ 0x74ec6ad5, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x9c4df800, "netdev_info" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F5016C817C27A13F0E9F7C1");
