#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qed_get_eth_ops, "", "");
KSYMTAB_FUNC(qed_put_eth_ops, "", "");
KSYMTAB_FUNC(qed_get_fcoe_ops, "", "");
KSYMTAB_FUNC(qed_put_fcoe_ops, "", "");
KSYMTAB_FUNC(qed_get_iscsi_ops, "", "");
KSYMTAB_FUNC(qed_put_iscsi_ops, "", "");
KSYMTAB_FUNC(qed_get_rdma_ops, "", "");

SYMBOL_CRC(qed_get_eth_ops, 0x36fc60f9, "");
SYMBOL_CRC(qed_put_eth_ops, 0x9eeeef48, "");
SYMBOL_CRC(qed_get_fcoe_ops, 0xf0fabf53, "");
SYMBOL_CRC(qed_put_fcoe_ops, 0x992e03d0, "");
SYMBOL_CRC(qed_get_iscsi_ops, 0x44aa1a12, "");
SYMBOL_CRC(qed_put_iscsi_ops, 0x4f264472, "");
SYMBOL_CRC(qed_get_rdma_ops, 0x9f4b33aa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x0d7f5bfe, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd7216703, "pci_find_ext_capability" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x388afaac, "devlink_unregister" },
	{ 0x9f39ff76, "skb_copy_bits" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0x6d4bca86, "request_firmware" },
	{ 0x01f80b9e, "devlink_health_reporter_create" },
	{ 0xca1be99d, "devlink_params_unregister" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb49dd77c, "pci_disable_msi" },
	{ 0x6d46183e, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xea925d16, "devlink_alloc_ns" },
	{ 0xbdddba2a, "devlink_register" },
	{ 0x8d5578e6, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x00148653, "vsnprintf" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x1b400cdd, "pci_ioremap_bar" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x928f4743, "pci_read_config_dword" },
	{ 0x9c5d5b94, "crc8" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x9af5e66d, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x35476da4, "pci_enable_msi" },
	{ 0x2da8b798, "init_net" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x666a878f, "pci_read_config_word" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3da596fe, "slab_build_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xae018351, "devlink_params_register" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4b356bb7, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x90ceeaf7, "pcie_capability_read_dword" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x457313f5, "devlink_priv" },
	{ 0xd73d7dd2, "pci_disable_sriov" },
	{ 0xc8b72e4b, "pci_disable_msix" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xfe51357e, "pci_read_config_byte" },
	{ 0x98cf60b3, "strlen" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x35215603, "ioremap_prot" },
	{ 0x5b38f1e3, "pci_enable_sriov" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AA54717283285CB1121BBCB");
