#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x51921da9, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xd4d02641, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x2fd97aee, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb15d8b3a, "rtnl_link_register" },
	{ 0xf4a6b261, "genl_register_family" },
	{ 0xc32fc9e8, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x037a0cba, "kfree" },
	{ 0x59ed3006, "crypto_destroy_tfm" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xefd4249e, "crypto_alloc_aead" },
	{ 0x0705625c, "crypto_aead_setkey" },
	{ 0xe9b9bce6, "crypto_aead_setauthsize" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8d304f20, "nla_put" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x572d44ad, "___pskb_trim" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7ea5fb52, "metadata_dst_alloc" },
	{ 0xd7421ce9, "ether_setup" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x599f1307, "dev_mc_sync" },
	{ 0x798adae5, "dev_uc_sync" },
	{ 0x2e73861b, "dev_set_allmulti" },
	{ 0xf0761449, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x83697e38, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x69c6b596, "__dev_get_by_index" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x73968f86, "skb_ensure_writable_head_tail" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x82f143f0, "register_netdevice" },
	{ 0x54618ea1, "netdev_upper_dev_link" },
	{ 0xdec82afe, "netdev_upper_dev_unlink" },
	{ 0x2c0c115d, "unregister_netdevice_queue" },
	{ 0xa1b2b3c6, "netif_stacked_transfer_operstate" },
	{ 0x1ee26c3b, "linkwatch_fire_event" },
	{ 0x3c8c9003, "netdev_rx_handler_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd7ec32fc, "skb_clone" },
	{ 0x015a828d, "__netif_rx" },
	{ 0xd53ba547, "skb_trim" },
	{ 0xc1c14fc0, "dst_release" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x7d2ccb21, "__dev_queue_xmit" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6cf64e4c, "netdev_rx_handler_unregister" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xe022e499, "netdev_update_features" },
	{ 0xe0c5e0b8, "netif_inherit_tso_max" },
	{ 0xf511fa45, "dev_set_mtu" },
	{ 0x9d9af30a, "netif_carrier_off" },
	{ 0x8f0e19ac, "dev_mc_unsync" },
	{ 0x01fed2c3, "dev_uc_unsync" },
	{ 0xe09a692f, "dev_uc_del" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x087979c8, "gro_cells_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb9f54749, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d5a6154, "dev_uc_add" },
	{ 0xe3968cc4, "netif_carrier_on" },
	{ 0x8cbe4629, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x2d98eaf5, "skb_to_sgvec" },
	{ 0x99cbc945, "crypto_aead_decrypt" },
	{ 0x05836f5d, "consume_skb" },
	{ 0xd5093415, "skb_copy" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x7a94353a, "skb_push" },
	{ 0x0b199c76, "eth_type_trans" },
	{ 0xbc2a53d2, "gro_cells_receive" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x81d9ac75, "crypto_aead_encrypt" },
	{ 0x75c4451a, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xf830df56, "genlmsg_put" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7F6C3B32ED4A7AF5B31E8B5");
