#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x61eddd52, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x1fb092af, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xcb4783ce, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xa52d0676, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd7421ce9, "ether_setup" },
	{ 0xa5bfb493, "__ethtool_get_link_ksettings" },
	{ 0x8670afc3, "ethtool_get_ts_info_by_layer" },
	{ 0x2da8b798, "init_net" },
	{ 0xe69c926b, "generic_hwtstamp_set_lower" },
	{ 0x7ce37f0a, "generic_hwtstamp_get_lower" },
	{ 0xaebeffb2, "dev_mc_del" },
	{ 0xe09a692f, "dev_uc_del" },
	{ 0xb0ee7fbc, "dev_mc_add_excl" },
	{ 0x50edaed2, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xf588e59c, "__netpoll_free" },
	{ 0x925d45f2, "vlan_vid_del" },
	{ 0x6a00c305, "vlan_vid_add" },
	{ 0xdcb764ad, "memset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x798adae5, "dev_uc_sync" },
	{ 0x599f1307, "dev_mc_sync" },
	{ 0x2e73861b, "dev_set_allmulti" },
	{ 0xf0761449, "dev_set_promiscuity" },
	{ 0x01fed2c3, "dev_uc_unsync" },
	{ 0x8f0e19ac, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb15d8b3a, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc32fc9e8, "rtnl_link_unregister" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8d304f20, "nla_put" },
	{ 0x9ce1faa1, "netdev_is_rx_handler_busy" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x3c8c9003, "netdev_rx_handler_register" },
	{ 0x037a0cba, "kfree" },
	{ 0xf32701bb, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2c0c115d, "unregister_netdevice_queue" },
	{ 0xdec82afe, "netdev_upper_dev_unlink" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb9f54749, "dev_addr_mod" },
	{ 0x6d5a6154, "dev_uc_add" },
	{ 0x86185409, "dev_set_mac_address" },
	{ 0xf511fa45, "dev_set_mtu" },
	{ 0xe0c5e0b8, "netif_inherit_tso_max" },
	{ 0xe022e499, "netdev_update_features" },
	{ 0xa1b2b3c6, "netif_stacked_transfer_operstate" },
	{ 0x1407ac5f, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xd7ec32fc, "skb_clone" },
	{ 0x7b033b9b, "netif_rx" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd8702557, "__dev_forward_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cf64e4c, "netdev_rx_handler_unregister" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x4829a47e, "memcpy" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x69c6b596, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x82f143f0, "register_netdevice" },
	{ 0x54618ea1, "netdev_upper_dev_link" },
	{ 0x1ee26c3b, "linkwatch_fire_event" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x015a828d, "__netif_rx" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfd7cbc3f, "netdev_core_stats_inc" },
	{ 0x3aaf59fb, "ip_check_defrag" },
	{ 0x7d2ccb21, "__dev_queue_xmit" },
	{ 0xc53ab67c, "dev_forward_skb" },
	{ 0xf910bbf5, "netpoll_send_skb" },
	{ 0xf9d51940, "passthru_features_check" },
	{ 0x3cd8a3b9, "eth_validate_addr" },
	{ 0x35003125, "ndo_dflt_fdb_dump" },
	{ 0x0a52cb80, "ethtool_op_get_link" },
	{ 0x2be8ac1f, "eth_header_parse" },
	{ 0xf9e0ca37, "eth_header_cache" },
	{ 0xe13f8d25, "eth_header_cache_update" },
	{ 0x13201f82, "eth_header_parse_protocol" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4559B630E161CA7B81707D5");
