#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xgene_mdio_rd_mac, "", "");
KSYMTAB_FUNC(xgene_mdio_wr_mac, "", "");
KSYMTAB_FUNC(xgene_mdio_rgmii_read, "", "");
KSYMTAB_FUNC(xgene_mdio_rgmii_write, "", "");
KSYMTAB_FUNC(xgene_enet_phy_register, "", "");

SYMBOL_CRC(xgene_mdio_rd_mac, 0xad46001c, "");
SYMBOL_CRC(xgene_mdio_wr_mac, 0x35f04d77, "");
SYMBOL_CRC(xgene_mdio_rgmii_read, 0xdc933d36, "");
SYMBOL_CRC(xgene_mdio_rgmii_write, 0x4cfe6a3b, "");
SYMBOL_CRC(xgene_enet_phy_register, 0x46bf562c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x975e5c73, "get_phy_device" },
	{ 0x00218cb9, "phy_device_register" },
	{ 0x5284b43a, "phy_device_free" },
	{ 0x69566392, "__platform_driver_register" },
	{ 0x99878af1, "mdiobus_unregister" },
	{ 0xf76d4884, "mdiobus_free" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x1239b4f2, "platform_driver_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x062f8740, "acpi_fetch_acpi_dev" },
	{ 0xc2561bf8, "acpi_dev_get_property" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x92997ed8, "_printk" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xa17e57fa, "is_acpi_device_node" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xa1b02099, "device_get_match_data" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xd6fe4216, "devm_platform_ioremap_resource" },
	{ 0x16776275, "devm_clk_get" },
	{ 0xefc08542, "mdiobus_alloc_size" },
	{ 0xb2366061, "__of_mdiobus_register" },
	{ 0xe56a8fa2, "__mdiobus_register" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:APMC0D65:*");
MODULE_ALIAS("acpi*:APMC0D66:*");
MODULE_ALIAS("of:N*T*Capm,xgene-mdio-rgmii");
MODULE_ALIAS("of:N*T*Capm,xgene-mdio-rgmiiC*");
MODULE_ALIAS("of:N*T*Capm,xgene-mdio-xfi");
MODULE_ALIAS("of:N*T*Capm,xgene-mdio-xfiC*");

MODULE_INFO(srcversion, "B354815FBFB2BFE62461768");
