#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd137c71f, "phy_drivers_register" },
	{ 0x9929e29c, "mdiobus_read" },
	{ 0x592ba558, "genphy_read_status" },
	{ 0xac3d4040, "phy_trigger_machine" },
	{ 0xcd6a851e, "phy_error" },
	{ 0x55ae8de3, "bcm54xx_auxctl_read" },
	{ 0x98e51d74, "bcm54xx_auxctl_write" },
	{ 0x1d9a8460, "bcm_phy_read_shadow" },
	{ 0xbe7b1c1d, "bcm_phy_write_shadow" },
	{ 0x93fb1bd5, "bcm_config_lre_aneg" },
	{ 0x89ef705f, "__genphy_config_aneg" },
	{ 0xdd9fa060, "of_property_read_bool" },
	{ 0x23adf860, "bcm_phy_write_exp" },
	{ 0x514694ad, "phy_modify" },
	{ 0x5a9cc4d3, "genphy_c37_read_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3e2ddbb6, "genphy_c37_config_aneg" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xd78d6ed6, "bcm_phy_get_wol" },
	{ 0x8ededde7, "bcm_phy_set_wol" },
	{ 0x5218defc, "bcm_phy_get_stats" },
	{ 0xda38693b, "phy_drivers_unregister" },
	{ 0x60e6c941, "mdiobus_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb8b0b974, "__mdiobus_write" },
	{ 0x3542c2ad, "__phy_modify" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa32c0399, "__mdiobus_read" },
	{ 0x31d0e2e0, "bcm_phy_read_exp" },
	{ 0xf3e86e15, "phy_resolve_aneg_linkmode" },
	{ 0x690f585e, "phy_basic_ports_array" },
	{ 0x22538fff, "genphy_read_abilities" },
	{ 0x1001399c, "bcm_phy_get_sset_count" },
	{ 0x8a46a1f2, "bcm_ptp_probe" },
	{ 0xce55b42e, "devm_gpiod_get" },
	{ 0x61896436, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0x6b2563f5, "device_set_wakeup_capable" },
	{ 0xf985e146, "device_wakeup_enable" },
	{ 0xe54c4503, "bcm_ptp_stop" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x888e1405, "bcm_ptp_config_init" },
	{ 0x66275485, "pm_wakeup_dev_event" },
	{ 0x2b5c7784, "genphy_resume" },
	{ 0x491b4ca7, "genphy_soft_reset" },
	{ 0x58e3fec4, "bcm_phy_config_intr" },
	{ 0x4d3b0c51, "bcm_phy_handle_interrupt" },
	{ 0x7813149a, "bcm_phy_get_strings" },
	{ 0x6c2659ec, "bcm_phy_led_brightness_set" },
	{ 0x4080789d, "genphy_suspend" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "bcm-phy-lib,bcm-phy-ptp");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000001000000011000011110????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "7649623AC13A760EE7B03D6");
