#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0xc5a0e01f, "_gpl");
SYMBOL_CRC(rndis_command, 0x1d0e4603, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0xa9baeaf4, "_gpl");
SYMBOL_CRC(rndis_unbind, 0xb10826a7, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0x5a894ce3, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0x641c8cf4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5ed29ee, "usb_control_msg" },
	{ 0xdcb764ad, "memset" },
	{ 0xc6f81bd2, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xbfef67af, "usbnet_generic_cdc_bind" },
	{ 0xab5a79cf, "usb_driver_release_interface" },
	{ 0x037a0cba, "kfree" },
	{ 0xb9f54749, "dev_addr_mod" },
	{ 0x8d589ede, "__dynamic_netdev_dbg" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0xd53ba547, "skb_trim" },
	{ 0x004d3ed8, "usbnet_cdc_zte_rx_fixup" },
	{ 0xd7ec32fc, "skb_clone" },
	{ 0xf5c791d4, "usbnet_skb_return" },
	{ 0x75c4451a, "skb_copy_expand" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x9f6e5dd3, "usb_register_driver" },
	{ 0xb4dd983f, "usb_deregister" },
	{ 0x7183da82, "usbnet_cdc_unbind" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xcc610190, "usbnet_probe" },
	{ 0x3d3b21b4, "usbnet_disconnect" },
	{ 0x685faf29, "usbnet_suspend" },
	{ 0x47ef9f6f, "usbnet_resume" },
	{ 0xb7137e36, "usbnet_open" },
	{ 0xe6e5f444, "usbnet_stop" },
	{ 0x2074b436, "usbnet_start_xmit" },
	{ 0x2ff53add, "eth_mac_addr" },
	{ 0x3cd8a3b9, "eth_validate_addr" },
	{ 0xeeba45b9, "usbnet_tx_timeout" },
	{ 0xe14c33f8, "dev_get_tstats64" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");
