#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x245f5593, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x2e970af9, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xe12f817e, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x157d43ba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xc481fe02, "__skb_checksum_complete" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x9f39ff76, "skb_copy_bits" },
	{ 0xb5abc39c, "__nlmsg_put" },
	{ 0x270a65ff, "netdev_adjacent_change_commit" },
	{ 0x2ff53add, "eth_mac_addr" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x137d3222, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7416b139, "ip6_dst_hoplimit" },
	{ 0xe2783b52, "param_ops_ushort" },
	{ 0x05836f5d, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x32aaf40d, "udp_sock_create4" },
	{ 0xfc0cc215, "udp_tunnel6_xmit_skb" },
	{ 0xb15d8b3a, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x20d44e5c, "__unregister_nexthop_notifier" },
	{ 0xe0c5e0b8, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x3cd8a3b9, "eth_validate_addr" },
	{ 0x087979c8, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4b463203, "rtnl_create_link" },
	{ 0x2c0c115d, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x35c5eca0, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xd7421ce9, "ether_setup" },
	{ 0x87a6ef71, "udp_tunnel_drop_rx_port" },
	{ 0x54618ea1, "netdev_upper_dev_link" },
	{ 0xee073a96, "pskb_expand_head" },
	{ 0xedfbd895, "register_pernet_subsys" },
	{ 0xb9f54749, "dev_addr_mod" },
	{ 0x0b199c76, "eth_type_trans" },
	{ 0x86b355fc, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0x1fab9e4d, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x2d862d5e, "eth_gro_complete" },
	{ 0x712ca513, "rtnl_set_sk_err" },
	{ 0xdea539e3, "eth_gro_receive" },
	{ 0x951c4ca8, "rtnl_configure_link" },
	{ 0x9f752882, "skb_tunnel_check_pmtu" },
	{ 0x8678b804, "udp_tunnel_dst_lookup" },
	{ 0xded48a5b, "rtnl_unicast" },
	{ 0x175bc48b, "peernet2id" },
	{ 0xc13ad29a, "__skb_get_hash_net" },
	{ 0xcf13b668, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x69c6b596, "__dev_get_by_index" },
	{ 0xc32fc9e8, "rtnl_link_unregister" },
	{ 0x34e90890, "ipv6_stub" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0xf94fb2e4, "gro_find_complete_by_type" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9ae4c5f3, "dev_get_by_index_rcu" },
	{ 0xbc2a53d2, "gro_cells_receive" },
	{ 0x7a94353a, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xdec82afe, "netdev_upper_dev_unlink" },
	{ 0x8d304f20, "nla_put" },
	{ 0xcd701b40, "__rtnl_register_many" },
	{ 0x94a73ccb, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc83f1bb3, "ip_mc_join_group" },
	{ 0x1c5d3865, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb570fb8f, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x0a52cb80, "ethtool_op_get_link" },
	{ 0x88a80309, "nexthop_find_by_id" },
	{ 0x6659e54d, "arp_create" },
	{ 0xa5bfb493, "__ethtool_get_link_ksettings" },
	{ 0x164f6088, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x71e34bf1, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xcdb11278, "netdev_adjacent_change_abort" },
	{ 0xc0525513, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xef360b23, "udp_tunnel6_dst_lookup" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x7ec70eb6, "__iptunnel_pull_header" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x7b033b9b, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x4204a3a7, "setup_udp_tunnel_sock" },
	{ 0x3b4cd66f, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd53ba547, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8d589ede, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcd17a527, "skb_scrub_packet" },
	{ 0xea24b5f1, "nexthop_select_path" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6b331920, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x807d4b2f, "neigh_destroy" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0xdb0418b0, "udp_tun_rx_dst" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x2a3e441f, "rtnl_notify" },
	{ 0x3cc256df, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x015a828d, "__netif_rx" },
	{ 0xd7ec32fc, "skb_clone" },
	{ 0x7ea5fb52, "metadata_dst_alloc" },
	{ 0xc1c14fc0, "dst_release" },
	{ 0xe77db421, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x782c3430, "udp_tunnel_notify_del_rx_port" },
	{ 0xf26b52b5, "register_nexthop_notifier" },
	{ 0xc365386f, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x27d5d052, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xdfa19b2f, "gro_find_receive_by_type" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x9c4df800, "netdev_info" },
	{ 0x9d3cb9e1, "neigh_lookup" },
	{ 0xa1d20c8a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x82f143f0, "register_netdevice" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "F2E4A2EEB259B6997CAB66E");
