#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_radio_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_vif_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_add_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_get_power_bound, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_vif_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_release_rx_buf, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_offload_disable, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_reset_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_net_setup_tc, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_dma_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_add_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_remove_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_change_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_assign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_unassign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_switch_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt76_remain_on_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_cancel_remain_on_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_aspm_supported, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x3d03ed64, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x75580c6f, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x3d4d7a0a, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x1818ddf0, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0xb68b6d4e, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x17ee919d, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0xada3c319, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xc6315d8e, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x70577545, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0xa917b5d1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x805fc13a, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xa79667c2, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0xd3d4ad9a, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x2b3ff72f, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x27bd6d95, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0xccf78a4c, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x85ed3c17, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x65f36406, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x4aa6bd5a, "_gpl");
SYMBOL_CRC(mt76_alloc_radio_phy, 0x8ff22468, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0xb3945b24, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0xdce8a229, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x1881d76a, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xeb8ac5e3, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0xaa3855c5, "_gpl");
SYMBOL_CRC(mt76_register_device, 0xfe45c95e, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0xdd7d351c, "_gpl");
SYMBOL_CRC(mt76_free_device, 0xbee19bb0, "_gpl");
SYMBOL_CRC(mt76_vif_phy, 0xe288be6f, "_gpl");
SYMBOL_CRC(mt76_rx, 0x9b7ecb5a, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0xf4fd5a54, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0xdff79152, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0xbdf054cd, "_gpl");
SYMBOL_CRC(mt76_update_channel, 0x23126ad8, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xdea04e46, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x9e9837c3, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0xb33fbb8f, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x9b016908, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x15c17012, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x61e8e640, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x5db619aa, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x6ab6bd8e, "_gpl");
SYMBOL_CRC(mt76_wcid_add_poll, 0x6bb82374, "_gpl");
SYMBOL_CRC(mt76_get_power_bound, 0xa394710d, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0xcc2ba626, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0xa7bad725, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x7558f15e, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0x95644a7a, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x63e971d0, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x209038e7, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x57745b9a, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0xc09cf40e, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xeb4ff6c5, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x303d8c65, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0xfb6d8c3a, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0xfb75f7d7, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x238c7bc0, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x40ffe41f, "_gpl");
SYMBOL_CRC(mt76_vif_cleanup, 0x92e2c07c, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x17475f08, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x2dacbc3a, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x0b7aec37, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0x1f98eb8e, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0x440e7fbe, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0xff6fd51f, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0x3dd0ca9f, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0x8aaca5be, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0xbacc0ae8, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xde3851cb, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x450b8ad1, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x3630a091, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0xf1c9d825, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x48148041, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0xcb74c374, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x7f19b4bd, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x73a1f3b8, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0xd51f18db, "_gpl");
SYMBOL_CRC(mt76_tx, 0x8120331f, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0xf74101ec, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0xa713f1af, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x4b579f6b, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x0987e413, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0xe35ba199, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0xf3091200, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x19dd2b32, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x02601cb0, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x23d3180d, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x7d3e2b3f, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0xc184c780, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x5d24a950, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x5be21548, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0xeaedcafb, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x6d3ccefb, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x1376e127, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x81da51d7, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x23c007f3, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0xd429183d, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x47dc13ee, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x51709e41, "_gpl");
SYMBOL_CRC(mt76_wed_release_rx_buf, 0x2a310631, "_gpl");
SYMBOL_CRC(mt76_wed_offload_disable, 0xda4fd8c4, "_gpl");
SYMBOL_CRC(mt76_wed_reset_complete, 0x4958cfc1, "_gpl");
SYMBOL_CRC(mt76_wed_net_setup_tc, 0x7461d1a3, "_gpl");
SYMBOL_CRC(mt76_wed_dma_reset, 0xe5c7b2d3, "_gpl");
SYMBOL_CRC(mt76_hw_scan, 0xda2071a0, "_gpl");
SYMBOL_CRC(mt76_cancel_hw_scan, 0xdfb58db5, "_gpl");
SYMBOL_CRC(mt76_add_chanctx, 0x3a00c28f, "_gpl");
SYMBOL_CRC(mt76_remove_chanctx, 0xbb1475e0, "_gpl");
SYMBOL_CRC(mt76_change_chanctx, 0x504b60d8, "_gpl");
SYMBOL_CRC(mt76_assign_vif_chanctx, 0xa941fca5, "_gpl");
SYMBOL_CRC(mt76_unassign_vif_chanctx, 0xd4ba21a9, "_gpl");
SYMBOL_CRC(mt76_switch_vif_chanctx, 0x4001c040, "_gpl");
SYMBOL_CRC(mt76_remain_on_channel, 0x84786c2a, "_gpl");
SYMBOL_CRC(mt76_cancel_remain_on_channel, 0xe5a009b1, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x7836e4e3, "_gpl");
SYMBOL_CRC(mt76_pci_aspm_supported, 0x9ec80bd5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd1ce2893, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x73b83dbd, "pcie_capability_read_word" },
	{ 0x0d2303d2, "__skb_pad" },
	{ 0x4a899d9c, "page_pool_get_stats" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2aa3cf98, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1849ea57, "__ieee80211_schedule_txq" },
	{ 0xdcea2c0b, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xfd19ff82, "of_node_put" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0xba8e2979, "of_property_read_variable_u32_array" },
	{ 0x625733dc, "page_pool_alloc_frag" },
	{ 0x2d569990, "__iowrite32_copy_full" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x698fa4b3, "dmam_alloc_attrs" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x77374344, "ieee80211_free_hw" },
	{ 0x9e33ff85, "ieee80211_probereq_get" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0xed1a27e0, "ieee80211_txq_schedule_start" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0xa280058a, "ieee80211_tx_status_ext" },
	{ 0xae1428da, "debugfs_create_blob" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x03d5f423, "page_pool_destroy" },
	{ 0xe41401de, "ieee80211_register_hw" },
	{ 0x33471eaf, "led_classdev_unregister" },
	{ 0x8b5167d1, "__ieee80211_create_tpt_led_trigger" },
	{ 0xf33baa09, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x1132088a, "ieee80211_sta_eosp" },
	{ 0xb0f03b97, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf7f7a44b, "kthread_park" },
	{ 0x49628879, "sched_set_fifo_low" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xc32e4905, "of_get_property" },
	{ 0xee213135, "wake_up_process" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x5b73f9f0, "napi_complete_done" },
	{ 0xe5aa6e6f, "ieee80211_get_tx_rates" },
	{ 0x1383a611, "ieee80211_send_bar" },
	{ 0xdf80174e, "cfg80211_reg_check_beaconing" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0x5d9bb8f2, "ieee80211_sta_uapsd_trigger" },
	{ 0xedc5507f, "of_get_next_child" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7392b5e4, "debugfs_create_devm_seqfile" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xa916b694, "strnlen" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x0b5c8080, "pci_disable_link_state" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x69fd52be, "of_get_mac_address" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0x2da1bc10, "kthread_unpark" },
	{ 0x3e47f591, "dev_set_threaded" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf346a2eb, "of_get_child_by_name" },
	{ 0xce4fed4a, "debugfs_attr_read" },
	{ 0x6bd80b60, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5069bae8, "ieee80211_queue_delayed_work" },
	{ 0x610b6c52, "devm_kmemdup" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x3777dce3, "of_prop_next_string" },
	{ 0x68b5dfa0, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa8cf9e40, "simple_attr_release" },
	{ 0xa02ad3c1, "ieee80211_calc_rx_airtime" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xdd9fa060, "of_property_read_bool" },
	{ 0x50535977, "ieee80211_find_sta_by_ifaddr" },
	{ 0x580d55bf, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcd7ff877, "ieee80211_remain_on_channel_expired" },
	{ 0x5ed879f3, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0x9349c4e5, "napi_enable" },
	{ 0x027eafe6, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x6e50cfbb, "seq_putc" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x20d48081, "ieee80211_sta_pspoll" },
	{ 0x94a73ccb, "free_netdev" },
	{ 0x5a2dd840, "ieee80211_tx_prepare_skb" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x413590ef, "wiphy_read_of_freq_limits" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x76968f83, "of_find_property" },
	{ 0x44249be8, "page_pool_put_unrefed_netmem" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd735355a, "kthread_stop" },
	{ 0x4eccb1cf, "ieee80211_free_txskb" },
	{ 0x87c81d8d, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc707ae21, "of_device_is_available" },
	{ 0x3c743ea8, "ieee80211_alloc_hw_nm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xba8ea730, "ieee80211_tx_dequeue" },
	{ 0xc8b958e3, "ieee80211_rx_list" },
	{ 0x6ca702b3, "page_pool_create" },
	{ 0xdcb764ad, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x2a2e0dfe, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x99546458, "ieee80211_ready_on_channel" },
	{ 0x8b71181c, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f3537bf, "kthread_create_on_node" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x90e4f891, "gro_receive_skb" },
	{ 0x0c8ad9be, "alloc_netdev_dummy" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0xb36ddc44, "ieee80211_scan_completed" },
	{ 0xf18f1a5d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcbb796e8, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9d0e1c74, "ieee80211_unregister_hw" },
	{ 0x45f99e15, "napi_build_skb" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc08f7dd3, "of_nvmem_cell_get" },
	{ 0x17759e36, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc3c4d688, "skb_add_rx_frag_netmem" },
	{ 0xe3fe224c, "napi_disable" },
	{ 0x7517d0e7, "ieee80211_sta_ps_transition" },
	{ 0xdf80cadf, "debugfs_create_u8" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x806df691, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "75C21DF8CEA916F487E0575");
