#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0x637cf796, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0xd8f77d7f, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0x671641e1, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0x65ae1e8f, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0xbb197baa, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0x11e177ab, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x8552c4c2, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0x59442677, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcb915c6f, "mt76x02_update_beacon_iter" },
	{ 0x83c67eab, "mt76x02_enqueue_buffered_bc" },
	{ 0xe26f86c1, "hrtimer_setup" },
	{ 0x5e464d0b, "mt76x02_remove_hdr_pad" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x043b4ee7, "mt76x02_resync_beacon_timer" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xee3c5d00, "mt76x02_mcu_parse_response" },
	{ 0x63e971d0, "mt76_csa_check" },
	{ 0xcb74c374, "mt76_tx_status_skb_add" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xbfdfefee, "mt76u_single_wr" },
	{ 0xd51f18db, "__mt76_tx_complete_skb" },
	{ 0x204ca8ae, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb0f03b97, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x7686658f, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x95644a7a, "mt76_csa_finish" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0x3a3ae6bf, "mt76x02_init_beacon_config" },
	{ 0x1376e127, "__mt76_mcu_msg_alloc" },
	{ 0xa1a6f456, "mt76x02_mac_write_txwi" },
	{ 0xdcb764ad, "memset" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0xf18f1a5d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x470e0153, "mt76u_vendor_request" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x19dd2b32, "mt76_skb_adjust_pad" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0x515728a6, "mt76x02_mac_set_beacon" },
	{ 0x5813f0e7, "hrtimer_active" },
	{ 0x3d4d7a0a, "__mt76_poll" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,mac80211");


MODULE_INFO(srcversion, "6A610B64AAA9AE8690A34FC");
