#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_radio_led_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_roc_abort_sync, "_gpl", "");
KSYMTAB_FUNC(mt7921_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_event, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_regd_update, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0xa2a61692, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0x37a501cc, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x46d22843, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0xb2d38c73, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0xb6f4c97b, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0xf8e26047, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0xf2875c21, "_gpl");
SYMBOL_CRC(mt7921_mcu_radio_led_ctrl, 0x8379bd4c, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x815b0389, "_gpl");
SYMBOL_CRC(__mt7921_start, 0xc1e342bc, "_gpl");
SYMBOL_CRC(mt7921_roc_abort_sync, 0x00731f82, "_gpl");
SYMBOL_CRC(mt7921_set_channel, 0xf4bdf16a, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0x0492aaa4, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_event, 0xd8bec9c6, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0xa9b528e0, "_gpl");
SYMBOL_CRC(mt7921_ops, 0xdce78df2, "_gpl");
SYMBOL_CRC(mt7921_regd_update, 0xaa14d05a, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0xce57ea21, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0xdb3c8a8c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9280ffc5, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x48f44f48, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x23126ad8, "mt76_update_channel" },
	{ 0xd1ce2893, "ieee80211_sta_register_airtime" },
	{ 0xf0c09e9c, "mt792x_init_wcid" },
	{ 0xe9bf8edb, "mt792x_init_acpi_sar" },
	{ 0xa7bad725, "mt76_init_sar_power" },
	{ 0x5e330507, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2aa3cf98, "simple_attr_open" },
	{ 0x400ff19b, "ieee80211_iterate_interfaces" },
	{ 0x77106ae0, "mt792x_stop" },
	{ 0xdcea2c0b, "debugfs_attr_write" },
	{ 0xa43b28bc, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xf3722ebe, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x30764e32, "ieee80211_chswitch_done" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8aaca5be, "mt76_find_channel_node" },
	{ 0x6dca01bb, "mt76_connac_mcu_uni_set_chctx" },
	{ 0x37bf0771, "mt792x_tx_worker" },
	{ 0xeea49a47, "mt792x_flush" },
	{ 0xe1609509, "mt792x_rx_get_wcid" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0x42128a8c, "mt76_connac_gen_ppe_thresh" },
	{ 0xe130db4b, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4bb325e0, "mt76_connac_mcu_set_channel_domain" },
	{ 0x12b2291b, "mt76_connac_mcu_uni_add_dev" },
	{ 0xf74101ec, "mt76_release_buffered_frames" },
	{ 0x6d4bca86, "request_firmware" },
	{ 0xcc2ba626, "mt76_get_txpower" },
	{ 0xcb74c374, "mt76_tx_status_skb_add" },
	{ 0x92e6ec96, "mt76_connac_pm_wake" },
	{ 0x0ea7b2ac, "mt76_connac2_mac_fill_rx_rate" },
	{ 0x0df73a34, "mt792x_pm_wake_work" },
	{ 0x55a25ec9, "mt76_connac_mcu_set_deep_sleep" },
	{ 0xf3091200, "mt76_wake_tx_queue" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1d2765fd, "mt76_connac_mcu_chip_config" },
	{ 0xfb6d8c3a, "mt76_get_antenna" },
	{ 0x469e56c7, "mt792x_set_coverage_class" },
	{ 0x59da2314, "mt792x_acpi_get_flags" },
	{ 0xd51f18db, "__mt76_tx_complete_skb" },
	{ 0x360694df, "seq_lseek" },
	{ 0x4aa6bd5a, "mt76_set_stream_caps" },
	{ 0x887f9018, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb0f03b97, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x7b506f46, "mt76_connac_mcu_update_arp_filter" },
	{ 0x796ccd69, "mt76_connac2_tx_check_aggr" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x23c007f3, "mt76_mcu_rx_event" },
	{ 0x0a615cf1, "__traceiter_lp_event" },
	{ 0xee073a96, "pskb_expand_head" },
	{ 0x5db619aa, "mt76_wcid_init" },
	{ 0xee213135, "wake_up_process" },
	{ 0x03843af1, "mt76_connac_free_pending_tx_skbs" },
	{ 0xacbcc437, "mt792x_sta_statistics" },
	{ 0x87680d66, "skb_queue_purge_reason" },
	{ 0x358edf8e, "mt76_connac_power_save_sched" },
	{ 0x4efbde92, "mt792x_conf_tx" },
	{ 0xdf80174e, "cfg80211_reg_check_beaconing" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7392b5e4, "debugfs_create_devm_seqfile" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x417b6040, "mt792x_get_et_sset_count" },
	{ 0x6bb82374, "mt76_wcid_add_poll" },
	{ 0x110a5786, "mt76_connac_mcu_set_mac_enable" },
	{ 0x12f58ac7, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x19edbd32, "mt792x_init_acpi_sar_power" },
	{ 0xaddd4485, "mt792x_set_wakeup" },
	{ 0x9e9837c3, "mt76_wcid_key_setup" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0x60479a6c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9b7ecb5a, "mt76_rx" },
	{ 0x51ff4dd3, "mt792x_load_firmware" },
	{ 0x7deb2374, "mt76_connac_mcu_sched_scan_req" },
	{ 0x04b8924b, "mt792x_get_et_stats" },
	{ 0xe8e42119, "mt76_connac2_txwi_free" },
	{ 0x793efb94, "__tracepoint_lp_event" },
	{ 0xe06afce3, "mt76_connac_mcu_uni_add_bss" },
	{ 0x2015b175, "mt76_connac2_mac_add_txs_skb" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x01f03cf2, "wiphy_to_ieee80211_hw" },
	{ 0xf346a2eb, "of_get_child_by_name" },
	{ 0xce4fed4a, "debugfs_attr_read" },
	{ 0xdc1bf022, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5069bae8, "ieee80211_queue_delayed_work" },
	{ 0x610b6c52, "devm_kmemdup" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0xfe45c95e, "mt76_register_device" },
	{ 0x70eec727, "mt792x_get_stats" },
	{ 0x47dc13ee, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xa8cf9e40, "simple_attr_release" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x519a0618, "mt792x_mac_set_timeing" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3dd0ca9f, "mt76_find_power_limits_node" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xcd7ff877, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0x6e50cfbb, "seq_putc" },
	{ 0xf0758bda, "ieee80211_wake_queues" },
	{ 0xd429183d, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1e725805, "ieee80211_beacon_get_template" },
	{ 0xba251e1e, "mt792x_pm_stats" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xff6fd51f, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7468b02d, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1376e127, "__mt76_mcu_msg_alloc" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x95d6c637, "mt792x_csa_timer" },
	{ 0xdea04e46, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x90b9bcff, "devm_hwmon_device_register_with_groups" },
	{ 0xdcb764ad, "memset" },
	{ 0x1c7393cd, "cfg80211_chandef_usable" },
	{ 0x5d24a950, "mt76_token_release" },
	{ 0x7af7efd1, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0xf9e9a1ea, "mt792x_tx" },
	{ 0xf443a7cf, "mt792x_get_et_strings" },
	{ 0x15c17012, "mt76_sta_state" },
	{ 0x99546458, "ieee80211_ready_on_channel" },
	{ 0x6d7456fd, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d8ef513, "devm_kasprintf" },
	{ 0x0047c5cd, "mt792x_remove_interface" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x69965e52, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x17cc69e3, "mt792x_queues_read" },
	{ 0x4444e8db, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x959bdbb1, "wiphy_rfkill_start_polling" },
	{ 0x71d21bec, "mt792x_queues_acq" },
	{ 0x24fd2d22, "ieee80211_sched_scan_results" },
	{ 0xb36ddc44, "ieee80211_scan_completed" },
	{ 0xf18f1a5d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x471754e7, "mt792x_config_mac_addr_list" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x57745b9a, "mt76_insert_ccmp_hdr" },
	{ 0x65b1c872, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x2c793a40, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0x844928a0, "mt792x_tx_stats_show" },
	{ 0x84229580, "mt792x_acpi_get_mtcl_conf" },
	{ 0xeaedcafb, "mt76_rx_aggr_start" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x17759e36, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x97a11232, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf82e21aa, "mt792x_mac_init_band" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x19dd2b32, "mt76_skb_adjust_pad" },
	{ 0xc15d7854, "ieee80211_cqm_rssi_notify" },
	{ 0x18d4fe68, "mt792x_init_wiphy" },
	{ 0xfd4ac158, "mt76_connac_sta_state_dp" },
	{ 0xa931fbb6, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x17475f08, "mt76_queues_read" },
	{ 0x61e8e640, "mt76_sta_pre_rcu_remove" },
	{ 0x0b7aec37, "mt76_register_debugfs_fops" },
	{ 0xa1f05323, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x7d4a5222, "mt76_connac2_mac_write_txwi" },
	{ 0x23d3180d, "__mt76_set_tx_blocked" },
	{ 0xdabb0c0a, "mt76_connac_mcu_sta_ba" },
	{ 0x8c214789, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0xce244589, "ieee80211_queue_work" },
	{ 0x525d75ed, "mt792x_mac_reset_counters" },
	{ 0x1e2d06bf, "napi_consume_skb" },
	{ 0x3d4d7a0a, "__mt76_poll" },
	{ 0x6d3ccefb, "mt76_rx_aggr_stop" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x67f20c04, "mt76_connac_mcu_add_key" },
	{ 0x241f9be5, "mt792x_unassign_vif_chanctx" },
	{ 0xf1487dd0, "ieee80211_disconnect" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xf9b27211, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt76,mac80211,mt792x-lib,cfg80211");


MODULE_INFO(srcversion, "157F804F99A8397854DAD63");
