#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f6e5dd3, "usb_register_driver" },
	{ 0x39727563, "rt2x00usb_probe" },
	{ 0x4829a47e, "memcpy" },
	{ 0xd53ba547, "skb_trim" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x27248928, "usb_submit_urb" },
	{ 0xb4dd983f, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdbf37583, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfdaa1c35, "rt2x00usb_vendor_request" },
	{ 0xcaab6bfc, "rt2x00lib_set_mac_address" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x13116dfa, "rt2x00usb_vendor_request_buff" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x7a94353a, "skb_push" },
	{ 0xe0d15422, "rt2x00debug_dump_frame" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa12b9bf6, "rt2x00usb_disable_radio" },
	{ 0x6a015e9b, "rt2x00usb_disconnect" },
	{ 0x9c752235, "rt2x00usb_suspend" },
	{ 0xab8cf503, "rt2x00usb_resume" },
	{ 0x03dc2611, "rt2x00usb_initialize" },
	{ 0xd7372a7c, "rt2x00usb_uninitialize" },
	{ 0x5932620d, "rt2x00usb_clear_entry" },
	{ 0x2d32d0ca, "rt2x00usb_watchdog" },
	{ 0x3a8f7550, "rt2x00usb_kick_queue" },
	{ 0x2058bbf9, "rt2x00usb_flush_queue" },
	{ 0x8a4a89a1, "rt2x00mac_tx" },
	{ 0x80010532, "rt2x00mac_start" },
	{ 0x18155e9b, "rt2x00mac_stop" },
	{ 0xc532e890, "rt2x00mac_add_interface" },
	{ 0x8e5c59a2, "rt2x00mac_remove_interface" },
	{ 0x77b9e0c9, "rt2x00mac_config" },
	{ 0xbc7fde19, "rt2x00mac_bss_info_changed" },
	{ 0x92d40be7, "rt2x00mac_configure_filter" },
	{ 0xb9a9d4f0, "rt2x00mac_set_tim" },
	{ 0xb1485a30, "rt2x00mac_set_key" },
	{ 0x91834507, "rt2x00mac_sw_scan_start" },
	{ 0x35c64e61, "rt2x00mac_sw_scan_complete" },
	{ 0xaf03f268, "rt2x00mac_get_stats" },
	{ 0x12fd8beb, "rt2x00mac_conf_tx" },
	{ 0x6069983a, "rt2x00mac_rfkill_poll" },
	{ 0x37754afe, "rt2x00mac_flush" },
	{ 0x2a64d4be, "rt2x00mac_set_antenna" },
	{ 0x7d4d2d1e, "rt2x00mac_get_antenna" },
	{ 0x4a9d734e, "rt2x00mac_get_ringparam" },
	{ 0x5683ca63, "rt2x00mac_tx_frames_pending" },
	{ 0xc3e6e018, "ieee80211_emulate_add_chanctx" },
	{ 0x039b8ce9, "ieee80211_emulate_remove_chanctx" },
	{ 0xd3dbdb68, "ieee80211_emulate_change_chanctx" },
	{ 0x27117f46, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x53c69949, "ieee80211_handle_wake_tx_queue" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0234C22C669DF15F609D12B");
