#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_DATA(rt2800_rt2x00debug, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0xba4e64d4, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xccd2391a, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0xd96c16a0, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x277c3420, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x0bac318b, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x1824780a, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x8a9ff3fc, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0xfcff907b, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x1a41739a, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x303bb290, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x8bc1af9c, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x028be4a8, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x30320d0e, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x65ef4552, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x3c0545a4, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0xd2173d73, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x887ee012, "_gpl");
SYMBOL_CRC(rt2800_rt2x00debug, 0x5bc0a789, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0xf3d14cb7, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x343e70f7, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0x9c8ee91b, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0x1866623f, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x538795b5, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x143e4389, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0xa1504600, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x65da22fa, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0xd5e9a4fa, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x72f4c5a3, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0xc86b37d2, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0xfa48a2bc, "_gpl");
SYMBOL_CRC(rt2800_config, 0x78b91960, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x98e82cb1, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0xbe2c4152, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x644c0d35, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x8b97b88f, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x7f4a9349, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0xa378d6fc, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x74a6aeeb, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x3dfde0fe, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x2a71df5a, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0xdf5a8ca8, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0xe97e0d03, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x5f99427d, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x396fd630, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0xb902a76e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x38d8a846, "rt2x00lib_txdone_nomatch" },
	{ 0x245ee093, "rt2x00lib_txdone" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xb91c2189, "rt2x00queue_get_entry" },
	{ 0xdcb764ad, "memset" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x88350d34, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x12fd8beb, "rt2x00mac_conf_tx" },
	{ 0x60479a6c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7a94353a, "skb_push" },
	{ 0xe0d15422, "rt2x00debug_dump_frame" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0x0d2303d2, "__skb_pad" },
	{ 0xfa52e7c8, "rt2x00lib_txdone_noinfo" },
	{ 0x5a2eb1b2, "ieee80211_restart_hw" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0xcaab6bfc, "rt2x00lib_set_mac_address" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "FB782670CE4098FB49520E9");
