#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wlcore_set_key, "_gpl", "");
KSYMTAB_FUNC(wlcore_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_free_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_probe, "_gpl", "");
KSYMTAB_FUNC(wlcore_remove, "_gpl", "");
KSYMTAB_DATA(wl12xx_debug_level, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_send, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_wait_for_event_or_timeout, "_gpl", "");
KSYMTAB_FUNC(wlcore_get_native_channel_type, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_test, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_configure, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_data_path, "_gpl", "");
KSYMTAB_FUNC(wl12xx_cmd_build_probe_req, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_generic_cfg, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts_nosync, "_gpl", "");
KSYMTAB_FUNC(wlcore_enable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_synchronize_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_translate_addr, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_partition, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_fw_logger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_rssi_trigger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_soft_gemini_sense, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_sched_scan_completed, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_ba_rx_constraint, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_channel_switch, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_dummy_packet, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_max_tx_failure, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_inactive_sta, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_roc_complete, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_beacon_loss, "_gpl", "");
KSYMTAB_FUNC(wl1271_free_tx_id, "", "");
KSYMTAB_FUNC(wl12xx_is_dummy_packet, "", "");
KSYMTAB_FUNC(wlcore_calc_packet_alignment, "", "");
KSYMTAB_FUNC(wlcore_tx_complete, "", "");
KSYMTAB_FUNC(wl1271_tx_flush, "_gpl", "");
KSYMTAB_FUNC(wl1271_tx_min_rate_get, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_sleep_auth, "_gpl", "");
KSYMTAB_FUNC(wl12xx_acx_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_init_mem_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_pm_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_set_ht_capabilities, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_firmware, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_nvs, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_run_firmware, "_gpl", "");
KSYMTAB_FUNC(wl1271_format_buffer, "_gpl", "");
KSYMTAB_FUNC(wl1271_debugfs_update_stats, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_scan_chan_params, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_ssid_list, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_results, "_gpl", "");

SYMBOL_CRC(wlcore_set_key, 0xc3c28c02, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0x6f6f2897, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0x4b1daa94, "_gpl");
SYMBOL_CRC(wlcore_probe, 0x9975480c, "_gpl");
SYMBOL_CRC(wlcore_remove, 0xd2d4e237, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0xe207a655, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0x9fc8cb29, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0x2b2b5bf9, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0xb54c0871, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0xd72da68a, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0xf638da7e, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0x36e6f166, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0xc2d21e5e, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0x10f2c361, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0x94d6e017, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0xd804a01b, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0x3cb510ee, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0x5accec7b, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0xd4dd7ea5, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0xa41fd9b7, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0xaaaa58f8, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0xc9206070, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0xb6605eca, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0x1c8afc04, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x43f9b0b0, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0xb2943746, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x3b973549, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0xacd11814, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0x004ee90d, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0x8820097b, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0x2b19d017, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0x5c2d26f8, "");
SYMBOL_CRC(wlcore_tx_complete, 0xf91745bb, "");
SYMBOL_CRC(wl1271_tx_flush, 0x8dcfc91e, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0x612b6200, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0xfabae92b, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0xf9c67484, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0x8e0e37d4, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0xdfa70dc7, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0x6601b5dd, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0x645f5473, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0xe2872945, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0x57dbda55, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0x570bcefa, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0xde0e3e2e, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0xaa9a323c, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0x3f1f0a3d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5e330507, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6b2563f5, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x400ff19b, "ieee80211_iterate_interfaces" },
	{ 0x6a16fed6, "ieee80211_sched_scan_stopped" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x30764e32, "ieee80211_chswitch_done" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0xf605185d, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x77374344, "ieee80211_free_hw" },
	{ 0x9e33ff85, "ieee80211_probereq_get" },
	{ 0x6d4bca86, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe13e59ed, "ieee80211_ap_probereq_get" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xe6f34458, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb7446313, "ieee80211_pspoll_get" },
	{ 0xe41401de, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5a2eb1b2, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb0f03b97, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe11d065a, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd486f744, "ieee80211_stop_rx_ba_session" },
	{ 0x06293057, "ieee80211_wake_queue" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xcdf9a871, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x6b34b6a9, "ieee80211_tx_status_skb" },
	{ 0x963a22aa, "ieee80211_find_sta" },
	{ 0x53c69949, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x66275485, "pm_wakeup_dev_event" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x5c28d70e, "pm_runtime_enable" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3923a6b9, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x22774dd3, "device_create_file" },
	{ 0x01f03cf2, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5069bae8, "ieee80211_queue_delayed_work" },
	{ 0x08a966a9, "ieee80211_proberesp_get" },
	{ 0xf985e146, "device_wakeup_enable" },
	{ 0xda71083e, "request_firmware_nowait" },
	{ 0x5ca25210, "simple_open" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfbb44286, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcd7ff877, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0xc4e22c13, "no_seek_end_llseek" },
	{ 0xf0758bda, "ieee80211_wake_queues" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x48644656, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4eccb1cf, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x3c743ea8, "ieee80211_alloc_hw_nm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa440834d, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x3a52f91c, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x64db3c67, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xabd39162, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x99546458, "ieee80211_ready_on_channel" },
	{ 0x6d7456fd, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd53ba547, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8c9b53cd, "ieee80211_cqm_beacon_loss_notify" },
	{ 0x999e8297, "vfree" },
	{ 0x24fd2d22, "ieee80211_sched_scan_results" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0xb36ddc44, "ieee80211_scan_completed" },
	{ 0xf18f1a5d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x1959c2cf, "dev_pm_clear_wake_irq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc89ce530, "pm_runtime_force_resume" },
	{ 0x9d0e1c74, "ieee80211_unregister_hw" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xf2585a71, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0xc15d7854, "ieee80211_cqm_rssi_notify" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x90543b57, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xce244589, "ieee80211_queue_work" },
	{ 0x3baa52b2, "__pm_runtime_use_autosuspend" },
	{ 0x7517d0e7, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x6507e9c9, "__pm_runtime_disable" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0xf22eef7f, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xcac10cc0, "pm_runtime_force_suspend" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xd90449cb, "device_remove_bin_file" },
	{ 0x27a399fb, "device_remove_file" },
	{ 0x806df691, "ieee80211_csa_finish" },
	{ 0x42bd1f1b, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x16b0977c, "ieee80211_rx_napi" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "DC2BB3C1AE1A8F55AE90AD0");
