#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvme_keyring_id, "_gpl", "");
KSYMTAB_FUNC(nvme_tls_key_lookup, "_gpl", "");
KSYMTAB_FUNC(nvme_tls_psk_refresh, "_gpl", "");
KSYMTAB_FUNC(nvme_tls_psk_default, "_gpl", "");

SYMBOL_CRC(nvme_keyring_id, 0x3b4f593f, "_gpl");
SYMBOL_CRC(nvme_tls_key_lookup, 0xbc9c63f7, "_gpl");
SYMBOL_CRC(nvme_tls_psk_refresh, 0x548df96c, "_gpl");
SYMBOL_CRC(nvme_tls_psk_default, 0x70c63478, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa2c69652, "user_destroy" },
	{ 0xc4f82644, "user_revoke" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x480f2275, "unregister_key_type" },
	{ 0x1e424d61, "user_preparse" },
	{ 0x037a0cba, "kfree" },
	{ 0xbb81d89c, "register_key_type" },
	{ 0x68fee466, "keyring_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0xfe1d2e94, "key_create_or_update" },
	{ 0x4ce0b97c, "key_put" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe9c77020, "key_revoke" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdf8e81eb, "keyring_search" },
	{ 0x801d32ba, "user_read" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x244435a0, "generic_key_instantiate" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x17759e36, "seq_printf" },
	{ 0xe9348ca4, "__seq_puts" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd6848792, "key_lookup" },
	{ 0xcaa4d78b, "key_set_timeout" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3AE2E40E762552A04BE6D53");
