#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_cq_create, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_create, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_update_cc, "_gpl", "");
KSYMTAB_FUNC(nvmet_alloc_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_put, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0x54063f4a, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0xc8f1ded8, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0x16623bb1, "_gpl");
SYMBOL_CRC(nvmet_cq_create, 0x6e02e267, "_gpl");
SYMBOL_CRC(nvmet_sq_create, 0x1fc3d126, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0xd1e90220, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0x7900ad10, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0xd7206ef5, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0xea7c75d8, "_gpl");
SYMBOL_CRC(nvmet_req_transfer_len, 0x62cf3bae, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0x9f00ca70, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0xa30c5c43, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0x13ed01c7, "_gpl");
SYMBOL_CRC(nvmet_update_cc, 0x82d66efb, "_gpl");
SYMBOL_CRC(nvmet_alloc_ctrl, 0xf9724d89, "_gpl");
SYMBOL_CRC(nvmet_ctrl_put, 0x0265046c, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0x1848910c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82e4435d, "filp_open" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x0108a1e9, "bdev_file_open_by_path" },
	{ 0x42996f74, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa8e3ec2d, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x5284c494, "config_group_init" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x88c3ff56, "pci_dev_put" },
	{ 0x0657e18a, "blk_rq_append_bio" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x270d0846, "__kmalloc_node_noprof" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xcf2a6966, "up" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb0c36827, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x1ab18061, "nvme_command_effects" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0x84f4e89c, "nvme_auth_generate_digest" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x77f0fb5f, "__module_get" },
	{ 0xfb254be7, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x3b4f593f, "nvme_keyring_id" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x7596d0e9, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc2ac4521, "nvme_passthru_end" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x59ed3006, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x0497e6eb, "crypto_alloc_kpp" },
	{ 0x4eb63595, "vfs_fallocate" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0x0584eca6, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xaf7adc45, "put_device" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x548df96c, "nvme_tls_psk_refresh" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x8c8ba2b1, "blk_mq_free_request" },
	{ 0xb1d34d40, "nvme_auth_derive_tls_psk" },
	{ 0x837a56b8, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0xd94cdbc8, "submit_bio" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x11bb892d, "nvme_auth_gen_pubkey" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0x4ce0b97c, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x5bd9bae7, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x6691a6f6, "bio_endio" },
	{ 0x2b280506, "sg_miter_next" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x718d561a, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x526baa68, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x59cab9fe, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x630704c5, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x2f3ec2a7, "config_group_init_type_name" },
	{ 0x6626afca, "down" },
	{ 0xb03a3eca, "nvme_auth_generate_psk" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7f4484d0, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0xcf1e1284, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x5897910e, "bio_chain" },
	{ 0x696a76f8, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa09f5ff3, "bio_add_page" },
	{ 0x196cefb2, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x169473f6, "nvme_find_get_ns" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcea58466, "bio_integrity_alloc" },
	{ 0xa96a9377, "sg_miter_start" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0x11089ac7, "_ctype" },
	{ 0x13f403d0, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x3b236317, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x80b62d11, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0x10f6f1c6, "nvme_passthru_start" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x0a0ebc08, "__xa_cmpxchg" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x0745a981, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0xd9b86286, "crypto_shash_final" },
	{ 0x8bd46aa6, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x00aa1603, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1d1df991, "filp_close" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xb52ef5cb, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x165bb981, "nvme_ctrl_from_file" },
	{ 0xadd1b13d, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x18f3e526, "nvme_init_request" },
	{ 0x09da0ba4, "xa_set_mark" },
	{ 0x98cf60b3, "strlen" },
	{ 0xaab3fabe, "nvme_execute_rq" },
	{ 0xd6848792, "key_lookup" },
	{ 0xd3c69d8a, "nvme_put_ns" },
	{ 0x7ab7c6e9, "crypto_alloc_shash" },
	{ 0xdebd6f7d, "nvme_auth_gen_privkey" },
	{ 0x58e4fa73, "bio_alloc_bioset" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x890e8560, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x4d30789c, "nvme_get_features" },
	{ 0x1b2a7cd9, "submit_bio_wait" },
	{ 0x4aa5a60b, "blkdev_report_zones" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x1b1f3216, "__blkdev_issue_discard" },
	{ 0xe139ed35, "fs_bio_set" },
	{ 0x45cb5bd1, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth,nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "DE586250CF528128C16C8BD");
