#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_sdev_init, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_DATA(sas_ata_sdev_attr_group, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0xd0ce02c0, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x51c21b2c, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0xed835b26, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x84685929, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x9b46e712, "");
SYMBOL_CRC(sas_resume_ha, 0xd53650a2, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x26f420f0, "");
SYMBOL_CRC(sas_suspend_ha, 0x5a4ad0d4, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x30f4c93b, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xe77527a6, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xae2e06cb, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xe421aea3, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xc1ee6060, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x73594f3d, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x5bb32901, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x7a4af236, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x8256265c, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x118ceee2, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x11259d00, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x87788f9f, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xa0223de5, "_gpl");
SYMBOL_CRC(sas_sdev_configure, 0x49c32866, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xbfc247e4, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xd6f99a89, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0xfe36b640, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0xd06a5397, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x8e8eaabd, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0xd9aa02ef, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0x14445ea1, "_gpl");
SYMBOL_CRC(sas_query_task, 0x7b6278c3, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x8b27b3c1, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xab8d8156, "_gpl");
SYMBOL_CRC(sas_sdev_init, 0xcc0aa9c0, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xc5051180, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x03ed2704, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x234a8f78, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0x676db24a, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x09420d3f, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0x7b8a5a76, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0xad697677, "_gpl");
SYMBOL_CRC(sas_ata_sdev_attr_group, 0x2fdc7c99, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4fba0d56, "ata_qc_complete" },
	{ 0xb541ef5b, "ata_sas_scsi_ioctl" },
	{ 0xa6ca5f1c, "ata_tport_add" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x62df4be6, "sas_rphy_remove" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x2ffa7bd4, "bsg_job_done" },
	{ 0x8668a3ba, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa898b7e9, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x0b742fd7, "simple_strtol" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xeaa74f0f, "scsi_schedule_eh" },
	{ 0x6d4bca86, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xd9c4a121, "ata_ncq_prio_enabled" },
	{ 0x38028d18, "ata_host_init" },
	{ 0xfa07a666, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x037a0cba, "kfree" },
	{ 0x2445a31d, "scsi_eh_ready_devs" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0x0893bdc5, "sas_port_get_phy" },
	{ 0x1707cdf1, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0xfb254be7, "get_device" },
	{ 0xf54b3cda, "ata_wait_after_reset" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf658f9d2, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xaf7adc45, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x1b96218f, "sas_phy_free" },
	{ 0x0eeaccb5, "scsi_eh_finish_cmd" },
	{ 0x04470ed6, "ata_port_schedule_eh" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xab9a0c8b, "ata_tport_delete" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x873c2115, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x09136f76, "sas_port_mark_backlink" },
	{ 0x44738de8, "kmem_cache_free" },
	{ 0xa2310805, "ata_link_abort" },
	{ 0x9200994b, "ata_std_qc_defer" },
	{ 0x7f1066c6, "ata_scsi_port_error_handler" },
	{ 0x2c8b9fed, "ata_change_queue_depth" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x0d896fb8, "ata_port_probe" },
	{ 0x6fdc4a36, "ata_std_error_handler" },
	{ 0xc91806d9, "ata_port_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcb880e20, "sas_end_device_alloc" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x2209915c, "sas_read_port_mode_page" },
	{ 0xde421496, "sas_expander_alloc" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x9cac6381, "sas_rphy_delete" },
	{ 0x5cd09de7, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x63611d30, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xdbe18e1a, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0x7f48218b, "scsi_host_busy" },
	{ 0x767fc739, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x259db20f, "ata_sas_port_suspend" },
	{ 0xd35ee37c, "sas_rphy_add" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0xfbd1222e, "sas_port_delete_phy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb0c44af0, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40f3bb23, "sas_port_add_phy" },
	{ 0xc45b956d, "ata_scsi_cmd_error_handler" },
	{ 0x05f6383e, "ata_ncq_prio_enable" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x2245cca7, "ata_sas_sdev_configure" },
	{ 0xe3e90538, "blk_mq_tagset_busy_iter" },
	{ 0x56e52060, "scsi_done" },
	{ 0xb5fc41e6, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x0fa58d95, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xeb58c933, "ata_host_put" },
	{ 0xfb9c3dff, "sas_port_free" },
	{ 0x0ca30f58, "ata_std_sched_eh" },
	{ 0x938dfe56, "ata_port_alloc" },
	{ 0xadbad9e1, "scsi_block_requests" },
	{ 0xfcf3b543, "blk_abort_request" },
	{ 0xde51e35e, "ata_ncq_prio_supported" },
	{ 0x016f123e, "sg_copy_to_buffer" },
	{ 0xe5754fb3, "sas_remove_children" },
	{ 0x004aa455, "scsi_change_queue_depth" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0x1dd2481a, "ata_port_wait_eh" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "88B99552EA459E01AFBA494");
