#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mpt3sas_get_device_count, "", "");
KSYMTAB_FUNC(mpt3sas_send_mctp_passthru_req, "", "");

SYMBOL_CRC(mpt3sas_get_device_count, 0x3007346d, "");
SYMBOL_CRC(mpt3sas_send_mctp_passthru_req, 0x585fab1c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfc6f0534, "scsi_dma_map" },
	{ 0x91ab365a, "param_ops_ullong" },
	{ 0x0d7f5bfe, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x73b83dbd, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc2e587d1, "reset_devices" },
	{ 0x7fee406f, "sas_enable_tlr" },
	{ 0xc6c20445, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8687e283, "pci_cfg_access_unlock" },
	{ 0x54b80808, "dma_pool_create" },
	{ 0xb203eb03, "pci_request_selected_regions" },
	{ 0x6f4a82d9, "pci_release_selected_regions" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x5a816015, "pci_enable_device_mem" },
	{ 0x2ffa7bd4, "bsg_job_done" },
	{ 0xe2783b52, "param_ops_ushort" },
	{ 0x56a45ed8, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x95506a76, "scsi_build_sense" },
	{ 0x81b8cd0e, "kill_fasync" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x47a18a4d, "param_array_ops" },
	{ 0x81422266, "sas_port_alloc_num" },
	{ 0x4829a47e, "memcpy" },
	{ 0x350b26e1, "scsi_dma_unmap" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe2de6447, "scsi_internal_device_unblock_nowait" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x594672b5, "pci_irq_vector" },
	{ 0x98aeb7c0, "__scsi_iterate_devices" },
	{ 0x237d31c0, "sas_remove_host" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0x6e86331a, "pci_cfg_access_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf658f9d2, "sas_phy_alloc" },
	{ 0xee213135, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x0ff862bf, "scsi_device_set_state" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xed0be804, "device_reprobe" },
	{ 0x74df50f7, "starget_for_each_device" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xeb43dd47, "scsi_add_device" },
	{ 0x0b5c8080, "pci_disable_link_state" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x1b96218f, "sas_phy_free" },
	{ 0x166c4066, "pci_select_bars" },
	{ 0x12bcf9e4, "attribute_container_find_class_device" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x2da03482, "pci_find_capability" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x542ac311, "scsi_host_put" },
	{ 0x5ceb5f2f, "raid_class_attach" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x873c2115, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9a6f8a18, "pci_device_is_present" },
	{ 0x8c4da3a7, "blk_mq_map_hw_queues" },
	{ 0x19e6a139, "sdev_prefix_printk" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0xc9df6d7d, "scsi_scan_host" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x666a878f, "pci_read_config_word" },
	{ 0xb1dff430, "fasync_helper" },
	{ 0x62eec1d5, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcb880e20, "sas_end_device_alloc" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2209915c, "sas_read_port_mode_page" },
	{ 0xde421496, "sas_expander_alloc" },
	{ 0xf307422a, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xdcb764ad, "memset" },
	{ 0xcdbac486, "pci_alloc_irq_vectors_affinity" },
	{ 0xe0b27446, "misc_register" },
	{ 0x5cd09de7, "scsi_is_host_device" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x63611d30, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa1af2320, "raid_class_release" },
	{ 0x16917371, "scsi_internal_device_block_nowait" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc8e9a976, "blk_mq_unique_tag" },
	{ 0x7f48218b, "scsi_host_busy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x767fc739, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x5f3537bf, "kthread_create_on_node" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0x403614ac, "scsi_print_command" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xb5e9f432, "sas_ata_ncq_prio_supported" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xd35ee37c, "sas_rphy_add" },
	{ 0x2e7d83dd, "param_set_int" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xfbd1222e, "sas_port_delete_phy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0xe1bf2cf4, "scmd_printk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb0c44af0, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6f7766ca, "cpu_all_bits" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40f3bb23, "sas_port_add_phy" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb633f115, "irq_poll_enable" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0x12646698, "sas_disable_tlr" },
	{ 0x56e52060, "scsi_done" },
	{ 0xb5fc41e6, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x0fa58d95, "sas_phy_add" },
	{ 0x7511653f, "pci_stop_and_remove_bus_device_locked" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0xbb03afc1, "sas_is_tlr_enabled" },
	{ 0x233622c7, "sbitmap_weight" },
	{ 0x43248fd1, "dma_unmap_sg_attrs" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xc0ce8cfd, "pci_irq_get_affinity" },
	{ 0xadbad9e1, "scsi_block_requests" },
	{ 0x9929fbae, "scsi_add_host_with_dma" },
	{ 0x98cf60b3, "strlen" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x69c191a1, "_dev_printk" },
	{ 0x538c78f2, "param_get_int" },
	{ 0xdf80cadf, "debugfs_create_u8" },
	{ 0xad67b7ed, "scsi_host_alloc" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x35215603, "ioremap_prot" },
	{ 0x74ec6ad5, "pci_free_irq_vectors" },
	{ 0xca2fac0b, "sas_release_transport" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x016f123e, "sg_copy_to_buffer" },
	{ 0x004aa455, "scsi_change_queue_depth" },
	{ 0x3abde4ed, "node_to_cpumask_map" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc4880071, "scsi_remove_target" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x1c09e8b9, "dma_map_sg_attrs" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas,raid_class");

MODULE_ALIAS("pci:v00001000d00000070sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000072sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000074sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000076sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000077sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000064sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000065sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000080sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000082sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000083sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000084sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000085sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000086sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000087sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d0000006Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000002B0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000002B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d0000007Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000096sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000097sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000094sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000095sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000ADsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000AEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000AFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000ABsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000ACsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000E2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000B2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd000000E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d000000E7sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "40A2528F8262E4099F7D011");
