#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xfc6f0534, "scsi_dma_map" },
	{ 0xf7651322, "iscsi_boot_destroy_kset" },
	{ 0x0d7f5bfe, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x84a005f1, "iscsi_get_router_state_name" },
	{ 0x73b83dbd, "pcie_capability_read_word" },
	{ 0xaac0aaf5, "iscsi_session_chkready" },
	{ 0x42996f74, "try_module_get" },
	{ 0x1b2170d6, "iscsi_get_port_state_name" },
	{ 0xb6de5a85, "iscsi_host_for_each_session" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6fe31ff8, "iscsi_itt_to_task" },
	{ 0x54b80808, "dma_pool_create" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x788a3a46, "iscsi_conn_setup" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x2ffa7bd4, "bsg_job_done" },
	{ 0x56a45ed8, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x62ebc4cd, "iscsi_destroy_all_flashnode" },
	{ 0x2946a488, "iscsi_get_port_speed_name" },
	{ 0x78d1ef79, "scsi_remove_host" },
	{ 0x88c3ff56, "pci_dev_put" },
	{ 0x3c07165d, "iscsi_put_endpoint" },
	{ 0xdd8e1639, "iscsi_conn_bind" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb66170cb, "dma_unmap_page_attrs" },
	{ 0x1a30bae9, "iscsi_session_setup" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0x9b2eda1d, "iscsi_boot_create_initiator" },
	{ 0x0b432317, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d46183e, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x350b26e1, "scsi_dma_unmap" },
	{ 0x6c414f6c, "iscsi_create_iface" },
	{ 0x037a0cba, "kfree" },
	{ 0x21179429, "iscsi_create_endpoint" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x2a471d38, "iscsi_ping_comp_event" },
	{ 0x61a66cee, "device_for_each_child" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x29f102ea, "iscsi_create_flashnode_sess" },
	{ 0x594672b5, "pci_irq_vector" },
	{ 0x9306d4ae, "iscsi_destroy_iface" },
	{ 0x5c6d04a8, "iscsi_complete_pdu" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0x89580941, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0x7fc46687, "iscsi_register_transport" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xaf7adc45, "put_device" },
	{ 0x2feef399, "scsi_host_get" },
	{ 0xa916b694, "strnlen" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x249ace83, "iscsi_session_failure" },
	{ 0x12b2ad06, "iscsi_switch_str_param" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x36450311, "iscsi_set_param" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8d848dce, "pci_set_mwi" },
	{ 0x699fe53e, "iscsi_get_discovery_parent_name" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x21838a51, "iscsi_boot_create_host_kset" },
	{ 0xfe8101a3, "iscsi_create_flashnode_conn" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0xe811cbc3, "kobject_uevent_env" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0x542ac311, "scsi_host_put" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa279a1bb, "iscsi_conn_login_event" },
	{ 0x4186c9ca, "iscsi_destroy_endpoint" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b898698, "pci_get_domain_bus_and_slot" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7db247b5, "dma_alloc_attrs" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0xc631f427, "iscsi_conn_get_param" },
	{ 0x666a878f, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x08e38773, "iscsi_post_host_event" },
	{ 0x97dcfd12, "iscsi_flashnode_bus_match" },
	{ 0xd3d98859, "iscsi_session_get_param" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x05e306cc, "iscsi_conn_send_pdu" },
	{ 0x6133947d, "iscsi_boot_create_ethernet" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x357d642a, "iscsi_conn_start" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2848e6f2, "iscsi_conn_unbind" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69089b1b, "iscsi_find_flashnode_conn" },
	{ 0xf307422a, "pci_restore_state" },
	{ 0xdcb764ad, "memset" },
	{ 0x5cd09de7, "scsi_is_host_device" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0x7acc5a53, "iscsi_block_scsi_eh" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1c9d4840, "iscsi_destroy_flashnode_sess" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa10f6567, "iscsi_lookup_endpoint" },
	{ 0xe386c83a, "dma_set_coherent_mask" },
	{ 0xa663a7cb, "iscsi_host_alloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xcfeb99d4, "iscsi_find_flashnode_sess" },
	{ 0x6b8e640a, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66fd770d, "iscsi_session_teardown" },
	{ 0x4b356bb7, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x7d3b7b32, "iscsi_unregister_transport" },
	{ 0x65102e71, "iscsi_unblock_session" },
	{ 0x003bc7ae, "iscsi_is_session_dev" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x79ec6a30, "iscsi_conn_stop" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0x56e52060, "scsi_done" },
	{ 0xb5fc41e6, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xeeb8896a, "dma_set_mask" },
	{ 0xf8120535, "iscsi_block_session" },
	{ 0xadbad9e1, "scsi_block_requests" },
	{ 0xbc071179, "iscsi_get_ipaddress_state_name" },
	{ 0x9929fbae, "scsi_add_host_with_dma" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x98cf60b3, "strlen" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x69c191a1, "_dev_printk" },
	{ 0x8f8afdad, "iscsi_boot_create_target" },
	{ 0x532df49f, "pci_write_config_word" },
	{ 0x35215603, "ioremap_prot" },
	{ 0x03d7d356, "sysfs_remove_bin_file" },
	{ 0x74ec6ad5, "pci_free_irq_vectors" },
	{ 0x016f123e, "sg_copy_to_buffer" },
	{ 0x004aa455, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf4c624bf, "iscsi_is_session_online" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "iscsi_boot_sysfs,scsi_transport_iscsi,libiscsi");

MODULE_ALIAS("pci:v00001077d00004010sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00004022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00004032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008042sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C6E670936FFA2B344B33DCF");
