#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_soft_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");
KSYMTAB_FUNC(sdw_cdns_bpt_find_buffer_sizes, "", "");
KSYMTAB_FUNC(sdw_cdns_prepare_write_dma_buffer, "", "");
KSYMTAB_FUNC(sdw_cdns_prepare_read_dma_buffer, "", "");
KSYMTAB_FUNC(sdw_cdns_check_write_response, "", "");
KSYMTAB_FUNC(sdw_cdns_check_read_response, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0x520d74f8, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0x69fb3f7c, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0xde3a6a8a, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0x93142fc3, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0xedca1ad8, "");
SYMBOL_CRC(cdns_read_ping_status, 0x8d93ab50, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0xe88fce19, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0xe24d5d96, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0xa28aa682, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0xef584a63, "");
SYMBOL_CRC(sdw_cdns_soft_reset, 0x544505af, "");
SYMBOL_CRC(sdw_cdns_init, 0x9e4e7b48, "");
SYMBOL_CRC(cdns_bus_conf, 0xa10f76f7, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0xf60d0d12, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0xed51bdc9, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0xd2bf1c69, "");
SYMBOL_CRC(sdw_cdns_probe, 0xfea795dd, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0x565a230d, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0xffb32267, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0x2fefa3f7, "");
SYMBOL_CRC(sdw_cdns_bpt_find_buffer_sizes, 0x7ce1c6d3, "");
SYMBOL_CRC(sdw_cdns_prepare_write_dma_buffer, 0x077dcac0, "");
SYMBOL_CRC(sdw_cdns_prepare_read_dma_buffer, 0xdebf2db8, "");
SYMBOL_CRC(sdw_cdns_check_write_response, 0xff8986cb, "");
SYMBOL_CRC(sdw_cdns_check_read_response, 0x96026c71, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x917034e7, "sdw_bus_prep_clk_stop" },
	{ 0x2aa3cf98, "simple_attr_open" },
	{ 0xdcea2c0b, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xecc1f315, "sdw_bus_clk_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x037a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x360694df, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe23a4c29, "sdw_handle_slave_status" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x0eb6eb87, "add_taint" },
	{ 0xce4fed4a, "debugfs_attr_read" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xa8cf9e40, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x17759e36, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa9f27379, "sdw_bread_no_pm_unlocked" },
	{ 0x90543b57, "__pm_runtime_suspend" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x54ba64c8, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "D17CABDE347D76CAD8C9379");
