#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x17d44dd5, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0xaa689968, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x59d6f08d, "");
SYMBOL_CRC(sdw_intel_startup, 0x716a6ef6, "");
SYMBOL_CRC(sdw_intel_exit, 0x4ca95bf5, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0xd44cd6e4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef584a63, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2aa3cf98, "simple_attr_open" },
	{ 0xdcea2c0b, "debugfs_attr_write" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xf1b8d862, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9e4e7b48, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd2bf1c69, "sdw_cdns_clock_restart" },
	{ 0xde3a6a8a, "sdw_cdns_debugfs_init" },
	{ 0xf605185d, "pm_runtime_set_autosuspend_delay" },
	{ 0x1213f26f, "sdw_bus_master_add" },
	{ 0xa28aa682, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x037a0cba, "kfree" },
	{ 0xf60d0d12, "sdw_cdns_is_clock_stop" },
	{ 0x360694df, "seq_lseek" },
	{ 0x69fb3f7c, "sdw_cdns_config_update_set_wait" },
	{ 0x61a66cee, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x51bdf662, "sdw_alloc_stream" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xff8986cb, "sdw_cdns_check_write_response" },
	{ 0xffb32267, "sdw_cdns_config_stream" },
	{ 0xa615dce4, "__pm_runtime_set_status" },
	{ 0x45ed27ee, "auxiliary_driver_unregister" },
	{ 0x786bf157, "devm_snd_soc_register_component" },
	{ 0xa10f76f7, "cdns_bus_conf" },
	{ 0x544505af, "sdw_cdns_soft_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xaf7adc45, "put_device" },
	{ 0x565a230d, "cdns_set_sdw_stream" },
	{ 0x5c28d70e, "pm_runtime_enable" },
	{ 0x2dcf761d, "fwnode_property_read_u32_array" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x0eb6eb87, "add_taint" },
	{ 0x4acfa363, "sdw_clear_slave_status" },
	{ 0x1ef4c6f6, "sdw_disable_stream" },
	{ 0xce4fed4a, "debugfs_attr_read" },
	{ 0xacb21e17, "sdw_stream_remove_master" },
	{ 0xe24d5d96, "sdw_cdns_exit_reset" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xa8cf9e40, "simple_attr_release" },
	{ 0x58399234, "__auxiliary_device_add" },
	{ 0x2fefa3f7, "sdw_cdns_alloc_pdi" },
	{ 0xed51bdc9, "sdw_cdns_clock_stop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd4627d8f, "fwnode_property_read_u16_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x96026c71, "sdw_cdns_check_read_response" },
	{ 0xedca1ad8, "cdns_xfer_msg_defer" },
	{ 0x93142fc3, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x7ce1c6d3, "sdw_cdns_bpt_find_buffer_sizes" },
	{ 0x8dd47a06, "sdw_deprepare_stream" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb69b7268, "device_del" },
	{ 0x7d8ef513, "devm_kasprintf" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0xd4c616a7, "sdw_stream_add_master" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8d93ab50, "cdns_read_ping_status" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x062f8740, "acpi_fetch_acpi_dev" },
	{ 0x763fc6ea, "device_get_named_child_node" },
	{ 0xfea795dd, "sdw_cdns_probe" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x520d74f8, "sdw_cdns_config_update" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17759e36, "seq_printf" },
	{ 0xe8009a7b, "sdw_stream_remove_slave" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0xadcee871, "sdw_bus_master_delete" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xde055c29, "__auxiliary_driver_register" },
	{ 0xe88fce19, "sdw_cdns_check_self_clearing_bits" },
	{ 0x3baa52b2, "__pm_runtime_use_autosuspend" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0x9da20792, "sdw_release_stream" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x6507e9c9, "__pm_runtime_disable" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x7d67b26c, "sdw_prepare_stream" },
	{ 0x814742f8, "sdw_stream_add_slave" },
	{ 0xfaea82d9, "sdw_master_read_prop" },
	{ 0x94fd7d48, "sdw_compute_params" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,soundwire-bus,snd-soc-core,soundwire-generic-allocation,snd-pcm");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "395539096AE4994554C3DAF");
