#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssb_bus_resume, "", "");
KSYMTAB_FUNC(ssb_bus_suspend, "", "");
KSYMTAB_FUNC(ssb_bus_unregister, "", "");
KSYMTAB_FUNC(ssb_bus_sdiobus_register, "", "");
KSYMTAB_FUNC(__ssb_driver_register, "", "");
KSYMTAB_FUNC(ssb_driver_unregister, "", "");
KSYMTAB_FUNC(ssb_set_devtypedata, "", "");
KSYMTAB_FUNC(ssb_clockspeed, "", "");
KSYMTAB_FUNC(ssb_device_is_enabled, "", "");
KSYMTAB_FUNC(ssb_device_enable, "", "");
KSYMTAB_FUNC(ssb_device_disable, "", "");
KSYMTAB_FUNC(ssb_dma_translation, "", "");
KSYMTAB_FUNC(ssb_bus_may_powerdown, "", "");
KSYMTAB_FUNC(ssb_bus_powerup, "", "");
KSYMTAB_FUNC(ssb_commit_settings, "", "");
KSYMTAB_FUNC(ssb_admatch_base, "", "");
KSYMTAB_FUNC(ssb_admatch_size, "", "");
KSYMTAB_FUNC(ssb_pcihost_register, "", "");
KSYMTAB_FUNC(ssb_chipco_gpio_control, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_voltage, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_paref, "", "");
KSYMTAB_FUNC(ssb_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(ssb_pcicore_dev_irqvecs_enable, "", "");

SYMBOL_CRC(ssb_bus_resume, 0x50454748, "");
SYMBOL_CRC(ssb_bus_suspend, 0x79571c12, "");
SYMBOL_CRC(ssb_bus_unregister, 0x395fb7da, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0x47a3895e, "");
SYMBOL_CRC(__ssb_driver_register, 0x6d6e2747, "");
SYMBOL_CRC(ssb_driver_unregister, 0x6eca4aa5, "");
SYMBOL_CRC(ssb_set_devtypedata, 0x410ce0cc, "");
SYMBOL_CRC(ssb_clockspeed, 0x2deac0cf, "");
SYMBOL_CRC(ssb_device_is_enabled, 0x2ab88578, "");
SYMBOL_CRC(ssb_device_enable, 0xcc9c37f8, "");
SYMBOL_CRC(ssb_device_disable, 0x78dda63c, "");
SYMBOL_CRC(ssb_dma_translation, 0xfa4c3c4d, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0x2d329a15, "");
SYMBOL_CRC(ssb_bus_powerup, 0x9dabc14e, "");
SYMBOL_CRC(ssb_commit_settings, 0x95126bf2, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0x618b80e3, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0xc73d383b, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0x53093c79, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0xfd62592d, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0xfb82c402, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0x14ec9f98, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x0d7f5bfe, "pci_save_state" },
	{ 0xb140b756, "sdio_release_host" },
	{ 0x87d61c2b, "device_set_wakeup_enable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x1d3bb3f4, "sdio_claim_host" },
	{ 0x0ee09f4a, "pci_iomap" },
	{ 0xe3fee9eb, "sdio_readw" },
	{ 0x21b6bf80, "device_unregister" },
	{ 0xbed4a1c1, "pci_back_from_sleep" },
	{ 0x96848186, "scnprintf" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0x3cfcdbfc, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x6d46183e, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x360b69b4, "sdio_writew" },
	{ 0xfb254be7, "get_device" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0x928f4743, "pci_read_config_dword" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xaf7adc45, "put_device" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x22774dd3, "device_create_file" },
	{ 0x54755b2b, "sdio_readsb" },
	{ 0xc7cfc207, "gpiochip_get_data" },
	{ 0xc714fb11, "bus_unregister" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x666a878f, "pci_read_config_word" },
	{ 0xeccbef1c, "sdio_readl" },
	{ 0x31e6b7e7, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xe156906f, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc6d1920b, "device_register" },
	{ 0xf307422a, "pci_restore_state" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8a286fa8, "sdio_writel" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x60e063ce, "gpiochip_add_data_with_key" },
	{ 0x7cf8b54e, "_dev_emerg" },
	{ 0x3b0e2ab3, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4b356bb7, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0x6d2036dd, "sdio_writesb" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x532df49f, "pci_write_config_word" },
	{ 0x35215603, "ioremap_prot" },
	{ 0x303bdda4, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7ece803a, "pci_write_config_dword" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x27a399fb, "device_remove_file" },
	{ 0x43d13e73, "bus_register" },
	{ 0x8ce0570c, "sdio_readb" },
	{ 0x68608fa5, "sdio_writeb" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "27B2C3E65936818D8F8C0C4");
