#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(teedev_open, "_gpl", "");
KSYMTAB_FUNC(teedev_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_session_calc_client_uuid, "_gpl", "");
KSYMTAB_FUNC(tee_device_alloc, "_gpl", "");
KSYMTAB_FUNC(tee_device_set_dev_groups, "_gpl", "");
KSYMTAB_FUNC(tee_device_register, "_gpl", "");
KSYMTAB_FUNC(tee_device_unregister, "_gpl", "");
KSYMTAB_FUNC(tee_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_get_version, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_system_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_invoke_func, "_gpl", "");
KSYMTAB_DATA(tee_bus_type, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_priv_buf, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_alloc_helper, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_free_helper, "_gpl", "");
KSYMTAB_FUNC(tee_shm_register_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_free, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_va, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_pa, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_from_id, "_gpl", "");
KSYMTAB_FUNC(tee_shm_put, "_gpl", "");
KSYMTAB_FUNC(tee_shm_pool_alloc_res_mem, "_gpl", "");

SYMBOL_CRC(teedev_open, 0xd5b71598, "_gpl");
SYMBOL_CRC(teedev_close_context, 0x2c411950, "_gpl");
SYMBOL_CRC(tee_session_calc_client_uuid, 0x85fd9922, "_gpl");
SYMBOL_CRC(tee_device_alloc, 0x51148edf, "_gpl");
SYMBOL_CRC(tee_device_set_dev_groups, 0x377fd693, "_gpl");
SYMBOL_CRC(tee_device_register, 0xfe8702e7, "_gpl");
SYMBOL_CRC(tee_device_unregister, 0xc58072f8, "_gpl");
SYMBOL_CRC(tee_get_drvdata, 0xdd111889, "_gpl");
SYMBOL_CRC(tee_client_open_context, 0x6b61b349, "_gpl");
SYMBOL_CRC(tee_client_close_context, 0x8bee4833, "_gpl");
SYMBOL_CRC(tee_client_get_version, 0x05de72f4, "_gpl");
SYMBOL_CRC(tee_client_open_session, 0xeba370b6, "_gpl");
SYMBOL_CRC(tee_client_close_session, 0x85ec4f94, "_gpl");
SYMBOL_CRC(tee_client_system_session, 0x5a71c1d2, "_gpl");
SYMBOL_CRC(tee_client_invoke_func, 0x597829c6, "_gpl");
SYMBOL_CRC(tee_bus_type, 0xe4114abb, "_gpl");
SYMBOL_CRC(tee_shm_alloc_kernel_buf, 0x8c24334e, "_gpl");
SYMBOL_CRC(tee_shm_alloc_priv_buf, 0x59124a23, "_gpl");
SYMBOL_CRC(tee_dyn_shm_alloc_helper, 0x046fe21f, "_gpl");
SYMBOL_CRC(tee_dyn_shm_free_helper, 0xd46cfb3c, "_gpl");
SYMBOL_CRC(tee_shm_register_kernel_buf, 0x196a416e, "_gpl");
SYMBOL_CRC(tee_shm_free, 0xab8a38c0, "_gpl");
SYMBOL_CRC(tee_shm_get_va, 0xbbd9698e, "_gpl");
SYMBOL_CRC(tee_shm_get_pa, 0xa82be7ce, "_gpl");
SYMBOL_CRC(tee_shm_get_from_id, 0xe3e2b5df, "_gpl");
SYMBOL_CRC(tee_shm_put, 0x3667e0bb, "_gpl");
SYMBOL_CRC(tee_shm_pool_alloc_res_mem, 0x1497ea18, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xced0f4d4, "gen_pool_create" },
	{ 0xa2a2de72, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xf730879d, "device_initialize" },
	{ 0xf30f016f, "unpin_user_pages" },
	{ 0x52fcfc5d, "remap_pfn_range" },
	{ 0x037a0cba, "kfree" },
	{ 0x59ed3006, "crypto_destroy_tfm" },
	{ 0x6c224cda, "gen_pool_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0x5feec6e8, "cdev_device_add" },
	{ 0x7e336510, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xaf7adc45, "put_device" },
	{ 0xd2622b35, "iov_iter_extract_pages" },
	{ 0x73c1a4d5, "compat_ptr_ioctl" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xc714fb11, "bus_unregister" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x982e16bd, "iov_iter_kvec" },
	{ 0x196cefb2, "crypto_shash_update" },
	{ 0x58daeb2b, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x037ad6f1, "alloc_pages_exact_noprof" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0x5d291972, "make_kgid" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xd9b86286, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x060ba97c, "gen_pool_free_owner" },
	{ 0xcad91204, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x2b593aa8, "gen_pool_alloc_algo_owner" },
	{ 0x5e855e56, "gen_pool_first_fit_align" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7d0ba682, "gen_pool_virt_to_phys" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x7ab7c6e9, "crypto_alloc_shash" },
	{ 0xd7d5a61f, "iov_iter_npages" },
	{ 0x43c9bb5c, "class_register" },
	{ 0xc1b99b37, "cdev_init" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x43d13e73, "bus_register" },
	{ 0x9fb7fc2d, "class_find_device" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F990AB9E202D0939F5B8C9E");
