#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xedf78355, "serial8250_do_shutdown" },
	{ 0x7a9b2d59, "serial8250_do_set_divisor" },
	{ 0x2e6e8705, "device_remove_software_node" },
	{ 0x8c0eddc1, "platform_device_unregister" },
	{ 0xf6b1955e, "platform_device_alloc" },
	{ 0xe337f3ab, "__dev_fwnode" },
	{ 0x8d47a34d, "device_set_node" },
	{ 0x44bbfb75, "device_add_software_node" },
	{ 0xa7a3d02d, "platform_device_add" },
	{ 0x7e9c0840, "platform_device_put" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xcc248d26, "serial8250_suspend_port" },
	{ 0xcefcd99a, "serial8250_unregister_port" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0x6298228e, "serial8250_get_port" },
	{ 0x666a878f, "pci_read_config_word" },
	{ 0xdb263bac, "serial8250_pci_setup_port" },
	{ 0x532df49f, "pci_write_config_word" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa51e8d0d, "eeprom_93cx6_read" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc141f482, "serial8250_do_startup" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x85b97a0c, "nbcon_device_try_acquire" },
	{ 0xa0207a86, "nbcon_device_release" },
	{ 0x4b0b05dc, "eeprom_93cx6_multiread" },
	{ 0xc7208c3a, "serial8250_resume_port" },
	{ 0xdcb764ad, "memset" },
	{ 0x62a2ed37, "pcim_enable_device" },
	{ 0x2c21f723, "dev_err_probe" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0x4f1e63e0, "pcim_iomap" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x56a45ed8, "pci_alloc_irq_vectors" },
	{ 0x594672b5, "pci_irq_vector" },
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0xb6bde297, "serial8250_register_8250_port" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "eeprom_93cx6");

MODULE_ALIAS("pci:v0000494Fd00001052sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000494Fd0000105Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000494Fd0000106Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000494Fd000010A8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000494Fd000010D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000494Fd000010DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000494Fd000010EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013A8d00000152sv000012C4sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013A8d00000154sv000012C4sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013A8d00000158sv000012C4sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013A8d00000252sv000012C4sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013A8d00000254sv000012C4sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013A8d00000258sv000012C4sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013A8d00000352sv000012C4sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013A8d00000354sv000012C4sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013A8d00000358sv000012C4sd*bc*sc*i*");
MODULE_ALIAS("pci:v000012C4d0000110Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000012C4d0000110Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000012C4d00001110sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013A8d00000152sv00001014sd000003D4bc*sc*i*");
MODULE_ALIAS("pci:v000016ECd00000152sv000013A8sd00000128bc*sc*i*");
MODULE_ALIAS("pci:v000016ECd00000152sv000013A8sd00000129bc*sc*i*");
MODULE_ALIAS("pci:v000013A8d00000152sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013A8d00000154sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013A8d00000158sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013A8d00000352sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013A8d00000354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013A8d00000358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013A8d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013A8d00008358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000018F7d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000018F7d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000018F7d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000018F7d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000018F7d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000018F7d0000000Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000018F7d0000000Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8A6D10AC35A3295EC2F381F");
