#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tegra_usb_phy_preresume, "_gpl", "");
KSYMTAB_FUNC(tegra_usb_phy_postresume, "_gpl", "");
KSYMTAB_FUNC(tegra_ehci_phy_restore_start, "_gpl", "");
KSYMTAB_FUNC(tegra_ehci_phy_restore_end, "_gpl", "");

SYMBOL_CRC(tegra_usb_phy_preresume, 0x66928c62, "_gpl");
SYMBOL_CRC(tegra_usb_phy_postresume, 0xa1811bbb, "_gpl");
SYMBOL_CRC(tegra_ehci_phy_restore_start, 0xbe0110e2, "_gpl");
SYMBOL_CRC(tegra_ehci_phy_restore_end, 0x4b534f9a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69566392, "__platform_driver_register" },
	{ 0x49136630, "usb_remove_phy" },
	{ 0xaf7adc45, "put_device" },
	{ 0x1239b4f2, "platform_driver_unregister" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x815588a6, "clk_enable" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x63695201, "gpiod_set_value_cansleep" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xfa1413a8, "regulator_disable" },
	{ 0x63150e06, "clk_get_parent" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xc2aae440, "regulator_enable" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x126d6b35, "regmap_update_bits_base" },
	{ 0xfbb44286, "platform_get_resource" },
	{ 0xb65c6e00, "devm_ioremap" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xba8e2979, "of_property_read_variable_u32_array" },
	{ 0xdd9fa060, "of_property_read_bool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x97aa31ca, "of_device_get_match_data" },
	{ 0x6024abec, "platform_get_irq_optional" },
	{ 0x76968f83, "of_find_property" },
	{ 0x4759aa37, "usb_get_dr_mode" },
	{ 0x3904ff2f, "devm_regulator_get" },
	{ 0x16776275, "devm_clk_get" },
	{ 0xdcb764ad, "memset" },
	{ 0x401d12da, "__of_parse_phandle_with_args" },
	{ 0x2c21f723, "dev_err_probe" },
	{ 0x6de05605, "of_usb_get_phy_mode" },
	{ 0xce55b42e, "devm_gpiod_get" },
	{ 0xfd118245, "gpiod_set_consumer_name" },
	{ 0x5703c08a, "ulpi_viewport_access_ops" },
	{ 0xed97118e, "devm_otg_ulpi_create" },
	{ 0x3eb98dfb, "usb_add_phy_dev" },
	{ 0x06e134ca, "of_find_device_by_node" },
	{ 0xfd19ff82, "of_node_put" },
	{ 0xab4348aa, "__devm_add_action" },
	{ 0xf40d97a0, "dev_get_regmap" },
	{ 0xd7c08570, "__devm_reset_control_get" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnvidia,tegra30-usb-phy");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-usb-phyC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-usb-phy");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-usb-phyC*");

MODULE_INFO(srcversion, "846625D51756C94D2C5A5EA");
