#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tcpm_pd_transmit_complete, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_receive, "_gpl", "");
KSYMTAB_FUNC(tcpm_cc_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_vbus_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_hard_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_sink_frs, "_gpl", "");
KSYMTAB_FUNC(tcpm_sourcing_vbus, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_clean, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_is_toggling, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_error_recovery, "_gpl", "");
KSYMTAB_FUNC(tcpm_tcpc_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_register_port, "_gpl", "");
KSYMTAB_FUNC(tcpm_unregister_port, "_gpl", "");

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0x402a76b1, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_port_error_recovery, 0x8512bd2a, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0x4d93d1b6, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7cac4709, "typec_unregister_altmode" },
	{ 0xdcb764ad, "memset" },
	{ 0xa03ebc2f, "typec_get_drvdata" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4c80bfbb, "typec_register_partner" },
	{ 0xc3648a8c, "typec_partner_set_usb_power_delivery" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x368e336c, "usb_debug_root" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x17759e36, "seq_printf" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe337f3ab, "__dev_fwnode" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0x471eb846, "devm_power_supply_register" },
	{ 0x227eb53a, "usb_power_delivery_unregister_capabilities" },
	{ 0x0bbad260, "devm_kfree" },
	{ 0xf5584309, "usb_power_delivery_unregister" },
	{ 0x2bb8c3b5, "usb_power_delivery_register" },
	{ 0x9036ba38, "usb_power_delivery_register_capabilities" },
	{ 0x024edab7, "kthread_queue_work" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x00148653, "vsnprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xc4d5752b, "power_supply_get_drvdata" },
	{ 0xbe9c4d8b, "typec_register_cable" },
	{ 0x02384c6f, "typec_cable_set_identity" },
	{ 0xbfdcc5ce, "typec_cable_set_svdm_version" },
	{ 0xb0df0489, "typec_register_plug" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0x948c510d, "typec_get_negotiated_svdm_version" },
	{ 0x5cdea305, "typec_get_cable_svdm_version" },
	{ 0x267c7599, "fw_devlink_purge_absent_suppliers" },
	{ 0xcb17c913, "typec_get_fw_cap" },
	{ 0xec8d3c8a, "fwnode_property_read_bool" },
	{ 0x52a49e44, "fwnode_get_named_child_node" },
	{ 0x9f471df6, "fwnode_get_next_child_node" },
	{ 0x2dcf761d, "fwnode_property_read_u32_array" },
	{ 0x35aba85c, "fwnode_property_read_string" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xa6257a2f, "complete" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x062e6595, "typec_partner_register_altmode" },
	{ 0xc050f246, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xdb433549, "typec_set_mode" },
	{ 0x9f86c6d7, "typec_set_data_role" },
	{ 0x88d90cae, "typec_set_pwr_role" },
	{ 0x1903e260, "typec_set_vconn_role" },
	{ 0xd8561d7d, "power_supply_changed" },
	{ 0xb1c8ff41, "typec_unregister_plug" },
	{ 0x9300c87a, "typec_unregister_cable" },
	{ 0x7f33d9d3, "typec_unregister_partner" },
	{ 0x7e020f5f, "kthread_destroy_worker" },
	{ 0xa8080b79, "typec_unregister_port" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x037a0cba, "kfree" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7a5cd104, "typec_port_set_usb_power_delivery" },
	{ 0xd3bb47b7, "typec_match_altmode" },
	{ 0x533b4a0f, "typec_altmode_update_active" },
	{ 0x4fbf2670, "typec_partner_set_identity" },
	{ 0x6241a469, "typec_cable_is_active" },
	{ 0xcacf56ab, "typec_partner_set_svdm_version" },
	{ 0xf0da5b69, "typec_plug_set_num_altmodes" },
	{ 0xb1bb1a43, "typec_plug_register_altmode" },
	{ 0x3c513e8b, "typec_altmode_vdm" },
	{ 0x38cc4888, "typec_altmode_attention" },
	{ 0x1458afc7, "typec_altmode_notify" },
	{ 0xf4975588, "typec_cable_altmode_vdm" },
	{ 0xe7d09a7d, "kthread_create_worker_on_node" },
	{ 0xee213135, "wake_up_process" },
	{ 0x7c304b2d, "sched_set_fifo" },
	{ 0xe26f86c1, "hrtimer_setup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7e1deba4, "fwnode_property_read_u8_array" },
	{ 0x8f90812c, "usb_role_switch_get" },
	{ 0xeea2c6ca, "typec_register_port" },
	{ 0x0d209d5b, "typec_port_register_altmodes" },
	{ 0xd5954b6e, "typec_port_register_cable_ops" },
	{ 0xb34ac1d4, "fwnode_usb_role_switch_get" },
	{ 0x805fd790, "typec_set_pwr_opmode" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x360694df, "seq_lseek" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x61704e7f, "single_release" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "typec");


MODULE_INFO(srcversion, "BC6B116851190A33D5D8722");
