#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_worker_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x451a3df8, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x4a328a8c, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0xe61e492c, "_gpl");
SYMBOL_CRC(vhost_vq_work_queue, 0x5cddd698, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0xefa37710, "_gpl");
SYMBOL_CRC(vhost_vq_has_work, 0x51c36125, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0xa99ac5ae, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0xb8d3c5a0, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0xd69def03, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x16951251, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0xa991cb51, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xdc9b5622, "_gpl");
SYMBOL_CRC(vhost_worker_ioctl, 0xec14c314, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x77da082c, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0xf893aa0b, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0xb8b3bc42, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0xcb158c6c, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0x8bae3255, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x26442824, "");
SYMBOL_CRC(vhost_chr_poll, 0xb939f5cc, "");
SYMBOL_CRC(vhost_chr_read_iter, 0xaeb9bb4b, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0x511830f5, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0x5d556f74, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0xa1cd79e8, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x5ce44759, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x46825543, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x7f936c97, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x5d94567f, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x9415856d, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0xc0595b62, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x4149d25d, "_gpl");
SYMBOL_CRC(vhost_add_used, 0xdca4f2e9, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0xe7d57cd1, "_gpl");
SYMBOL_CRC(vhost_signal, 0x5a1ad3c4, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x0de71237, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0xa73ed72b, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x0294a4d4, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0xba868c46, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x8d293c15, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x6c3bd558, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0xfcd3c813, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0xf1d0b754, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0x82dfcf6c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x5b30e25c, "vhost_task_wake" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa6257a2f, "complete" },
	{ 0xdcb764ad, "memset" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x00aa1603, "xa_find" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x0745a981, "xa_erase" },
	{ 0x4471a51d, "vhost_task_stop" },
	{ 0x037a0cba, "kfree" },
	{ 0xf1501c66, "mmput" },
	{ 0xe9cb5a59, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0x3cdd1dc4, "pin_user_pages_fast" },
	{ 0x485df58a, "unpin_user_pages_dirty_lock" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0x0ddb1cd7, "llist_reverse_order" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x0c10e997, "eventfd_signal_mask" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x01000e51, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xed897728, "_copy_to_iter" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x94e8cbc6, "iov_iter_init" },
	{ 0x8c3ab70c, "_copy_from_iter" },
	{ 0xb95438c3, "iov_iter_revert" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x718d561a, "fput" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc58007de, "vhost_task_create" },
	{ 0x8f00f6d1, "vhost_task_start" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x9cd89e27, "get_task_mm" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x26e0299f, "iov_iter_advance" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xc81c942e, "eventfd_fget" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0xe2783b52, "param_ops_ushort" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "C4F23D70DE2A05B29BE97B0");
