#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(virtio_pci_admin_has_dev_parts, "_gpl", "");
KSYMTAB_FUNC(virtio_pci_admin_mode_set, "_gpl", "");
KSYMTAB_FUNC(virtio_pci_admin_obj_create, "_gpl", "");
KSYMTAB_FUNC(virtio_pci_admin_obj_destroy, "_gpl", "");
KSYMTAB_FUNC(virtio_pci_admin_dev_parts_metadata_get, "_gpl", "");
KSYMTAB_FUNC(virtio_pci_admin_dev_parts_get, "_gpl", "");
KSYMTAB_FUNC(virtio_pci_admin_dev_parts_set, "_gpl", "");

SYMBOL_CRC(virtio_pci_admin_has_dev_parts, 0x8035bbf7, "_gpl");
SYMBOL_CRC(virtio_pci_admin_mode_set, 0x925762fe, "_gpl");
SYMBOL_CRC(virtio_pci_admin_obj_create, 0x9cd85a80, "_gpl");
SYMBOL_CRC(virtio_pci_admin_obj_destroy, 0x97e6d8ff, "_gpl");
SYMBOL_CRC(virtio_pci_admin_dev_parts_metadata_get, 0x9c719921, "_gpl");
SYMBOL_CRC(virtio_pci_admin_dev_parts_get, 0x2ed678e7, "_gpl");
SYMBOL_CRC(virtio_pci_admin_dev_parts_set, 0x4ddb717f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7bdb0d3d, "vring_transport_features" },
	{ 0xd7216703, "pci_find_ext_capability" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc696e115, "virtqueue_enable_cb" },
	{ 0xa8ae6277, "vp_modern_get_status" },
	{ 0xa38fb552, "pci_enable_device" },
	{ 0xb3da0528, "vp_modern_get_queue_reset" },
	{ 0x82217714, "vp_modern_map_vq_notify" },
	{ 0x6eb3ea01, "vp_legacy_config_vector" },
	{ 0x21a196f7, "virtqueue_detach_unused_buf" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa5a83faf, "virtqueue_is_broken" },
	{ 0xcce29be6, "virtqueue_get_avail_addr" },
	{ 0x1b281f2a, "vp_modern_get_queue_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xac13658e, "pci_vfs_assigned" },
	{ 0x7b598dce, "vp_legacy_remove" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe5ff6a26, "vp_legacy_set_queue_address" },
	{ 0x92028912, "vp_modern_remove" },
	{ 0xca456192, "vp_legacy_get_status" },
	{ 0x6c627341, "__pci_register_driver" },
	{ 0xaed8c9c9, "vring_create_virtqueue" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x515824d8, "alloc_cpumask_var_node" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7650215f, "vp_modern_get_features" },
	{ 0x6a742933, "vp_modern_set_status" },
	{ 0x594672b5, "pci_irq_vector" },
	{ 0xfb254be7, "get_device" },
	{ 0xa48137b6, "vp_modern_avq_num" },
	{ 0x398e8087, "pci_unregister_driver" },
	{ 0x05b8f8ba, "vring_notification_data" },
	{ 0x6bfa2038, "vp_modern_queue_address" },
	{ 0x49a3b67f, "virtio_device_restore" },
	{ 0x928f4743, "pci_read_config_dword" },
	{ 0xff05fa13, "vring_interrupt" },
	{ 0xbac0c6fd, "vp_modern_avq_index" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xaf7adc45, "put_device" },
	{ 0x34fda5d6, "virtio_config_changed" },
	{ 0xc2c51676, "vp_legacy_set_status" },
	{ 0x097e8a63, "vp_modern_get_queue_enable" },
	{ 0xa4c7d437, "vp_modern_config_vector" },
	{ 0xbf59cba0, "virtqueue_get_vring_size" },
	{ 0xbfaaf22c, "vp_modern_probe" },
	{ 0x2da03482, "pci_find_capability" },
	{ 0xce7e7372, "pci_iov_vf_id" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xcd4cf63f, "unregister_virtio_device" },
	{ 0x88524920, "vp_legacy_queue_vector" },
	{ 0x066d208f, "virtqueue_get_desc_addr" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4fdf3189, "vp_legacy_get_queue_enable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x09025d38, "vp_modern_set_queue_size" },
	{ 0x216f4ba0, "vp_legacy_probe" },
	{ 0x9a6f8a18, "pci_device_is_present" },
	{ 0x666a878f, "pci_read_config_word" },
	{ 0xecbd17a5, "virtqueue_disable_cb" },
	{ 0x3f914d30, "vp_modern_queue_vector" },
	{ 0x2caf2dd5, "virtio_device_freeze" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x36038c33, "vp_modern_set_queue_reset" },
	{ 0x4672f790, "vp_modern_generation" },
	{ 0xe156906f, "pci_iounmap" },
	{ 0x04f491d7, "virtqueue_add_sgs" },
	{ 0x43cfaca8, "virtio_device_reset_done" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0xcdbac486, "pci_alloc_irq_vectors_affinity" },
	{ 0x2beb1257, "virtio_break_device" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6738cbad, "vp_legacy_set_features" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xbdc8c686, "free_cpumask_var" },
	{ 0x39f8a79e, "virtqueue_get_buf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x0004b915, "vp_modern_set_features" },
	{ 0xad9ca521, "pci_find_next_capability" },
	{ 0xe38aeb54, "virtqueue_get_used_addr" },
	{ 0x40970bbe, "virtqueue_kick" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x7babe6a3, "virtio_device_reset_prepare" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf902607c, "register_virtio_device" },
	{ 0xd73d7dd2, "pci_disable_sriov" },
	{ 0x5fd4dcc5, "vp_legacy_get_queue_size" },
	{ 0x8a8488aa, "vp_legacy_get_features" },
	{ 0xfe5b74f2, "pci_disable_device" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc0ce8cfd, "pci_irq_get_affinity" },
	{ 0xfe51357e, "pci_read_config_byte" },
	{ 0x5e0201d5, "vp_modern_get_num_queues" },
	{ 0x74ec6ad5, "pci_free_irq_vectors" },
	{ 0x5b38f1e3, "pci_enable_sriov" },
	{ 0xe9ddbf1e, "vp_modern_set_queue_enable" },
	{ 0x81fdc5d0, "vring_del_virtqueue" },
	{ 0xf9a482f9, "msleep" },
	{ 0x245c2af9, "pci_iov_get_pf_drvdata" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "virtio_pci_modern_dev,virtio_pci_legacy_dev");

MODULE_ALIAS("pci:v00001AF4d*sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E83186EDF7548863B2C3D07");
