#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0xab7f6476, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x794cce68, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0x26b135f8, "nlmclnt_proc" },
	{ 0x31a5860d, "nfs_writeback_update_inode" },
	{ 0x0ca0a1c5, "nfs_alloc_client" },
	{ 0x667edd49, "nfs_dentry_operations" },
	{ 0x1bfe7786, "xdr_write_pages" },
	{ 0x9559a187, "nfs_access_zap_cache" },
	{ 0xea774db7, "nfs_wb_all" },
	{ 0xe1f67794, "xdr_inline_decode" },
	{ 0x257e7a34, "forget_all_cached_acls" },
	{ 0x7fa9cf0d, "nfs_submount" },
	{ 0x5eb25807, "__tracepoint_nfs_xdr_status" },
	{ 0x4f98c7e6, "nfs_mknod" },
	{ 0x36496a1d, "nfs_create_server" },
	{ 0x4829a47e, "memcpy" },
	{ 0x0783d748, "nfs_init_client" },
	{ 0x037a0cba, "kfree" },
	{ 0xe01e4c9c, "nfs_post_op_update_inode" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x4e4b7a0c, "xdr_read_pages" },
	{ 0x5ccbd45c, "nfsacl_decode" },
	{ 0x22f7cb6b, "posix_acl_from_mode" },
	{ 0xbb77c850, "nfs_create" },
	{ 0xd2a08bae, "nfs_mkdir" },
	{ 0x8ab912ef, "nfs_revalidate_inode" },
	{ 0x8eabebf5, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe3abaee4, "nfs_try_get_tree" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xfaf0b980, "make_kuid" },
	{ 0xb420d195, "nfs_get_client" },
	{ 0xf9968f9c, "__free_pages" },
	{ 0x97c612e1, "nfs_file_operations" },
	{ 0x5044c324, "get_inode_acl" },
	{ 0x7a771995, "nfs_put_lock_context" },
	{ 0xfadbd0b7, "nfs_rename" },
	{ 0xf31f7c32, "nfs_lookup" },
	{ 0x49323655, "__traceiter_nfs_xdr_bad_filehandle" },
	{ 0x3b728a39, "nfs_sysfs_link_rpc_client" },
	{ 0xfc5a69c0, "nfsacl_encode" },
	{ 0x74757503, "posix_acl_create" },
	{ 0x76008b26, "get_nfs_open_context" },
	{ 0x56d11660, "nfs_invalidate_atime" },
	{ 0x20e093a4, "posix_acl_equiv_mode" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5a1c377a, "nfs_getattr" },
	{ 0xb8286576, "nfs_zap_acl_cache" },
	{ 0xe8537f7b, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe33f72cf, "rpc_bind_new_program" },
	{ 0xa6f79ba6, "register_nfs_version" },
	{ 0x575ee12b, "nfs_atomic_open_v23" },
	{ 0x281f1bc3, "rpc_call_start" },
	{ 0x1880dfe2, "rpc_call_sync" },
	{ 0x53cb77f4, "rpc_prepare_reply_pages" },
	{ 0xa7e4e6ba, "nfs_fs_type" },
	{ 0xf1b70dcb, "nfs_setattr" },
	{ 0xdcb764ad, "memset" },
	{ 0x9f5b1ceb, "xdr_terminate_string" },
	{ 0x4ed2b7d9, "nfs_fattr_init" },
	{ 0x6b1d4cc8, "rpc_delay" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x5d291972, "make_kgid" },
	{ 0x7742549c, "from_kgid_munged" },
	{ 0x2d0f9b90, "nfs_alloc_fattr" },
	{ 0x020d417b, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe07a7854, "nfs_rmdir" },
	{ 0xec02cd53, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xecf3ffdb, "nfs_async_iocounter_wait" },
	{ 0x090ea3cc, "nfs_setattr_update_inode" },
	{ 0xce2cf832, "nfs_sops" },
	{ 0x4cbd68a5, "init_user_ns" },
	{ 0xabe7154c, "rpc_restart_call" },
	{ 0x6c4b6b28, "nfs_link" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xdc3ee176, "dput" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0xc831c980, "put_nfs_open_context" },
	{ 0x51ac222f, "nfs_permission" },
	{ 0x6a5de1bb, "alloc_pages_noprof" },
	{ 0x5ef0d683, "nfs_add_or_obtain" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x355a1703, "from_kuid_munged" },
	{ 0x98cf60b3, "strlen" },
	{ 0x0fb2afa1, "nfs_free_client" },
	{ 0x8f40ce22, "nfs_close_context" },
	{ 0xfc327b1f, "nfs_refresh_inode" },
	{ 0x08e162a8, "nfs_access_set_mask" },
	{ 0x924b8311, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x304ed54d, "__traceiter_nfs_xdr_status" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x26676e1d, "nfs_symlink" },
	{ 0x5015cffe, "nfs_unlink" },
	{ 0x76c8d3eb, "forget_cached_acl" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "nfs,lockd,sunrpc,nfs_acl");


MODULE_INFO(srcversion, "DA6D4B3753CAAABAF25DB75");
