#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(o2hb_fill_node_map, "_gpl", "");
KSYMTAB_FUNC(o2hb_setup_callback, "_gpl", "");
KSYMTAB_FUNC(o2hb_register_callback, "_gpl", "");
KSYMTAB_FUNC(o2hb_unregister_callback, "_gpl", "");
KSYMTAB_FUNC(o2hb_check_node_heartbeating_no_sem, "_gpl", "");
KSYMTAB_FUNC(o2hb_check_node_heartbeating_from_callback, "_gpl", "");
KSYMTAB_FUNC(o2hb_stop_all_regions, "_gpl", "");
KSYMTAB_FUNC(o2hb_get_all_regions, "_gpl", "");
KSYMTAB_FUNC(o2hb_global_heartbeat_active, "", "");
KSYMTAB_DATA(mlog_and_bits, "_gpl", "");
KSYMTAB_DATA(mlog_not_bits, "_gpl", "");
KSYMTAB_FUNC(__mlog_printk, "_gpl", "");
KSYMTAB_FUNC(o2nm_get_node_by_num, "_gpl", "");
KSYMTAB_FUNC(o2nm_configured_node_map, "_gpl", "");
KSYMTAB_FUNC(o2nm_get_node_by_ip, "_gpl", "");
KSYMTAB_FUNC(o2nm_node_put, "_gpl", "");
KSYMTAB_FUNC(o2nm_node_get, "_gpl", "");
KSYMTAB_FUNC(o2nm_this_node, "_gpl", "");
KSYMTAB_FUNC(o2net_register_handler, "_gpl", "");
KSYMTAB_FUNC(o2net_unregister_handler_list, "_gpl", "");
KSYMTAB_FUNC(o2net_fill_node_map, "_gpl", "");
KSYMTAB_FUNC(o2net_send_message_vec, "_gpl", "");
KSYMTAB_FUNC(o2net_send_message, "_gpl", "");

SYMBOL_CRC(o2hb_fill_node_map, 0xa941cb47, "_gpl");
SYMBOL_CRC(o2hb_setup_callback, 0x0afd4aa7, "_gpl");
SYMBOL_CRC(o2hb_register_callback, 0x80a869e3, "_gpl");
SYMBOL_CRC(o2hb_unregister_callback, 0x02eb0e3e, "_gpl");
SYMBOL_CRC(o2hb_check_node_heartbeating_no_sem, 0xbd13ee5d, "_gpl");
SYMBOL_CRC(o2hb_check_node_heartbeating_from_callback, 0xc4d99852, "_gpl");
SYMBOL_CRC(o2hb_stop_all_regions, 0x4900035b, "_gpl");
SYMBOL_CRC(o2hb_get_all_regions, 0x58c88ff2, "_gpl");
SYMBOL_CRC(o2hb_global_heartbeat_active, 0xbfd7d7a2, "");
SYMBOL_CRC(mlog_and_bits, 0x81a17396, "_gpl");
SYMBOL_CRC(mlog_not_bits, 0xf56c2017, "_gpl");
SYMBOL_CRC(__mlog_printk, 0x6a0c3847, "_gpl");
SYMBOL_CRC(o2nm_get_node_by_num, 0x623579d5, "_gpl");
SYMBOL_CRC(o2nm_configured_node_map, 0xa87bc9e7, "_gpl");
SYMBOL_CRC(o2nm_get_node_by_ip, 0xabce9003, "_gpl");
SYMBOL_CRC(o2nm_node_put, 0x2c89cda1, "_gpl");
SYMBOL_CRC(o2nm_node_get, 0x0b06f85d, "_gpl");
SYMBOL_CRC(o2nm_this_node, 0xb6ebf62a, "_gpl");
SYMBOL_CRC(o2net_register_handler, 0xfe1298f3, "_gpl");
SYMBOL_CRC(o2net_unregister_handler_list, 0xf1a5611d, "_gpl");
SYMBOL_CRC(o2net_fill_node_map, 0xd859ac8c, "_gpl");
SYMBOL_CRC(o2net_send_message_vec, 0x5e95a4b2, "_gpl");
SYMBOL_CRC(o2net_send_message, 0xf982e6db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5284c494, "config_group_init" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x5f001aa9, "config_item_get" },
	{ 0xce4fbd93, "set_user_nice" },
	{ 0x174d5395, "sock_create" },
	{ 0xf50296e6, "tcp_sock_set_user_timeout" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf9f00b6a, "kset_unregister" },
	{ 0x360694df, "seq_lseek" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x7596d0e9, "configfs_unregister_subsystem" },
	{ 0xee213135, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x01000e51, "schedule" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd0c05159, "emergency_restart" },
	{ 0x086f9099, "fs_kobj" },
	{ 0xf9968f9c, "__free_pages" },
	{ 0xd94cdbc8, "submit_bio" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5bd9bae7, "bio_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x718d561a, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa834c4db, "__traceiter_sk_data_ready" },
	{ 0xce807a25, "up_write" },
	{ 0x59cab9fe, "configfs_register_subsystem" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xdc10bec5, "configfs_remove_default_groups" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2f3ec2a7, "config_group_init_type_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3fb90e92, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x982e16bd, "iov_iter_kvec" },
	{ 0x62eec1d5, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa4503aeb, "sock_sendmsg" },
	{ 0xa09f5ff3, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x17c77374, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd735355a, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xeb7af9da, "__seq_open_private" },
	{ 0x30ce41d3, "bdev_file_open_by_dev" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf90ebd56, "folio_alloc_noprof" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x80b62d11, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x94814924, "configfs_depend_item" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f3537bf, "kthread_create_on_node" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7230beea, "fdget" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x9d56c842, "config_item_init_type_name" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbb0610cb, "config_item_put" },
	{ 0xcad91204, "__folio_put" },
	{ 0xffd1be08, "kobject_set_name" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x17759e36, "seq_printf" },
	{ 0x7b6309ac, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa8afdd3d, "sock_release" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x6a5de1bb, "alloc_pages_noprof" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xadd1b13d, "file_bdev" },
	{ 0x393f33a7, "configfs_undepend_item" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x0109b832, "tcp_sock_set_nodelay" },
	{ 0x21966df8, "seq_release_private" },
	{ 0x156e1cec, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x98cf60b3, "strlen" },
	{ 0x365846fe, "sock_create_lite" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0xf22eef7f, "generic_file_llseek" },
	{ 0x9120cc32, "kernel_sendmsg" },
	{ 0x58e4fa73, "bio_alloc_bioset" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x53b954a2, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xe139ed35, "fs_bio_set" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x418cc961, "kset_create_and_add" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C3F7BB0C677D859F7ABC979");
