#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x056b14d4, "bh_uptodate_or_lock" },
	{ 0xa44c9fdd, "inode_init_owner" },
	{ 0xa2e60a7a, "filemap_fdatawrite" },
	{ 0xbbcd8f5e, "generic_fillattr" },
	{ 0x65ee85bc, "vfs_fsync_range" },
	{ 0xdd78d2aa, "setattr_prepare" },
	{ 0xf812cff6, "memscan" },
	{ 0xba53c802, "iget_locked" },
	{ 0xce1a99da, "clear_nlink" },
	{ 0xf8328fe3, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x0f31eca8, "d_instantiate" },
	{ 0xfc1fd5aa, "clear_inode" },
	{ 0x8d73278e, "hex_asc_upper" },
	{ 0xdf09a26d, "discard_new_inode" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x576dd2c8, "fs_param_is_string" },
	{ 0x6f17ac3a, "folio_unlock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x66659096, "new_inode" },
	{ 0x749702e0, "filemap_map_pages" },
	{ 0xde21ca0d, "init_special_inode" },
	{ 0xf27bc2cd, "unregister_filesystem" },
	{ 0x2875a315, "utf32_to_utf8" },
	{ 0x381fef88, "mark_buffer_dirty" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xf23e32a4, "__block_write_begin" },
	{ 0x9d612601, "inode_query_iversion" },
	{ 0x3e45e75d, "__blockdev_direct_IO" },
	{ 0x511e2ce0, "d_make_root" },
	{ 0x84413c48, "sb_set_blocksize" },
	{ 0xb11bdecd, "block_truncate_page" },
	{ 0xbdd7612b, "read_cache_folio" },
	{ 0xf36ecd2b, "sync_filesystem" },
	{ 0xec62f79a, "d_splice_alias" },
	{ 0x4829a47e, "memcpy" },
	{ 0xde91bf92, "ihold" },
	{ 0x52a9f32f, "page_get_link" },
	{ 0x037a0cba, "kfree" },
	{ 0x023fde5b, "generic_file_fsync" },
	{ 0x3304c898, "finish_open" },
	{ 0x5b045397, "iput" },
	{ 0x1a89c5f3, "logfc" },
	{ 0x17dad9ee, "iter_file_splice_write" },
	{ 0x08e7dba4, "flush_dcache_folio" },
	{ 0x80f1d499, "register_filesystem" },
	{ 0x8bad8c90, "d_tmpfile" },
	{ 0x000e6362, "filemap_fdatawrite_range_kick" },
	{ 0x794e543e, "simple_inode_init_ts" },
	{ 0x941bc723, "fs_param_is_u32" },
	{ 0xa09c93bf, "kill_block_super" },
	{ 0x7ddf9b21, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xa7638a3c, "block_invalidate_folio" },
	{ 0xf419e7f3, "generic_write_end" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x07dd0632, "load_nls" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xfaf0b980, "make_kuid" },
	{ 0xb39932b5, "truncate_inode_pages_final" },
	{ 0x6d7f5268, "inode_sub_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0xfc442e93, "__filemap_get_folio" },
	{ 0x7171121c, "overflowgid" },
	{ 0xfdf529d2, "folio_mark_dirty" },
	{ 0x185e9a1f, "invalidate_inode_buffers" },
	{ 0x75d2834b, "block_commit_write" },
	{ 0xa0789012, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x30ee5b25, "inode_init_once" },
	{ 0x7741b65b, "cdrom_get_last_written" },
	{ 0x94bf03ca, "utf8_to_utf32" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xcad281bb, "__brelse" },
	{ 0xe001da10, "inode_nohighmem" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x6bf4f45c, "generic_file_read_iter" },
	{ 0xe06ed7d5, "inode_maybe_inc_iversion" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe7fc219d, "truncate_pagecache" },
	{ 0x3d77c284, "sync_dirty_buffer" },
	{ 0x3ec0bdc5, "insert_inode_locked" },
	{ 0xb14f2ab1, "__bh_read_batch" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcc9a4e64, "setattr_copy" },
	{ 0x0614b1d2, "write_cache_pages" },
	{ 0xae9a34ae, "file_update_time" },
	{ 0x1c177b7b, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6e15bfcc, "kmem_cache_alloc_lru_noprof" },
	{ 0x44738de8, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x088f3400, "from_kgid" },
	{ 0x2e98d816, "__bh_read" },
	{ 0xdb3d162d, "cdrom_multisession" },
	{ 0x4eab56fe, "mpage_writepages" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf78efdb3, "folio_wait_stable" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x28abd053, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x599b39f2, "__bread_gfp" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x50925279, "folio_end_read" },
	{ 0x1660f441, "block_dirty_folio" },
	{ 0x30335154, "inode_add_bytes" },
	{ 0xf23b93fc, "mpage_read_folio" },
	{ 0x7e8a80be, "from_kuid" },
	{ 0xdcb764ad, "memset" },
	{ 0xf55a067f, "buffer_migrate_folio" },
	{ 0x5d291972, "make_kgid" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbd7cb5dd, "truncate_setsize" },
	{ 0x2acd96c9, "generic_llseek_cookie" },
	{ 0xd022a62c, "unlock_buffer" },
	{ 0x0f068e4f, "generic_read_dir" },
	{ 0xd2ebb663, "d_instantiate_new" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa1b89ff6, "mpage_readahead" },
	{ 0x0fb2f8a4, "mktime64" },
	{ 0x4cbd68a5, "init_user_ns" },
	{ 0xf538ce23, "inode_set_ctime_current" },
	{ 0x92f859fc, "inc_nlink" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0xcad91204, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x899bf604, "get_tree_bdev" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x17759e36, "seq_printf" },
	{ 0x3114e53c, "touch_atime" },
	{ 0xf5756f18, "__percpu_down_read" },
	{ 0xa7cf7834, "__lock_buffer" },
	{ 0x0fff5afc, "time64_to_tm" },
	{ 0x5d2ab922, "generic_file_open" },
	{ 0xe513b8ab, "__folio_lock" },
	{ 0xc133ad6d, "is_bad_inode" },
	{ 0xa351921b, "rcuwait_wake_up" },
	{ 0x17f39f78, "block_write_begin" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x493c383c, "__fs_parse" },
	{ 0x6525c24c, "filemap_splice_read" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xe1f951b3, "d_parent_ino" },
	{ 0x7ac3f882, "__generic_file_write_iter" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x09a34a2b, "crc_itu_t" },
	{ 0xd2ab07a4, "generic_write_checks" },
	{ 0x0ff0b894, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x0be21170, "filemap_fault" },
	{ 0xe03b79bc, "__mark_inode_dirty" },
	{ 0xf22eef7f, "generic_file_llseek" },
	{ 0xf6435231, "make_bad_inode" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0x11d21dc5, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0xb5aa9165, "mark_buffer_dirty_inode" },
	{ 0xb3596ee3, "drop_nlink" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x8b183fcb, "inode_set_ctime_to_ts" },
	{ 0x8ec094c8, "iget_failed" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");


MODULE_INFO(srcversion, "AD26969516D0782C5048E2C");
