#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v9fs_register_trans, "", "");
KSYMTAB_FUNC(v9fs_unregister_trans, "", "");
KSYMTAB_FUNC(v9fs_get_trans_by_name, "", "");
KSYMTAB_FUNC(v9fs_get_default_trans, "", "");
KSYMTAB_FUNC(p9_is_proto_dotl, "", "");
KSYMTAB_FUNC(p9_is_proto_dotu, "", "");
KSYMTAB_FUNC(p9_show_client_options, "", "");
KSYMTAB_FUNC(p9_fcall_fini, "", "");
KSYMTAB_FUNC(p9_tag_lookup, "", "");
KSYMTAB_FUNC(p9_req_put, "", "");
KSYMTAB_FUNC(p9_client_cb, "", "");
KSYMTAB_FUNC(p9_parse_header, "", "");
KSYMTAB_DATA(__tracepoint_9p_fid_ref, "", "");
KSYMTAB_FUNC(__traceiter_9p_fid_ref, "", "");
KSYMTAB_DATA(__SCK__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_get, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_put, "", "");
KSYMTAB_FUNC(p9_client_create, "", "");
KSYMTAB_FUNC(p9_client_destroy, "", "");
KSYMTAB_FUNC(p9_client_disconnect, "", "");
KSYMTAB_FUNC(p9_client_begin_disconnect, "", "");
KSYMTAB_FUNC(p9_client_attach, "", "");
KSYMTAB_FUNC(p9_client_walk, "", "");
KSYMTAB_FUNC(p9_client_open, "", "");
KSYMTAB_FUNC(p9_client_create_dotl, "", "");
KSYMTAB_FUNC(p9_client_fcreate, "", "");
KSYMTAB_FUNC(p9_client_symlink, "", "");
KSYMTAB_FUNC(p9_client_link, "", "");
KSYMTAB_FUNC(p9_client_fsync, "", "");
KSYMTAB_FUNC(p9_client_clunk, "", "");
KSYMTAB_FUNC(p9_client_remove, "", "");
KSYMTAB_FUNC(p9_client_unlinkat, "", "");
KSYMTAB_FUNC(p9_client_read, "", "");
KSYMTAB_FUNC(p9_client_read_once, "", "");
KSYMTAB_FUNC(p9_client_write, "", "");
KSYMTAB_FUNC(p9_client_write_subreq, "", "");
KSYMTAB_FUNC(p9_client_stat, "", "");
KSYMTAB_FUNC(p9_client_getattr_dotl, "", "");
KSYMTAB_FUNC(p9_client_wstat, "", "");
KSYMTAB_FUNC(p9_client_setattr, "", "");
KSYMTAB_FUNC(p9_client_statfs, "", "");
KSYMTAB_FUNC(p9_client_rename, "", "");
KSYMTAB_FUNC(p9_client_renameat, "", "");
KSYMTAB_FUNC(p9_client_xattrwalk, "_gpl", "");
KSYMTAB_FUNC(p9_client_xattrcreate, "_gpl", "");
KSYMTAB_FUNC(p9_client_readdir, "", "");
KSYMTAB_FUNC(p9_client_mknod_dotl, "", "");
KSYMTAB_FUNC(p9_client_mkdir_dotl, "", "");
KSYMTAB_FUNC(p9_client_lock_dotl, "", "");
KSYMTAB_FUNC(p9_client_getlock_dotl, "", "");
KSYMTAB_FUNC(p9_client_readlink, "", "");
KSYMTAB_FUNC(p9_error_init, "", "");
KSYMTAB_FUNC(p9_errstr2errno, "", "");
KSYMTAB_FUNC(p9stat_free, "", "");
KSYMTAB_FUNC(p9stat_read, "", "");
KSYMTAB_FUNC(p9dirent_read, "", "");
KSYMTAB_FUNC(p9_release_pages, "", "");

SYMBOL_CRC(v9fs_register_trans, 0xe41803be, "");
SYMBOL_CRC(v9fs_unregister_trans, 0x767e8e03, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0xde966597, "");
SYMBOL_CRC(v9fs_get_default_trans, 0xceb70a82, "");
SYMBOL_CRC(p9_is_proto_dotl, 0x88474e1c, "");
SYMBOL_CRC(p9_is_proto_dotu, 0xf21567ab, "");
SYMBOL_CRC(p9_show_client_options, 0x61e784fa, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0x538b4b3e, "");
SYMBOL_CRC(p9_req_put, 0x05e9aa15, "");
SYMBOL_CRC(p9_client_cb, 0xfd981656, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0x64852b64, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0x4ac81057, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0xb55ae777, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0x585bebfb, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0x124b7e8c, "");
SYMBOL_CRC(p9_client_create, 0x5fdafb40, "");
SYMBOL_CRC(p9_client_destroy, 0x0655951c, "");
SYMBOL_CRC(p9_client_disconnect, 0xeab367e8, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0xcf221f2c, "");
SYMBOL_CRC(p9_client_attach, 0xc716e104, "");
SYMBOL_CRC(p9_client_walk, 0xa636f88b, "");
SYMBOL_CRC(p9_client_open, 0xd4fec060, "");
SYMBOL_CRC(p9_client_create_dotl, 0xb450bd5f, "");
SYMBOL_CRC(p9_client_fcreate, 0xaf7afdc7, "");
SYMBOL_CRC(p9_client_symlink, 0x254fc737, "");
SYMBOL_CRC(p9_client_link, 0xebcd07fe, "");
SYMBOL_CRC(p9_client_fsync, 0xb4663332, "");
SYMBOL_CRC(p9_client_clunk, 0xe24a3839, "");
SYMBOL_CRC(p9_client_remove, 0x92aaf36d, "");
SYMBOL_CRC(p9_client_unlinkat, 0xd262306c, "");
SYMBOL_CRC(p9_client_read, 0x1f044ae0, "");
SYMBOL_CRC(p9_client_read_once, 0xb0ff9381, "");
SYMBOL_CRC(p9_client_write, 0xa5ee85a7, "");
SYMBOL_CRC(p9_client_write_subreq, 0x1f330fbd, "");
SYMBOL_CRC(p9_client_stat, 0xd4bfa4b0, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0x349abef5, "");
SYMBOL_CRC(p9_client_wstat, 0x37f234d4, "");
SYMBOL_CRC(p9_client_setattr, 0x510fb617, "");
SYMBOL_CRC(p9_client_statfs, 0x4b64a8f6, "");
SYMBOL_CRC(p9_client_rename, 0xdc531af0, "");
SYMBOL_CRC(p9_client_renameat, 0x00c0af5c, "");
SYMBOL_CRC(p9_client_xattrwalk, 0x7b64981a, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0x25ea0050, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0x083dacd0, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0x1a92d4f3, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0x63f9373b, "");
SYMBOL_CRC(p9_client_lock_dotl, 0xb9fcf0f3, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0x59303fe5, "");
SYMBOL_CRC(p9_client_readlink, 0x133bef61, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0x41ce9823, "");
SYMBOL_CRC(p9dirent_read, 0x95bd8f96, "");
SYMBOL_CRC(p9_release_pages, 0x977407e2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42996f74, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xed897728, "_copy_to_iter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xada9cce1, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xfaf0b980, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x44738de8, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x088f3400, "from_kgid" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x982e16bd, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x7e8a80be, "from_kuid" },
	{ 0xdcb764ad, "memset" },
	{ 0x90f5f875, "netfs_write_subrequest_terminated" },
	{ 0xdbe18e1a, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5d291972, "make_kgid" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x4cbd68a5, "init_user_ns" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0xcad91204, "__folio_put" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x17759e36, "seq_printf" },
	{ 0x8c3ab70c, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x98cf60b3, "strlen" },
	{ 0xb95438c3, "iov_iter_revert" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "0307F8A60B5D7F2D1E157F9");
