#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0x7b6124e7, "");
SYMBOL_CRC(deregister_atm_ioctl, 0x02133145, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x44c6e633, "");
SYMBOL_CRC(vcc_insert_socket, 0x6a13bd15, "");
SYMBOL_CRC(vcc_release_async, 0x91b977e7, "");
SYMBOL_CRC(vcc_process_recv_queue, 0x78b6314f, "");
SYMBOL_CRC(atm_dev_signal_change, 0x2cfeb944, "");
SYMBOL_CRC(atm_dev_release_vccs, 0xed04b2ac, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0xe8f09857, "");
SYMBOL_CRC(atm_alloc_charge, 0x873861c3, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0x68720ccc, "");
SYMBOL_CRC(atm_dev_lookup, 0x561809e5, "");
SYMBOL_CRC(atm_dev_register, 0x8f719c41, "");
SYMBOL_CRC(atm_dev_deregister, 0x3139b4a5, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa917facd, "skb_free_datagram" },
	{ 0x42996f74, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x05836f5d, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x368b3d9c, "proc_create_data" },
	{ 0xcb360fc3, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x87680d66, "skb_queue_purge_reason" },
	{ 0x92997ed8, "_printk" },
	{ 0x44ba56bd, "proto_unregister" },
	{ 0x01000e51, "schedule" },
	{ 0x870f5912, "sock_register" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0x63edb0ac, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xaf7adc45, "put_device" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0xda940592, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1f972477, "skb_queue_tail" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x22774dd3, "device_create_file" },
	{ 0x2da8b798, "init_net" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x79344841, "noop_llseek" },
	{ 0x3aa45b95, "sk_free" },
	{ 0xbbc442d2, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x355a7624, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x12d545b4, "sock_no_listen" },
	{ 0x6e50cfbb, "seq_putc" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x58daeb2b, "class_unregister" },
	{ 0xb570fb8f, "lock_sock_nested" },
	{ 0xc0c38c62, "skb_copy_datagram_iter" },
	{ 0x47e04a78, "sk_alloc" },
	{ 0xc6d1920b, "device_register" },
	{ 0xb69b7268, "device_del" },
	{ 0x5cb78603, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x39b5e537, "sock_no_mmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4bd66105, "skb_recv_datagram" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x03043872, "remove_proc_entry" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x17759e36, "seq_printf" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8c3ab70c, "_copy_from_iter" },
	{ 0x482290b1, "sock_gettstamp" },
	{ 0x257d4588, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xabbf2ede, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe9348ca4, "__seq_puts" },
	{ 0x98cf60b3, "strlen" },
	{ 0x25a816a9, "dev_kfree_skb_any_reason" },
	{ 0xb95438c3, "iov_iter_revert" },
	{ 0x821d2866, "proc_create_seq_private" },
	{ 0x43c9bb5c, "class_register" },
	{ 0x77160847, "sock_init_data" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x27a399fb, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa1d20c8a, "release_sock" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B146EF15E7BB381AD1AAC1");
