#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(libceph_compatible, "", "");
KSYMTAB_FUNC(ceph_msg_type_name, "", "");
KSYMTAB_FUNC(ceph_check_fsid, "", "");
KSYMTAB_FUNC(ceph_compare_options, "", "");
KSYMTAB_FUNC(ceph_parse_fsid, "", "");
KSYMTAB_FUNC(ceph_alloc_options, "", "");
KSYMTAB_FUNC(ceph_destroy_options, "", "");
KSYMTAB_FUNC(ceph_parse_mon_ips, "", "");
KSYMTAB_FUNC(ceph_parse_param, "", "");
KSYMTAB_FUNC(ceph_print_client_options, "", "");
KSYMTAB_FUNC(ceph_client_addr, "", "");
KSYMTAB_FUNC(ceph_client_gid, "", "");
KSYMTAB_FUNC(ceph_create_client, "", "");
KSYMTAB_FUNC(ceph_destroy_client, "", "");
KSYMTAB_FUNC(ceph_reset_client_addr, "", "");
KSYMTAB_FUNC(__ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_wait_for_latest_osdmap, "", "");
KSYMTAB_FUNC(ceph_pr_addr, "", "");
KSYMTAB_FUNC(ceph_msgr_flush, "", "");
KSYMTAB_FUNC(ceph_con_close, "", "");
KSYMTAB_FUNC(ceph_con_open, "", "");
KSYMTAB_FUNC(ceph_con_init, "", "");
KSYMTAB_FUNC(ceph_addr_is_blank, "", "");
KSYMTAB_FUNC(ceph_con_send, "", "");
KSYMTAB_FUNC(ceph_con_keepalive, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pages, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pagelist, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bio, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bvecs, "", "");
KSYMTAB_FUNC(ceph_msg_new2, "", "");
KSYMTAB_FUNC(ceph_msg_new, "", "");
KSYMTAB_FUNC(ceph_msg_get, "", "");
KSYMTAB_FUNC(ceph_msg_put, "", "");
KSYMTAB_FUNC(ceph_msg_dump, "", "");
KSYMTAB_FUNC(ceph_buffer_new, "", "");
KSYMTAB_FUNC(ceph_buffer_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_alloc, "", "");
KSYMTAB_FUNC(ceph_pagelist_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_append, "", "");
KSYMTAB_FUNC(ceph_pagelist_reserve, "", "");
KSYMTAB_FUNC(ceph_pagelist_free_reserve, "", "");
KSYMTAB_FUNC(ceph_monc_want_map, "", "");
KSYMTAB_FUNC(ceph_monc_got_map, "", "");
KSYMTAB_FUNC(ceph_monc_renew_subs, "", "");
KSYMTAB_FUNC(ceph_monc_wait_osdmap, "", "");
KSYMTAB_FUNC(ceph_monc_open_session, "", "");
KSYMTAB_FUNC(ceph_monc_do_statfs, "", "");
KSYMTAB_FUNC(ceph_monc_get_version, "", "");
KSYMTAB_FUNC(ceph_monc_get_version_async, "", "");
KSYMTAB_FUNC(ceph_monc_blocklist_add, "", "");
KSYMTAB_FUNC(ceph_monc_init, "", "");
KSYMTAB_FUNC(ceph_monc_stop, "", "");
KSYMTAB_FUNC(ceph_monc_validate_auth, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addr, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addrvec, "", "");
KSYMTAB_FUNC(ceph_cls_lock, "", "");
KSYMTAB_FUNC(ceph_cls_unlock, "", "");
KSYMTAB_FUNC(ceph_cls_break_lock, "", "");
KSYMTAB_FUNC(ceph_cls_set_cookie, "", "");
KSYMTAB_FUNC(ceph_free_lockers, "", "");
KSYMTAB_FUNC(ceph_cls_lock_info, "", "");
KSYMTAB_FUNC(ceph_cls_assert_locked, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data, "", "");
KSYMTAB_FUNC(osd_req_op_raw_data_in_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bio, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvec_pos, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_iter, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_cls_response_data_pages, "", "");
KSYMTAB_FUNC(ceph_osdc_get_request, "", "");
KSYMTAB_FUNC(ceph_osdc_put_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_messages, "", "");
KSYMTAB_FUNC(osd_req_op_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_update, "", "");
KSYMTAB_FUNC(osd_req_op_extent_dup_last, "", "");
KSYMTAB_FUNC(osd_req_op_cls_init, "", "");
KSYMTAB_FUNC(osd_req_op_xattr_init, "", "");
KSYMTAB_FUNC(osd_req_op_alloc_hint_init, "", "");
KSYMTAB_FUNC(ceph_osdc_new_request, "", "");
KSYMTAB_FUNC(__ceph_alloc_sparse_ext_map, "", "");
KSYMTAB_FUNC(ceph_osdc_abort_requests, "", "");
KSYMTAB_FUNC(ceph_osdc_clear_abort_err, "", "");
KSYMTAB_FUNC(ceph_osdc_update_epoch_barrier, "", "");
KSYMTAB_FUNC(ceph_osdc_start_request, "", "");
KSYMTAB_FUNC(ceph_osdc_cancel_request, "", "");
KSYMTAB_FUNC(ceph_osdc_wait_request, "", "");
KSYMTAB_FUNC(ceph_osdc_sync, "", "");
KSYMTAB_FUNC(ceph_osdc_watch, "", "");
KSYMTAB_FUNC(ceph_osdc_unwatch, "", "");
KSYMTAB_FUNC(ceph_osdc_notify_ack, "", "");
KSYMTAB_FUNC(ceph_osdc_notify, "", "");
KSYMTAB_FUNC(ceph_osdc_list_watchers, "", "");
KSYMTAB_FUNC(ceph_osdc_flush_notifies, "", "");
KSYMTAB_FUNC(ceph_osdc_maybe_request_map, "", "");
KSYMTAB_FUNC(ceph_osdc_call, "", "");
KSYMTAB_FUNC(osd_req_op_copy_from_init, "", "");
KSYMTAB_FUNC(ceph_pg_pool_name_by_id, "", "");
KSYMTAB_FUNC(ceph_pg_poolid_by_name, "", "");
KSYMTAB_FUNC(ceph_pg_pool_flags, "", "");
KSYMTAB_FUNC(ceph_oloc_copy, "", "");
KSYMTAB_FUNC(ceph_oloc_destroy, "", "");
KSYMTAB_FUNC(ceph_oid_copy, "", "");
KSYMTAB_FUNC(ceph_oid_printf, "", "");
KSYMTAB_FUNC(ceph_oid_aprintf, "", "");
KSYMTAB_FUNC(ceph_oid_destroy, "", "");
KSYMTAB_FUNC(ceph_object_locator_to_pg, "", "");
KSYMTAB_FUNC(ceph_pg_to_acting_primary, "", "");
KSYMTAB_FUNC(ceph_calc_file_object_mapping, "", "");
KSYMTAB_FUNC(ceph_file_to_extents, "", "");
KSYMTAB_FUNC(ceph_iterate_extents, "", "");
KSYMTAB_FUNC(ceph_extent_to_file, "", "");
KSYMTAB_FUNC(ceph_get_num_objects, "", "");
KSYMTAB_FUNC(ceph_auth_is_authenticated, "", "");
KSYMTAB_FUNC(__ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_destroy_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_add_authorizer_challenge, "", "");
KSYMTAB_FUNC(ceph_auth_verify_authorizer_reply, "", "");
KSYMTAB_FUNC(ceph_auth_invalidate_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_more, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_done, "", "");
KSYMTAB_FUNC(ceph_auth_handle_bad_authorizer, "", "");
KSYMTAB_FUNC(ceph_entity_type_name, "", "");
KSYMTAB_FUNC(ceph_str_hash, "", "");
KSYMTAB_FUNC(ceph_str_hash_name, "", "");
KSYMTAB_FUNC(ceph_put_page_vector, "", "");
KSYMTAB_FUNC(ceph_release_page_vector, "", "");
KSYMTAB_FUNC(ceph_alloc_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_from_page_vector, "", "");
KSYMTAB_FUNC(ceph_zero_page_vector_range, "", "");
KSYMTAB_FUNC(ceph_create_snap_context, "", "");
KSYMTAB_FUNC(ceph_get_snap_context, "", "");
KSYMTAB_FUNC(ceph_put_snap_context, "", "");
KSYMTAB_FUNC(ceph_find_or_create_string, "", "");
KSYMTAB_FUNC(ceph_release_string, "", "");

SYMBOL_CRC(libceph_compatible, 0x466b85b8, "");
SYMBOL_CRC(ceph_msg_type_name, 0xb54676fa, "");
SYMBOL_CRC(ceph_check_fsid, 0xdd22177a, "");
SYMBOL_CRC(ceph_compare_options, 0xfce622ff, "");
SYMBOL_CRC(ceph_parse_fsid, 0x4affd6c2, "");
SYMBOL_CRC(ceph_alloc_options, 0x987d3968, "");
SYMBOL_CRC(ceph_destroy_options, 0xd4d736db, "");
SYMBOL_CRC(ceph_parse_mon_ips, 0x3541a3c6, "");
SYMBOL_CRC(ceph_parse_param, 0xa7a1a693, "");
SYMBOL_CRC(ceph_print_client_options, 0xa811a41c, "");
SYMBOL_CRC(ceph_client_addr, 0x4ba7cef0, "");
SYMBOL_CRC(ceph_client_gid, 0xf47f77a2, "");
SYMBOL_CRC(ceph_create_client, 0xa408576a, "");
SYMBOL_CRC(ceph_destroy_client, 0x3b5e0622, "");
SYMBOL_CRC(ceph_reset_client_addr, 0xa297c7fc, "");
SYMBOL_CRC(__ceph_open_session, 0x94423b78, "");
SYMBOL_CRC(ceph_open_session, 0x9626f268, "");
SYMBOL_CRC(ceph_wait_for_latest_osdmap, 0xe94c5537, "");
SYMBOL_CRC(ceph_pr_addr, 0x6a7a38a0, "");
SYMBOL_CRC(ceph_msgr_flush, 0xafb8a407, "");
SYMBOL_CRC(ceph_con_close, 0xc119d841, "");
SYMBOL_CRC(ceph_con_open, 0x679fa134, "");
SYMBOL_CRC(ceph_con_init, 0xd82c8667, "");
SYMBOL_CRC(ceph_addr_is_blank, 0xf254297e, "");
SYMBOL_CRC(ceph_con_send, 0x2a1facb4, "");
SYMBOL_CRC(ceph_con_keepalive, 0x4bb74b0d, "");
SYMBOL_CRC(ceph_msg_data_add_pages, 0x099dfd55, "");
SYMBOL_CRC(ceph_msg_data_add_pagelist, 0xbd6a5a49, "");
SYMBOL_CRC(ceph_msg_data_add_bio, 0x17c988f0, "");
SYMBOL_CRC(ceph_msg_data_add_bvecs, 0x6f566954, "");
SYMBOL_CRC(ceph_msg_new2, 0xefc7e952, "");
SYMBOL_CRC(ceph_msg_new, 0x7a88716c, "");
SYMBOL_CRC(ceph_msg_get, 0xc190d1e8, "");
SYMBOL_CRC(ceph_msg_put, 0xc9c8300d, "");
SYMBOL_CRC(ceph_msg_dump, 0x928fc49e, "");
SYMBOL_CRC(ceph_buffer_new, 0x9fbba67f, "");
SYMBOL_CRC(ceph_buffer_release, 0xb72c162e, "");
SYMBOL_CRC(ceph_pagelist_alloc, 0xe76e7226, "");
SYMBOL_CRC(ceph_pagelist_release, 0x2a983d26, "");
SYMBOL_CRC(ceph_pagelist_append, 0xefce991c, "");
SYMBOL_CRC(ceph_pagelist_reserve, 0xefce3c3b, "");
SYMBOL_CRC(ceph_pagelist_free_reserve, 0x165b1948, "");
SYMBOL_CRC(ceph_monc_want_map, 0xa6fd95ac, "");
SYMBOL_CRC(ceph_monc_got_map, 0xa972c816, "");
SYMBOL_CRC(ceph_monc_renew_subs, 0x0c9d2410, "");
SYMBOL_CRC(ceph_monc_wait_osdmap, 0xacf2897e, "");
SYMBOL_CRC(ceph_monc_open_session, 0x4cad2f39, "");
SYMBOL_CRC(ceph_monc_do_statfs, 0x121dc2dc, "");
SYMBOL_CRC(ceph_monc_get_version, 0xe8e5c243, "");
SYMBOL_CRC(ceph_monc_get_version_async, 0x07ccd92e, "");
SYMBOL_CRC(ceph_monc_blocklist_add, 0x2fc0df46, "");
SYMBOL_CRC(ceph_monc_init, 0x3e6a5b16, "");
SYMBOL_CRC(ceph_monc_stop, 0xfbc8040a, "");
SYMBOL_CRC(ceph_monc_validate_auth, 0x9bf2f972, "");
SYMBOL_CRC(ceph_decode_entity_addr, 0xd4eb7735, "");
SYMBOL_CRC(ceph_decode_entity_addrvec, 0x50603ce3, "");
SYMBOL_CRC(ceph_cls_lock, 0xb4bfac6b, "");
SYMBOL_CRC(ceph_cls_unlock, 0x9951a1f7, "");
SYMBOL_CRC(ceph_cls_break_lock, 0x843001d8, "");
SYMBOL_CRC(ceph_cls_set_cookie, 0x924a393d, "");
SYMBOL_CRC(ceph_free_lockers, 0xa698f998, "");
SYMBOL_CRC(ceph_cls_lock_info, 0xd1f6e6b0, "");
SYMBOL_CRC(ceph_cls_assert_locked, 0xfa71da84, "");
SYMBOL_CRC(osd_req_op_extent_osd_data, 0x783c2e0b, "");
SYMBOL_CRC(osd_req_op_raw_data_in_pages, 0xe49d2a8d, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pages, 0xe97f0846, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bio, 0xfbde1913, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvecs, 0xb3f4a6ec, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvec_pos, 0x7d22e49a, "");
SYMBOL_CRC(osd_req_op_extent_osd_iter, 0x890010fb, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pages, 0x8a0fab36, "");
SYMBOL_CRC(osd_req_op_cls_request_data_bvecs, 0x919e49a9, "");
SYMBOL_CRC(osd_req_op_cls_response_data_pages, 0xafbe420f, "");
SYMBOL_CRC(ceph_osdc_get_request, 0xbe846c55, "");
SYMBOL_CRC(ceph_osdc_put_request, 0x0c46088b, "");
SYMBOL_CRC(ceph_osdc_alloc_request, 0xe0d9d5aa, "");
SYMBOL_CRC(ceph_osdc_alloc_messages, 0x7573b0cc, "");
SYMBOL_CRC(osd_req_op_init, 0x4a904171, "");
SYMBOL_CRC(osd_req_op_extent_init, 0x6b34f250, "");
SYMBOL_CRC(osd_req_op_extent_update, 0xd09317aa, "");
SYMBOL_CRC(osd_req_op_extent_dup_last, 0x7ed68e8a, "");
SYMBOL_CRC(osd_req_op_cls_init, 0x3efdd73b, "");
SYMBOL_CRC(osd_req_op_xattr_init, 0x428872fa, "");
SYMBOL_CRC(osd_req_op_alloc_hint_init, 0xa675b13c, "");
SYMBOL_CRC(ceph_osdc_new_request, 0xb548888a, "");
SYMBOL_CRC(__ceph_alloc_sparse_ext_map, 0xd66494e7, "");
SYMBOL_CRC(ceph_osdc_abort_requests, 0x4e43f65b, "");
SYMBOL_CRC(ceph_osdc_clear_abort_err, 0x52736919, "");
SYMBOL_CRC(ceph_osdc_update_epoch_barrier, 0xe379de57, "");
SYMBOL_CRC(ceph_osdc_start_request, 0x479953f9, "");
SYMBOL_CRC(ceph_osdc_cancel_request, 0x5a750e9e, "");
SYMBOL_CRC(ceph_osdc_wait_request, 0xefa54b03, "");
SYMBOL_CRC(ceph_osdc_sync, 0x227ffad3, "");
SYMBOL_CRC(ceph_osdc_watch, 0x331d242a, "");
SYMBOL_CRC(ceph_osdc_unwatch, 0x96feb880, "");
SYMBOL_CRC(ceph_osdc_notify_ack, 0x20038c11, "");
SYMBOL_CRC(ceph_osdc_notify, 0xf47c904f, "");
SYMBOL_CRC(ceph_osdc_list_watchers, 0xcff1265d, "");
SYMBOL_CRC(ceph_osdc_flush_notifies, 0xdac8f96d, "");
SYMBOL_CRC(ceph_osdc_maybe_request_map, 0x5fceda1a, "");
SYMBOL_CRC(ceph_osdc_call, 0x6b2fc5df, "");
SYMBOL_CRC(osd_req_op_copy_from_init, 0x828a7d27, "");
SYMBOL_CRC(ceph_pg_pool_name_by_id, 0x1378aba3, "");
SYMBOL_CRC(ceph_pg_poolid_by_name, 0x04cad6f0, "");
SYMBOL_CRC(ceph_pg_pool_flags, 0x92b7b4ce, "");
SYMBOL_CRC(ceph_oloc_copy, 0xbd2f79ae, "");
SYMBOL_CRC(ceph_oloc_destroy, 0x417a9131, "");
SYMBOL_CRC(ceph_oid_copy, 0x2087719e, "");
SYMBOL_CRC(ceph_oid_printf, 0xdf6ef4a1, "");
SYMBOL_CRC(ceph_oid_aprintf, 0x5aeeee62, "");
SYMBOL_CRC(ceph_oid_destroy, 0x2101cbc9, "");
SYMBOL_CRC(ceph_object_locator_to_pg, 0xe34a59f2, "");
SYMBOL_CRC(ceph_pg_to_acting_primary, 0x17c17611, "");
SYMBOL_CRC(ceph_calc_file_object_mapping, 0x9fefa3cb, "");
SYMBOL_CRC(ceph_file_to_extents, 0x38f2d94e, "");
SYMBOL_CRC(ceph_iterate_extents, 0xeef6cfa3, "");
SYMBOL_CRC(ceph_extent_to_file, 0xca80437b, "");
SYMBOL_CRC(ceph_get_num_objects, 0x3c8d7111, "");
SYMBOL_CRC(ceph_auth_is_authenticated, 0x21a9d6b7, "");
SYMBOL_CRC(__ceph_auth_get_authorizer, 0x41be5fdc, "");
SYMBOL_CRC(ceph_auth_destroy_authorizer, 0xad703657, "");
SYMBOL_CRC(ceph_auth_add_authorizer_challenge, 0x61456264, "");
SYMBOL_CRC(ceph_auth_verify_authorizer_reply, 0xe95bb937, "");
SYMBOL_CRC(ceph_auth_invalidate_authorizer, 0xc1820ad4, "");
SYMBOL_CRC(ceph_auth_get_authorizer, 0xf92ab6b4, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_more, 0x0efa058a, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_done, 0x4ba46020, "");
SYMBOL_CRC(ceph_auth_handle_bad_authorizer, 0x3cd56228, "");
SYMBOL_CRC(ceph_entity_type_name, 0xdfc091f9, "");
SYMBOL_CRC(ceph_str_hash, 0x57baf885, "");
SYMBOL_CRC(ceph_str_hash_name, 0x63758856, "");
SYMBOL_CRC(ceph_put_page_vector, 0x595da370, "");
SYMBOL_CRC(ceph_release_page_vector, 0x45a972f4, "");
SYMBOL_CRC(ceph_alloc_page_vector, 0xac68da7d, "");
SYMBOL_CRC(ceph_copy_from_page_vector, 0x2084b982, "");
SYMBOL_CRC(ceph_zero_page_vector_range, 0x4ce0fc00, "");
SYMBOL_CRC(ceph_create_snap_context, 0x9ca95932, "");
SYMBOL_CRC(ceph_get_snap_context, 0xbe3879aa, "");
SYMBOL_CRC(ceph_put_snap_context, 0x86fca7e4, "");
SYMBOL_CRC(ceph_find_or_create_string, 0x9bc6b539, "");
SYMBOL_CRC(ceph_release_string, 0xee120c03, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d8ddca9, "crypto_skcipher_encrypt" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xdf0adf43, "flush_dcache_page" },
	{ 0x092918dc, "tcp_sock_set_cork" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x576dd2c8, "fs_param_is_string" },
	{ 0x4c122b87, "vmalloc_to_page" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x26e0299f, "iov_iter_advance" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x480f2275, "unregister_key_type" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x787a99e0, "iov_iter_get_pages2" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x360694df, "seq_lseek" },
	{ 0x221a4f00, "fs_param_is_enum" },
	{ 0x1a89c5f3, "logfc" },
	{ 0xefd4249e, "crypto_alloc_aead" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe9b9bce6, "crypto_aead_setauthsize" },
	{ 0x99cbc945, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x922bb035, "crypto_skcipher_setkey" },
	{ 0x00148653, "vsnprintf" },
	{ 0x3cc05332, "filemap_alloc_folio_noprof" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xbb81d89c, "register_key_type" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x59ed3006, "crypto_destroy_tfm" },
	{ 0x941bc723, "fs_param_is_u32" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x08300a48, "crypto_skcipher_decrypt" },
	{ 0xf9968f9c, "__free_pages" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x89069627, "dns_query" },
	{ 0xb85cfdb3, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0x4ce0b97c, "key_put" },
	{ 0x0705625c, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa834c4db, "__traceiter_sk_data_ready" },
	{ 0x0a8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x526baa68, "crypto_shash_setkey" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xa07a37f0, "memchr" },
	{ 0x81d9ac75, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x44738de8, "kmem_cache_free" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x6e50cfbb, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x982e16bd, "iov_iter_kvec" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa4503aeb, "sock_sendmsg" },
	{ 0x196cefb2, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x11089ac7, "_ctype" },
	{ 0x705dfc2c, "sg_alloc_table_from_pages_segment" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xa511f1fb, "kernel_connect" },
	{ 0xdcb764ad, "memset" },
	{ 0x80b62d11, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xdbe18e1a, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xea4b1e92, "crypto_alloc_sync_skcipher" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x2cee14ab, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd9b86286, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0x9ba97fc3, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0xc82ca81b, "request_key_tag" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x244435a0, "generic_key_instantiate" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xcad91204, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17759e36, "seq_printf" },
	{ 0x7b6309ac, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x0339e478, "set_page_dirty_lock" },
	{ 0xa8afdd3d, "sock_release" },
	{ 0x9ad42726, "iov_iter_discard" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x6a5de1bb, "alloc_pages_noprof" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x0109b832, "tcp_sock_set_nodelay" },
	{ 0x493c383c, "__fs_parse" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x98cf60b3, "strlen" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0xb95438c3, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x7ab7c6e9, "crypto_alloc_shash" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x9120cc32, "kernel_sendmsg" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "dns_resolver");


MODULE_INFO(srcversion, "1459D529B885089375B4EB2");
