#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fou_encap_hlen, "", "");
KSYMTAB_FUNC(gue_encap_hlen, "", "");
KSYMTAB_FUNC(__fou_build_header, "", "");
KSYMTAB_FUNC(__gue_build_header, "", "");

SYMBOL_CRC(fou_encap_hlen, 0x1757d1a4, "");
SYMBOL_CRC(gue_encap_hlen, 0xf13914b3, "");
SYMBOL_CRC(__fou_build_header, 0x3a3a9d85, "");
SYMBOL_CRC(__gue_build_header, 0x2cb09ec1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc481fe02, "__skb_checksum_complete" },
	{ 0xbcae7655, "ip_tunnel_encap_add_ops" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x32aaf40d, "udp_sock_create4" },
	{ 0xf830df56, "genlmsg_put" },
	{ 0xdf0d4bc7, "udp_set_csum" },
	{ 0x037a0cba, "kfree" },
	{ 0x7e519e8d, "inet_offloads" },
	{ 0xc17ba7f3, "inet_protos" },
	{ 0x35c5eca0, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xee073a96, "pskb_expand_head" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0xc13ad29a, "__skb_get_hash_net" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x733db852, "netlink_unicast" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4f0dfa23, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb5512c3c, "ip_tunnel_encap_del_ops" },
	{ 0xdcb764ad, "memset" },
	{ 0xc0525513, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0x99f2ac58, "register_btf_kfunc_id_set" },
	{ 0x4204a3a7, "setup_udp_tunnel_sock" },
	{ 0x3b4cd66f, "udp_sock_create6" },
	{ 0xd53ba547, "skb_trim" },
	{ 0xeba02a86, "inet6_offloads" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x83697e38, "genl_unregister_family" },
	{ 0xf4a6b261, "genl_register_family" },
	{ 0xd3156947, "register_pernet_device" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "0FFA45A8F8B6865B2824539");
