#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(arpt_alloc_initial_table, "_gpl", "");
KSYMTAB_FUNC(arpt_unregister_table_pre_exit, "", "");
KSYMTAB_FUNC(arpt_register_table, "", "");
KSYMTAB_FUNC(arpt_unregister_table, "", "");
KSYMTAB_FUNC(arpt_do_table, "", "");

SYMBOL_CRC(arpt_alloc_initial_table, 0xa667eea0, "_gpl");
SYMBOL_CRC(arpt_unregister_table_pre_exit, 0x04b26ea2, "");
SYMBOL_CRC(arpt_register_table, 0xf3ed6db4, "");
SYMBOL_CRC(arpt_unregister_table, 0x2f6749bd, "");
SYMBOL_CRC(arpt_do_table, 0x403ceafc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f18cbf4, "module_put" },
	{ 0xbfacb837, "xt_percpu_counter_free" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x70d00017, "xt_unregister_table" },
	{ 0xe204e042, "xt_free_table_info" },
	{ 0x059045ec, "xt_find_table" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd4bc66be, "nf_unregister_net_hooks" },
	{ 0xedfbd895, "register_pernet_subsys" },
	{ 0xe5811aac, "xt_register_targets" },
	{ 0x589a1a4f, "nf_register_sockopt" },
	{ 0xde4d3163, "xt_unregister_targets" },
	{ 0x71e34bf1, "unregister_pernet_subsys" },
	{ 0x50873741, "xt_compat_init_offsets" },
	{ 0x94d69006, "xt_compat_target_offset" },
	{ 0x823edea5, "xt_compat_add_offset" },
	{ 0x4829a47e, "memcpy" },
	{ 0x81b039b0, "xt_compat_target_from_user" },
	{ 0xc7fae024, "xt_compat_calc_jump" },
	{ 0xbe3ec238, "xt_proto_fini" },
	{ 0x49b44478, "xt_proto_init" },
	{ 0x348f4f5e, "nf_unregister_sockopt" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdcb764ad, "memset" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x807d2b2c, "xt_recseq" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x0800473f, "__cond_resched" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfef779fa, "xt_find_jump_offset" },
	{ 0x0d7f5fcd, "xt_alloc_entry_offsets" },
	{ 0xd87ae60d, "xt_check_entry_offsets" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3bf9d084, "xt_check_table_hooks" },
	{ 0x9c995c69, "xt_percpu_counter_alloc" },
	{ 0x6c52aa98, "xt_request_find_target" },
	{ 0x21e8bb1d, "xt_check_target" },
	{ 0x977fd4bf, "xt_alloc_table_info" },
	{ 0xc9821861, "xt_register_table" },
	{ 0x1ddb50a8, "kmemdup_array" },
	{ 0x0d0f4aa2, "nf_register_net_hooks" },
	{ 0xa7c94f1d, "xt_compat_lock" },
	{ 0xa25fc115, "xt_compat_check_entry_offsets" },
	{ 0x04e27719, "xt_compat_flush_offsets" },
	{ 0xd1e246a2, "xt_compat_unlock" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xcb3e91cc, "xt_counters_alloc" },
	{ 0xe070445f, "xt_request_find_table_lock" },
	{ 0xfe05369f, "xt_table_unlock" },
	{ 0x999e8297, "vfree" },
	{ 0x8fa66c30, "xt_replace_table" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb6f2ec03, "xt_find_table_lock" },
	{ 0xbd99399d, "xt_target_to_user" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0xa0632f19, "ns_capable" },
	{ 0xf6abeb06, "xt_copy_counters" },
	{ 0x5aecdd78, "xt_compat_target_to_user" },
	{ 0xddf68fc6, "xt_find_revision" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C6CDB2217EE96CD73948C63");
