#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x32aaf40d, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x4204a3a7, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x1c5d3865, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x87a6ef71, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x1fab9e4d, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x782c3430, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x3cc256df, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xc0525513, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0xdb0418b0, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x8678b804, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc7a41b93, "dst_cache_set_ip4" },
	{ 0xa71a7924, "kernel_bind" },
	{ 0xdf0d4bc7, "udp_set_csum" },
	{ 0x037a0cba, "kfree" },
	{ 0xf8b931f7, "netdev_warn" },
	{ 0x997b70c8, "udp_tunnel_nic_ops" },
	{ 0xa18cbcc3, "ip_route_output_flow" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x34e90890, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3fb90e92, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc1054528, "iptunnel_xmit" },
	{ 0x8d304f20, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa511f1fb, "kernel_connect" },
	{ 0xdcb764ad, "memset" },
	{ 0xd53ba547, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8d589ede, "__dynamic_netdev_dbg" },
	{ 0x6536a311, "dst_cache_get_ip4" },
	{ 0x9ba97fc3, "sock_create_kern" },
	{ 0x1407ac5f, "call_netdevice_notifiers" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7ea5fb52, "metadata_dst_alloc" },
	{ 0xc1c14fc0, "dst_release" },
	{ 0xa8afdd3d, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x87a83a93, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5058CADAAA947D3980ECE6F");
