#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x8203b728, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xf8d68bb8, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x69ace5b4, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x2d104a91, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xcb8dcd15, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xa3210d16, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xaba02429, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x5b77d871, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x37351e5d, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x36d68cab, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xf71cd2a5, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xbda5eea7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x7cda4eb5, "ipv6_chk_addr_and_flags" },
	{ 0x9ae4c5f3, "dev_get_by_index_rcu" },
	{ 0x39068f36, "ip6tun_encaps" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xd3156947, "register_pernet_device" },
	{ 0xc7ea677e, "xfrm6_tunnel_register" },
	{ 0xb15d8b3a, "rtnl_link_register" },
	{ 0x86b8ffd2, "xfrm6_tunnel_deregister" },
	{ 0x4f0dfa23, "unregister_pernet_device" },
	{ 0x8d304f20, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2c0c115d, "unregister_netdevice_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb9f54749, "dev_addr_mod" },
	{ 0x75325911, "rt6_lookup" },
	{ 0xc1c14fc0, "dst_release" },
	{ 0x69c6b596, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x56b01769, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x2da8b798, "init_net" },
	{ 0x90c506c7, "alloc_netdev_mqs" },
	{ 0x35bb3855, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0x94a73ccb, "free_netdev" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xc32fc9e8, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xed608fcd, "__xfrm_policy_check" },
	{ 0xc1ccc56a, "__skb_ext_del" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0x82f143f0, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x0e8bacae, "netdev_state_change" },
	{ 0xfaf0b980, "make_kuid" },
	{ 0x778bdbab, "ip6_redirect" },
	{ 0xba85f5dc, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9f39ff76, "skb_copy_bits" },
	{ 0xd7ec32fc, "skb_clone" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0xd960bff4, "icmp6_send" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0xa0632f19, "ns_capable" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa18cbcc3, "ip_route_output_flow" },
	{ 0xdddf06fe, "ip_route_input_noref" },
	{ 0x16108a48, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xcd17a527, "skb_scrub_packet" },
	{ 0xbc2a53d2, "gro_cells_receive" },
	{ 0x0b199c76, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7ec70eb6, "__iptunnel_pull_header" },
	{ 0x7ea5fb52, "metadata_dst_alloc" },
	{ 0xf6e79187, "ip6_route_output_flags" },
	{ 0xc2f6ec57, "xfrm_lookup" },
	{ 0x31a1d229, "skb_realloc_headroom" },
	{ 0xecdc5c4e, "skb_set_owner_w" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x9586cf57, "ipv6_push_frag_opts" },
	{ 0x7a94353a, "skb_push" },
	{ 0xdcfa9f3d, "ip6_local_out" },
	{ 0x2b109dea, "dst_cache_get" },
	{ 0xef31e1ec, "ipv6_dev_get_saddr" },
	{ 0xd9ff0c99, "dst_cache_set_ip6" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x7416b139, "ip6_dst_hoplimit" },
	{ 0x807d4b2f, "neigh_destroy" },
	{ 0x35c5eca0, "iptunnel_handle_offloads" },
	{ 0xfe8767e1, "icmpv6_ndo_send" },
	{ 0x1d87faf2, "icmp_ndo_send" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x087979c8, "gro_cells_init" },
	{ 0xe14c33f8, "dev_get_tstats64" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "4FB717F7F122240BA338BBA");
