#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mpls_output_possible, "_gpl", "");
KSYMTAB_FUNC(mpls_dev_mtu, "_gpl", "");
KSYMTAB_FUNC(mpls_pkt_too_big, "_gpl", "");
KSYMTAB_FUNC(mpls_stats_inc_outucastpkts, "_gpl", "");
KSYMTAB_FUNC(nla_put_labels, "_gpl", "");
KSYMTAB_FUNC(nla_get_labels, "_gpl", "");

SYMBOL_CRC(mpls_output_possible, 0xdf15672a, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0x3bd6ce11, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0x17c932b1, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0xcfaca1cd, "_gpl");
SYMBOL_CRC(nla_put_labels, 0x5e831757, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xde3cca7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad14a1b3, "netlink_strict_get_check" },
	{ 0xbcae7655, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb5abc39c, "__nlmsg_put" },
	{ 0x635f4f0d, "skb_gso_validate_network_len" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x05836f5d, "consume_skb" },
	{ 0x0ad94d89, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x267664eb, "neigh_xmit" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa18cbcc3, "ip_route_output_flow" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xee073a96, "pskb_expand_head" },
	{ 0xedfbd895, "register_pernet_subsys" },
	{ 0x97c171d2, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9a070a3e, "rtnl_af_register" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0x712ca513, "rtnl_set_sk_err" },
	{ 0xded48a5b, "rtnl_unicast" },
	{ 0x639cb360, "nla_reserve_64bit" },
	{ 0x3260c337, "ip_valid_fib_dump_req" },
	{ 0x69c6b596, "__dev_get_by_index" },
	{ 0x34e90890, "ipv6_stub" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xffec088c, "nla_reserve_nohdr" },
	{ 0xe8c38808, "rtnl_af_unregister" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x7d2c42a1, "dev_remove_pack" },
	{ 0x81cb668b, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7a94353a, "skb_push" },
	{ 0x8d304f20, "nla_put" },
	{ 0xcd701b40, "__rtnl_register_many" },
	{ 0xcd279169, "nla_find" },
	{ 0xf89131fc, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb5512c3c, "ip_tunnel_encap_del_ops" },
	{ 0x71e34bf1, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0xd53ba547, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x00aa1603, "xa_find" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x2a3e441f, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd7ec32fc, "skb_clone" },
	{ 0xc1c14fc0, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0x7eaadf59, "dev_get_flags" },
	{ 0x27d5d052, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "8DBF9DCEB59700C37F54646");
