#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xb752252c, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xf8fb391a, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xc766f68c, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xdec825c3, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xe82787b5, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xc1c75acd, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xc5b2b59d, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x02ddff6a, "");
SYMBOL_CRC(ip_vs_conn_put, 0x8a251355, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xdcd392a9, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x78103c17, "");
SYMBOL_CRC(register_ip_vs_app, 0xe6cc496e, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xd03f73ba, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x2438a59d, "");
SYMBOL_CRC(ip_vs_proto_get, 0xe0df453c, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x58ff2ba4, "");
SYMBOL_CRC(register_ip_vs_pe, 0x82b03808, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xb4e9765f, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x133a40c3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xebb80f98, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x06c82c51, "nf_conntrack_find_get" },
	{ 0x42996f74, "try_module_get" },
	{ 0x9ba94278, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xd960bff4, "icmp6_send" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x9f39ff76, "skb_copy_bits" },
	{ 0xc2f6ec57, "xfrm_lookup" },
	{ 0xac4038d6, "proc_dointvec_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x56c70ad7, "housekeeping_cpumask" },
	{ 0x05836f5d, "consume_skb" },
	{ 0xdcfa9f3d, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x589a1a4f, "nf_register_sockopt" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xde6ee4f6, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0xa71a7924, "kernel_bind" },
	{ 0xce4fbd93, "set_user_nice" },
	{ 0xf830df56, "genlmsg_put" },
	{ 0xdf0d4bc7, "udp_set_csum" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x515824d8, "alloc_cpumask_var_node" },
	{ 0x6cfaf10e, "ip6_route_me_harder" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x77f0fb5f, "__module_get" },
	{ 0xa18cbcc3, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x35c5eca0, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xa5a2ca16, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x23f50ab4, "proc_create_net_data" },
	{ 0xee073a96, "pskb_expand_head" },
	{ 0xedfbd895, "register_pernet_subsys" },
	{ 0xee213135, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x97c171d2, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0x348f4f5e, "nf_unregister_sockopt" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x0d0f4aa2, "nf_register_net_hooks" },
	{ 0xf6e79187, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0xb37103ae, "ipv6_sock_mc_join" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xef31e1ec, "ipv6_dev_get_saddr" },
	{ 0xc13ad29a, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2da8b798, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x733db852, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6994e69a, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x572718e1, "ip_route_me_harder" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0x44738de8, "kmem_cache_free" },
	{ 0x940a34de, "set_cpus_allowed_ptr" },
	{ 0x6e50cfbb, "seq_putc" },
	{ 0x8d304f20, "nla_put" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0x4ae1c2c2, "nf_ct_expect_alloc" },
	{ 0xdd308376, "skb_ensure_writable" },
	{ 0x982e16bd, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc83f1bb3, "ip_mc_join_group" },
	{ 0xcd934113, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa0632f19, "ns_capable" },
	{ 0xd4bc66be, "nf_unregister_net_hooks" },
	{ 0xea047cc5, "inet_select_addr" },
	{ 0x4f0dfa23, "unregister_pernet_device" },
	{ 0xb570fb8f, "lock_sock_nested" },
	{ 0x6a9163e6, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xd735355a, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x46edfa96, "__nf_conntrack_confirm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x71e34bf1, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xa511f1fb, "kernel_connect" },
	{ 0xf50e1e05, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0xd6f2af8e, "ip_defrag" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xdbe18e1a, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0xc14be0ad, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd53ba547, "skb_trim" },
	{ 0x87d0114e, "nf_hook_slow" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbdc8c686, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f3537bf, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x41b13beb, "nf_ct_deliver_cached_events" },
	{ 0x31a1d229, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbbe5036b, "ipv6_find_hdr" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x16108a48, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0xecdc5c4e, "skb_set_owner_w" },
	{ 0xe5edb0d9, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x9ba97fc3, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x311fb02e, "crc32c_shift" },
	{ 0x4cbd68a5, "init_user_ns" },
	{ 0xbb32161e, "nf_ct_expect_init" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x03043872, "remove_proc_entry" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x17759e36, "seq_printf" },
	{ 0x7b6309ac, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x645925b3, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x886245a2, "ipv4_update_pmtu" },
	{ 0xa81aaeda, "nf_defrag_ipv6_enable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc1c14fc0, "dst_release" },
	{ 0xa8afdd3d, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0x054bcbb4, "ip_local_out" },
	{ 0x83697e38, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xb1e6c617, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf4a6b261, "genl_register_family" },
	{ 0x9120cc32, "kernel_sendmsg" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0x5cbd8012, "nf_ct_netns_put" },
	{ 0xd3156947, "register_pernet_device" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0xa1d20c8a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_defrag_ipv6");


MODULE_INFO(srcversion, "85123F44B76425897DEA7DF");
