#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(kernel_rds_rt_debug_bitmap, "", "");
KSYMTAB_FUNC(rds_rt_debug_tp_enable, "_gpl", "");
KSYMTAB_FUNC(rds_str_array, "", "");
KSYMTAB_FUNC(rds_sock_addref, "_gpl", "");
KSYMTAB_FUNC(rds_sock_put, "_gpl", "");
KSYMTAB_FUNC(rds_cong_map_updated, "_gpl", "");
KSYMTAB_FUNC(rds_conn_create, "_gpl", "");
KSYMTAB_FUNC(rds_conn_create_outgoing, "_gpl", "");
KSYMTAB_FUNC(rds_conn_find, "_gpl", "");
KSYMTAB_FUNC(rds_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(rds_for_each_conn_info, "_gpl", "");
KSYMTAB_FUNC(rds_conn_path_trace_state_change, "_gpl", "");
KSYMTAB_FUNC(rds_conn_path_drop, "_gpl", "");
KSYMTAB_FUNC(rds_conn_drop, "_gpl", "");
KSYMTAB_FUNC(rds_conn_faddr_ha_changed, "_gpl", "");
KSYMTAB_FUNC(rds_conn_path_connect_if_down, "_gpl", "");
KSYMTAB_FUNC(rds_conn_connect_if_down, "_gpl", "");
KSYMTAB_FUNC(rds_info_register_func, "_gpl", "");
KSYMTAB_FUNC(rds_info_deregister_func, "_gpl", "");
KSYMTAB_FUNC(rds_info_copy, "_gpl", "");
KSYMTAB_FUNC(rds_message_addref, "_gpl", "");
KSYMTAB_FUNC(rds_message_put, "_gpl", "");
KSYMTAB_FUNC(rds_message_populate_header, "_gpl", "");
KSYMTAB_FUNC(rds_message_add_extension, "_gpl", "");
KSYMTAB_FUNC(rds_message_add_rdma_dest_extension, "_gpl", "");
KSYMTAB_FUNC(rds_message_unmapped, "_gpl", "");
KSYMTAB_FUNC(rds_inc_init, "_gpl", "");
KSYMTAB_FUNC(rds_inc_path_init, "_gpl", "");
KSYMTAB_FUNC(rds_inc_addref, "_gpl", "");
KSYMTAB_FUNC(rds_inc_put, "_gpl", "");
KSYMTAB_FUNC(rds_recv_incoming, "_gpl", "");
KSYMTAB_FUNC(rds_send_path_reset, "_gpl", "");
KSYMTAB_FUNC(rds_send_xmit, "_gpl", "");
KSYMTAB_FUNC(rds_asend_complete, "_gpl", "");
KSYMTAB_FUNC(rds_rdma_send_complete, "_gpl", "");
KSYMTAB_FUNC(rds_atomic_send_complete, "_gpl", "");
KSYMTAB_FUNC(rds_send_path_drop_acked, "_gpl", "");
KSYMTAB_FUNC(rds_send_drop_acked, "_gpl", "");
KSYMTAB_FUNC(rds_send_hs_ping, "_gpl", "");
KSYMTAB_DATA(rds_stats, "_gpl", "");
KSYMTAB_FUNC(rds_stats_info_copy, "_gpl", "");
KSYMTAB_FUNC(rds_mod_stats_unregister, "_gpl", "");
KSYMTAB_FUNC(rds_mod_stats_register, "_gpl", "");
KSYMTAB_FUNC(rds_stats_print, "_gpl", "");
KSYMTAB_DATA(rds_wq, "_gpl", "");
KSYMTAB_FUNC(rds_queue_work, "_gpl", "");
KSYMTAB_FUNC(rds_queue_work_offline_safe, "_gpl", "");
KSYMTAB_FUNC(rds_queue_delayed_work, "_gpl", "");
KSYMTAB_FUNC(rds_queue_delayed_work_on, "_gpl", "");
KSYMTAB_FUNC(rds_mod_delayed_work, "_gpl", "");
KSYMTAB_FUNC(rds_queue_cancel_work, "_gpl", "");
KSYMTAB_FUNC(rds_queue_flush_work, "_gpl", "");
KSYMTAB_FUNC(rds_connect_path_complete, "_gpl", "");
KSYMTAB_FUNC(rds_connect_complete, "_gpl", "");
KSYMTAB_FUNC(rds_addr_cmp, "_gpl", "");
KSYMTAB_FUNC(rds_trans_register, "_gpl", "");
KSYMTAB_FUNC(rds_trans_unregister, "_gpl", "");
KSYMTAB_FUNC(rds_page_remainder_alloc, "_gpl", "");
KSYMTAB_FUNC(rds_csum_and_copy_page_from_iter, "_gpl", "");
KSYMTAB_FUNC(rds_csum_and_copy_to_iter, "_gpl", "");
KSYMTAB_FUNC(rds_csum_and_copy_page_to_iter, "_gpl", "");
KSYMTAB_FUNC(rds_check_csum, "_gpl", "");
KSYMTAB_FUNC(rds_rdma_drop_keys, "_gpl", "");
KSYMTAB_FUNC(rds_rdma_process_send_cmsg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_state_change, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_state_change, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_state_change, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_state_change_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_state_change_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_state_change_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_receive, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_receive, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_receive, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_receive_csum_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_receive_csum_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_receive_csum_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_drop_ingress, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_drop_ingress, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_drop_ingress, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_drop_egress, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_drop_egress, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_drop_egress, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_send_ping, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_send_ping, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_send_ping, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_send_pong, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_send_pong, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_send_pong, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_receive_ping, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_receive_ping, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_receive_ping, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_receive_pong, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_receive_pong, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_receive_pong, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_disable, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_disable, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_disable, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_add_device, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_add_device, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_add_device, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_add_device_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_add_device_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_add_device_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_remove_device, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_remove_device, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_remove_device, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_remove_device_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_remove_device_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_remove_device_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_shutdown_device, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_shutdown_device, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_shutdown_device, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_accept_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_accept_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_accept_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_handle_connect, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_handle_connect, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_handle_connect, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_handle_connect_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_handle_connect_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_handle_connect_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_initiate_connect, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_initiate_connect, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_initiate_connect, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_initiate_connect_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_initiate_connect_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_initiate_connect_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_path_connect, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_path_connect, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_path_connect, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_path_connect_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_path_connect_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_path_connect_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_path_shutdown_prepare, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_path_shutdown_prepare, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_path_shutdown_prepare, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_path_shutdown_prepare_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_path_shutdown_prepare_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_path_shutdown_prepare_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_yielding, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_yielding, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_yielding, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_right_of_way, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_right_of_way, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_right_of_way, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_stale, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_stale, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_stale, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_expired, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_expired, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_expired, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_accepting, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_accepting, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_accepting, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_success, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_success, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_success, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_accept_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_accept_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_accept_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_setup_fastreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_setup_fastreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_setup_fastreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_setup_fastreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_setup_fastreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_setup_fastreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_setup_qp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_setup_qp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_setup_qp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_setup_qp_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_setup_qp_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_setup_qp_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_send_cqe_handler, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_send_cqe_handler, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_send_cqe_handler, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_send_cqe_handler_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_send_cqe_handler_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_send_cqe_handler_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_rdma_cm_event_handler, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_rdma_cm_event_handler, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_rdma_cm_event_handler, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_rdma_cm_event_handler_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_rdma_cm_event_handler_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_rdma_cm_event_handler_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_flow_cntrl_add_credits, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_flow_cntrl_add_credits, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_flow_cntrl_add_credits, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_flow_cntrl_advertise_credits, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_flow_cntrl_advertise_credits, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_flow_cntrl_advertise_credits, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_flow_cntrl_grab_credits, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_flow_cntrl_grab_credits, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_flow_cntrl_grab_credits, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_queue_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_queue_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_queue_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_queue_worker, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_queue_worker, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_queue_worker, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_queue_cancel_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_queue_cancel_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_queue_cancel_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_queue_flush_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_queue_flush_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_queue_flush_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_queue_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_queue_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_queue_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_queue_worker, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_queue_worker, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_queue_worker, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_queue_cancel_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_queue_cancel_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_queue_cancel_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_mr_destroy, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_mr_destroy, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_mr_destroy, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_mr_get, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_mr_get, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_mr_get, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_mr_get_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_mr_get_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_mr_get_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_state_change, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_state_change, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_state_change, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_connect, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_connect, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_connect, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_connect_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_connect_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_connect_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_accept, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_accept, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_accept, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_accept_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_accept_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_accept_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_listen, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_listen, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_listen, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_listen_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_listen_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_listen_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_shutdown, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_shutdown, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_shutdown, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_free_cache_one, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_free_cache_one, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_free_cache_one, "_gpl", "");
KSYMTAB_FUNC(rds_ns, "", "");

SYMBOL_CRC(kernel_rds_rt_debug_bitmap, 0x86d9b622, "");
SYMBOL_CRC(rds_rt_debug_tp_enable, 0x7f5dc4b0, "_gpl");
SYMBOL_CRC(rds_str_array, 0x7505d413, "");
SYMBOL_CRC(rds_sock_addref, 0x88e148ab, "_gpl");
SYMBOL_CRC(rds_sock_put, 0x14ea12ea, "_gpl");
SYMBOL_CRC(rds_cong_map_updated, 0x46dacf88, "_gpl");
SYMBOL_CRC(rds_conn_create, 0x9c114054, "_gpl");
SYMBOL_CRC(rds_conn_create_outgoing, 0x5ea3bc3c, "_gpl");
SYMBOL_CRC(rds_conn_find, 0x487a071e, "_gpl");
SYMBOL_CRC(rds_conn_destroy, 0x25d4d714, "_gpl");
SYMBOL_CRC(rds_for_each_conn_info, 0x8e4dfa1f, "_gpl");
SYMBOL_CRC(rds_conn_path_trace_state_change, 0x26d17476, "_gpl");
SYMBOL_CRC(rds_conn_path_drop, 0x0bbd0a3a, "_gpl");
SYMBOL_CRC(rds_conn_drop, 0xae1514f8, "_gpl");
SYMBOL_CRC(rds_conn_faddr_ha_changed, 0xb022c9a3, "_gpl");
SYMBOL_CRC(rds_conn_path_connect_if_down, 0x6b5242e7, "_gpl");
SYMBOL_CRC(rds_conn_connect_if_down, 0x6043fe8f, "_gpl");
SYMBOL_CRC(rds_info_register_func, 0xca14a586, "_gpl");
SYMBOL_CRC(rds_info_deregister_func, 0x6a24d551, "_gpl");
SYMBOL_CRC(rds_info_copy, 0xdff7b287, "_gpl");
SYMBOL_CRC(rds_message_addref, 0xd2b23e44, "_gpl");
SYMBOL_CRC(rds_message_put, 0x180ca313, "_gpl");
SYMBOL_CRC(rds_message_populate_header, 0x585f567b, "_gpl");
SYMBOL_CRC(rds_message_add_extension, 0xec2e7c77, "_gpl");
SYMBOL_CRC(rds_message_add_rdma_dest_extension, 0x582fe5cf, "_gpl");
SYMBOL_CRC(rds_message_unmapped, 0x57935367, "_gpl");
SYMBOL_CRC(rds_inc_init, 0x2808c691, "_gpl");
SYMBOL_CRC(rds_inc_path_init, 0xe9b33b39, "_gpl");
SYMBOL_CRC(rds_inc_addref, 0x9e16d68b, "_gpl");
SYMBOL_CRC(rds_inc_put, 0xac649607, "_gpl");
SYMBOL_CRC(rds_recv_incoming, 0x995965ab, "_gpl");
SYMBOL_CRC(rds_send_path_reset, 0x36f54c2b, "_gpl");
SYMBOL_CRC(rds_send_xmit, 0xde2b62af, "_gpl");
SYMBOL_CRC(rds_asend_complete, 0x2a7143ca, "_gpl");
SYMBOL_CRC(rds_rdma_send_complete, 0x569d94a4, "_gpl");
SYMBOL_CRC(rds_atomic_send_complete, 0x375fcda6, "_gpl");
SYMBOL_CRC(rds_send_path_drop_acked, 0xd1e253f0, "_gpl");
SYMBOL_CRC(rds_send_drop_acked, 0x6d182755, "_gpl");
SYMBOL_CRC(rds_send_hs_ping, 0xaa1fd003, "_gpl");
SYMBOL_CRC(rds_stats, 0x8704a163, "_gpl");
SYMBOL_CRC(rds_stats_info_copy, 0x208f3ae1, "_gpl");
SYMBOL_CRC(rds_mod_stats_unregister, 0xcc13eb30, "_gpl");
SYMBOL_CRC(rds_mod_stats_register, 0x3cd29f6f, "_gpl");
SYMBOL_CRC(rds_stats_print, 0x60be35ca, "_gpl");
SYMBOL_CRC(rds_wq, 0x00a467af, "_gpl");
SYMBOL_CRC(rds_queue_work, 0x504931c3, "_gpl");
SYMBOL_CRC(rds_queue_work_offline_safe, 0xa136c4a8, "_gpl");
SYMBOL_CRC(rds_queue_delayed_work, 0x380ea18a, "_gpl");
SYMBOL_CRC(rds_queue_delayed_work_on, 0xc46f732d, "_gpl");
SYMBOL_CRC(rds_mod_delayed_work, 0xc00c7eb1, "_gpl");
SYMBOL_CRC(rds_queue_cancel_work, 0x0d7b4458, "_gpl");
SYMBOL_CRC(rds_queue_flush_work, 0xa4eef602, "_gpl");
SYMBOL_CRC(rds_connect_path_complete, 0xcd818ce8, "_gpl");
SYMBOL_CRC(rds_connect_complete, 0x92c17749, "_gpl");
SYMBOL_CRC(rds_addr_cmp, 0x45a4781e, "_gpl");
SYMBOL_CRC(rds_trans_register, 0x28340e30, "_gpl");
SYMBOL_CRC(rds_trans_unregister, 0xb46d9278, "_gpl");
SYMBOL_CRC(rds_page_remainder_alloc, 0x75e194c9, "_gpl");
SYMBOL_CRC(rds_csum_and_copy_page_from_iter, 0xd2100c3f, "_gpl");
SYMBOL_CRC(rds_csum_and_copy_to_iter, 0xdae74eff, "_gpl");
SYMBOL_CRC(rds_csum_and_copy_page_to_iter, 0x1fbcee6b, "_gpl");
SYMBOL_CRC(rds_check_csum, 0x93d8ce08, "_gpl");
SYMBOL_CRC(rds_rdma_drop_keys, 0xff1974dd, "_gpl");
SYMBOL_CRC(rds_rdma_process_send_cmsg, 0x71d70e49, "_gpl");
SYMBOL_CRC(__tracepoint_rds_state_change, 0xfcd6d3ec, "_gpl");
SYMBOL_CRC(__traceiter_rds_state_change, 0xabaf920b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_state_change, 0xa70d50cb, "_gpl");
SYMBOL_CRC(__tracepoint_rds_state_change_err, 0x572381f6, "_gpl");
SYMBOL_CRC(__traceiter_rds_state_change_err, 0x8d0d1a9f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_state_change_err, 0x17c02700, "_gpl");
SYMBOL_CRC(__tracepoint_rds_receive, 0xd6dad34a, "_gpl");
SYMBOL_CRC(__traceiter_rds_receive, 0x370673c0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_receive, 0x52b54d58, "_gpl");
SYMBOL_CRC(__tracepoint_rds_receive_csum_err, 0x63138157, "_gpl");
SYMBOL_CRC(__traceiter_rds_receive_csum_err, 0x5fb24699, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_receive_csum_err, 0x23f027a1, "_gpl");
SYMBOL_CRC(__tracepoint_rds_drop_ingress, 0x1ec84a79, "_gpl");
SYMBOL_CRC(__traceiter_rds_drop_ingress, 0x68cba483, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_drop_ingress, 0x4513c95e, "_gpl");
SYMBOL_CRC(__tracepoint_rds_drop_egress, 0xa97af270, "_gpl");
SYMBOL_CRC(__traceiter_rds_drop_egress, 0x3df72c5d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_drop_egress, 0xac57c8cf, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_send_ping, 0xb019119c, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_send_ping, 0xb73f6bc9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_send_ping, 0xc00eb613, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_send_pong, 0x95724e40, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_send_pong, 0x7bd05245, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_send_pong, 0xe565e9cf, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_receive_ping, 0x31bf855e, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_receive_ping, 0x55618422, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_receive_ping, 0xb943767a, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_receive_pong, 0x14d4da82, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_receive_pong, 0x998ebdae, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_receive_pong, 0x9c2829a6, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_disable, 0x0ca72bfb, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_disable, 0x1bdc70fa, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_disable, 0x58399f74, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_add_device, 0x36cb9245, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_add_device, 0xa2333ca1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_add_device, 0x939afcad, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_add_device_err, 0x92c5773c, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_add_device_err, 0xdcf8fe09, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_add_device_err, 0xc65bc3b3, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_remove_device, 0x6e924ed3, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_remove_device, 0x02a7edef, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_remove_device, 0x2e71e825, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_remove_device_err, 0x80b43acb, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_remove_device_err, 0xe88362f6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_remove_device_err, 0xfdc3b3dd, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_shutdown_device, 0xc5a39515, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_shutdown_device, 0xb48d152e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_shutdown_device, 0xb8f09510, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_accept_err, 0x06a36955, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_accept_err, 0x9e44df86, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_accept_err, 0x4640cfa3, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_handle_connect, 0xb428e706, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_handle_connect, 0x73dff908, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_handle_connect, 0xc95f6e10, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_handle_connect_err, 0x3fbb6877, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_handle_connect_err, 0x78e0a28f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_handle_connect_err, 0xeae7a28b, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_initiate_connect, 0x00c86ca1, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_initiate_connect, 0x00a8ab0c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_initiate_connect, 0x88349f85, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_initiate_connect_err, 0x901539d3, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_initiate_connect_err, 0x31c800b1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_initiate_connect_err, 0x53ad6990, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_path_connect, 0x4a5a1531, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_path_connect, 0x599f4883, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_path_connect, 0x372d9c27, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_path_connect_err, 0xa30bcbbe, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_path_connect_err, 0xade68141, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_path_connect_err, 0x76570142, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_path_shutdown_prepare, 0xeb6428ba, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_path_shutdown_prepare, 0x313c0f3b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_path_shutdown_prepare, 0xe6b97d0a, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_path_shutdown_prepare_err, 0x55f40444, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_path_shutdown_prepare_err, 0xc6b67a31, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_path_shutdown_prepare_err, 0x68d6616a, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_yielding, 0x37f3418b, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_yielding, 0xf7051b9b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_yielding, 0xbf0fb2af, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_right_of_way, 0xd883d479, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_right_of_way, 0x039a7887, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_right_of_way, 0x1b3b843a, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_stale, 0xbcfeb410, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_stale, 0x366b7479, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_stale, 0xcce9139f, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_expired, 0x3b696935, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_expired, 0xaf4edaf2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_expired, 0xcfc0abed, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_accepting, 0x4c98a830, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_accepting, 0xe8f78042, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_accepting, 0x7013b012, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_success, 0xff7e6cbf, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_success, 0x0883453f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_success, 0x0bd7ae67, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_accept_err, 0xa4f9f32b, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_accept_err, 0x4ec21381, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_accept_err, 0x71a539d7, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_setup_fastreg, 0x4e22c535, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_setup_fastreg, 0x1b8b852c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_setup_fastreg, 0x0ec163c3, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_setup_fastreg_err, 0x416b5e3e, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_setup_fastreg_err, 0x97e57ae8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_setup_fastreg_err, 0x3c1cd728, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_setup_qp, 0x9e183eff, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_setup_qp, 0xf23fb6f4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_setup_qp, 0x9b350440, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_setup_qp_err, 0x4270c0c0, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_setup_qp_err, 0x0b578137, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_setup_qp_err, 0x7edd502a, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_send_cqe_handler, 0xe0eebb9d, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_send_cqe_handler, 0xd8519f52, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_send_cqe_handler, 0x90f91c12, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_send_cqe_handler_err, 0xc1fa3c23, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_send_cqe_handler_err, 0x740e357e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_send_cqe_handler_err, 0xfd712401, "_gpl");
SYMBOL_CRC(__tracepoint_rds_rdma_cm_event_handler, 0x4ce8cd03, "_gpl");
SYMBOL_CRC(__traceiter_rds_rdma_cm_event_handler, 0xc217e4d9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_rdma_cm_event_handler, 0xb8410fdb, "_gpl");
SYMBOL_CRC(__tracepoint_rds_rdma_cm_event_handler_err, 0x4523f613, "_gpl");
SYMBOL_CRC(__traceiter_rds_rdma_cm_event_handler_err, 0x4db3920c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_rdma_cm_event_handler_err, 0xf1fd14ee, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_flow_cntrl_add_credits, 0xc5aed7e5, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_flow_cntrl_add_credits, 0xe95b7858, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_flow_cntrl_add_credits, 0x71703518, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_flow_cntrl_advertise_credits, 0x29b6e3ab, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_flow_cntrl_advertise_credits, 0x4ceaf392, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_flow_cntrl_advertise_credits, 0xd672e5b5, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_flow_cntrl_grab_credits, 0x49586519, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_flow_cntrl_grab_credits, 0xb344b6f2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_flow_cntrl_grab_credits, 0x8ae0355a, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_queue_work, 0xb7666b5f, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_queue_work, 0x57cc2f0e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_queue_work, 0x123705b7, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_queue_worker, 0xf6ac2845, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_queue_worker, 0x90df5799, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_queue_worker, 0xca01b8af, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_queue_cancel_work, 0x7521d6a6, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_queue_cancel_work, 0x2cb7f608, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_queue_cancel_work, 0x08565fb0, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_queue_flush_work, 0x7b4d8ee4, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_queue_flush_work, 0x03f57cd8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_queue_flush_work, 0x0b5a296b, "_gpl");
SYMBOL_CRC(__tracepoint_rds_queue_work, 0x2bf44f15, "_gpl");
SYMBOL_CRC(__traceiter_rds_queue_work, 0x896921f8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_queue_work, 0x0699e3d2, "_gpl");
SYMBOL_CRC(__tracepoint_rds_queue_worker, 0xc039f789, "_gpl");
SYMBOL_CRC(__traceiter_rds_queue_worker, 0x285b6821, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_queue_worker, 0x9be274ae, "_gpl");
SYMBOL_CRC(__tracepoint_rds_queue_cancel_work, 0x553791dd, "_gpl");
SYMBOL_CRC(__traceiter_rds_queue_cancel_work, 0xbd4a1b62, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_queue_cancel_work, 0x01a92552, "_gpl");
SYMBOL_CRC(__tracepoint_rds_mr_destroy, 0x9f7d09b6, "_gpl");
SYMBOL_CRC(__traceiter_rds_mr_destroy, 0xb4bf47b7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_mr_destroy, 0xb210a571, "_gpl");
SYMBOL_CRC(__tracepoint_rds_mr_get, 0x7f1dbf57, "_gpl");
SYMBOL_CRC(__traceiter_rds_mr_get, 0x9ae14af8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_mr_get, 0xaec27344, "_gpl");
SYMBOL_CRC(__tracepoint_rds_mr_get_err, 0x8022a636, "_gpl");
SYMBOL_CRC(__traceiter_rds_mr_get_err, 0x5a0a0db6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_mr_get_err, 0xad4f0af1, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_state_change, 0x8131b35b, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_state_change, 0xf626e676, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_state_change, 0xc1d215ad, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_connect, 0xe69d9410, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_connect, 0xea859705, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_connect, 0xe3b0aeaf, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_connect_err, 0x00a9dc18, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_connect_err, 0xf6ff0d2b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_connect_err, 0x3c044cf2, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_accept, 0x4d06834b, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_accept, 0xb35956f6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_accept, 0x606b2f8c, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_accept_err, 0xd67dc8ff, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_accept_err, 0xcd7b2b56, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_accept_err, 0x7809f3db, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_listen, 0xafcffdd5, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_listen, 0x45e06208, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_listen, 0x82a25112, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_listen_err, 0x81b1f461, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_listen_err, 0xe9794556, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_listen_err, 0x2fc5cf45, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_shutdown, 0x8ea6aace, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_shutdown, 0x64d24e6e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_shutdown, 0xd57d29e9, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_free_cache_one, 0x960ded6f, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_free_cache_one, 0xe98fc2e1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_free_cache_one, 0xc29359e0, "_gpl");
SYMBOL_CRC(rds_ns, 0x5d551a65, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x3cdd1dc4, "pin_user_pages_fast" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x688339b7, "__do_once_done" },
	{ 0x42996f74, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xada9cce1, "bpf_trace_run4" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x0b742fd7, "simple_strtol" },
	{ 0x999c15ac, "bpf_trace_run6" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x023967b1, "xas_find" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xf30f016f, "unpin_user_pages" },
	{ 0x18be274d, "param_set_uint" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x081054f8, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0x88822737, "put_cmsg" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x97c171d2, "register_net_sysctl_sz" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xb4e32191, "dump_stack" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xfe74adf3, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x44ba56bd, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0x870f5912, "sock_register" },
	{ 0x5fd11d09, "param_get_uint" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0xf9968f9c, "__free_pages" },
	{ 0xda940592, "proto_register" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xcfe222f3, "sock_no_shutdown" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2da8b798, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbc01ddc0, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x73a4463f, "bpf_trace_run5" },
	{ 0x3aa45b95, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x355a7624, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x44738de8, "kmem_cache_free" },
	{ 0x12d545b4, "sock_no_listen" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6999bd71, "proc_douintvec_minmax" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa0632f19, "ns_capable" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x4f0dfa23, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb570fb8f, "lock_sock_nested" },
	{ 0x7794d044, "copy_page_to_iter" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x47e04a78, "sk_alloc" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x5cb78603, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x6866d5b4, "unpin_user_page" },
	{ 0x7db14ca4, "proc_douintvec" },
	{ 0x3a52f91c, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xdbe18e1a, "kmem_cache_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x39b5e537, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0x668b19a1, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x32a6c2c6, "set_page_dirty" },
	{ 0x1c7316a4, "copy_page_from_iter" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x238fe405, "sock_i_ino" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xa7f8a250, "csum_and_copy_from_iter_full" },
	{ 0x5831e062, "cpus_read_trylock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0xd217e9e6, "trace_set_clr_event" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x98cf60b3, "strlen" },
	{ 0xc7b26249, "bpf_trace_run7" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xd3156947, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x77160847, "sock_init_data" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0xa1d20c8a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E36C8B2907D2341A50631AB");
