#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0xd4e98675, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x81b8381a, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xc017f18e, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xabf7402d, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x4c25392b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x3c7be257, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x9cb80f3d, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x603347a7, "inet_addr_type_table" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xbc74cb15, "sock_kmemdup" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x9f39ff76, "skb_copy_bits" },
	{ 0x9c29f394, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4c550d45, "sock_wfree" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xa2510804, "__fl6_sock_lookup" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x7416b139, "ip6_dst_hoplimit" },
	{ 0x05836f5d, "consume_skb" },
	{ 0xd742d292, "inet6_add_offload" },
	{ 0x94f31062, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x43ad4ec0, "inet6_bind" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x5df150c1, "l3mdev_fib_table_by_index" },
	{ 0x32aaf40d, "udp_sock_create4" },
	{ 0x5eab9d4e, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfc45a38b, "inet6_unregister_protosw" },
	{ 0x43e3c744, "crc32c_csum_stub" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc1ccc56a, "__skb_ext_del" },
	{ 0x17fab3d9, "skb_segment" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0xacca0dc4, "__ip_dev_find" },
	{ 0xfc0cc215, "udp_tunnel6_xmit_skb" },
	{ 0xca530abc, "sock_common_getsockopt" },
	{ 0x4b6ab8fc, "inet_bind" },
	{ 0x174d5395, "sock_create" },
	{ 0x9dda0f6c, "net_hotdata" },
	{ 0xa0c00f18, "__kmalloc_node_track_caller_noprof" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xf4d0a5bf, "fd_install" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x037a0cba, "kfree" },
	{ 0xa88638e6, "inet_register_protosw" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0xed608fcd, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x223639de, "security_sctp_assoc_established" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0x590ef7b9, "sock_common_setsockopt" },
	{ 0xcb360fc3, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa18cbcc3, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xbd66957f, "__sk_mem_schedule" },
	{ 0x5e9e1f13, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xa51e3fcf, "sock_alloc_file" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x23f50ab4, "proc_create_net_data" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x4f369d7d, "sk_error_report" },
	{ 0xedfbd895, "register_pernet_subsys" },
	{ 0x88822737, "put_cmsg" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x97c171d2, "register_net_sysctl_sz" },
	{ 0x1751ee0e, "inet_sock_destruct" },
	{ 0x59ed3006, "crypto_destroy_tfm" },
	{ 0xb1053d08, "inet_sk_get_local_port_range" },
	{ 0xbeb3618d, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0xf730ad22, "inet_getname" },
	{ 0x44ba56bd, "proto_unregister" },
	{ 0x2a873705, "security_sctp_sk_clone" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x63edb0ac, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xac7a13f3, "inet_release" },
	{ 0xda940592, "proto_register" },
	{ 0x75c4451a, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x11de2f4b, "inet6_compat_ioctl" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x67385ff7, "inet_ctl_sock_create" },
	{ 0xb69b0e04, "inet_ioctl" },
	{ 0xb165ccee, "reuseport_add_sock" },
	{ 0x6bcbc6d0, "reuseport_select_sock" },
	{ 0x1ed10558, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x4f3e5807, "sk_filter_trim_cap" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x718d561a, "fput" },
	{ 0xa834c4db, "__traceiter_sk_data_ready" },
	{ 0xde1ee145, "inet_accept" },
	{ 0x2da8b798, "init_net" },
	{ 0x526baa68, "crypto_shash_setkey" },
	{ 0x4e0adbb6, "skb_pull" },
	{ 0x95538667, "inet_add_offload" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa8eb627c, "inet_add_protocol" },
	{ 0xf27cc7c5, "inet_shutdown" },
	{ 0x3aa45b95, "sk_free" },
	{ 0xbbc442d2, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9ae4c5f3, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x74c253e8, "inet_del_offload" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a94353a, "skb_push" },
	{ 0xb5d174db, "__ip_queue_xmit" },
	{ 0x44738de8, "kmem_cache_free" },
	{ 0x6f0c2c7a, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0xa0632f19, "ns_capable" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb570fb8f, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xe7217786, "inet6_ioctl" },
	{ 0xc0c38c62, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x47e04a78, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x71e34bf1, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xcb1a072b, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x5cb78603, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xc0525513, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xdbe18e1a, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x39b5e537, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3009882a, "__pskb_pull_tail" },
	{ 0x3c68c36b, "__kmem_cache_create_args" },
	{ 0x4204a3a7, "setup_udp_tunnel_sock" },
	{ 0x3b4cd66f, "udp_sock_create6" },
	{ 0xd53ba547, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x96cd7bf9, "sk_common_release" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd3d63624, "inet6_getname" },
	{ 0x238fe405, "sock_i_ino" },
	{ 0xaad983eb, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x452090b9, "ip6_xmit" },
	{ 0xe9e74185, "security_sctp_assoc_request" },
	{ 0x30dce191, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0xecdc5c4e, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0xe5edb0d9, "__skb_checksum" },
	{ 0x2e4d2ace, "reuseport_alloc" },
	{ 0xe6872931, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb66e9786, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x7707911b, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfdc1f04f, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x311fb02e, "crc32c_shift" },
	{ 0xfdf790bc, "ipv6_dup_options" },
	{ 0xa5bcbd7a, "seq_write" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3cc256df, "udp_tunnel_xmit_skb" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17759e36, "seq_printf" },
	{ 0x645925b3, "proc_create_net_single" },
	{ 0xd5093415, "skb_copy" },
	{ 0xd7ec32fc, "skb_clone" },
	{ 0xf4dad6e1, "inet_sk_set_state" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc1c14fc0, "dst_release" },
	{ 0x8c3ab70c, "_copy_from_iter" },
	{ 0xa8afdd3d, "sock_release" },
	{ 0xc340a01a, "inet_recv_error" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x482290b1, "sock_gettstamp" },
	{ 0x931b5c60, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x257d4588, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0x78c4c151, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xabbf2ede, "send_sig" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x20ac89d1, "inet6_add_protocol" },
	{ 0x355a1703, "from_kuid_munged" },
	{ 0xc5401d0c, "ip_setsockopt" },
	{ 0x0cd5835b, "ipv6_flowlabel_exclusive" },
	{ 0xb1d1e432, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x47cc5c80, "ipv6_getsockopt" },
	{ 0x98cf60b3, "strlen" },
	{ 0x28eb9e2c, "reuseport_detach_sock" },
	{ 0xe56cd158, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xb95438c3, "iov_iter_revert" },
	{ 0x7ab7c6e9, "crypto_alloc_shash" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x77160847, "sock_init_data" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x5b3acd7e, "kmem_cache_destroy" },
	{ 0xa1d20c8a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x42bd1f1b, "skb_queue_head" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "D1F2963B3F6B71A9ABB54EC");
