#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x5be41730, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x14d5faee, "_gpl");
SYMBOL_CRC(tls_get_record, 0x24c2e9c9, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x5312c36e, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xad8187b6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xec9ed5da, "memcpy_to_scatterwalk" },
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x30e1e30d, "sk_msg_free" },
	{ 0x8f9e04c1, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfbf6a952, "tcp_read_sock" },
	{ 0xada9cce1, "bpf_trace_run4" },
	{ 0x9f39ff76, "skb_copy_bits" },
	{ 0x1b35bb93, "sk_page_frag_refill" },
	{ 0x8ab3f1fa, "skb_put" },
	{ 0x6be524d0, "tcp_sendmsg_locked" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x05836f5d, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x60ac74a8, "sk_psock_msg_verdict" },
	{ 0x999c15ac, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x787a99e0, "iov_iter_get_pages2" },
	{ 0x572d44ad, "___pskb_trim" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x0bfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xa05b86b4, "clean_acked_data_enable" },
	{ 0x69226776, "skb_splice_bits" },
	{ 0xefd4249e, "crypto_alloc_aead" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0xe9b9bce6, "crypto_aead_setauthsize" },
	{ 0x99cbc945, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6f44f75d, "sk_stream_error" },
	{ 0x2412a6a1, "sk_msg_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x4c430616, "sk_msg_memcopy_from_iter" },
	{ 0x4f369d7d, "sk_error_report" },
	{ 0xedfbd895, "register_pernet_subsys" },
	{ 0x88822737, "put_cmsg" },
	{ 0x86bbfaca, "__sk_flush_backlog" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x59ed3006, "crypto_destroy_tfm" },
	{ 0x92997ed8, "_printk" },
	{ 0x2021b4c2, "sk_psock_tls_strp_read" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x74f80b0b, "sk_msg_clone" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa8081493, "__alloc_skb" },
	{ 0x0dcfbd2f, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xd2622b35, "iov_iter_extract_pages" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x30d57cd6, "tcp_recv_skb" },
	{ 0x0705625c, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa834c4db, "__traceiter_sk_data_ready" },
	{ 0x0a8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x81d9ac75, "crypto_aead_encrypt" },
	{ 0xbdb6b1f6, "sk_skb_reason_drop" },
	{ 0x73a4463f, "bpf_trace_run5" },
	{ 0x3aa45b95, "sk_free" },
	{ 0x989bdba9, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6f0c2c7a, "__sk_mem_reclaim" },
	{ 0x7ab79292, "sk_stream_wait_memory" },
	{ 0x8d304f20, "nla_put" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x982e16bd, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3dbf0459, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xb570fb8f, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2bab6138, "sk_msg_return_zero" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xc0c38c62, "skb_copy_datagram_iter" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x13f403d0, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x71e34bf1, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x287cefdd, "sock_efree" },
	{ 0x80b62d11, "iov_iter_bvec" },
	{ 0xccc9c3a8, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x1c076f80, "clean_acked_data_disable" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xd2f123e9, "sk_msg_free_partial" },
	{ 0x668b19a1, "down_read" },
	{ 0xd53ba547, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x31e4946f, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x0d792595, "tcp_register_ulp" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x61a3f819, "sk_psock_drop" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x05a4c589, "skb_page_frag_refill" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x1e14aee6, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xcad91204, "__folio_put" },
	{ 0x03043872, "remove_proc_entry" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x17759e36, "seq_printf" },
	{ 0x645925b3, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd7ec32fc, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc1c14fc0, "dst_release" },
	{ 0x8c3ab70c, "_copy_from_iter" },
	{ 0x945f5c31, "skb_copy_header" },
	{ 0xb02fdcc5, "sk_msg_trim" },
	{ 0x6a5de1bb, "alloc_pages_noprof" },
	{ 0xc2291a2f, "memcpy_from_scatterwalk" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xed23a106, "netdev_sk_get_lowest_dev" },
	{ 0xb09928f4, "sk_msg_alloc" },
	{ 0x575530a8, "scatterwalk_skip" },
	{ 0x422ddb09, "_copy_from_iter_nocache" },
	{ 0x71fb4576, "tcp_rate_check_app_limited" },
	{ 0xc2b99bdd, "tcp_poll" },
	{ 0xb95438c3, "iov_iter_revert" },
	{ 0x1705df6c, "sk_msg_zerocopy_from_iter" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x2d98eaf5, "skb_to_sgvec" },
	{ 0x53b954a2, "up_read" },
	{ 0xd7d5a61f, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x47ac659c, "tcp_read_done" },
	{ 0xa1d20c8a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "83838804B8AFEC0AF2B8680");
