#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_DATA(snd_mixer_oss_notify_callback, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_oss_info_register, "", "");
KSYMTAB_FUNC(snd_lookup_oss_minor_data, "", "");
KSYMTAB_FUNC(snd_register_oss_device, "", "");
KSYMTAB_FUNC(snd_unregister_oss_device, "", "");
KSYMTAB_FUNC(_snd_ctl_add_follower, "", "");
KSYMTAB_FUNC(snd_ctl_add_followers, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_make_virtual_master, "", "");
KSYMTAB_FUNC(snd_ctl_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_sync_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_apply_vmaster_followers, "_gpl", "");
KSYMTAB_FUNC(snd_jack_add_new_kctl, "", "");
KSYMTAB_FUNC(snd_jack_new, "", "");
KSYMTAB_FUNC(snd_jack_set_parent, "", "");
KSYMTAB_FUNC(snd_jack_set_key, "", "");
KSYMTAB_FUNC(snd_jack_report, "", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x26be33ab, "");
SYMBOL_CRC(snd_unregister_device, 0x9bc866e1, "");
SYMBOL_CRC(snd_mixer_oss_notify_callback, 0x8ae4e109, "");
SYMBOL_CRC(snd_device_alloc, 0x262cae00, "_gpl");
SYMBOL_CRC(snd_card_new, 0x7488a1ab, "");
SYMBOL_CRC(snd_devm_card_new, 0xf848de9b, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0xb65ba5c5, "_gpl");
SYMBOL_CRC(snd_card_ref, 0xb9c1a01f, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0x8f85b0d9, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0x5ccf055d, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0xf00f0d94, "");
SYMBOL_CRC(snd_card_free, 0x84886de4, "");
SYMBOL_CRC(snd_card_set_id, 0x05a38764, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0x7d1ef54e, "_gpl");
SYMBOL_CRC(snd_card_register, 0xca79888c, "");
SYMBOL_CRC(snd_component_add, 0xc96b140d, "");
SYMBOL_CRC(snd_card_file_add, 0x9dedf17d, "");
SYMBOL_CRC(snd_card_file_remove, 0x6cef12e4, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0xdfbb0f6f, "_gpl");
SYMBOL_CRC(snd_power_wait, 0x117420a3, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_to_iter_fromio, 0x29c334e4, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(copy_from_iter_toio, 0xd29e963f, "");
SYMBOL_CRC(snd_ctl_notify, 0xff0d01c9, "");
SYMBOL_CRC(snd_ctl_notify_one, 0x3eb995c9, "");
SYMBOL_CRC(snd_ctl_new1, 0x9ede7a8e, "");
SYMBOL_CRC(snd_ctl_free_one, 0x159de781, "");
SYMBOL_CRC(snd_ctl_add, 0x49961cb2, "");
SYMBOL_CRC(snd_ctl_replace, 0x0f97ac62, "");
SYMBOL_CRC(snd_ctl_remove, 0x3403f1e7, "");
SYMBOL_CRC(snd_ctl_remove_id, 0xee000f09, "");
SYMBOL_CRC(snd_ctl_activate_id, 0xfa021625, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x97cf8bc6, "");
SYMBOL_CRC(snd_ctl_rename, 0x90a3b3c9, "");
SYMBOL_CRC(snd_ctl_find_numid, 0x88876470, "");
SYMBOL_CRC(snd_ctl_find_id, 0xada1a020, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0xdd24115e, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0xaf4110a1, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0x391f3128, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0xa8b9af7e, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0xb927887f, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0x1f9a6a30, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0xc6e4a3f0, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0x21bfe379, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0xe647e7cd, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0xc5a6d10b, "");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0xa40455a5, "");
SYMBOL_CRC(snd_fasync_helper, 0x44bdad59, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0xa5a982c3, "");
SYMBOL_CRC(snd_device_disconnect, 0x6d6eb470, "_gpl");
SYMBOL_CRC(snd_device_free, 0x3f64104c, "");
SYMBOL_CRC(snd_device_register, 0x8b58cef1, "");
SYMBOL_CRC(snd_device_get_state, 0x6052a96e, "_gpl");
SYMBOL_CRC(snd_seq_root, 0xec6e640d, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0x04ea105e, "");
SYMBOL_CRC(snd_info_create_card_entry, 0x5d49fe7d, "");
SYMBOL_CRC(snd_info_free_entry, 0xeb2c6298, "");
SYMBOL_CRC(snd_info_register, 0x63b3d2d4, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0xe6d964ba, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0x1f5cd86d, "");
SYMBOL_CRC(snd_unregister_oss_device, 0xc3967c25, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0xfe31a349, "");
SYMBOL_CRC(snd_ctl_add_followers, 0x27e64c5b, "_gpl");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0xcab926eb, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0x5d685a6f, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0xe66c0231, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0xe067edce, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0x7d401800, "");
SYMBOL_CRC(snd_jack_new, 0xbd27560a, "");
SYMBOL_CRC(snd_jack_set_parent, 0xea8d42b4, "");
SYMBOL_CRC(snd_jack_set_key, 0xb5ee1af8, "");
SYMBOL_CRC(snd_jack_report, 0x36cf321f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc528a49a, "queued_write_lock_slowpath" },
	{ 0x4c23217a, "input_allocate_device" },
	{ 0x42996f74, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xed897728, "_copy_to_iter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x81b8cd0e, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0x8cd8d65f, "proc_mkdir_mode" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xf730879d, "device_initialize" },
	{ 0x47a18a4d, "param_array_ops" },
	{ 0xe2f93174, "vmemdup_user" },
	{ 0xb544ad50, "input_unregister_device" },
	{ 0xe7257ab8, "xa_store_range" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x360694df, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x368b3d9c, "proc_create_data" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcff43728, "import_ubuf" },
	{ 0xfb254be7, "get_device" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0xfb812c22, "devres_add" },
	{ 0xcc2a2877, "single_open_size" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3546ea42, "dev_driver_string" },
	{ 0xdb9ebd67, "input_free_device" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x01000e51, "schedule" },
	{ 0x6d3e1396, "input_register_device" },
	{ 0x617c452b, "queued_read_lock_slowpath" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xaf7adc45, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc9bc1502, "register_sound_special_device" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x56795ba8, "device_add" },
	{ 0xfd7e27c9, "init_uts_ns" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x79344841, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x05156742, "input_set_capability" },
	{ 0x5a921311, "strncmp" },
	{ 0x145645ac, "__devres_alloc_node" },
	{ 0xb1dff430, "fasync_helper" },
	{ 0x79507388, "devm_remove_action_nowarn" },
	{ 0x62eec1d5, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb69b7268, "device_del" },
	{ 0xf1299d72, "proc_mkdir" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x3a52f91c, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xadff0877, "input_event" },
	{ 0xd6fd1f86, "proc_remove" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x0745a981, "xa_erase" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xe358d2b5, "proc_set_size" },
	{ 0x12f65eb5, "__register_chrdev" },
	{ 0xffd1be08, "kobject_set_name" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17759e36, "seq_printf" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8c3ab70c, "_copy_from_iter" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa573d6af, "stream_open" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xaf222692, "pid_vnr" },
	{ 0x25e527cc, "devres_find" },
	{ 0xab4348aa, "__devm_add_action" },
	{ 0x68c61a61, "sound_class" },
	{ 0xc5e74216, "release_resource" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5fd8c973, "proc_symlink" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0x5f2876cf, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0x247b6643, "put_pid" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "E5888D5E6196D9D51E8B913");
