#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_vx_check_reg_bit, "", "");
KSYMTAB_FUNC(snd_vx_load_boot_image, "", "");
KSYMTAB_FUNC(snd_vx_threaded_irq_handler, "", "");
KSYMTAB_FUNC(snd_vx_irq_handler, "", "");
KSYMTAB_FUNC(snd_vx_dsp_boot, "", "");
KSYMTAB_FUNC(snd_vx_dsp_load, "", "");
KSYMTAB_FUNC(snd_vx_suspend, "", "");
KSYMTAB_FUNC(snd_vx_resume, "", "");
KSYMTAB_FUNC(snd_vx_create, "", "");
KSYMTAB_FUNC(snd_vx_setup_firmware, "", "");
KSYMTAB_FUNC(snd_vx_free_firmware, "", "");

SYMBOL_CRC(snd_vx_check_reg_bit, 0x8b93afc9, "");
SYMBOL_CRC(snd_vx_load_boot_image, 0xfada2ff9, "");
SYMBOL_CRC(snd_vx_threaded_irq_handler, 0x226138b0, "");
SYMBOL_CRC(snd_vx_irq_handler, 0xf1f04d23, "");
SYMBOL_CRC(snd_vx_dsp_boot, 0x59f75bd4, "");
SYMBOL_CRC(snd_vx_dsp_load, 0x07a949fa, "");
SYMBOL_CRC(snd_vx_suspend, 0x2b481f5c, "");
SYMBOL_CRC(snd_vx_resume, 0x70d65a57, "");
SYMBOL_CRC(snd_vx_create, 0x56fc48e3, "");
SYMBOL_CRC(snd_vx_setup_firmware, 0x2d09e9d8, "");
SYMBOL_CRC(snd_vx_free_firmware, 0xfabc2818, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x49961cb2, "snd_ctl_add" },
	{ 0x586acfe4, "snd_pcm_new" },
	{ 0xca79888c, "snd_card_register" },
	{ 0x6d4bca86, "request_firmware" },
	{ 0x4829a47e, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xe6d964ba, "snd_card_rw_proc_new" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x3796bdcc, "snd_pcm_format_little_endian" },
	{ 0xe2964344, "__wake_up" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x9ede7a8e, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x145645ac, "__devres_alloc_node" },
	{ 0xe647e7cd, "snd_ctl_boolean_stereo_info" },
	{ 0x487826ff, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x1d7efbcc, "snd_pcm_set_managed_buffer_all" },
	{ 0xdcb764ad, "memset" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x17759e36, "seq_printf" },
	{ 0xeff05dbe, "snd_pcm_period_elapsed" },
	{ 0xb0cfb32c, "snd_pcm_hw_constraint_step" },
	{ 0x98cf60b3, "strlen" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm");


MODULE_INFO(srcversion, "01805E37791A619F1F554E3");
