#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb4fead7, "snd_hda_add_new_ctls" },
	{ 0x5239eca6, "snd_hda_gen_build_controls" },
	{ 0xa8d8a105, "snd_hda_gen_mic_autoswitch" },
	{ 0xc972e4d0, "query_amp_caps" },
	{ 0x3381396e, "snd_hda_mixer_amp_volume_info" },
	{ 0x2b5da2ad, "snd_hdac_regmap_read_raw" },
	{ 0x2fb90254, "snd_hda_jack_detect_state_mst" },
	{ 0x4c79744c, "snd_hda_gen_spec_init" },
	{ 0x7f6c936c, "snd_hda_mixer_amp_switch_info" },
	{ 0x76567f22, "hda_codec_driver_unregister" },
	{ 0x842b1b06, "snd_hda_add_new_path" },
	{ 0xa75b17ce, "snd_hdac_codec_write" },
	{ 0x0c908db2, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xa5d5ec55, "snd_hda_gen_add_kctl" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x5188f043, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xc34c760a, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x21bfe379, "snd_ctl_boolean_mono_info" },
	{ 0x1ab4b524, "snd_hda_override_amp_caps" },
	{ 0xeda1343b, "__hda_codec_driver_register" },
	{ 0xadd2214e, "snd_hda_jack_set_gating_jack" },
	{ 0x21dfb7b4, "snd_hda_parse_pin_defcfg" },
	{ 0xbdb145bb, "snd_hda_gen_init" },
	{ 0x7bd418af, "snd_hda_activate_path" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1e4af7f9, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0x9a36d173, "snd_hdac_regmap_add_vendor_verb" },
	{ 0x09178e80, "snd_hda_codec_set_pin_target" },
	{ 0x1703efef, "snd_hda_gen_check_power_status" },
	{ 0xc9744a39, "_snd_hda_set_pin_ctl" },
	{ 0x7a94b131, "snd_hdac_regmap_write_raw" },
	{ 0xc69c9fd9, "snd_hda_mixer_amp_volume_get" },
	{ 0xdcb764ad, "memset" },
	{ 0x43207bf1, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0xc87a4398, "snd_hda_get_path_from_idx" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x82774efc, "snd_hda_gen_update_outputs" },
	{ 0xd170446c, "snd_hda_jack_unsol_event" },
	{ 0x9266ffac, "snd_hda_gen_build_pcms" },
	{ 0xb99518e1, "snd_hda_mixer_amp_tlv" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x2215a705, "snd_hda_pick_fixup" },
	{ 0xe349e6c1, "snd_hda_apply_fixup" },
	{ 0x29bed794, "snd_hda_gen_parse_auto_config" },
	{ 0xe60b227d, "snd_hdac_codec_read" },
	{ 0xa2aa6281, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x4f9d8e06, "snd_hda_codec_get_pin_target" },
	{ 0x8133d2e4, "snd_hda_gen_free" },
	{ 0x1536526f, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F11F87r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F120D1r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "EDC43CD0B36A8F22D3BFB65");
