#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc154d15a, "snd_hda_shutup_pins" },
	{ 0x248ea996, "snd_hda_get_connections" },
	{ 0x5239eca6, "snd_hda_gen_build_controls" },
	{ 0x3381396e, "snd_hda_mixer_amp_volume_info" },
	{ 0x2b5da2ad, "snd_hdac_regmap_read_raw" },
	{ 0x4c79744c, "snd_hda_gen_spec_init" },
	{ 0x7f6c936c, "snd_hda_mixer_amp_switch_info" },
	{ 0x76567f22, "hda_codec_driver_unregister" },
	{ 0x92e091b7, "snd_hda_codec_get_pincfg" },
	{ 0xa75b17ce, "snd_hdac_codec_write" },
	{ 0x0c908db2, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xa5d5ec55, "snd_hda_gen_add_kctl" },
	{ 0x5188f043, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xc34c760a, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6886e7a4, "snd_hda_get_bool_hint" },
	{ 0x21bfe379, "snd_ctl_boolean_mono_info" },
	{ 0x1ab4b524, "snd_hda_override_amp_caps" },
	{ 0xeda1343b, "__hda_codec_driver_register" },
	{ 0x21dfb7b4, "snd_hda_parse_pin_defcfg" },
	{ 0xbdb145bb, "snd_hda_gen_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8a7135db, "snd_hda_mixer_amp_switch_get" },
	{ 0x8a49679e, "snd_hda_codec_set_name" },
	{ 0xc69c9fd9, "snd_hda_mixer_amp_volume_get" },
	{ 0xdcb764ad, "memset" },
	{ 0xee47c883, "snd_hda_mixer_amp_switch_put" },
	{ 0x78d689c8, "snd_hda_codec_set_pincfg" },
	{ 0xd170446c, "snd_hda_jack_unsol_event" },
	{ 0xfda613d6, "snd_hda_override_conn_list" },
	{ 0x027fdc00, "snd_hda_check_amp_list_power" },
	{ 0x9266ffac, "snd_hda_gen_build_pcms" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb99518e1, "snd_hda_mixer_amp_tlv" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x2215a705, "snd_hda_pick_fixup" },
	{ 0xe349e6c1, "snd_hda_apply_fixup" },
	{ 0x90d856a8, "snd_hda_add_verbs" },
	{ 0x29bed794, "snd_hda_gen_parse_auto_config" },
	{ 0xe3f23bee, "snd_hda_enum_helper_info" },
	{ 0xe60b227d, "snd_hdac_codec_read" },
	{ 0xa2aa6281, "snd_hda_mixer_amp_volume_put" },
	{ 0x8133d2e4, "snd_hda_gen_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc29279e1, "snd_hdac_regmap_sync" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "A6B2C1F026DFE1CDCC32924");
