#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(oxygen_read8, "", "");
KSYMTAB_FUNC(oxygen_read16, "", "");
KSYMTAB_FUNC(oxygen_read32, "", "");
KSYMTAB_FUNC(oxygen_write8, "", "");
KSYMTAB_FUNC(oxygen_write16, "", "");
KSYMTAB_FUNC(oxygen_write32, "", "");
KSYMTAB_FUNC(oxygen_write8_masked, "", "");
KSYMTAB_FUNC(oxygen_write16_masked, "", "");
KSYMTAB_FUNC(oxygen_write32_masked, "", "");
KSYMTAB_FUNC(oxygen_write_ac97, "", "");
KSYMTAB_FUNC(oxygen_read_ac97, "", "");
KSYMTAB_FUNC(oxygen_write_ac97_masked, "", "");
KSYMTAB_FUNC(oxygen_write_spi, "", "");
KSYMTAB_FUNC(oxygen_write_i2c, "", "");
KSYMTAB_FUNC(oxygen_reset_uart, "", "");
KSYMTAB_FUNC(oxygen_write_uart, "", "");
KSYMTAB_FUNC(oxygen_pci_probe, "", "");
KSYMTAB_DATA(oxygen_pci_pm, "", "");
KSYMTAB_FUNC(oxygen_pci_shutdown, "", "");
KSYMTAB_FUNC(oxygen_update_dac_routing, "", "");

SYMBOL_CRC(oxygen_read8, 0x5b33820b, "");
SYMBOL_CRC(oxygen_read16, 0xc9ba21f9, "");
SYMBOL_CRC(oxygen_read32, 0xb1d14e78, "");
SYMBOL_CRC(oxygen_write8, 0x69aa29cf, "");
SYMBOL_CRC(oxygen_write16, 0xd53fdddc, "");
SYMBOL_CRC(oxygen_write32, 0x89bfd130, "");
SYMBOL_CRC(oxygen_write8_masked, 0x8188c43f, "");
SYMBOL_CRC(oxygen_write16_masked, 0x975b1a29, "");
SYMBOL_CRC(oxygen_write32_masked, 0xa042d383, "");
SYMBOL_CRC(oxygen_write_ac97, 0x23cd9084, "");
SYMBOL_CRC(oxygen_read_ac97, 0x350fdf4e, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0x92ba1741, "");
SYMBOL_CRC(oxygen_write_spi, 0x0c05a553, "");
SYMBOL_CRC(oxygen_write_i2c, 0x0cb7d370, "");
SYMBOL_CRC(oxygen_reset_uart, 0x5ec28680, "");
SYMBOL_CRC(oxygen_write_uart, 0xcbe379a2, "");
SYMBOL_CRC(oxygen_pci_probe, 0xe8564e97, "");
SYMBOL_CRC(oxygen_pci_pm, 0x3704389c, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0x995588d4, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0x72dc8b70, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x479f6727, "devm_request_threaded_irq" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0x49961cb2, "snd_ctl_add" },
	{ 0x586acfe4, "snd_pcm_new" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xca79888c, "snd_card_register" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6d46183e, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb65ba5c5, "snd_card_free_on_error" },
	{ 0xe6d964ba, "snd_card_rw_proc_new" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x928f4743, "pci_read_config_dword" },
	{ 0x9ede7a8e, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xc96b140d, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x21bfe379, "snd_ctl_boolean_mono_info" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xff0d01c9, "snd_ctl_notify" },
	{ 0x487826ff, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x558f617e, "snd_pcm_set_managed_buffer" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x1d7efbcc, "snd_pcm_set_managed_buffer_all" },
	{ 0xdcb764ad, "memset" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x9cf783ca, "pci_set_master" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf848de9b, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x17759e36, "seq_printf" },
	{ 0xd984c6a0, "snd_mpu401_uart_new" },
	{ 0x1c8a80e9, "pci_match_id" },
	{ 0x4dee4de4, "snd_pcm_hw_constraint_msbits" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeff05dbe, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0xb0cfb32c, "snd_pcm_hw_constraint_step" },
	{ 0x98cf60b3, "strlen" },
	{ 0x62a2ed37, "pcim_enable_device" },
	{ 0x532df49f, "pci_write_config_word" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7ece803a, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-mpu401-uart");


MODULE_INFO(srcversion, "E188D39BEB37E35D6662F98");
