#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(simple_util_get_sample_fmt, "_gpl", "");
KSYMTAB_FUNC(simple_util_parse_convert, "_gpl", "");
KSYMTAB_FUNC(simple_util_is_convert_required, "_gpl", "");
KSYMTAB_FUNC(simple_util_parse_daifmt, "_gpl", "");
KSYMTAB_FUNC(simple_util_parse_tdm_width_map, "_gpl", "");
KSYMTAB_FUNC(simple_util_set_dailink_name, "_gpl", "");
KSYMTAB_FUNC(simple_util_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(simple_util_parse_clk, "_gpl", "");
KSYMTAB_FUNC(simple_util_startup, "_gpl", "");
KSYMTAB_FUNC(simple_util_shutdown, "_gpl", "");
KSYMTAB_FUNC(simple_util_hw_params, "_gpl", "");
KSYMTAB_FUNC(simple_util_be_hw_params_fixup, "_gpl", "");
KSYMTAB_FUNC(simple_util_dai_init, "_gpl", "");
KSYMTAB_FUNC(simple_util_canonicalize_platform, "_gpl", "");
KSYMTAB_FUNC(simple_util_canonicalize_cpu, "_gpl", "");
KSYMTAB_FUNC(simple_util_clean_reference, "_gpl", "");
KSYMTAB_FUNC(simple_util_parse_routing, "_gpl", "");
KSYMTAB_FUNC(simple_util_parse_widgets, "_gpl", "");
KSYMTAB_FUNC(simple_util_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(simple_util_init_jack, "_gpl", "");
KSYMTAB_FUNC(simple_util_init_aux_jacks, "_gpl", "");
KSYMTAB_FUNC(simple_util_init_priv, "_gpl", "");
KSYMTAB_FUNC(simple_util_remove, "_gpl", "");
KSYMTAB_FUNC(graph_util_card_probe, "_gpl", "");
KSYMTAB_FUNC(graph_util_is_ports0, "_gpl", "");
KSYMTAB_FUNC(graph_util_parse_dai, "_gpl", "");
KSYMTAB_FUNC(graph_util_parse_link_direction, "_gpl", "");
KSYMTAB_FUNC(graph_util_parse_trigger_order, "_gpl", "");

SYMBOL_CRC(simple_util_get_sample_fmt, 0x2be78522, "_gpl");
SYMBOL_CRC(simple_util_parse_convert, 0x64976a2e, "_gpl");
SYMBOL_CRC(simple_util_is_convert_required, 0xa0c800c8, "_gpl");
SYMBOL_CRC(simple_util_parse_daifmt, 0x88784441, "_gpl");
SYMBOL_CRC(simple_util_parse_tdm_width_map, 0xf4fba240, "_gpl");
SYMBOL_CRC(simple_util_set_dailink_name, 0x5025a196, "_gpl");
SYMBOL_CRC(simple_util_parse_card_name, 0x407e225b, "_gpl");
SYMBOL_CRC(simple_util_parse_clk, 0xb73ad341, "_gpl");
SYMBOL_CRC(simple_util_startup, 0x869f8eb7, "_gpl");
SYMBOL_CRC(simple_util_shutdown, 0x2fa22011, "_gpl");
SYMBOL_CRC(simple_util_hw_params, 0xa87c8bc5, "_gpl");
SYMBOL_CRC(simple_util_be_hw_params_fixup, 0x0a877136, "_gpl");
SYMBOL_CRC(simple_util_dai_init, 0x602b1c36, "_gpl");
SYMBOL_CRC(simple_util_canonicalize_platform, 0x6494e5b8, "_gpl");
SYMBOL_CRC(simple_util_canonicalize_cpu, 0xdfa74652, "_gpl");
SYMBOL_CRC(simple_util_clean_reference, 0xea4172d3, "_gpl");
SYMBOL_CRC(simple_util_parse_routing, 0xab2d905e, "_gpl");
SYMBOL_CRC(simple_util_parse_widgets, 0x2c064aae, "_gpl");
SYMBOL_CRC(simple_util_parse_pin_switches, 0x95ca3f99, "_gpl");
SYMBOL_CRC(simple_util_init_jack, 0x0396d5ef, "_gpl");
SYMBOL_CRC(simple_util_init_aux_jacks, 0x75703ba5, "_gpl");
SYMBOL_CRC(simple_util_init_priv, 0xea51073c, "_gpl");
SYMBOL_CRC(simple_util_remove, 0xcf5dd478, "_gpl");
SYMBOL_CRC(graph_util_card_probe, 0x5ff849fb, "_gpl");
SYMBOL_CRC(graph_util_is_ports0, 0x02ccc76a, "_gpl");
SYMBOL_CRC(graph_util_parse_dai, 0x2d620811, "_gpl");
SYMBOL_CRC(graph_util_parse_link_direction, 0x3cd18e25, "_gpl");
SYMBOL_CRC(graph_util_parse_trigger_order, 0x0de20168, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7ab8bcc, "snd_soc_get_dai_via_args" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xfd19ff82, "of_node_put" },
	{ 0xba8e2979, "of_property_read_variable_u32_array" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xfefe69dd, "snd_soc_dummy_dlc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e729f47, "snd_soc_dai_set_tdm_slot" },
	{ 0x02939f16, "snd_soc_jack_add_gpios" },
	{ 0xb7bfbe7d, "snd_pcm_hw_constraint_minmax" },
	{ 0x405385ff, "of_graph_parse_endpoint" },
	{ 0x037a0cba, "kfree" },
	{ 0x182c361e, "of_get_parent" },
	{ 0xf9622dd1, "snd_soc_daifmt_clock_provider_from_bitmap" },
	{ 0x7333154d, "snd_soc_get_dai_id" },
	{ 0x2b609118, "snd_soc_component_set_sysclk" },
	{ 0xb3079754, "snd_soc_card_jack_new" },
	{ 0x088f46e8, "snd_soc_of_parse_audio_routing" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x7a058790, "devm_kvasprintf" },
	{ 0x1c9a3c85, "snd_soc_dai_set_sysclk" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x77a30281, "snd_soc_component_set_jack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5823aa28, "snd_soc_daifmt_parse_clock_provider_raw" },
	{ 0x5eb68c78, "of_graph_get_endpoint_count" },
	{ 0xf346a2eb, "of_get_child_by_name" },
	{ 0xd2ee6404, "devm_get_clk_from_child" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0xdd9fa060, "of_property_read_bool" },
	{ 0xa7eb04f2, "snd_soc_dai_name_get" },
	{ 0xe4fcea5f, "snd_soc_dlc_use_cpu_as_platform" },
	{ 0xbb1c0fa8, "of_property_count_elems_of_size" },
	{ 0xc7b3efe9, "of_property_read_string" },
	{ 0x76968f83, "of_find_property" },
	{ 0x339b1e6b, "snd_soc_ret" },
	{ 0xd95dae24, "snd_soc_get_dlc" },
	{ 0xdcb764ad, "memset" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc3b61f62, "of_graph_get_port_parent" },
	{ 0x88e080e8, "snd_soc_daifmt_parse_format" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xcb3a83c5, "snd_soc_card_jack_new_pins" },
	{ 0xb2c6b013, "snd_soc_runtime_calc_hw" },
	{ 0x271ffb5c, "of_graph_get_next_port" },
	{ 0xd536de91, "snd_soc_of_parse_pin_switches" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xeb0ae7e6, "gpiod_get_optional" },
	{ 0xb11bce5f, "of_node_name_eq" },
	{ 0xf013643f, "snd_soc_of_parse_audio_simple_widgets" },
	{ 0x9f601870, "snd_soc_copy_dai_args" },
	{ 0xfd118245, "gpiod_set_consumer_name" },
	{ 0x53fe131f, "snd_soc_dai_active" },
	{ 0x6d67837b, "snd_soc_of_parse_card_name" },
	{ 0x865bd0d4, "snd_soc_component_get_jack_type" },
	{ 0x815588a6, "clk_enable" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "BAEAE2FC41E6FC08ACC36C7");
