#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_ret, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(devm_snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_prepare_slave_config, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_alloc_ac97_component, "", "");
KSYMTAB_FUNC(snd_soc_new_ac97_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_free_ac97_component, "_gpl", "");
KSYMTAB_DATA(soc_ac97_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_ac97_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_ac97_ops_of_reset, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0x53b632ce, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0xef9cb2b3, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0xa7eb04f2, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0x68624861, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0x110149f2, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0x3929bb81, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0x68938777, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0x9fcce154, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0x88e5e054, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0x3a932c56, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0x9f601870, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0x6dc71e44, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0x44ca4dc4, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0x16759e30, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0x31d0b6f5, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0x907e530a, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0x84856e4c, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0x7449ada7, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0x8c601bd2, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0x26dfe5a2, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0x762ccafd, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0x39218c53, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0xaac7b025, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0x0c01a657, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0x1dea405e, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0x4d625b6d, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0xdf3638a3, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0x9489a9e0, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0x4cb795f7, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0x7b186ff2, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0x53f9896f, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0x6d67837b, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0xf013643f, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0xd536de91, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0xb6f0a48b, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0xb9a0288f, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0xe4fcea5f, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0x4dac8261, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0x088f46e8, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0x8ec7927b, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0x88e080e8, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0x5823aa28, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0xc6c1cf79, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0x7333154d, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0xd95dae24, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0x27975316, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0xc8e2d99a, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0x5c65454c, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0xb7ab8bcc, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0xa47f15eb, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0x5faea905, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0x21cec4e3, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0xbbc74fe9, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0xf5fdbdce, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0x5d58d630, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0x67870c80, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0xba5b4e95, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0x1bbc4f22, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0xfb492d00, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0x25eb4e63, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0x45a9cd99, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0xf6dd749a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0xa4f46dde, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0xf1a0ca4f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0x9fce79b0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0xefcaf170, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0xf45a01c4, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0xae58b2e7, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0x67956d45, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0x9efb3236, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0x268c53c1, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0xbbe79d6c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0x78717ed0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0x4e05d1c3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0xe3e585bd, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0x506b5326, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0xddb40d75, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0x706fc504, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0x98c370fc, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0xc0edc34d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0xe07bf001, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0x7a956706, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0xee39aa31, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0xaa3e51a9, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0x04d6b98f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0xdac3eea6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0xd459501a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0xa402d957, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0xd9b8e70b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0x3a86b783, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0x2b87db0e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0x851109db, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0x2c5bc98f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0x1622c115, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0xb149148a, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0x2bacbfe3, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0x030d5908, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0xa5637928, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0xab2c500f, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0x7adf25b0, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0x02939f16, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0x65d6df2b, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0x10631980, "_gpl");
SYMBOL_CRC(snd_soc_ret, 0x339b1e6b, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xee9124b3, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0x2acda8a0, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x6c456e7b, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0x7074d232, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0xfefe69dd, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0x1c9a3c85, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0xaf6331a5, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0xb814150c, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0xed40f21c, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0x25b23a50, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0x9e729f47, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0x6e37b704, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0x5daf193a, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0xf3b55982, "_gpl");
SYMBOL_CRC(snd_soc_dai_prepare, 0x3dec1001, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0xed763c0f, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0x30ccf0c6, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0x53fe131f, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0x03740f4d, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0x6ae0fcfe, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0xd13ed8fd, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0x8de95939, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0x8c101541, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0xaa55028a, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0xdc7f5514, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0x00a7b98d, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0x21e81d18, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0x2b609118, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0x82f10eb2, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0x6ffa4b00, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0xd5b6ab59, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0x722161ec, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0x778ee1c2, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0x739d1ac1, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0xd983ff81, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0xd95cc894, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0x65bfc304, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0xbf2c1d82, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol, 0x035b4e04, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0xd83a07aa, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0x77a30281, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0x865bd0d4, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0x8d3a0460, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0xa02521ad, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0x1fa364c7, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0x592186a7, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0x70bb4784, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0xbe226ec1, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0xafe11269, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0xd14de16f, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0x516bced7, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0x542e88f0, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0x028b5ead, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0xa87be575, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0x76d5edf1, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0x8a452c2d, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0x459b3d3c, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0x760b1869, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0xa17631e7, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0x07ed8969, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0x5ba9b7f2, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0x400dae9c, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0x25140b41, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0xc038b073, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0xa839618b, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0xb2c6b013, "_gpl");
SYMBOL_CRC(widget_in_list, 0xd484ee51, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0x3179eda0, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0x20d187bb, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0x96f0dac8, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0x3657ff81, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0x786bf157, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0x5ad95e6f, "_gpl");
SYMBOL_CRC(devm_snd_dmaengine_pcm_register, 0x92b47236, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0x7487a7c6, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0xd68420be, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0x7de7c50d, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0xf7296f82, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0xa4275462, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0xd282173f, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0xdabeac73, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0x39963525, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0x68484a7d, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0x331e3686, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0x99133ab2, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0x70b36074, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0x00e2bf6d, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0x1bf4838c, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0x375f0ed3, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0x759e07ec, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0x780aec08, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0x70365744, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0x245d7833, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0x5b3f4933, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0x1f9a95b6, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0x83acd927, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0x571eb524, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0x9cb2241a, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0xb3079754, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0xcb3a83c5, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0x30f63281, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0x1fa8d4bf, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_prepare_slave_config, 0x807a7175, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_register, 0x61016bcf, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_unregister, 0xa724510f, "_gpl");
SYMBOL_CRC(snd_soc_alloc_ac97_component, 0xc29c14bc, "");
SYMBOL_CRC(snd_soc_new_ac97_component, 0x3cb18ce2, "_gpl");
SYMBOL_CRC(snd_soc_free_ac97_component, 0x8946468b, "_gpl");
SYMBOL_CRC(soc_ac97_ops, 0x405947f7, "_gpl");
SYMBOL_CRC(snd_soc_set_ac97_ops, 0x465bfdb8, "_gpl");
SYMBOL_CRC(snd_soc_set_ac97_ops_of_reset, 0x6097a9d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xfbd17d74, "gpiod_get_value_cansleep" },
	{ 0xc2aae440, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x42996f74, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0xed897728, "_copy_to_iter" },
	{ 0xd980f283, "gpiod_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2f0f2d47, "regmap_write" },
	{ 0x89b3166f, "param_ops_uint" },
	{ 0xe50c2da7, "devm_kmalloc" },
	{ 0xfd19ff82, "of_node_put" },
	{ 0xba8e2979, "of_property_read_variable_u32_array" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xa10e0b6d, "dev_set_name" },
	{ 0xe785af70, "regmap_get_val_bytes" },
	{ 0x1239b4f2, "platform_driver_unregister" },
	{ 0x49961cb2, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x283bba95, "snd_dmaengine_pcm_sync_stop" },
	{ 0x586acfe4, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x36cf321f, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb54d6585, "trace_raw_output_prep" },
	{ 0x0f748d40, "regmap_raw_read" },
	{ 0xca79888c, "snd_card_register" },
	{ 0x21b6bf80, "device_unregister" },
	{ 0x84886de4, "snd_card_free" },
	{ 0x4fef7bd0, "__trace_trigger_soft_disabled" },
	{ 0x5e0eca66, "trace_event_printf" },
	{ 0x7c5bb770, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x855f0ee4, "gpiod_get_index" },
	{ 0xba49011a, "snd_dmaengine_pcm_trigger" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xf730879d, "device_initialize" },
	{ 0xb7bfbe7d, "snd_pcm_hw_constraint_minmax" },
	{ 0xec99de9c, "trace_event_raw_init" },
	{ 0x61896436, "gpiod_to_irq" },
	{ 0xa495dc18, "gpiod_export" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x037a0cba, "kfree" },
	{ 0xed4dd054, "dma_release_channel" },
	{ 0x360694df, "seq_lseek" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x66b32d7a, "regcache_mark_dirty" },
	{ 0x2ebd3a2e, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x00148653, "vsnprintf" },
	{ 0xd25c398a, "regulator_disable_deferred" },
	{ 0x130dde68, "__dynamic_dev_dbg" },
	{ 0x159de781, "snd_ctl_free_one" },
	{ 0xada1a020, "snd_ctl_find_id" },
	{ 0x16776275, "devm_clk_get" },
	{ 0xfb812c22, "devres_add" },
	{ 0x2592117a, "snd_pcm_new_internal" },
	{ 0xc32e4905, "of_get_property" },
	{ 0x0907d14d, "blocking_notifier_chain_register" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xcacc4694, "snd_dmaengine_pcm_refine_runtime_hwparams" },
	{ 0x1adb3422, "snd_dmaengine_pcm_get_chan" },
	{ 0xc65c1e1a, "pinctrl_pm_select_default_state" },
	{ 0xe765c00f, "trace_event_buffer_commit" },
	{ 0x25e854fe, "snd_ac97_reset" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x9ede7a8e, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x553ffd3b, "snd_pcm_stream_unlock_irq" },
	{ 0x66275485, "pm_wakeup_dev_event" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xa2f73ce4, "devm_kstrdup" },
	{ 0x05108da1, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x86274334, "debugfs_lookup_and_remove" },
	{ 0xaf7adc45, "put_device" },
	{ 0x98a6e3e5, "gpiod_unexport" },
	{ 0xc96b140d, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x3904ff2f, "devm_regulator_get" },
	{ 0x663b0f24, "snd_dmaengine_pcm_close" },
	{ 0xef5c1c73, "dma_get_slave_caps" },
	{ 0xb92a8fe2, "_dev_info" },
	{ 0xd8b76fba, "faux_device_create" },
	{ 0x9f18cbf4, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x7488a1ab, "snd_card_new" },
	{ 0x5ccf055d, "snd_card_disconnect_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc7cfc207, "gpiochip_get_data" },
	{ 0x610b6c52, "devm_kmemdup" },
	{ 0x9f3b780b, "perf_trace_buf_alloc" },
	{ 0xa3412cfd, "snd_dmaengine_pcm_request_channel" },
	{ 0x3bbb5541, "perf_trace_run_bpf_submit" },
	{ 0x0bbad260, "devm_kfree" },
	{ 0x857f1cd3, "_dev_err" },
	{ 0x1b8a23ef, "pinctrl_pm_select_sleep_state" },
	{ 0x5ca25210, "simple_open" },
	{ 0xeb934cef, "faux_device_destroy" },
	{ 0x56795ba8, "device_add" },
	{ 0x401d12da, "__of_parse_phandle_with_args" },
	{ 0x691f0d2b, "snd_pcm_lib_ioctl" },
	{ 0xdd5ba2f1, "gpiod_direction_output_raw" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0xdd9fa060, "of_property_read_bool" },
	{ 0xbd27560a, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x582870f2, "snd_pcm_stream_unlock_irqrestore" },
	{ 0x7d401800, "snd_jack_add_new_kctl" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf40d97a0, "dev_get_regmap" },
	{ 0x9f596fcc, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x145645ac, "__devres_alloc_node" },
	{ 0xde7e935a, "trace_event_reg" },
	{ 0x1c0be958, "ac97_bus_type" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xff0d01c9, "snd_ctl_notify" },
	{ 0xc7b3efe9, "of_property_read_string" },
	{ 0x67e388fd, "devm_gpiod_get_index" },
	{ 0xbb919b5e, "regulator_allow_bypass" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x76968f83, "of_find_property" },
	{ 0x487826ff, "snd_pcm_set_ops" },
	{ 0xfc98eb08, "regmap_async_complete" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x558f617e, "snd_pcm_set_managed_buffer" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xe54ee394, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc6d1920b, "device_register" },
	{ 0x13f403d0, "bpf_trace_run1" },
	{ 0xb69b7268, "device_del" },
	{ 0xa440834d, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x3a08df4b, "_dev_warn" },
	{ 0x2a2e0dfe, "debugfs_create_u32" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xe65b00b3, "snd_dmaengine_pcm_open" },
	{ 0x06400ae2, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xbb9df11a, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x03d38ded, "snd_dmaengine_pcm_pointer" },
	{ 0x60e063ce, "gpiochip_add_data_with_key" },
	{ 0xc3b61f62, "of_graph_get_port_parent" },
	{ 0x69566392, "__platform_driver_register" },
	{ 0xed7808d8, "dma_request_chan" },
	{ 0x7d8ef513, "devm_kasprintf" },
	{ 0xd1d5ed3a, "pinctrl_lookup_state" },
	{ 0xd6e1b34e, "bpf_trace_run3" },
	{ 0xd50b8e1d, "seq_read" },
	{ 0x3b0e2ab3, "gpiochip_remove" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x38f002f7, "snd_hwparams_to_dma_slave_config" },
	{ 0x0f08c8ad, "regmap_read" },
	{ 0xea65cff5, "trace_event_buffer_reserve" },
	{ 0x667f33ba, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x0ac28e77, "__kmalloc_cache_noprof" },
	{ 0x1c303cee, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17759e36, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x560768da, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x8c3ab70c, "_copy_from_iter" },
	{ 0xff36ec45, "debugfs_create_file_full" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xa6fe8ad4, "pinctrl_select_state" },
	{ 0x117420a3, "snd_power_wait" },
	{ 0x4dee4de4, "snd_pcm_hw_constraint_msbits" },
	{ 0x61704e7f, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6d0d419a, "of_count_phandle_with_args" },
	{ 0x126d6b35, "regmap_update_bits_base" },
	{ 0x2c21f723, "dev_err_probe" },
	{ 0xe649191f, "snd_dmaengine_pcm_set_config_from_dai_data" },
	{ 0x6fa5c514, "device_add_groups" },
	{ 0x90543b57, "__pm_runtime_suspend" },
	{ 0x72dee9ff, "regmap_exit" },
	{ 0x81188c30, "match_string" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x13951bc1, "regmap_raw_write" },
	{ 0x98cf60b3, "strlen" },
	{ 0xacfc6e0b, "param_ops_int" },
	{ 0xfcb9d6e9, "single_open" },
	{ 0xfd118245, "gpiod_set_consumer_name" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0x23af114d, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x252bab53, "of_property_read_string_helper" },
	{ 0xf514f473, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9a2d661e, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0xe26059f4, "snd_dmaengine_pcm_pointer_no_residue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2847388d, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-pcm-dmaengine,ac97_bus");


MODULE_INFO(srcversion, "4FD0E7FD2C3141C68E7CBC1");
